"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.waitUntilImageVersionCreated = exports.waitForImageVersionCreated = void 0;
const util_waiter_1 = require("@aws-sdk/util-waiter");
const DescribeImageVersionCommand_1 = require("../commands/DescribeImageVersionCommand");
const checkState = async (client, input) => {
    let reason;
    try {
        const result = await client.send(new DescribeImageVersionCommand_1.DescribeImageVersionCommand(input));
        reason = result;
        try {
            const returnComparator = () => {
                return result.ImageVersionStatus;
            };
            if (returnComparator() === "CREATED") {
                return { state: util_waiter_1.WaiterState.SUCCESS, reason };
            }
        }
        catch (e) { }
        try {
            const returnComparator = () => {
                return result.ImageVersionStatus;
            };
            if (returnComparator() === "CREATE_FAILED") {
                return { state: util_waiter_1.WaiterState.FAILURE, reason };
            }
        }
        catch (e) { }
    }
    catch (exception) {
        reason = exception;
        if (exception.name && exception.name == "ValidationException") {
            return { state: util_waiter_1.WaiterState.FAILURE, reason };
        }
    }
    return { state: util_waiter_1.WaiterState.RETRY, reason };
};
const waitForImageVersionCreated = async (params, input) => {
    const serviceDefaults = { minDelay: 60, maxDelay: 120 };
    return (0, util_waiter_1.createWaiter)({ ...serviceDefaults, ...params }, input, checkState);
};
exports.waitForImageVersionCreated = waitForImageVersionCreated;
const waitUntilImageVersionCreated = async (params, input) => {
    const serviceDefaults = { minDelay: 60, maxDelay: 120 };
    const result = await (0, util_waiter_1.createWaiter)({ ...serviceDefaults, ...params }, input, checkState);
    return (0, util_waiter_1.checkExceptions)(result);
};
exports.waitUntilImageVersionCreated = waitUntilImageVersionCreated;
