"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.waitUntilNotebookInstanceInService = exports.waitForNotebookInstanceInService = void 0;
const util_waiter_1 = require("@aws-sdk/util-waiter");
const DescribeNotebookInstanceCommand_1 = require("../commands/DescribeNotebookInstanceCommand");
const checkState = async (client, input) => {
    let reason;
    try {
        const result = await client.send(new DescribeNotebookInstanceCommand_1.DescribeNotebookInstanceCommand(input));
        reason = result;
        try {
            const returnComparator = () => {
                return result.NotebookInstanceStatus;
            };
            if (returnComparator() === "InService") {
                return { state: util_waiter_1.WaiterState.SUCCESS, reason };
            }
        }
        catch (e) { }
        try {
            const returnComparator = () => {
                return result.NotebookInstanceStatus;
            };
            if (returnComparator() === "Failed") {
                return { state: util_waiter_1.WaiterState.FAILURE, reason };
            }
        }
        catch (e) { }
    }
    catch (exception) {
        reason = exception;
    }
    return { state: util_waiter_1.WaiterState.RETRY, reason };
};
const waitForNotebookInstanceInService = async (params, input) => {
    const serviceDefaults = { minDelay: 30, maxDelay: 120 };
    return (0, util_waiter_1.createWaiter)({ ...serviceDefaults, ...params }, input, checkState);
};
exports.waitForNotebookInstanceInService = waitForNotebookInstanceInService;
const waitUntilNotebookInstanceInService = async (params, input) => {
    const serviceDefaults = { minDelay: 30, maxDelay: 120 };
    const result = await (0, util_waiter_1.createWaiter)({ ...serviceDefaults, ...params }, input, checkState);
    return (0, util_waiter_1.checkExceptions)(result);
};
exports.waitUntilNotebookInstanceInService = waitUntilNotebookInstanceInService;
