"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.waitUntilTransformJobCompletedOrStopped = exports.waitForTransformJobCompletedOrStopped = void 0;
const util_waiter_1 = require("@aws-sdk/util-waiter");
const DescribeTransformJobCommand_1 = require("../commands/DescribeTransformJobCommand");
const checkState = async (client, input) => {
    let reason;
    try {
        const result = await client.send(new DescribeTransformJobCommand_1.DescribeTransformJobCommand(input));
        reason = result;
        try {
            const returnComparator = () => {
                return result.TransformJobStatus;
            };
            if (returnComparator() === "Completed") {
                return { state: util_waiter_1.WaiterState.SUCCESS, reason };
            }
        }
        catch (e) { }
        try {
            const returnComparator = () => {
                return result.TransformJobStatus;
            };
            if (returnComparator() === "Stopped") {
                return { state: util_waiter_1.WaiterState.SUCCESS, reason };
            }
        }
        catch (e) { }
        try {
            const returnComparator = () => {
                return result.TransformJobStatus;
            };
            if (returnComparator() === "Failed") {
                return { state: util_waiter_1.WaiterState.FAILURE, reason };
            }
        }
        catch (e) { }
    }
    catch (exception) {
        reason = exception;
        if (exception.name && exception.name == "ValidationException") {
            return { state: util_waiter_1.WaiterState.FAILURE, reason };
        }
    }
    return { state: util_waiter_1.WaiterState.RETRY, reason };
};
const waitForTransformJobCompletedOrStopped = async (params, input) => {
    const serviceDefaults = { minDelay: 60, maxDelay: 120 };
    return (0, util_waiter_1.createWaiter)({ ...serviceDefaults, ...params }, input, checkState);
};
exports.waitForTransformJobCompletedOrStopped = waitForTransformJobCompletedOrStopped;
const waitUntilTransformJobCompletedOrStopped = async (params, input) => {
    const serviceDefaults = { minDelay: 60, maxDelay: 120 };
    const result = await (0, util_waiter_1.createWaiter)({ ...serviceDefaults, ...params }, input, checkState);
    return (0, util_waiter_1.checkExceptions)(result);
};
exports.waitUntilTransformJobCompletedOrStopped = waitUntilTransformJobCompletedOrStopped;
