import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { AddAssociationRequest, AddAssociationResponse } from "../models/models_0";
import { deserializeAws_json1_1AddAssociationCommand, serializeAws_json1_1AddAssociationCommand, } from "../protocols/Aws_json1_1";
var AddAssociationCommand = (function (_super) {
    __extends(AddAssociationCommand, _super);
    function AddAssociationCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    AddAssociationCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "AddAssociationCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: AddAssociationRequest.filterSensitiveLog,
            outputFilterSensitiveLog: AddAssociationResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    AddAssociationCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1AddAssociationCommand(input, context);
    };
    AddAssociationCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1AddAssociationCommand(output, context);
    };
    return AddAssociationCommand;
}($Command));
export { AddAssociationCommand };
