import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { AssociateTrialComponentRequest, AssociateTrialComponentResponse } from "../models/models_0";
import { deserializeAws_json1_1AssociateTrialComponentCommand, serializeAws_json1_1AssociateTrialComponentCommand, } from "../protocols/Aws_json1_1";
var AssociateTrialComponentCommand = (function (_super) {
    __extends(AssociateTrialComponentCommand, _super);
    function AssociateTrialComponentCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    AssociateTrialComponentCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "AssociateTrialComponentCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: AssociateTrialComponentRequest.filterSensitiveLog,
            outputFilterSensitiveLog: AssociateTrialComponentResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    AssociateTrialComponentCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1AssociateTrialComponentCommand(input, context);
    };
    AssociateTrialComponentCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1AssociateTrialComponentCommand(output, context);
    };
    return AssociateTrialComponentCommand;
}($Command));
export { AssociateTrialComponentCommand };
