import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { BatchDescribeModelPackageInput, BatchDescribeModelPackageOutput } from "../models/models_0";
import { deserializeAws_json1_1BatchDescribeModelPackageCommand, serializeAws_json1_1BatchDescribeModelPackageCommand, } from "../protocols/Aws_json1_1";
var BatchDescribeModelPackageCommand = (function (_super) {
    __extends(BatchDescribeModelPackageCommand, _super);
    function BatchDescribeModelPackageCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    BatchDescribeModelPackageCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "BatchDescribeModelPackageCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: BatchDescribeModelPackageInput.filterSensitiveLog,
            outputFilterSensitiveLog: BatchDescribeModelPackageOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    BatchDescribeModelPackageCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1BatchDescribeModelPackageCommand(input, context);
    };
    BatchDescribeModelPackageCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1BatchDescribeModelPackageCommand(output, context);
    };
    return BatchDescribeModelPackageCommand;
}($Command));
export { BatchDescribeModelPackageCommand };
