import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateActionRequest, CreateActionResponse } from "../models/models_0";
import { deserializeAws_json1_1CreateActionCommand, serializeAws_json1_1CreateActionCommand, } from "../protocols/Aws_json1_1";
var CreateActionCommand = (function (_super) {
    __extends(CreateActionCommand, _super);
    function CreateActionCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateActionCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "CreateActionCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateActionRequest.filterSensitiveLog,
            outputFilterSensitiveLog: CreateActionResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateActionCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreateActionCommand(input, context);
    };
    CreateActionCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreateActionCommand(output, context);
    };
    return CreateActionCommand;
}($Command));
export { CreateActionCommand };
