import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateAlgorithmInput, CreateAlgorithmOutput } from "../models/models_0";
import { deserializeAws_json1_1CreateAlgorithmCommand, serializeAws_json1_1CreateAlgorithmCommand, } from "../protocols/Aws_json1_1";
var CreateAlgorithmCommand = (function (_super) {
    __extends(CreateAlgorithmCommand, _super);
    function CreateAlgorithmCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateAlgorithmCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "CreateAlgorithmCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateAlgorithmInput.filterSensitiveLog,
            outputFilterSensitiveLog: CreateAlgorithmOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateAlgorithmCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreateAlgorithmCommand(input, context);
    };
    CreateAlgorithmCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreateAlgorithmCommand(output, context);
    };
    return CreateAlgorithmCommand;
}($Command));
export { CreateAlgorithmCommand };
