import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateAppImageConfigRequest, CreateAppImageConfigResponse } from "../models/models_0";
import { deserializeAws_json1_1CreateAppImageConfigCommand, serializeAws_json1_1CreateAppImageConfigCommand, } from "../protocols/Aws_json1_1";
var CreateAppImageConfigCommand = (function (_super) {
    __extends(CreateAppImageConfigCommand, _super);
    function CreateAppImageConfigCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateAppImageConfigCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "CreateAppImageConfigCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateAppImageConfigRequest.filterSensitiveLog,
            outputFilterSensitiveLog: CreateAppImageConfigResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateAppImageConfigCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreateAppImageConfigCommand(input, context);
    };
    CreateAppImageConfigCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreateAppImageConfigCommand(output, context);
    };
    return CreateAppImageConfigCommand;
}($Command));
export { CreateAppImageConfigCommand };
