import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateArtifactRequest, CreateArtifactResponse } from "../models/models_0";
import { deserializeAws_json1_1CreateArtifactCommand, serializeAws_json1_1CreateArtifactCommand, } from "../protocols/Aws_json1_1";
var CreateArtifactCommand = (function (_super) {
    __extends(CreateArtifactCommand, _super);
    function CreateArtifactCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateArtifactCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "CreateArtifactCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateArtifactRequest.filterSensitiveLog,
            outputFilterSensitiveLog: CreateArtifactResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateArtifactCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreateArtifactCommand(input, context);
    };
    CreateArtifactCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreateArtifactCommand(output, context);
    };
    return CreateArtifactCommand;
}($Command));
export { CreateArtifactCommand };
