import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateCodeRepositoryInput, CreateCodeRepositoryOutput } from "../models/models_0";
import { deserializeAws_json1_1CreateCodeRepositoryCommand, serializeAws_json1_1CreateCodeRepositoryCommand, } from "../protocols/Aws_json1_1";
var CreateCodeRepositoryCommand = (function (_super) {
    __extends(CreateCodeRepositoryCommand, _super);
    function CreateCodeRepositoryCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateCodeRepositoryCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "CreateCodeRepositoryCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateCodeRepositoryInput.filterSensitiveLog,
            outputFilterSensitiveLog: CreateCodeRepositoryOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateCodeRepositoryCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreateCodeRepositoryCommand(input, context);
    };
    CreateCodeRepositoryCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreateCodeRepositoryCommand(output, context);
    };
    return CreateCodeRepositoryCommand;
}($Command));
export { CreateCodeRepositoryCommand };
