import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateContextRequest, CreateContextResponse } from "../models/models_0";
import { deserializeAws_json1_1CreateContextCommand, serializeAws_json1_1CreateContextCommand, } from "../protocols/Aws_json1_1";
var CreateContextCommand = (function (_super) {
    __extends(CreateContextCommand, _super);
    function CreateContextCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateContextCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "CreateContextCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateContextRequest.filterSensitiveLog,
            outputFilterSensitiveLog: CreateContextResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateContextCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreateContextCommand(input, context);
    };
    CreateContextCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreateContextCommand(output, context);
    };
    return CreateContextCommand;
}($Command));
export { CreateContextCommand };
