import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateDataQualityJobDefinitionRequest, CreateDataQualityJobDefinitionResponse } from "../models/models_0";
import { deserializeAws_json1_1CreateDataQualityJobDefinitionCommand, serializeAws_json1_1CreateDataQualityJobDefinitionCommand, } from "../protocols/Aws_json1_1";
var CreateDataQualityJobDefinitionCommand = (function (_super) {
    __extends(CreateDataQualityJobDefinitionCommand, _super);
    function CreateDataQualityJobDefinitionCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateDataQualityJobDefinitionCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "CreateDataQualityJobDefinitionCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateDataQualityJobDefinitionRequest.filterSensitiveLog,
            outputFilterSensitiveLog: CreateDataQualityJobDefinitionResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateDataQualityJobDefinitionCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreateDataQualityJobDefinitionCommand(input, context);
    };
    CreateDataQualityJobDefinitionCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreateDataQualityJobDefinitionCommand(output, context);
    };
    return CreateDataQualityJobDefinitionCommand;
}($Command));
export { CreateDataQualityJobDefinitionCommand };
