import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateDeviceFleetRequest } from "../models/models_0";
import { deserializeAws_json1_1CreateDeviceFleetCommand, serializeAws_json1_1CreateDeviceFleetCommand, } from "../protocols/Aws_json1_1";
var CreateDeviceFleetCommand = (function (_super) {
    __extends(CreateDeviceFleetCommand, _super);
    function CreateDeviceFleetCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateDeviceFleetCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "CreateDeviceFleetCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateDeviceFleetRequest.filterSensitiveLog,
            outputFilterSensitiveLog: function (output) { return output; },
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateDeviceFleetCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreateDeviceFleetCommand(input, context);
    };
    CreateDeviceFleetCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreateDeviceFleetCommand(output, context);
    };
    return CreateDeviceFleetCommand;
}($Command));
export { CreateDeviceFleetCommand };
