import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateEndpointConfigInput, CreateEndpointConfigOutput } from "../models/models_0";
import { deserializeAws_json1_1CreateEndpointConfigCommand, serializeAws_json1_1CreateEndpointConfigCommand, } from "../protocols/Aws_json1_1";
var CreateEndpointConfigCommand = (function (_super) {
    __extends(CreateEndpointConfigCommand, _super);
    function CreateEndpointConfigCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateEndpointConfigCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "CreateEndpointConfigCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateEndpointConfigInput.filterSensitiveLog,
            outputFilterSensitiveLog: CreateEndpointConfigOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateEndpointConfigCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreateEndpointConfigCommand(input, context);
    };
    CreateEndpointConfigCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreateEndpointConfigCommand(output, context);
    };
    return CreateEndpointConfigCommand;
}($Command));
export { CreateEndpointConfigCommand };
