import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateExperimentRequest, CreateExperimentResponse } from "../models/models_0";
import { deserializeAws_json1_1CreateExperimentCommand, serializeAws_json1_1CreateExperimentCommand, } from "../protocols/Aws_json1_1";
var CreateExperimentCommand = (function (_super) {
    __extends(CreateExperimentCommand, _super);
    function CreateExperimentCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateExperimentCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "CreateExperimentCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateExperimentRequest.filterSensitiveLog,
            outputFilterSensitiveLog: CreateExperimentResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateExperimentCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreateExperimentCommand(input, context);
    };
    CreateExperimentCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreateExperimentCommand(output, context);
    };
    return CreateExperimentCommand;
}($Command));
export { CreateExperimentCommand };
