import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateInferenceRecommendationsJobRequest, CreateInferenceRecommendationsJobResponse, } from "../models/models_1";
import { deserializeAws_json1_1CreateInferenceRecommendationsJobCommand, serializeAws_json1_1CreateInferenceRecommendationsJobCommand, } from "../protocols/Aws_json1_1";
var CreateInferenceRecommendationsJobCommand = (function (_super) {
    __extends(CreateInferenceRecommendationsJobCommand, _super);
    function CreateInferenceRecommendationsJobCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateInferenceRecommendationsJobCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "CreateInferenceRecommendationsJobCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateInferenceRecommendationsJobRequest.filterSensitiveLog,
            outputFilterSensitiveLog: CreateInferenceRecommendationsJobResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateInferenceRecommendationsJobCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreateInferenceRecommendationsJobCommand(input, context);
    };
    CreateInferenceRecommendationsJobCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreateInferenceRecommendationsJobCommand(output, context);
    };
    return CreateInferenceRecommendationsJobCommand;
}($Command));
export { CreateInferenceRecommendationsJobCommand };
