import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateLabelingJobRequest, CreateLabelingJobResponse } from "../models/models_1";
import { deserializeAws_json1_1CreateLabelingJobCommand, serializeAws_json1_1CreateLabelingJobCommand, } from "../protocols/Aws_json1_1";
var CreateLabelingJobCommand = (function (_super) {
    __extends(CreateLabelingJobCommand, _super);
    function CreateLabelingJobCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateLabelingJobCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "CreateLabelingJobCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateLabelingJobRequest.filterSensitiveLog,
            outputFilterSensitiveLog: CreateLabelingJobResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateLabelingJobCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreateLabelingJobCommand(input, context);
    };
    CreateLabelingJobCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreateLabelingJobCommand(output, context);
    };
    return CreateLabelingJobCommand;
}($Command));
export { CreateLabelingJobCommand };
