import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateModelBiasJobDefinitionRequest, CreateModelBiasJobDefinitionResponse } from "../models/models_1";
import { deserializeAws_json1_1CreateModelBiasJobDefinitionCommand, serializeAws_json1_1CreateModelBiasJobDefinitionCommand, } from "../protocols/Aws_json1_1";
var CreateModelBiasJobDefinitionCommand = (function (_super) {
    __extends(CreateModelBiasJobDefinitionCommand, _super);
    function CreateModelBiasJobDefinitionCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateModelBiasJobDefinitionCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "CreateModelBiasJobDefinitionCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateModelBiasJobDefinitionRequest.filterSensitiveLog,
            outputFilterSensitiveLog: CreateModelBiasJobDefinitionResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateModelBiasJobDefinitionCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreateModelBiasJobDefinitionCommand(input, context);
    };
    CreateModelBiasJobDefinitionCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreateModelBiasJobDefinitionCommand(output, context);
    };
    return CreateModelBiasJobDefinitionCommand;
}($Command));
export { CreateModelBiasJobDefinitionCommand };
