import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateModelInput, CreateModelOutput } from "../models/models_1";
import { deserializeAws_json1_1CreateModelCommand, serializeAws_json1_1CreateModelCommand, } from "../protocols/Aws_json1_1";
var CreateModelCommand = (function (_super) {
    __extends(CreateModelCommand, _super);
    function CreateModelCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateModelCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "CreateModelCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateModelInput.filterSensitiveLog,
            outputFilterSensitiveLog: CreateModelOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateModelCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreateModelCommand(input, context);
    };
    CreateModelCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreateModelCommand(output, context);
    };
    return CreateModelCommand;
}($Command));
export { CreateModelCommand };
