import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateModelExplainabilityJobDefinitionRequest, CreateModelExplainabilityJobDefinitionResponse, } from "../models/models_1";
import { deserializeAws_json1_1CreateModelExplainabilityJobDefinitionCommand, serializeAws_json1_1CreateModelExplainabilityJobDefinitionCommand, } from "../protocols/Aws_json1_1";
var CreateModelExplainabilityJobDefinitionCommand = (function (_super) {
    __extends(CreateModelExplainabilityJobDefinitionCommand, _super);
    function CreateModelExplainabilityJobDefinitionCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateModelExplainabilityJobDefinitionCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "CreateModelExplainabilityJobDefinitionCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateModelExplainabilityJobDefinitionRequest.filterSensitiveLog,
            outputFilterSensitiveLog: CreateModelExplainabilityJobDefinitionResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateModelExplainabilityJobDefinitionCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreateModelExplainabilityJobDefinitionCommand(input, context);
    };
    CreateModelExplainabilityJobDefinitionCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreateModelExplainabilityJobDefinitionCommand(output, context);
    };
    return CreateModelExplainabilityJobDefinitionCommand;
}($Command));
export { CreateModelExplainabilityJobDefinitionCommand };
