import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateModelPackageInput, CreateModelPackageOutput } from "../models/models_1";
import { deserializeAws_json1_1CreateModelPackageCommand, serializeAws_json1_1CreateModelPackageCommand, } from "../protocols/Aws_json1_1";
var CreateModelPackageCommand = (function (_super) {
    __extends(CreateModelPackageCommand, _super);
    function CreateModelPackageCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateModelPackageCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "CreateModelPackageCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateModelPackageInput.filterSensitiveLog,
            outputFilterSensitiveLog: CreateModelPackageOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateModelPackageCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreateModelPackageCommand(input, context);
    };
    CreateModelPackageCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreateModelPackageCommand(output, context);
    };
    return CreateModelPackageCommand;
}($Command));
export { CreateModelPackageCommand };
