import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateModelPackageGroupInput, CreateModelPackageGroupOutput } from "../models/models_1";
import { deserializeAws_json1_1CreateModelPackageGroupCommand, serializeAws_json1_1CreateModelPackageGroupCommand, } from "../protocols/Aws_json1_1";
var CreateModelPackageGroupCommand = (function (_super) {
    __extends(CreateModelPackageGroupCommand, _super);
    function CreateModelPackageGroupCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateModelPackageGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "CreateModelPackageGroupCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateModelPackageGroupInput.filterSensitiveLog,
            outputFilterSensitiveLog: CreateModelPackageGroupOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateModelPackageGroupCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreateModelPackageGroupCommand(input, context);
    };
    CreateModelPackageGroupCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreateModelPackageGroupCommand(output, context);
    };
    return CreateModelPackageGroupCommand;
}($Command));
export { CreateModelPackageGroupCommand };
