import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateModelQualityJobDefinitionRequest, CreateModelQualityJobDefinitionResponse } from "../models/models_1";
import { deserializeAws_json1_1CreateModelQualityJobDefinitionCommand, serializeAws_json1_1CreateModelQualityJobDefinitionCommand, } from "../protocols/Aws_json1_1";
var CreateModelQualityJobDefinitionCommand = (function (_super) {
    __extends(CreateModelQualityJobDefinitionCommand, _super);
    function CreateModelQualityJobDefinitionCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateModelQualityJobDefinitionCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "CreateModelQualityJobDefinitionCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateModelQualityJobDefinitionRequest.filterSensitiveLog,
            outputFilterSensitiveLog: CreateModelQualityJobDefinitionResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateModelQualityJobDefinitionCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreateModelQualityJobDefinitionCommand(input, context);
    };
    CreateModelQualityJobDefinitionCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreateModelQualityJobDefinitionCommand(output, context);
    };
    return CreateModelQualityJobDefinitionCommand;
}($Command));
export { CreateModelQualityJobDefinitionCommand };
