import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateMonitoringScheduleRequest, CreateMonitoringScheduleResponse } from "../models/models_1";
import { deserializeAws_json1_1CreateMonitoringScheduleCommand, serializeAws_json1_1CreateMonitoringScheduleCommand, } from "../protocols/Aws_json1_1";
var CreateMonitoringScheduleCommand = (function (_super) {
    __extends(CreateMonitoringScheduleCommand, _super);
    function CreateMonitoringScheduleCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateMonitoringScheduleCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "CreateMonitoringScheduleCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateMonitoringScheduleRequest.filterSensitiveLog,
            outputFilterSensitiveLog: CreateMonitoringScheduleResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateMonitoringScheduleCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreateMonitoringScheduleCommand(input, context);
    };
    CreateMonitoringScheduleCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreateMonitoringScheduleCommand(output, context);
    };
    return CreateMonitoringScheduleCommand;
}($Command));
export { CreateMonitoringScheduleCommand };
