import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateNotebookInstanceInput, CreateNotebookInstanceOutput } from "../models/models_1";
import { deserializeAws_json1_1CreateNotebookInstanceCommand, serializeAws_json1_1CreateNotebookInstanceCommand, } from "../protocols/Aws_json1_1";
var CreateNotebookInstanceCommand = (function (_super) {
    __extends(CreateNotebookInstanceCommand, _super);
    function CreateNotebookInstanceCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateNotebookInstanceCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "CreateNotebookInstanceCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateNotebookInstanceInput.filterSensitiveLog,
            outputFilterSensitiveLog: CreateNotebookInstanceOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateNotebookInstanceCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreateNotebookInstanceCommand(input, context);
    };
    CreateNotebookInstanceCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreateNotebookInstanceCommand(output, context);
    };
    return CreateNotebookInstanceCommand;
}($Command));
export { CreateNotebookInstanceCommand };
