import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreatePresignedDomainUrlRequest, CreatePresignedDomainUrlResponse } from "../models/models_1";
import { deserializeAws_json1_1CreatePresignedDomainUrlCommand, serializeAws_json1_1CreatePresignedDomainUrlCommand, } from "../protocols/Aws_json1_1";
var CreatePresignedDomainUrlCommand = (function (_super) {
    __extends(CreatePresignedDomainUrlCommand, _super);
    function CreatePresignedDomainUrlCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreatePresignedDomainUrlCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "CreatePresignedDomainUrlCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreatePresignedDomainUrlRequest.filterSensitiveLog,
            outputFilterSensitiveLog: CreatePresignedDomainUrlResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreatePresignedDomainUrlCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreatePresignedDomainUrlCommand(input, context);
    };
    CreatePresignedDomainUrlCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreatePresignedDomainUrlCommand(output, context);
    };
    return CreatePresignedDomainUrlCommand;
}($Command));
export { CreatePresignedDomainUrlCommand };
