import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreatePresignedNotebookInstanceUrlInput, CreatePresignedNotebookInstanceUrlOutput } from "../models/models_1";
import { deserializeAws_json1_1CreatePresignedNotebookInstanceUrlCommand, serializeAws_json1_1CreatePresignedNotebookInstanceUrlCommand, } from "../protocols/Aws_json1_1";
var CreatePresignedNotebookInstanceUrlCommand = (function (_super) {
    __extends(CreatePresignedNotebookInstanceUrlCommand, _super);
    function CreatePresignedNotebookInstanceUrlCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreatePresignedNotebookInstanceUrlCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "CreatePresignedNotebookInstanceUrlCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreatePresignedNotebookInstanceUrlInput.filterSensitiveLog,
            outputFilterSensitiveLog: CreatePresignedNotebookInstanceUrlOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreatePresignedNotebookInstanceUrlCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreatePresignedNotebookInstanceUrlCommand(input, context);
    };
    CreatePresignedNotebookInstanceUrlCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreatePresignedNotebookInstanceUrlCommand(output, context);
    };
    return CreatePresignedNotebookInstanceUrlCommand;
}($Command));
export { CreatePresignedNotebookInstanceUrlCommand };
