import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateProcessingJobRequest, CreateProcessingJobResponse } from "../models/models_1";
import { deserializeAws_json1_1CreateProcessingJobCommand, serializeAws_json1_1CreateProcessingJobCommand, } from "../protocols/Aws_json1_1";
var CreateProcessingJobCommand = (function (_super) {
    __extends(CreateProcessingJobCommand, _super);
    function CreateProcessingJobCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateProcessingJobCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "CreateProcessingJobCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateProcessingJobRequest.filterSensitiveLog,
            outputFilterSensitiveLog: CreateProcessingJobResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateProcessingJobCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreateProcessingJobCommand(input, context);
    };
    CreateProcessingJobCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreateProcessingJobCommand(output, context);
    };
    return CreateProcessingJobCommand;
}($Command));
export { CreateProcessingJobCommand };
