import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateStudioLifecycleConfigRequest, CreateStudioLifecycleConfigResponse } from "../models/models_1";
import { deserializeAws_json1_1CreateStudioLifecycleConfigCommand, serializeAws_json1_1CreateStudioLifecycleConfigCommand, } from "../protocols/Aws_json1_1";
var CreateStudioLifecycleConfigCommand = (function (_super) {
    __extends(CreateStudioLifecycleConfigCommand, _super);
    function CreateStudioLifecycleConfigCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateStudioLifecycleConfigCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "CreateStudioLifecycleConfigCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateStudioLifecycleConfigRequest.filterSensitiveLog,
            outputFilterSensitiveLog: CreateStudioLifecycleConfigResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateStudioLifecycleConfigCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreateStudioLifecycleConfigCommand(input, context);
    };
    CreateStudioLifecycleConfigCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreateStudioLifecycleConfigCommand(output, context);
    };
    return CreateStudioLifecycleConfigCommand;
}($Command));
export { CreateStudioLifecycleConfigCommand };
