import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateTrainingJobRequest, CreateTrainingJobResponse } from "../models/models_1";
import { deserializeAws_json1_1CreateTrainingJobCommand, serializeAws_json1_1CreateTrainingJobCommand, } from "../protocols/Aws_json1_1";
var CreateTrainingJobCommand = (function (_super) {
    __extends(CreateTrainingJobCommand, _super);
    function CreateTrainingJobCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateTrainingJobCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "CreateTrainingJobCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateTrainingJobRequest.filterSensitiveLog,
            outputFilterSensitiveLog: CreateTrainingJobResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateTrainingJobCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreateTrainingJobCommand(input, context);
    };
    CreateTrainingJobCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreateTrainingJobCommand(output, context);
    };
    return CreateTrainingJobCommand;
}($Command));
export { CreateTrainingJobCommand };
