import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateTransformJobRequest, CreateTransformJobResponse } from "../models/models_1";
import { deserializeAws_json1_1CreateTransformJobCommand, serializeAws_json1_1CreateTransformJobCommand, } from "../protocols/Aws_json1_1";
var CreateTransformJobCommand = (function (_super) {
    __extends(CreateTransformJobCommand, _super);
    function CreateTransformJobCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateTransformJobCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "CreateTransformJobCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateTransformJobRequest.filterSensitiveLog,
            outputFilterSensitiveLog: CreateTransformJobResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateTransformJobCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreateTransformJobCommand(input, context);
    };
    CreateTransformJobCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreateTransformJobCommand(output, context);
    };
    return CreateTransformJobCommand;
}($Command));
export { CreateTransformJobCommand };
