import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateTrialRequest, CreateTrialResponse } from "../models/models_1";
import { deserializeAws_json1_1CreateTrialCommand, serializeAws_json1_1CreateTrialCommand, } from "../protocols/Aws_json1_1";
var CreateTrialCommand = (function (_super) {
    __extends(CreateTrialCommand, _super);
    function CreateTrialCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateTrialCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "CreateTrialCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateTrialRequest.filterSensitiveLog,
            outputFilterSensitiveLog: CreateTrialResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateTrialCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreateTrialCommand(input, context);
    };
    CreateTrialCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreateTrialCommand(output, context);
    };
    return CreateTrialCommand;
}($Command));
export { CreateTrialCommand };
