import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateTrialComponentRequest, CreateTrialComponentResponse } from "../models/models_1";
import { deserializeAws_json1_1CreateTrialComponentCommand, serializeAws_json1_1CreateTrialComponentCommand, } from "../protocols/Aws_json1_1";
var CreateTrialComponentCommand = (function (_super) {
    __extends(CreateTrialComponentCommand, _super);
    function CreateTrialComponentCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateTrialComponentCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "CreateTrialComponentCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateTrialComponentRequest.filterSensitiveLog,
            outputFilterSensitiveLog: CreateTrialComponentResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateTrialComponentCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreateTrialComponentCommand(input, context);
    };
    CreateTrialComponentCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreateTrialComponentCommand(output, context);
    };
    return CreateTrialComponentCommand;
}($Command));
export { CreateTrialComponentCommand };
