import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateUserProfileRequest, CreateUserProfileResponse } from "../models/models_1";
import { deserializeAws_json1_1CreateUserProfileCommand, serializeAws_json1_1CreateUserProfileCommand, } from "../protocols/Aws_json1_1";
var CreateUserProfileCommand = (function (_super) {
    __extends(CreateUserProfileCommand, _super);
    function CreateUserProfileCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateUserProfileCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "CreateUserProfileCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateUserProfileRequest.filterSensitiveLog,
            outputFilterSensitiveLog: CreateUserProfileResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateUserProfileCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreateUserProfileCommand(input, context);
    };
    CreateUserProfileCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreateUserProfileCommand(output, context);
    };
    return CreateUserProfileCommand;
}($Command));
export { CreateUserProfileCommand };
