import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateWorkforceRequest, CreateWorkforceResponse } from "../models/models_1";
import { deserializeAws_json1_1CreateWorkforceCommand, serializeAws_json1_1CreateWorkforceCommand, } from "../protocols/Aws_json1_1";
var CreateWorkforceCommand = (function (_super) {
    __extends(CreateWorkforceCommand, _super);
    function CreateWorkforceCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateWorkforceCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "CreateWorkforceCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateWorkforceRequest.filterSensitiveLog,
            outputFilterSensitiveLog: CreateWorkforceResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateWorkforceCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreateWorkforceCommand(input, context);
    };
    CreateWorkforceCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreateWorkforceCommand(output, context);
    };
    return CreateWorkforceCommand;
}($Command));
export { CreateWorkforceCommand };
