import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DeleteActionRequest, DeleteActionResponse } from "../models/models_1";
import { deserializeAws_json1_1DeleteActionCommand, serializeAws_json1_1DeleteActionCommand, } from "../protocols/Aws_json1_1";
var DeleteActionCommand = (function (_super) {
    __extends(DeleteActionCommand, _super);
    function DeleteActionCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DeleteActionCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DeleteActionCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DeleteActionRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DeleteActionResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DeleteActionCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DeleteActionCommand(input, context);
    };
    DeleteActionCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DeleteActionCommand(output, context);
    };
    return DeleteActionCommand;
}($Command));
export { DeleteActionCommand };
