import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DeleteAppImageConfigRequest } from "../models/models_1";
import { deserializeAws_json1_1DeleteAppImageConfigCommand, serializeAws_json1_1DeleteAppImageConfigCommand, } from "../protocols/Aws_json1_1";
var DeleteAppImageConfigCommand = (function (_super) {
    __extends(DeleteAppImageConfigCommand, _super);
    function DeleteAppImageConfigCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DeleteAppImageConfigCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DeleteAppImageConfigCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DeleteAppImageConfigRequest.filterSensitiveLog,
            outputFilterSensitiveLog: function (output) { return output; },
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DeleteAppImageConfigCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DeleteAppImageConfigCommand(input, context);
    };
    DeleteAppImageConfigCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DeleteAppImageConfigCommand(output, context);
    };
    return DeleteAppImageConfigCommand;
}($Command));
export { DeleteAppImageConfigCommand };
