import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DeleteArtifactRequest, DeleteArtifactResponse } from "../models/models_1";
import { deserializeAws_json1_1DeleteArtifactCommand, serializeAws_json1_1DeleteArtifactCommand, } from "../protocols/Aws_json1_1";
var DeleteArtifactCommand = (function (_super) {
    __extends(DeleteArtifactCommand, _super);
    function DeleteArtifactCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DeleteArtifactCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DeleteArtifactCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DeleteArtifactRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DeleteArtifactResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DeleteArtifactCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DeleteArtifactCommand(input, context);
    };
    DeleteArtifactCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DeleteArtifactCommand(output, context);
    };
    return DeleteArtifactCommand;
}($Command));
export { DeleteArtifactCommand };
