import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DeleteContextRequest, DeleteContextResponse } from "../models/models_1";
import { deserializeAws_json1_1DeleteContextCommand, serializeAws_json1_1DeleteContextCommand, } from "../protocols/Aws_json1_1";
var DeleteContextCommand = (function (_super) {
    __extends(DeleteContextCommand, _super);
    function DeleteContextCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DeleteContextCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DeleteContextCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DeleteContextRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DeleteContextResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DeleteContextCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DeleteContextCommand(input, context);
    };
    DeleteContextCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DeleteContextCommand(output, context);
    };
    return DeleteContextCommand;
}($Command));
export { DeleteContextCommand };
