import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DeleteExperimentRequest, DeleteExperimentResponse } from "../models/models_1";
import { deserializeAws_json1_1DeleteExperimentCommand, serializeAws_json1_1DeleteExperimentCommand, } from "../protocols/Aws_json1_1";
var DeleteExperimentCommand = (function (_super) {
    __extends(DeleteExperimentCommand, _super);
    function DeleteExperimentCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DeleteExperimentCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DeleteExperimentCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DeleteExperimentRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DeleteExperimentResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DeleteExperimentCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DeleteExperimentCommand(input, context);
    };
    DeleteExperimentCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DeleteExperimentCommand(output, context);
    };
    return DeleteExperimentCommand;
}($Command));
export { DeleteExperimentCommand };
