import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DeleteFlowDefinitionRequest, DeleteFlowDefinitionResponse } from "../models/models_1";
import { deserializeAws_json1_1DeleteFlowDefinitionCommand, serializeAws_json1_1DeleteFlowDefinitionCommand, } from "../protocols/Aws_json1_1";
var DeleteFlowDefinitionCommand = (function (_super) {
    __extends(DeleteFlowDefinitionCommand, _super);
    function DeleteFlowDefinitionCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DeleteFlowDefinitionCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DeleteFlowDefinitionCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DeleteFlowDefinitionRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DeleteFlowDefinitionResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DeleteFlowDefinitionCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DeleteFlowDefinitionCommand(input, context);
    };
    DeleteFlowDefinitionCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DeleteFlowDefinitionCommand(output, context);
    };
    return DeleteFlowDefinitionCommand;
}($Command));
export { DeleteFlowDefinitionCommand };
