import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DeleteHumanTaskUiRequest, DeleteHumanTaskUiResponse } from "../models/models_1";
import { deserializeAws_json1_1DeleteHumanTaskUiCommand, serializeAws_json1_1DeleteHumanTaskUiCommand, } from "../protocols/Aws_json1_1";
var DeleteHumanTaskUiCommand = (function (_super) {
    __extends(DeleteHumanTaskUiCommand, _super);
    function DeleteHumanTaskUiCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DeleteHumanTaskUiCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DeleteHumanTaskUiCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DeleteHumanTaskUiRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DeleteHumanTaskUiResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DeleteHumanTaskUiCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DeleteHumanTaskUiCommand(input, context);
    };
    DeleteHumanTaskUiCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DeleteHumanTaskUiCommand(output, context);
    };
    return DeleteHumanTaskUiCommand;
}($Command));
export { DeleteHumanTaskUiCommand };
