import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DeleteImageVersionRequest, DeleteImageVersionResponse } from "../models/models_1";
import { deserializeAws_json1_1DeleteImageVersionCommand, serializeAws_json1_1DeleteImageVersionCommand, } from "../protocols/Aws_json1_1";
var DeleteImageVersionCommand = (function (_super) {
    __extends(DeleteImageVersionCommand, _super);
    function DeleteImageVersionCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DeleteImageVersionCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DeleteImageVersionCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DeleteImageVersionRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DeleteImageVersionResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DeleteImageVersionCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DeleteImageVersionCommand(input, context);
    };
    DeleteImageVersionCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DeleteImageVersionCommand(output, context);
    };
    return DeleteImageVersionCommand;
}($Command));
export { DeleteImageVersionCommand };
