import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DeleteModelExplainabilityJobDefinitionRequest } from "../models/models_1";
import { deserializeAws_json1_1DeleteModelExplainabilityJobDefinitionCommand, serializeAws_json1_1DeleteModelExplainabilityJobDefinitionCommand, } from "../protocols/Aws_json1_1";
var DeleteModelExplainabilityJobDefinitionCommand = (function (_super) {
    __extends(DeleteModelExplainabilityJobDefinitionCommand, _super);
    function DeleteModelExplainabilityJobDefinitionCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DeleteModelExplainabilityJobDefinitionCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DeleteModelExplainabilityJobDefinitionCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DeleteModelExplainabilityJobDefinitionRequest.filterSensitiveLog,
            outputFilterSensitiveLog: function (output) { return output; },
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DeleteModelExplainabilityJobDefinitionCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DeleteModelExplainabilityJobDefinitionCommand(input, context);
    };
    DeleteModelExplainabilityJobDefinitionCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DeleteModelExplainabilityJobDefinitionCommand(output, context);
    };
    return DeleteModelExplainabilityJobDefinitionCommand;
}($Command));
export { DeleteModelExplainabilityJobDefinitionCommand };
