import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DeleteModelPackageGroupPolicyInput } from "../models/models_1";
import { deserializeAws_json1_1DeleteModelPackageGroupPolicyCommand, serializeAws_json1_1DeleteModelPackageGroupPolicyCommand, } from "../protocols/Aws_json1_1";
var DeleteModelPackageGroupPolicyCommand = (function (_super) {
    __extends(DeleteModelPackageGroupPolicyCommand, _super);
    function DeleteModelPackageGroupPolicyCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DeleteModelPackageGroupPolicyCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DeleteModelPackageGroupPolicyCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DeleteModelPackageGroupPolicyInput.filterSensitiveLog,
            outputFilterSensitiveLog: function (output) { return output; },
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DeleteModelPackageGroupPolicyCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DeleteModelPackageGroupPolicyCommand(input, context);
    };
    DeleteModelPackageGroupPolicyCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DeleteModelPackageGroupPolicyCommand(output, context);
    };
    return DeleteModelPackageGroupPolicyCommand;
}($Command));
export { DeleteModelPackageGroupPolicyCommand };
