import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DeleteMonitoringScheduleRequest } from "../models/models_1";
import { deserializeAws_json1_1DeleteMonitoringScheduleCommand, serializeAws_json1_1DeleteMonitoringScheduleCommand, } from "../protocols/Aws_json1_1";
var DeleteMonitoringScheduleCommand = (function (_super) {
    __extends(DeleteMonitoringScheduleCommand, _super);
    function DeleteMonitoringScheduleCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DeleteMonitoringScheduleCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DeleteMonitoringScheduleCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DeleteMonitoringScheduleRequest.filterSensitiveLog,
            outputFilterSensitiveLog: function (output) { return output; },
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DeleteMonitoringScheduleCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DeleteMonitoringScheduleCommand(input, context);
    };
    DeleteMonitoringScheduleCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DeleteMonitoringScheduleCommand(output, context);
    };
    return DeleteMonitoringScheduleCommand;
}($Command));
export { DeleteMonitoringScheduleCommand };
