import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DeleteTrialRequest, DeleteTrialResponse } from "../models/models_1";
import { deserializeAws_json1_1DeleteTrialCommand, serializeAws_json1_1DeleteTrialCommand, } from "../protocols/Aws_json1_1";
var DeleteTrialCommand = (function (_super) {
    __extends(DeleteTrialCommand, _super);
    function DeleteTrialCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DeleteTrialCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DeleteTrialCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DeleteTrialRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DeleteTrialResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DeleteTrialCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DeleteTrialCommand(input, context);
    };
    DeleteTrialCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DeleteTrialCommand(output, context);
    };
    return DeleteTrialCommand;
}($Command));
export { DeleteTrialCommand };
