import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DeleteTrialComponentRequest, DeleteTrialComponentResponse } from "../models/models_1";
import { deserializeAws_json1_1DeleteTrialComponentCommand, serializeAws_json1_1DeleteTrialComponentCommand, } from "../protocols/Aws_json1_1";
var DeleteTrialComponentCommand = (function (_super) {
    __extends(DeleteTrialComponentCommand, _super);
    function DeleteTrialComponentCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DeleteTrialComponentCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DeleteTrialComponentCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DeleteTrialComponentRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DeleteTrialComponentResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DeleteTrialComponentCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DeleteTrialComponentCommand(input, context);
    };
    DeleteTrialComponentCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DeleteTrialComponentCommand(output, context);
    };
    return DeleteTrialComponentCommand;
}($Command));
export { DeleteTrialComponentCommand };
