import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DeleteUserProfileRequest } from "../models/models_1";
import { deserializeAws_json1_1DeleteUserProfileCommand, serializeAws_json1_1DeleteUserProfileCommand, } from "../protocols/Aws_json1_1";
var DeleteUserProfileCommand = (function (_super) {
    __extends(DeleteUserProfileCommand, _super);
    function DeleteUserProfileCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DeleteUserProfileCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DeleteUserProfileCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DeleteUserProfileRequest.filterSensitiveLog,
            outputFilterSensitiveLog: function (output) { return output; },
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DeleteUserProfileCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DeleteUserProfileCommand(input, context);
    };
    DeleteUserProfileCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DeleteUserProfileCommand(output, context);
    };
    return DeleteUserProfileCommand;
}($Command));
export { DeleteUserProfileCommand };
