import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DeleteWorkforceRequest, DeleteWorkforceResponse } from "../models/models_1";
import { deserializeAws_json1_1DeleteWorkforceCommand, serializeAws_json1_1DeleteWorkforceCommand, } from "../protocols/Aws_json1_1";
var DeleteWorkforceCommand = (function (_super) {
    __extends(DeleteWorkforceCommand, _super);
    function DeleteWorkforceCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DeleteWorkforceCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DeleteWorkforceCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DeleteWorkforceRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DeleteWorkforceResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DeleteWorkforceCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DeleteWorkforceCommand(input, context);
    };
    DeleteWorkforceCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DeleteWorkforceCommand(output, context);
    };
    return DeleteWorkforceCommand;
}($Command));
export { DeleteWorkforceCommand };
