import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DeregisterDevicesRequest } from "../models/models_1";
import { deserializeAws_json1_1DeregisterDevicesCommand, serializeAws_json1_1DeregisterDevicesCommand, } from "../protocols/Aws_json1_1";
var DeregisterDevicesCommand = (function (_super) {
    __extends(DeregisterDevicesCommand, _super);
    function DeregisterDevicesCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DeregisterDevicesCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DeregisterDevicesCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DeregisterDevicesRequest.filterSensitiveLog,
            outputFilterSensitiveLog: function (output) { return output; },
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DeregisterDevicesCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DeregisterDevicesCommand(input, context);
    };
    DeregisterDevicesCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DeregisterDevicesCommand(output, context);
    };
    return DeregisterDevicesCommand;
}($Command));
export { DeregisterDevicesCommand };
