import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeActionRequest, DescribeActionResponse } from "../models/models_1";
import { deserializeAws_json1_1DescribeActionCommand, serializeAws_json1_1DescribeActionCommand, } from "../protocols/Aws_json1_1";
var DescribeActionCommand = (function (_super) {
    __extends(DescribeActionCommand, _super);
    function DescribeActionCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeActionCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DescribeActionCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeActionRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeActionResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeActionCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeActionCommand(input, context);
    };
    DescribeActionCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeActionCommand(output, context);
    };
    return DescribeActionCommand;
}($Command));
export { DescribeActionCommand };
