import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeAlgorithmInput, DescribeAlgorithmOutput } from "../models/models_1";
import { deserializeAws_json1_1DescribeAlgorithmCommand, serializeAws_json1_1DescribeAlgorithmCommand, } from "../protocols/Aws_json1_1";
var DescribeAlgorithmCommand = (function (_super) {
    __extends(DescribeAlgorithmCommand, _super);
    function DescribeAlgorithmCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeAlgorithmCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DescribeAlgorithmCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeAlgorithmInput.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeAlgorithmOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeAlgorithmCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeAlgorithmCommand(input, context);
    };
    DescribeAlgorithmCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeAlgorithmCommand(output, context);
    };
    return DescribeAlgorithmCommand;
}($Command));
export { DescribeAlgorithmCommand };
