import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeAppRequest, DescribeAppResponse } from "../models/models_1";
import { deserializeAws_json1_1DescribeAppCommand, serializeAws_json1_1DescribeAppCommand, } from "../protocols/Aws_json1_1";
var DescribeAppCommand = (function (_super) {
    __extends(DescribeAppCommand, _super);
    function DescribeAppCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeAppCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DescribeAppCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeAppRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeAppResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeAppCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeAppCommand(input, context);
    };
    DescribeAppCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeAppCommand(output, context);
    };
    return DescribeAppCommand;
}($Command));
export { DescribeAppCommand };
