import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeAppImageConfigRequest, DescribeAppImageConfigResponse } from "../models/models_1";
import { deserializeAws_json1_1DescribeAppImageConfigCommand, serializeAws_json1_1DescribeAppImageConfigCommand, } from "../protocols/Aws_json1_1";
var DescribeAppImageConfigCommand = (function (_super) {
    __extends(DescribeAppImageConfigCommand, _super);
    function DescribeAppImageConfigCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeAppImageConfigCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DescribeAppImageConfigCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeAppImageConfigRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeAppImageConfigResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeAppImageConfigCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeAppImageConfigCommand(input, context);
    };
    DescribeAppImageConfigCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeAppImageConfigCommand(output, context);
    };
    return DescribeAppImageConfigCommand;
}($Command));
export { DescribeAppImageConfigCommand };
