import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeArtifactRequest, DescribeArtifactResponse } from "../models/models_1";
import { deserializeAws_json1_1DescribeArtifactCommand, serializeAws_json1_1DescribeArtifactCommand, } from "../protocols/Aws_json1_1";
var DescribeArtifactCommand = (function (_super) {
    __extends(DescribeArtifactCommand, _super);
    function DescribeArtifactCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeArtifactCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DescribeArtifactCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeArtifactRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeArtifactResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeArtifactCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeArtifactCommand(input, context);
    };
    DescribeArtifactCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeArtifactCommand(output, context);
    };
    return DescribeArtifactCommand;
}($Command));
export { DescribeArtifactCommand };
