import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeAutoMLJobRequest, DescribeAutoMLJobResponse } from "../models/models_1";
import { deserializeAws_json1_1DescribeAutoMLJobCommand, serializeAws_json1_1DescribeAutoMLJobCommand, } from "../protocols/Aws_json1_1";
var DescribeAutoMLJobCommand = (function (_super) {
    __extends(DescribeAutoMLJobCommand, _super);
    function DescribeAutoMLJobCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeAutoMLJobCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DescribeAutoMLJobCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeAutoMLJobRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeAutoMLJobResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeAutoMLJobCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeAutoMLJobCommand(input, context);
    };
    DescribeAutoMLJobCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeAutoMLJobCommand(output, context);
    };
    return DescribeAutoMLJobCommand;
}($Command));
export { DescribeAutoMLJobCommand };
