import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeCodeRepositoryInput, DescribeCodeRepositoryOutput } from "../models/models_1";
import { deserializeAws_json1_1DescribeCodeRepositoryCommand, serializeAws_json1_1DescribeCodeRepositoryCommand, } from "../protocols/Aws_json1_1";
var DescribeCodeRepositoryCommand = (function (_super) {
    __extends(DescribeCodeRepositoryCommand, _super);
    function DescribeCodeRepositoryCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeCodeRepositoryCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DescribeCodeRepositoryCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeCodeRepositoryInput.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeCodeRepositoryOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeCodeRepositoryCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeCodeRepositoryCommand(input, context);
    };
    DescribeCodeRepositoryCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeCodeRepositoryCommand(output, context);
    };
    return DescribeCodeRepositoryCommand;
}($Command));
export { DescribeCodeRepositoryCommand };
