import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeCompilationJobRequest, DescribeCompilationJobResponse } from "../models/models_1";
import { deserializeAws_json1_1DescribeCompilationJobCommand, serializeAws_json1_1DescribeCompilationJobCommand, } from "../protocols/Aws_json1_1";
var DescribeCompilationJobCommand = (function (_super) {
    __extends(DescribeCompilationJobCommand, _super);
    function DescribeCompilationJobCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeCompilationJobCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DescribeCompilationJobCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeCompilationJobRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeCompilationJobResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeCompilationJobCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeCompilationJobCommand(input, context);
    };
    DescribeCompilationJobCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeCompilationJobCommand(output, context);
    };
    return DescribeCompilationJobCommand;
}($Command));
export { DescribeCompilationJobCommand };
