import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeContextRequest, DescribeContextResponse } from "../models/models_1";
import { deserializeAws_json1_1DescribeContextCommand, serializeAws_json1_1DescribeContextCommand, } from "../protocols/Aws_json1_1";
var DescribeContextCommand = (function (_super) {
    __extends(DescribeContextCommand, _super);
    function DescribeContextCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeContextCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DescribeContextCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeContextRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeContextResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeContextCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeContextCommand(input, context);
    };
    DescribeContextCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeContextCommand(output, context);
    };
    return DescribeContextCommand;
}($Command));
export { DescribeContextCommand };
