import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeDataQualityJobDefinitionRequest, DescribeDataQualityJobDefinitionResponse } from "../models/models_1";
import { deserializeAws_json1_1DescribeDataQualityJobDefinitionCommand, serializeAws_json1_1DescribeDataQualityJobDefinitionCommand, } from "../protocols/Aws_json1_1";
var DescribeDataQualityJobDefinitionCommand = (function (_super) {
    __extends(DescribeDataQualityJobDefinitionCommand, _super);
    function DescribeDataQualityJobDefinitionCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeDataQualityJobDefinitionCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DescribeDataQualityJobDefinitionCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeDataQualityJobDefinitionRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeDataQualityJobDefinitionResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeDataQualityJobDefinitionCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeDataQualityJobDefinitionCommand(input, context);
    };
    DescribeDataQualityJobDefinitionCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeDataQualityJobDefinitionCommand(output, context);
    };
    return DescribeDataQualityJobDefinitionCommand;
}($Command));
export { DescribeDataQualityJobDefinitionCommand };
