import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeDeviceRequest, DescribeDeviceResponse } from "../models/models_1";
import { deserializeAws_json1_1DescribeDeviceCommand, serializeAws_json1_1DescribeDeviceCommand, } from "../protocols/Aws_json1_1";
var DescribeDeviceCommand = (function (_super) {
    __extends(DescribeDeviceCommand, _super);
    function DescribeDeviceCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeDeviceCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DescribeDeviceCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeDeviceRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeDeviceResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeDeviceCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeDeviceCommand(input, context);
    };
    DescribeDeviceCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeDeviceCommand(output, context);
    };
    return DescribeDeviceCommand;
}($Command));
export { DescribeDeviceCommand };
