import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeDeviceFleetRequest, DescribeDeviceFleetResponse } from "../models/models_1";
import { deserializeAws_json1_1DescribeDeviceFleetCommand, serializeAws_json1_1DescribeDeviceFleetCommand, } from "../protocols/Aws_json1_1";
var DescribeDeviceFleetCommand = (function (_super) {
    __extends(DescribeDeviceFleetCommand, _super);
    function DescribeDeviceFleetCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeDeviceFleetCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DescribeDeviceFleetCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeDeviceFleetRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeDeviceFleetResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeDeviceFleetCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeDeviceFleetCommand(input, context);
    };
    DescribeDeviceFleetCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeDeviceFleetCommand(output, context);
    };
    return DescribeDeviceFleetCommand;
}($Command));
export { DescribeDeviceFleetCommand };
