import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeEdgePackagingJobRequest, DescribeEdgePackagingJobResponse } from "../models/models_1";
import { deserializeAws_json1_1DescribeEdgePackagingJobCommand, serializeAws_json1_1DescribeEdgePackagingJobCommand, } from "../protocols/Aws_json1_1";
var DescribeEdgePackagingJobCommand = (function (_super) {
    __extends(DescribeEdgePackagingJobCommand, _super);
    function DescribeEdgePackagingJobCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeEdgePackagingJobCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DescribeEdgePackagingJobCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeEdgePackagingJobRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeEdgePackagingJobResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeEdgePackagingJobCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeEdgePackagingJobCommand(input, context);
    };
    DescribeEdgePackagingJobCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeEdgePackagingJobCommand(output, context);
    };
    return DescribeEdgePackagingJobCommand;
}($Command));
export { DescribeEdgePackagingJobCommand };
