import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeExperimentRequest, DescribeExperimentResponse } from "../models/models_1";
import { deserializeAws_json1_1DescribeExperimentCommand, serializeAws_json1_1DescribeExperimentCommand, } from "../protocols/Aws_json1_1";
var DescribeExperimentCommand = (function (_super) {
    __extends(DescribeExperimentCommand, _super);
    function DescribeExperimentCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeExperimentCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DescribeExperimentCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeExperimentRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeExperimentResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeExperimentCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeExperimentCommand(input, context);
    };
    DescribeExperimentCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeExperimentCommand(output, context);
    };
    return DescribeExperimentCommand;
}($Command));
export { DescribeExperimentCommand };
