import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeFeatureGroupRequest, DescribeFeatureGroupResponse } from "../models/models_1";
import { deserializeAws_json1_1DescribeFeatureGroupCommand, serializeAws_json1_1DescribeFeatureGroupCommand, } from "../protocols/Aws_json1_1";
var DescribeFeatureGroupCommand = (function (_super) {
    __extends(DescribeFeatureGroupCommand, _super);
    function DescribeFeatureGroupCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeFeatureGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DescribeFeatureGroupCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeFeatureGroupRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeFeatureGroupResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeFeatureGroupCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeFeatureGroupCommand(input, context);
    };
    DescribeFeatureGroupCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeFeatureGroupCommand(output, context);
    };
    return DescribeFeatureGroupCommand;
}($Command));
export { DescribeFeatureGroupCommand };
