import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeFlowDefinitionRequest, DescribeFlowDefinitionResponse } from "../models/models_1";
import { deserializeAws_json1_1DescribeFlowDefinitionCommand, serializeAws_json1_1DescribeFlowDefinitionCommand, } from "../protocols/Aws_json1_1";
var DescribeFlowDefinitionCommand = (function (_super) {
    __extends(DescribeFlowDefinitionCommand, _super);
    function DescribeFlowDefinitionCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeFlowDefinitionCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DescribeFlowDefinitionCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeFlowDefinitionRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeFlowDefinitionResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeFlowDefinitionCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeFlowDefinitionCommand(input, context);
    };
    DescribeFlowDefinitionCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeFlowDefinitionCommand(output, context);
    };
    return DescribeFlowDefinitionCommand;
}($Command));
export { DescribeFlowDefinitionCommand };
