import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeHumanTaskUiRequest, DescribeHumanTaskUiResponse } from "../models/models_1";
import { deserializeAws_json1_1DescribeHumanTaskUiCommand, serializeAws_json1_1DescribeHumanTaskUiCommand, } from "../protocols/Aws_json1_1";
var DescribeHumanTaskUiCommand = (function (_super) {
    __extends(DescribeHumanTaskUiCommand, _super);
    function DescribeHumanTaskUiCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeHumanTaskUiCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DescribeHumanTaskUiCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeHumanTaskUiRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeHumanTaskUiResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeHumanTaskUiCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeHumanTaskUiCommand(input, context);
    };
    DescribeHumanTaskUiCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeHumanTaskUiCommand(output, context);
    };
    return DescribeHumanTaskUiCommand;
}($Command));
export { DescribeHumanTaskUiCommand };
