import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeImageRequest, DescribeImageResponse } from "../models/models_1";
import { deserializeAws_json1_1DescribeImageCommand, serializeAws_json1_1DescribeImageCommand, } from "../protocols/Aws_json1_1";
var DescribeImageCommand = (function (_super) {
    __extends(DescribeImageCommand, _super);
    function DescribeImageCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeImageCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DescribeImageCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeImageRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeImageResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeImageCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeImageCommand(input, context);
    };
    DescribeImageCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeImageCommand(output, context);
    };
    return DescribeImageCommand;
}($Command));
export { DescribeImageCommand };
