import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeImageVersionRequest, DescribeImageVersionResponse } from "../models/models_1";
import { deserializeAws_json1_1DescribeImageVersionCommand, serializeAws_json1_1DescribeImageVersionCommand, } from "../protocols/Aws_json1_1";
var DescribeImageVersionCommand = (function (_super) {
    __extends(DescribeImageVersionCommand, _super);
    function DescribeImageVersionCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeImageVersionCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DescribeImageVersionCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeImageVersionRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeImageVersionResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeImageVersionCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeImageVersionCommand(input, context);
    };
    DescribeImageVersionCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeImageVersionCommand(output, context);
    };
    return DescribeImageVersionCommand;
}($Command));
export { DescribeImageVersionCommand };
