import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeInferenceRecommendationsJobRequest, DescribeInferenceRecommendationsJobResponse, } from "../models/models_1";
import { deserializeAws_json1_1DescribeInferenceRecommendationsJobCommand, serializeAws_json1_1DescribeInferenceRecommendationsJobCommand, } from "../protocols/Aws_json1_1";
var DescribeInferenceRecommendationsJobCommand = (function (_super) {
    __extends(DescribeInferenceRecommendationsJobCommand, _super);
    function DescribeInferenceRecommendationsJobCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeInferenceRecommendationsJobCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DescribeInferenceRecommendationsJobCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeInferenceRecommendationsJobRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeInferenceRecommendationsJobResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeInferenceRecommendationsJobCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeInferenceRecommendationsJobCommand(input, context);
    };
    DescribeInferenceRecommendationsJobCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeInferenceRecommendationsJobCommand(output, context);
    };
    return DescribeInferenceRecommendationsJobCommand;
}($Command));
export { DescribeInferenceRecommendationsJobCommand };
