import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeLabelingJobRequest, DescribeLabelingJobResponse } from "../models/models_1";
import { deserializeAws_json1_1DescribeLabelingJobCommand, serializeAws_json1_1DescribeLabelingJobCommand, } from "../protocols/Aws_json1_1";
var DescribeLabelingJobCommand = (function (_super) {
    __extends(DescribeLabelingJobCommand, _super);
    function DescribeLabelingJobCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeLabelingJobCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DescribeLabelingJobCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeLabelingJobRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeLabelingJobResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeLabelingJobCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeLabelingJobCommand(input, context);
    };
    DescribeLabelingJobCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeLabelingJobCommand(output, context);
    };
    return DescribeLabelingJobCommand;
}($Command));
export { DescribeLabelingJobCommand };
