import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeLineageGroupRequest, DescribeLineageGroupResponse } from "../models/models_1";
import { deserializeAws_json1_1DescribeLineageGroupCommand, serializeAws_json1_1DescribeLineageGroupCommand, } from "../protocols/Aws_json1_1";
var DescribeLineageGroupCommand = (function (_super) {
    __extends(DescribeLineageGroupCommand, _super);
    function DescribeLineageGroupCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeLineageGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DescribeLineageGroupCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeLineageGroupRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeLineageGroupResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeLineageGroupCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeLineageGroupCommand(input, context);
    };
    DescribeLineageGroupCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeLineageGroupCommand(output, context);
    };
    return DescribeLineageGroupCommand;
}($Command));
export { DescribeLineageGroupCommand };
