import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeModelBiasJobDefinitionRequest, DescribeModelBiasJobDefinitionResponse } from "../models/models_2";
import { deserializeAws_json1_1DescribeModelBiasJobDefinitionCommand, serializeAws_json1_1DescribeModelBiasJobDefinitionCommand, } from "../protocols/Aws_json1_1";
var DescribeModelBiasJobDefinitionCommand = (function (_super) {
    __extends(DescribeModelBiasJobDefinitionCommand, _super);
    function DescribeModelBiasJobDefinitionCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeModelBiasJobDefinitionCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DescribeModelBiasJobDefinitionCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeModelBiasJobDefinitionRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeModelBiasJobDefinitionResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeModelBiasJobDefinitionCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeModelBiasJobDefinitionCommand(input, context);
    };
    DescribeModelBiasJobDefinitionCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeModelBiasJobDefinitionCommand(output, context);
    };
    return DescribeModelBiasJobDefinitionCommand;
}($Command));
export { DescribeModelBiasJobDefinitionCommand };
