import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeModelInput } from "../models/models_1";
import { DescribeModelOutput } from "../models/models_2";
import { deserializeAws_json1_1DescribeModelCommand, serializeAws_json1_1DescribeModelCommand, } from "../protocols/Aws_json1_1";
var DescribeModelCommand = (function (_super) {
    __extends(DescribeModelCommand, _super);
    function DescribeModelCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeModelCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DescribeModelCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeModelInput.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeModelOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeModelCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeModelCommand(input, context);
    };
    DescribeModelCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeModelCommand(output, context);
    };
    return DescribeModelCommand;
}($Command));
export { DescribeModelCommand };
