import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeModelExplainabilityJobDefinitionRequest, DescribeModelExplainabilityJobDefinitionResponse, } from "../models/models_2";
import { deserializeAws_json1_1DescribeModelExplainabilityJobDefinitionCommand, serializeAws_json1_1DescribeModelExplainabilityJobDefinitionCommand, } from "../protocols/Aws_json1_1";
var DescribeModelExplainabilityJobDefinitionCommand = (function (_super) {
    __extends(DescribeModelExplainabilityJobDefinitionCommand, _super);
    function DescribeModelExplainabilityJobDefinitionCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeModelExplainabilityJobDefinitionCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DescribeModelExplainabilityJobDefinitionCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeModelExplainabilityJobDefinitionRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeModelExplainabilityJobDefinitionResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeModelExplainabilityJobDefinitionCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeModelExplainabilityJobDefinitionCommand(input, context);
    };
    DescribeModelExplainabilityJobDefinitionCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeModelExplainabilityJobDefinitionCommand(output, context);
    };
    return DescribeModelExplainabilityJobDefinitionCommand;
}($Command));
export { DescribeModelExplainabilityJobDefinitionCommand };
