import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeModelQualityJobDefinitionRequest, DescribeModelQualityJobDefinitionResponse, } from "../models/models_2";
import { deserializeAws_json1_1DescribeModelQualityJobDefinitionCommand, serializeAws_json1_1DescribeModelQualityJobDefinitionCommand, } from "../protocols/Aws_json1_1";
var DescribeModelQualityJobDefinitionCommand = (function (_super) {
    __extends(DescribeModelQualityJobDefinitionCommand, _super);
    function DescribeModelQualityJobDefinitionCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeModelQualityJobDefinitionCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DescribeModelQualityJobDefinitionCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeModelQualityJobDefinitionRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeModelQualityJobDefinitionResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeModelQualityJobDefinitionCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeModelQualityJobDefinitionCommand(input, context);
    };
    DescribeModelQualityJobDefinitionCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeModelQualityJobDefinitionCommand(output, context);
    };
    return DescribeModelQualityJobDefinitionCommand;
}($Command));
export { DescribeModelQualityJobDefinitionCommand };
