import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeMonitoringScheduleRequest, DescribeMonitoringScheduleResponse } from "../models/models_2";
import { deserializeAws_json1_1DescribeMonitoringScheduleCommand, serializeAws_json1_1DescribeMonitoringScheduleCommand, } from "../protocols/Aws_json1_1";
var DescribeMonitoringScheduleCommand = (function (_super) {
    __extends(DescribeMonitoringScheduleCommand, _super);
    function DescribeMonitoringScheduleCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeMonitoringScheduleCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DescribeMonitoringScheduleCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeMonitoringScheduleRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeMonitoringScheduleResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeMonitoringScheduleCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeMonitoringScheduleCommand(input, context);
    };
    DescribeMonitoringScheduleCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeMonitoringScheduleCommand(output, context);
    };
    return DescribeMonitoringScheduleCommand;
}($Command));
export { DescribeMonitoringScheduleCommand };
