import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeNotebookInstanceInput, DescribeNotebookInstanceOutput } from "../models/models_2";
import { deserializeAws_json1_1DescribeNotebookInstanceCommand, serializeAws_json1_1DescribeNotebookInstanceCommand, } from "../protocols/Aws_json1_1";
var DescribeNotebookInstanceCommand = (function (_super) {
    __extends(DescribeNotebookInstanceCommand, _super);
    function DescribeNotebookInstanceCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeNotebookInstanceCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DescribeNotebookInstanceCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeNotebookInstanceInput.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeNotebookInstanceOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeNotebookInstanceCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeNotebookInstanceCommand(input, context);
    };
    DescribeNotebookInstanceCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeNotebookInstanceCommand(output, context);
    };
    return DescribeNotebookInstanceCommand;
}($Command));
export { DescribeNotebookInstanceCommand };
