import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeNotebookInstanceLifecycleConfigInput, DescribeNotebookInstanceLifecycleConfigOutput, } from "../models/models_2";
import { deserializeAws_json1_1DescribeNotebookInstanceLifecycleConfigCommand, serializeAws_json1_1DescribeNotebookInstanceLifecycleConfigCommand, } from "../protocols/Aws_json1_1";
var DescribeNotebookInstanceLifecycleConfigCommand = (function (_super) {
    __extends(DescribeNotebookInstanceLifecycleConfigCommand, _super);
    function DescribeNotebookInstanceLifecycleConfigCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeNotebookInstanceLifecycleConfigCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DescribeNotebookInstanceLifecycleConfigCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeNotebookInstanceLifecycleConfigInput.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeNotebookInstanceLifecycleConfigOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeNotebookInstanceLifecycleConfigCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeNotebookInstanceLifecycleConfigCommand(input, context);
    };
    DescribeNotebookInstanceLifecycleConfigCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeNotebookInstanceLifecycleConfigCommand(output, context);
    };
    return DescribeNotebookInstanceLifecycleConfigCommand;
}($Command));
export { DescribeNotebookInstanceLifecycleConfigCommand };
