import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribePipelineRequest, DescribePipelineResponse } from "../models/models_2";
import { deserializeAws_json1_1DescribePipelineCommand, serializeAws_json1_1DescribePipelineCommand, } from "../protocols/Aws_json1_1";
var DescribePipelineCommand = (function (_super) {
    __extends(DescribePipelineCommand, _super);
    function DescribePipelineCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribePipelineCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DescribePipelineCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribePipelineRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribePipelineResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribePipelineCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribePipelineCommand(input, context);
    };
    DescribePipelineCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribePipelineCommand(output, context);
    };
    return DescribePipelineCommand;
}($Command));
export { DescribePipelineCommand };
