import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeProcessingJobRequest, DescribeProcessingJobResponse } from "../models/models_2";
import { deserializeAws_json1_1DescribeProcessingJobCommand, serializeAws_json1_1DescribeProcessingJobCommand, } from "../protocols/Aws_json1_1";
var DescribeProcessingJobCommand = (function (_super) {
    __extends(DescribeProcessingJobCommand, _super);
    function DescribeProcessingJobCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeProcessingJobCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DescribeProcessingJobCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeProcessingJobRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeProcessingJobResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeProcessingJobCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeProcessingJobCommand(input, context);
    };
    DescribeProcessingJobCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeProcessingJobCommand(output, context);
    };
    return DescribeProcessingJobCommand;
}($Command));
export { DescribeProcessingJobCommand };
