import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeSubscribedWorkteamRequest, DescribeSubscribedWorkteamResponse } from "../models/models_2";
import { deserializeAws_json1_1DescribeSubscribedWorkteamCommand, serializeAws_json1_1DescribeSubscribedWorkteamCommand, } from "../protocols/Aws_json1_1";
var DescribeSubscribedWorkteamCommand = (function (_super) {
    __extends(DescribeSubscribedWorkteamCommand, _super);
    function DescribeSubscribedWorkteamCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeSubscribedWorkteamCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DescribeSubscribedWorkteamCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeSubscribedWorkteamRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeSubscribedWorkteamResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeSubscribedWorkteamCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeSubscribedWorkteamCommand(input, context);
    };
    DescribeSubscribedWorkteamCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeSubscribedWorkteamCommand(output, context);
    };
    return DescribeSubscribedWorkteamCommand;
}($Command));
export { DescribeSubscribedWorkteamCommand };
