import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeTrainingJobRequest, DescribeTrainingJobResponse } from "../models/models_2";
import { deserializeAws_json1_1DescribeTrainingJobCommand, serializeAws_json1_1DescribeTrainingJobCommand, } from "../protocols/Aws_json1_1";
var DescribeTrainingJobCommand = (function (_super) {
    __extends(DescribeTrainingJobCommand, _super);
    function DescribeTrainingJobCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeTrainingJobCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DescribeTrainingJobCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeTrainingJobRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeTrainingJobResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeTrainingJobCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeTrainingJobCommand(input, context);
    };
    DescribeTrainingJobCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeTrainingJobCommand(output, context);
    };
    return DescribeTrainingJobCommand;
}($Command));
export { DescribeTrainingJobCommand };
