import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeTransformJobRequest, DescribeTransformJobResponse } from "../models/models_2";
import { deserializeAws_json1_1DescribeTransformJobCommand, serializeAws_json1_1DescribeTransformJobCommand, } from "../protocols/Aws_json1_1";
var DescribeTransformJobCommand = (function (_super) {
    __extends(DescribeTransformJobCommand, _super);
    function DescribeTransformJobCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeTransformJobCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DescribeTransformJobCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeTransformJobRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeTransformJobResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeTransformJobCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeTransformJobCommand(input, context);
    };
    DescribeTransformJobCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeTransformJobCommand(output, context);
    };
    return DescribeTransformJobCommand;
}($Command));
export { DescribeTransformJobCommand };
