import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeTrialRequest, DescribeTrialResponse } from "../models/models_2";
import { deserializeAws_json1_1DescribeTrialCommand, serializeAws_json1_1DescribeTrialCommand, } from "../protocols/Aws_json1_1";
var DescribeTrialCommand = (function (_super) {
    __extends(DescribeTrialCommand, _super);
    function DescribeTrialCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeTrialCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DescribeTrialCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeTrialRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeTrialResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeTrialCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeTrialCommand(input, context);
    };
    DescribeTrialCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeTrialCommand(output, context);
    };
    return DescribeTrialCommand;
}($Command));
export { DescribeTrialCommand };
