import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeTrialComponentRequest, DescribeTrialComponentResponse } from "../models/models_2";
import { deserializeAws_json1_1DescribeTrialComponentCommand, serializeAws_json1_1DescribeTrialComponentCommand, } from "../protocols/Aws_json1_1";
var DescribeTrialComponentCommand = (function (_super) {
    __extends(DescribeTrialComponentCommand, _super);
    function DescribeTrialComponentCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeTrialComponentCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DescribeTrialComponentCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeTrialComponentRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeTrialComponentResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeTrialComponentCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeTrialComponentCommand(input, context);
    };
    DescribeTrialComponentCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeTrialComponentCommand(output, context);
    };
    return DescribeTrialComponentCommand;
}($Command));
export { DescribeTrialComponentCommand };
