import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeUserProfileRequest, DescribeUserProfileResponse } from "../models/models_2";
import { deserializeAws_json1_1DescribeUserProfileCommand, serializeAws_json1_1DescribeUserProfileCommand, } from "../protocols/Aws_json1_1";
var DescribeUserProfileCommand = (function (_super) {
    __extends(DescribeUserProfileCommand, _super);
    function DescribeUserProfileCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeUserProfileCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DescribeUserProfileCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeUserProfileRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeUserProfileResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeUserProfileCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeUserProfileCommand(input, context);
    };
    DescribeUserProfileCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeUserProfileCommand(output, context);
    };
    return DescribeUserProfileCommand;
}($Command));
export { DescribeUserProfileCommand };
