import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeWorkforceRequest, DescribeWorkforceResponse } from "../models/models_2";
import { deserializeAws_json1_1DescribeWorkforceCommand, serializeAws_json1_1DescribeWorkforceCommand, } from "../protocols/Aws_json1_1";
var DescribeWorkforceCommand = (function (_super) {
    __extends(DescribeWorkforceCommand, _super);
    function DescribeWorkforceCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeWorkforceCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DescribeWorkforceCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeWorkforceRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeWorkforceResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeWorkforceCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeWorkforceCommand(input, context);
    };
    DescribeWorkforceCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeWorkforceCommand(output, context);
    };
    return DescribeWorkforceCommand;
}($Command));
export { DescribeWorkforceCommand };
