import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeWorkteamRequest, DescribeWorkteamResponse } from "../models/models_2";
import { deserializeAws_json1_1DescribeWorkteamCommand, serializeAws_json1_1DescribeWorkteamCommand, } from "../protocols/Aws_json1_1";
var DescribeWorkteamCommand = (function (_super) {
    __extends(DescribeWorkteamCommand, _super);
    function DescribeWorkteamCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeWorkteamCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DescribeWorkteamCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeWorkteamRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeWorkteamResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeWorkteamCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeWorkteamCommand(input, context);
    };
    DescribeWorkteamCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeWorkteamCommand(output, context);
    };
    return DescribeWorkteamCommand;
}($Command));
export { DescribeWorkteamCommand };
