import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DisableSagemakerServicecatalogPortfolioInput, DisableSagemakerServicecatalogPortfolioOutput, } from "../models/models_2";
import { deserializeAws_json1_1DisableSagemakerServicecatalogPortfolioCommand, serializeAws_json1_1DisableSagemakerServicecatalogPortfolioCommand, } from "../protocols/Aws_json1_1";
var DisableSagemakerServicecatalogPortfolioCommand = (function (_super) {
    __extends(DisableSagemakerServicecatalogPortfolioCommand, _super);
    function DisableSagemakerServicecatalogPortfolioCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DisableSagemakerServicecatalogPortfolioCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DisableSagemakerServicecatalogPortfolioCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DisableSagemakerServicecatalogPortfolioInput.filterSensitiveLog,
            outputFilterSensitiveLog: DisableSagemakerServicecatalogPortfolioOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DisableSagemakerServicecatalogPortfolioCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DisableSagemakerServicecatalogPortfolioCommand(input, context);
    };
    DisableSagemakerServicecatalogPortfolioCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DisableSagemakerServicecatalogPortfolioCommand(output, context);
    };
    return DisableSagemakerServicecatalogPortfolioCommand;
}($Command));
export { DisableSagemakerServicecatalogPortfolioCommand };
