import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DisassociateTrialComponentRequest, DisassociateTrialComponentResponse } from "../models/models_2";
import { deserializeAws_json1_1DisassociateTrialComponentCommand, serializeAws_json1_1DisassociateTrialComponentCommand, } from "../protocols/Aws_json1_1";
var DisassociateTrialComponentCommand = (function (_super) {
    __extends(DisassociateTrialComponentCommand, _super);
    function DisassociateTrialComponentCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DisassociateTrialComponentCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "DisassociateTrialComponentCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DisassociateTrialComponentRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DisassociateTrialComponentResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DisassociateTrialComponentCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DisassociateTrialComponentCommand(input, context);
    };
    DisassociateTrialComponentCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DisassociateTrialComponentCommand(output, context);
    };
    return DisassociateTrialComponentCommand;
}($Command));
export { DisassociateTrialComponentCommand };
