import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { EnableSagemakerServicecatalogPortfolioInput, EnableSagemakerServicecatalogPortfolioOutput, } from "../models/models_2";
import { deserializeAws_json1_1EnableSagemakerServicecatalogPortfolioCommand, serializeAws_json1_1EnableSagemakerServicecatalogPortfolioCommand, } from "../protocols/Aws_json1_1";
var EnableSagemakerServicecatalogPortfolioCommand = (function (_super) {
    __extends(EnableSagemakerServicecatalogPortfolioCommand, _super);
    function EnableSagemakerServicecatalogPortfolioCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    EnableSagemakerServicecatalogPortfolioCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "EnableSagemakerServicecatalogPortfolioCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: EnableSagemakerServicecatalogPortfolioInput.filterSensitiveLog,
            outputFilterSensitiveLog: EnableSagemakerServicecatalogPortfolioOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    EnableSagemakerServicecatalogPortfolioCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1EnableSagemakerServicecatalogPortfolioCommand(input, context);
    };
    EnableSagemakerServicecatalogPortfolioCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1EnableSagemakerServicecatalogPortfolioCommand(output, context);
    };
    return EnableSagemakerServicecatalogPortfolioCommand;
}($Command));
export { EnableSagemakerServicecatalogPortfolioCommand };
