import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { GetDeviceFleetReportRequest, GetDeviceFleetReportResponse } from "../models/models_2";
import { deserializeAws_json1_1GetDeviceFleetReportCommand, serializeAws_json1_1GetDeviceFleetReportCommand, } from "../protocols/Aws_json1_1";
var GetDeviceFleetReportCommand = (function (_super) {
    __extends(GetDeviceFleetReportCommand, _super);
    function GetDeviceFleetReportCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    GetDeviceFleetReportCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "GetDeviceFleetReportCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: GetDeviceFleetReportRequest.filterSensitiveLog,
            outputFilterSensitiveLog: GetDeviceFleetReportResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    GetDeviceFleetReportCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1GetDeviceFleetReportCommand(input, context);
    };
    GetDeviceFleetReportCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1GetDeviceFleetReportCommand(output, context);
    };
    return GetDeviceFleetReportCommand;
}($Command));
export { GetDeviceFleetReportCommand };
