import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { GetLineageGroupPolicyRequest, GetLineageGroupPolicyResponse } from "../models/models_2";
import { deserializeAws_json1_1GetLineageGroupPolicyCommand, serializeAws_json1_1GetLineageGroupPolicyCommand, } from "../protocols/Aws_json1_1";
var GetLineageGroupPolicyCommand = (function (_super) {
    __extends(GetLineageGroupPolicyCommand, _super);
    function GetLineageGroupPolicyCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    GetLineageGroupPolicyCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "GetLineageGroupPolicyCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: GetLineageGroupPolicyRequest.filterSensitiveLog,
            outputFilterSensitiveLog: GetLineageGroupPolicyResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    GetLineageGroupPolicyCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1GetLineageGroupPolicyCommand(input, context);
    };
    GetLineageGroupPolicyCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1GetLineageGroupPolicyCommand(output, context);
    };
    return GetLineageGroupPolicyCommand;
}($Command));
export { GetLineageGroupPolicyCommand };
