import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { GetModelPackageGroupPolicyInput, GetModelPackageGroupPolicyOutput } from "../models/models_2";
import { deserializeAws_json1_1GetModelPackageGroupPolicyCommand, serializeAws_json1_1GetModelPackageGroupPolicyCommand, } from "../protocols/Aws_json1_1";
var GetModelPackageGroupPolicyCommand = (function (_super) {
    __extends(GetModelPackageGroupPolicyCommand, _super);
    function GetModelPackageGroupPolicyCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    GetModelPackageGroupPolicyCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "GetModelPackageGroupPolicyCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: GetModelPackageGroupPolicyInput.filterSensitiveLog,
            outputFilterSensitiveLog: GetModelPackageGroupPolicyOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    GetModelPackageGroupPolicyCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1GetModelPackageGroupPolicyCommand(input, context);
    };
    GetModelPackageGroupPolicyCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1GetModelPackageGroupPolicyCommand(output, context);
    };
    return GetModelPackageGroupPolicyCommand;
}($Command));
export { GetModelPackageGroupPolicyCommand };
