import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { GetSagemakerServicecatalogPortfolioStatusInput, GetSagemakerServicecatalogPortfolioStatusOutput, } from "../models/models_2";
import { deserializeAws_json1_1GetSagemakerServicecatalogPortfolioStatusCommand, serializeAws_json1_1GetSagemakerServicecatalogPortfolioStatusCommand, } from "../protocols/Aws_json1_1";
var GetSagemakerServicecatalogPortfolioStatusCommand = (function (_super) {
    __extends(GetSagemakerServicecatalogPortfolioStatusCommand, _super);
    function GetSagemakerServicecatalogPortfolioStatusCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    GetSagemakerServicecatalogPortfolioStatusCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "GetSagemakerServicecatalogPortfolioStatusCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: GetSagemakerServicecatalogPortfolioStatusInput.filterSensitiveLog,
            outputFilterSensitiveLog: GetSagemakerServicecatalogPortfolioStatusOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    GetSagemakerServicecatalogPortfolioStatusCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1GetSagemakerServicecatalogPortfolioStatusCommand(input, context);
    };
    GetSagemakerServicecatalogPortfolioStatusCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1GetSagemakerServicecatalogPortfolioStatusCommand(output, context);
    };
    return GetSagemakerServicecatalogPortfolioStatusCommand;
}($Command));
export { GetSagemakerServicecatalogPortfolioStatusCommand };
