import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListAlgorithmsInput, ListAlgorithmsOutput } from "../models/models_2";
import { deserializeAws_json1_1ListAlgorithmsCommand, serializeAws_json1_1ListAlgorithmsCommand, } from "../protocols/Aws_json1_1";
var ListAlgorithmsCommand = (function (_super) {
    __extends(ListAlgorithmsCommand, _super);
    function ListAlgorithmsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListAlgorithmsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "ListAlgorithmsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListAlgorithmsInput.filterSensitiveLog,
            outputFilterSensitiveLog: ListAlgorithmsOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListAlgorithmsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListAlgorithmsCommand(input, context);
    };
    ListAlgorithmsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListAlgorithmsCommand(output, context);
    };
    return ListAlgorithmsCommand;
}($Command));
export { ListAlgorithmsCommand };
