import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListAppImageConfigsRequest, ListAppImageConfigsResponse } from "../models/models_2";
import { deserializeAws_json1_1ListAppImageConfigsCommand, serializeAws_json1_1ListAppImageConfigsCommand, } from "../protocols/Aws_json1_1";
var ListAppImageConfigsCommand = (function (_super) {
    __extends(ListAppImageConfigsCommand, _super);
    function ListAppImageConfigsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListAppImageConfigsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "ListAppImageConfigsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListAppImageConfigsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListAppImageConfigsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListAppImageConfigsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListAppImageConfigsCommand(input, context);
    };
    ListAppImageConfigsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListAppImageConfigsCommand(output, context);
    };
    return ListAppImageConfigsCommand;
}($Command));
export { ListAppImageConfigsCommand };
