import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListAppsRequest, ListAppsResponse } from "../models/models_2";
import { deserializeAws_json1_1ListAppsCommand, serializeAws_json1_1ListAppsCommand } from "../protocols/Aws_json1_1";
var ListAppsCommand = (function (_super) {
    __extends(ListAppsCommand, _super);
    function ListAppsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListAppsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "ListAppsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListAppsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListAppsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListAppsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListAppsCommand(input, context);
    };
    ListAppsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListAppsCommand(output, context);
    };
    return ListAppsCommand;
}($Command));
export { ListAppsCommand };
