import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListArtifactsRequest, ListArtifactsResponse } from "../models/models_2";
import { deserializeAws_json1_1ListArtifactsCommand, serializeAws_json1_1ListArtifactsCommand, } from "../protocols/Aws_json1_1";
var ListArtifactsCommand = (function (_super) {
    __extends(ListArtifactsCommand, _super);
    function ListArtifactsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListArtifactsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "ListArtifactsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListArtifactsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListArtifactsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListArtifactsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListArtifactsCommand(input, context);
    };
    ListArtifactsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListArtifactsCommand(output, context);
    };
    return ListArtifactsCommand;
}($Command));
export { ListArtifactsCommand };
