import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListAutoMLJobsRequest, ListAutoMLJobsResponse } from "../models/models_2";
import { deserializeAws_json1_1ListAutoMLJobsCommand, serializeAws_json1_1ListAutoMLJobsCommand, } from "../protocols/Aws_json1_1";
var ListAutoMLJobsCommand = (function (_super) {
    __extends(ListAutoMLJobsCommand, _super);
    function ListAutoMLJobsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListAutoMLJobsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "ListAutoMLJobsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListAutoMLJobsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListAutoMLJobsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListAutoMLJobsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListAutoMLJobsCommand(input, context);
    };
    ListAutoMLJobsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListAutoMLJobsCommand(output, context);
    };
    return ListAutoMLJobsCommand;
}($Command));
export { ListAutoMLJobsCommand };
