import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListCandidatesForAutoMLJobRequest, ListCandidatesForAutoMLJobResponse } from "../models/models_2";
import { deserializeAws_json1_1ListCandidatesForAutoMLJobCommand, serializeAws_json1_1ListCandidatesForAutoMLJobCommand, } from "../protocols/Aws_json1_1";
var ListCandidatesForAutoMLJobCommand = (function (_super) {
    __extends(ListCandidatesForAutoMLJobCommand, _super);
    function ListCandidatesForAutoMLJobCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListCandidatesForAutoMLJobCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "ListCandidatesForAutoMLJobCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListCandidatesForAutoMLJobRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListCandidatesForAutoMLJobResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListCandidatesForAutoMLJobCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListCandidatesForAutoMLJobCommand(input, context);
    };
    ListCandidatesForAutoMLJobCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListCandidatesForAutoMLJobCommand(output, context);
    };
    return ListCandidatesForAutoMLJobCommand;
}($Command));
export { ListCandidatesForAutoMLJobCommand };
