import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListCodeRepositoriesInput, ListCodeRepositoriesOutput } from "../models/models_2";
import { deserializeAws_json1_1ListCodeRepositoriesCommand, serializeAws_json1_1ListCodeRepositoriesCommand, } from "../protocols/Aws_json1_1";
var ListCodeRepositoriesCommand = (function (_super) {
    __extends(ListCodeRepositoriesCommand, _super);
    function ListCodeRepositoriesCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListCodeRepositoriesCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "ListCodeRepositoriesCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListCodeRepositoriesInput.filterSensitiveLog,
            outputFilterSensitiveLog: ListCodeRepositoriesOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListCodeRepositoriesCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListCodeRepositoriesCommand(input, context);
    };
    ListCodeRepositoriesCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListCodeRepositoriesCommand(output, context);
    };
    return ListCodeRepositoriesCommand;
}($Command));
export { ListCodeRepositoriesCommand };
