import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListCompilationJobsRequest, ListCompilationJobsResponse } from "../models/models_2";
import { deserializeAws_json1_1ListCompilationJobsCommand, serializeAws_json1_1ListCompilationJobsCommand, } from "../protocols/Aws_json1_1";
var ListCompilationJobsCommand = (function (_super) {
    __extends(ListCompilationJobsCommand, _super);
    function ListCompilationJobsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListCompilationJobsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "ListCompilationJobsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListCompilationJobsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListCompilationJobsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListCompilationJobsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListCompilationJobsCommand(input, context);
    };
    ListCompilationJobsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListCompilationJobsCommand(output, context);
    };
    return ListCompilationJobsCommand;
}($Command));
export { ListCompilationJobsCommand };
