import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListContextsRequest, ListContextsResponse } from "../models/models_2";
import { deserializeAws_json1_1ListContextsCommand, serializeAws_json1_1ListContextsCommand, } from "../protocols/Aws_json1_1";
var ListContextsCommand = (function (_super) {
    __extends(ListContextsCommand, _super);
    function ListContextsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListContextsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "ListContextsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListContextsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListContextsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListContextsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListContextsCommand(input, context);
    };
    ListContextsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListContextsCommand(output, context);
    };
    return ListContextsCommand;
}($Command));
export { ListContextsCommand };
