import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListDeviceFleetsRequest, ListDeviceFleetsResponse } from "../models/models_2";
import { deserializeAws_json1_1ListDeviceFleetsCommand, serializeAws_json1_1ListDeviceFleetsCommand, } from "../protocols/Aws_json1_1";
var ListDeviceFleetsCommand = (function (_super) {
    __extends(ListDeviceFleetsCommand, _super);
    function ListDeviceFleetsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListDeviceFleetsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "ListDeviceFleetsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListDeviceFleetsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListDeviceFleetsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListDeviceFleetsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListDeviceFleetsCommand(input, context);
    };
    ListDeviceFleetsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListDeviceFleetsCommand(output, context);
    };
    return ListDeviceFleetsCommand;
}($Command));
export { ListDeviceFleetsCommand };
