import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListEdgePackagingJobsRequest, ListEdgePackagingJobsResponse } from "../models/models_2";
import { deserializeAws_json1_1ListEdgePackagingJobsCommand, serializeAws_json1_1ListEdgePackagingJobsCommand, } from "../protocols/Aws_json1_1";
var ListEdgePackagingJobsCommand = (function (_super) {
    __extends(ListEdgePackagingJobsCommand, _super);
    function ListEdgePackagingJobsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListEdgePackagingJobsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "ListEdgePackagingJobsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListEdgePackagingJobsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListEdgePackagingJobsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListEdgePackagingJobsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListEdgePackagingJobsCommand(input, context);
    };
    ListEdgePackagingJobsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListEdgePackagingJobsCommand(output, context);
    };
    return ListEdgePackagingJobsCommand;
}($Command));
export { ListEdgePackagingJobsCommand };
