import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListEndpointConfigsInput, ListEndpointConfigsOutput } from "../models/models_2";
import { deserializeAws_json1_1ListEndpointConfigsCommand, serializeAws_json1_1ListEndpointConfigsCommand, } from "../protocols/Aws_json1_1";
var ListEndpointConfigsCommand = (function (_super) {
    __extends(ListEndpointConfigsCommand, _super);
    function ListEndpointConfigsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListEndpointConfigsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "ListEndpointConfigsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListEndpointConfigsInput.filterSensitiveLog,
            outputFilterSensitiveLog: ListEndpointConfigsOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListEndpointConfigsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListEndpointConfigsCommand(input, context);
    };
    ListEndpointConfigsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListEndpointConfigsCommand(output, context);
    };
    return ListEndpointConfigsCommand;
}($Command));
export { ListEndpointConfigsCommand };
