import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListExperimentsRequest, ListExperimentsResponse } from "../models/models_2";
import { deserializeAws_json1_1ListExperimentsCommand, serializeAws_json1_1ListExperimentsCommand, } from "../protocols/Aws_json1_1";
var ListExperimentsCommand = (function (_super) {
    __extends(ListExperimentsCommand, _super);
    function ListExperimentsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListExperimentsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "ListExperimentsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListExperimentsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListExperimentsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListExperimentsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListExperimentsCommand(input, context);
    };
    ListExperimentsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListExperimentsCommand(output, context);
    };
    return ListExperimentsCommand;
}($Command));
export { ListExperimentsCommand };
