import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListFeatureGroupsRequest, ListFeatureGroupsResponse } from "../models/models_2";
import { deserializeAws_json1_1ListFeatureGroupsCommand, serializeAws_json1_1ListFeatureGroupsCommand, } from "../protocols/Aws_json1_1";
var ListFeatureGroupsCommand = (function (_super) {
    __extends(ListFeatureGroupsCommand, _super);
    function ListFeatureGroupsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListFeatureGroupsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "ListFeatureGroupsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListFeatureGroupsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListFeatureGroupsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListFeatureGroupsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListFeatureGroupsCommand(input, context);
    };
    ListFeatureGroupsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListFeatureGroupsCommand(output, context);
    };
    return ListFeatureGroupsCommand;
}($Command));
export { ListFeatureGroupsCommand };
