import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListFlowDefinitionsRequest, ListFlowDefinitionsResponse } from "../models/models_2";
import { deserializeAws_json1_1ListFlowDefinitionsCommand, serializeAws_json1_1ListFlowDefinitionsCommand, } from "../protocols/Aws_json1_1";
var ListFlowDefinitionsCommand = (function (_super) {
    __extends(ListFlowDefinitionsCommand, _super);
    function ListFlowDefinitionsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListFlowDefinitionsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "ListFlowDefinitionsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListFlowDefinitionsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListFlowDefinitionsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListFlowDefinitionsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListFlowDefinitionsCommand(input, context);
    };
    ListFlowDefinitionsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListFlowDefinitionsCommand(output, context);
    };
    return ListFlowDefinitionsCommand;
}($Command));
export { ListFlowDefinitionsCommand };
