import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListHumanTaskUisRequest, ListHumanTaskUisResponse } from "../models/models_2";
import { deserializeAws_json1_1ListHumanTaskUisCommand, serializeAws_json1_1ListHumanTaskUisCommand, } from "../protocols/Aws_json1_1";
var ListHumanTaskUisCommand = (function (_super) {
    __extends(ListHumanTaskUisCommand, _super);
    function ListHumanTaskUisCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListHumanTaskUisCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "ListHumanTaskUisCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListHumanTaskUisRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListHumanTaskUisResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListHumanTaskUisCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListHumanTaskUisCommand(input, context);
    };
    ListHumanTaskUisCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListHumanTaskUisCommand(output, context);
    };
    return ListHumanTaskUisCommand;
}($Command));
export { ListHumanTaskUisCommand };
