import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListHyperParameterTuningJobsRequest, ListHyperParameterTuningJobsResponse } from "../models/models_2";
import { deserializeAws_json1_1ListHyperParameterTuningJobsCommand, serializeAws_json1_1ListHyperParameterTuningJobsCommand, } from "../protocols/Aws_json1_1";
var ListHyperParameterTuningJobsCommand = (function (_super) {
    __extends(ListHyperParameterTuningJobsCommand, _super);
    function ListHyperParameterTuningJobsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListHyperParameterTuningJobsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "ListHyperParameterTuningJobsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListHyperParameterTuningJobsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListHyperParameterTuningJobsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListHyperParameterTuningJobsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListHyperParameterTuningJobsCommand(input, context);
    };
    ListHyperParameterTuningJobsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListHyperParameterTuningJobsCommand(output, context);
    };
    return ListHyperParameterTuningJobsCommand;
}($Command));
export { ListHyperParameterTuningJobsCommand };
