import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListImagesRequest, ListImagesResponse } from "../models/models_2";
import { deserializeAws_json1_1ListImagesCommand, serializeAws_json1_1ListImagesCommand, } from "../protocols/Aws_json1_1";
var ListImagesCommand = (function (_super) {
    __extends(ListImagesCommand, _super);
    function ListImagesCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListImagesCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "ListImagesCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListImagesRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListImagesResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListImagesCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListImagesCommand(input, context);
    };
    ListImagesCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListImagesCommand(output, context);
    };
    return ListImagesCommand;
}($Command));
export { ListImagesCommand };
