import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListInferenceRecommendationsJobsRequest, ListInferenceRecommendationsJobsResponse } from "../models/models_2";
import { deserializeAws_json1_1ListInferenceRecommendationsJobsCommand, serializeAws_json1_1ListInferenceRecommendationsJobsCommand, } from "../protocols/Aws_json1_1";
var ListInferenceRecommendationsJobsCommand = (function (_super) {
    __extends(ListInferenceRecommendationsJobsCommand, _super);
    function ListInferenceRecommendationsJobsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListInferenceRecommendationsJobsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "ListInferenceRecommendationsJobsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListInferenceRecommendationsJobsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListInferenceRecommendationsJobsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListInferenceRecommendationsJobsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListInferenceRecommendationsJobsCommand(input, context);
    };
    ListInferenceRecommendationsJobsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListInferenceRecommendationsJobsCommand(output, context);
    };
    return ListInferenceRecommendationsJobsCommand;
}($Command));
export { ListInferenceRecommendationsJobsCommand };
