import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListLabelingJobsRequest, ListLabelingJobsResponse } from "../models/models_2";
import { deserializeAws_json1_1ListLabelingJobsCommand, serializeAws_json1_1ListLabelingJobsCommand, } from "../protocols/Aws_json1_1";
var ListLabelingJobsCommand = (function (_super) {
    __extends(ListLabelingJobsCommand, _super);
    function ListLabelingJobsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListLabelingJobsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "ListLabelingJobsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListLabelingJobsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListLabelingJobsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListLabelingJobsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListLabelingJobsCommand(input, context);
    };
    ListLabelingJobsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListLabelingJobsCommand(output, context);
    };
    return ListLabelingJobsCommand;
}($Command));
export { ListLabelingJobsCommand };
