import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListLabelingJobsForWorkteamRequest, ListLabelingJobsForWorkteamResponse } from "../models/models_2";
import { deserializeAws_json1_1ListLabelingJobsForWorkteamCommand, serializeAws_json1_1ListLabelingJobsForWorkteamCommand, } from "../protocols/Aws_json1_1";
var ListLabelingJobsForWorkteamCommand = (function (_super) {
    __extends(ListLabelingJobsForWorkteamCommand, _super);
    function ListLabelingJobsForWorkteamCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListLabelingJobsForWorkteamCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "ListLabelingJobsForWorkteamCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListLabelingJobsForWorkteamRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListLabelingJobsForWorkteamResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListLabelingJobsForWorkteamCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListLabelingJobsForWorkteamCommand(input, context);
    };
    ListLabelingJobsForWorkteamCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListLabelingJobsForWorkteamCommand(output, context);
    };
    return ListLabelingJobsForWorkteamCommand;
}($Command));
export { ListLabelingJobsForWorkteamCommand };
