import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListLineageGroupsRequest, ListLineageGroupsResponse } from "../models/models_2";
import { deserializeAws_json1_1ListLineageGroupsCommand, serializeAws_json1_1ListLineageGroupsCommand, } from "../protocols/Aws_json1_1";
var ListLineageGroupsCommand = (function (_super) {
    __extends(ListLineageGroupsCommand, _super);
    function ListLineageGroupsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListLineageGroupsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "ListLineageGroupsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListLineageGroupsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListLineageGroupsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListLineageGroupsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListLineageGroupsCommand(input, context);
    };
    ListLineageGroupsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListLineageGroupsCommand(output, context);
    };
    return ListLineageGroupsCommand;
}($Command));
export { ListLineageGroupsCommand };
