import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListModelBiasJobDefinitionsRequest, ListModelBiasJobDefinitionsResponse } from "../models/models_2";
import { deserializeAws_json1_1ListModelBiasJobDefinitionsCommand, serializeAws_json1_1ListModelBiasJobDefinitionsCommand, } from "../protocols/Aws_json1_1";
var ListModelBiasJobDefinitionsCommand = (function (_super) {
    __extends(ListModelBiasJobDefinitionsCommand, _super);
    function ListModelBiasJobDefinitionsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListModelBiasJobDefinitionsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "ListModelBiasJobDefinitionsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListModelBiasJobDefinitionsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListModelBiasJobDefinitionsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListModelBiasJobDefinitionsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListModelBiasJobDefinitionsCommand(input, context);
    };
    ListModelBiasJobDefinitionsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListModelBiasJobDefinitionsCommand(output, context);
    };
    return ListModelBiasJobDefinitionsCommand;
}($Command));
export { ListModelBiasJobDefinitionsCommand };
