import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListModelExplainabilityJobDefinitionsRequest, ListModelExplainabilityJobDefinitionsResponse, } from "../models/models_2";
import { deserializeAws_json1_1ListModelExplainabilityJobDefinitionsCommand, serializeAws_json1_1ListModelExplainabilityJobDefinitionsCommand, } from "../protocols/Aws_json1_1";
var ListModelExplainabilityJobDefinitionsCommand = (function (_super) {
    __extends(ListModelExplainabilityJobDefinitionsCommand, _super);
    function ListModelExplainabilityJobDefinitionsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListModelExplainabilityJobDefinitionsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "ListModelExplainabilityJobDefinitionsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListModelExplainabilityJobDefinitionsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListModelExplainabilityJobDefinitionsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListModelExplainabilityJobDefinitionsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListModelExplainabilityJobDefinitionsCommand(input, context);
    };
    ListModelExplainabilityJobDefinitionsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListModelExplainabilityJobDefinitionsCommand(output, context);
    };
    return ListModelExplainabilityJobDefinitionsCommand;
}($Command));
export { ListModelExplainabilityJobDefinitionsCommand };
