import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListModelMetadataRequest, ListModelMetadataResponse } from "../models/models_2";
import { deserializeAws_json1_1ListModelMetadataCommand, serializeAws_json1_1ListModelMetadataCommand, } from "../protocols/Aws_json1_1";
var ListModelMetadataCommand = (function (_super) {
    __extends(ListModelMetadataCommand, _super);
    function ListModelMetadataCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListModelMetadataCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "ListModelMetadataCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListModelMetadataRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListModelMetadataResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListModelMetadataCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListModelMetadataCommand(input, context);
    };
    ListModelMetadataCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListModelMetadataCommand(output, context);
    };
    return ListModelMetadataCommand;
}($Command));
export { ListModelMetadataCommand };
