import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListModelPackageGroupsInput, ListModelPackageGroupsOutput } from "../models/models_2";
import { deserializeAws_json1_1ListModelPackageGroupsCommand, serializeAws_json1_1ListModelPackageGroupsCommand, } from "../protocols/Aws_json1_1";
var ListModelPackageGroupsCommand = (function (_super) {
    __extends(ListModelPackageGroupsCommand, _super);
    function ListModelPackageGroupsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListModelPackageGroupsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "ListModelPackageGroupsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListModelPackageGroupsInput.filterSensitiveLog,
            outputFilterSensitiveLog: ListModelPackageGroupsOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListModelPackageGroupsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListModelPackageGroupsCommand(input, context);
    };
    ListModelPackageGroupsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListModelPackageGroupsCommand(output, context);
    };
    return ListModelPackageGroupsCommand;
}($Command));
export { ListModelPackageGroupsCommand };
