import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListModelPackagesInput, ListModelPackagesOutput } from "../models/models_2";
import { deserializeAws_json1_1ListModelPackagesCommand, serializeAws_json1_1ListModelPackagesCommand, } from "../protocols/Aws_json1_1";
var ListModelPackagesCommand = (function (_super) {
    __extends(ListModelPackagesCommand, _super);
    function ListModelPackagesCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListModelPackagesCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "ListModelPackagesCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListModelPackagesInput.filterSensitiveLog,
            outputFilterSensitiveLog: ListModelPackagesOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListModelPackagesCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListModelPackagesCommand(input, context);
    };
    ListModelPackagesCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListModelPackagesCommand(output, context);
    };
    return ListModelPackagesCommand;
}($Command));
export { ListModelPackagesCommand };
