import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListModelQualityJobDefinitionsRequest, ListModelQualityJobDefinitionsResponse } from "../models/models_2";
import { deserializeAws_json1_1ListModelQualityJobDefinitionsCommand, serializeAws_json1_1ListModelQualityJobDefinitionsCommand, } from "../protocols/Aws_json1_1";
var ListModelQualityJobDefinitionsCommand = (function (_super) {
    __extends(ListModelQualityJobDefinitionsCommand, _super);
    function ListModelQualityJobDefinitionsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListModelQualityJobDefinitionsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "ListModelQualityJobDefinitionsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListModelQualityJobDefinitionsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListModelQualityJobDefinitionsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListModelQualityJobDefinitionsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListModelQualityJobDefinitionsCommand(input, context);
    };
    ListModelQualityJobDefinitionsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListModelQualityJobDefinitionsCommand(output, context);
    };
    return ListModelQualityJobDefinitionsCommand;
}($Command));
export { ListModelQualityJobDefinitionsCommand };
