import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListModelsInput, ListModelsOutput } from "../models/models_2";
import { deserializeAws_json1_1ListModelsCommand, serializeAws_json1_1ListModelsCommand, } from "../protocols/Aws_json1_1";
var ListModelsCommand = (function (_super) {
    __extends(ListModelsCommand, _super);
    function ListModelsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListModelsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "ListModelsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListModelsInput.filterSensitiveLog,
            outputFilterSensitiveLog: ListModelsOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListModelsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListModelsCommand(input, context);
    };
    ListModelsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListModelsCommand(output, context);
    };
    return ListModelsCommand;
}($Command));
export { ListModelsCommand };
