import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListMonitoringExecutionsRequest, ListMonitoringExecutionsResponse } from "../models/models_2";
import { deserializeAws_json1_1ListMonitoringExecutionsCommand, serializeAws_json1_1ListMonitoringExecutionsCommand, } from "../protocols/Aws_json1_1";
var ListMonitoringExecutionsCommand = (function (_super) {
    __extends(ListMonitoringExecutionsCommand, _super);
    function ListMonitoringExecutionsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListMonitoringExecutionsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "ListMonitoringExecutionsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListMonitoringExecutionsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListMonitoringExecutionsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListMonitoringExecutionsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListMonitoringExecutionsCommand(input, context);
    };
    ListMonitoringExecutionsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListMonitoringExecutionsCommand(output, context);
    };
    return ListMonitoringExecutionsCommand;
}($Command));
export { ListMonitoringExecutionsCommand };
