import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListNotebookInstanceLifecycleConfigsInput, ListNotebookInstanceLifecycleConfigsOutput, } from "../models/models_2";
import { deserializeAws_json1_1ListNotebookInstanceLifecycleConfigsCommand, serializeAws_json1_1ListNotebookInstanceLifecycleConfigsCommand, } from "../protocols/Aws_json1_1";
var ListNotebookInstanceLifecycleConfigsCommand = (function (_super) {
    __extends(ListNotebookInstanceLifecycleConfigsCommand, _super);
    function ListNotebookInstanceLifecycleConfigsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListNotebookInstanceLifecycleConfigsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "ListNotebookInstanceLifecycleConfigsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListNotebookInstanceLifecycleConfigsInput.filterSensitiveLog,
            outputFilterSensitiveLog: ListNotebookInstanceLifecycleConfigsOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListNotebookInstanceLifecycleConfigsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListNotebookInstanceLifecycleConfigsCommand(input, context);
    };
    ListNotebookInstanceLifecycleConfigsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListNotebookInstanceLifecycleConfigsCommand(output, context);
    };
    return ListNotebookInstanceLifecycleConfigsCommand;
}($Command));
export { ListNotebookInstanceLifecycleConfigsCommand };
