import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListNotebookInstancesInput, ListNotebookInstancesOutput } from "../models/models_2";
import { deserializeAws_json1_1ListNotebookInstancesCommand, serializeAws_json1_1ListNotebookInstancesCommand, } from "../protocols/Aws_json1_1";
var ListNotebookInstancesCommand = (function (_super) {
    __extends(ListNotebookInstancesCommand, _super);
    function ListNotebookInstancesCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListNotebookInstancesCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "ListNotebookInstancesCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListNotebookInstancesInput.filterSensitiveLog,
            outputFilterSensitiveLog: ListNotebookInstancesOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListNotebookInstancesCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListNotebookInstancesCommand(input, context);
    };
    ListNotebookInstancesCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListNotebookInstancesCommand(output, context);
    };
    return ListNotebookInstancesCommand;
}($Command));
export { ListNotebookInstancesCommand };
