import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListPipelineExecutionsRequest, ListPipelineExecutionsResponse } from "../models/models_2";
import { deserializeAws_json1_1ListPipelineExecutionsCommand, serializeAws_json1_1ListPipelineExecutionsCommand, } from "../protocols/Aws_json1_1";
var ListPipelineExecutionsCommand = (function (_super) {
    __extends(ListPipelineExecutionsCommand, _super);
    function ListPipelineExecutionsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListPipelineExecutionsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "ListPipelineExecutionsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListPipelineExecutionsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListPipelineExecutionsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListPipelineExecutionsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListPipelineExecutionsCommand(input, context);
    };
    ListPipelineExecutionsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListPipelineExecutionsCommand(output, context);
    };
    return ListPipelineExecutionsCommand;
}($Command));
export { ListPipelineExecutionsCommand };
