import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListPipelineParametersForExecutionRequest, ListPipelineParametersForExecutionResponse, } from "../models/models_2";
import { deserializeAws_json1_1ListPipelineParametersForExecutionCommand, serializeAws_json1_1ListPipelineParametersForExecutionCommand, } from "../protocols/Aws_json1_1";
var ListPipelineParametersForExecutionCommand = (function (_super) {
    __extends(ListPipelineParametersForExecutionCommand, _super);
    function ListPipelineParametersForExecutionCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListPipelineParametersForExecutionCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "ListPipelineParametersForExecutionCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListPipelineParametersForExecutionRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListPipelineParametersForExecutionResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListPipelineParametersForExecutionCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListPipelineParametersForExecutionCommand(input, context);
    };
    ListPipelineParametersForExecutionCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListPipelineParametersForExecutionCommand(output, context);
    };
    return ListPipelineParametersForExecutionCommand;
}($Command));
export { ListPipelineParametersForExecutionCommand };
