import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListProcessingJobsRequest, ListProcessingJobsResponse } from "../models/models_2";
import { deserializeAws_json1_1ListProcessingJobsCommand, serializeAws_json1_1ListProcessingJobsCommand, } from "../protocols/Aws_json1_1";
var ListProcessingJobsCommand = (function (_super) {
    __extends(ListProcessingJobsCommand, _super);
    function ListProcessingJobsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListProcessingJobsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "ListProcessingJobsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListProcessingJobsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListProcessingJobsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListProcessingJobsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListProcessingJobsCommand(input, context);
    };
    ListProcessingJobsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListProcessingJobsCommand(output, context);
    };
    return ListProcessingJobsCommand;
}($Command));
export { ListProcessingJobsCommand };
