import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListStudioLifecycleConfigsRequest, ListStudioLifecycleConfigsResponse } from "../models/models_2";
import { deserializeAws_json1_1ListStudioLifecycleConfigsCommand, serializeAws_json1_1ListStudioLifecycleConfigsCommand, } from "../protocols/Aws_json1_1";
var ListStudioLifecycleConfigsCommand = (function (_super) {
    __extends(ListStudioLifecycleConfigsCommand, _super);
    function ListStudioLifecycleConfigsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListStudioLifecycleConfigsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "ListStudioLifecycleConfigsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListStudioLifecycleConfigsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListStudioLifecycleConfigsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListStudioLifecycleConfigsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListStudioLifecycleConfigsCommand(input, context);
    };
    ListStudioLifecycleConfigsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListStudioLifecycleConfigsCommand(output, context);
    };
    return ListStudioLifecycleConfigsCommand;
}($Command));
export { ListStudioLifecycleConfigsCommand };
