import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListSubscribedWorkteamsRequest, ListSubscribedWorkteamsResponse } from "../models/models_2";
import { deserializeAws_json1_1ListSubscribedWorkteamsCommand, serializeAws_json1_1ListSubscribedWorkteamsCommand, } from "../protocols/Aws_json1_1";
var ListSubscribedWorkteamsCommand = (function (_super) {
    __extends(ListSubscribedWorkteamsCommand, _super);
    function ListSubscribedWorkteamsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListSubscribedWorkteamsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "ListSubscribedWorkteamsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListSubscribedWorkteamsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListSubscribedWorkteamsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListSubscribedWorkteamsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListSubscribedWorkteamsCommand(input, context);
    };
    ListSubscribedWorkteamsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListSubscribedWorkteamsCommand(output, context);
    };
    return ListSubscribedWorkteamsCommand;
}($Command));
export { ListSubscribedWorkteamsCommand };
