import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListTrainingJobsForHyperParameterTuningJobRequest, ListTrainingJobsForHyperParameterTuningJobResponse, } from "../models/models_3";
import { deserializeAws_json1_1ListTrainingJobsForHyperParameterTuningJobCommand, serializeAws_json1_1ListTrainingJobsForHyperParameterTuningJobCommand, } from "../protocols/Aws_json1_1";
var ListTrainingJobsForHyperParameterTuningJobCommand = (function (_super) {
    __extends(ListTrainingJobsForHyperParameterTuningJobCommand, _super);
    function ListTrainingJobsForHyperParameterTuningJobCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListTrainingJobsForHyperParameterTuningJobCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "ListTrainingJobsForHyperParameterTuningJobCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListTrainingJobsForHyperParameterTuningJobRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListTrainingJobsForHyperParameterTuningJobResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListTrainingJobsForHyperParameterTuningJobCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListTrainingJobsForHyperParameterTuningJobCommand(input, context);
    };
    ListTrainingJobsForHyperParameterTuningJobCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListTrainingJobsForHyperParameterTuningJobCommand(output, context);
    };
    return ListTrainingJobsForHyperParameterTuningJobCommand;
}($Command));
export { ListTrainingJobsForHyperParameterTuningJobCommand };
