import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListTransformJobsRequest, ListTransformJobsResponse } from "../models/models_3";
import { deserializeAws_json1_1ListTransformJobsCommand, serializeAws_json1_1ListTransformJobsCommand, } from "../protocols/Aws_json1_1";
var ListTransformJobsCommand = (function (_super) {
    __extends(ListTransformJobsCommand, _super);
    function ListTransformJobsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListTransformJobsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "ListTransformJobsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListTransformJobsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListTransformJobsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListTransformJobsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListTransformJobsCommand(input, context);
    };
    ListTransformJobsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListTransformJobsCommand(output, context);
    };
    return ListTransformJobsCommand;
}($Command));
export { ListTransformJobsCommand };
