import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListTrialComponentsRequest, ListTrialComponentsResponse } from "../models/models_3";
import { deserializeAws_json1_1ListTrialComponentsCommand, serializeAws_json1_1ListTrialComponentsCommand, } from "../protocols/Aws_json1_1";
var ListTrialComponentsCommand = (function (_super) {
    __extends(ListTrialComponentsCommand, _super);
    function ListTrialComponentsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListTrialComponentsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "ListTrialComponentsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListTrialComponentsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListTrialComponentsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListTrialComponentsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListTrialComponentsCommand(input, context);
    };
    ListTrialComponentsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListTrialComponentsCommand(output, context);
    };
    return ListTrialComponentsCommand;
}($Command));
export { ListTrialComponentsCommand };
