import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListTrialsRequest, ListTrialsResponse } from "../models/models_3";
import { deserializeAws_json1_1ListTrialsCommand, serializeAws_json1_1ListTrialsCommand, } from "../protocols/Aws_json1_1";
var ListTrialsCommand = (function (_super) {
    __extends(ListTrialsCommand, _super);
    function ListTrialsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListTrialsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "ListTrialsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListTrialsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListTrialsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListTrialsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListTrialsCommand(input, context);
    };
    ListTrialsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListTrialsCommand(output, context);
    };
    return ListTrialsCommand;
}($Command));
export { ListTrialsCommand };
