import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListUserProfilesRequest, ListUserProfilesResponse } from "../models/models_3";
import { deserializeAws_json1_1ListUserProfilesCommand, serializeAws_json1_1ListUserProfilesCommand, } from "../protocols/Aws_json1_1";
var ListUserProfilesCommand = (function (_super) {
    __extends(ListUserProfilesCommand, _super);
    function ListUserProfilesCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListUserProfilesCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "ListUserProfilesCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListUserProfilesRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListUserProfilesResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListUserProfilesCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListUserProfilesCommand(input, context);
    };
    ListUserProfilesCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListUserProfilesCommand(output, context);
    };
    return ListUserProfilesCommand;
}($Command));
export { ListUserProfilesCommand };
