import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListWorkteamsRequest, ListWorkteamsResponse } from "../models/models_3";
import { deserializeAws_json1_1ListWorkteamsCommand, serializeAws_json1_1ListWorkteamsCommand, } from "../protocols/Aws_json1_1";
var ListWorkteamsCommand = (function (_super) {
    __extends(ListWorkteamsCommand, _super);
    function ListWorkteamsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListWorkteamsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "ListWorkteamsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListWorkteamsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListWorkteamsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListWorkteamsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListWorkteamsCommand(input, context);
    };
    ListWorkteamsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListWorkteamsCommand(output, context);
    };
    return ListWorkteamsCommand;
}($Command));
export { ListWorkteamsCommand };
