import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { PutModelPackageGroupPolicyInput, PutModelPackageGroupPolicyOutput } from "../models/models_3";
import { deserializeAws_json1_1PutModelPackageGroupPolicyCommand, serializeAws_json1_1PutModelPackageGroupPolicyCommand, } from "../protocols/Aws_json1_1";
var PutModelPackageGroupPolicyCommand = (function (_super) {
    __extends(PutModelPackageGroupPolicyCommand, _super);
    function PutModelPackageGroupPolicyCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    PutModelPackageGroupPolicyCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "PutModelPackageGroupPolicyCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: PutModelPackageGroupPolicyInput.filterSensitiveLog,
            outputFilterSensitiveLog: PutModelPackageGroupPolicyOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    PutModelPackageGroupPolicyCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1PutModelPackageGroupPolicyCommand(input, context);
    };
    PutModelPackageGroupPolicyCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1PutModelPackageGroupPolicyCommand(output, context);
    };
    return PutModelPackageGroupPolicyCommand;
}($Command));
export { PutModelPackageGroupPolicyCommand };
