import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { RegisterDevicesRequest } from "../models/models_3";
import { deserializeAws_json1_1RegisterDevicesCommand, serializeAws_json1_1RegisterDevicesCommand, } from "../protocols/Aws_json1_1";
var RegisterDevicesCommand = (function (_super) {
    __extends(RegisterDevicesCommand, _super);
    function RegisterDevicesCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    RegisterDevicesCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "RegisterDevicesCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: RegisterDevicesRequest.filterSensitiveLog,
            outputFilterSensitiveLog: function (output) { return output; },
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    RegisterDevicesCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1RegisterDevicesCommand(input, context);
    };
    RegisterDevicesCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1RegisterDevicesCommand(output, context);
    };
    return RegisterDevicesCommand;
}($Command));
export { RegisterDevicesCommand };
