import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { RenderUiTemplateRequest, RenderUiTemplateResponse } from "../models/models_3";
import { deserializeAws_json1_1RenderUiTemplateCommand, serializeAws_json1_1RenderUiTemplateCommand, } from "../protocols/Aws_json1_1";
var RenderUiTemplateCommand = (function (_super) {
    __extends(RenderUiTemplateCommand, _super);
    function RenderUiTemplateCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    RenderUiTemplateCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "RenderUiTemplateCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: RenderUiTemplateRequest.filterSensitiveLog,
            outputFilterSensitiveLog: RenderUiTemplateResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    RenderUiTemplateCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1RenderUiTemplateCommand(input, context);
    };
    RenderUiTemplateCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1RenderUiTemplateCommand(output, context);
    };
    return RenderUiTemplateCommand;
}($Command));
export { RenderUiTemplateCommand };
