import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { RetryPipelineExecutionRequest, RetryPipelineExecutionResponse } from "../models/models_3";
import { deserializeAws_json1_1RetryPipelineExecutionCommand, serializeAws_json1_1RetryPipelineExecutionCommand, } from "../protocols/Aws_json1_1";
var RetryPipelineExecutionCommand = (function (_super) {
    __extends(RetryPipelineExecutionCommand, _super);
    function RetryPipelineExecutionCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    RetryPipelineExecutionCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "RetryPipelineExecutionCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: RetryPipelineExecutionRequest.filterSensitiveLog,
            outputFilterSensitiveLog: RetryPipelineExecutionResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    RetryPipelineExecutionCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1RetryPipelineExecutionCommand(input, context);
    };
    RetryPipelineExecutionCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1RetryPipelineExecutionCommand(output, context);
    };
    return RetryPipelineExecutionCommand;
}($Command));
export { RetryPipelineExecutionCommand };
