import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { SendPipelineExecutionStepFailureRequest, SendPipelineExecutionStepFailureResponse } from "../models/models_3";
import { deserializeAws_json1_1SendPipelineExecutionStepFailureCommand, serializeAws_json1_1SendPipelineExecutionStepFailureCommand, } from "../protocols/Aws_json1_1";
var SendPipelineExecutionStepFailureCommand = (function (_super) {
    __extends(SendPipelineExecutionStepFailureCommand, _super);
    function SendPipelineExecutionStepFailureCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    SendPipelineExecutionStepFailureCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "SendPipelineExecutionStepFailureCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: SendPipelineExecutionStepFailureRequest.filterSensitiveLog,
            outputFilterSensitiveLog: SendPipelineExecutionStepFailureResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    SendPipelineExecutionStepFailureCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1SendPipelineExecutionStepFailureCommand(input, context);
    };
    SendPipelineExecutionStepFailureCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1SendPipelineExecutionStepFailureCommand(output, context);
    };
    return SendPipelineExecutionStepFailureCommand;
}($Command));
export { SendPipelineExecutionStepFailureCommand };
