import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { SendPipelineExecutionStepSuccessRequest, SendPipelineExecutionStepSuccessResponse } from "../models/models_3";
import { deserializeAws_json1_1SendPipelineExecutionStepSuccessCommand, serializeAws_json1_1SendPipelineExecutionStepSuccessCommand, } from "../protocols/Aws_json1_1";
var SendPipelineExecutionStepSuccessCommand = (function (_super) {
    __extends(SendPipelineExecutionStepSuccessCommand, _super);
    function SendPipelineExecutionStepSuccessCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    SendPipelineExecutionStepSuccessCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "SendPipelineExecutionStepSuccessCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: SendPipelineExecutionStepSuccessRequest.filterSensitiveLog,
            outputFilterSensitiveLog: SendPipelineExecutionStepSuccessResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    SendPipelineExecutionStepSuccessCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1SendPipelineExecutionStepSuccessCommand(input, context);
    };
    SendPipelineExecutionStepSuccessCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1SendPipelineExecutionStepSuccessCommand(output, context);
    };
    return SendPipelineExecutionStepSuccessCommand;
}($Command));
export { SendPipelineExecutionStepSuccessCommand };
