import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { StartNotebookInstanceInput } from "../models/models_3";
import { deserializeAws_json1_1StartNotebookInstanceCommand, serializeAws_json1_1StartNotebookInstanceCommand, } from "../protocols/Aws_json1_1";
var StartNotebookInstanceCommand = (function (_super) {
    __extends(StartNotebookInstanceCommand, _super);
    function StartNotebookInstanceCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    StartNotebookInstanceCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "StartNotebookInstanceCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: StartNotebookInstanceInput.filterSensitiveLog,
            outputFilterSensitiveLog: function (output) { return output; },
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    StartNotebookInstanceCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1StartNotebookInstanceCommand(input, context);
    };
    StartNotebookInstanceCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1StartNotebookInstanceCommand(output, context);
    };
    return StartNotebookInstanceCommand;
}($Command));
export { StartNotebookInstanceCommand };
