import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { StartPipelineExecutionRequest, StartPipelineExecutionResponse } from "../models/models_3";
import { deserializeAws_json1_1StartPipelineExecutionCommand, serializeAws_json1_1StartPipelineExecutionCommand, } from "../protocols/Aws_json1_1";
var StartPipelineExecutionCommand = (function (_super) {
    __extends(StartPipelineExecutionCommand, _super);
    function StartPipelineExecutionCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    StartPipelineExecutionCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "StartPipelineExecutionCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: StartPipelineExecutionRequest.filterSensitiveLog,
            outputFilterSensitiveLog: StartPipelineExecutionResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    StartPipelineExecutionCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1StartPipelineExecutionCommand(input, context);
    };
    StartPipelineExecutionCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1StartPipelineExecutionCommand(output, context);
    };
    return StartPipelineExecutionCommand;
}($Command));
export { StartPipelineExecutionCommand };
