import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { StopCompilationJobRequest } from "../models/models_3";
import { deserializeAws_json1_1StopCompilationJobCommand, serializeAws_json1_1StopCompilationJobCommand, } from "../protocols/Aws_json1_1";
var StopCompilationJobCommand = (function (_super) {
    __extends(StopCompilationJobCommand, _super);
    function StopCompilationJobCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    StopCompilationJobCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "StopCompilationJobCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: StopCompilationJobRequest.filterSensitiveLog,
            outputFilterSensitiveLog: function (output) { return output; },
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    StopCompilationJobCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1StopCompilationJobCommand(input, context);
    };
    StopCompilationJobCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1StopCompilationJobCommand(output, context);
    };
    return StopCompilationJobCommand;
}($Command));
export { StopCompilationJobCommand };
