import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { StopLabelingJobRequest } from "../models/models_3";
import { deserializeAws_json1_1StopLabelingJobCommand, serializeAws_json1_1StopLabelingJobCommand, } from "../protocols/Aws_json1_1";
var StopLabelingJobCommand = (function (_super) {
    __extends(StopLabelingJobCommand, _super);
    function StopLabelingJobCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    StopLabelingJobCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "StopLabelingJobCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: StopLabelingJobRequest.filterSensitiveLog,
            outputFilterSensitiveLog: function (output) { return output; },
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    StopLabelingJobCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1StopLabelingJobCommand(input, context);
    };
    StopLabelingJobCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1StopLabelingJobCommand(output, context);
    };
    return StopLabelingJobCommand;
}($Command));
export { StopLabelingJobCommand };
