import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { StopMonitoringScheduleRequest } from "../models/models_3";
import { deserializeAws_json1_1StopMonitoringScheduleCommand, serializeAws_json1_1StopMonitoringScheduleCommand, } from "../protocols/Aws_json1_1";
var StopMonitoringScheduleCommand = (function (_super) {
    __extends(StopMonitoringScheduleCommand, _super);
    function StopMonitoringScheduleCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    StopMonitoringScheduleCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "StopMonitoringScheduleCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: StopMonitoringScheduleRequest.filterSensitiveLog,
            outputFilterSensitiveLog: function (output) { return output; },
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    StopMonitoringScheduleCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1StopMonitoringScheduleCommand(input, context);
    };
    StopMonitoringScheduleCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1StopMonitoringScheduleCommand(output, context);
    };
    return StopMonitoringScheduleCommand;
}($Command));
export { StopMonitoringScheduleCommand };
