import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { StopPipelineExecutionRequest, StopPipelineExecutionResponse } from "../models/models_3";
import { deserializeAws_json1_1StopPipelineExecutionCommand, serializeAws_json1_1StopPipelineExecutionCommand, } from "../protocols/Aws_json1_1";
var StopPipelineExecutionCommand = (function (_super) {
    __extends(StopPipelineExecutionCommand, _super);
    function StopPipelineExecutionCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    StopPipelineExecutionCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "StopPipelineExecutionCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: StopPipelineExecutionRequest.filterSensitiveLog,
            outputFilterSensitiveLog: StopPipelineExecutionResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    StopPipelineExecutionCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1StopPipelineExecutionCommand(input, context);
    };
    StopPipelineExecutionCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1StopPipelineExecutionCommand(output, context);
    };
    return StopPipelineExecutionCommand;
}($Command));
export { StopPipelineExecutionCommand };
