import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { StopProcessingJobRequest } from "../models/models_3";
import { deserializeAws_json1_1StopProcessingJobCommand, serializeAws_json1_1StopProcessingJobCommand, } from "../protocols/Aws_json1_1";
var StopProcessingJobCommand = (function (_super) {
    __extends(StopProcessingJobCommand, _super);
    function StopProcessingJobCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    StopProcessingJobCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "StopProcessingJobCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: StopProcessingJobRequest.filterSensitiveLog,
            outputFilterSensitiveLog: function (output) { return output; },
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    StopProcessingJobCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1StopProcessingJobCommand(input, context);
    };
    StopProcessingJobCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1StopProcessingJobCommand(output, context);
    };
    return StopProcessingJobCommand;
}($Command));
export { StopProcessingJobCommand };
