import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { StopTransformJobRequest } from "../models/models_3";
import { deserializeAws_json1_1StopTransformJobCommand, serializeAws_json1_1StopTransformJobCommand, } from "../protocols/Aws_json1_1";
var StopTransformJobCommand = (function (_super) {
    __extends(StopTransformJobCommand, _super);
    function StopTransformJobCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    StopTransformJobCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "StopTransformJobCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: StopTransformJobRequest.filterSensitiveLog,
            outputFilterSensitiveLog: function (output) { return output; },
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    StopTransformJobCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1StopTransformJobCommand(input, context);
    };
    StopTransformJobCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1StopTransformJobCommand(output, context);
    };
    return StopTransformJobCommand;
}($Command));
export { StopTransformJobCommand };
