import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateActionRequest, UpdateActionResponse } from "../models/models_3";
import { deserializeAws_json1_1UpdateActionCommand, serializeAws_json1_1UpdateActionCommand, } from "../protocols/Aws_json1_1";
var UpdateActionCommand = (function (_super) {
    __extends(UpdateActionCommand, _super);
    function UpdateActionCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateActionCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "UpdateActionCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateActionRequest.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateActionResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateActionCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1UpdateActionCommand(input, context);
    };
    UpdateActionCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1UpdateActionCommand(output, context);
    };
    return UpdateActionCommand;
}($Command));
export { UpdateActionCommand };
