import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateArtifactRequest, UpdateArtifactResponse } from "../models/models_3";
import { deserializeAws_json1_1UpdateArtifactCommand, serializeAws_json1_1UpdateArtifactCommand, } from "../protocols/Aws_json1_1";
var UpdateArtifactCommand = (function (_super) {
    __extends(UpdateArtifactCommand, _super);
    function UpdateArtifactCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateArtifactCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "UpdateArtifactCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateArtifactRequest.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateArtifactResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateArtifactCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1UpdateArtifactCommand(input, context);
    };
    UpdateArtifactCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1UpdateArtifactCommand(output, context);
    };
    return UpdateArtifactCommand;
}($Command));
export { UpdateArtifactCommand };
