import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateCodeRepositoryInput, UpdateCodeRepositoryOutput } from "../models/models_3";
import { deserializeAws_json1_1UpdateCodeRepositoryCommand, serializeAws_json1_1UpdateCodeRepositoryCommand, } from "../protocols/Aws_json1_1";
var UpdateCodeRepositoryCommand = (function (_super) {
    __extends(UpdateCodeRepositoryCommand, _super);
    function UpdateCodeRepositoryCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateCodeRepositoryCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "UpdateCodeRepositoryCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateCodeRepositoryInput.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateCodeRepositoryOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateCodeRepositoryCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1UpdateCodeRepositoryCommand(input, context);
    };
    UpdateCodeRepositoryCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1UpdateCodeRepositoryCommand(output, context);
    };
    return UpdateCodeRepositoryCommand;
}($Command));
export { UpdateCodeRepositoryCommand };
