import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateContextRequest, UpdateContextResponse } from "../models/models_3";
import { deserializeAws_json1_1UpdateContextCommand, serializeAws_json1_1UpdateContextCommand, } from "../protocols/Aws_json1_1";
var UpdateContextCommand = (function (_super) {
    __extends(UpdateContextCommand, _super);
    function UpdateContextCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateContextCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "UpdateContextCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateContextRequest.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateContextResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateContextCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1UpdateContextCommand(input, context);
    };
    UpdateContextCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1UpdateContextCommand(output, context);
    };
    return UpdateContextCommand;
}($Command));
export { UpdateContextCommand };
