import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateDomainRequest, UpdateDomainResponse } from "../models/models_3";
import { deserializeAws_json1_1UpdateDomainCommand, serializeAws_json1_1UpdateDomainCommand, } from "../protocols/Aws_json1_1";
var UpdateDomainCommand = (function (_super) {
    __extends(UpdateDomainCommand, _super);
    function UpdateDomainCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateDomainCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "UpdateDomainCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateDomainRequest.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateDomainResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateDomainCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1UpdateDomainCommand(input, context);
    };
    UpdateDomainCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1UpdateDomainCommand(output, context);
    };
    return UpdateDomainCommand;
}($Command));
export { UpdateDomainCommand };
