import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateEndpointWeightsAndCapacitiesInput, UpdateEndpointWeightsAndCapacitiesOutput } from "../models/models_3";
import { deserializeAws_json1_1UpdateEndpointWeightsAndCapacitiesCommand, serializeAws_json1_1UpdateEndpointWeightsAndCapacitiesCommand, } from "../protocols/Aws_json1_1";
var UpdateEndpointWeightsAndCapacitiesCommand = (function (_super) {
    __extends(UpdateEndpointWeightsAndCapacitiesCommand, _super);
    function UpdateEndpointWeightsAndCapacitiesCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateEndpointWeightsAndCapacitiesCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "UpdateEndpointWeightsAndCapacitiesCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateEndpointWeightsAndCapacitiesInput.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateEndpointWeightsAndCapacitiesOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateEndpointWeightsAndCapacitiesCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1UpdateEndpointWeightsAndCapacitiesCommand(input, context);
    };
    UpdateEndpointWeightsAndCapacitiesCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1UpdateEndpointWeightsAndCapacitiesCommand(output, context);
    };
    return UpdateEndpointWeightsAndCapacitiesCommand;
}($Command));
export { UpdateEndpointWeightsAndCapacitiesCommand };
