import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateExperimentRequest, UpdateExperimentResponse } from "../models/models_3";
import { deserializeAws_json1_1UpdateExperimentCommand, serializeAws_json1_1UpdateExperimentCommand, } from "../protocols/Aws_json1_1";
var UpdateExperimentCommand = (function (_super) {
    __extends(UpdateExperimentCommand, _super);
    function UpdateExperimentCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateExperimentCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "UpdateExperimentCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateExperimentRequest.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateExperimentResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateExperimentCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1UpdateExperimentCommand(input, context);
    };
    UpdateExperimentCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1UpdateExperimentCommand(output, context);
    };
    return UpdateExperimentCommand;
}($Command));
export { UpdateExperimentCommand };
