import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateImageRequest, UpdateImageResponse } from "../models/models_3";
import { deserializeAws_json1_1UpdateImageCommand, serializeAws_json1_1UpdateImageCommand, } from "../protocols/Aws_json1_1";
var UpdateImageCommand = (function (_super) {
    __extends(UpdateImageCommand, _super);
    function UpdateImageCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateImageCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "UpdateImageCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateImageRequest.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateImageResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateImageCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1UpdateImageCommand(input, context);
    };
    UpdateImageCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1UpdateImageCommand(output, context);
    };
    return UpdateImageCommand;
}($Command));
export { UpdateImageCommand };
