import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateModelPackageInput, UpdateModelPackageOutput } from "../models/models_3";
import { deserializeAws_json1_1UpdateModelPackageCommand, serializeAws_json1_1UpdateModelPackageCommand, } from "../protocols/Aws_json1_1";
var UpdateModelPackageCommand = (function (_super) {
    __extends(UpdateModelPackageCommand, _super);
    function UpdateModelPackageCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateModelPackageCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "UpdateModelPackageCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateModelPackageInput.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateModelPackageOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateModelPackageCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1UpdateModelPackageCommand(input, context);
    };
    UpdateModelPackageCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1UpdateModelPackageCommand(output, context);
    };
    return UpdateModelPackageCommand;
}($Command));
export { UpdateModelPackageCommand };
