import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateMonitoringScheduleRequest, UpdateMonitoringScheduleResponse } from "../models/models_3";
import { deserializeAws_json1_1UpdateMonitoringScheduleCommand, serializeAws_json1_1UpdateMonitoringScheduleCommand, } from "../protocols/Aws_json1_1";
var UpdateMonitoringScheduleCommand = (function (_super) {
    __extends(UpdateMonitoringScheduleCommand, _super);
    function UpdateMonitoringScheduleCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateMonitoringScheduleCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "UpdateMonitoringScheduleCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateMonitoringScheduleRequest.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateMonitoringScheduleResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateMonitoringScheduleCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1UpdateMonitoringScheduleCommand(input, context);
    };
    UpdateMonitoringScheduleCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1UpdateMonitoringScheduleCommand(output, context);
    };
    return UpdateMonitoringScheduleCommand;
}($Command));
export { UpdateMonitoringScheduleCommand };
