import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateNotebookInstanceInput, UpdateNotebookInstanceOutput } from "../models/models_3";
import { deserializeAws_json1_1UpdateNotebookInstanceCommand, serializeAws_json1_1UpdateNotebookInstanceCommand, } from "../protocols/Aws_json1_1";
var UpdateNotebookInstanceCommand = (function (_super) {
    __extends(UpdateNotebookInstanceCommand, _super);
    function UpdateNotebookInstanceCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateNotebookInstanceCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "UpdateNotebookInstanceCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateNotebookInstanceInput.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateNotebookInstanceOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateNotebookInstanceCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1UpdateNotebookInstanceCommand(input, context);
    };
    UpdateNotebookInstanceCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1UpdateNotebookInstanceCommand(output, context);
    };
    return UpdateNotebookInstanceCommand;
}($Command));
export { UpdateNotebookInstanceCommand };
