import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdatePipelineExecutionRequest, UpdatePipelineExecutionResponse } from "../models/models_3";
import { deserializeAws_json1_1UpdatePipelineExecutionCommand, serializeAws_json1_1UpdatePipelineExecutionCommand, } from "../protocols/Aws_json1_1";
var UpdatePipelineExecutionCommand = (function (_super) {
    __extends(UpdatePipelineExecutionCommand, _super);
    function UpdatePipelineExecutionCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdatePipelineExecutionCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "UpdatePipelineExecutionCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdatePipelineExecutionRequest.filterSensitiveLog,
            outputFilterSensitiveLog: UpdatePipelineExecutionResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdatePipelineExecutionCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1UpdatePipelineExecutionCommand(input, context);
    };
    UpdatePipelineExecutionCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1UpdatePipelineExecutionCommand(output, context);
    };
    return UpdatePipelineExecutionCommand;
}($Command));
export { UpdatePipelineExecutionCommand };
