import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateTrainingJobRequest, UpdateTrainingJobResponse } from "../models/models_3";
import { deserializeAws_json1_1UpdateTrainingJobCommand, serializeAws_json1_1UpdateTrainingJobCommand, } from "../protocols/Aws_json1_1";
var UpdateTrainingJobCommand = (function (_super) {
    __extends(UpdateTrainingJobCommand, _super);
    function UpdateTrainingJobCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateTrainingJobCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "UpdateTrainingJobCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateTrainingJobRequest.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateTrainingJobResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateTrainingJobCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1UpdateTrainingJobCommand(input, context);
    };
    UpdateTrainingJobCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1UpdateTrainingJobCommand(output, context);
    };
    return UpdateTrainingJobCommand;
}($Command));
export { UpdateTrainingJobCommand };
