import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateTrialRequest, UpdateTrialResponse } from "../models/models_3";
import { deserializeAws_json1_1UpdateTrialCommand, serializeAws_json1_1UpdateTrialCommand, } from "../protocols/Aws_json1_1";
var UpdateTrialCommand = (function (_super) {
    __extends(UpdateTrialCommand, _super);
    function UpdateTrialCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateTrialCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "UpdateTrialCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateTrialRequest.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateTrialResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateTrialCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1UpdateTrialCommand(input, context);
    };
    UpdateTrialCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1UpdateTrialCommand(output, context);
    };
    return UpdateTrialCommand;
}($Command));
export { UpdateTrialCommand };
