import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateTrialComponentRequest, UpdateTrialComponentResponse } from "../models/models_3";
import { deserializeAws_json1_1UpdateTrialComponentCommand, serializeAws_json1_1UpdateTrialComponentCommand, } from "../protocols/Aws_json1_1";
var UpdateTrialComponentCommand = (function (_super) {
    __extends(UpdateTrialComponentCommand, _super);
    function UpdateTrialComponentCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateTrialComponentCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "UpdateTrialComponentCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateTrialComponentRequest.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateTrialComponentResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateTrialComponentCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1UpdateTrialComponentCommand(input, context);
    };
    UpdateTrialComponentCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1UpdateTrialComponentCommand(output, context);
    };
    return UpdateTrialComponentCommand;
}($Command));
export { UpdateTrialComponentCommand };
