import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateUserProfileRequest, UpdateUserProfileResponse } from "../models/models_3";
import { deserializeAws_json1_1UpdateUserProfileCommand, serializeAws_json1_1UpdateUserProfileCommand, } from "../protocols/Aws_json1_1";
var UpdateUserProfileCommand = (function (_super) {
    __extends(UpdateUserProfileCommand, _super);
    function UpdateUserProfileCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateUserProfileCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "UpdateUserProfileCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateUserProfileRequest.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateUserProfileResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateUserProfileCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1UpdateUserProfileCommand(input, context);
    };
    UpdateUserProfileCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1UpdateUserProfileCommand(output, context);
    };
    return UpdateUserProfileCommand;
}($Command));
export { UpdateUserProfileCommand };
