import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateWorkforceRequest, UpdateWorkforceResponse } from "../models/models_3";
import { deserializeAws_json1_1UpdateWorkforceCommand, serializeAws_json1_1UpdateWorkforceCommand, } from "../protocols/Aws_json1_1";
var UpdateWorkforceCommand = (function (_super) {
    __extends(UpdateWorkforceCommand, _super);
    function UpdateWorkforceCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateWorkforceCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "UpdateWorkforceCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateWorkforceRequest.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateWorkforceResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateWorkforceCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1UpdateWorkforceCommand(input, context);
    };
    UpdateWorkforceCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1UpdateWorkforceCommand(output, context);
    };
    return UpdateWorkforceCommand;
}($Command));
export { UpdateWorkforceCommand };
