import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateWorkteamRequest, UpdateWorkteamResponse } from "../models/models_3";
import { deserializeAws_json1_1UpdateWorkteamCommand, serializeAws_json1_1UpdateWorkteamCommand, } from "../protocols/Aws_json1_1";
var UpdateWorkteamCommand = (function (_super) {
    __extends(UpdateWorkteamCommand, _super);
    function UpdateWorkteamCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateWorkteamCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "SageMakerClient";
        var commandName = "UpdateWorkteamCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateWorkteamRequest.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateWorkteamResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateWorkteamCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1UpdateWorkteamCommand(input, context);
    };
    UpdateWorkteamCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1UpdateWorkteamCommand(output, context);
    };
    return UpdateWorkteamCommand;
}($Command));
export { UpdateWorkteamCommand };
