import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { GetLineageGroupPolicyRequest, GetLineageGroupPolicyResponse } from "../models/models_2";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface GetLineageGroupPolicyCommandInput extends GetLineageGroupPolicyRequest {
}
export interface GetLineageGroupPolicyCommandOutput extends GetLineageGroupPolicyResponse, __MetadataBearer {
}
/**
 * <p>The resource policy for the lineage group.</p>
 * @example
 * Use a bare-bones client and the command you need to make an API call.
 * ```javascript
 * import { SageMakerClient, GetLineageGroupPolicyCommand } from "@aws-sdk/client-sagemaker"; // ES Modules import
 * // const { SageMakerClient, GetLineageGroupPolicyCommand } = require("@aws-sdk/client-sagemaker"); // CommonJS import
 * const client = new SageMakerClient(config);
 * const command = new GetLineageGroupPolicyCommand(input);
 * const response = await client.send(command);
 * ```
 *
 * @see {@link GetLineageGroupPolicyCommandInput} for command's `input` shape.
 * @see {@link GetLineageGroupPolicyCommandOutput} for command's `response` shape.
 * @see {@link SageMakerClientResolvedConfig | config} for SageMakerClient's `config` shape.
 *
 */
export declare class GetLineageGroupPolicyCommand extends $Command<GetLineageGroupPolicyCommandInput, GetLineageGroupPolicyCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: GetLineageGroupPolicyCommandInput;
    constructor(input: GetLineageGroupPolicyCommandInput);
    /**
     * @internal
     */
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<GetLineageGroupPolicyCommandInput, GetLineageGroupPolicyCommandOutput>;
    private serialize;
    private deserialize;
}
