import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { StopInferenceRecommendationsJobRequest } from "../models/models_3";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface StopInferenceRecommendationsJobCommandInput extends StopInferenceRecommendationsJobRequest {
}
export interface StopInferenceRecommendationsJobCommandOutput extends __MetadataBearer {
}
/**
 * <p>Stops an Inference Recommender job.</p>
 * @example
 * Use a bare-bones client and the command you need to make an API call.
 * ```javascript
 * import { SageMakerClient, StopInferenceRecommendationsJobCommand } from "@aws-sdk/client-sagemaker"; // ES Modules import
 * // const { SageMakerClient, StopInferenceRecommendationsJobCommand } = require("@aws-sdk/client-sagemaker"); // CommonJS import
 * const client = new SageMakerClient(config);
 * const command = new StopInferenceRecommendationsJobCommand(input);
 * const response = await client.send(command);
 * ```
 *
 * @see {@link StopInferenceRecommendationsJobCommandInput} for command's `input` shape.
 * @see {@link StopInferenceRecommendationsJobCommandOutput} for command's `response` shape.
 * @see {@link SageMakerClientResolvedConfig | config} for SageMakerClient's `config` shape.
 *
 */
export declare class StopInferenceRecommendationsJobCommand extends $Command<StopInferenceRecommendationsJobCommandInput, StopInferenceRecommendationsJobCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: StopInferenceRecommendationsJobCommandInput;
    constructor(input: StopInferenceRecommendationsJobCommandInput);
    /**
     * @internal
     */
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<StopInferenceRecommendationsJobCommandInput, StopInferenceRecommendationsJobCommandOutput>;
    private serialize;
    private deserialize;
}
