import { HttpRequest as __HttpRequest, HttpResponse as __HttpResponse } from "@aws-sdk/protocol-http";
import { SerdeContext as __SerdeContext } from "@aws-sdk/types";
import { AddAssociationCommandInput, AddAssociationCommandOutput } from "../commands/AddAssociationCommand";
import { AddTagsCommandInput, AddTagsCommandOutput } from "../commands/AddTagsCommand";
import { AssociateTrialComponentCommandInput, AssociateTrialComponentCommandOutput } from "../commands/AssociateTrialComponentCommand";
import { BatchDescribeModelPackageCommandInput, BatchDescribeModelPackageCommandOutput } from "../commands/BatchDescribeModelPackageCommand";
import { CreateActionCommandInput, CreateActionCommandOutput } from "../commands/CreateActionCommand";
import { CreateAlgorithmCommandInput, CreateAlgorithmCommandOutput } from "../commands/CreateAlgorithmCommand";
import { CreateAppCommandInput, CreateAppCommandOutput } from "../commands/CreateAppCommand";
import { CreateAppImageConfigCommandInput, CreateAppImageConfigCommandOutput } from "../commands/CreateAppImageConfigCommand";
import { CreateArtifactCommandInput, CreateArtifactCommandOutput } from "../commands/CreateArtifactCommand";
import { CreateAutoMLJobCommandInput, CreateAutoMLJobCommandOutput } from "../commands/CreateAutoMLJobCommand";
import { CreateCodeRepositoryCommandInput, CreateCodeRepositoryCommandOutput } from "../commands/CreateCodeRepositoryCommand";
import { CreateCompilationJobCommandInput, CreateCompilationJobCommandOutput } from "../commands/CreateCompilationJobCommand";
import { CreateContextCommandInput, CreateContextCommandOutput } from "../commands/CreateContextCommand";
import { CreateDataQualityJobDefinitionCommandInput, CreateDataQualityJobDefinitionCommandOutput } from "../commands/CreateDataQualityJobDefinitionCommand";
import { CreateDeviceFleetCommandInput, CreateDeviceFleetCommandOutput } from "../commands/CreateDeviceFleetCommand";
import { CreateDomainCommandInput, CreateDomainCommandOutput } from "../commands/CreateDomainCommand";
import { CreateEdgePackagingJobCommandInput, CreateEdgePackagingJobCommandOutput } from "../commands/CreateEdgePackagingJobCommand";
import { CreateEndpointCommandInput, CreateEndpointCommandOutput } from "../commands/CreateEndpointCommand";
import { CreateEndpointConfigCommandInput, CreateEndpointConfigCommandOutput } from "../commands/CreateEndpointConfigCommand";
import { CreateExperimentCommandInput, CreateExperimentCommandOutput } from "../commands/CreateExperimentCommand";
import { CreateFeatureGroupCommandInput, CreateFeatureGroupCommandOutput } from "../commands/CreateFeatureGroupCommand";
import { CreateFlowDefinitionCommandInput, CreateFlowDefinitionCommandOutput } from "../commands/CreateFlowDefinitionCommand";
import { CreateHumanTaskUiCommandInput, CreateHumanTaskUiCommandOutput } from "../commands/CreateHumanTaskUiCommand";
import { CreateHyperParameterTuningJobCommandInput, CreateHyperParameterTuningJobCommandOutput } from "../commands/CreateHyperParameterTuningJobCommand";
import { CreateImageCommandInput, CreateImageCommandOutput } from "../commands/CreateImageCommand";
import { CreateImageVersionCommandInput, CreateImageVersionCommandOutput } from "../commands/CreateImageVersionCommand";
import { CreateInferenceRecommendationsJobCommandInput, CreateInferenceRecommendationsJobCommandOutput } from "../commands/CreateInferenceRecommendationsJobCommand";
import { CreateLabelingJobCommandInput, CreateLabelingJobCommandOutput } from "../commands/CreateLabelingJobCommand";
import { CreateModelBiasJobDefinitionCommandInput, CreateModelBiasJobDefinitionCommandOutput } from "../commands/CreateModelBiasJobDefinitionCommand";
import { CreateModelCommandInput, CreateModelCommandOutput } from "../commands/CreateModelCommand";
import { CreateModelExplainabilityJobDefinitionCommandInput, CreateModelExplainabilityJobDefinitionCommandOutput } from "../commands/CreateModelExplainabilityJobDefinitionCommand";
import { CreateModelPackageCommandInput, CreateModelPackageCommandOutput } from "../commands/CreateModelPackageCommand";
import { CreateModelPackageGroupCommandInput, CreateModelPackageGroupCommandOutput } from "../commands/CreateModelPackageGroupCommand";
import { CreateModelQualityJobDefinitionCommandInput, CreateModelQualityJobDefinitionCommandOutput } from "../commands/CreateModelQualityJobDefinitionCommand";
import { CreateMonitoringScheduleCommandInput, CreateMonitoringScheduleCommandOutput } from "../commands/CreateMonitoringScheduleCommand";
import { CreateNotebookInstanceCommandInput, CreateNotebookInstanceCommandOutput } from "../commands/CreateNotebookInstanceCommand";
import { CreateNotebookInstanceLifecycleConfigCommandInput, CreateNotebookInstanceLifecycleConfigCommandOutput } from "../commands/CreateNotebookInstanceLifecycleConfigCommand";
import { CreatePipelineCommandInput, CreatePipelineCommandOutput } from "../commands/CreatePipelineCommand";
import { CreatePresignedDomainUrlCommandInput, CreatePresignedDomainUrlCommandOutput } from "../commands/CreatePresignedDomainUrlCommand";
import { CreatePresignedNotebookInstanceUrlCommandInput, CreatePresignedNotebookInstanceUrlCommandOutput } from "../commands/CreatePresignedNotebookInstanceUrlCommand";
import { CreateProcessingJobCommandInput, CreateProcessingJobCommandOutput } from "../commands/CreateProcessingJobCommand";
import { CreateProjectCommandInput, CreateProjectCommandOutput } from "../commands/CreateProjectCommand";
import { CreateStudioLifecycleConfigCommandInput, CreateStudioLifecycleConfigCommandOutput } from "../commands/CreateStudioLifecycleConfigCommand";
import { CreateTrainingJobCommandInput, CreateTrainingJobCommandOutput } from "../commands/CreateTrainingJobCommand";
import { CreateTransformJobCommandInput, CreateTransformJobCommandOutput } from "../commands/CreateTransformJobCommand";
import { CreateTrialCommandInput, CreateTrialCommandOutput } from "../commands/CreateTrialCommand";
import { CreateTrialComponentCommandInput, CreateTrialComponentCommandOutput } from "../commands/CreateTrialComponentCommand";
import { CreateUserProfileCommandInput, CreateUserProfileCommandOutput } from "../commands/CreateUserProfileCommand";
import { CreateWorkforceCommandInput, CreateWorkforceCommandOutput } from "../commands/CreateWorkforceCommand";
import { CreateWorkteamCommandInput, CreateWorkteamCommandOutput } from "../commands/CreateWorkteamCommand";
import { DeleteActionCommandInput, DeleteActionCommandOutput } from "../commands/DeleteActionCommand";
import { DeleteAlgorithmCommandInput, DeleteAlgorithmCommandOutput } from "../commands/DeleteAlgorithmCommand";
import { DeleteAppCommandInput, DeleteAppCommandOutput } from "../commands/DeleteAppCommand";
import { DeleteAppImageConfigCommandInput, DeleteAppImageConfigCommandOutput } from "../commands/DeleteAppImageConfigCommand";
import { DeleteArtifactCommandInput, DeleteArtifactCommandOutput } from "../commands/DeleteArtifactCommand";
import { DeleteAssociationCommandInput, DeleteAssociationCommandOutput } from "../commands/DeleteAssociationCommand";
import { DeleteCodeRepositoryCommandInput, DeleteCodeRepositoryCommandOutput } from "../commands/DeleteCodeRepositoryCommand";
import { DeleteContextCommandInput, DeleteContextCommandOutput } from "../commands/DeleteContextCommand";
import { DeleteDataQualityJobDefinitionCommandInput, DeleteDataQualityJobDefinitionCommandOutput } from "../commands/DeleteDataQualityJobDefinitionCommand";
import { DeleteDeviceFleetCommandInput, DeleteDeviceFleetCommandOutput } from "../commands/DeleteDeviceFleetCommand";
import { DeleteDomainCommandInput, DeleteDomainCommandOutput } from "../commands/DeleteDomainCommand";
import { DeleteEndpointCommandInput, DeleteEndpointCommandOutput } from "../commands/DeleteEndpointCommand";
import { DeleteEndpointConfigCommandInput, DeleteEndpointConfigCommandOutput } from "../commands/DeleteEndpointConfigCommand";
import { DeleteExperimentCommandInput, DeleteExperimentCommandOutput } from "../commands/DeleteExperimentCommand";
import { DeleteFeatureGroupCommandInput, DeleteFeatureGroupCommandOutput } from "../commands/DeleteFeatureGroupCommand";
import { DeleteFlowDefinitionCommandInput, DeleteFlowDefinitionCommandOutput } from "../commands/DeleteFlowDefinitionCommand";
import { DeleteHumanTaskUiCommandInput, DeleteHumanTaskUiCommandOutput } from "../commands/DeleteHumanTaskUiCommand";
import { DeleteImageCommandInput, DeleteImageCommandOutput } from "../commands/DeleteImageCommand";
import { DeleteImageVersionCommandInput, DeleteImageVersionCommandOutput } from "../commands/DeleteImageVersionCommand";
import { DeleteModelBiasJobDefinitionCommandInput, DeleteModelBiasJobDefinitionCommandOutput } from "../commands/DeleteModelBiasJobDefinitionCommand";
import { DeleteModelCommandInput, DeleteModelCommandOutput } from "../commands/DeleteModelCommand";
import { DeleteModelExplainabilityJobDefinitionCommandInput, DeleteModelExplainabilityJobDefinitionCommandOutput } from "../commands/DeleteModelExplainabilityJobDefinitionCommand";
import { DeleteModelPackageCommandInput, DeleteModelPackageCommandOutput } from "../commands/DeleteModelPackageCommand";
import { DeleteModelPackageGroupCommandInput, DeleteModelPackageGroupCommandOutput } from "../commands/DeleteModelPackageGroupCommand";
import { DeleteModelPackageGroupPolicyCommandInput, DeleteModelPackageGroupPolicyCommandOutput } from "../commands/DeleteModelPackageGroupPolicyCommand";
import { DeleteModelQualityJobDefinitionCommandInput, DeleteModelQualityJobDefinitionCommandOutput } from "../commands/DeleteModelQualityJobDefinitionCommand";
import { DeleteMonitoringScheduleCommandInput, DeleteMonitoringScheduleCommandOutput } from "../commands/DeleteMonitoringScheduleCommand";
import { DeleteNotebookInstanceCommandInput, DeleteNotebookInstanceCommandOutput } from "../commands/DeleteNotebookInstanceCommand";
import { DeleteNotebookInstanceLifecycleConfigCommandInput, DeleteNotebookInstanceLifecycleConfigCommandOutput } from "../commands/DeleteNotebookInstanceLifecycleConfigCommand";
import { DeletePipelineCommandInput, DeletePipelineCommandOutput } from "../commands/DeletePipelineCommand";
import { DeleteProjectCommandInput, DeleteProjectCommandOutput } from "../commands/DeleteProjectCommand";
import { DeleteStudioLifecycleConfigCommandInput, DeleteStudioLifecycleConfigCommandOutput } from "../commands/DeleteStudioLifecycleConfigCommand";
import { DeleteTagsCommandInput, DeleteTagsCommandOutput } from "../commands/DeleteTagsCommand";
import { DeleteTrialCommandInput, DeleteTrialCommandOutput } from "../commands/DeleteTrialCommand";
import { DeleteTrialComponentCommandInput, DeleteTrialComponentCommandOutput } from "../commands/DeleteTrialComponentCommand";
import { DeleteUserProfileCommandInput, DeleteUserProfileCommandOutput } from "../commands/DeleteUserProfileCommand";
import { DeleteWorkforceCommandInput, DeleteWorkforceCommandOutput } from "../commands/DeleteWorkforceCommand";
import { DeleteWorkteamCommandInput, DeleteWorkteamCommandOutput } from "../commands/DeleteWorkteamCommand";
import { DeregisterDevicesCommandInput, DeregisterDevicesCommandOutput } from "../commands/DeregisterDevicesCommand";
import { DescribeActionCommandInput, DescribeActionCommandOutput } from "../commands/DescribeActionCommand";
import { DescribeAlgorithmCommandInput, DescribeAlgorithmCommandOutput } from "../commands/DescribeAlgorithmCommand";
import { DescribeAppCommandInput, DescribeAppCommandOutput } from "../commands/DescribeAppCommand";
import { DescribeAppImageConfigCommandInput, DescribeAppImageConfigCommandOutput } from "../commands/DescribeAppImageConfigCommand";
import { DescribeArtifactCommandInput, DescribeArtifactCommandOutput } from "../commands/DescribeArtifactCommand";
import { DescribeAutoMLJobCommandInput, DescribeAutoMLJobCommandOutput } from "../commands/DescribeAutoMLJobCommand";
import { DescribeCodeRepositoryCommandInput, DescribeCodeRepositoryCommandOutput } from "../commands/DescribeCodeRepositoryCommand";
import { DescribeCompilationJobCommandInput, DescribeCompilationJobCommandOutput } from "../commands/DescribeCompilationJobCommand";
import { DescribeContextCommandInput, DescribeContextCommandOutput } from "../commands/DescribeContextCommand";
import { DescribeDataQualityJobDefinitionCommandInput, DescribeDataQualityJobDefinitionCommandOutput } from "../commands/DescribeDataQualityJobDefinitionCommand";
import { DescribeDeviceCommandInput, DescribeDeviceCommandOutput } from "../commands/DescribeDeviceCommand";
import { DescribeDeviceFleetCommandInput, DescribeDeviceFleetCommandOutput } from "../commands/DescribeDeviceFleetCommand";
import { DescribeDomainCommandInput, DescribeDomainCommandOutput } from "../commands/DescribeDomainCommand";
import { DescribeEdgePackagingJobCommandInput, DescribeEdgePackagingJobCommandOutput } from "../commands/DescribeEdgePackagingJobCommand";
import { DescribeEndpointCommandInput, DescribeEndpointCommandOutput } from "../commands/DescribeEndpointCommand";
import { DescribeEndpointConfigCommandInput, DescribeEndpointConfigCommandOutput } from "../commands/DescribeEndpointConfigCommand";
import { DescribeExperimentCommandInput, DescribeExperimentCommandOutput } from "../commands/DescribeExperimentCommand";
import { DescribeFeatureGroupCommandInput, DescribeFeatureGroupCommandOutput } from "../commands/DescribeFeatureGroupCommand";
import { DescribeFlowDefinitionCommandInput, DescribeFlowDefinitionCommandOutput } from "../commands/DescribeFlowDefinitionCommand";
import { DescribeHumanTaskUiCommandInput, DescribeHumanTaskUiCommandOutput } from "../commands/DescribeHumanTaskUiCommand";
import { DescribeHyperParameterTuningJobCommandInput, DescribeHyperParameterTuningJobCommandOutput } from "../commands/DescribeHyperParameterTuningJobCommand";
import { DescribeImageCommandInput, DescribeImageCommandOutput } from "../commands/DescribeImageCommand";
import { DescribeImageVersionCommandInput, DescribeImageVersionCommandOutput } from "../commands/DescribeImageVersionCommand";
import { DescribeInferenceRecommendationsJobCommandInput, DescribeInferenceRecommendationsJobCommandOutput } from "../commands/DescribeInferenceRecommendationsJobCommand";
import { DescribeLabelingJobCommandInput, DescribeLabelingJobCommandOutput } from "../commands/DescribeLabelingJobCommand";
import { DescribeLineageGroupCommandInput, DescribeLineageGroupCommandOutput } from "../commands/DescribeLineageGroupCommand";
import { DescribeModelBiasJobDefinitionCommandInput, DescribeModelBiasJobDefinitionCommandOutput } from "../commands/DescribeModelBiasJobDefinitionCommand";
import { DescribeModelCommandInput, DescribeModelCommandOutput } from "../commands/DescribeModelCommand";
import { DescribeModelExplainabilityJobDefinitionCommandInput, DescribeModelExplainabilityJobDefinitionCommandOutput } from "../commands/DescribeModelExplainabilityJobDefinitionCommand";
import { DescribeModelPackageCommandInput, DescribeModelPackageCommandOutput } from "../commands/DescribeModelPackageCommand";
import { DescribeModelPackageGroupCommandInput, DescribeModelPackageGroupCommandOutput } from "../commands/DescribeModelPackageGroupCommand";
import { DescribeModelQualityJobDefinitionCommandInput, DescribeModelQualityJobDefinitionCommandOutput } from "../commands/DescribeModelQualityJobDefinitionCommand";
import { DescribeMonitoringScheduleCommandInput, DescribeMonitoringScheduleCommandOutput } from "../commands/DescribeMonitoringScheduleCommand";
import { DescribeNotebookInstanceCommandInput, DescribeNotebookInstanceCommandOutput } from "../commands/DescribeNotebookInstanceCommand";
import { DescribeNotebookInstanceLifecycleConfigCommandInput, DescribeNotebookInstanceLifecycleConfigCommandOutput } from "../commands/DescribeNotebookInstanceLifecycleConfigCommand";
import { DescribePipelineCommandInput, DescribePipelineCommandOutput } from "../commands/DescribePipelineCommand";
import { DescribePipelineDefinitionForExecutionCommandInput, DescribePipelineDefinitionForExecutionCommandOutput } from "../commands/DescribePipelineDefinitionForExecutionCommand";
import { DescribePipelineExecutionCommandInput, DescribePipelineExecutionCommandOutput } from "../commands/DescribePipelineExecutionCommand";
import { DescribeProcessingJobCommandInput, DescribeProcessingJobCommandOutput } from "../commands/DescribeProcessingJobCommand";
import { DescribeProjectCommandInput, DescribeProjectCommandOutput } from "../commands/DescribeProjectCommand";
import { DescribeStudioLifecycleConfigCommandInput, DescribeStudioLifecycleConfigCommandOutput } from "../commands/DescribeStudioLifecycleConfigCommand";
import { DescribeSubscribedWorkteamCommandInput, DescribeSubscribedWorkteamCommandOutput } from "../commands/DescribeSubscribedWorkteamCommand";
import { DescribeTrainingJobCommandInput, DescribeTrainingJobCommandOutput } from "../commands/DescribeTrainingJobCommand";
import { DescribeTransformJobCommandInput, DescribeTransformJobCommandOutput } from "../commands/DescribeTransformJobCommand";
import { DescribeTrialCommandInput, DescribeTrialCommandOutput } from "../commands/DescribeTrialCommand";
import { DescribeTrialComponentCommandInput, DescribeTrialComponentCommandOutput } from "../commands/DescribeTrialComponentCommand";
import { DescribeUserProfileCommandInput, DescribeUserProfileCommandOutput } from "../commands/DescribeUserProfileCommand";
import { DescribeWorkforceCommandInput, DescribeWorkforceCommandOutput } from "../commands/DescribeWorkforceCommand";
import { DescribeWorkteamCommandInput, DescribeWorkteamCommandOutput } from "../commands/DescribeWorkteamCommand";
import { DisableSagemakerServicecatalogPortfolioCommandInput, DisableSagemakerServicecatalogPortfolioCommandOutput } from "../commands/DisableSagemakerServicecatalogPortfolioCommand";
import { DisassociateTrialComponentCommandInput, DisassociateTrialComponentCommandOutput } from "../commands/DisassociateTrialComponentCommand";
import { EnableSagemakerServicecatalogPortfolioCommandInput, EnableSagemakerServicecatalogPortfolioCommandOutput } from "../commands/EnableSagemakerServicecatalogPortfolioCommand";
import { GetDeviceFleetReportCommandInput, GetDeviceFleetReportCommandOutput } from "../commands/GetDeviceFleetReportCommand";
import { GetLineageGroupPolicyCommandInput, GetLineageGroupPolicyCommandOutput } from "../commands/GetLineageGroupPolicyCommand";
import { GetModelPackageGroupPolicyCommandInput, GetModelPackageGroupPolicyCommandOutput } from "../commands/GetModelPackageGroupPolicyCommand";
import { GetSagemakerServicecatalogPortfolioStatusCommandInput, GetSagemakerServicecatalogPortfolioStatusCommandOutput } from "../commands/GetSagemakerServicecatalogPortfolioStatusCommand";
import { GetSearchSuggestionsCommandInput, GetSearchSuggestionsCommandOutput } from "../commands/GetSearchSuggestionsCommand";
import { ListActionsCommandInput, ListActionsCommandOutput } from "../commands/ListActionsCommand";
import { ListAlgorithmsCommandInput, ListAlgorithmsCommandOutput } from "../commands/ListAlgorithmsCommand";
import { ListAppImageConfigsCommandInput, ListAppImageConfigsCommandOutput } from "../commands/ListAppImageConfigsCommand";
import { ListAppsCommandInput, ListAppsCommandOutput } from "../commands/ListAppsCommand";
import { ListArtifactsCommandInput, ListArtifactsCommandOutput } from "../commands/ListArtifactsCommand";
import { ListAssociationsCommandInput, ListAssociationsCommandOutput } from "../commands/ListAssociationsCommand";
import { ListAutoMLJobsCommandInput, ListAutoMLJobsCommandOutput } from "../commands/ListAutoMLJobsCommand";
import { ListCandidatesForAutoMLJobCommandInput, ListCandidatesForAutoMLJobCommandOutput } from "../commands/ListCandidatesForAutoMLJobCommand";
import { ListCodeRepositoriesCommandInput, ListCodeRepositoriesCommandOutput } from "../commands/ListCodeRepositoriesCommand";
import { ListCompilationJobsCommandInput, ListCompilationJobsCommandOutput } from "../commands/ListCompilationJobsCommand";
import { ListContextsCommandInput, ListContextsCommandOutput } from "../commands/ListContextsCommand";
import { ListDataQualityJobDefinitionsCommandInput, ListDataQualityJobDefinitionsCommandOutput } from "../commands/ListDataQualityJobDefinitionsCommand";
import { ListDeviceFleetsCommandInput, ListDeviceFleetsCommandOutput } from "../commands/ListDeviceFleetsCommand";
import { ListDevicesCommandInput, ListDevicesCommandOutput } from "../commands/ListDevicesCommand";
import { ListDomainsCommandInput, ListDomainsCommandOutput } from "../commands/ListDomainsCommand";
import { ListEdgePackagingJobsCommandInput, ListEdgePackagingJobsCommandOutput } from "../commands/ListEdgePackagingJobsCommand";
import { ListEndpointConfigsCommandInput, ListEndpointConfigsCommandOutput } from "../commands/ListEndpointConfigsCommand";
import { ListEndpointsCommandInput, ListEndpointsCommandOutput } from "../commands/ListEndpointsCommand";
import { ListExperimentsCommandInput, ListExperimentsCommandOutput } from "../commands/ListExperimentsCommand";
import { ListFeatureGroupsCommandInput, ListFeatureGroupsCommandOutput } from "../commands/ListFeatureGroupsCommand";
import { ListFlowDefinitionsCommandInput, ListFlowDefinitionsCommandOutput } from "../commands/ListFlowDefinitionsCommand";
import { ListHumanTaskUisCommandInput, ListHumanTaskUisCommandOutput } from "../commands/ListHumanTaskUisCommand";
import { ListHyperParameterTuningJobsCommandInput, ListHyperParameterTuningJobsCommandOutput } from "../commands/ListHyperParameterTuningJobsCommand";
import { ListImagesCommandInput, ListImagesCommandOutput } from "../commands/ListImagesCommand";
import { ListImageVersionsCommandInput, ListImageVersionsCommandOutput } from "../commands/ListImageVersionsCommand";
import { ListInferenceRecommendationsJobsCommandInput, ListInferenceRecommendationsJobsCommandOutput } from "../commands/ListInferenceRecommendationsJobsCommand";
import { ListLabelingJobsCommandInput, ListLabelingJobsCommandOutput } from "../commands/ListLabelingJobsCommand";
import { ListLabelingJobsForWorkteamCommandInput, ListLabelingJobsForWorkteamCommandOutput } from "../commands/ListLabelingJobsForWorkteamCommand";
import { ListLineageGroupsCommandInput, ListLineageGroupsCommandOutput } from "../commands/ListLineageGroupsCommand";
import { ListModelBiasJobDefinitionsCommandInput, ListModelBiasJobDefinitionsCommandOutput } from "../commands/ListModelBiasJobDefinitionsCommand";
import { ListModelExplainabilityJobDefinitionsCommandInput, ListModelExplainabilityJobDefinitionsCommandOutput } from "../commands/ListModelExplainabilityJobDefinitionsCommand";
import { ListModelMetadataCommandInput, ListModelMetadataCommandOutput } from "../commands/ListModelMetadataCommand";
import { ListModelPackageGroupsCommandInput, ListModelPackageGroupsCommandOutput } from "../commands/ListModelPackageGroupsCommand";
import { ListModelPackagesCommandInput, ListModelPackagesCommandOutput } from "../commands/ListModelPackagesCommand";
import { ListModelQualityJobDefinitionsCommandInput, ListModelQualityJobDefinitionsCommandOutput } from "../commands/ListModelQualityJobDefinitionsCommand";
import { ListModelsCommandInput, ListModelsCommandOutput } from "../commands/ListModelsCommand";
import { ListMonitoringExecutionsCommandInput, ListMonitoringExecutionsCommandOutput } from "../commands/ListMonitoringExecutionsCommand";
import { ListMonitoringSchedulesCommandInput, ListMonitoringSchedulesCommandOutput } from "../commands/ListMonitoringSchedulesCommand";
import { ListNotebookInstanceLifecycleConfigsCommandInput, ListNotebookInstanceLifecycleConfigsCommandOutput } from "../commands/ListNotebookInstanceLifecycleConfigsCommand";
import { ListNotebookInstancesCommandInput, ListNotebookInstancesCommandOutput } from "../commands/ListNotebookInstancesCommand";
import { ListPipelineExecutionsCommandInput, ListPipelineExecutionsCommandOutput } from "../commands/ListPipelineExecutionsCommand";
import { ListPipelineExecutionStepsCommandInput, ListPipelineExecutionStepsCommandOutput } from "../commands/ListPipelineExecutionStepsCommand";
import { ListPipelineParametersForExecutionCommandInput, ListPipelineParametersForExecutionCommandOutput } from "../commands/ListPipelineParametersForExecutionCommand";
import { ListPipelinesCommandInput, ListPipelinesCommandOutput } from "../commands/ListPipelinesCommand";
import { ListProcessingJobsCommandInput, ListProcessingJobsCommandOutput } from "../commands/ListProcessingJobsCommand";
import { ListProjectsCommandInput, ListProjectsCommandOutput } from "../commands/ListProjectsCommand";
import { ListStudioLifecycleConfigsCommandInput, ListStudioLifecycleConfigsCommandOutput } from "../commands/ListStudioLifecycleConfigsCommand";
import { ListSubscribedWorkteamsCommandInput, ListSubscribedWorkteamsCommandOutput } from "../commands/ListSubscribedWorkteamsCommand";
import { ListTagsCommandInput, ListTagsCommandOutput } from "../commands/ListTagsCommand";
import { ListTrainingJobsCommandInput, ListTrainingJobsCommandOutput } from "../commands/ListTrainingJobsCommand";
import { ListTrainingJobsForHyperParameterTuningJobCommandInput, ListTrainingJobsForHyperParameterTuningJobCommandOutput } from "../commands/ListTrainingJobsForHyperParameterTuningJobCommand";
import { ListTransformJobsCommandInput, ListTransformJobsCommandOutput } from "../commands/ListTransformJobsCommand";
import { ListTrialComponentsCommandInput, ListTrialComponentsCommandOutput } from "../commands/ListTrialComponentsCommand";
import { ListTrialsCommandInput, ListTrialsCommandOutput } from "../commands/ListTrialsCommand";
import { ListUserProfilesCommandInput, ListUserProfilesCommandOutput } from "../commands/ListUserProfilesCommand";
import { ListWorkforcesCommandInput, ListWorkforcesCommandOutput } from "../commands/ListWorkforcesCommand";
import { ListWorkteamsCommandInput, ListWorkteamsCommandOutput } from "../commands/ListWorkteamsCommand";
import { PutModelPackageGroupPolicyCommandInput, PutModelPackageGroupPolicyCommandOutput } from "../commands/PutModelPackageGroupPolicyCommand";
import { QueryLineageCommandInput, QueryLineageCommandOutput } from "../commands/QueryLineageCommand";
import { RegisterDevicesCommandInput, RegisterDevicesCommandOutput } from "../commands/RegisterDevicesCommand";
import { RenderUiTemplateCommandInput, RenderUiTemplateCommandOutput } from "../commands/RenderUiTemplateCommand";
import { RetryPipelineExecutionCommandInput, RetryPipelineExecutionCommandOutput } from "../commands/RetryPipelineExecutionCommand";
import { SearchCommandInput, SearchCommandOutput } from "../commands/SearchCommand";
import { SendPipelineExecutionStepFailureCommandInput, SendPipelineExecutionStepFailureCommandOutput } from "../commands/SendPipelineExecutionStepFailureCommand";
import { SendPipelineExecutionStepSuccessCommandInput, SendPipelineExecutionStepSuccessCommandOutput } from "../commands/SendPipelineExecutionStepSuccessCommand";
import { StartMonitoringScheduleCommandInput, StartMonitoringScheduleCommandOutput } from "../commands/StartMonitoringScheduleCommand";
import { StartNotebookInstanceCommandInput, StartNotebookInstanceCommandOutput } from "../commands/StartNotebookInstanceCommand";
import { StartPipelineExecutionCommandInput, StartPipelineExecutionCommandOutput } from "../commands/StartPipelineExecutionCommand";
import { StopAutoMLJobCommandInput, StopAutoMLJobCommandOutput } from "../commands/StopAutoMLJobCommand";
import { StopCompilationJobCommandInput, StopCompilationJobCommandOutput } from "../commands/StopCompilationJobCommand";
import { StopEdgePackagingJobCommandInput, StopEdgePackagingJobCommandOutput } from "../commands/StopEdgePackagingJobCommand";
import { StopHyperParameterTuningJobCommandInput, StopHyperParameterTuningJobCommandOutput } from "../commands/StopHyperParameterTuningJobCommand";
import { StopInferenceRecommendationsJobCommandInput, StopInferenceRecommendationsJobCommandOutput } from "../commands/StopInferenceRecommendationsJobCommand";
import { StopLabelingJobCommandInput, StopLabelingJobCommandOutput } from "../commands/StopLabelingJobCommand";
import { StopMonitoringScheduleCommandInput, StopMonitoringScheduleCommandOutput } from "../commands/StopMonitoringScheduleCommand";
import { StopNotebookInstanceCommandInput, StopNotebookInstanceCommandOutput } from "../commands/StopNotebookInstanceCommand";
import { StopPipelineExecutionCommandInput, StopPipelineExecutionCommandOutput } from "../commands/StopPipelineExecutionCommand";
import { StopProcessingJobCommandInput, StopProcessingJobCommandOutput } from "../commands/StopProcessingJobCommand";
import { StopTrainingJobCommandInput, StopTrainingJobCommandOutput } from "../commands/StopTrainingJobCommand";
import { StopTransformJobCommandInput, StopTransformJobCommandOutput } from "../commands/StopTransformJobCommand";
import { UpdateActionCommandInput, UpdateActionCommandOutput } from "../commands/UpdateActionCommand";
import { UpdateAppImageConfigCommandInput, UpdateAppImageConfigCommandOutput } from "../commands/UpdateAppImageConfigCommand";
import { UpdateArtifactCommandInput, UpdateArtifactCommandOutput } from "../commands/UpdateArtifactCommand";
import { UpdateCodeRepositoryCommandInput, UpdateCodeRepositoryCommandOutput } from "../commands/UpdateCodeRepositoryCommand";
import { UpdateContextCommandInput, UpdateContextCommandOutput } from "../commands/UpdateContextCommand";
import { UpdateDeviceFleetCommandInput, UpdateDeviceFleetCommandOutput } from "../commands/UpdateDeviceFleetCommand";
import { UpdateDevicesCommandInput, UpdateDevicesCommandOutput } from "../commands/UpdateDevicesCommand";
import { UpdateDomainCommandInput, UpdateDomainCommandOutput } from "../commands/UpdateDomainCommand";
import { UpdateEndpointCommandInput, UpdateEndpointCommandOutput } from "../commands/UpdateEndpointCommand";
import { UpdateEndpointWeightsAndCapacitiesCommandInput, UpdateEndpointWeightsAndCapacitiesCommandOutput } from "../commands/UpdateEndpointWeightsAndCapacitiesCommand";
import { UpdateExperimentCommandInput, UpdateExperimentCommandOutput } from "../commands/UpdateExperimentCommand";
import { UpdateImageCommandInput, UpdateImageCommandOutput } from "../commands/UpdateImageCommand";
import { UpdateModelPackageCommandInput, UpdateModelPackageCommandOutput } from "../commands/UpdateModelPackageCommand";
import { UpdateMonitoringScheduleCommandInput, UpdateMonitoringScheduleCommandOutput } from "../commands/UpdateMonitoringScheduleCommand";
import { UpdateNotebookInstanceCommandInput, UpdateNotebookInstanceCommandOutput } from "../commands/UpdateNotebookInstanceCommand";
import { UpdateNotebookInstanceLifecycleConfigCommandInput, UpdateNotebookInstanceLifecycleConfigCommandOutput } from "../commands/UpdateNotebookInstanceLifecycleConfigCommand";
import { UpdatePipelineCommandInput, UpdatePipelineCommandOutput } from "../commands/UpdatePipelineCommand";
import { UpdatePipelineExecutionCommandInput, UpdatePipelineExecutionCommandOutput } from "../commands/UpdatePipelineExecutionCommand";
import { UpdateProjectCommandInput, UpdateProjectCommandOutput } from "../commands/UpdateProjectCommand";
import { UpdateTrainingJobCommandInput, UpdateTrainingJobCommandOutput } from "../commands/UpdateTrainingJobCommand";
import { UpdateTrialCommandInput, UpdateTrialCommandOutput } from "../commands/UpdateTrialCommand";
import { UpdateTrialComponentCommandInput, UpdateTrialComponentCommandOutput } from "../commands/UpdateTrialComponentCommand";
import { UpdateUserProfileCommandInput, UpdateUserProfileCommandOutput } from "../commands/UpdateUserProfileCommand";
import { UpdateWorkforceCommandInput, UpdateWorkforceCommandOutput } from "../commands/UpdateWorkforceCommand";
import { UpdateWorkteamCommandInput, UpdateWorkteamCommandOutput } from "../commands/UpdateWorkteamCommand";
export declare const serializeAws_json1_1AddAssociationCommand: (input: AddAssociationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1AddTagsCommand: (input: AddTagsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1AssociateTrialComponentCommand: (input: AssociateTrialComponentCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1BatchDescribeModelPackageCommand: (input: BatchDescribeModelPackageCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateActionCommand: (input: CreateActionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateAlgorithmCommand: (input: CreateAlgorithmCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateAppCommand: (input: CreateAppCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateAppImageConfigCommand: (input: CreateAppImageConfigCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateArtifactCommand: (input: CreateArtifactCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateAutoMLJobCommand: (input: CreateAutoMLJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateCodeRepositoryCommand: (input: CreateCodeRepositoryCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateCompilationJobCommand: (input: CreateCompilationJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateContextCommand: (input: CreateContextCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateDataQualityJobDefinitionCommand: (input: CreateDataQualityJobDefinitionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateDeviceFleetCommand: (input: CreateDeviceFleetCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateDomainCommand: (input: CreateDomainCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateEdgePackagingJobCommand: (input: CreateEdgePackagingJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateEndpointCommand: (input: CreateEndpointCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateEndpointConfigCommand: (input: CreateEndpointConfigCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateExperimentCommand: (input: CreateExperimentCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateFeatureGroupCommand: (input: CreateFeatureGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateFlowDefinitionCommand: (input: CreateFlowDefinitionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateHumanTaskUiCommand: (input: CreateHumanTaskUiCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateHyperParameterTuningJobCommand: (input: CreateHyperParameterTuningJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateImageCommand: (input: CreateImageCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateImageVersionCommand: (input: CreateImageVersionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateInferenceRecommendationsJobCommand: (input: CreateInferenceRecommendationsJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateLabelingJobCommand: (input: CreateLabelingJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateModelCommand: (input: CreateModelCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateModelBiasJobDefinitionCommand: (input: CreateModelBiasJobDefinitionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateModelExplainabilityJobDefinitionCommand: (input: CreateModelExplainabilityJobDefinitionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateModelPackageCommand: (input: CreateModelPackageCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateModelPackageGroupCommand: (input: CreateModelPackageGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateModelQualityJobDefinitionCommand: (input: CreateModelQualityJobDefinitionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateMonitoringScheduleCommand: (input: CreateMonitoringScheduleCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateNotebookInstanceCommand: (input: CreateNotebookInstanceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateNotebookInstanceLifecycleConfigCommand: (input: CreateNotebookInstanceLifecycleConfigCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreatePipelineCommand: (input: CreatePipelineCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreatePresignedDomainUrlCommand: (input: CreatePresignedDomainUrlCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreatePresignedNotebookInstanceUrlCommand: (input: CreatePresignedNotebookInstanceUrlCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateProcessingJobCommand: (input: CreateProcessingJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateProjectCommand: (input: CreateProjectCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateStudioLifecycleConfigCommand: (input: CreateStudioLifecycleConfigCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateTrainingJobCommand: (input: CreateTrainingJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateTransformJobCommand: (input: CreateTransformJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateTrialCommand: (input: CreateTrialCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateTrialComponentCommand: (input: CreateTrialComponentCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateUserProfileCommand: (input: CreateUserProfileCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateWorkforceCommand: (input: CreateWorkforceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateWorkteamCommand: (input: CreateWorkteamCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteActionCommand: (input: DeleteActionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteAlgorithmCommand: (input: DeleteAlgorithmCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteAppCommand: (input: DeleteAppCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteAppImageConfigCommand: (input: DeleteAppImageConfigCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteArtifactCommand: (input: DeleteArtifactCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteAssociationCommand: (input: DeleteAssociationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteCodeRepositoryCommand: (input: DeleteCodeRepositoryCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteContextCommand: (input: DeleteContextCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteDataQualityJobDefinitionCommand: (input: DeleteDataQualityJobDefinitionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteDeviceFleetCommand: (input: DeleteDeviceFleetCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteDomainCommand: (input: DeleteDomainCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteEndpointCommand: (input: DeleteEndpointCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteEndpointConfigCommand: (input: DeleteEndpointConfigCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteExperimentCommand: (input: DeleteExperimentCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteFeatureGroupCommand: (input: DeleteFeatureGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteFlowDefinitionCommand: (input: DeleteFlowDefinitionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteHumanTaskUiCommand: (input: DeleteHumanTaskUiCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteImageCommand: (input: DeleteImageCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteImageVersionCommand: (input: DeleteImageVersionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteModelCommand: (input: DeleteModelCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteModelBiasJobDefinitionCommand: (input: DeleteModelBiasJobDefinitionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteModelExplainabilityJobDefinitionCommand: (input: DeleteModelExplainabilityJobDefinitionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteModelPackageCommand: (input: DeleteModelPackageCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteModelPackageGroupCommand: (input: DeleteModelPackageGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteModelPackageGroupPolicyCommand: (input: DeleteModelPackageGroupPolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteModelQualityJobDefinitionCommand: (input: DeleteModelQualityJobDefinitionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteMonitoringScheduleCommand: (input: DeleteMonitoringScheduleCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteNotebookInstanceCommand: (input: DeleteNotebookInstanceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteNotebookInstanceLifecycleConfigCommand: (input: DeleteNotebookInstanceLifecycleConfigCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeletePipelineCommand: (input: DeletePipelineCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteProjectCommand: (input: DeleteProjectCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteStudioLifecycleConfigCommand: (input: DeleteStudioLifecycleConfigCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteTagsCommand: (input: DeleteTagsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteTrialCommand: (input: DeleteTrialCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteTrialComponentCommand: (input: DeleteTrialComponentCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteUserProfileCommand: (input: DeleteUserProfileCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteWorkforceCommand: (input: DeleteWorkforceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteWorkteamCommand: (input: DeleteWorkteamCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeregisterDevicesCommand: (input: DeregisterDevicesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeActionCommand: (input: DescribeActionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeAlgorithmCommand: (input: DescribeAlgorithmCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeAppCommand: (input: DescribeAppCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeAppImageConfigCommand: (input: DescribeAppImageConfigCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeArtifactCommand: (input: DescribeArtifactCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeAutoMLJobCommand: (input: DescribeAutoMLJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeCodeRepositoryCommand: (input: DescribeCodeRepositoryCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeCompilationJobCommand: (input: DescribeCompilationJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeContextCommand: (input: DescribeContextCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeDataQualityJobDefinitionCommand: (input: DescribeDataQualityJobDefinitionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeDeviceCommand: (input: DescribeDeviceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeDeviceFleetCommand: (input: DescribeDeviceFleetCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeDomainCommand: (input: DescribeDomainCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeEdgePackagingJobCommand: (input: DescribeEdgePackagingJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeEndpointCommand: (input: DescribeEndpointCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeEndpointConfigCommand: (input: DescribeEndpointConfigCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeExperimentCommand: (input: DescribeExperimentCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeFeatureGroupCommand: (input: DescribeFeatureGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeFlowDefinitionCommand: (input: DescribeFlowDefinitionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeHumanTaskUiCommand: (input: DescribeHumanTaskUiCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeHyperParameterTuningJobCommand: (input: DescribeHyperParameterTuningJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeImageCommand: (input: DescribeImageCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeImageVersionCommand: (input: DescribeImageVersionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeInferenceRecommendationsJobCommand: (input: DescribeInferenceRecommendationsJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeLabelingJobCommand: (input: DescribeLabelingJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeLineageGroupCommand: (input: DescribeLineageGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeModelCommand: (input: DescribeModelCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeModelBiasJobDefinitionCommand: (input: DescribeModelBiasJobDefinitionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeModelExplainabilityJobDefinitionCommand: (input: DescribeModelExplainabilityJobDefinitionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeModelPackageCommand: (input: DescribeModelPackageCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeModelPackageGroupCommand: (input: DescribeModelPackageGroupCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeModelQualityJobDefinitionCommand: (input: DescribeModelQualityJobDefinitionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeMonitoringScheduleCommand: (input: DescribeMonitoringScheduleCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeNotebookInstanceCommand: (input: DescribeNotebookInstanceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeNotebookInstanceLifecycleConfigCommand: (input: DescribeNotebookInstanceLifecycleConfigCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribePipelineCommand: (input: DescribePipelineCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribePipelineDefinitionForExecutionCommand: (input: DescribePipelineDefinitionForExecutionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribePipelineExecutionCommand: (input: DescribePipelineExecutionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeProcessingJobCommand: (input: DescribeProcessingJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeProjectCommand: (input: DescribeProjectCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeStudioLifecycleConfigCommand: (input: DescribeStudioLifecycleConfigCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeSubscribedWorkteamCommand: (input: DescribeSubscribedWorkteamCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeTrainingJobCommand: (input: DescribeTrainingJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeTransformJobCommand: (input: DescribeTransformJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeTrialCommand: (input: DescribeTrialCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeTrialComponentCommand: (input: DescribeTrialComponentCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeUserProfileCommand: (input: DescribeUserProfileCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeWorkforceCommand: (input: DescribeWorkforceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeWorkteamCommand: (input: DescribeWorkteamCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DisableSagemakerServicecatalogPortfolioCommand: (input: DisableSagemakerServicecatalogPortfolioCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DisassociateTrialComponentCommand: (input: DisassociateTrialComponentCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1EnableSagemakerServicecatalogPortfolioCommand: (input: EnableSagemakerServicecatalogPortfolioCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1GetDeviceFleetReportCommand: (input: GetDeviceFleetReportCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1GetLineageGroupPolicyCommand: (input: GetLineageGroupPolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1GetModelPackageGroupPolicyCommand: (input: GetModelPackageGroupPolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1GetSagemakerServicecatalogPortfolioStatusCommand: (input: GetSagemakerServicecatalogPortfolioStatusCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1GetSearchSuggestionsCommand: (input: GetSearchSuggestionsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListActionsCommand: (input: ListActionsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListAlgorithmsCommand: (input: ListAlgorithmsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListAppImageConfigsCommand: (input: ListAppImageConfigsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListAppsCommand: (input: ListAppsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListArtifactsCommand: (input: ListArtifactsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListAssociationsCommand: (input: ListAssociationsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListAutoMLJobsCommand: (input: ListAutoMLJobsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListCandidatesForAutoMLJobCommand: (input: ListCandidatesForAutoMLJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListCodeRepositoriesCommand: (input: ListCodeRepositoriesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListCompilationJobsCommand: (input: ListCompilationJobsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListContextsCommand: (input: ListContextsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListDataQualityJobDefinitionsCommand: (input: ListDataQualityJobDefinitionsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListDeviceFleetsCommand: (input: ListDeviceFleetsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListDevicesCommand: (input: ListDevicesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListDomainsCommand: (input: ListDomainsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListEdgePackagingJobsCommand: (input: ListEdgePackagingJobsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListEndpointConfigsCommand: (input: ListEndpointConfigsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListEndpointsCommand: (input: ListEndpointsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListExperimentsCommand: (input: ListExperimentsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListFeatureGroupsCommand: (input: ListFeatureGroupsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListFlowDefinitionsCommand: (input: ListFlowDefinitionsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListHumanTaskUisCommand: (input: ListHumanTaskUisCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListHyperParameterTuningJobsCommand: (input: ListHyperParameterTuningJobsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListImagesCommand: (input: ListImagesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListImageVersionsCommand: (input: ListImageVersionsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListInferenceRecommendationsJobsCommand: (input: ListInferenceRecommendationsJobsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListLabelingJobsCommand: (input: ListLabelingJobsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListLabelingJobsForWorkteamCommand: (input: ListLabelingJobsForWorkteamCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListLineageGroupsCommand: (input: ListLineageGroupsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListModelBiasJobDefinitionsCommand: (input: ListModelBiasJobDefinitionsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListModelExplainabilityJobDefinitionsCommand: (input: ListModelExplainabilityJobDefinitionsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListModelMetadataCommand: (input: ListModelMetadataCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListModelPackageGroupsCommand: (input: ListModelPackageGroupsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListModelPackagesCommand: (input: ListModelPackagesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListModelQualityJobDefinitionsCommand: (input: ListModelQualityJobDefinitionsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListModelsCommand: (input: ListModelsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListMonitoringExecutionsCommand: (input: ListMonitoringExecutionsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListMonitoringSchedulesCommand: (input: ListMonitoringSchedulesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListNotebookInstanceLifecycleConfigsCommand: (input: ListNotebookInstanceLifecycleConfigsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListNotebookInstancesCommand: (input: ListNotebookInstancesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListPipelineExecutionsCommand: (input: ListPipelineExecutionsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListPipelineExecutionStepsCommand: (input: ListPipelineExecutionStepsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListPipelineParametersForExecutionCommand: (input: ListPipelineParametersForExecutionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListPipelinesCommand: (input: ListPipelinesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListProcessingJobsCommand: (input: ListProcessingJobsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListProjectsCommand: (input: ListProjectsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListStudioLifecycleConfigsCommand: (input: ListStudioLifecycleConfigsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListSubscribedWorkteamsCommand: (input: ListSubscribedWorkteamsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListTagsCommand: (input: ListTagsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListTrainingJobsCommand: (input: ListTrainingJobsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListTrainingJobsForHyperParameterTuningJobCommand: (input: ListTrainingJobsForHyperParameterTuningJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListTransformJobsCommand: (input: ListTransformJobsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListTrialComponentsCommand: (input: ListTrialComponentsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListTrialsCommand: (input: ListTrialsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListUserProfilesCommand: (input: ListUserProfilesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListWorkforcesCommand: (input: ListWorkforcesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListWorkteamsCommand: (input: ListWorkteamsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1PutModelPackageGroupPolicyCommand: (input: PutModelPackageGroupPolicyCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1QueryLineageCommand: (input: QueryLineageCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1RegisterDevicesCommand: (input: RegisterDevicesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1RenderUiTemplateCommand: (input: RenderUiTemplateCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1RetryPipelineExecutionCommand: (input: RetryPipelineExecutionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1SearchCommand: (input: SearchCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1SendPipelineExecutionStepFailureCommand: (input: SendPipelineExecutionStepFailureCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1SendPipelineExecutionStepSuccessCommand: (input: SendPipelineExecutionStepSuccessCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1StartMonitoringScheduleCommand: (input: StartMonitoringScheduleCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1StartNotebookInstanceCommand: (input: StartNotebookInstanceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1StartPipelineExecutionCommand: (input: StartPipelineExecutionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1StopAutoMLJobCommand: (input: StopAutoMLJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1StopCompilationJobCommand: (input: StopCompilationJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1StopEdgePackagingJobCommand: (input: StopEdgePackagingJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1StopHyperParameterTuningJobCommand: (input: StopHyperParameterTuningJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1StopInferenceRecommendationsJobCommand: (input: StopInferenceRecommendationsJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1StopLabelingJobCommand: (input: StopLabelingJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1StopMonitoringScheduleCommand: (input: StopMonitoringScheduleCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1StopNotebookInstanceCommand: (input: StopNotebookInstanceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1StopPipelineExecutionCommand: (input: StopPipelineExecutionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1StopProcessingJobCommand: (input: StopProcessingJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1StopTrainingJobCommand: (input: StopTrainingJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1StopTransformJobCommand: (input: StopTransformJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateActionCommand: (input: UpdateActionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateAppImageConfigCommand: (input: UpdateAppImageConfigCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateArtifactCommand: (input: UpdateArtifactCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateCodeRepositoryCommand: (input: UpdateCodeRepositoryCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateContextCommand: (input: UpdateContextCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateDeviceFleetCommand: (input: UpdateDeviceFleetCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateDevicesCommand: (input: UpdateDevicesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateDomainCommand: (input: UpdateDomainCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateEndpointCommand: (input: UpdateEndpointCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateEndpointWeightsAndCapacitiesCommand: (input: UpdateEndpointWeightsAndCapacitiesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateExperimentCommand: (input: UpdateExperimentCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateImageCommand: (input: UpdateImageCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateModelPackageCommand: (input: UpdateModelPackageCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateMonitoringScheduleCommand: (input: UpdateMonitoringScheduleCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateNotebookInstanceCommand: (input: UpdateNotebookInstanceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateNotebookInstanceLifecycleConfigCommand: (input: UpdateNotebookInstanceLifecycleConfigCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdatePipelineCommand: (input: UpdatePipelineCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdatePipelineExecutionCommand: (input: UpdatePipelineExecutionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateProjectCommand: (input: UpdateProjectCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateTrainingJobCommand: (input: UpdateTrainingJobCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateTrialCommand: (input: UpdateTrialCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateTrialComponentCommand: (input: UpdateTrialComponentCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateUserProfileCommand: (input: UpdateUserProfileCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateWorkforceCommand: (input: UpdateWorkforceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateWorkteamCommand: (input: UpdateWorkteamCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const deserializeAws_json1_1AddAssociationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<AddAssociationCommandOutput>;
export declare const deserializeAws_json1_1AddTagsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<AddTagsCommandOutput>;
export declare const deserializeAws_json1_1AssociateTrialComponentCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<AssociateTrialComponentCommandOutput>;
export declare const deserializeAws_json1_1BatchDescribeModelPackageCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<BatchDescribeModelPackageCommandOutput>;
export declare const deserializeAws_json1_1CreateActionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateActionCommandOutput>;
export declare const deserializeAws_json1_1CreateAlgorithmCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateAlgorithmCommandOutput>;
export declare const deserializeAws_json1_1CreateAppCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateAppCommandOutput>;
export declare const deserializeAws_json1_1CreateAppImageConfigCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateAppImageConfigCommandOutput>;
export declare const deserializeAws_json1_1CreateArtifactCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateArtifactCommandOutput>;
export declare const deserializeAws_json1_1CreateAutoMLJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateAutoMLJobCommandOutput>;
export declare const deserializeAws_json1_1CreateCodeRepositoryCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateCodeRepositoryCommandOutput>;
export declare const deserializeAws_json1_1CreateCompilationJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateCompilationJobCommandOutput>;
export declare const deserializeAws_json1_1CreateContextCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateContextCommandOutput>;
export declare const deserializeAws_json1_1CreateDataQualityJobDefinitionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateDataQualityJobDefinitionCommandOutput>;
export declare const deserializeAws_json1_1CreateDeviceFleetCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateDeviceFleetCommandOutput>;
export declare const deserializeAws_json1_1CreateDomainCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateDomainCommandOutput>;
export declare const deserializeAws_json1_1CreateEdgePackagingJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateEdgePackagingJobCommandOutput>;
export declare const deserializeAws_json1_1CreateEndpointCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateEndpointCommandOutput>;
export declare const deserializeAws_json1_1CreateEndpointConfigCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateEndpointConfigCommandOutput>;
export declare const deserializeAws_json1_1CreateExperimentCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateExperimentCommandOutput>;
export declare const deserializeAws_json1_1CreateFeatureGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateFeatureGroupCommandOutput>;
export declare const deserializeAws_json1_1CreateFlowDefinitionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateFlowDefinitionCommandOutput>;
export declare const deserializeAws_json1_1CreateHumanTaskUiCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateHumanTaskUiCommandOutput>;
export declare const deserializeAws_json1_1CreateHyperParameterTuningJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateHyperParameterTuningJobCommandOutput>;
export declare const deserializeAws_json1_1CreateImageCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateImageCommandOutput>;
export declare const deserializeAws_json1_1CreateImageVersionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateImageVersionCommandOutput>;
export declare const deserializeAws_json1_1CreateInferenceRecommendationsJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateInferenceRecommendationsJobCommandOutput>;
export declare const deserializeAws_json1_1CreateLabelingJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateLabelingJobCommandOutput>;
export declare const deserializeAws_json1_1CreateModelCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateModelCommandOutput>;
export declare const deserializeAws_json1_1CreateModelBiasJobDefinitionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateModelBiasJobDefinitionCommandOutput>;
export declare const deserializeAws_json1_1CreateModelExplainabilityJobDefinitionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateModelExplainabilityJobDefinitionCommandOutput>;
export declare const deserializeAws_json1_1CreateModelPackageCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateModelPackageCommandOutput>;
export declare const deserializeAws_json1_1CreateModelPackageGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateModelPackageGroupCommandOutput>;
export declare const deserializeAws_json1_1CreateModelQualityJobDefinitionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateModelQualityJobDefinitionCommandOutput>;
export declare const deserializeAws_json1_1CreateMonitoringScheduleCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateMonitoringScheduleCommandOutput>;
export declare const deserializeAws_json1_1CreateNotebookInstanceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateNotebookInstanceCommandOutput>;
export declare const deserializeAws_json1_1CreateNotebookInstanceLifecycleConfigCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateNotebookInstanceLifecycleConfigCommandOutput>;
export declare const deserializeAws_json1_1CreatePipelineCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreatePipelineCommandOutput>;
export declare const deserializeAws_json1_1CreatePresignedDomainUrlCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreatePresignedDomainUrlCommandOutput>;
export declare const deserializeAws_json1_1CreatePresignedNotebookInstanceUrlCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreatePresignedNotebookInstanceUrlCommandOutput>;
export declare const deserializeAws_json1_1CreateProcessingJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateProcessingJobCommandOutput>;
export declare const deserializeAws_json1_1CreateProjectCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateProjectCommandOutput>;
export declare const deserializeAws_json1_1CreateStudioLifecycleConfigCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateStudioLifecycleConfigCommandOutput>;
export declare const deserializeAws_json1_1CreateTrainingJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateTrainingJobCommandOutput>;
export declare const deserializeAws_json1_1CreateTransformJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateTransformJobCommandOutput>;
export declare const deserializeAws_json1_1CreateTrialCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateTrialCommandOutput>;
export declare const deserializeAws_json1_1CreateTrialComponentCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateTrialComponentCommandOutput>;
export declare const deserializeAws_json1_1CreateUserProfileCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateUserProfileCommandOutput>;
export declare const deserializeAws_json1_1CreateWorkforceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateWorkforceCommandOutput>;
export declare const deserializeAws_json1_1CreateWorkteamCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateWorkteamCommandOutput>;
export declare const deserializeAws_json1_1DeleteActionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteActionCommandOutput>;
export declare const deserializeAws_json1_1DeleteAlgorithmCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteAlgorithmCommandOutput>;
export declare const deserializeAws_json1_1DeleteAppCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteAppCommandOutput>;
export declare const deserializeAws_json1_1DeleteAppImageConfigCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteAppImageConfigCommandOutput>;
export declare const deserializeAws_json1_1DeleteArtifactCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteArtifactCommandOutput>;
export declare const deserializeAws_json1_1DeleteAssociationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteAssociationCommandOutput>;
export declare const deserializeAws_json1_1DeleteCodeRepositoryCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteCodeRepositoryCommandOutput>;
export declare const deserializeAws_json1_1DeleteContextCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteContextCommandOutput>;
export declare const deserializeAws_json1_1DeleteDataQualityJobDefinitionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteDataQualityJobDefinitionCommandOutput>;
export declare const deserializeAws_json1_1DeleteDeviceFleetCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteDeviceFleetCommandOutput>;
export declare const deserializeAws_json1_1DeleteDomainCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteDomainCommandOutput>;
export declare const deserializeAws_json1_1DeleteEndpointCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteEndpointCommandOutput>;
export declare const deserializeAws_json1_1DeleteEndpointConfigCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteEndpointConfigCommandOutput>;
export declare const deserializeAws_json1_1DeleteExperimentCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteExperimentCommandOutput>;
export declare const deserializeAws_json1_1DeleteFeatureGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteFeatureGroupCommandOutput>;
export declare const deserializeAws_json1_1DeleteFlowDefinitionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteFlowDefinitionCommandOutput>;
export declare const deserializeAws_json1_1DeleteHumanTaskUiCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteHumanTaskUiCommandOutput>;
export declare const deserializeAws_json1_1DeleteImageCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteImageCommandOutput>;
export declare const deserializeAws_json1_1DeleteImageVersionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteImageVersionCommandOutput>;
export declare const deserializeAws_json1_1DeleteModelCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteModelCommandOutput>;
export declare const deserializeAws_json1_1DeleteModelBiasJobDefinitionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteModelBiasJobDefinitionCommandOutput>;
export declare const deserializeAws_json1_1DeleteModelExplainabilityJobDefinitionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteModelExplainabilityJobDefinitionCommandOutput>;
export declare const deserializeAws_json1_1DeleteModelPackageCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteModelPackageCommandOutput>;
export declare const deserializeAws_json1_1DeleteModelPackageGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteModelPackageGroupCommandOutput>;
export declare const deserializeAws_json1_1DeleteModelPackageGroupPolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteModelPackageGroupPolicyCommandOutput>;
export declare const deserializeAws_json1_1DeleteModelQualityJobDefinitionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteModelQualityJobDefinitionCommandOutput>;
export declare const deserializeAws_json1_1DeleteMonitoringScheduleCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteMonitoringScheduleCommandOutput>;
export declare const deserializeAws_json1_1DeleteNotebookInstanceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteNotebookInstanceCommandOutput>;
export declare const deserializeAws_json1_1DeleteNotebookInstanceLifecycleConfigCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteNotebookInstanceLifecycleConfigCommandOutput>;
export declare const deserializeAws_json1_1DeletePipelineCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeletePipelineCommandOutput>;
export declare const deserializeAws_json1_1DeleteProjectCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteProjectCommandOutput>;
export declare const deserializeAws_json1_1DeleteStudioLifecycleConfigCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteStudioLifecycleConfigCommandOutput>;
export declare const deserializeAws_json1_1DeleteTagsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteTagsCommandOutput>;
export declare const deserializeAws_json1_1DeleteTrialCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteTrialCommandOutput>;
export declare const deserializeAws_json1_1DeleteTrialComponentCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteTrialComponentCommandOutput>;
export declare const deserializeAws_json1_1DeleteUserProfileCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteUserProfileCommandOutput>;
export declare const deserializeAws_json1_1DeleteWorkforceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteWorkforceCommandOutput>;
export declare const deserializeAws_json1_1DeleteWorkteamCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteWorkteamCommandOutput>;
export declare const deserializeAws_json1_1DeregisterDevicesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeregisterDevicesCommandOutput>;
export declare const deserializeAws_json1_1DescribeActionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeActionCommandOutput>;
export declare const deserializeAws_json1_1DescribeAlgorithmCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeAlgorithmCommandOutput>;
export declare const deserializeAws_json1_1DescribeAppCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeAppCommandOutput>;
export declare const deserializeAws_json1_1DescribeAppImageConfigCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeAppImageConfigCommandOutput>;
export declare const deserializeAws_json1_1DescribeArtifactCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeArtifactCommandOutput>;
export declare const deserializeAws_json1_1DescribeAutoMLJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeAutoMLJobCommandOutput>;
export declare const deserializeAws_json1_1DescribeCodeRepositoryCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeCodeRepositoryCommandOutput>;
export declare const deserializeAws_json1_1DescribeCompilationJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeCompilationJobCommandOutput>;
export declare const deserializeAws_json1_1DescribeContextCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeContextCommandOutput>;
export declare const deserializeAws_json1_1DescribeDataQualityJobDefinitionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeDataQualityJobDefinitionCommandOutput>;
export declare const deserializeAws_json1_1DescribeDeviceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeDeviceCommandOutput>;
export declare const deserializeAws_json1_1DescribeDeviceFleetCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeDeviceFleetCommandOutput>;
export declare const deserializeAws_json1_1DescribeDomainCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeDomainCommandOutput>;
export declare const deserializeAws_json1_1DescribeEdgePackagingJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeEdgePackagingJobCommandOutput>;
export declare const deserializeAws_json1_1DescribeEndpointCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeEndpointCommandOutput>;
export declare const deserializeAws_json1_1DescribeEndpointConfigCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeEndpointConfigCommandOutput>;
export declare const deserializeAws_json1_1DescribeExperimentCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeExperimentCommandOutput>;
export declare const deserializeAws_json1_1DescribeFeatureGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeFeatureGroupCommandOutput>;
export declare const deserializeAws_json1_1DescribeFlowDefinitionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeFlowDefinitionCommandOutput>;
export declare const deserializeAws_json1_1DescribeHumanTaskUiCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeHumanTaskUiCommandOutput>;
export declare const deserializeAws_json1_1DescribeHyperParameterTuningJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeHyperParameterTuningJobCommandOutput>;
export declare const deserializeAws_json1_1DescribeImageCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeImageCommandOutput>;
export declare const deserializeAws_json1_1DescribeImageVersionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeImageVersionCommandOutput>;
export declare const deserializeAws_json1_1DescribeInferenceRecommendationsJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeInferenceRecommendationsJobCommandOutput>;
export declare const deserializeAws_json1_1DescribeLabelingJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeLabelingJobCommandOutput>;
export declare const deserializeAws_json1_1DescribeLineageGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeLineageGroupCommandOutput>;
export declare const deserializeAws_json1_1DescribeModelCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeModelCommandOutput>;
export declare const deserializeAws_json1_1DescribeModelBiasJobDefinitionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeModelBiasJobDefinitionCommandOutput>;
export declare const deserializeAws_json1_1DescribeModelExplainabilityJobDefinitionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeModelExplainabilityJobDefinitionCommandOutput>;
export declare const deserializeAws_json1_1DescribeModelPackageCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeModelPackageCommandOutput>;
export declare const deserializeAws_json1_1DescribeModelPackageGroupCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeModelPackageGroupCommandOutput>;
export declare const deserializeAws_json1_1DescribeModelQualityJobDefinitionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeModelQualityJobDefinitionCommandOutput>;
export declare const deserializeAws_json1_1DescribeMonitoringScheduleCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeMonitoringScheduleCommandOutput>;
export declare const deserializeAws_json1_1DescribeNotebookInstanceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeNotebookInstanceCommandOutput>;
export declare const deserializeAws_json1_1DescribeNotebookInstanceLifecycleConfigCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeNotebookInstanceLifecycleConfigCommandOutput>;
export declare const deserializeAws_json1_1DescribePipelineCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribePipelineCommandOutput>;
export declare const deserializeAws_json1_1DescribePipelineDefinitionForExecutionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribePipelineDefinitionForExecutionCommandOutput>;
export declare const deserializeAws_json1_1DescribePipelineExecutionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribePipelineExecutionCommandOutput>;
export declare const deserializeAws_json1_1DescribeProcessingJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeProcessingJobCommandOutput>;
export declare const deserializeAws_json1_1DescribeProjectCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeProjectCommandOutput>;
export declare const deserializeAws_json1_1DescribeStudioLifecycleConfigCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeStudioLifecycleConfigCommandOutput>;
export declare const deserializeAws_json1_1DescribeSubscribedWorkteamCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeSubscribedWorkteamCommandOutput>;
export declare const deserializeAws_json1_1DescribeTrainingJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeTrainingJobCommandOutput>;
export declare const deserializeAws_json1_1DescribeTransformJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeTransformJobCommandOutput>;
export declare const deserializeAws_json1_1DescribeTrialCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeTrialCommandOutput>;
export declare const deserializeAws_json1_1DescribeTrialComponentCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeTrialComponentCommandOutput>;
export declare const deserializeAws_json1_1DescribeUserProfileCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeUserProfileCommandOutput>;
export declare const deserializeAws_json1_1DescribeWorkforceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeWorkforceCommandOutput>;
export declare const deserializeAws_json1_1DescribeWorkteamCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeWorkteamCommandOutput>;
export declare const deserializeAws_json1_1DisableSagemakerServicecatalogPortfolioCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DisableSagemakerServicecatalogPortfolioCommandOutput>;
export declare const deserializeAws_json1_1DisassociateTrialComponentCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DisassociateTrialComponentCommandOutput>;
export declare const deserializeAws_json1_1EnableSagemakerServicecatalogPortfolioCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<EnableSagemakerServicecatalogPortfolioCommandOutput>;
export declare const deserializeAws_json1_1GetDeviceFleetReportCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetDeviceFleetReportCommandOutput>;
export declare const deserializeAws_json1_1GetLineageGroupPolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetLineageGroupPolicyCommandOutput>;
export declare const deserializeAws_json1_1GetModelPackageGroupPolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetModelPackageGroupPolicyCommandOutput>;
export declare const deserializeAws_json1_1GetSagemakerServicecatalogPortfolioStatusCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetSagemakerServicecatalogPortfolioStatusCommandOutput>;
export declare const deserializeAws_json1_1GetSearchSuggestionsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<GetSearchSuggestionsCommandOutput>;
export declare const deserializeAws_json1_1ListActionsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListActionsCommandOutput>;
export declare const deserializeAws_json1_1ListAlgorithmsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListAlgorithmsCommandOutput>;
export declare const deserializeAws_json1_1ListAppImageConfigsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListAppImageConfigsCommandOutput>;
export declare const deserializeAws_json1_1ListAppsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListAppsCommandOutput>;
export declare const deserializeAws_json1_1ListArtifactsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListArtifactsCommandOutput>;
export declare const deserializeAws_json1_1ListAssociationsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListAssociationsCommandOutput>;
export declare const deserializeAws_json1_1ListAutoMLJobsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListAutoMLJobsCommandOutput>;
export declare const deserializeAws_json1_1ListCandidatesForAutoMLJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListCandidatesForAutoMLJobCommandOutput>;
export declare const deserializeAws_json1_1ListCodeRepositoriesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListCodeRepositoriesCommandOutput>;
export declare const deserializeAws_json1_1ListCompilationJobsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListCompilationJobsCommandOutput>;
export declare const deserializeAws_json1_1ListContextsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListContextsCommandOutput>;
export declare const deserializeAws_json1_1ListDataQualityJobDefinitionsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListDataQualityJobDefinitionsCommandOutput>;
export declare const deserializeAws_json1_1ListDeviceFleetsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListDeviceFleetsCommandOutput>;
export declare const deserializeAws_json1_1ListDevicesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListDevicesCommandOutput>;
export declare const deserializeAws_json1_1ListDomainsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListDomainsCommandOutput>;
export declare const deserializeAws_json1_1ListEdgePackagingJobsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListEdgePackagingJobsCommandOutput>;
export declare const deserializeAws_json1_1ListEndpointConfigsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListEndpointConfigsCommandOutput>;
export declare const deserializeAws_json1_1ListEndpointsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListEndpointsCommandOutput>;
export declare const deserializeAws_json1_1ListExperimentsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListExperimentsCommandOutput>;
export declare const deserializeAws_json1_1ListFeatureGroupsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListFeatureGroupsCommandOutput>;
export declare const deserializeAws_json1_1ListFlowDefinitionsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListFlowDefinitionsCommandOutput>;
export declare const deserializeAws_json1_1ListHumanTaskUisCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListHumanTaskUisCommandOutput>;
export declare const deserializeAws_json1_1ListHyperParameterTuningJobsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListHyperParameterTuningJobsCommandOutput>;
export declare const deserializeAws_json1_1ListImagesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListImagesCommandOutput>;
export declare const deserializeAws_json1_1ListImageVersionsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListImageVersionsCommandOutput>;
export declare const deserializeAws_json1_1ListInferenceRecommendationsJobsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListInferenceRecommendationsJobsCommandOutput>;
export declare const deserializeAws_json1_1ListLabelingJobsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListLabelingJobsCommandOutput>;
export declare const deserializeAws_json1_1ListLabelingJobsForWorkteamCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListLabelingJobsForWorkteamCommandOutput>;
export declare const deserializeAws_json1_1ListLineageGroupsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListLineageGroupsCommandOutput>;
export declare const deserializeAws_json1_1ListModelBiasJobDefinitionsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListModelBiasJobDefinitionsCommandOutput>;
export declare const deserializeAws_json1_1ListModelExplainabilityJobDefinitionsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListModelExplainabilityJobDefinitionsCommandOutput>;
export declare const deserializeAws_json1_1ListModelMetadataCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListModelMetadataCommandOutput>;
export declare const deserializeAws_json1_1ListModelPackageGroupsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListModelPackageGroupsCommandOutput>;
export declare const deserializeAws_json1_1ListModelPackagesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListModelPackagesCommandOutput>;
export declare const deserializeAws_json1_1ListModelQualityJobDefinitionsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListModelQualityJobDefinitionsCommandOutput>;
export declare const deserializeAws_json1_1ListModelsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListModelsCommandOutput>;
export declare const deserializeAws_json1_1ListMonitoringExecutionsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListMonitoringExecutionsCommandOutput>;
export declare const deserializeAws_json1_1ListMonitoringSchedulesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListMonitoringSchedulesCommandOutput>;
export declare const deserializeAws_json1_1ListNotebookInstanceLifecycleConfigsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListNotebookInstanceLifecycleConfigsCommandOutput>;
export declare const deserializeAws_json1_1ListNotebookInstancesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListNotebookInstancesCommandOutput>;
export declare const deserializeAws_json1_1ListPipelineExecutionsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListPipelineExecutionsCommandOutput>;
export declare const deserializeAws_json1_1ListPipelineExecutionStepsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListPipelineExecutionStepsCommandOutput>;
export declare const deserializeAws_json1_1ListPipelineParametersForExecutionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListPipelineParametersForExecutionCommandOutput>;
export declare const deserializeAws_json1_1ListPipelinesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListPipelinesCommandOutput>;
export declare const deserializeAws_json1_1ListProcessingJobsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListProcessingJobsCommandOutput>;
export declare const deserializeAws_json1_1ListProjectsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListProjectsCommandOutput>;
export declare const deserializeAws_json1_1ListStudioLifecycleConfigsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListStudioLifecycleConfigsCommandOutput>;
export declare const deserializeAws_json1_1ListSubscribedWorkteamsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListSubscribedWorkteamsCommandOutput>;
export declare const deserializeAws_json1_1ListTagsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListTagsCommandOutput>;
export declare const deserializeAws_json1_1ListTrainingJobsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListTrainingJobsCommandOutput>;
export declare const deserializeAws_json1_1ListTrainingJobsForHyperParameterTuningJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListTrainingJobsForHyperParameterTuningJobCommandOutput>;
export declare const deserializeAws_json1_1ListTransformJobsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListTransformJobsCommandOutput>;
export declare const deserializeAws_json1_1ListTrialComponentsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListTrialComponentsCommandOutput>;
export declare const deserializeAws_json1_1ListTrialsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListTrialsCommandOutput>;
export declare const deserializeAws_json1_1ListUserProfilesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListUserProfilesCommandOutput>;
export declare const deserializeAws_json1_1ListWorkforcesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListWorkforcesCommandOutput>;
export declare const deserializeAws_json1_1ListWorkteamsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListWorkteamsCommandOutput>;
export declare const deserializeAws_json1_1PutModelPackageGroupPolicyCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<PutModelPackageGroupPolicyCommandOutput>;
export declare const deserializeAws_json1_1QueryLineageCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<QueryLineageCommandOutput>;
export declare const deserializeAws_json1_1RegisterDevicesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<RegisterDevicesCommandOutput>;
export declare const deserializeAws_json1_1RenderUiTemplateCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<RenderUiTemplateCommandOutput>;
export declare const deserializeAws_json1_1RetryPipelineExecutionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<RetryPipelineExecutionCommandOutput>;
export declare const deserializeAws_json1_1SearchCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<SearchCommandOutput>;
export declare const deserializeAws_json1_1SendPipelineExecutionStepFailureCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<SendPipelineExecutionStepFailureCommandOutput>;
export declare const deserializeAws_json1_1SendPipelineExecutionStepSuccessCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<SendPipelineExecutionStepSuccessCommandOutput>;
export declare const deserializeAws_json1_1StartMonitoringScheduleCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StartMonitoringScheduleCommandOutput>;
export declare const deserializeAws_json1_1StartNotebookInstanceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StartNotebookInstanceCommandOutput>;
export declare const deserializeAws_json1_1StartPipelineExecutionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StartPipelineExecutionCommandOutput>;
export declare const deserializeAws_json1_1StopAutoMLJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StopAutoMLJobCommandOutput>;
export declare const deserializeAws_json1_1StopCompilationJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StopCompilationJobCommandOutput>;
export declare const deserializeAws_json1_1StopEdgePackagingJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StopEdgePackagingJobCommandOutput>;
export declare const deserializeAws_json1_1StopHyperParameterTuningJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StopHyperParameterTuningJobCommandOutput>;
export declare const deserializeAws_json1_1StopInferenceRecommendationsJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StopInferenceRecommendationsJobCommandOutput>;
export declare const deserializeAws_json1_1StopLabelingJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StopLabelingJobCommandOutput>;
export declare const deserializeAws_json1_1StopMonitoringScheduleCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StopMonitoringScheduleCommandOutput>;
export declare const deserializeAws_json1_1StopNotebookInstanceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StopNotebookInstanceCommandOutput>;
export declare const deserializeAws_json1_1StopPipelineExecutionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StopPipelineExecutionCommandOutput>;
export declare const deserializeAws_json1_1StopProcessingJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StopProcessingJobCommandOutput>;
export declare const deserializeAws_json1_1StopTrainingJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StopTrainingJobCommandOutput>;
export declare const deserializeAws_json1_1StopTransformJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StopTransformJobCommandOutput>;
export declare const deserializeAws_json1_1UpdateActionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateActionCommandOutput>;
export declare const deserializeAws_json1_1UpdateAppImageConfigCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateAppImageConfigCommandOutput>;
export declare const deserializeAws_json1_1UpdateArtifactCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateArtifactCommandOutput>;
export declare const deserializeAws_json1_1UpdateCodeRepositoryCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateCodeRepositoryCommandOutput>;
export declare const deserializeAws_json1_1UpdateContextCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateContextCommandOutput>;
export declare const deserializeAws_json1_1UpdateDeviceFleetCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateDeviceFleetCommandOutput>;
export declare const deserializeAws_json1_1UpdateDevicesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateDevicesCommandOutput>;
export declare const deserializeAws_json1_1UpdateDomainCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateDomainCommandOutput>;
export declare const deserializeAws_json1_1UpdateEndpointCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateEndpointCommandOutput>;
export declare const deserializeAws_json1_1UpdateEndpointWeightsAndCapacitiesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateEndpointWeightsAndCapacitiesCommandOutput>;
export declare const deserializeAws_json1_1UpdateExperimentCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateExperimentCommandOutput>;
export declare const deserializeAws_json1_1UpdateImageCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateImageCommandOutput>;
export declare const deserializeAws_json1_1UpdateModelPackageCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateModelPackageCommandOutput>;
export declare const deserializeAws_json1_1UpdateMonitoringScheduleCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateMonitoringScheduleCommandOutput>;
export declare const deserializeAws_json1_1UpdateNotebookInstanceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateNotebookInstanceCommandOutput>;
export declare const deserializeAws_json1_1UpdateNotebookInstanceLifecycleConfigCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateNotebookInstanceLifecycleConfigCommandOutput>;
export declare const deserializeAws_json1_1UpdatePipelineCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdatePipelineCommandOutput>;
export declare const deserializeAws_json1_1UpdatePipelineExecutionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdatePipelineExecutionCommandOutput>;
export declare const deserializeAws_json1_1UpdateProjectCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateProjectCommandOutput>;
export declare const deserializeAws_json1_1UpdateTrainingJobCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateTrainingJobCommandOutput>;
export declare const deserializeAws_json1_1UpdateTrialCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateTrialCommandOutput>;
export declare const deserializeAws_json1_1UpdateTrialComponentCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateTrialComponentCommandOutput>;
export declare const deserializeAws_json1_1UpdateUserProfileCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateUserProfileCommandOutput>;
export declare const deserializeAws_json1_1UpdateWorkforceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateWorkforceCommandOutput>;
export declare const deserializeAws_json1_1UpdateWorkteamCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateWorkteamCommandOutput>;
