import { HttpHandlerOptions as __HttpHandlerOptions } from "@aws-sdk/types";
import { AddAssociationCommandInput, AddAssociationCommandOutput } from "./commands/AddAssociationCommand";
import { AddTagsCommandInput, AddTagsCommandOutput } from "./commands/AddTagsCommand";
import { AssociateTrialComponentCommandInput, AssociateTrialComponentCommandOutput } from "./commands/AssociateTrialComponentCommand";
import { BatchDescribeModelPackageCommandInput, BatchDescribeModelPackageCommandOutput } from "./commands/BatchDescribeModelPackageCommand";
import { CreateActionCommandInput, CreateActionCommandOutput } from "./commands/CreateActionCommand";
import { CreateAlgorithmCommandInput, CreateAlgorithmCommandOutput } from "./commands/CreateAlgorithmCommand";
import { CreateAppCommandInput, CreateAppCommandOutput } from "./commands/CreateAppCommand";
import { CreateAppImageConfigCommandInput, CreateAppImageConfigCommandOutput } from "./commands/CreateAppImageConfigCommand";
import { CreateArtifactCommandInput, CreateArtifactCommandOutput } from "./commands/CreateArtifactCommand";
import { CreateAutoMLJobCommandInput, CreateAutoMLJobCommandOutput } from "./commands/CreateAutoMLJobCommand";
import { CreateCodeRepositoryCommandInput, CreateCodeRepositoryCommandOutput } from "./commands/CreateCodeRepositoryCommand";
import { CreateCompilationJobCommandInput, CreateCompilationJobCommandOutput } from "./commands/CreateCompilationJobCommand";
import { CreateContextCommandInput, CreateContextCommandOutput } from "./commands/CreateContextCommand";
import { CreateDataQualityJobDefinitionCommandInput, CreateDataQualityJobDefinitionCommandOutput } from "./commands/CreateDataQualityJobDefinitionCommand";
import { CreateDeviceFleetCommandInput, CreateDeviceFleetCommandOutput } from "./commands/CreateDeviceFleetCommand";
import { CreateDomainCommandInput, CreateDomainCommandOutput } from "./commands/CreateDomainCommand";
import { CreateEdgePackagingJobCommandInput, CreateEdgePackagingJobCommandOutput } from "./commands/CreateEdgePackagingJobCommand";
import { CreateEndpointCommandInput, CreateEndpointCommandOutput } from "./commands/CreateEndpointCommand";
import { CreateEndpointConfigCommandInput, CreateEndpointConfigCommandOutput } from "./commands/CreateEndpointConfigCommand";
import { CreateExperimentCommandInput, CreateExperimentCommandOutput } from "./commands/CreateExperimentCommand";
import { CreateFeatureGroupCommandInput, CreateFeatureGroupCommandOutput } from "./commands/CreateFeatureGroupCommand";
import { CreateFlowDefinitionCommandInput, CreateFlowDefinitionCommandOutput } from "./commands/CreateFlowDefinitionCommand";
import { CreateHumanTaskUiCommandInput, CreateHumanTaskUiCommandOutput } from "./commands/CreateHumanTaskUiCommand";
import { CreateHyperParameterTuningJobCommandInput, CreateHyperParameterTuningJobCommandOutput } from "./commands/CreateHyperParameterTuningJobCommand";
import { CreateImageCommandInput, CreateImageCommandOutput } from "./commands/CreateImageCommand";
import { CreateImageVersionCommandInput, CreateImageVersionCommandOutput } from "./commands/CreateImageVersionCommand";
import { CreateInferenceRecommendationsJobCommandInput, CreateInferenceRecommendationsJobCommandOutput } from "./commands/CreateInferenceRecommendationsJobCommand";
import { CreateLabelingJobCommandInput, CreateLabelingJobCommandOutput } from "./commands/CreateLabelingJobCommand";
import { CreateModelBiasJobDefinitionCommandInput, CreateModelBiasJobDefinitionCommandOutput } from "./commands/CreateModelBiasJobDefinitionCommand";
import { CreateModelCommandInput, CreateModelCommandOutput } from "./commands/CreateModelCommand";
import { CreateModelExplainabilityJobDefinitionCommandInput, CreateModelExplainabilityJobDefinitionCommandOutput } from "./commands/CreateModelExplainabilityJobDefinitionCommand";
import { CreateModelPackageCommandInput, CreateModelPackageCommandOutput } from "./commands/CreateModelPackageCommand";
import { CreateModelPackageGroupCommandInput, CreateModelPackageGroupCommandOutput } from "./commands/CreateModelPackageGroupCommand";
import { CreateModelQualityJobDefinitionCommandInput, CreateModelQualityJobDefinitionCommandOutput } from "./commands/CreateModelQualityJobDefinitionCommand";
import { CreateMonitoringScheduleCommandInput, CreateMonitoringScheduleCommandOutput } from "./commands/CreateMonitoringScheduleCommand";
import { CreateNotebookInstanceCommandInput, CreateNotebookInstanceCommandOutput } from "./commands/CreateNotebookInstanceCommand";
import { CreateNotebookInstanceLifecycleConfigCommandInput, CreateNotebookInstanceLifecycleConfigCommandOutput } from "./commands/CreateNotebookInstanceLifecycleConfigCommand";
import { CreatePipelineCommandInput, CreatePipelineCommandOutput } from "./commands/CreatePipelineCommand";
import { CreatePresignedDomainUrlCommandInput, CreatePresignedDomainUrlCommandOutput } from "./commands/CreatePresignedDomainUrlCommand";
import { CreatePresignedNotebookInstanceUrlCommandInput, CreatePresignedNotebookInstanceUrlCommandOutput } from "./commands/CreatePresignedNotebookInstanceUrlCommand";
import { CreateProcessingJobCommandInput, CreateProcessingJobCommandOutput } from "./commands/CreateProcessingJobCommand";
import { CreateProjectCommandInput, CreateProjectCommandOutput } from "./commands/CreateProjectCommand";
import { CreateStudioLifecycleConfigCommandInput, CreateStudioLifecycleConfigCommandOutput } from "./commands/CreateStudioLifecycleConfigCommand";
import { CreateTrainingJobCommandInput, CreateTrainingJobCommandOutput } from "./commands/CreateTrainingJobCommand";
import { CreateTransformJobCommandInput, CreateTransformJobCommandOutput } from "./commands/CreateTransformJobCommand";
import { CreateTrialCommandInput, CreateTrialCommandOutput } from "./commands/CreateTrialCommand";
import { CreateTrialComponentCommandInput, CreateTrialComponentCommandOutput } from "./commands/CreateTrialComponentCommand";
import { CreateUserProfileCommandInput, CreateUserProfileCommandOutput } from "./commands/CreateUserProfileCommand";
import { CreateWorkforceCommandInput, CreateWorkforceCommandOutput } from "./commands/CreateWorkforceCommand";
import { CreateWorkteamCommandInput, CreateWorkteamCommandOutput } from "./commands/CreateWorkteamCommand";
import { DeleteActionCommandInput, DeleteActionCommandOutput } from "./commands/DeleteActionCommand";
import { DeleteAlgorithmCommandInput, DeleteAlgorithmCommandOutput } from "./commands/DeleteAlgorithmCommand";
import { DeleteAppCommandInput, DeleteAppCommandOutput } from "./commands/DeleteAppCommand";
import { DeleteAppImageConfigCommandInput, DeleteAppImageConfigCommandOutput } from "./commands/DeleteAppImageConfigCommand";
import { DeleteArtifactCommandInput, DeleteArtifactCommandOutput } from "./commands/DeleteArtifactCommand";
import { DeleteAssociationCommandInput, DeleteAssociationCommandOutput } from "./commands/DeleteAssociationCommand";
import { DeleteCodeRepositoryCommandInput, DeleteCodeRepositoryCommandOutput } from "./commands/DeleteCodeRepositoryCommand";
import { DeleteContextCommandInput, DeleteContextCommandOutput } from "./commands/DeleteContextCommand";
import { DeleteDataQualityJobDefinitionCommandInput, DeleteDataQualityJobDefinitionCommandOutput } from "./commands/DeleteDataQualityJobDefinitionCommand";
import { DeleteDeviceFleetCommandInput, DeleteDeviceFleetCommandOutput } from "./commands/DeleteDeviceFleetCommand";
import { DeleteDomainCommandInput, DeleteDomainCommandOutput } from "./commands/DeleteDomainCommand";
import { DeleteEndpointCommandInput, DeleteEndpointCommandOutput } from "./commands/DeleteEndpointCommand";
import { DeleteEndpointConfigCommandInput, DeleteEndpointConfigCommandOutput } from "./commands/DeleteEndpointConfigCommand";
import { DeleteExperimentCommandInput, DeleteExperimentCommandOutput } from "./commands/DeleteExperimentCommand";
import { DeleteFeatureGroupCommandInput, DeleteFeatureGroupCommandOutput } from "./commands/DeleteFeatureGroupCommand";
import { DeleteFlowDefinitionCommandInput, DeleteFlowDefinitionCommandOutput } from "./commands/DeleteFlowDefinitionCommand";
import { DeleteHumanTaskUiCommandInput, DeleteHumanTaskUiCommandOutput } from "./commands/DeleteHumanTaskUiCommand";
import { DeleteImageCommandInput, DeleteImageCommandOutput } from "./commands/DeleteImageCommand";
import { DeleteImageVersionCommandInput, DeleteImageVersionCommandOutput } from "./commands/DeleteImageVersionCommand";
import { DeleteModelBiasJobDefinitionCommandInput, DeleteModelBiasJobDefinitionCommandOutput } from "./commands/DeleteModelBiasJobDefinitionCommand";
import { DeleteModelCommandInput, DeleteModelCommandOutput } from "./commands/DeleteModelCommand";
import { DeleteModelExplainabilityJobDefinitionCommandInput, DeleteModelExplainabilityJobDefinitionCommandOutput } from "./commands/DeleteModelExplainabilityJobDefinitionCommand";
import { DeleteModelPackageCommandInput, DeleteModelPackageCommandOutput } from "./commands/DeleteModelPackageCommand";
import { DeleteModelPackageGroupCommandInput, DeleteModelPackageGroupCommandOutput } from "./commands/DeleteModelPackageGroupCommand";
import { DeleteModelPackageGroupPolicyCommandInput, DeleteModelPackageGroupPolicyCommandOutput } from "./commands/DeleteModelPackageGroupPolicyCommand";
import { DeleteModelQualityJobDefinitionCommandInput, DeleteModelQualityJobDefinitionCommandOutput } from "./commands/DeleteModelQualityJobDefinitionCommand";
import { DeleteMonitoringScheduleCommandInput, DeleteMonitoringScheduleCommandOutput } from "./commands/DeleteMonitoringScheduleCommand";
import { DeleteNotebookInstanceCommandInput, DeleteNotebookInstanceCommandOutput } from "./commands/DeleteNotebookInstanceCommand";
import { DeleteNotebookInstanceLifecycleConfigCommandInput, DeleteNotebookInstanceLifecycleConfigCommandOutput } from "./commands/DeleteNotebookInstanceLifecycleConfigCommand";
import { DeletePipelineCommandInput, DeletePipelineCommandOutput } from "./commands/DeletePipelineCommand";
import { DeleteProjectCommandInput, DeleteProjectCommandOutput } from "./commands/DeleteProjectCommand";
import { DeleteStudioLifecycleConfigCommandInput, DeleteStudioLifecycleConfigCommandOutput } from "./commands/DeleteStudioLifecycleConfigCommand";
import { DeleteTagsCommandInput, DeleteTagsCommandOutput } from "./commands/DeleteTagsCommand";
import { DeleteTrialCommandInput, DeleteTrialCommandOutput } from "./commands/DeleteTrialCommand";
import { DeleteTrialComponentCommandInput, DeleteTrialComponentCommandOutput } from "./commands/DeleteTrialComponentCommand";
import { DeleteUserProfileCommandInput, DeleteUserProfileCommandOutput } from "./commands/DeleteUserProfileCommand";
import { DeleteWorkforceCommandInput, DeleteWorkforceCommandOutput } from "./commands/DeleteWorkforceCommand";
import { DeleteWorkteamCommandInput, DeleteWorkteamCommandOutput } from "./commands/DeleteWorkteamCommand";
import { DeregisterDevicesCommandInput, DeregisterDevicesCommandOutput } from "./commands/DeregisterDevicesCommand";
import { DescribeActionCommandInput, DescribeActionCommandOutput } from "./commands/DescribeActionCommand";
import { DescribeAlgorithmCommandInput, DescribeAlgorithmCommandOutput } from "./commands/DescribeAlgorithmCommand";
import { DescribeAppCommandInput, DescribeAppCommandOutput } from "./commands/DescribeAppCommand";
import { DescribeAppImageConfigCommandInput, DescribeAppImageConfigCommandOutput } from "./commands/DescribeAppImageConfigCommand";
import { DescribeArtifactCommandInput, DescribeArtifactCommandOutput } from "./commands/DescribeArtifactCommand";
import { DescribeAutoMLJobCommandInput, DescribeAutoMLJobCommandOutput } from "./commands/DescribeAutoMLJobCommand";
import { DescribeCodeRepositoryCommandInput, DescribeCodeRepositoryCommandOutput } from "./commands/DescribeCodeRepositoryCommand";
import { DescribeCompilationJobCommandInput, DescribeCompilationJobCommandOutput } from "./commands/DescribeCompilationJobCommand";
import { DescribeContextCommandInput, DescribeContextCommandOutput } from "./commands/DescribeContextCommand";
import { DescribeDataQualityJobDefinitionCommandInput, DescribeDataQualityJobDefinitionCommandOutput } from "./commands/DescribeDataQualityJobDefinitionCommand";
import { DescribeDeviceCommandInput, DescribeDeviceCommandOutput } from "./commands/DescribeDeviceCommand";
import { DescribeDeviceFleetCommandInput, DescribeDeviceFleetCommandOutput } from "./commands/DescribeDeviceFleetCommand";
import { DescribeDomainCommandInput, DescribeDomainCommandOutput } from "./commands/DescribeDomainCommand";
import { DescribeEdgePackagingJobCommandInput, DescribeEdgePackagingJobCommandOutput } from "./commands/DescribeEdgePackagingJobCommand";
import { DescribeEndpointCommandInput, DescribeEndpointCommandOutput } from "./commands/DescribeEndpointCommand";
import { DescribeEndpointConfigCommandInput, DescribeEndpointConfigCommandOutput } from "./commands/DescribeEndpointConfigCommand";
import { DescribeExperimentCommandInput, DescribeExperimentCommandOutput } from "./commands/DescribeExperimentCommand";
import { DescribeFeatureGroupCommandInput, DescribeFeatureGroupCommandOutput } from "./commands/DescribeFeatureGroupCommand";
import { DescribeFlowDefinitionCommandInput, DescribeFlowDefinitionCommandOutput } from "./commands/DescribeFlowDefinitionCommand";
import { DescribeHumanTaskUiCommandInput, DescribeHumanTaskUiCommandOutput } from "./commands/DescribeHumanTaskUiCommand";
import { DescribeHyperParameterTuningJobCommandInput, DescribeHyperParameterTuningJobCommandOutput } from "./commands/DescribeHyperParameterTuningJobCommand";
import { DescribeImageCommandInput, DescribeImageCommandOutput } from "./commands/DescribeImageCommand";
import { DescribeImageVersionCommandInput, DescribeImageVersionCommandOutput } from "./commands/DescribeImageVersionCommand";
import { DescribeInferenceRecommendationsJobCommandInput, DescribeInferenceRecommendationsJobCommandOutput } from "./commands/DescribeInferenceRecommendationsJobCommand";
import { DescribeLabelingJobCommandInput, DescribeLabelingJobCommandOutput } from "./commands/DescribeLabelingJobCommand";
import { DescribeLineageGroupCommandInput, DescribeLineageGroupCommandOutput } from "./commands/DescribeLineageGroupCommand";
import { DescribeModelBiasJobDefinitionCommandInput, DescribeModelBiasJobDefinitionCommandOutput } from "./commands/DescribeModelBiasJobDefinitionCommand";
import { DescribeModelCommandInput, DescribeModelCommandOutput } from "./commands/DescribeModelCommand";
import { DescribeModelExplainabilityJobDefinitionCommandInput, DescribeModelExplainabilityJobDefinitionCommandOutput } from "./commands/DescribeModelExplainabilityJobDefinitionCommand";
import { DescribeModelPackageCommandInput, DescribeModelPackageCommandOutput } from "./commands/DescribeModelPackageCommand";
import { DescribeModelPackageGroupCommandInput, DescribeModelPackageGroupCommandOutput } from "./commands/DescribeModelPackageGroupCommand";
import { DescribeModelQualityJobDefinitionCommandInput, DescribeModelQualityJobDefinitionCommandOutput } from "./commands/DescribeModelQualityJobDefinitionCommand";
import { DescribeMonitoringScheduleCommandInput, DescribeMonitoringScheduleCommandOutput } from "./commands/DescribeMonitoringScheduleCommand";
import { DescribeNotebookInstanceCommandInput, DescribeNotebookInstanceCommandOutput } from "./commands/DescribeNotebookInstanceCommand";
import { DescribeNotebookInstanceLifecycleConfigCommandInput, DescribeNotebookInstanceLifecycleConfigCommandOutput } from "./commands/DescribeNotebookInstanceLifecycleConfigCommand";
import { DescribePipelineCommandInput, DescribePipelineCommandOutput } from "./commands/DescribePipelineCommand";
import { DescribePipelineDefinitionForExecutionCommandInput, DescribePipelineDefinitionForExecutionCommandOutput } from "./commands/DescribePipelineDefinitionForExecutionCommand";
import { DescribePipelineExecutionCommandInput, DescribePipelineExecutionCommandOutput } from "./commands/DescribePipelineExecutionCommand";
import { DescribeProcessingJobCommandInput, DescribeProcessingJobCommandOutput } from "./commands/DescribeProcessingJobCommand";
import { DescribeProjectCommandInput, DescribeProjectCommandOutput } from "./commands/DescribeProjectCommand";
import { DescribeStudioLifecycleConfigCommandInput, DescribeStudioLifecycleConfigCommandOutput } from "./commands/DescribeStudioLifecycleConfigCommand";
import { DescribeSubscribedWorkteamCommandInput, DescribeSubscribedWorkteamCommandOutput } from "./commands/DescribeSubscribedWorkteamCommand";
import { DescribeTrainingJobCommandInput, DescribeTrainingJobCommandOutput } from "./commands/DescribeTrainingJobCommand";
import { DescribeTransformJobCommandInput, DescribeTransformJobCommandOutput } from "./commands/DescribeTransformJobCommand";
import { DescribeTrialCommandInput, DescribeTrialCommandOutput } from "./commands/DescribeTrialCommand";
import { DescribeTrialComponentCommandInput, DescribeTrialComponentCommandOutput } from "./commands/DescribeTrialComponentCommand";
import { DescribeUserProfileCommandInput, DescribeUserProfileCommandOutput } from "./commands/DescribeUserProfileCommand";
import { DescribeWorkforceCommandInput, DescribeWorkforceCommandOutput } from "./commands/DescribeWorkforceCommand";
import { DescribeWorkteamCommandInput, DescribeWorkteamCommandOutput } from "./commands/DescribeWorkteamCommand";
import { DisableSagemakerServicecatalogPortfolioCommandInput, DisableSagemakerServicecatalogPortfolioCommandOutput } from "./commands/DisableSagemakerServicecatalogPortfolioCommand";
import { DisassociateTrialComponentCommandInput, DisassociateTrialComponentCommandOutput } from "./commands/DisassociateTrialComponentCommand";
import { EnableSagemakerServicecatalogPortfolioCommandInput, EnableSagemakerServicecatalogPortfolioCommandOutput } from "./commands/EnableSagemakerServicecatalogPortfolioCommand";
import { GetDeviceFleetReportCommandInput, GetDeviceFleetReportCommandOutput } from "./commands/GetDeviceFleetReportCommand";
import { GetLineageGroupPolicyCommandInput, GetLineageGroupPolicyCommandOutput } from "./commands/GetLineageGroupPolicyCommand";
import { GetModelPackageGroupPolicyCommandInput, GetModelPackageGroupPolicyCommandOutput } from "./commands/GetModelPackageGroupPolicyCommand";
import { GetSagemakerServicecatalogPortfolioStatusCommandInput, GetSagemakerServicecatalogPortfolioStatusCommandOutput } from "./commands/GetSagemakerServicecatalogPortfolioStatusCommand";
import { GetSearchSuggestionsCommandInput, GetSearchSuggestionsCommandOutput } from "./commands/GetSearchSuggestionsCommand";
import { ListActionsCommandInput, ListActionsCommandOutput } from "./commands/ListActionsCommand";
import { ListAlgorithmsCommandInput, ListAlgorithmsCommandOutput } from "./commands/ListAlgorithmsCommand";
import { ListAppImageConfigsCommandInput, ListAppImageConfigsCommandOutput } from "./commands/ListAppImageConfigsCommand";
import { ListAppsCommandInput, ListAppsCommandOutput } from "./commands/ListAppsCommand";
import { ListArtifactsCommandInput, ListArtifactsCommandOutput } from "./commands/ListArtifactsCommand";
import { ListAssociationsCommandInput, ListAssociationsCommandOutput } from "./commands/ListAssociationsCommand";
import { ListAutoMLJobsCommandInput, ListAutoMLJobsCommandOutput } from "./commands/ListAutoMLJobsCommand";
import { ListCandidatesForAutoMLJobCommandInput, ListCandidatesForAutoMLJobCommandOutput } from "./commands/ListCandidatesForAutoMLJobCommand";
import { ListCodeRepositoriesCommandInput, ListCodeRepositoriesCommandOutput } from "./commands/ListCodeRepositoriesCommand";
import { ListCompilationJobsCommandInput, ListCompilationJobsCommandOutput } from "./commands/ListCompilationJobsCommand";
import { ListContextsCommandInput, ListContextsCommandOutput } from "./commands/ListContextsCommand";
import { ListDataQualityJobDefinitionsCommandInput, ListDataQualityJobDefinitionsCommandOutput } from "./commands/ListDataQualityJobDefinitionsCommand";
import { ListDeviceFleetsCommandInput, ListDeviceFleetsCommandOutput } from "./commands/ListDeviceFleetsCommand";
import { ListDevicesCommandInput, ListDevicesCommandOutput } from "./commands/ListDevicesCommand";
import { ListDomainsCommandInput, ListDomainsCommandOutput } from "./commands/ListDomainsCommand";
import { ListEdgePackagingJobsCommandInput, ListEdgePackagingJobsCommandOutput } from "./commands/ListEdgePackagingJobsCommand";
import { ListEndpointConfigsCommandInput, ListEndpointConfigsCommandOutput } from "./commands/ListEndpointConfigsCommand";
import { ListEndpointsCommandInput, ListEndpointsCommandOutput } from "./commands/ListEndpointsCommand";
import { ListExperimentsCommandInput, ListExperimentsCommandOutput } from "./commands/ListExperimentsCommand";
import { ListFeatureGroupsCommandInput, ListFeatureGroupsCommandOutput } from "./commands/ListFeatureGroupsCommand";
import { ListFlowDefinitionsCommandInput, ListFlowDefinitionsCommandOutput } from "./commands/ListFlowDefinitionsCommand";
import { ListHumanTaskUisCommandInput, ListHumanTaskUisCommandOutput } from "./commands/ListHumanTaskUisCommand";
import { ListHyperParameterTuningJobsCommandInput, ListHyperParameterTuningJobsCommandOutput } from "./commands/ListHyperParameterTuningJobsCommand";
import { ListImagesCommandInput, ListImagesCommandOutput } from "./commands/ListImagesCommand";
import { ListImageVersionsCommandInput, ListImageVersionsCommandOutput } from "./commands/ListImageVersionsCommand";
import { ListInferenceRecommendationsJobsCommandInput, ListInferenceRecommendationsJobsCommandOutput } from "./commands/ListInferenceRecommendationsJobsCommand";
import { ListLabelingJobsCommandInput, ListLabelingJobsCommandOutput } from "./commands/ListLabelingJobsCommand";
import { ListLabelingJobsForWorkteamCommandInput, ListLabelingJobsForWorkteamCommandOutput } from "./commands/ListLabelingJobsForWorkteamCommand";
import { ListLineageGroupsCommandInput, ListLineageGroupsCommandOutput } from "./commands/ListLineageGroupsCommand";
import { ListModelBiasJobDefinitionsCommandInput, ListModelBiasJobDefinitionsCommandOutput } from "./commands/ListModelBiasJobDefinitionsCommand";
import { ListModelExplainabilityJobDefinitionsCommandInput, ListModelExplainabilityJobDefinitionsCommandOutput } from "./commands/ListModelExplainabilityJobDefinitionsCommand";
import { ListModelMetadataCommandInput, ListModelMetadataCommandOutput } from "./commands/ListModelMetadataCommand";
import { ListModelPackageGroupsCommandInput, ListModelPackageGroupsCommandOutput } from "./commands/ListModelPackageGroupsCommand";
import { ListModelPackagesCommandInput, ListModelPackagesCommandOutput } from "./commands/ListModelPackagesCommand";
import { ListModelQualityJobDefinitionsCommandInput, ListModelQualityJobDefinitionsCommandOutput } from "./commands/ListModelQualityJobDefinitionsCommand";
import { ListModelsCommandInput, ListModelsCommandOutput } from "./commands/ListModelsCommand";
import { ListMonitoringExecutionsCommandInput, ListMonitoringExecutionsCommandOutput } from "./commands/ListMonitoringExecutionsCommand";
import { ListMonitoringSchedulesCommandInput, ListMonitoringSchedulesCommandOutput } from "./commands/ListMonitoringSchedulesCommand";
import { ListNotebookInstanceLifecycleConfigsCommandInput, ListNotebookInstanceLifecycleConfigsCommandOutput } from "./commands/ListNotebookInstanceLifecycleConfigsCommand";
import { ListNotebookInstancesCommandInput, ListNotebookInstancesCommandOutput } from "./commands/ListNotebookInstancesCommand";
import { ListPipelineExecutionsCommandInput, ListPipelineExecutionsCommandOutput } from "./commands/ListPipelineExecutionsCommand";
import { ListPipelineExecutionStepsCommandInput, ListPipelineExecutionStepsCommandOutput } from "./commands/ListPipelineExecutionStepsCommand";
import { ListPipelineParametersForExecutionCommandInput, ListPipelineParametersForExecutionCommandOutput } from "./commands/ListPipelineParametersForExecutionCommand";
import { ListPipelinesCommandInput, ListPipelinesCommandOutput } from "./commands/ListPipelinesCommand";
import { ListProcessingJobsCommandInput, ListProcessingJobsCommandOutput } from "./commands/ListProcessingJobsCommand";
import { ListProjectsCommandInput, ListProjectsCommandOutput } from "./commands/ListProjectsCommand";
import { ListStudioLifecycleConfigsCommandInput, ListStudioLifecycleConfigsCommandOutput } from "./commands/ListStudioLifecycleConfigsCommand";
import { ListSubscribedWorkteamsCommandInput, ListSubscribedWorkteamsCommandOutput } from "./commands/ListSubscribedWorkteamsCommand";
import { ListTagsCommandInput, ListTagsCommandOutput } from "./commands/ListTagsCommand";
import { ListTrainingJobsCommandInput, ListTrainingJobsCommandOutput } from "./commands/ListTrainingJobsCommand";
import { ListTrainingJobsForHyperParameterTuningJobCommandInput, ListTrainingJobsForHyperParameterTuningJobCommandOutput } from "./commands/ListTrainingJobsForHyperParameterTuningJobCommand";
import { ListTransformJobsCommandInput, ListTransformJobsCommandOutput } from "./commands/ListTransformJobsCommand";
import { ListTrialComponentsCommandInput, ListTrialComponentsCommandOutput } from "./commands/ListTrialComponentsCommand";
import { ListTrialsCommandInput, ListTrialsCommandOutput } from "./commands/ListTrialsCommand";
import { ListUserProfilesCommandInput, ListUserProfilesCommandOutput } from "./commands/ListUserProfilesCommand";
import { ListWorkforcesCommandInput, ListWorkforcesCommandOutput } from "./commands/ListWorkforcesCommand";
import { ListWorkteamsCommandInput, ListWorkteamsCommandOutput } from "./commands/ListWorkteamsCommand";
import { PutModelPackageGroupPolicyCommandInput, PutModelPackageGroupPolicyCommandOutput } from "./commands/PutModelPackageGroupPolicyCommand";
import { QueryLineageCommandInput, QueryLineageCommandOutput } from "./commands/QueryLineageCommand";
import { RegisterDevicesCommandInput, RegisterDevicesCommandOutput } from "./commands/RegisterDevicesCommand";
import { RenderUiTemplateCommandInput, RenderUiTemplateCommandOutput } from "./commands/RenderUiTemplateCommand";
import { RetryPipelineExecutionCommandInput, RetryPipelineExecutionCommandOutput } from "./commands/RetryPipelineExecutionCommand";
import { SearchCommandInput, SearchCommandOutput } from "./commands/SearchCommand";
import { SendPipelineExecutionStepFailureCommandInput, SendPipelineExecutionStepFailureCommandOutput } from "./commands/SendPipelineExecutionStepFailureCommand";
import { SendPipelineExecutionStepSuccessCommandInput, SendPipelineExecutionStepSuccessCommandOutput } from "./commands/SendPipelineExecutionStepSuccessCommand";
import { StartMonitoringScheduleCommandInput, StartMonitoringScheduleCommandOutput } from "./commands/StartMonitoringScheduleCommand";
import { StartNotebookInstanceCommandInput, StartNotebookInstanceCommandOutput } from "./commands/StartNotebookInstanceCommand";
import { StartPipelineExecutionCommandInput, StartPipelineExecutionCommandOutput } from "./commands/StartPipelineExecutionCommand";
import { StopAutoMLJobCommandInput, StopAutoMLJobCommandOutput } from "./commands/StopAutoMLJobCommand";
import { StopCompilationJobCommandInput, StopCompilationJobCommandOutput } from "./commands/StopCompilationJobCommand";
import { StopEdgePackagingJobCommandInput, StopEdgePackagingJobCommandOutput } from "./commands/StopEdgePackagingJobCommand";
import { StopHyperParameterTuningJobCommandInput, StopHyperParameterTuningJobCommandOutput } from "./commands/StopHyperParameterTuningJobCommand";
import { StopInferenceRecommendationsJobCommandInput, StopInferenceRecommendationsJobCommandOutput } from "./commands/StopInferenceRecommendationsJobCommand";
import { StopLabelingJobCommandInput, StopLabelingJobCommandOutput } from "./commands/StopLabelingJobCommand";
import { StopMonitoringScheduleCommandInput, StopMonitoringScheduleCommandOutput } from "./commands/StopMonitoringScheduleCommand";
import { StopNotebookInstanceCommandInput, StopNotebookInstanceCommandOutput } from "./commands/StopNotebookInstanceCommand";
import { StopPipelineExecutionCommandInput, StopPipelineExecutionCommandOutput } from "./commands/StopPipelineExecutionCommand";
import { StopProcessingJobCommandInput, StopProcessingJobCommandOutput } from "./commands/StopProcessingJobCommand";
import { StopTrainingJobCommandInput, StopTrainingJobCommandOutput } from "./commands/StopTrainingJobCommand";
import { StopTransformJobCommandInput, StopTransformJobCommandOutput } from "./commands/StopTransformJobCommand";
import { UpdateActionCommandInput, UpdateActionCommandOutput } from "./commands/UpdateActionCommand";
import { UpdateAppImageConfigCommandInput, UpdateAppImageConfigCommandOutput } from "./commands/UpdateAppImageConfigCommand";
import { UpdateArtifactCommandInput, UpdateArtifactCommandOutput } from "./commands/UpdateArtifactCommand";
import { UpdateCodeRepositoryCommandInput, UpdateCodeRepositoryCommandOutput } from "./commands/UpdateCodeRepositoryCommand";
import { UpdateContextCommandInput, UpdateContextCommandOutput } from "./commands/UpdateContextCommand";
import { UpdateDeviceFleetCommandInput, UpdateDeviceFleetCommandOutput } from "./commands/UpdateDeviceFleetCommand";
import { UpdateDevicesCommandInput, UpdateDevicesCommandOutput } from "./commands/UpdateDevicesCommand";
import { UpdateDomainCommandInput, UpdateDomainCommandOutput } from "./commands/UpdateDomainCommand";
import { UpdateEndpointCommandInput, UpdateEndpointCommandOutput } from "./commands/UpdateEndpointCommand";
import { UpdateEndpointWeightsAndCapacitiesCommandInput, UpdateEndpointWeightsAndCapacitiesCommandOutput } from "./commands/UpdateEndpointWeightsAndCapacitiesCommand";
import { UpdateExperimentCommandInput, UpdateExperimentCommandOutput } from "./commands/UpdateExperimentCommand";
import { UpdateImageCommandInput, UpdateImageCommandOutput } from "./commands/UpdateImageCommand";
import { UpdateModelPackageCommandInput, UpdateModelPackageCommandOutput } from "./commands/UpdateModelPackageCommand";
import { UpdateMonitoringScheduleCommandInput, UpdateMonitoringScheduleCommandOutput } from "./commands/UpdateMonitoringScheduleCommand";
import { UpdateNotebookInstanceCommandInput, UpdateNotebookInstanceCommandOutput } from "./commands/UpdateNotebookInstanceCommand";
import { UpdateNotebookInstanceLifecycleConfigCommandInput, UpdateNotebookInstanceLifecycleConfigCommandOutput } from "./commands/UpdateNotebookInstanceLifecycleConfigCommand";
import { UpdatePipelineCommandInput, UpdatePipelineCommandOutput } from "./commands/UpdatePipelineCommand";
import { UpdatePipelineExecutionCommandInput, UpdatePipelineExecutionCommandOutput } from "./commands/UpdatePipelineExecutionCommand";
import { UpdateProjectCommandInput, UpdateProjectCommandOutput } from "./commands/UpdateProjectCommand";
import { UpdateTrainingJobCommandInput, UpdateTrainingJobCommandOutput } from "./commands/UpdateTrainingJobCommand";
import { UpdateTrialCommandInput, UpdateTrialCommandOutput } from "./commands/UpdateTrialCommand";
import { UpdateTrialComponentCommandInput, UpdateTrialComponentCommandOutput } from "./commands/UpdateTrialComponentCommand";
import { UpdateUserProfileCommandInput, UpdateUserProfileCommandOutput } from "./commands/UpdateUserProfileCommand";
import { UpdateWorkforceCommandInput, UpdateWorkforceCommandOutput } from "./commands/UpdateWorkforceCommand";
import { UpdateWorkteamCommandInput, UpdateWorkteamCommandOutput } from "./commands/UpdateWorkteamCommand";
import { SageMakerClient } from "./SageMakerClient";

export declare class SageMaker extends SageMakerClient {
    
    addAssociation(args: AddAssociationCommandInput, options?: __HttpHandlerOptions): Promise<AddAssociationCommandOutput>;
    addAssociation(args: AddAssociationCommandInput, cb: (err: any, data?: AddAssociationCommandOutput) => void): void;
    addAssociation(args: AddAssociationCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: AddAssociationCommandOutput) => void): void;
    
    addTags(args: AddTagsCommandInput, options?: __HttpHandlerOptions): Promise<AddTagsCommandOutput>;
    addTags(args: AddTagsCommandInput, cb: (err: any, data?: AddTagsCommandOutput) => void): void;
    addTags(args: AddTagsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: AddTagsCommandOutput) => void): void;
    
    associateTrialComponent(args: AssociateTrialComponentCommandInput, options?: __HttpHandlerOptions): Promise<AssociateTrialComponentCommandOutput>;
    associateTrialComponent(args: AssociateTrialComponentCommandInput, cb: (err: any, data?: AssociateTrialComponentCommandOutput) => void): void;
    associateTrialComponent(args: AssociateTrialComponentCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: AssociateTrialComponentCommandOutput) => void): void;
    
    batchDescribeModelPackage(args: BatchDescribeModelPackageCommandInput, options?: __HttpHandlerOptions): Promise<BatchDescribeModelPackageCommandOutput>;
    batchDescribeModelPackage(args: BatchDescribeModelPackageCommandInput, cb: (err: any, data?: BatchDescribeModelPackageCommandOutput) => void): void;
    batchDescribeModelPackage(args: BatchDescribeModelPackageCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: BatchDescribeModelPackageCommandOutput) => void): void;
    
    createAction(args: CreateActionCommandInput, options?: __HttpHandlerOptions): Promise<CreateActionCommandOutput>;
    createAction(args: CreateActionCommandInput, cb: (err: any, data?: CreateActionCommandOutput) => void): void;
    createAction(args: CreateActionCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateActionCommandOutput) => void): void;
    
    createAlgorithm(args: CreateAlgorithmCommandInput, options?: __HttpHandlerOptions): Promise<CreateAlgorithmCommandOutput>;
    createAlgorithm(args: CreateAlgorithmCommandInput, cb: (err: any, data?: CreateAlgorithmCommandOutput) => void): void;
    createAlgorithm(args: CreateAlgorithmCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateAlgorithmCommandOutput) => void): void;
    
    createApp(args: CreateAppCommandInput, options?: __HttpHandlerOptions): Promise<CreateAppCommandOutput>;
    createApp(args: CreateAppCommandInput, cb: (err: any, data?: CreateAppCommandOutput) => void): void;
    createApp(args: CreateAppCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateAppCommandOutput) => void): void;
    
    createAppImageConfig(args: CreateAppImageConfigCommandInput, options?: __HttpHandlerOptions): Promise<CreateAppImageConfigCommandOutput>;
    createAppImageConfig(args: CreateAppImageConfigCommandInput, cb: (err: any, data?: CreateAppImageConfigCommandOutput) => void): void;
    createAppImageConfig(args: CreateAppImageConfigCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateAppImageConfigCommandOutput) => void): void;
    
    createArtifact(args: CreateArtifactCommandInput, options?: __HttpHandlerOptions): Promise<CreateArtifactCommandOutput>;
    createArtifact(args: CreateArtifactCommandInput, cb: (err: any, data?: CreateArtifactCommandOutput) => void): void;
    createArtifact(args: CreateArtifactCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateArtifactCommandOutput) => void): void;
    
    createAutoMLJob(args: CreateAutoMLJobCommandInput, options?: __HttpHandlerOptions): Promise<CreateAutoMLJobCommandOutput>;
    createAutoMLJob(args: CreateAutoMLJobCommandInput, cb: (err: any, data?: CreateAutoMLJobCommandOutput) => void): void;
    createAutoMLJob(args: CreateAutoMLJobCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateAutoMLJobCommandOutput) => void): void;
    
    createCodeRepository(args: CreateCodeRepositoryCommandInput, options?: __HttpHandlerOptions): Promise<CreateCodeRepositoryCommandOutput>;
    createCodeRepository(args: CreateCodeRepositoryCommandInput, cb: (err: any, data?: CreateCodeRepositoryCommandOutput) => void): void;
    createCodeRepository(args: CreateCodeRepositoryCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateCodeRepositoryCommandOutput) => void): void;
    
    createCompilationJob(args: CreateCompilationJobCommandInput, options?: __HttpHandlerOptions): Promise<CreateCompilationJobCommandOutput>;
    createCompilationJob(args: CreateCompilationJobCommandInput, cb: (err: any, data?: CreateCompilationJobCommandOutput) => void): void;
    createCompilationJob(args: CreateCompilationJobCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateCompilationJobCommandOutput) => void): void;
    
    createContext(args: CreateContextCommandInput, options?: __HttpHandlerOptions): Promise<CreateContextCommandOutput>;
    createContext(args: CreateContextCommandInput, cb: (err: any, data?: CreateContextCommandOutput) => void): void;
    createContext(args: CreateContextCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateContextCommandOutput) => void): void;
    
    createDataQualityJobDefinition(args: CreateDataQualityJobDefinitionCommandInput, options?: __HttpHandlerOptions): Promise<CreateDataQualityJobDefinitionCommandOutput>;
    createDataQualityJobDefinition(args: CreateDataQualityJobDefinitionCommandInput, cb: (err: any, data?: CreateDataQualityJobDefinitionCommandOutput) => void): void;
    createDataQualityJobDefinition(args: CreateDataQualityJobDefinitionCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateDataQualityJobDefinitionCommandOutput) => void): void;
    
    createDeviceFleet(args: CreateDeviceFleetCommandInput, options?: __HttpHandlerOptions): Promise<CreateDeviceFleetCommandOutput>;
    createDeviceFleet(args: CreateDeviceFleetCommandInput, cb: (err: any, data?: CreateDeviceFleetCommandOutput) => void): void;
    createDeviceFleet(args: CreateDeviceFleetCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateDeviceFleetCommandOutput) => void): void;
    
    createDomain(args: CreateDomainCommandInput, options?: __HttpHandlerOptions): Promise<CreateDomainCommandOutput>;
    createDomain(args: CreateDomainCommandInput, cb: (err: any, data?: CreateDomainCommandOutput) => void): void;
    createDomain(args: CreateDomainCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateDomainCommandOutput) => void): void;
    
    createEdgePackagingJob(args: CreateEdgePackagingJobCommandInput, options?: __HttpHandlerOptions): Promise<CreateEdgePackagingJobCommandOutput>;
    createEdgePackagingJob(args: CreateEdgePackagingJobCommandInput, cb: (err: any, data?: CreateEdgePackagingJobCommandOutput) => void): void;
    createEdgePackagingJob(args: CreateEdgePackagingJobCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateEdgePackagingJobCommandOutput) => void): void;
    
    createEndpoint(args: CreateEndpointCommandInput, options?: __HttpHandlerOptions): Promise<CreateEndpointCommandOutput>;
    createEndpoint(args: CreateEndpointCommandInput, cb: (err: any, data?: CreateEndpointCommandOutput) => void): void;
    createEndpoint(args: CreateEndpointCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateEndpointCommandOutput) => void): void;
    
    createEndpointConfig(args: CreateEndpointConfigCommandInput, options?: __HttpHandlerOptions): Promise<CreateEndpointConfigCommandOutput>;
    createEndpointConfig(args: CreateEndpointConfigCommandInput, cb: (err: any, data?: CreateEndpointConfigCommandOutput) => void): void;
    createEndpointConfig(args: CreateEndpointConfigCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateEndpointConfigCommandOutput) => void): void;
    
    createExperiment(args: CreateExperimentCommandInput, options?: __HttpHandlerOptions): Promise<CreateExperimentCommandOutput>;
    createExperiment(args: CreateExperimentCommandInput, cb: (err: any, data?: CreateExperimentCommandOutput) => void): void;
    createExperiment(args: CreateExperimentCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateExperimentCommandOutput) => void): void;
    
    createFeatureGroup(args: CreateFeatureGroupCommandInput, options?: __HttpHandlerOptions): Promise<CreateFeatureGroupCommandOutput>;
    createFeatureGroup(args: CreateFeatureGroupCommandInput, cb: (err: any, data?: CreateFeatureGroupCommandOutput) => void): void;
    createFeatureGroup(args: CreateFeatureGroupCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateFeatureGroupCommandOutput) => void): void;
    
    createFlowDefinition(args: CreateFlowDefinitionCommandInput, options?: __HttpHandlerOptions): Promise<CreateFlowDefinitionCommandOutput>;
    createFlowDefinition(args: CreateFlowDefinitionCommandInput, cb: (err: any, data?: CreateFlowDefinitionCommandOutput) => void): void;
    createFlowDefinition(args: CreateFlowDefinitionCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateFlowDefinitionCommandOutput) => void): void;
    
    createHumanTaskUi(args: CreateHumanTaskUiCommandInput, options?: __HttpHandlerOptions): Promise<CreateHumanTaskUiCommandOutput>;
    createHumanTaskUi(args: CreateHumanTaskUiCommandInput, cb: (err: any, data?: CreateHumanTaskUiCommandOutput) => void): void;
    createHumanTaskUi(args: CreateHumanTaskUiCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateHumanTaskUiCommandOutput) => void): void;
    
    createHyperParameterTuningJob(args: CreateHyperParameterTuningJobCommandInput, options?: __HttpHandlerOptions): Promise<CreateHyperParameterTuningJobCommandOutput>;
    createHyperParameterTuningJob(args: CreateHyperParameterTuningJobCommandInput, cb: (err: any, data?: CreateHyperParameterTuningJobCommandOutput) => void): void;
    createHyperParameterTuningJob(args: CreateHyperParameterTuningJobCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateHyperParameterTuningJobCommandOutput) => void): void;
    
    createImage(args: CreateImageCommandInput, options?: __HttpHandlerOptions): Promise<CreateImageCommandOutput>;
    createImage(args: CreateImageCommandInput, cb: (err: any, data?: CreateImageCommandOutput) => void): void;
    createImage(args: CreateImageCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateImageCommandOutput) => void): void;
    
    createImageVersion(args: CreateImageVersionCommandInput, options?: __HttpHandlerOptions): Promise<CreateImageVersionCommandOutput>;
    createImageVersion(args: CreateImageVersionCommandInput, cb: (err: any, data?: CreateImageVersionCommandOutput) => void): void;
    createImageVersion(args: CreateImageVersionCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateImageVersionCommandOutput) => void): void;
    
    createInferenceRecommendationsJob(args: CreateInferenceRecommendationsJobCommandInput, options?: __HttpHandlerOptions): Promise<CreateInferenceRecommendationsJobCommandOutput>;
    createInferenceRecommendationsJob(args: CreateInferenceRecommendationsJobCommandInput, cb: (err: any, data?: CreateInferenceRecommendationsJobCommandOutput) => void): void;
    createInferenceRecommendationsJob(args: CreateInferenceRecommendationsJobCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateInferenceRecommendationsJobCommandOutput) => void): void;
    
    createLabelingJob(args: CreateLabelingJobCommandInput, options?: __HttpHandlerOptions): Promise<CreateLabelingJobCommandOutput>;
    createLabelingJob(args: CreateLabelingJobCommandInput, cb: (err: any, data?: CreateLabelingJobCommandOutput) => void): void;
    createLabelingJob(args: CreateLabelingJobCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateLabelingJobCommandOutput) => void): void;
    
    createModel(args: CreateModelCommandInput, options?: __HttpHandlerOptions): Promise<CreateModelCommandOutput>;
    createModel(args: CreateModelCommandInput, cb: (err: any, data?: CreateModelCommandOutput) => void): void;
    createModel(args: CreateModelCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateModelCommandOutput) => void): void;
    
    createModelBiasJobDefinition(args: CreateModelBiasJobDefinitionCommandInput, options?: __HttpHandlerOptions): Promise<CreateModelBiasJobDefinitionCommandOutput>;
    createModelBiasJobDefinition(args: CreateModelBiasJobDefinitionCommandInput, cb: (err: any, data?: CreateModelBiasJobDefinitionCommandOutput) => void): void;
    createModelBiasJobDefinition(args: CreateModelBiasJobDefinitionCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateModelBiasJobDefinitionCommandOutput) => void): void;
    
    createModelExplainabilityJobDefinition(args: CreateModelExplainabilityJobDefinitionCommandInput, options?: __HttpHandlerOptions): Promise<CreateModelExplainabilityJobDefinitionCommandOutput>;
    createModelExplainabilityJobDefinition(args: CreateModelExplainabilityJobDefinitionCommandInput, cb: (err: any, data?: CreateModelExplainabilityJobDefinitionCommandOutput) => void): void;
    createModelExplainabilityJobDefinition(args: CreateModelExplainabilityJobDefinitionCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateModelExplainabilityJobDefinitionCommandOutput) => void): void;
    
    createModelPackage(args: CreateModelPackageCommandInput, options?: __HttpHandlerOptions): Promise<CreateModelPackageCommandOutput>;
    createModelPackage(args: CreateModelPackageCommandInput, cb: (err: any, data?: CreateModelPackageCommandOutput) => void): void;
    createModelPackage(args: CreateModelPackageCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateModelPackageCommandOutput) => void): void;
    
    createModelPackageGroup(args: CreateModelPackageGroupCommandInput, options?: __HttpHandlerOptions): Promise<CreateModelPackageGroupCommandOutput>;
    createModelPackageGroup(args: CreateModelPackageGroupCommandInput, cb: (err: any, data?: CreateModelPackageGroupCommandOutput) => void): void;
    createModelPackageGroup(args: CreateModelPackageGroupCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateModelPackageGroupCommandOutput) => void): void;
    
    createModelQualityJobDefinition(args: CreateModelQualityJobDefinitionCommandInput, options?: __HttpHandlerOptions): Promise<CreateModelQualityJobDefinitionCommandOutput>;
    createModelQualityJobDefinition(args: CreateModelQualityJobDefinitionCommandInput, cb: (err: any, data?: CreateModelQualityJobDefinitionCommandOutput) => void): void;
    createModelQualityJobDefinition(args: CreateModelQualityJobDefinitionCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateModelQualityJobDefinitionCommandOutput) => void): void;
    
    createMonitoringSchedule(args: CreateMonitoringScheduleCommandInput, options?: __HttpHandlerOptions): Promise<CreateMonitoringScheduleCommandOutput>;
    createMonitoringSchedule(args: CreateMonitoringScheduleCommandInput, cb: (err: any, data?: CreateMonitoringScheduleCommandOutput) => void): void;
    createMonitoringSchedule(args: CreateMonitoringScheduleCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateMonitoringScheduleCommandOutput) => void): void;
    
    createNotebookInstance(args: CreateNotebookInstanceCommandInput, options?: __HttpHandlerOptions): Promise<CreateNotebookInstanceCommandOutput>;
    createNotebookInstance(args: CreateNotebookInstanceCommandInput, cb: (err: any, data?: CreateNotebookInstanceCommandOutput) => void): void;
    createNotebookInstance(args: CreateNotebookInstanceCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateNotebookInstanceCommandOutput) => void): void;
    
    createNotebookInstanceLifecycleConfig(args: CreateNotebookInstanceLifecycleConfigCommandInput, options?: __HttpHandlerOptions): Promise<CreateNotebookInstanceLifecycleConfigCommandOutput>;
    createNotebookInstanceLifecycleConfig(args: CreateNotebookInstanceLifecycleConfigCommandInput, cb: (err: any, data?: CreateNotebookInstanceLifecycleConfigCommandOutput) => void): void;
    createNotebookInstanceLifecycleConfig(args: CreateNotebookInstanceLifecycleConfigCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateNotebookInstanceLifecycleConfigCommandOutput) => void): void;
    
    createPipeline(args: CreatePipelineCommandInput, options?: __HttpHandlerOptions): Promise<CreatePipelineCommandOutput>;
    createPipeline(args: CreatePipelineCommandInput, cb: (err: any, data?: CreatePipelineCommandOutput) => void): void;
    createPipeline(args: CreatePipelineCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreatePipelineCommandOutput) => void): void;
    
    createPresignedDomainUrl(args: CreatePresignedDomainUrlCommandInput, options?: __HttpHandlerOptions): Promise<CreatePresignedDomainUrlCommandOutput>;
    createPresignedDomainUrl(args: CreatePresignedDomainUrlCommandInput, cb: (err: any, data?: CreatePresignedDomainUrlCommandOutput) => void): void;
    createPresignedDomainUrl(args: CreatePresignedDomainUrlCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreatePresignedDomainUrlCommandOutput) => void): void;
    
    createPresignedNotebookInstanceUrl(args: CreatePresignedNotebookInstanceUrlCommandInput, options?: __HttpHandlerOptions): Promise<CreatePresignedNotebookInstanceUrlCommandOutput>;
    createPresignedNotebookInstanceUrl(args: CreatePresignedNotebookInstanceUrlCommandInput, cb: (err: any, data?: CreatePresignedNotebookInstanceUrlCommandOutput) => void): void;
    createPresignedNotebookInstanceUrl(args: CreatePresignedNotebookInstanceUrlCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreatePresignedNotebookInstanceUrlCommandOutput) => void): void;
    
    createProcessingJob(args: CreateProcessingJobCommandInput, options?: __HttpHandlerOptions): Promise<CreateProcessingJobCommandOutput>;
    createProcessingJob(args: CreateProcessingJobCommandInput, cb: (err: any, data?: CreateProcessingJobCommandOutput) => void): void;
    createProcessingJob(args: CreateProcessingJobCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateProcessingJobCommandOutput) => void): void;
    
    createProject(args: CreateProjectCommandInput, options?: __HttpHandlerOptions): Promise<CreateProjectCommandOutput>;
    createProject(args: CreateProjectCommandInput, cb: (err: any, data?: CreateProjectCommandOutput) => void): void;
    createProject(args: CreateProjectCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateProjectCommandOutput) => void): void;
    
    createStudioLifecycleConfig(args: CreateStudioLifecycleConfigCommandInput, options?: __HttpHandlerOptions): Promise<CreateStudioLifecycleConfigCommandOutput>;
    createStudioLifecycleConfig(args: CreateStudioLifecycleConfigCommandInput, cb: (err: any, data?: CreateStudioLifecycleConfigCommandOutput) => void): void;
    createStudioLifecycleConfig(args: CreateStudioLifecycleConfigCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateStudioLifecycleConfigCommandOutput) => void): void;
    
    createTrainingJob(args: CreateTrainingJobCommandInput, options?: __HttpHandlerOptions): Promise<CreateTrainingJobCommandOutput>;
    createTrainingJob(args: CreateTrainingJobCommandInput, cb: (err: any, data?: CreateTrainingJobCommandOutput) => void): void;
    createTrainingJob(args: CreateTrainingJobCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateTrainingJobCommandOutput) => void): void;
    
    createTransformJob(args: CreateTransformJobCommandInput, options?: __HttpHandlerOptions): Promise<CreateTransformJobCommandOutput>;
    createTransformJob(args: CreateTransformJobCommandInput, cb: (err: any, data?: CreateTransformJobCommandOutput) => void): void;
    createTransformJob(args: CreateTransformJobCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateTransformJobCommandOutput) => void): void;
    
    createTrial(args: CreateTrialCommandInput, options?: __HttpHandlerOptions): Promise<CreateTrialCommandOutput>;
    createTrial(args: CreateTrialCommandInput, cb: (err: any, data?: CreateTrialCommandOutput) => void): void;
    createTrial(args: CreateTrialCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateTrialCommandOutput) => void): void;
    
    createTrialComponent(args: CreateTrialComponentCommandInput, options?: __HttpHandlerOptions): Promise<CreateTrialComponentCommandOutput>;
    createTrialComponent(args: CreateTrialComponentCommandInput, cb: (err: any, data?: CreateTrialComponentCommandOutput) => void): void;
    createTrialComponent(args: CreateTrialComponentCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateTrialComponentCommandOutput) => void): void;
    
    createUserProfile(args: CreateUserProfileCommandInput, options?: __HttpHandlerOptions): Promise<CreateUserProfileCommandOutput>;
    createUserProfile(args: CreateUserProfileCommandInput, cb: (err: any, data?: CreateUserProfileCommandOutput) => void): void;
    createUserProfile(args: CreateUserProfileCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateUserProfileCommandOutput) => void): void;
    
    createWorkforce(args: CreateWorkforceCommandInput, options?: __HttpHandlerOptions): Promise<CreateWorkforceCommandOutput>;
    createWorkforce(args: CreateWorkforceCommandInput, cb: (err: any, data?: CreateWorkforceCommandOutput) => void): void;
    createWorkforce(args: CreateWorkforceCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateWorkforceCommandOutput) => void): void;
    
    createWorkteam(args: CreateWorkteamCommandInput, options?: __HttpHandlerOptions): Promise<CreateWorkteamCommandOutput>;
    createWorkteam(args: CreateWorkteamCommandInput, cb: (err: any, data?: CreateWorkteamCommandOutput) => void): void;
    createWorkteam(args: CreateWorkteamCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateWorkteamCommandOutput) => void): void;
    
    deleteAction(args: DeleteActionCommandInput, options?: __HttpHandlerOptions): Promise<DeleteActionCommandOutput>;
    deleteAction(args: DeleteActionCommandInput, cb: (err: any, data?: DeleteActionCommandOutput) => void): void;
    deleteAction(args: DeleteActionCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteActionCommandOutput) => void): void;
    
    deleteAlgorithm(args: DeleteAlgorithmCommandInput, options?: __HttpHandlerOptions): Promise<DeleteAlgorithmCommandOutput>;
    deleteAlgorithm(args: DeleteAlgorithmCommandInput, cb: (err: any, data?: DeleteAlgorithmCommandOutput) => void): void;
    deleteAlgorithm(args: DeleteAlgorithmCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteAlgorithmCommandOutput) => void): void;
    
    deleteApp(args: DeleteAppCommandInput, options?: __HttpHandlerOptions): Promise<DeleteAppCommandOutput>;
    deleteApp(args: DeleteAppCommandInput, cb: (err: any, data?: DeleteAppCommandOutput) => void): void;
    deleteApp(args: DeleteAppCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteAppCommandOutput) => void): void;
    
    deleteAppImageConfig(args: DeleteAppImageConfigCommandInput, options?: __HttpHandlerOptions): Promise<DeleteAppImageConfigCommandOutput>;
    deleteAppImageConfig(args: DeleteAppImageConfigCommandInput, cb: (err: any, data?: DeleteAppImageConfigCommandOutput) => void): void;
    deleteAppImageConfig(args: DeleteAppImageConfigCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteAppImageConfigCommandOutput) => void): void;
    
    deleteArtifact(args: DeleteArtifactCommandInput, options?: __HttpHandlerOptions): Promise<DeleteArtifactCommandOutput>;
    deleteArtifact(args: DeleteArtifactCommandInput, cb: (err: any, data?: DeleteArtifactCommandOutput) => void): void;
    deleteArtifact(args: DeleteArtifactCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteArtifactCommandOutput) => void): void;
    
    deleteAssociation(args: DeleteAssociationCommandInput, options?: __HttpHandlerOptions): Promise<DeleteAssociationCommandOutput>;
    deleteAssociation(args: DeleteAssociationCommandInput, cb: (err: any, data?: DeleteAssociationCommandOutput) => void): void;
    deleteAssociation(args: DeleteAssociationCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteAssociationCommandOutput) => void): void;
    
    deleteCodeRepository(args: DeleteCodeRepositoryCommandInput, options?: __HttpHandlerOptions): Promise<DeleteCodeRepositoryCommandOutput>;
    deleteCodeRepository(args: DeleteCodeRepositoryCommandInput, cb: (err: any, data?: DeleteCodeRepositoryCommandOutput) => void): void;
    deleteCodeRepository(args: DeleteCodeRepositoryCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteCodeRepositoryCommandOutput) => void): void;
    
    deleteContext(args: DeleteContextCommandInput, options?: __HttpHandlerOptions): Promise<DeleteContextCommandOutput>;
    deleteContext(args: DeleteContextCommandInput, cb: (err: any, data?: DeleteContextCommandOutput) => void): void;
    deleteContext(args: DeleteContextCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteContextCommandOutput) => void): void;
    
    deleteDataQualityJobDefinition(args: DeleteDataQualityJobDefinitionCommandInput, options?: __HttpHandlerOptions): Promise<DeleteDataQualityJobDefinitionCommandOutput>;
    deleteDataQualityJobDefinition(args: DeleteDataQualityJobDefinitionCommandInput, cb: (err: any, data?: DeleteDataQualityJobDefinitionCommandOutput) => void): void;
    deleteDataQualityJobDefinition(args: DeleteDataQualityJobDefinitionCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteDataQualityJobDefinitionCommandOutput) => void): void;
    
    deleteDeviceFleet(args: DeleteDeviceFleetCommandInput, options?: __HttpHandlerOptions): Promise<DeleteDeviceFleetCommandOutput>;
    deleteDeviceFleet(args: DeleteDeviceFleetCommandInput, cb: (err: any, data?: DeleteDeviceFleetCommandOutput) => void): void;
    deleteDeviceFleet(args: DeleteDeviceFleetCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteDeviceFleetCommandOutput) => void): void;
    
    deleteDomain(args: DeleteDomainCommandInput, options?: __HttpHandlerOptions): Promise<DeleteDomainCommandOutput>;
    deleteDomain(args: DeleteDomainCommandInput, cb: (err: any, data?: DeleteDomainCommandOutput) => void): void;
    deleteDomain(args: DeleteDomainCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteDomainCommandOutput) => void): void;
    
    deleteEndpoint(args: DeleteEndpointCommandInput, options?: __HttpHandlerOptions): Promise<DeleteEndpointCommandOutput>;
    deleteEndpoint(args: DeleteEndpointCommandInput, cb: (err: any, data?: DeleteEndpointCommandOutput) => void): void;
    deleteEndpoint(args: DeleteEndpointCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteEndpointCommandOutput) => void): void;
    
    deleteEndpointConfig(args: DeleteEndpointConfigCommandInput, options?: __HttpHandlerOptions): Promise<DeleteEndpointConfigCommandOutput>;
    deleteEndpointConfig(args: DeleteEndpointConfigCommandInput, cb: (err: any, data?: DeleteEndpointConfigCommandOutput) => void): void;
    deleteEndpointConfig(args: DeleteEndpointConfigCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteEndpointConfigCommandOutput) => void): void;
    
    deleteExperiment(args: DeleteExperimentCommandInput, options?: __HttpHandlerOptions): Promise<DeleteExperimentCommandOutput>;
    deleteExperiment(args: DeleteExperimentCommandInput, cb: (err: any, data?: DeleteExperimentCommandOutput) => void): void;
    deleteExperiment(args: DeleteExperimentCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteExperimentCommandOutput) => void): void;
    
    deleteFeatureGroup(args: DeleteFeatureGroupCommandInput, options?: __HttpHandlerOptions): Promise<DeleteFeatureGroupCommandOutput>;
    deleteFeatureGroup(args: DeleteFeatureGroupCommandInput, cb: (err: any, data?: DeleteFeatureGroupCommandOutput) => void): void;
    deleteFeatureGroup(args: DeleteFeatureGroupCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteFeatureGroupCommandOutput) => void): void;
    
    deleteFlowDefinition(args: DeleteFlowDefinitionCommandInput, options?: __HttpHandlerOptions): Promise<DeleteFlowDefinitionCommandOutput>;
    deleteFlowDefinition(args: DeleteFlowDefinitionCommandInput, cb: (err: any, data?: DeleteFlowDefinitionCommandOutput) => void): void;
    deleteFlowDefinition(args: DeleteFlowDefinitionCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteFlowDefinitionCommandOutput) => void): void;
    
    deleteHumanTaskUi(args: DeleteHumanTaskUiCommandInput, options?: __HttpHandlerOptions): Promise<DeleteHumanTaskUiCommandOutput>;
    deleteHumanTaskUi(args: DeleteHumanTaskUiCommandInput, cb: (err: any, data?: DeleteHumanTaskUiCommandOutput) => void): void;
    deleteHumanTaskUi(args: DeleteHumanTaskUiCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteHumanTaskUiCommandOutput) => void): void;
    
    deleteImage(args: DeleteImageCommandInput, options?: __HttpHandlerOptions): Promise<DeleteImageCommandOutput>;
    deleteImage(args: DeleteImageCommandInput, cb: (err: any, data?: DeleteImageCommandOutput) => void): void;
    deleteImage(args: DeleteImageCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteImageCommandOutput) => void): void;
    
    deleteImageVersion(args: DeleteImageVersionCommandInput, options?: __HttpHandlerOptions): Promise<DeleteImageVersionCommandOutput>;
    deleteImageVersion(args: DeleteImageVersionCommandInput, cb: (err: any, data?: DeleteImageVersionCommandOutput) => void): void;
    deleteImageVersion(args: DeleteImageVersionCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteImageVersionCommandOutput) => void): void;
    
    deleteModel(args: DeleteModelCommandInput, options?: __HttpHandlerOptions): Promise<DeleteModelCommandOutput>;
    deleteModel(args: DeleteModelCommandInput, cb: (err: any, data?: DeleteModelCommandOutput) => void): void;
    deleteModel(args: DeleteModelCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteModelCommandOutput) => void): void;
    
    deleteModelBiasJobDefinition(args: DeleteModelBiasJobDefinitionCommandInput, options?: __HttpHandlerOptions): Promise<DeleteModelBiasJobDefinitionCommandOutput>;
    deleteModelBiasJobDefinition(args: DeleteModelBiasJobDefinitionCommandInput, cb: (err: any, data?: DeleteModelBiasJobDefinitionCommandOutput) => void): void;
    deleteModelBiasJobDefinition(args: DeleteModelBiasJobDefinitionCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteModelBiasJobDefinitionCommandOutput) => void): void;
    
    deleteModelExplainabilityJobDefinition(args: DeleteModelExplainabilityJobDefinitionCommandInput, options?: __HttpHandlerOptions): Promise<DeleteModelExplainabilityJobDefinitionCommandOutput>;
    deleteModelExplainabilityJobDefinition(args: DeleteModelExplainabilityJobDefinitionCommandInput, cb: (err: any, data?: DeleteModelExplainabilityJobDefinitionCommandOutput) => void): void;
    deleteModelExplainabilityJobDefinition(args: DeleteModelExplainabilityJobDefinitionCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteModelExplainabilityJobDefinitionCommandOutput) => void): void;
    
    deleteModelPackage(args: DeleteModelPackageCommandInput, options?: __HttpHandlerOptions): Promise<DeleteModelPackageCommandOutput>;
    deleteModelPackage(args: DeleteModelPackageCommandInput, cb: (err: any, data?: DeleteModelPackageCommandOutput) => void): void;
    deleteModelPackage(args: DeleteModelPackageCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteModelPackageCommandOutput) => void): void;
    
    deleteModelPackageGroup(args: DeleteModelPackageGroupCommandInput, options?: __HttpHandlerOptions): Promise<DeleteModelPackageGroupCommandOutput>;
    deleteModelPackageGroup(args: DeleteModelPackageGroupCommandInput, cb: (err: any, data?: DeleteModelPackageGroupCommandOutput) => void): void;
    deleteModelPackageGroup(args: DeleteModelPackageGroupCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteModelPackageGroupCommandOutput) => void): void;
    
    deleteModelPackageGroupPolicy(args: DeleteModelPackageGroupPolicyCommandInput, options?: __HttpHandlerOptions): Promise<DeleteModelPackageGroupPolicyCommandOutput>;
    deleteModelPackageGroupPolicy(args: DeleteModelPackageGroupPolicyCommandInput, cb: (err: any, data?: DeleteModelPackageGroupPolicyCommandOutput) => void): void;
    deleteModelPackageGroupPolicy(args: DeleteModelPackageGroupPolicyCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteModelPackageGroupPolicyCommandOutput) => void): void;
    
    deleteModelQualityJobDefinition(args: DeleteModelQualityJobDefinitionCommandInput, options?: __HttpHandlerOptions): Promise<DeleteModelQualityJobDefinitionCommandOutput>;
    deleteModelQualityJobDefinition(args: DeleteModelQualityJobDefinitionCommandInput, cb: (err: any, data?: DeleteModelQualityJobDefinitionCommandOutput) => void): void;
    deleteModelQualityJobDefinition(args: DeleteModelQualityJobDefinitionCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteModelQualityJobDefinitionCommandOutput) => void): void;
    
    deleteMonitoringSchedule(args: DeleteMonitoringScheduleCommandInput, options?: __HttpHandlerOptions): Promise<DeleteMonitoringScheduleCommandOutput>;
    deleteMonitoringSchedule(args: DeleteMonitoringScheduleCommandInput, cb: (err: any, data?: DeleteMonitoringScheduleCommandOutput) => void): void;
    deleteMonitoringSchedule(args: DeleteMonitoringScheduleCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteMonitoringScheduleCommandOutput) => void): void;
    
    deleteNotebookInstance(args: DeleteNotebookInstanceCommandInput, options?: __HttpHandlerOptions): Promise<DeleteNotebookInstanceCommandOutput>;
    deleteNotebookInstance(args: DeleteNotebookInstanceCommandInput, cb: (err: any, data?: DeleteNotebookInstanceCommandOutput) => void): void;
    deleteNotebookInstance(args: DeleteNotebookInstanceCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteNotebookInstanceCommandOutput) => void): void;
    
    deleteNotebookInstanceLifecycleConfig(args: DeleteNotebookInstanceLifecycleConfigCommandInput, options?: __HttpHandlerOptions): Promise<DeleteNotebookInstanceLifecycleConfigCommandOutput>;
    deleteNotebookInstanceLifecycleConfig(args: DeleteNotebookInstanceLifecycleConfigCommandInput, cb: (err: any, data?: DeleteNotebookInstanceLifecycleConfigCommandOutput) => void): void;
    deleteNotebookInstanceLifecycleConfig(args: DeleteNotebookInstanceLifecycleConfigCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteNotebookInstanceLifecycleConfigCommandOutput) => void): void;
    
    deletePipeline(args: DeletePipelineCommandInput, options?: __HttpHandlerOptions): Promise<DeletePipelineCommandOutput>;
    deletePipeline(args: DeletePipelineCommandInput, cb: (err: any, data?: DeletePipelineCommandOutput) => void): void;
    deletePipeline(args: DeletePipelineCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeletePipelineCommandOutput) => void): void;
    
    deleteProject(args: DeleteProjectCommandInput, options?: __HttpHandlerOptions): Promise<DeleteProjectCommandOutput>;
    deleteProject(args: DeleteProjectCommandInput, cb: (err: any, data?: DeleteProjectCommandOutput) => void): void;
    deleteProject(args: DeleteProjectCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteProjectCommandOutput) => void): void;
    
    deleteStudioLifecycleConfig(args: DeleteStudioLifecycleConfigCommandInput, options?: __HttpHandlerOptions): Promise<DeleteStudioLifecycleConfigCommandOutput>;
    deleteStudioLifecycleConfig(args: DeleteStudioLifecycleConfigCommandInput, cb: (err: any, data?: DeleteStudioLifecycleConfigCommandOutput) => void): void;
    deleteStudioLifecycleConfig(args: DeleteStudioLifecycleConfigCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteStudioLifecycleConfigCommandOutput) => void): void;
    
    deleteTags(args: DeleteTagsCommandInput, options?: __HttpHandlerOptions): Promise<DeleteTagsCommandOutput>;
    deleteTags(args: DeleteTagsCommandInput, cb: (err: any, data?: DeleteTagsCommandOutput) => void): void;
    deleteTags(args: DeleteTagsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteTagsCommandOutput) => void): void;
    
    deleteTrial(args: DeleteTrialCommandInput, options?: __HttpHandlerOptions): Promise<DeleteTrialCommandOutput>;
    deleteTrial(args: DeleteTrialCommandInput, cb: (err: any, data?: DeleteTrialCommandOutput) => void): void;
    deleteTrial(args: DeleteTrialCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteTrialCommandOutput) => void): void;
    
    deleteTrialComponent(args: DeleteTrialComponentCommandInput, options?: __HttpHandlerOptions): Promise<DeleteTrialComponentCommandOutput>;
    deleteTrialComponent(args: DeleteTrialComponentCommandInput, cb: (err: any, data?: DeleteTrialComponentCommandOutput) => void): void;
    deleteTrialComponent(args: DeleteTrialComponentCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteTrialComponentCommandOutput) => void): void;
    
    deleteUserProfile(args: DeleteUserProfileCommandInput, options?: __HttpHandlerOptions): Promise<DeleteUserProfileCommandOutput>;
    deleteUserProfile(args: DeleteUserProfileCommandInput, cb: (err: any, data?: DeleteUserProfileCommandOutput) => void): void;
    deleteUserProfile(args: DeleteUserProfileCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteUserProfileCommandOutput) => void): void;
    
    deleteWorkforce(args: DeleteWorkforceCommandInput, options?: __HttpHandlerOptions): Promise<DeleteWorkforceCommandOutput>;
    deleteWorkforce(args: DeleteWorkforceCommandInput, cb: (err: any, data?: DeleteWorkforceCommandOutput) => void): void;
    deleteWorkforce(args: DeleteWorkforceCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteWorkforceCommandOutput) => void): void;
    
    deleteWorkteam(args: DeleteWorkteamCommandInput, options?: __HttpHandlerOptions): Promise<DeleteWorkteamCommandOutput>;
    deleteWorkteam(args: DeleteWorkteamCommandInput, cb: (err: any, data?: DeleteWorkteamCommandOutput) => void): void;
    deleteWorkteam(args: DeleteWorkteamCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteWorkteamCommandOutput) => void): void;
    
    deregisterDevices(args: DeregisterDevicesCommandInput, options?: __HttpHandlerOptions): Promise<DeregisterDevicesCommandOutput>;
    deregisterDevices(args: DeregisterDevicesCommandInput, cb: (err: any, data?: DeregisterDevicesCommandOutput) => void): void;
    deregisterDevices(args: DeregisterDevicesCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeregisterDevicesCommandOutput) => void): void;
    
    describeAction(args: DescribeActionCommandInput, options?: __HttpHandlerOptions): Promise<DescribeActionCommandOutput>;
    describeAction(args: DescribeActionCommandInput, cb: (err: any, data?: DescribeActionCommandOutput) => void): void;
    describeAction(args: DescribeActionCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeActionCommandOutput) => void): void;
    
    describeAlgorithm(args: DescribeAlgorithmCommandInput, options?: __HttpHandlerOptions): Promise<DescribeAlgorithmCommandOutput>;
    describeAlgorithm(args: DescribeAlgorithmCommandInput, cb: (err: any, data?: DescribeAlgorithmCommandOutput) => void): void;
    describeAlgorithm(args: DescribeAlgorithmCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeAlgorithmCommandOutput) => void): void;
    
    describeApp(args: DescribeAppCommandInput, options?: __HttpHandlerOptions): Promise<DescribeAppCommandOutput>;
    describeApp(args: DescribeAppCommandInput, cb: (err: any, data?: DescribeAppCommandOutput) => void): void;
    describeApp(args: DescribeAppCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeAppCommandOutput) => void): void;
    
    describeAppImageConfig(args: DescribeAppImageConfigCommandInput, options?: __HttpHandlerOptions): Promise<DescribeAppImageConfigCommandOutput>;
    describeAppImageConfig(args: DescribeAppImageConfigCommandInput, cb: (err: any, data?: DescribeAppImageConfigCommandOutput) => void): void;
    describeAppImageConfig(args: DescribeAppImageConfigCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeAppImageConfigCommandOutput) => void): void;
    
    describeArtifact(args: DescribeArtifactCommandInput, options?: __HttpHandlerOptions): Promise<DescribeArtifactCommandOutput>;
    describeArtifact(args: DescribeArtifactCommandInput, cb: (err: any, data?: DescribeArtifactCommandOutput) => void): void;
    describeArtifact(args: DescribeArtifactCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeArtifactCommandOutput) => void): void;
    
    describeAutoMLJob(args: DescribeAutoMLJobCommandInput, options?: __HttpHandlerOptions): Promise<DescribeAutoMLJobCommandOutput>;
    describeAutoMLJob(args: DescribeAutoMLJobCommandInput, cb: (err: any, data?: DescribeAutoMLJobCommandOutput) => void): void;
    describeAutoMLJob(args: DescribeAutoMLJobCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeAutoMLJobCommandOutput) => void): void;
    
    describeCodeRepository(args: DescribeCodeRepositoryCommandInput, options?: __HttpHandlerOptions): Promise<DescribeCodeRepositoryCommandOutput>;
    describeCodeRepository(args: DescribeCodeRepositoryCommandInput, cb: (err: any, data?: DescribeCodeRepositoryCommandOutput) => void): void;
    describeCodeRepository(args: DescribeCodeRepositoryCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeCodeRepositoryCommandOutput) => void): void;
    
    describeCompilationJob(args: DescribeCompilationJobCommandInput, options?: __HttpHandlerOptions): Promise<DescribeCompilationJobCommandOutput>;
    describeCompilationJob(args: DescribeCompilationJobCommandInput, cb: (err: any, data?: DescribeCompilationJobCommandOutput) => void): void;
    describeCompilationJob(args: DescribeCompilationJobCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeCompilationJobCommandOutput) => void): void;
    
    describeContext(args: DescribeContextCommandInput, options?: __HttpHandlerOptions): Promise<DescribeContextCommandOutput>;
    describeContext(args: DescribeContextCommandInput, cb: (err: any, data?: DescribeContextCommandOutput) => void): void;
    describeContext(args: DescribeContextCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeContextCommandOutput) => void): void;
    
    describeDataQualityJobDefinition(args: DescribeDataQualityJobDefinitionCommandInput, options?: __HttpHandlerOptions): Promise<DescribeDataQualityJobDefinitionCommandOutput>;
    describeDataQualityJobDefinition(args: DescribeDataQualityJobDefinitionCommandInput, cb: (err: any, data?: DescribeDataQualityJobDefinitionCommandOutput) => void): void;
    describeDataQualityJobDefinition(args: DescribeDataQualityJobDefinitionCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeDataQualityJobDefinitionCommandOutput) => void): void;
    
    describeDevice(args: DescribeDeviceCommandInput, options?: __HttpHandlerOptions): Promise<DescribeDeviceCommandOutput>;
    describeDevice(args: DescribeDeviceCommandInput, cb: (err: any, data?: DescribeDeviceCommandOutput) => void): void;
    describeDevice(args: DescribeDeviceCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeDeviceCommandOutput) => void): void;
    
    describeDeviceFleet(args: DescribeDeviceFleetCommandInput, options?: __HttpHandlerOptions): Promise<DescribeDeviceFleetCommandOutput>;
    describeDeviceFleet(args: DescribeDeviceFleetCommandInput, cb: (err: any, data?: DescribeDeviceFleetCommandOutput) => void): void;
    describeDeviceFleet(args: DescribeDeviceFleetCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeDeviceFleetCommandOutput) => void): void;
    
    describeDomain(args: DescribeDomainCommandInput, options?: __HttpHandlerOptions): Promise<DescribeDomainCommandOutput>;
    describeDomain(args: DescribeDomainCommandInput, cb: (err: any, data?: DescribeDomainCommandOutput) => void): void;
    describeDomain(args: DescribeDomainCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeDomainCommandOutput) => void): void;
    
    describeEdgePackagingJob(args: DescribeEdgePackagingJobCommandInput, options?: __HttpHandlerOptions): Promise<DescribeEdgePackagingJobCommandOutput>;
    describeEdgePackagingJob(args: DescribeEdgePackagingJobCommandInput, cb: (err: any, data?: DescribeEdgePackagingJobCommandOutput) => void): void;
    describeEdgePackagingJob(args: DescribeEdgePackagingJobCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeEdgePackagingJobCommandOutput) => void): void;
    
    describeEndpoint(args: DescribeEndpointCommandInput, options?: __HttpHandlerOptions): Promise<DescribeEndpointCommandOutput>;
    describeEndpoint(args: DescribeEndpointCommandInput, cb: (err: any, data?: DescribeEndpointCommandOutput) => void): void;
    describeEndpoint(args: DescribeEndpointCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeEndpointCommandOutput) => void): void;
    
    describeEndpointConfig(args: DescribeEndpointConfigCommandInput, options?: __HttpHandlerOptions): Promise<DescribeEndpointConfigCommandOutput>;
    describeEndpointConfig(args: DescribeEndpointConfigCommandInput, cb: (err: any, data?: DescribeEndpointConfigCommandOutput) => void): void;
    describeEndpointConfig(args: DescribeEndpointConfigCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeEndpointConfigCommandOutput) => void): void;
    
    describeExperiment(args: DescribeExperimentCommandInput, options?: __HttpHandlerOptions): Promise<DescribeExperimentCommandOutput>;
    describeExperiment(args: DescribeExperimentCommandInput, cb: (err: any, data?: DescribeExperimentCommandOutput) => void): void;
    describeExperiment(args: DescribeExperimentCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeExperimentCommandOutput) => void): void;
    
    describeFeatureGroup(args: DescribeFeatureGroupCommandInput, options?: __HttpHandlerOptions): Promise<DescribeFeatureGroupCommandOutput>;
    describeFeatureGroup(args: DescribeFeatureGroupCommandInput, cb: (err: any, data?: DescribeFeatureGroupCommandOutput) => void): void;
    describeFeatureGroup(args: DescribeFeatureGroupCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeFeatureGroupCommandOutput) => void): void;
    
    describeFlowDefinition(args: DescribeFlowDefinitionCommandInput, options?: __HttpHandlerOptions): Promise<DescribeFlowDefinitionCommandOutput>;
    describeFlowDefinition(args: DescribeFlowDefinitionCommandInput, cb: (err: any, data?: DescribeFlowDefinitionCommandOutput) => void): void;
    describeFlowDefinition(args: DescribeFlowDefinitionCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeFlowDefinitionCommandOutput) => void): void;
    
    describeHumanTaskUi(args: DescribeHumanTaskUiCommandInput, options?: __HttpHandlerOptions): Promise<DescribeHumanTaskUiCommandOutput>;
    describeHumanTaskUi(args: DescribeHumanTaskUiCommandInput, cb: (err: any, data?: DescribeHumanTaskUiCommandOutput) => void): void;
    describeHumanTaskUi(args: DescribeHumanTaskUiCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeHumanTaskUiCommandOutput) => void): void;
    
    describeHyperParameterTuningJob(args: DescribeHyperParameterTuningJobCommandInput, options?: __HttpHandlerOptions): Promise<DescribeHyperParameterTuningJobCommandOutput>;
    describeHyperParameterTuningJob(args: DescribeHyperParameterTuningJobCommandInput, cb: (err: any, data?: DescribeHyperParameterTuningJobCommandOutput) => void): void;
    describeHyperParameterTuningJob(args: DescribeHyperParameterTuningJobCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeHyperParameterTuningJobCommandOutput) => void): void;
    
    describeImage(args: DescribeImageCommandInput, options?: __HttpHandlerOptions): Promise<DescribeImageCommandOutput>;
    describeImage(args: DescribeImageCommandInput, cb: (err: any, data?: DescribeImageCommandOutput) => void): void;
    describeImage(args: DescribeImageCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeImageCommandOutput) => void): void;
    
    describeImageVersion(args: DescribeImageVersionCommandInput, options?: __HttpHandlerOptions): Promise<DescribeImageVersionCommandOutput>;
    describeImageVersion(args: DescribeImageVersionCommandInput, cb: (err: any, data?: DescribeImageVersionCommandOutput) => void): void;
    describeImageVersion(args: DescribeImageVersionCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeImageVersionCommandOutput) => void): void;
    
    describeInferenceRecommendationsJob(args: DescribeInferenceRecommendationsJobCommandInput, options?: __HttpHandlerOptions): Promise<DescribeInferenceRecommendationsJobCommandOutput>;
    describeInferenceRecommendationsJob(args: DescribeInferenceRecommendationsJobCommandInput, cb: (err: any, data?: DescribeInferenceRecommendationsJobCommandOutput) => void): void;
    describeInferenceRecommendationsJob(args: DescribeInferenceRecommendationsJobCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeInferenceRecommendationsJobCommandOutput) => void): void;
    
    describeLabelingJob(args: DescribeLabelingJobCommandInput, options?: __HttpHandlerOptions): Promise<DescribeLabelingJobCommandOutput>;
    describeLabelingJob(args: DescribeLabelingJobCommandInput, cb: (err: any, data?: DescribeLabelingJobCommandOutput) => void): void;
    describeLabelingJob(args: DescribeLabelingJobCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeLabelingJobCommandOutput) => void): void;
    
    describeLineageGroup(args: DescribeLineageGroupCommandInput, options?: __HttpHandlerOptions): Promise<DescribeLineageGroupCommandOutput>;
    describeLineageGroup(args: DescribeLineageGroupCommandInput, cb: (err: any, data?: DescribeLineageGroupCommandOutput) => void): void;
    describeLineageGroup(args: DescribeLineageGroupCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeLineageGroupCommandOutput) => void): void;
    
    describeModel(args: DescribeModelCommandInput, options?: __HttpHandlerOptions): Promise<DescribeModelCommandOutput>;
    describeModel(args: DescribeModelCommandInput, cb: (err: any, data?: DescribeModelCommandOutput) => void): void;
    describeModel(args: DescribeModelCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeModelCommandOutput) => void): void;
    
    describeModelBiasJobDefinition(args: DescribeModelBiasJobDefinitionCommandInput, options?: __HttpHandlerOptions): Promise<DescribeModelBiasJobDefinitionCommandOutput>;
    describeModelBiasJobDefinition(args: DescribeModelBiasJobDefinitionCommandInput, cb: (err: any, data?: DescribeModelBiasJobDefinitionCommandOutput) => void): void;
    describeModelBiasJobDefinition(args: DescribeModelBiasJobDefinitionCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeModelBiasJobDefinitionCommandOutput) => void): void;
    
    describeModelExplainabilityJobDefinition(args: DescribeModelExplainabilityJobDefinitionCommandInput, options?: __HttpHandlerOptions): Promise<DescribeModelExplainabilityJobDefinitionCommandOutput>;
    describeModelExplainabilityJobDefinition(args: DescribeModelExplainabilityJobDefinitionCommandInput, cb: (err: any, data?: DescribeModelExplainabilityJobDefinitionCommandOutput) => void): void;
    describeModelExplainabilityJobDefinition(args: DescribeModelExplainabilityJobDefinitionCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeModelExplainabilityJobDefinitionCommandOutput) => void): void;
    
    describeModelPackage(args: DescribeModelPackageCommandInput, options?: __HttpHandlerOptions): Promise<DescribeModelPackageCommandOutput>;
    describeModelPackage(args: DescribeModelPackageCommandInput, cb: (err: any, data?: DescribeModelPackageCommandOutput) => void): void;
    describeModelPackage(args: DescribeModelPackageCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeModelPackageCommandOutput) => void): void;
    
    describeModelPackageGroup(args: DescribeModelPackageGroupCommandInput, options?: __HttpHandlerOptions): Promise<DescribeModelPackageGroupCommandOutput>;
    describeModelPackageGroup(args: DescribeModelPackageGroupCommandInput, cb: (err: any, data?: DescribeModelPackageGroupCommandOutput) => void): void;
    describeModelPackageGroup(args: DescribeModelPackageGroupCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeModelPackageGroupCommandOutput) => void): void;
    
    describeModelQualityJobDefinition(args: DescribeModelQualityJobDefinitionCommandInput, options?: __HttpHandlerOptions): Promise<DescribeModelQualityJobDefinitionCommandOutput>;
    describeModelQualityJobDefinition(args: DescribeModelQualityJobDefinitionCommandInput, cb: (err: any, data?: DescribeModelQualityJobDefinitionCommandOutput) => void): void;
    describeModelQualityJobDefinition(args: DescribeModelQualityJobDefinitionCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeModelQualityJobDefinitionCommandOutput) => void): void;
    
    describeMonitoringSchedule(args: DescribeMonitoringScheduleCommandInput, options?: __HttpHandlerOptions): Promise<DescribeMonitoringScheduleCommandOutput>;
    describeMonitoringSchedule(args: DescribeMonitoringScheduleCommandInput, cb: (err: any, data?: DescribeMonitoringScheduleCommandOutput) => void): void;
    describeMonitoringSchedule(args: DescribeMonitoringScheduleCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeMonitoringScheduleCommandOutput) => void): void;
    
    describeNotebookInstance(args: DescribeNotebookInstanceCommandInput, options?: __HttpHandlerOptions): Promise<DescribeNotebookInstanceCommandOutput>;
    describeNotebookInstance(args: DescribeNotebookInstanceCommandInput, cb: (err: any, data?: DescribeNotebookInstanceCommandOutput) => void): void;
    describeNotebookInstance(args: DescribeNotebookInstanceCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeNotebookInstanceCommandOutput) => void): void;
    
    describeNotebookInstanceLifecycleConfig(args: DescribeNotebookInstanceLifecycleConfigCommandInput, options?: __HttpHandlerOptions): Promise<DescribeNotebookInstanceLifecycleConfigCommandOutput>;
    describeNotebookInstanceLifecycleConfig(args: DescribeNotebookInstanceLifecycleConfigCommandInput, cb: (err: any, data?: DescribeNotebookInstanceLifecycleConfigCommandOutput) => void): void;
    describeNotebookInstanceLifecycleConfig(args: DescribeNotebookInstanceLifecycleConfigCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeNotebookInstanceLifecycleConfigCommandOutput) => void): void;
    
    describePipeline(args: DescribePipelineCommandInput, options?: __HttpHandlerOptions): Promise<DescribePipelineCommandOutput>;
    describePipeline(args: DescribePipelineCommandInput, cb: (err: any, data?: DescribePipelineCommandOutput) => void): void;
    describePipeline(args: DescribePipelineCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribePipelineCommandOutput) => void): void;
    
    describePipelineDefinitionForExecution(args: DescribePipelineDefinitionForExecutionCommandInput, options?: __HttpHandlerOptions): Promise<DescribePipelineDefinitionForExecutionCommandOutput>;
    describePipelineDefinitionForExecution(args: DescribePipelineDefinitionForExecutionCommandInput, cb: (err: any, data?: DescribePipelineDefinitionForExecutionCommandOutput) => void): void;
    describePipelineDefinitionForExecution(args: DescribePipelineDefinitionForExecutionCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribePipelineDefinitionForExecutionCommandOutput) => void): void;
    
    describePipelineExecution(args: DescribePipelineExecutionCommandInput, options?: __HttpHandlerOptions): Promise<DescribePipelineExecutionCommandOutput>;
    describePipelineExecution(args: DescribePipelineExecutionCommandInput, cb: (err: any, data?: DescribePipelineExecutionCommandOutput) => void): void;
    describePipelineExecution(args: DescribePipelineExecutionCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribePipelineExecutionCommandOutput) => void): void;
    
    describeProcessingJob(args: DescribeProcessingJobCommandInput, options?: __HttpHandlerOptions): Promise<DescribeProcessingJobCommandOutput>;
    describeProcessingJob(args: DescribeProcessingJobCommandInput, cb: (err: any, data?: DescribeProcessingJobCommandOutput) => void): void;
    describeProcessingJob(args: DescribeProcessingJobCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeProcessingJobCommandOutput) => void): void;
    
    describeProject(args: DescribeProjectCommandInput, options?: __HttpHandlerOptions): Promise<DescribeProjectCommandOutput>;
    describeProject(args: DescribeProjectCommandInput, cb: (err: any, data?: DescribeProjectCommandOutput) => void): void;
    describeProject(args: DescribeProjectCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeProjectCommandOutput) => void): void;
    
    describeStudioLifecycleConfig(args: DescribeStudioLifecycleConfigCommandInput, options?: __HttpHandlerOptions): Promise<DescribeStudioLifecycleConfigCommandOutput>;
    describeStudioLifecycleConfig(args: DescribeStudioLifecycleConfigCommandInput, cb: (err: any, data?: DescribeStudioLifecycleConfigCommandOutput) => void): void;
    describeStudioLifecycleConfig(args: DescribeStudioLifecycleConfigCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeStudioLifecycleConfigCommandOutput) => void): void;
    
    describeSubscribedWorkteam(args: DescribeSubscribedWorkteamCommandInput, options?: __HttpHandlerOptions): Promise<DescribeSubscribedWorkteamCommandOutput>;
    describeSubscribedWorkteam(args: DescribeSubscribedWorkteamCommandInput, cb: (err: any, data?: DescribeSubscribedWorkteamCommandOutput) => void): void;
    describeSubscribedWorkteam(args: DescribeSubscribedWorkteamCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeSubscribedWorkteamCommandOutput) => void): void;
    
    describeTrainingJob(args: DescribeTrainingJobCommandInput, options?: __HttpHandlerOptions): Promise<DescribeTrainingJobCommandOutput>;
    describeTrainingJob(args: DescribeTrainingJobCommandInput, cb: (err: any, data?: DescribeTrainingJobCommandOutput) => void): void;
    describeTrainingJob(args: DescribeTrainingJobCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeTrainingJobCommandOutput) => void): void;
    
    describeTransformJob(args: DescribeTransformJobCommandInput, options?: __HttpHandlerOptions): Promise<DescribeTransformJobCommandOutput>;
    describeTransformJob(args: DescribeTransformJobCommandInput, cb: (err: any, data?: DescribeTransformJobCommandOutput) => void): void;
    describeTransformJob(args: DescribeTransformJobCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeTransformJobCommandOutput) => void): void;
    
    describeTrial(args: DescribeTrialCommandInput, options?: __HttpHandlerOptions): Promise<DescribeTrialCommandOutput>;
    describeTrial(args: DescribeTrialCommandInput, cb: (err: any, data?: DescribeTrialCommandOutput) => void): void;
    describeTrial(args: DescribeTrialCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeTrialCommandOutput) => void): void;
    
    describeTrialComponent(args: DescribeTrialComponentCommandInput, options?: __HttpHandlerOptions): Promise<DescribeTrialComponentCommandOutput>;
    describeTrialComponent(args: DescribeTrialComponentCommandInput, cb: (err: any, data?: DescribeTrialComponentCommandOutput) => void): void;
    describeTrialComponent(args: DescribeTrialComponentCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeTrialComponentCommandOutput) => void): void;
    
    describeUserProfile(args: DescribeUserProfileCommandInput, options?: __HttpHandlerOptions): Promise<DescribeUserProfileCommandOutput>;
    describeUserProfile(args: DescribeUserProfileCommandInput, cb: (err: any, data?: DescribeUserProfileCommandOutput) => void): void;
    describeUserProfile(args: DescribeUserProfileCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeUserProfileCommandOutput) => void): void;
    
    describeWorkforce(args: DescribeWorkforceCommandInput, options?: __HttpHandlerOptions): Promise<DescribeWorkforceCommandOutput>;
    describeWorkforce(args: DescribeWorkforceCommandInput, cb: (err: any, data?: DescribeWorkforceCommandOutput) => void): void;
    describeWorkforce(args: DescribeWorkforceCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeWorkforceCommandOutput) => void): void;
    
    describeWorkteam(args: DescribeWorkteamCommandInput, options?: __HttpHandlerOptions): Promise<DescribeWorkteamCommandOutput>;
    describeWorkteam(args: DescribeWorkteamCommandInput, cb: (err: any, data?: DescribeWorkteamCommandOutput) => void): void;
    describeWorkteam(args: DescribeWorkteamCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeWorkteamCommandOutput) => void): void;
    
    disableSagemakerServicecatalogPortfolio(args: DisableSagemakerServicecatalogPortfolioCommandInput, options?: __HttpHandlerOptions): Promise<DisableSagemakerServicecatalogPortfolioCommandOutput>;
    disableSagemakerServicecatalogPortfolio(args: DisableSagemakerServicecatalogPortfolioCommandInput, cb: (err: any, data?: DisableSagemakerServicecatalogPortfolioCommandOutput) => void): void;
    disableSagemakerServicecatalogPortfolio(args: DisableSagemakerServicecatalogPortfolioCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DisableSagemakerServicecatalogPortfolioCommandOutput) => void): void;
    
    disassociateTrialComponent(args: DisassociateTrialComponentCommandInput, options?: __HttpHandlerOptions): Promise<DisassociateTrialComponentCommandOutput>;
    disassociateTrialComponent(args: DisassociateTrialComponentCommandInput, cb: (err: any, data?: DisassociateTrialComponentCommandOutput) => void): void;
    disassociateTrialComponent(args: DisassociateTrialComponentCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DisassociateTrialComponentCommandOutput) => void): void;
    
    enableSagemakerServicecatalogPortfolio(args: EnableSagemakerServicecatalogPortfolioCommandInput, options?: __HttpHandlerOptions): Promise<EnableSagemakerServicecatalogPortfolioCommandOutput>;
    enableSagemakerServicecatalogPortfolio(args: EnableSagemakerServicecatalogPortfolioCommandInput, cb: (err: any, data?: EnableSagemakerServicecatalogPortfolioCommandOutput) => void): void;
    enableSagemakerServicecatalogPortfolio(args: EnableSagemakerServicecatalogPortfolioCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: EnableSagemakerServicecatalogPortfolioCommandOutput) => void): void;
    
    getDeviceFleetReport(args: GetDeviceFleetReportCommandInput, options?: __HttpHandlerOptions): Promise<GetDeviceFleetReportCommandOutput>;
    getDeviceFleetReport(args: GetDeviceFleetReportCommandInput, cb: (err: any, data?: GetDeviceFleetReportCommandOutput) => void): void;
    getDeviceFleetReport(args: GetDeviceFleetReportCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: GetDeviceFleetReportCommandOutput) => void): void;
    
    getLineageGroupPolicy(args: GetLineageGroupPolicyCommandInput, options?: __HttpHandlerOptions): Promise<GetLineageGroupPolicyCommandOutput>;
    getLineageGroupPolicy(args: GetLineageGroupPolicyCommandInput, cb: (err: any, data?: GetLineageGroupPolicyCommandOutput) => void): void;
    getLineageGroupPolicy(args: GetLineageGroupPolicyCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: GetLineageGroupPolicyCommandOutput) => void): void;
    
    getModelPackageGroupPolicy(args: GetModelPackageGroupPolicyCommandInput, options?: __HttpHandlerOptions): Promise<GetModelPackageGroupPolicyCommandOutput>;
    getModelPackageGroupPolicy(args: GetModelPackageGroupPolicyCommandInput, cb: (err: any, data?: GetModelPackageGroupPolicyCommandOutput) => void): void;
    getModelPackageGroupPolicy(args: GetModelPackageGroupPolicyCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: GetModelPackageGroupPolicyCommandOutput) => void): void;
    
    getSagemakerServicecatalogPortfolioStatus(args: GetSagemakerServicecatalogPortfolioStatusCommandInput, options?: __HttpHandlerOptions): Promise<GetSagemakerServicecatalogPortfolioStatusCommandOutput>;
    getSagemakerServicecatalogPortfolioStatus(args: GetSagemakerServicecatalogPortfolioStatusCommandInput, cb: (err: any, data?: GetSagemakerServicecatalogPortfolioStatusCommandOutput) => void): void;
    getSagemakerServicecatalogPortfolioStatus(args: GetSagemakerServicecatalogPortfolioStatusCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: GetSagemakerServicecatalogPortfolioStatusCommandOutput) => void): void;
    
    getSearchSuggestions(args: GetSearchSuggestionsCommandInput, options?: __HttpHandlerOptions): Promise<GetSearchSuggestionsCommandOutput>;
    getSearchSuggestions(args: GetSearchSuggestionsCommandInput, cb: (err: any, data?: GetSearchSuggestionsCommandOutput) => void): void;
    getSearchSuggestions(args: GetSearchSuggestionsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: GetSearchSuggestionsCommandOutput) => void): void;
    
    listActions(args: ListActionsCommandInput, options?: __HttpHandlerOptions): Promise<ListActionsCommandOutput>;
    listActions(args: ListActionsCommandInput, cb: (err: any, data?: ListActionsCommandOutput) => void): void;
    listActions(args: ListActionsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListActionsCommandOutput) => void): void;
    
    listAlgorithms(args: ListAlgorithmsCommandInput, options?: __HttpHandlerOptions): Promise<ListAlgorithmsCommandOutput>;
    listAlgorithms(args: ListAlgorithmsCommandInput, cb: (err: any, data?: ListAlgorithmsCommandOutput) => void): void;
    listAlgorithms(args: ListAlgorithmsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListAlgorithmsCommandOutput) => void): void;
    
    listAppImageConfigs(args: ListAppImageConfigsCommandInput, options?: __HttpHandlerOptions): Promise<ListAppImageConfigsCommandOutput>;
    listAppImageConfigs(args: ListAppImageConfigsCommandInput, cb: (err: any, data?: ListAppImageConfigsCommandOutput) => void): void;
    listAppImageConfigs(args: ListAppImageConfigsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListAppImageConfigsCommandOutput) => void): void;
    
    listApps(args: ListAppsCommandInput, options?: __HttpHandlerOptions): Promise<ListAppsCommandOutput>;
    listApps(args: ListAppsCommandInput, cb: (err: any, data?: ListAppsCommandOutput) => void): void;
    listApps(args: ListAppsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListAppsCommandOutput) => void): void;
    
    listArtifacts(args: ListArtifactsCommandInput, options?: __HttpHandlerOptions): Promise<ListArtifactsCommandOutput>;
    listArtifacts(args: ListArtifactsCommandInput, cb: (err: any, data?: ListArtifactsCommandOutput) => void): void;
    listArtifacts(args: ListArtifactsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListArtifactsCommandOutput) => void): void;
    
    listAssociations(args: ListAssociationsCommandInput, options?: __HttpHandlerOptions): Promise<ListAssociationsCommandOutput>;
    listAssociations(args: ListAssociationsCommandInput, cb: (err: any, data?: ListAssociationsCommandOutput) => void): void;
    listAssociations(args: ListAssociationsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListAssociationsCommandOutput) => void): void;
    
    listAutoMLJobs(args: ListAutoMLJobsCommandInput, options?: __HttpHandlerOptions): Promise<ListAutoMLJobsCommandOutput>;
    listAutoMLJobs(args: ListAutoMLJobsCommandInput, cb: (err: any, data?: ListAutoMLJobsCommandOutput) => void): void;
    listAutoMLJobs(args: ListAutoMLJobsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListAutoMLJobsCommandOutput) => void): void;
    
    listCandidatesForAutoMLJob(args: ListCandidatesForAutoMLJobCommandInput, options?: __HttpHandlerOptions): Promise<ListCandidatesForAutoMLJobCommandOutput>;
    listCandidatesForAutoMLJob(args: ListCandidatesForAutoMLJobCommandInput, cb: (err: any, data?: ListCandidatesForAutoMLJobCommandOutput) => void): void;
    listCandidatesForAutoMLJob(args: ListCandidatesForAutoMLJobCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListCandidatesForAutoMLJobCommandOutput) => void): void;
    
    listCodeRepositories(args: ListCodeRepositoriesCommandInput, options?: __HttpHandlerOptions): Promise<ListCodeRepositoriesCommandOutput>;
    listCodeRepositories(args: ListCodeRepositoriesCommandInput, cb: (err: any, data?: ListCodeRepositoriesCommandOutput) => void): void;
    listCodeRepositories(args: ListCodeRepositoriesCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListCodeRepositoriesCommandOutput) => void): void;
    
    listCompilationJobs(args: ListCompilationJobsCommandInput, options?: __HttpHandlerOptions): Promise<ListCompilationJobsCommandOutput>;
    listCompilationJobs(args: ListCompilationJobsCommandInput, cb: (err: any, data?: ListCompilationJobsCommandOutput) => void): void;
    listCompilationJobs(args: ListCompilationJobsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListCompilationJobsCommandOutput) => void): void;
    
    listContexts(args: ListContextsCommandInput, options?: __HttpHandlerOptions): Promise<ListContextsCommandOutput>;
    listContexts(args: ListContextsCommandInput, cb: (err: any, data?: ListContextsCommandOutput) => void): void;
    listContexts(args: ListContextsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListContextsCommandOutput) => void): void;
    
    listDataQualityJobDefinitions(args: ListDataQualityJobDefinitionsCommandInput, options?: __HttpHandlerOptions): Promise<ListDataQualityJobDefinitionsCommandOutput>;
    listDataQualityJobDefinitions(args: ListDataQualityJobDefinitionsCommandInput, cb: (err: any, data?: ListDataQualityJobDefinitionsCommandOutput) => void): void;
    listDataQualityJobDefinitions(args: ListDataQualityJobDefinitionsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListDataQualityJobDefinitionsCommandOutput) => void): void;
    
    listDeviceFleets(args: ListDeviceFleetsCommandInput, options?: __HttpHandlerOptions): Promise<ListDeviceFleetsCommandOutput>;
    listDeviceFleets(args: ListDeviceFleetsCommandInput, cb: (err: any, data?: ListDeviceFleetsCommandOutput) => void): void;
    listDeviceFleets(args: ListDeviceFleetsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListDeviceFleetsCommandOutput) => void): void;
    
    listDevices(args: ListDevicesCommandInput, options?: __HttpHandlerOptions): Promise<ListDevicesCommandOutput>;
    listDevices(args: ListDevicesCommandInput, cb: (err: any, data?: ListDevicesCommandOutput) => void): void;
    listDevices(args: ListDevicesCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListDevicesCommandOutput) => void): void;
    
    listDomains(args: ListDomainsCommandInput, options?: __HttpHandlerOptions): Promise<ListDomainsCommandOutput>;
    listDomains(args: ListDomainsCommandInput, cb: (err: any, data?: ListDomainsCommandOutput) => void): void;
    listDomains(args: ListDomainsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListDomainsCommandOutput) => void): void;
    
    listEdgePackagingJobs(args: ListEdgePackagingJobsCommandInput, options?: __HttpHandlerOptions): Promise<ListEdgePackagingJobsCommandOutput>;
    listEdgePackagingJobs(args: ListEdgePackagingJobsCommandInput, cb: (err: any, data?: ListEdgePackagingJobsCommandOutput) => void): void;
    listEdgePackagingJobs(args: ListEdgePackagingJobsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListEdgePackagingJobsCommandOutput) => void): void;
    
    listEndpointConfigs(args: ListEndpointConfigsCommandInput, options?: __HttpHandlerOptions): Promise<ListEndpointConfigsCommandOutput>;
    listEndpointConfigs(args: ListEndpointConfigsCommandInput, cb: (err: any, data?: ListEndpointConfigsCommandOutput) => void): void;
    listEndpointConfigs(args: ListEndpointConfigsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListEndpointConfigsCommandOutput) => void): void;
    
    listEndpoints(args: ListEndpointsCommandInput, options?: __HttpHandlerOptions): Promise<ListEndpointsCommandOutput>;
    listEndpoints(args: ListEndpointsCommandInput, cb: (err: any, data?: ListEndpointsCommandOutput) => void): void;
    listEndpoints(args: ListEndpointsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListEndpointsCommandOutput) => void): void;
    
    listExperiments(args: ListExperimentsCommandInput, options?: __HttpHandlerOptions): Promise<ListExperimentsCommandOutput>;
    listExperiments(args: ListExperimentsCommandInput, cb: (err: any, data?: ListExperimentsCommandOutput) => void): void;
    listExperiments(args: ListExperimentsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListExperimentsCommandOutput) => void): void;
    
    listFeatureGroups(args: ListFeatureGroupsCommandInput, options?: __HttpHandlerOptions): Promise<ListFeatureGroupsCommandOutput>;
    listFeatureGroups(args: ListFeatureGroupsCommandInput, cb: (err: any, data?: ListFeatureGroupsCommandOutput) => void): void;
    listFeatureGroups(args: ListFeatureGroupsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListFeatureGroupsCommandOutput) => void): void;
    
    listFlowDefinitions(args: ListFlowDefinitionsCommandInput, options?: __HttpHandlerOptions): Promise<ListFlowDefinitionsCommandOutput>;
    listFlowDefinitions(args: ListFlowDefinitionsCommandInput, cb: (err: any, data?: ListFlowDefinitionsCommandOutput) => void): void;
    listFlowDefinitions(args: ListFlowDefinitionsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListFlowDefinitionsCommandOutput) => void): void;
    
    listHumanTaskUis(args: ListHumanTaskUisCommandInput, options?: __HttpHandlerOptions): Promise<ListHumanTaskUisCommandOutput>;
    listHumanTaskUis(args: ListHumanTaskUisCommandInput, cb: (err: any, data?: ListHumanTaskUisCommandOutput) => void): void;
    listHumanTaskUis(args: ListHumanTaskUisCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListHumanTaskUisCommandOutput) => void): void;
    
    listHyperParameterTuningJobs(args: ListHyperParameterTuningJobsCommandInput, options?: __HttpHandlerOptions): Promise<ListHyperParameterTuningJobsCommandOutput>;
    listHyperParameterTuningJobs(args: ListHyperParameterTuningJobsCommandInput, cb: (err: any, data?: ListHyperParameterTuningJobsCommandOutput) => void): void;
    listHyperParameterTuningJobs(args: ListHyperParameterTuningJobsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListHyperParameterTuningJobsCommandOutput) => void): void;
    
    listImages(args: ListImagesCommandInput, options?: __HttpHandlerOptions): Promise<ListImagesCommandOutput>;
    listImages(args: ListImagesCommandInput, cb: (err: any, data?: ListImagesCommandOutput) => void): void;
    listImages(args: ListImagesCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListImagesCommandOutput) => void): void;
    
    listImageVersions(args: ListImageVersionsCommandInput, options?: __HttpHandlerOptions): Promise<ListImageVersionsCommandOutput>;
    listImageVersions(args: ListImageVersionsCommandInput, cb: (err: any, data?: ListImageVersionsCommandOutput) => void): void;
    listImageVersions(args: ListImageVersionsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListImageVersionsCommandOutput) => void): void;
    
    listInferenceRecommendationsJobs(args: ListInferenceRecommendationsJobsCommandInput, options?: __HttpHandlerOptions): Promise<ListInferenceRecommendationsJobsCommandOutput>;
    listInferenceRecommendationsJobs(args: ListInferenceRecommendationsJobsCommandInput, cb: (err: any, data?: ListInferenceRecommendationsJobsCommandOutput) => void): void;
    listInferenceRecommendationsJobs(args: ListInferenceRecommendationsJobsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListInferenceRecommendationsJobsCommandOutput) => void): void;
    
    listLabelingJobs(args: ListLabelingJobsCommandInput, options?: __HttpHandlerOptions): Promise<ListLabelingJobsCommandOutput>;
    listLabelingJobs(args: ListLabelingJobsCommandInput, cb: (err: any, data?: ListLabelingJobsCommandOutput) => void): void;
    listLabelingJobs(args: ListLabelingJobsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListLabelingJobsCommandOutput) => void): void;
    
    listLabelingJobsForWorkteam(args: ListLabelingJobsForWorkteamCommandInput, options?: __HttpHandlerOptions): Promise<ListLabelingJobsForWorkteamCommandOutput>;
    listLabelingJobsForWorkteam(args: ListLabelingJobsForWorkteamCommandInput, cb: (err: any, data?: ListLabelingJobsForWorkteamCommandOutput) => void): void;
    listLabelingJobsForWorkteam(args: ListLabelingJobsForWorkteamCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListLabelingJobsForWorkteamCommandOutput) => void): void;
    
    listLineageGroups(args: ListLineageGroupsCommandInput, options?: __HttpHandlerOptions): Promise<ListLineageGroupsCommandOutput>;
    listLineageGroups(args: ListLineageGroupsCommandInput, cb: (err: any, data?: ListLineageGroupsCommandOutput) => void): void;
    listLineageGroups(args: ListLineageGroupsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListLineageGroupsCommandOutput) => void): void;
    
    listModelBiasJobDefinitions(args: ListModelBiasJobDefinitionsCommandInput, options?: __HttpHandlerOptions): Promise<ListModelBiasJobDefinitionsCommandOutput>;
    listModelBiasJobDefinitions(args: ListModelBiasJobDefinitionsCommandInput, cb: (err: any, data?: ListModelBiasJobDefinitionsCommandOutput) => void): void;
    listModelBiasJobDefinitions(args: ListModelBiasJobDefinitionsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListModelBiasJobDefinitionsCommandOutput) => void): void;
    
    listModelExplainabilityJobDefinitions(args: ListModelExplainabilityJobDefinitionsCommandInput, options?: __HttpHandlerOptions): Promise<ListModelExplainabilityJobDefinitionsCommandOutput>;
    listModelExplainabilityJobDefinitions(args: ListModelExplainabilityJobDefinitionsCommandInput, cb: (err: any, data?: ListModelExplainabilityJobDefinitionsCommandOutput) => void): void;
    listModelExplainabilityJobDefinitions(args: ListModelExplainabilityJobDefinitionsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListModelExplainabilityJobDefinitionsCommandOutput) => void): void;
    
    listModelMetadata(args: ListModelMetadataCommandInput, options?: __HttpHandlerOptions): Promise<ListModelMetadataCommandOutput>;
    listModelMetadata(args: ListModelMetadataCommandInput, cb: (err: any, data?: ListModelMetadataCommandOutput) => void): void;
    listModelMetadata(args: ListModelMetadataCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListModelMetadataCommandOutput) => void): void;
    
    listModelPackageGroups(args: ListModelPackageGroupsCommandInput, options?: __HttpHandlerOptions): Promise<ListModelPackageGroupsCommandOutput>;
    listModelPackageGroups(args: ListModelPackageGroupsCommandInput, cb: (err: any, data?: ListModelPackageGroupsCommandOutput) => void): void;
    listModelPackageGroups(args: ListModelPackageGroupsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListModelPackageGroupsCommandOutput) => void): void;
    
    listModelPackages(args: ListModelPackagesCommandInput, options?: __HttpHandlerOptions): Promise<ListModelPackagesCommandOutput>;
    listModelPackages(args: ListModelPackagesCommandInput, cb: (err: any, data?: ListModelPackagesCommandOutput) => void): void;
    listModelPackages(args: ListModelPackagesCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListModelPackagesCommandOutput) => void): void;
    
    listModelQualityJobDefinitions(args: ListModelQualityJobDefinitionsCommandInput, options?: __HttpHandlerOptions): Promise<ListModelQualityJobDefinitionsCommandOutput>;
    listModelQualityJobDefinitions(args: ListModelQualityJobDefinitionsCommandInput, cb: (err: any, data?: ListModelQualityJobDefinitionsCommandOutput) => void): void;
    listModelQualityJobDefinitions(args: ListModelQualityJobDefinitionsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListModelQualityJobDefinitionsCommandOutput) => void): void;
    
    listModels(args: ListModelsCommandInput, options?: __HttpHandlerOptions): Promise<ListModelsCommandOutput>;
    listModels(args: ListModelsCommandInput, cb: (err: any, data?: ListModelsCommandOutput) => void): void;
    listModels(args: ListModelsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListModelsCommandOutput) => void): void;
    
    listMonitoringExecutions(args: ListMonitoringExecutionsCommandInput, options?: __HttpHandlerOptions): Promise<ListMonitoringExecutionsCommandOutput>;
    listMonitoringExecutions(args: ListMonitoringExecutionsCommandInput, cb: (err: any, data?: ListMonitoringExecutionsCommandOutput) => void): void;
    listMonitoringExecutions(args: ListMonitoringExecutionsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListMonitoringExecutionsCommandOutput) => void): void;
    
    listMonitoringSchedules(args: ListMonitoringSchedulesCommandInput, options?: __HttpHandlerOptions): Promise<ListMonitoringSchedulesCommandOutput>;
    listMonitoringSchedules(args: ListMonitoringSchedulesCommandInput, cb: (err: any, data?: ListMonitoringSchedulesCommandOutput) => void): void;
    listMonitoringSchedules(args: ListMonitoringSchedulesCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListMonitoringSchedulesCommandOutput) => void): void;
    
    listNotebookInstanceLifecycleConfigs(args: ListNotebookInstanceLifecycleConfigsCommandInput, options?: __HttpHandlerOptions): Promise<ListNotebookInstanceLifecycleConfigsCommandOutput>;
    listNotebookInstanceLifecycleConfigs(args: ListNotebookInstanceLifecycleConfigsCommandInput, cb: (err: any, data?: ListNotebookInstanceLifecycleConfigsCommandOutput) => void): void;
    listNotebookInstanceLifecycleConfigs(args: ListNotebookInstanceLifecycleConfigsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListNotebookInstanceLifecycleConfigsCommandOutput) => void): void;
    
    listNotebookInstances(args: ListNotebookInstancesCommandInput, options?: __HttpHandlerOptions): Promise<ListNotebookInstancesCommandOutput>;
    listNotebookInstances(args: ListNotebookInstancesCommandInput, cb: (err: any, data?: ListNotebookInstancesCommandOutput) => void): void;
    listNotebookInstances(args: ListNotebookInstancesCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListNotebookInstancesCommandOutput) => void): void;
    
    listPipelineExecutions(args: ListPipelineExecutionsCommandInput, options?: __HttpHandlerOptions): Promise<ListPipelineExecutionsCommandOutput>;
    listPipelineExecutions(args: ListPipelineExecutionsCommandInput, cb: (err: any, data?: ListPipelineExecutionsCommandOutput) => void): void;
    listPipelineExecutions(args: ListPipelineExecutionsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListPipelineExecutionsCommandOutput) => void): void;
    
    listPipelineExecutionSteps(args: ListPipelineExecutionStepsCommandInput, options?: __HttpHandlerOptions): Promise<ListPipelineExecutionStepsCommandOutput>;
    listPipelineExecutionSteps(args: ListPipelineExecutionStepsCommandInput, cb: (err: any, data?: ListPipelineExecutionStepsCommandOutput) => void): void;
    listPipelineExecutionSteps(args: ListPipelineExecutionStepsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListPipelineExecutionStepsCommandOutput) => void): void;
    
    listPipelineParametersForExecution(args: ListPipelineParametersForExecutionCommandInput, options?: __HttpHandlerOptions): Promise<ListPipelineParametersForExecutionCommandOutput>;
    listPipelineParametersForExecution(args: ListPipelineParametersForExecutionCommandInput, cb: (err: any, data?: ListPipelineParametersForExecutionCommandOutput) => void): void;
    listPipelineParametersForExecution(args: ListPipelineParametersForExecutionCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListPipelineParametersForExecutionCommandOutput) => void): void;
    
    listPipelines(args: ListPipelinesCommandInput, options?: __HttpHandlerOptions): Promise<ListPipelinesCommandOutput>;
    listPipelines(args: ListPipelinesCommandInput, cb: (err: any, data?: ListPipelinesCommandOutput) => void): void;
    listPipelines(args: ListPipelinesCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListPipelinesCommandOutput) => void): void;
    
    listProcessingJobs(args: ListProcessingJobsCommandInput, options?: __HttpHandlerOptions): Promise<ListProcessingJobsCommandOutput>;
    listProcessingJobs(args: ListProcessingJobsCommandInput, cb: (err: any, data?: ListProcessingJobsCommandOutput) => void): void;
    listProcessingJobs(args: ListProcessingJobsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListProcessingJobsCommandOutput) => void): void;
    
    listProjects(args: ListProjectsCommandInput, options?: __HttpHandlerOptions): Promise<ListProjectsCommandOutput>;
    listProjects(args: ListProjectsCommandInput, cb: (err: any, data?: ListProjectsCommandOutput) => void): void;
    listProjects(args: ListProjectsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListProjectsCommandOutput) => void): void;
    
    listStudioLifecycleConfigs(args: ListStudioLifecycleConfigsCommandInput, options?: __HttpHandlerOptions): Promise<ListStudioLifecycleConfigsCommandOutput>;
    listStudioLifecycleConfigs(args: ListStudioLifecycleConfigsCommandInput, cb: (err: any, data?: ListStudioLifecycleConfigsCommandOutput) => void): void;
    listStudioLifecycleConfigs(args: ListStudioLifecycleConfigsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListStudioLifecycleConfigsCommandOutput) => void): void;
    
    listSubscribedWorkteams(args: ListSubscribedWorkteamsCommandInput, options?: __HttpHandlerOptions): Promise<ListSubscribedWorkteamsCommandOutput>;
    listSubscribedWorkteams(args: ListSubscribedWorkteamsCommandInput, cb: (err: any, data?: ListSubscribedWorkteamsCommandOutput) => void): void;
    listSubscribedWorkteams(args: ListSubscribedWorkteamsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListSubscribedWorkteamsCommandOutput) => void): void;
    
    listTags(args: ListTagsCommandInput, options?: __HttpHandlerOptions): Promise<ListTagsCommandOutput>;
    listTags(args: ListTagsCommandInput, cb: (err: any, data?: ListTagsCommandOutput) => void): void;
    listTags(args: ListTagsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListTagsCommandOutput) => void): void;
    
    listTrainingJobs(args: ListTrainingJobsCommandInput, options?: __HttpHandlerOptions): Promise<ListTrainingJobsCommandOutput>;
    listTrainingJobs(args: ListTrainingJobsCommandInput, cb: (err: any, data?: ListTrainingJobsCommandOutput) => void): void;
    listTrainingJobs(args: ListTrainingJobsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListTrainingJobsCommandOutput) => void): void;
    
    listTrainingJobsForHyperParameterTuningJob(args: ListTrainingJobsForHyperParameterTuningJobCommandInput, options?: __HttpHandlerOptions): Promise<ListTrainingJobsForHyperParameterTuningJobCommandOutput>;
    listTrainingJobsForHyperParameterTuningJob(args: ListTrainingJobsForHyperParameterTuningJobCommandInput, cb: (err: any, data?: ListTrainingJobsForHyperParameterTuningJobCommandOutput) => void): void;
    listTrainingJobsForHyperParameterTuningJob(args: ListTrainingJobsForHyperParameterTuningJobCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListTrainingJobsForHyperParameterTuningJobCommandOutput) => void): void;
    
    listTransformJobs(args: ListTransformJobsCommandInput, options?: __HttpHandlerOptions): Promise<ListTransformJobsCommandOutput>;
    listTransformJobs(args: ListTransformJobsCommandInput, cb: (err: any, data?: ListTransformJobsCommandOutput) => void): void;
    listTransformJobs(args: ListTransformJobsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListTransformJobsCommandOutput) => void): void;
    
    listTrialComponents(args: ListTrialComponentsCommandInput, options?: __HttpHandlerOptions): Promise<ListTrialComponentsCommandOutput>;
    listTrialComponents(args: ListTrialComponentsCommandInput, cb: (err: any, data?: ListTrialComponentsCommandOutput) => void): void;
    listTrialComponents(args: ListTrialComponentsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListTrialComponentsCommandOutput) => void): void;
    
    listTrials(args: ListTrialsCommandInput, options?: __HttpHandlerOptions): Promise<ListTrialsCommandOutput>;
    listTrials(args: ListTrialsCommandInput, cb: (err: any, data?: ListTrialsCommandOutput) => void): void;
    listTrials(args: ListTrialsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListTrialsCommandOutput) => void): void;
    
    listUserProfiles(args: ListUserProfilesCommandInput, options?: __HttpHandlerOptions): Promise<ListUserProfilesCommandOutput>;
    listUserProfiles(args: ListUserProfilesCommandInput, cb: (err: any, data?: ListUserProfilesCommandOutput) => void): void;
    listUserProfiles(args: ListUserProfilesCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListUserProfilesCommandOutput) => void): void;
    
    listWorkforces(args: ListWorkforcesCommandInput, options?: __HttpHandlerOptions): Promise<ListWorkforcesCommandOutput>;
    listWorkforces(args: ListWorkforcesCommandInput, cb: (err: any, data?: ListWorkforcesCommandOutput) => void): void;
    listWorkforces(args: ListWorkforcesCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListWorkforcesCommandOutput) => void): void;
    
    listWorkteams(args: ListWorkteamsCommandInput, options?: __HttpHandlerOptions): Promise<ListWorkteamsCommandOutput>;
    listWorkteams(args: ListWorkteamsCommandInput, cb: (err: any, data?: ListWorkteamsCommandOutput) => void): void;
    listWorkteams(args: ListWorkteamsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListWorkteamsCommandOutput) => void): void;
    
    putModelPackageGroupPolicy(args: PutModelPackageGroupPolicyCommandInput, options?: __HttpHandlerOptions): Promise<PutModelPackageGroupPolicyCommandOutput>;
    putModelPackageGroupPolicy(args: PutModelPackageGroupPolicyCommandInput, cb: (err: any, data?: PutModelPackageGroupPolicyCommandOutput) => void): void;
    putModelPackageGroupPolicy(args: PutModelPackageGroupPolicyCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: PutModelPackageGroupPolicyCommandOutput) => void): void;
    
    queryLineage(args: QueryLineageCommandInput, options?: __HttpHandlerOptions): Promise<QueryLineageCommandOutput>;
    queryLineage(args: QueryLineageCommandInput, cb: (err: any, data?: QueryLineageCommandOutput) => void): void;
    queryLineage(args: QueryLineageCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: QueryLineageCommandOutput) => void): void;
    
    registerDevices(args: RegisterDevicesCommandInput, options?: __HttpHandlerOptions): Promise<RegisterDevicesCommandOutput>;
    registerDevices(args: RegisterDevicesCommandInput, cb: (err: any, data?: RegisterDevicesCommandOutput) => void): void;
    registerDevices(args: RegisterDevicesCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: RegisterDevicesCommandOutput) => void): void;
    
    renderUiTemplate(args: RenderUiTemplateCommandInput, options?: __HttpHandlerOptions): Promise<RenderUiTemplateCommandOutput>;
    renderUiTemplate(args: RenderUiTemplateCommandInput, cb: (err: any, data?: RenderUiTemplateCommandOutput) => void): void;
    renderUiTemplate(args: RenderUiTemplateCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: RenderUiTemplateCommandOutput) => void): void;
    
    retryPipelineExecution(args: RetryPipelineExecutionCommandInput, options?: __HttpHandlerOptions): Promise<RetryPipelineExecutionCommandOutput>;
    retryPipelineExecution(args: RetryPipelineExecutionCommandInput, cb: (err: any, data?: RetryPipelineExecutionCommandOutput) => void): void;
    retryPipelineExecution(args: RetryPipelineExecutionCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: RetryPipelineExecutionCommandOutput) => void): void;
    
    search(args: SearchCommandInput, options?: __HttpHandlerOptions): Promise<SearchCommandOutput>;
    search(args: SearchCommandInput, cb: (err: any, data?: SearchCommandOutput) => void): void;
    search(args: SearchCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: SearchCommandOutput) => void): void;
    
    sendPipelineExecutionStepFailure(args: SendPipelineExecutionStepFailureCommandInput, options?: __HttpHandlerOptions): Promise<SendPipelineExecutionStepFailureCommandOutput>;
    sendPipelineExecutionStepFailure(args: SendPipelineExecutionStepFailureCommandInput, cb: (err: any, data?: SendPipelineExecutionStepFailureCommandOutput) => void): void;
    sendPipelineExecutionStepFailure(args: SendPipelineExecutionStepFailureCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: SendPipelineExecutionStepFailureCommandOutput) => void): void;
    
    sendPipelineExecutionStepSuccess(args: SendPipelineExecutionStepSuccessCommandInput, options?: __HttpHandlerOptions): Promise<SendPipelineExecutionStepSuccessCommandOutput>;
    sendPipelineExecutionStepSuccess(args: SendPipelineExecutionStepSuccessCommandInput, cb: (err: any, data?: SendPipelineExecutionStepSuccessCommandOutput) => void): void;
    sendPipelineExecutionStepSuccess(args: SendPipelineExecutionStepSuccessCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: SendPipelineExecutionStepSuccessCommandOutput) => void): void;
    
    startMonitoringSchedule(args: StartMonitoringScheduleCommandInput, options?: __HttpHandlerOptions): Promise<StartMonitoringScheduleCommandOutput>;
    startMonitoringSchedule(args: StartMonitoringScheduleCommandInput, cb: (err: any, data?: StartMonitoringScheduleCommandOutput) => void): void;
    startMonitoringSchedule(args: StartMonitoringScheduleCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: StartMonitoringScheduleCommandOutput) => void): void;
    
    startNotebookInstance(args: StartNotebookInstanceCommandInput, options?: __HttpHandlerOptions): Promise<StartNotebookInstanceCommandOutput>;
    startNotebookInstance(args: StartNotebookInstanceCommandInput, cb: (err: any, data?: StartNotebookInstanceCommandOutput) => void): void;
    startNotebookInstance(args: StartNotebookInstanceCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: StartNotebookInstanceCommandOutput) => void): void;
    
    startPipelineExecution(args: StartPipelineExecutionCommandInput, options?: __HttpHandlerOptions): Promise<StartPipelineExecutionCommandOutput>;
    startPipelineExecution(args: StartPipelineExecutionCommandInput, cb: (err: any, data?: StartPipelineExecutionCommandOutput) => void): void;
    startPipelineExecution(args: StartPipelineExecutionCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: StartPipelineExecutionCommandOutput) => void): void;
    
    stopAutoMLJob(args: StopAutoMLJobCommandInput, options?: __HttpHandlerOptions): Promise<StopAutoMLJobCommandOutput>;
    stopAutoMLJob(args: StopAutoMLJobCommandInput, cb: (err: any, data?: StopAutoMLJobCommandOutput) => void): void;
    stopAutoMLJob(args: StopAutoMLJobCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: StopAutoMLJobCommandOutput) => void): void;
    
    stopCompilationJob(args: StopCompilationJobCommandInput, options?: __HttpHandlerOptions): Promise<StopCompilationJobCommandOutput>;
    stopCompilationJob(args: StopCompilationJobCommandInput, cb: (err: any, data?: StopCompilationJobCommandOutput) => void): void;
    stopCompilationJob(args: StopCompilationJobCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: StopCompilationJobCommandOutput) => void): void;
    
    stopEdgePackagingJob(args: StopEdgePackagingJobCommandInput, options?: __HttpHandlerOptions): Promise<StopEdgePackagingJobCommandOutput>;
    stopEdgePackagingJob(args: StopEdgePackagingJobCommandInput, cb: (err: any, data?: StopEdgePackagingJobCommandOutput) => void): void;
    stopEdgePackagingJob(args: StopEdgePackagingJobCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: StopEdgePackagingJobCommandOutput) => void): void;
    
    stopHyperParameterTuningJob(args: StopHyperParameterTuningJobCommandInput, options?: __HttpHandlerOptions): Promise<StopHyperParameterTuningJobCommandOutput>;
    stopHyperParameterTuningJob(args: StopHyperParameterTuningJobCommandInput, cb: (err: any, data?: StopHyperParameterTuningJobCommandOutput) => void): void;
    stopHyperParameterTuningJob(args: StopHyperParameterTuningJobCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: StopHyperParameterTuningJobCommandOutput) => void): void;
    
    stopInferenceRecommendationsJob(args: StopInferenceRecommendationsJobCommandInput, options?: __HttpHandlerOptions): Promise<StopInferenceRecommendationsJobCommandOutput>;
    stopInferenceRecommendationsJob(args: StopInferenceRecommendationsJobCommandInput, cb: (err: any, data?: StopInferenceRecommendationsJobCommandOutput) => void): void;
    stopInferenceRecommendationsJob(args: StopInferenceRecommendationsJobCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: StopInferenceRecommendationsJobCommandOutput) => void): void;
    
    stopLabelingJob(args: StopLabelingJobCommandInput, options?: __HttpHandlerOptions): Promise<StopLabelingJobCommandOutput>;
    stopLabelingJob(args: StopLabelingJobCommandInput, cb: (err: any, data?: StopLabelingJobCommandOutput) => void): void;
    stopLabelingJob(args: StopLabelingJobCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: StopLabelingJobCommandOutput) => void): void;
    
    stopMonitoringSchedule(args: StopMonitoringScheduleCommandInput, options?: __HttpHandlerOptions): Promise<StopMonitoringScheduleCommandOutput>;
    stopMonitoringSchedule(args: StopMonitoringScheduleCommandInput, cb: (err: any, data?: StopMonitoringScheduleCommandOutput) => void): void;
    stopMonitoringSchedule(args: StopMonitoringScheduleCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: StopMonitoringScheduleCommandOutput) => void): void;
    
    stopNotebookInstance(args: StopNotebookInstanceCommandInput, options?: __HttpHandlerOptions): Promise<StopNotebookInstanceCommandOutput>;
    stopNotebookInstance(args: StopNotebookInstanceCommandInput, cb: (err: any, data?: StopNotebookInstanceCommandOutput) => void): void;
    stopNotebookInstance(args: StopNotebookInstanceCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: StopNotebookInstanceCommandOutput) => void): void;
    
    stopPipelineExecution(args: StopPipelineExecutionCommandInput, options?: __HttpHandlerOptions): Promise<StopPipelineExecutionCommandOutput>;
    stopPipelineExecution(args: StopPipelineExecutionCommandInput, cb: (err: any, data?: StopPipelineExecutionCommandOutput) => void): void;
    stopPipelineExecution(args: StopPipelineExecutionCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: StopPipelineExecutionCommandOutput) => void): void;
    
    stopProcessingJob(args: StopProcessingJobCommandInput, options?: __HttpHandlerOptions): Promise<StopProcessingJobCommandOutput>;
    stopProcessingJob(args: StopProcessingJobCommandInput, cb: (err: any, data?: StopProcessingJobCommandOutput) => void): void;
    stopProcessingJob(args: StopProcessingJobCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: StopProcessingJobCommandOutput) => void): void;
    
    stopTrainingJob(args: StopTrainingJobCommandInput, options?: __HttpHandlerOptions): Promise<StopTrainingJobCommandOutput>;
    stopTrainingJob(args: StopTrainingJobCommandInput, cb: (err: any, data?: StopTrainingJobCommandOutput) => void): void;
    stopTrainingJob(args: StopTrainingJobCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: StopTrainingJobCommandOutput) => void): void;
    
    stopTransformJob(args: StopTransformJobCommandInput, options?: __HttpHandlerOptions): Promise<StopTransformJobCommandOutput>;
    stopTransformJob(args: StopTransformJobCommandInput, cb: (err: any, data?: StopTransformJobCommandOutput) => void): void;
    stopTransformJob(args: StopTransformJobCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: StopTransformJobCommandOutput) => void): void;
    
    updateAction(args: UpdateActionCommandInput, options?: __HttpHandlerOptions): Promise<UpdateActionCommandOutput>;
    updateAction(args: UpdateActionCommandInput, cb: (err: any, data?: UpdateActionCommandOutput) => void): void;
    updateAction(args: UpdateActionCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateActionCommandOutput) => void): void;
    
    updateAppImageConfig(args: UpdateAppImageConfigCommandInput, options?: __HttpHandlerOptions): Promise<UpdateAppImageConfigCommandOutput>;
    updateAppImageConfig(args: UpdateAppImageConfigCommandInput, cb: (err: any, data?: UpdateAppImageConfigCommandOutput) => void): void;
    updateAppImageConfig(args: UpdateAppImageConfigCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateAppImageConfigCommandOutput) => void): void;
    
    updateArtifact(args: UpdateArtifactCommandInput, options?: __HttpHandlerOptions): Promise<UpdateArtifactCommandOutput>;
    updateArtifact(args: UpdateArtifactCommandInput, cb: (err: any, data?: UpdateArtifactCommandOutput) => void): void;
    updateArtifact(args: UpdateArtifactCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateArtifactCommandOutput) => void): void;
    
    updateCodeRepository(args: UpdateCodeRepositoryCommandInput, options?: __HttpHandlerOptions): Promise<UpdateCodeRepositoryCommandOutput>;
    updateCodeRepository(args: UpdateCodeRepositoryCommandInput, cb: (err: any, data?: UpdateCodeRepositoryCommandOutput) => void): void;
    updateCodeRepository(args: UpdateCodeRepositoryCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateCodeRepositoryCommandOutput) => void): void;
    
    updateContext(args: UpdateContextCommandInput, options?: __HttpHandlerOptions): Promise<UpdateContextCommandOutput>;
    updateContext(args: UpdateContextCommandInput, cb: (err: any, data?: UpdateContextCommandOutput) => void): void;
    updateContext(args: UpdateContextCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateContextCommandOutput) => void): void;
    
    updateDeviceFleet(args: UpdateDeviceFleetCommandInput, options?: __HttpHandlerOptions): Promise<UpdateDeviceFleetCommandOutput>;
    updateDeviceFleet(args: UpdateDeviceFleetCommandInput, cb: (err: any, data?: UpdateDeviceFleetCommandOutput) => void): void;
    updateDeviceFleet(args: UpdateDeviceFleetCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateDeviceFleetCommandOutput) => void): void;
    
    updateDevices(args: UpdateDevicesCommandInput, options?: __HttpHandlerOptions): Promise<UpdateDevicesCommandOutput>;
    updateDevices(args: UpdateDevicesCommandInput, cb: (err: any, data?: UpdateDevicesCommandOutput) => void): void;
    updateDevices(args: UpdateDevicesCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateDevicesCommandOutput) => void): void;
    
    updateDomain(args: UpdateDomainCommandInput, options?: __HttpHandlerOptions): Promise<UpdateDomainCommandOutput>;
    updateDomain(args: UpdateDomainCommandInput, cb: (err: any, data?: UpdateDomainCommandOutput) => void): void;
    updateDomain(args: UpdateDomainCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateDomainCommandOutput) => void): void;
    
    updateEndpoint(args: UpdateEndpointCommandInput, options?: __HttpHandlerOptions): Promise<UpdateEndpointCommandOutput>;
    updateEndpoint(args: UpdateEndpointCommandInput, cb: (err: any, data?: UpdateEndpointCommandOutput) => void): void;
    updateEndpoint(args: UpdateEndpointCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateEndpointCommandOutput) => void): void;
    
    updateEndpointWeightsAndCapacities(args: UpdateEndpointWeightsAndCapacitiesCommandInput, options?: __HttpHandlerOptions): Promise<UpdateEndpointWeightsAndCapacitiesCommandOutput>;
    updateEndpointWeightsAndCapacities(args: UpdateEndpointWeightsAndCapacitiesCommandInput, cb: (err: any, data?: UpdateEndpointWeightsAndCapacitiesCommandOutput) => void): void;
    updateEndpointWeightsAndCapacities(args: UpdateEndpointWeightsAndCapacitiesCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateEndpointWeightsAndCapacitiesCommandOutput) => void): void;
    
    updateExperiment(args: UpdateExperimentCommandInput, options?: __HttpHandlerOptions): Promise<UpdateExperimentCommandOutput>;
    updateExperiment(args: UpdateExperimentCommandInput, cb: (err: any, data?: UpdateExperimentCommandOutput) => void): void;
    updateExperiment(args: UpdateExperimentCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateExperimentCommandOutput) => void): void;
    
    updateImage(args: UpdateImageCommandInput, options?: __HttpHandlerOptions): Promise<UpdateImageCommandOutput>;
    updateImage(args: UpdateImageCommandInput, cb: (err: any, data?: UpdateImageCommandOutput) => void): void;
    updateImage(args: UpdateImageCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateImageCommandOutput) => void): void;
    
    updateModelPackage(args: UpdateModelPackageCommandInput, options?: __HttpHandlerOptions): Promise<UpdateModelPackageCommandOutput>;
    updateModelPackage(args: UpdateModelPackageCommandInput, cb: (err: any, data?: UpdateModelPackageCommandOutput) => void): void;
    updateModelPackage(args: UpdateModelPackageCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateModelPackageCommandOutput) => void): void;
    
    updateMonitoringSchedule(args: UpdateMonitoringScheduleCommandInput, options?: __HttpHandlerOptions): Promise<UpdateMonitoringScheduleCommandOutput>;
    updateMonitoringSchedule(args: UpdateMonitoringScheduleCommandInput, cb: (err: any, data?: UpdateMonitoringScheduleCommandOutput) => void): void;
    updateMonitoringSchedule(args: UpdateMonitoringScheduleCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateMonitoringScheduleCommandOutput) => void): void;
    
    updateNotebookInstance(args: UpdateNotebookInstanceCommandInput, options?: __HttpHandlerOptions): Promise<UpdateNotebookInstanceCommandOutput>;
    updateNotebookInstance(args: UpdateNotebookInstanceCommandInput, cb: (err: any, data?: UpdateNotebookInstanceCommandOutput) => void): void;
    updateNotebookInstance(args: UpdateNotebookInstanceCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateNotebookInstanceCommandOutput) => void): void;
    
    updateNotebookInstanceLifecycleConfig(args: UpdateNotebookInstanceLifecycleConfigCommandInput, options?: __HttpHandlerOptions): Promise<UpdateNotebookInstanceLifecycleConfigCommandOutput>;
    updateNotebookInstanceLifecycleConfig(args: UpdateNotebookInstanceLifecycleConfigCommandInput, cb: (err: any, data?: UpdateNotebookInstanceLifecycleConfigCommandOutput) => void): void;
    updateNotebookInstanceLifecycleConfig(args: UpdateNotebookInstanceLifecycleConfigCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateNotebookInstanceLifecycleConfigCommandOutput) => void): void;
    
    updatePipeline(args: UpdatePipelineCommandInput, options?: __HttpHandlerOptions): Promise<UpdatePipelineCommandOutput>;
    updatePipeline(args: UpdatePipelineCommandInput, cb: (err: any, data?: UpdatePipelineCommandOutput) => void): void;
    updatePipeline(args: UpdatePipelineCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdatePipelineCommandOutput) => void): void;
    
    updatePipelineExecution(args: UpdatePipelineExecutionCommandInput, options?: __HttpHandlerOptions): Promise<UpdatePipelineExecutionCommandOutput>;
    updatePipelineExecution(args: UpdatePipelineExecutionCommandInput, cb: (err: any, data?: UpdatePipelineExecutionCommandOutput) => void): void;
    updatePipelineExecution(args: UpdatePipelineExecutionCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdatePipelineExecutionCommandOutput) => void): void;
    
    updateProject(args: UpdateProjectCommandInput, options?: __HttpHandlerOptions): Promise<UpdateProjectCommandOutput>;
    updateProject(args: UpdateProjectCommandInput, cb: (err: any, data?: UpdateProjectCommandOutput) => void): void;
    updateProject(args: UpdateProjectCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateProjectCommandOutput) => void): void;
    
    updateTrainingJob(args: UpdateTrainingJobCommandInput, options?: __HttpHandlerOptions): Promise<UpdateTrainingJobCommandOutput>;
    updateTrainingJob(args: UpdateTrainingJobCommandInput, cb: (err: any, data?: UpdateTrainingJobCommandOutput) => void): void;
    updateTrainingJob(args: UpdateTrainingJobCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateTrainingJobCommandOutput) => void): void;
    
    updateTrial(args: UpdateTrialCommandInput, options?: __HttpHandlerOptions): Promise<UpdateTrialCommandOutput>;
    updateTrial(args: UpdateTrialCommandInput, cb: (err: any, data?: UpdateTrialCommandOutput) => void): void;
    updateTrial(args: UpdateTrialCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateTrialCommandOutput) => void): void;
    
    updateTrialComponent(args: UpdateTrialComponentCommandInput, options?: __HttpHandlerOptions): Promise<UpdateTrialComponentCommandOutput>;
    updateTrialComponent(args: UpdateTrialComponentCommandInput, cb: (err: any, data?: UpdateTrialComponentCommandOutput) => void): void;
    updateTrialComponent(args: UpdateTrialComponentCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateTrialComponentCommandOutput) => void): void;
    
    updateUserProfile(args: UpdateUserProfileCommandInput, options?: __HttpHandlerOptions): Promise<UpdateUserProfileCommandOutput>;
    updateUserProfile(args: UpdateUserProfileCommandInput, cb: (err: any, data?: UpdateUserProfileCommandOutput) => void): void;
    updateUserProfile(args: UpdateUserProfileCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateUserProfileCommandOutput) => void): void;
    
    updateWorkforce(args: UpdateWorkforceCommandInput, options?: __HttpHandlerOptions): Promise<UpdateWorkforceCommandOutput>;
    updateWorkforce(args: UpdateWorkforceCommandInput, cb: (err: any, data?: UpdateWorkforceCommandOutput) => void): void;
    updateWorkforce(args: UpdateWorkforceCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateWorkforceCommandOutput) => void): void;
    
    updateWorkteam(args: UpdateWorkteamCommandInput, options?: __HttpHandlerOptions): Promise<UpdateWorkteamCommandOutput>;
    updateWorkteam(args: UpdateWorkteamCommandInput, cb: (err: any, data?: UpdateWorkteamCommandOutput) => void): void;
    updateWorkteam(args: UpdateWorkteamCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateWorkteamCommandOutput) => void): void;
}
