import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { AddAssociationRequest, AddAssociationResponse } from "../models/models_0";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface AddAssociationCommandInput extends AddAssociationRequest {
}
export interface AddAssociationCommandOutput extends AddAssociationResponse, __MetadataBearer {
}

export declare class AddAssociationCommand extends $Command<AddAssociationCommandInput, AddAssociationCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: AddAssociationCommandInput;
    constructor(input: AddAssociationCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<AddAssociationCommandInput, AddAssociationCommandOutput>;
    private serialize;
    private deserialize;
}
