import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { AssociateTrialComponentRequest, AssociateTrialComponentResponse } from "../models/models_0";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface AssociateTrialComponentCommandInput extends AssociateTrialComponentRequest {
}
export interface AssociateTrialComponentCommandOutput extends AssociateTrialComponentResponse, __MetadataBearer {
}

export declare class AssociateTrialComponentCommand extends $Command<AssociateTrialComponentCommandInput, AssociateTrialComponentCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: AssociateTrialComponentCommandInput;
    constructor(input: AssociateTrialComponentCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<AssociateTrialComponentCommandInput, AssociateTrialComponentCommandOutput>;
    private serialize;
    private deserialize;
}
