import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { BatchDescribeModelPackageInput, BatchDescribeModelPackageOutput } from "../models/models_0";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface BatchDescribeModelPackageCommandInput extends BatchDescribeModelPackageInput {
}
export interface BatchDescribeModelPackageCommandOutput extends BatchDescribeModelPackageOutput, __MetadataBearer {
}

export declare class BatchDescribeModelPackageCommand extends $Command<BatchDescribeModelPackageCommandInput, BatchDescribeModelPackageCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: BatchDescribeModelPackageCommandInput;
    constructor(input: BatchDescribeModelPackageCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<BatchDescribeModelPackageCommandInput, BatchDescribeModelPackageCommandOutput>;
    private serialize;
    private deserialize;
}
