import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CreateActionRequest, CreateActionResponse } from "../models/models_0";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface CreateActionCommandInput extends CreateActionRequest {
}
export interface CreateActionCommandOutput extends CreateActionResponse, __MetadataBearer {
}

export declare class CreateActionCommand extends $Command<CreateActionCommandInput, CreateActionCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: CreateActionCommandInput;
    constructor(input: CreateActionCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateActionCommandInput, CreateActionCommandOutput>;
    private serialize;
    private deserialize;
}
