import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CreateAlgorithmInput, CreateAlgorithmOutput } from "../models/models_0";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface CreateAlgorithmCommandInput extends CreateAlgorithmInput {
}
export interface CreateAlgorithmCommandOutput extends CreateAlgorithmOutput, __MetadataBearer {
}

export declare class CreateAlgorithmCommand extends $Command<CreateAlgorithmCommandInput, CreateAlgorithmCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: CreateAlgorithmCommandInput;
    constructor(input: CreateAlgorithmCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateAlgorithmCommandInput, CreateAlgorithmCommandOutput>;
    private serialize;
    private deserialize;
}
