import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CreateAppImageConfigRequest, CreateAppImageConfigResponse } from "../models/models_0";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface CreateAppImageConfigCommandInput extends CreateAppImageConfigRequest {
}
export interface CreateAppImageConfigCommandOutput extends CreateAppImageConfigResponse, __MetadataBearer {
}

export declare class CreateAppImageConfigCommand extends $Command<CreateAppImageConfigCommandInput, CreateAppImageConfigCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: CreateAppImageConfigCommandInput;
    constructor(input: CreateAppImageConfigCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateAppImageConfigCommandInput, CreateAppImageConfigCommandOutput>;
    private serialize;
    private deserialize;
}
