import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CreateArtifactRequest, CreateArtifactResponse } from "../models/models_0";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface CreateArtifactCommandInput extends CreateArtifactRequest {
}
export interface CreateArtifactCommandOutput extends CreateArtifactResponse, __MetadataBearer {
}

export declare class CreateArtifactCommand extends $Command<CreateArtifactCommandInput, CreateArtifactCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: CreateArtifactCommandInput;
    constructor(input: CreateArtifactCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateArtifactCommandInput, CreateArtifactCommandOutput>;
    private serialize;
    private deserialize;
}
