import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CreateAutoMLJobRequest, CreateAutoMLJobResponse } from "../models/models_0";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface CreateAutoMLJobCommandInput extends CreateAutoMLJobRequest {
}
export interface CreateAutoMLJobCommandOutput extends CreateAutoMLJobResponse, __MetadataBearer {
}

export declare class CreateAutoMLJobCommand extends $Command<CreateAutoMLJobCommandInput, CreateAutoMLJobCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: CreateAutoMLJobCommandInput;
    constructor(input: CreateAutoMLJobCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateAutoMLJobCommandInput, CreateAutoMLJobCommandOutput>;
    private serialize;
    private deserialize;
}
