import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CreateCompilationJobRequest, CreateCompilationJobResponse } from "../models/models_0";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface CreateCompilationJobCommandInput extends CreateCompilationJobRequest {
}
export interface CreateCompilationJobCommandOutput extends CreateCompilationJobResponse, __MetadataBearer {
}

export declare class CreateCompilationJobCommand extends $Command<CreateCompilationJobCommandInput, CreateCompilationJobCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: CreateCompilationJobCommandInput;
    constructor(input: CreateCompilationJobCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateCompilationJobCommandInput, CreateCompilationJobCommandOutput>;
    private serialize;
    private deserialize;
}
