import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CreateContextRequest, CreateContextResponse } from "../models/models_0";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface CreateContextCommandInput extends CreateContextRequest {
}
export interface CreateContextCommandOutput extends CreateContextResponse, __MetadataBearer {
}

export declare class CreateContextCommand extends $Command<CreateContextCommandInput, CreateContextCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: CreateContextCommandInput;
    constructor(input: CreateContextCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateContextCommandInput, CreateContextCommandOutput>;
    private serialize;
    private deserialize;
}
