import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CreateDataQualityJobDefinitionRequest, CreateDataQualityJobDefinitionResponse } from "../models/models_0";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface CreateDataQualityJobDefinitionCommandInput extends CreateDataQualityJobDefinitionRequest {
}
export interface CreateDataQualityJobDefinitionCommandOutput extends CreateDataQualityJobDefinitionResponse, __MetadataBearer {
}

export declare class CreateDataQualityJobDefinitionCommand extends $Command<CreateDataQualityJobDefinitionCommandInput, CreateDataQualityJobDefinitionCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: CreateDataQualityJobDefinitionCommandInput;
    constructor(input: CreateDataQualityJobDefinitionCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateDataQualityJobDefinitionCommandInput, CreateDataQualityJobDefinitionCommandOutput>;
    private serialize;
    private deserialize;
}
