import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CreateDeviceFleetRequest } from "../models/models_0";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface CreateDeviceFleetCommandInput extends CreateDeviceFleetRequest {
}
export interface CreateDeviceFleetCommandOutput extends __MetadataBearer {
}

export declare class CreateDeviceFleetCommand extends $Command<CreateDeviceFleetCommandInput, CreateDeviceFleetCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: CreateDeviceFleetCommandInput;
    constructor(input: CreateDeviceFleetCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateDeviceFleetCommandInput, CreateDeviceFleetCommandOutput>;
    private serialize;
    private deserialize;
}
