import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CreateEndpointConfigInput, CreateEndpointConfigOutput } from "../models/models_0";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface CreateEndpointConfigCommandInput extends CreateEndpointConfigInput {
}
export interface CreateEndpointConfigCommandOutput extends CreateEndpointConfigOutput, __MetadataBearer {
}

export declare class CreateEndpointConfigCommand extends $Command<CreateEndpointConfigCommandInput, CreateEndpointConfigCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: CreateEndpointConfigCommandInput;
    constructor(input: CreateEndpointConfigCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateEndpointConfigCommandInput, CreateEndpointConfigCommandOutput>;
    private serialize;
    private deserialize;
}
