import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CreateExperimentRequest, CreateExperimentResponse } from "../models/models_0";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface CreateExperimentCommandInput extends CreateExperimentRequest {
}
export interface CreateExperimentCommandOutput extends CreateExperimentResponse, __MetadataBearer {
}

export declare class CreateExperimentCommand extends $Command<CreateExperimentCommandInput, CreateExperimentCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: CreateExperimentCommandInput;
    constructor(input: CreateExperimentCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateExperimentCommandInput, CreateExperimentCommandOutput>;
    private serialize;
    private deserialize;
}
