import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CreateFeatureGroupRequest, CreateFeatureGroupResponse } from "../models/models_0";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface CreateFeatureGroupCommandInput extends CreateFeatureGroupRequest {
}
export interface CreateFeatureGroupCommandOutput extends CreateFeatureGroupResponse, __MetadataBearer {
}

export declare class CreateFeatureGroupCommand extends $Command<CreateFeatureGroupCommandInput, CreateFeatureGroupCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: CreateFeatureGroupCommandInput;
    constructor(input: CreateFeatureGroupCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateFeatureGroupCommandInput, CreateFeatureGroupCommandOutput>;
    private serialize;
    private deserialize;
}
