import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CreateFlowDefinitionRequest, CreateFlowDefinitionResponse } from "../models/models_0";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface CreateFlowDefinitionCommandInput extends CreateFlowDefinitionRequest {
}
export interface CreateFlowDefinitionCommandOutput extends CreateFlowDefinitionResponse, __MetadataBearer {
}

export declare class CreateFlowDefinitionCommand extends $Command<CreateFlowDefinitionCommandInput, CreateFlowDefinitionCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: CreateFlowDefinitionCommandInput;
    constructor(input: CreateFlowDefinitionCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateFlowDefinitionCommandInput, CreateFlowDefinitionCommandOutput>;
    private serialize;
    private deserialize;
}
