import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CreateImageVersionRequest, CreateImageVersionResponse } from "../models/models_0";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface CreateImageVersionCommandInput extends CreateImageVersionRequest {
}
export interface CreateImageVersionCommandOutput extends CreateImageVersionResponse, __MetadataBearer {
}

export declare class CreateImageVersionCommand extends $Command<CreateImageVersionCommandInput, CreateImageVersionCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: CreateImageVersionCommandInput;
    constructor(input: CreateImageVersionCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateImageVersionCommandInput, CreateImageVersionCommandOutput>;
    private serialize;
    private deserialize;
}
