import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CreateInferenceRecommendationsJobRequest, CreateInferenceRecommendationsJobResponse } from "../models/models_1";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface CreateInferenceRecommendationsJobCommandInput extends CreateInferenceRecommendationsJobRequest {
}
export interface CreateInferenceRecommendationsJobCommandOutput extends CreateInferenceRecommendationsJobResponse, __MetadataBearer {
}

export declare class CreateInferenceRecommendationsJobCommand extends $Command<CreateInferenceRecommendationsJobCommandInput, CreateInferenceRecommendationsJobCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: CreateInferenceRecommendationsJobCommandInput;
    constructor(input: CreateInferenceRecommendationsJobCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateInferenceRecommendationsJobCommandInput, CreateInferenceRecommendationsJobCommandOutput>;
    private serialize;
    private deserialize;
}
