import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CreateLabelingJobRequest, CreateLabelingJobResponse } from "../models/models_1";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface CreateLabelingJobCommandInput extends CreateLabelingJobRequest {
}
export interface CreateLabelingJobCommandOutput extends CreateLabelingJobResponse, __MetadataBearer {
}

export declare class CreateLabelingJobCommand extends $Command<CreateLabelingJobCommandInput, CreateLabelingJobCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: CreateLabelingJobCommandInput;
    constructor(input: CreateLabelingJobCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateLabelingJobCommandInput, CreateLabelingJobCommandOutput>;
    private serialize;
    private deserialize;
}
