import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CreateNotebookInstanceInput, CreateNotebookInstanceOutput } from "../models/models_1";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface CreateNotebookInstanceCommandInput extends CreateNotebookInstanceInput {
}
export interface CreateNotebookInstanceCommandOutput extends CreateNotebookInstanceOutput, __MetadataBearer {
}

export declare class CreateNotebookInstanceCommand extends $Command<CreateNotebookInstanceCommandInput, CreateNotebookInstanceCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: CreateNotebookInstanceCommandInput;
    constructor(input: CreateNotebookInstanceCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateNotebookInstanceCommandInput, CreateNotebookInstanceCommandOutput>;
    private serialize;
    private deserialize;
}
