import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CreateTransformJobRequest, CreateTransformJobResponse } from "../models/models_1";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface CreateTransformJobCommandInput extends CreateTransformJobRequest {
}
export interface CreateTransformJobCommandOutput extends CreateTransformJobResponse, __MetadataBearer {
}

export declare class CreateTransformJobCommand extends $Command<CreateTransformJobCommandInput, CreateTransformJobCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: CreateTransformJobCommandInput;
    constructor(input: CreateTransformJobCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateTransformJobCommandInput, CreateTransformJobCommandOutput>;
    private serialize;
    private deserialize;
}
