import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CreateWorkforceRequest, CreateWorkforceResponse } from "../models/models_1";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface CreateWorkforceCommandInput extends CreateWorkforceRequest {
}
export interface CreateWorkforceCommandOutput extends CreateWorkforceResponse, __MetadataBearer {
}

export declare class CreateWorkforceCommand extends $Command<CreateWorkforceCommandInput, CreateWorkforceCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: CreateWorkforceCommandInput;
    constructor(input: CreateWorkforceCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateWorkforceCommandInput, CreateWorkforceCommandOutput>;
    private serialize;
    private deserialize;
}
