import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DeleteActionRequest, DeleteActionResponse } from "../models/models_1";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface DeleteActionCommandInput extends DeleteActionRequest {
}
export interface DeleteActionCommandOutput extends DeleteActionResponse, __MetadataBearer {
}

export declare class DeleteActionCommand extends $Command<DeleteActionCommandInput, DeleteActionCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: DeleteActionCommandInput;
    constructor(input: DeleteActionCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DeleteActionCommandInput, DeleteActionCommandOutput>;
    private serialize;
    private deserialize;
}
