import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DeleteAlgorithmInput } from "../models/models_1";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface DeleteAlgorithmCommandInput extends DeleteAlgorithmInput {
}
export interface DeleteAlgorithmCommandOutput extends __MetadataBearer {
}

export declare class DeleteAlgorithmCommand extends $Command<DeleteAlgorithmCommandInput, DeleteAlgorithmCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: DeleteAlgorithmCommandInput;
    constructor(input: DeleteAlgorithmCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DeleteAlgorithmCommandInput, DeleteAlgorithmCommandOutput>;
    private serialize;
    private deserialize;
}
