import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DeleteAppImageConfigRequest } from "../models/models_1";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface DeleteAppImageConfigCommandInput extends DeleteAppImageConfigRequest {
}
export interface DeleteAppImageConfigCommandOutput extends __MetadataBearer {
}

export declare class DeleteAppImageConfigCommand extends $Command<DeleteAppImageConfigCommandInput, DeleteAppImageConfigCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: DeleteAppImageConfigCommandInput;
    constructor(input: DeleteAppImageConfigCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DeleteAppImageConfigCommandInput, DeleteAppImageConfigCommandOutput>;
    private serialize;
    private deserialize;
}
