import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DeleteArtifactRequest, DeleteArtifactResponse } from "../models/models_1";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface DeleteArtifactCommandInput extends DeleteArtifactRequest {
}
export interface DeleteArtifactCommandOutput extends DeleteArtifactResponse, __MetadataBearer {
}

export declare class DeleteArtifactCommand extends $Command<DeleteArtifactCommandInput, DeleteArtifactCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: DeleteArtifactCommandInput;
    constructor(input: DeleteArtifactCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DeleteArtifactCommandInput, DeleteArtifactCommandOutput>;
    private serialize;
    private deserialize;
}
