import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DeleteCodeRepositoryInput } from "../models/models_1";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface DeleteCodeRepositoryCommandInput extends DeleteCodeRepositoryInput {
}
export interface DeleteCodeRepositoryCommandOutput extends __MetadataBearer {
}

export declare class DeleteCodeRepositoryCommand extends $Command<DeleteCodeRepositoryCommandInput, DeleteCodeRepositoryCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: DeleteCodeRepositoryCommandInput;
    constructor(input: DeleteCodeRepositoryCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DeleteCodeRepositoryCommandInput, DeleteCodeRepositoryCommandOutput>;
    private serialize;
    private deserialize;
}
