import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DeleteContextRequest, DeleteContextResponse } from "../models/models_1";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface DeleteContextCommandInput extends DeleteContextRequest {
}
export interface DeleteContextCommandOutput extends DeleteContextResponse, __MetadataBearer {
}

export declare class DeleteContextCommand extends $Command<DeleteContextCommandInput, DeleteContextCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: DeleteContextCommandInput;
    constructor(input: DeleteContextCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DeleteContextCommandInput, DeleteContextCommandOutput>;
    private serialize;
    private deserialize;
}
