import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DeleteEndpointConfigInput } from "../models/models_1";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface DeleteEndpointConfigCommandInput extends DeleteEndpointConfigInput {
}
export interface DeleteEndpointConfigCommandOutput extends __MetadataBearer {
}

export declare class DeleteEndpointConfigCommand extends $Command<DeleteEndpointConfigCommandInput, DeleteEndpointConfigCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: DeleteEndpointConfigCommandInput;
    constructor(input: DeleteEndpointConfigCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DeleteEndpointConfigCommandInput, DeleteEndpointConfigCommandOutput>;
    private serialize;
    private deserialize;
}
