import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DeleteExperimentRequest, DeleteExperimentResponse } from "../models/models_1";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface DeleteExperimentCommandInput extends DeleteExperimentRequest {
}
export interface DeleteExperimentCommandOutput extends DeleteExperimentResponse, __MetadataBearer {
}

export declare class DeleteExperimentCommand extends $Command<DeleteExperimentCommandInput, DeleteExperimentCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: DeleteExperimentCommandInput;
    constructor(input: DeleteExperimentCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DeleteExperimentCommandInput, DeleteExperimentCommandOutput>;
    private serialize;
    private deserialize;
}
