import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DeleteFeatureGroupRequest } from "../models/models_1";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface DeleteFeatureGroupCommandInput extends DeleteFeatureGroupRequest {
}
export interface DeleteFeatureGroupCommandOutput extends __MetadataBearer {
}

export declare class DeleteFeatureGroupCommand extends $Command<DeleteFeatureGroupCommandInput, DeleteFeatureGroupCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: DeleteFeatureGroupCommandInput;
    constructor(input: DeleteFeatureGroupCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DeleteFeatureGroupCommandInput, DeleteFeatureGroupCommandOutput>;
    private serialize;
    private deserialize;
}
