import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DeleteImageRequest, DeleteImageResponse } from "../models/models_1";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface DeleteImageCommandInput extends DeleteImageRequest {
}
export interface DeleteImageCommandOutput extends DeleteImageResponse, __MetadataBearer {
}

export declare class DeleteImageCommand extends $Command<DeleteImageCommandInput, DeleteImageCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: DeleteImageCommandInput;
    constructor(input: DeleteImageCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DeleteImageCommandInput, DeleteImageCommandOutput>;
    private serialize;
    private deserialize;
}
