import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DeleteModelPackageInput } from "../models/models_1";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface DeleteModelPackageCommandInput extends DeleteModelPackageInput {
}
export interface DeleteModelPackageCommandOutput extends __MetadataBearer {
}

export declare class DeleteModelPackageCommand extends $Command<DeleteModelPackageCommandInput, DeleteModelPackageCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: DeleteModelPackageCommandInput;
    constructor(input: DeleteModelPackageCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DeleteModelPackageCommandInput, DeleteModelPackageCommandOutput>;
    private serialize;
    private deserialize;
}
