import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DeleteMonitoringScheduleRequest } from "../models/models_1";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface DeleteMonitoringScheduleCommandInput extends DeleteMonitoringScheduleRequest {
}
export interface DeleteMonitoringScheduleCommandOutput extends __MetadataBearer {
}

export declare class DeleteMonitoringScheduleCommand extends $Command<DeleteMonitoringScheduleCommandInput, DeleteMonitoringScheduleCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: DeleteMonitoringScheduleCommandInput;
    constructor(input: DeleteMonitoringScheduleCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DeleteMonitoringScheduleCommandInput, DeleteMonitoringScheduleCommandOutput>;
    private serialize;
    private deserialize;
}
