import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DeleteStudioLifecycleConfigRequest } from "../models/models_1";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface DeleteStudioLifecycleConfigCommandInput extends DeleteStudioLifecycleConfigRequest {
}
export interface DeleteStudioLifecycleConfigCommandOutput extends __MetadataBearer {
}

export declare class DeleteStudioLifecycleConfigCommand extends $Command<DeleteStudioLifecycleConfigCommandInput, DeleteStudioLifecycleConfigCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: DeleteStudioLifecycleConfigCommandInput;
    constructor(input: DeleteStudioLifecycleConfigCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DeleteStudioLifecycleConfigCommandInput, DeleteStudioLifecycleConfigCommandOutput>;
    private serialize;
    private deserialize;
}
