import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DeleteTrialRequest, DeleteTrialResponse } from "../models/models_1";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface DeleteTrialCommandInput extends DeleteTrialRequest {
}
export interface DeleteTrialCommandOutput extends DeleteTrialResponse, __MetadataBearer {
}

export declare class DeleteTrialCommand extends $Command<DeleteTrialCommandInput, DeleteTrialCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: DeleteTrialCommandInput;
    constructor(input: DeleteTrialCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DeleteTrialCommandInput, DeleteTrialCommandOutput>;
    private serialize;
    private deserialize;
}
