import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DeleteWorkteamRequest, DeleteWorkteamResponse } from "../models/models_1";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface DeleteWorkteamCommandInput extends DeleteWorkteamRequest {
}
export interface DeleteWorkteamCommandOutput extends DeleteWorkteamResponse, __MetadataBearer {
}

export declare class DeleteWorkteamCommand extends $Command<DeleteWorkteamCommandInput, DeleteWorkteamCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: DeleteWorkteamCommandInput;
    constructor(input: DeleteWorkteamCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DeleteWorkteamCommandInput, DeleteWorkteamCommandOutput>;
    private serialize;
    private deserialize;
}
