import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DeregisterDevicesRequest } from "../models/models_1";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface DeregisterDevicesCommandInput extends DeregisterDevicesRequest {
}
export interface DeregisterDevicesCommandOutput extends __MetadataBearer {
}

export declare class DeregisterDevicesCommand extends $Command<DeregisterDevicesCommandInput, DeregisterDevicesCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: DeregisterDevicesCommandInput;
    constructor(input: DeregisterDevicesCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DeregisterDevicesCommandInput, DeregisterDevicesCommandOutput>;
    private serialize;
    private deserialize;
}
