import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DescribeActionRequest, DescribeActionResponse } from "../models/models_1";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface DescribeActionCommandInput extends DescribeActionRequest {
}
export interface DescribeActionCommandOutput extends DescribeActionResponse, __MetadataBearer {
}

export declare class DescribeActionCommand extends $Command<DescribeActionCommandInput, DescribeActionCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: DescribeActionCommandInput;
    constructor(input: DescribeActionCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeActionCommandInput, DescribeActionCommandOutput>;
    private serialize;
    private deserialize;
}
