import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DescribeAppRequest, DescribeAppResponse } from "../models/models_1";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface DescribeAppCommandInput extends DescribeAppRequest {
}
export interface DescribeAppCommandOutput extends DescribeAppResponse, __MetadataBearer {
}

export declare class DescribeAppCommand extends $Command<DescribeAppCommandInput, DescribeAppCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: DescribeAppCommandInput;
    constructor(input: DescribeAppCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeAppCommandInput, DescribeAppCommandOutput>;
    private serialize;
    private deserialize;
}
