import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DescribeArtifactRequest, DescribeArtifactResponse } from "../models/models_1";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface DescribeArtifactCommandInput extends DescribeArtifactRequest {
}
export interface DescribeArtifactCommandOutput extends DescribeArtifactResponse, __MetadataBearer {
}

export declare class DescribeArtifactCommand extends $Command<DescribeArtifactCommandInput, DescribeArtifactCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: DescribeArtifactCommandInput;
    constructor(input: DescribeArtifactCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeArtifactCommandInput, DescribeArtifactCommandOutput>;
    private serialize;
    private deserialize;
}
