import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DescribeAutoMLJobRequest, DescribeAutoMLJobResponse } from "../models/models_1";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface DescribeAutoMLJobCommandInput extends DescribeAutoMLJobRequest {
}
export interface DescribeAutoMLJobCommandOutput extends DescribeAutoMLJobResponse, __MetadataBearer {
}

export declare class DescribeAutoMLJobCommand extends $Command<DescribeAutoMLJobCommandInput, DescribeAutoMLJobCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: DescribeAutoMLJobCommandInput;
    constructor(input: DescribeAutoMLJobCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeAutoMLJobCommandInput, DescribeAutoMLJobCommandOutput>;
    private serialize;
    private deserialize;
}
