import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DescribeCompilationJobRequest, DescribeCompilationJobResponse } from "../models/models_1";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface DescribeCompilationJobCommandInput extends DescribeCompilationJobRequest {
}
export interface DescribeCompilationJobCommandOutput extends DescribeCompilationJobResponse, __MetadataBearer {
}

export declare class DescribeCompilationJobCommand extends $Command<DescribeCompilationJobCommandInput, DescribeCompilationJobCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: DescribeCompilationJobCommandInput;
    constructor(input: DescribeCompilationJobCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeCompilationJobCommandInput, DescribeCompilationJobCommandOutput>;
    private serialize;
    private deserialize;
}
