import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DescribeContextRequest, DescribeContextResponse } from "../models/models_1";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface DescribeContextCommandInput extends DescribeContextRequest {
}
export interface DescribeContextCommandOutput extends DescribeContextResponse, __MetadataBearer {
}

export declare class DescribeContextCommand extends $Command<DescribeContextCommandInput, DescribeContextCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: DescribeContextCommandInput;
    constructor(input: DescribeContextCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeContextCommandInput, DescribeContextCommandOutput>;
    private serialize;
    private deserialize;
}
