import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DescribeDeviceRequest, DescribeDeviceResponse } from "../models/models_1";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface DescribeDeviceCommandInput extends DescribeDeviceRequest {
}
export interface DescribeDeviceCommandOutput extends DescribeDeviceResponse, __MetadataBearer {
}

export declare class DescribeDeviceCommand extends $Command<DescribeDeviceCommandInput, DescribeDeviceCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: DescribeDeviceCommandInput;
    constructor(input: DescribeDeviceCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeDeviceCommandInput, DescribeDeviceCommandOutput>;
    private serialize;
    private deserialize;
}
