import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DescribeDeviceFleetRequest, DescribeDeviceFleetResponse } from "../models/models_1";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface DescribeDeviceFleetCommandInput extends DescribeDeviceFleetRequest {
}
export interface DescribeDeviceFleetCommandOutput extends DescribeDeviceFleetResponse, __MetadataBearer {
}

export declare class DescribeDeviceFleetCommand extends $Command<DescribeDeviceFleetCommandInput, DescribeDeviceFleetCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: DescribeDeviceFleetCommandInput;
    constructor(input: DescribeDeviceFleetCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeDeviceFleetCommandInput, DescribeDeviceFleetCommandOutput>;
    private serialize;
    private deserialize;
}
