import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DescribeExperimentRequest, DescribeExperimentResponse } from "../models/models_1";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface DescribeExperimentCommandInput extends DescribeExperimentRequest {
}
export interface DescribeExperimentCommandOutput extends DescribeExperimentResponse, __MetadataBearer {
}

export declare class DescribeExperimentCommand extends $Command<DescribeExperimentCommandInput, DescribeExperimentCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: DescribeExperimentCommandInput;
    constructor(input: DescribeExperimentCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeExperimentCommandInput, DescribeExperimentCommandOutput>;
    private serialize;
    private deserialize;
}
