import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DescribeFeatureGroupRequest, DescribeFeatureGroupResponse } from "../models/models_1";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface DescribeFeatureGroupCommandInput extends DescribeFeatureGroupRequest {
}
export interface DescribeFeatureGroupCommandOutput extends DescribeFeatureGroupResponse, __MetadataBearer {
}

export declare class DescribeFeatureGroupCommand extends $Command<DescribeFeatureGroupCommandInput, DescribeFeatureGroupCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: DescribeFeatureGroupCommandInput;
    constructor(input: DescribeFeatureGroupCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeFeatureGroupCommandInput, DescribeFeatureGroupCommandOutput>;
    private serialize;
    private deserialize;
}
