import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DescribeFlowDefinitionRequest, DescribeFlowDefinitionResponse } from "../models/models_1";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface DescribeFlowDefinitionCommandInput extends DescribeFlowDefinitionRequest {
}
export interface DescribeFlowDefinitionCommandOutput extends DescribeFlowDefinitionResponse, __MetadataBearer {
}

export declare class DescribeFlowDefinitionCommand extends $Command<DescribeFlowDefinitionCommandInput, DescribeFlowDefinitionCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: DescribeFlowDefinitionCommandInput;
    constructor(input: DescribeFlowDefinitionCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeFlowDefinitionCommandInput, DescribeFlowDefinitionCommandOutput>;
    private serialize;
    private deserialize;
}
