import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DescribeImageRequest, DescribeImageResponse } from "../models/models_1";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface DescribeImageCommandInput extends DescribeImageRequest {
}
export interface DescribeImageCommandOutput extends DescribeImageResponse, __MetadataBearer {
}

export declare class DescribeImageCommand extends $Command<DescribeImageCommandInput, DescribeImageCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: DescribeImageCommandInput;
    constructor(input: DescribeImageCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeImageCommandInput, DescribeImageCommandOutput>;
    private serialize;
    private deserialize;
}
