import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DescribeImageVersionRequest, DescribeImageVersionResponse } from "../models/models_1";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface DescribeImageVersionCommandInput extends DescribeImageVersionRequest {
}
export interface DescribeImageVersionCommandOutput extends DescribeImageVersionResponse, __MetadataBearer {
}

export declare class DescribeImageVersionCommand extends $Command<DescribeImageVersionCommandInput, DescribeImageVersionCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: DescribeImageVersionCommandInput;
    constructor(input: DescribeImageVersionCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeImageVersionCommandInput, DescribeImageVersionCommandOutput>;
    private serialize;
    private deserialize;
}
