import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DescribeLabelingJobRequest, DescribeLabelingJobResponse } from "../models/models_1";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface DescribeLabelingJobCommandInput extends DescribeLabelingJobRequest {
}
export interface DescribeLabelingJobCommandOutput extends DescribeLabelingJobResponse, __MetadataBearer {
}

export declare class DescribeLabelingJobCommand extends $Command<DescribeLabelingJobCommandInput, DescribeLabelingJobCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: DescribeLabelingJobCommandInput;
    constructor(input: DescribeLabelingJobCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeLabelingJobCommandInput, DescribeLabelingJobCommandOutput>;
    private serialize;
    private deserialize;
}
