import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DescribeLineageGroupRequest, DescribeLineageGroupResponse } from "../models/models_1";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface DescribeLineageGroupCommandInput extends DescribeLineageGroupRequest {
}
export interface DescribeLineageGroupCommandOutput extends DescribeLineageGroupResponse, __MetadataBearer {
}

export declare class DescribeLineageGroupCommand extends $Command<DescribeLineageGroupCommandInput, DescribeLineageGroupCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: DescribeLineageGroupCommandInput;
    constructor(input: DescribeLineageGroupCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeLineageGroupCommandInput, DescribeLineageGroupCommandOutput>;
    private serialize;
    private deserialize;
}
