import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DescribeModelPackageGroupInput, DescribeModelPackageGroupOutput } from "../models/models_2";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface DescribeModelPackageGroupCommandInput extends DescribeModelPackageGroupInput {
}
export interface DescribeModelPackageGroupCommandOutput extends DescribeModelPackageGroupOutput, __MetadataBearer {
}

export declare class DescribeModelPackageGroupCommand extends $Command<DescribeModelPackageGroupCommandInput, DescribeModelPackageGroupCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: DescribeModelPackageGroupCommandInput;
    constructor(input: DescribeModelPackageGroupCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeModelPackageGroupCommandInput, DescribeModelPackageGroupCommandOutput>;
    private serialize;
    private deserialize;
}
