import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DescribeNotebookInstanceInput, DescribeNotebookInstanceOutput } from "../models/models_2";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface DescribeNotebookInstanceCommandInput extends DescribeNotebookInstanceInput {
}
export interface DescribeNotebookInstanceCommandOutput extends DescribeNotebookInstanceOutput, __MetadataBearer {
}

export declare class DescribeNotebookInstanceCommand extends $Command<DescribeNotebookInstanceCommandInput, DescribeNotebookInstanceCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: DescribeNotebookInstanceCommandInput;
    constructor(input: DescribeNotebookInstanceCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeNotebookInstanceCommandInput, DescribeNotebookInstanceCommandOutput>;
    private serialize;
    private deserialize;
}
