import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DescribePipelineRequest, DescribePipelineResponse } from "../models/models_2";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface DescribePipelineCommandInput extends DescribePipelineRequest {
}
export interface DescribePipelineCommandOutput extends DescribePipelineResponse, __MetadataBearer {
}

export declare class DescribePipelineCommand extends $Command<DescribePipelineCommandInput, DescribePipelineCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: DescribePipelineCommandInput;
    constructor(input: DescribePipelineCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribePipelineCommandInput, DescribePipelineCommandOutput>;
    private serialize;
    private deserialize;
}
