import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DescribePipelineExecutionRequest, DescribePipelineExecutionResponse } from "../models/models_2";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface DescribePipelineExecutionCommandInput extends DescribePipelineExecutionRequest {
}
export interface DescribePipelineExecutionCommandOutput extends DescribePipelineExecutionResponse, __MetadataBearer {
}

export declare class DescribePipelineExecutionCommand extends $Command<DescribePipelineExecutionCommandInput, DescribePipelineExecutionCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: DescribePipelineExecutionCommandInput;
    constructor(input: DescribePipelineExecutionCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribePipelineExecutionCommandInput, DescribePipelineExecutionCommandOutput>;
    private serialize;
    private deserialize;
}
