import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DescribeProcessingJobRequest, DescribeProcessingJobResponse } from "../models/models_2";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface DescribeProcessingJobCommandInput extends DescribeProcessingJobRequest {
}
export interface DescribeProcessingJobCommandOutput extends DescribeProcessingJobResponse, __MetadataBearer {
}

export declare class DescribeProcessingJobCommand extends $Command<DescribeProcessingJobCommandInput, DescribeProcessingJobCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: DescribeProcessingJobCommandInput;
    constructor(input: DescribeProcessingJobCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeProcessingJobCommandInput, DescribeProcessingJobCommandOutput>;
    private serialize;
    private deserialize;
}
