import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DescribeWorkteamRequest, DescribeWorkteamResponse } from "../models/models_2";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface DescribeWorkteamCommandInput extends DescribeWorkteamRequest {
}
export interface DescribeWorkteamCommandOutput extends DescribeWorkteamResponse, __MetadataBearer {
}

export declare class DescribeWorkteamCommand extends $Command<DescribeWorkteamCommandInput, DescribeWorkteamCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: DescribeWorkteamCommandInput;
    constructor(input: DescribeWorkteamCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeWorkteamCommandInput, DescribeWorkteamCommandOutput>;
    private serialize;
    private deserialize;
}
