import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { GetDeviceFleetReportRequest, GetDeviceFleetReportResponse } from "../models/models_2";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface GetDeviceFleetReportCommandInput extends GetDeviceFleetReportRequest {
}
export interface GetDeviceFleetReportCommandOutput extends GetDeviceFleetReportResponse, __MetadataBearer {
}

export declare class GetDeviceFleetReportCommand extends $Command<GetDeviceFleetReportCommandInput, GetDeviceFleetReportCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: GetDeviceFleetReportCommandInput;
    constructor(input: GetDeviceFleetReportCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<GetDeviceFleetReportCommandInput, GetDeviceFleetReportCommandOutput>;
    private serialize;
    private deserialize;
}
