import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { GetLineageGroupPolicyRequest, GetLineageGroupPolicyResponse } from "../models/models_2";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface GetLineageGroupPolicyCommandInput extends GetLineageGroupPolicyRequest {
}
export interface GetLineageGroupPolicyCommandOutput extends GetLineageGroupPolicyResponse, __MetadataBearer {
}

export declare class GetLineageGroupPolicyCommand extends $Command<GetLineageGroupPolicyCommandInput, GetLineageGroupPolicyCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: GetLineageGroupPolicyCommandInput;
    constructor(input: GetLineageGroupPolicyCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<GetLineageGroupPolicyCommandInput, GetLineageGroupPolicyCommandOutput>;
    private serialize;
    private deserialize;
}
