import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ListActionsRequest, ListActionsResponse } from "../models/models_2";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface ListActionsCommandInput extends ListActionsRequest {
}
export interface ListActionsCommandOutput extends ListActionsResponse, __MetadataBearer {
}

export declare class ListActionsCommand extends $Command<ListActionsCommandInput, ListActionsCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: ListActionsCommandInput;
    constructor(input: ListActionsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListActionsCommandInput, ListActionsCommandOutput>;
    private serialize;
    private deserialize;
}
