import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ListAlgorithmsInput, ListAlgorithmsOutput } from "../models/models_2";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface ListAlgorithmsCommandInput extends ListAlgorithmsInput {
}
export interface ListAlgorithmsCommandOutput extends ListAlgorithmsOutput, __MetadataBearer {
}

export declare class ListAlgorithmsCommand extends $Command<ListAlgorithmsCommandInput, ListAlgorithmsCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: ListAlgorithmsCommandInput;
    constructor(input: ListAlgorithmsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListAlgorithmsCommandInput, ListAlgorithmsCommandOutput>;
    private serialize;
    private deserialize;
}
