import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ListAppImageConfigsRequest, ListAppImageConfigsResponse } from "../models/models_2";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface ListAppImageConfigsCommandInput extends ListAppImageConfigsRequest {
}
export interface ListAppImageConfigsCommandOutput extends ListAppImageConfigsResponse, __MetadataBearer {
}

export declare class ListAppImageConfigsCommand extends $Command<ListAppImageConfigsCommandInput, ListAppImageConfigsCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: ListAppImageConfigsCommandInput;
    constructor(input: ListAppImageConfigsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListAppImageConfigsCommandInput, ListAppImageConfigsCommandOutput>;
    private serialize;
    private deserialize;
}
