import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ListAppsRequest, ListAppsResponse } from "../models/models_2";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface ListAppsCommandInput extends ListAppsRequest {
}
export interface ListAppsCommandOutput extends ListAppsResponse, __MetadataBearer {
}

export declare class ListAppsCommand extends $Command<ListAppsCommandInput, ListAppsCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: ListAppsCommandInput;
    constructor(input: ListAppsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListAppsCommandInput, ListAppsCommandOutput>;
    private serialize;
    private deserialize;
}
