import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ListArtifactsRequest, ListArtifactsResponse } from "../models/models_2";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface ListArtifactsCommandInput extends ListArtifactsRequest {
}
export interface ListArtifactsCommandOutput extends ListArtifactsResponse, __MetadataBearer {
}

export declare class ListArtifactsCommand extends $Command<ListArtifactsCommandInput, ListArtifactsCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: ListArtifactsCommandInput;
    constructor(input: ListArtifactsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListArtifactsCommandInput, ListArtifactsCommandOutput>;
    private serialize;
    private deserialize;
}
