import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ListAutoMLJobsRequest, ListAutoMLJobsResponse } from "../models/models_2";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface ListAutoMLJobsCommandInput extends ListAutoMLJobsRequest {
}
export interface ListAutoMLJobsCommandOutput extends ListAutoMLJobsResponse, __MetadataBearer {
}

export declare class ListAutoMLJobsCommand extends $Command<ListAutoMLJobsCommandInput, ListAutoMLJobsCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: ListAutoMLJobsCommandInput;
    constructor(input: ListAutoMLJobsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListAutoMLJobsCommandInput, ListAutoMLJobsCommandOutput>;
    private serialize;
    private deserialize;
}
