import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ListCodeRepositoriesInput, ListCodeRepositoriesOutput } from "../models/models_2";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface ListCodeRepositoriesCommandInput extends ListCodeRepositoriesInput {
}
export interface ListCodeRepositoriesCommandOutput extends ListCodeRepositoriesOutput, __MetadataBearer {
}

export declare class ListCodeRepositoriesCommand extends $Command<ListCodeRepositoriesCommandInput, ListCodeRepositoriesCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: ListCodeRepositoriesCommandInput;
    constructor(input: ListCodeRepositoriesCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListCodeRepositoriesCommandInput, ListCodeRepositoriesCommandOutput>;
    private serialize;
    private deserialize;
}
