import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ListContextsRequest, ListContextsResponse } from "../models/models_2";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface ListContextsCommandInput extends ListContextsRequest {
}
export interface ListContextsCommandOutput extends ListContextsResponse, __MetadataBearer {
}

export declare class ListContextsCommand extends $Command<ListContextsCommandInput, ListContextsCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: ListContextsCommandInput;
    constructor(input: ListContextsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListContextsCommandInput, ListContextsCommandOutput>;
    private serialize;
    private deserialize;
}
