import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ListDeviceFleetsRequest, ListDeviceFleetsResponse } from "../models/models_2";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface ListDeviceFleetsCommandInput extends ListDeviceFleetsRequest {
}
export interface ListDeviceFleetsCommandOutput extends ListDeviceFleetsResponse, __MetadataBearer {
}

export declare class ListDeviceFleetsCommand extends $Command<ListDeviceFleetsCommandInput, ListDeviceFleetsCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: ListDeviceFleetsCommandInput;
    constructor(input: ListDeviceFleetsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListDeviceFleetsCommandInput, ListDeviceFleetsCommandOutput>;
    private serialize;
    private deserialize;
}
