import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ListEdgePackagingJobsRequest, ListEdgePackagingJobsResponse } from "../models/models_2";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface ListEdgePackagingJobsCommandInput extends ListEdgePackagingJobsRequest {
}
export interface ListEdgePackagingJobsCommandOutput extends ListEdgePackagingJobsResponse, __MetadataBearer {
}

export declare class ListEdgePackagingJobsCommand extends $Command<ListEdgePackagingJobsCommandInput, ListEdgePackagingJobsCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: ListEdgePackagingJobsCommandInput;
    constructor(input: ListEdgePackagingJobsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListEdgePackagingJobsCommandInput, ListEdgePackagingJobsCommandOutput>;
    private serialize;
    private deserialize;
}
