import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ListEndpointConfigsInput, ListEndpointConfigsOutput } from "../models/models_2";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface ListEndpointConfigsCommandInput extends ListEndpointConfigsInput {
}
export interface ListEndpointConfigsCommandOutput extends ListEndpointConfigsOutput, __MetadataBearer {
}

export declare class ListEndpointConfigsCommand extends $Command<ListEndpointConfigsCommandInput, ListEndpointConfigsCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: ListEndpointConfigsCommandInput;
    constructor(input: ListEndpointConfigsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListEndpointConfigsCommandInput, ListEndpointConfigsCommandOutput>;
    private serialize;
    private deserialize;
}
