import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ListExperimentsRequest, ListExperimentsResponse } from "../models/models_2";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface ListExperimentsCommandInput extends ListExperimentsRequest {
}
export interface ListExperimentsCommandOutput extends ListExperimentsResponse, __MetadataBearer {
}

export declare class ListExperimentsCommand extends $Command<ListExperimentsCommandInput, ListExperimentsCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: ListExperimentsCommandInput;
    constructor(input: ListExperimentsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListExperimentsCommandInput, ListExperimentsCommandOutput>;
    private serialize;
    private deserialize;
}
