import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ListFlowDefinitionsRequest, ListFlowDefinitionsResponse } from "../models/models_2";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface ListFlowDefinitionsCommandInput extends ListFlowDefinitionsRequest {
}
export interface ListFlowDefinitionsCommandOutput extends ListFlowDefinitionsResponse, __MetadataBearer {
}

export declare class ListFlowDefinitionsCommand extends $Command<ListFlowDefinitionsCommandInput, ListFlowDefinitionsCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: ListFlowDefinitionsCommandInput;
    constructor(input: ListFlowDefinitionsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListFlowDefinitionsCommandInput, ListFlowDefinitionsCommandOutput>;
    private serialize;
    private deserialize;
}
