import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ListHumanTaskUisRequest, ListHumanTaskUisResponse } from "../models/models_2";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface ListHumanTaskUisCommandInput extends ListHumanTaskUisRequest {
}
export interface ListHumanTaskUisCommandOutput extends ListHumanTaskUisResponse, __MetadataBearer {
}

export declare class ListHumanTaskUisCommand extends $Command<ListHumanTaskUisCommandInput, ListHumanTaskUisCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: ListHumanTaskUisCommandInput;
    constructor(input: ListHumanTaskUisCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListHumanTaskUisCommandInput, ListHumanTaskUisCommandOutput>;
    private serialize;
    private deserialize;
}
