import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ListImageVersionsRequest, ListImageVersionsResponse } from "../models/models_2";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface ListImageVersionsCommandInput extends ListImageVersionsRequest {
}
export interface ListImageVersionsCommandOutput extends ListImageVersionsResponse, __MetadataBearer {
}

export declare class ListImageVersionsCommand extends $Command<ListImageVersionsCommandInput, ListImageVersionsCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: ListImageVersionsCommandInput;
    constructor(input: ListImageVersionsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListImageVersionsCommandInput, ListImageVersionsCommandOutput>;
    private serialize;
    private deserialize;
}
