import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ListLabelingJobsRequest, ListLabelingJobsResponse } from "../models/models_2";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface ListLabelingJobsCommandInput extends ListLabelingJobsRequest {
}
export interface ListLabelingJobsCommandOutput extends ListLabelingJobsResponse, __MetadataBearer {
}

export declare class ListLabelingJobsCommand extends $Command<ListLabelingJobsCommandInput, ListLabelingJobsCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: ListLabelingJobsCommandInput;
    constructor(input: ListLabelingJobsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListLabelingJobsCommandInput, ListLabelingJobsCommandOutput>;
    private serialize;
    private deserialize;
}
