import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ListLineageGroupsRequest, ListLineageGroupsResponse } from "../models/models_2";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface ListLineageGroupsCommandInput extends ListLineageGroupsRequest {
}
export interface ListLineageGroupsCommandOutput extends ListLineageGroupsResponse, __MetadataBearer {
}

export declare class ListLineageGroupsCommand extends $Command<ListLineageGroupsCommandInput, ListLineageGroupsCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: ListLineageGroupsCommandInput;
    constructor(input: ListLineageGroupsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListLineageGroupsCommandInput, ListLineageGroupsCommandOutput>;
    private serialize;
    private deserialize;
}
