import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ListModelMetadataRequest, ListModelMetadataResponse } from "../models/models_2";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface ListModelMetadataCommandInput extends ListModelMetadataRequest {
}
export interface ListModelMetadataCommandOutput extends ListModelMetadataResponse, __MetadataBearer {
}

export declare class ListModelMetadataCommand extends $Command<ListModelMetadataCommandInput, ListModelMetadataCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: ListModelMetadataCommandInput;
    constructor(input: ListModelMetadataCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListModelMetadataCommandInput, ListModelMetadataCommandOutput>;
    private serialize;
    private deserialize;
}
