import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ListModelPackagesInput, ListModelPackagesOutput } from "../models/models_2";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface ListModelPackagesCommandInput extends ListModelPackagesInput {
}
export interface ListModelPackagesCommandOutput extends ListModelPackagesOutput, __MetadataBearer {
}

export declare class ListModelPackagesCommand extends $Command<ListModelPackagesCommandInput, ListModelPackagesCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: ListModelPackagesCommandInput;
    constructor(input: ListModelPackagesCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListModelPackagesCommandInput, ListModelPackagesCommandOutput>;
    private serialize;
    private deserialize;
}
