import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ListModelsInput, ListModelsOutput } from "../models/models_2";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface ListModelsCommandInput extends ListModelsInput {
}
export interface ListModelsCommandOutput extends ListModelsOutput, __MetadataBearer {
}

export declare class ListModelsCommand extends $Command<ListModelsCommandInput, ListModelsCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: ListModelsCommandInput;
    constructor(input: ListModelsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListModelsCommandInput, ListModelsCommandOutput>;
    private serialize;
    private deserialize;
}
