import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ListMonitoringSchedulesRequest, ListMonitoringSchedulesResponse } from "../models/models_2";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface ListMonitoringSchedulesCommandInput extends ListMonitoringSchedulesRequest {
}
export interface ListMonitoringSchedulesCommandOutput extends ListMonitoringSchedulesResponse, __MetadataBearer {
}

export declare class ListMonitoringSchedulesCommand extends $Command<ListMonitoringSchedulesCommandInput, ListMonitoringSchedulesCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: ListMonitoringSchedulesCommandInput;
    constructor(input: ListMonitoringSchedulesCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListMonitoringSchedulesCommandInput, ListMonitoringSchedulesCommandOutput>;
    private serialize;
    private deserialize;
}
