import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ListNotebookInstancesInput, ListNotebookInstancesOutput } from "../models/models_2";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface ListNotebookInstancesCommandInput extends ListNotebookInstancesInput {
}
export interface ListNotebookInstancesCommandOutput extends ListNotebookInstancesOutput, __MetadataBearer {
}

export declare class ListNotebookInstancesCommand extends $Command<ListNotebookInstancesCommandInput, ListNotebookInstancesCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: ListNotebookInstancesCommandInput;
    constructor(input: ListNotebookInstancesCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListNotebookInstancesCommandInput, ListNotebookInstancesCommandOutput>;
    private serialize;
    private deserialize;
}
