import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ListPipelineExecutionStepsRequest, ListPipelineExecutionStepsResponse } from "../models/models_2";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface ListPipelineExecutionStepsCommandInput extends ListPipelineExecutionStepsRequest {
}
export interface ListPipelineExecutionStepsCommandOutput extends ListPipelineExecutionStepsResponse, __MetadataBearer {
}

export declare class ListPipelineExecutionStepsCommand extends $Command<ListPipelineExecutionStepsCommandInput, ListPipelineExecutionStepsCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: ListPipelineExecutionStepsCommandInput;
    constructor(input: ListPipelineExecutionStepsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListPipelineExecutionStepsCommandInput, ListPipelineExecutionStepsCommandOutput>;
    private serialize;
    private deserialize;
}
