import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ListTransformJobsRequest, ListTransformJobsResponse } from "../models/models_3";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface ListTransformJobsCommandInput extends ListTransformJobsRequest {
}
export interface ListTransformJobsCommandOutput extends ListTransformJobsResponse, __MetadataBearer {
}

export declare class ListTransformJobsCommand extends $Command<ListTransformJobsCommandInput, ListTransformJobsCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: ListTransformJobsCommandInput;
    constructor(input: ListTransformJobsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListTransformJobsCommandInput, ListTransformJobsCommandOutput>;
    private serialize;
    private deserialize;
}
