import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { ListWorkforcesRequest, ListWorkforcesResponse } from "../models/models_3";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface ListWorkforcesCommandInput extends ListWorkforcesRequest {
}
export interface ListWorkforcesCommandOutput extends ListWorkforcesResponse, __MetadataBearer {
}

export declare class ListWorkforcesCommand extends $Command<ListWorkforcesCommandInput, ListWorkforcesCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: ListWorkforcesCommandInput;
    constructor(input: ListWorkforcesCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListWorkforcesCommandInput, ListWorkforcesCommandOutput>;
    private serialize;
    private deserialize;
}
