import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { QueryLineageRequest, QueryLineageResponse } from "../models/models_3";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface QueryLineageCommandInput extends QueryLineageRequest {
}
export interface QueryLineageCommandOutput extends QueryLineageResponse, __MetadataBearer {
}

export declare class QueryLineageCommand extends $Command<QueryLineageCommandInput, QueryLineageCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: QueryLineageCommandInput;
    constructor(input: QueryLineageCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<QueryLineageCommandInput, QueryLineageCommandOutput>;
    private serialize;
    private deserialize;
}
