import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { RegisterDevicesRequest } from "../models/models_3";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface RegisterDevicesCommandInput extends RegisterDevicesRequest {
}
export interface RegisterDevicesCommandOutput extends __MetadataBearer {
}

export declare class RegisterDevicesCommand extends $Command<RegisterDevicesCommandInput, RegisterDevicesCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: RegisterDevicesCommandInput;
    constructor(input: RegisterDevicesCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<RegisterDevicesCommandInput, RegisterDevicesCommandOutput>;
    private serialize;
    private deserialize;
}
