import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { RenderUiTemplateRequest, RenderUiTemplateResponse } from "../models/models_3";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface RenderUiTemplateCommandInput extends RenderUiTemplateRequest {
}
export interface RenderUiTemplateCommandOutput extends RenderUiTemplateResponse, __MetadataBearer {
}

export declare class RenderUiTemplateCommand extends $Command<RenderUiTemplateCommandInput, RenderUiTemplateCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: RenderUiTemplateCommandInput;
    constructor(input: RenderUiTemplateCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<RenderUiTemplateCommandInput, RenderUiTemplateCommandOutput>;
    private serialize;
    private deserialize;
}
