import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { RetryPipelineExecutionRequest, RetryPipelineExecutionResponse } from "../models/models_3";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface RetryPipelineExecutionCommandInput extends RetryPipelineExecutionRequest {
}
export interface RetryPipelineExecutionCommandOutput extends RetryPipelineExecutionResponse, __MetadataBearer {
}

export declare class RetryPipelineExecutionCommand extends $Command<RetryPipelineExecutionCommandInput, RetryPipelineExecutionCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: RetryPipelineExecutionCommandInput;
    constructor(input: RetryPipelineExecutionCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<RetryPipelineExecutionCommandInput, RetryPipelineExecutionCommandOutput>;
    private serialize;
    private deserialize;
}
