import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { StartMonitoringScheduleRequest } from "../models/models_3";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface StartMonitoringScheduleCommandInput extends StartMonitoringScheduleRequest {
}
export interface StartMonitoringScheduleCommandOutput extends __MetadataBearer {
}

export declare class StartMonitoringScheduleCommand extends $Command<StartMonitoringScheduleCommandInput, StartMonitoringScheduleCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: StartMonitoringScheduleCommandInput;
    constructor(input: StartMonitoringScheduleCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<StartMonitoringScheduleCommandInput, StartMonitoringScheduleCommandOutput>;
    private serialize;
    private deserialize;
}
