import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { StopCompilationJobRequest } from "../models/models_3";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface StopCompilationJobCommandInput extends StopCompilationJobRequest {
}
export interface StopCompilationJobCommandOutput extends __MetadataBearer {
}

export declare class StopCompilationJobCommand extends $Command<StopCompilationJobCommandInput, StopCompilationJobCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: StopCompilationJobCommandInput;
    constructor(input: StopCompilationJobCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<StopCompilationJobCommandInput, StopCompilationJobCommandOutput>;
    private serialize;
    private deserialize;
}
