import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { StopEdgePackagingJobRequest } from "../models/models_3";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface StopEdgePackagingJobCommandInput extends StopEdgePackagingJobRequest {
}
export interface StopEdgePackagingJobCommandOutput extends __MetadataBearer {
}

export declare class StopEdgePackagingJobCommand extends $Command<StopEdgePackagingJobCommandInput, StopEdgePackagingJobCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: StopEdgePackagingJobCommandInput;
    constructor(input: StopEdgePackagingJobCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<StopEdgePackagingJobCommandInput, StopEdgePackagingJobCommandOutput>;
    private serialize;
    private deserialize;
}
