import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { StopHyperParameterTuningJobRequest } from "../models/models_3";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface StopHyperParameterTuningJobCommandInput extends StopHyperParameterTuningJobRequest {
}
export interface StopHyperParameterTuningJobCommandOutput extends __MetadataBearer {
}

export declare class StopHyperParameterTuningJobCommand extends $Command<StopHyperParameterTuningJobCommandInput, StopHyperParameterTuningJobCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: StopHyperParameterTuningJobCommandInput;
    constructor(input: StopHyperParameterTuningJobCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<StopHyperParameterTuningJobCommandInput, StopHyperParameterTuningJobCommandOutput>;
    private serialize;
    private deserialize;
}
