import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { StopLabelingJobRequest } from "../models/models_3";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface StopLabelingJobCommandInput extends StopLabelingJobRequest {
}
export interface StopLabelingJobCommandOutput extends __MetadataBearer {
}

export declare class StopLabelingJobCommand extends $Command<StopLabelingJobCommandInput, StopLabelingJobCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: StopLabelingJobCommandInput;
    constructor(input: StopLabelingJobCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<StopLabelingJobCommandInput, StopLabelingJobCommandOutput>;
    private serialize;
    private deserialize;
}
