import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { StopMonitoringScheduleRequest } from "../models/models_3";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface StopMonitoringScheduleCommandInput extends StopMonitoringScheduleRequest {
}
export interface StopMonitoringScheduleCommandOutput extends __MetadataBearer {
}

export declare class StopMonitoringScheduleCommand extends $Command<StopMonitoringScheduleCommandInput, StopMonitoringScheduleCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: StopMonitoringScheduleCommandInput;
    constructor(input: StopMonitoringScheduleCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<StopMonitoringScheduleCommandInput, StopMonitoringScheduleCommandOutput>;
    private serialize;
    private deserialize;
}
