import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { StopNotebookInstanceInput } from "../models/models_3";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface StopNotebookInstanceCommandInput extends StopNotebookInstanceInput {
}
export interface StopNotebookInstanceCommandOutput extends __MetadataBearer {
}

export declare class StopNotebookInstanceCommand extends $Command<StopNotebookInstanceCommandInput, StopNotebookInstanceCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: StopNotebookInstanceCommandInput;
    constructor(input: StopNotebookInstanceCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<StopNotebookInstanceCommandInput, StopNotebookInstanceCommandOutput>;
    private serialize;
    private deserialize;
}
