import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { StopProcessingJobRequest } from "../models/models_3";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface StopProcessingJobCommandInput extends StopProcessingJobRequest {
}
export interface StopProcessingJobCommandOutput extends __MetadataBearer {
}

export declare class StopProcessingJobCommand extends $Command<StopProcessingJobCommandInput, StopProcessingJobCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: StopProcessingJobCommandInput;
    constructor(input: StopProcessingJobCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<StopProcessingJobCommandInput, StopProcessingJobCommandOutput>;
    private serialize;
    private deserialize;
}
