import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { StopTrainingJobRequest } from "../models/models_3";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface StopTrainingJobCommandInput extends StopTrainingJobRequest {
}
export interface StopTrainingJobCommandOutput extends __MetadataBearer {
}

export declare class StopTrainingJobCommand extends $Command<StopTrainingJobCommandInput, StopTrainingJobCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: StopTrainingJobCommandInput;
    constructor(input: StopTrainingJobCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<StopTrainingJobCommandInput, StopTrainingJobCommandOutput>;
    private serialize;
    private deserialize;
}
