import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { UpdateActionRequest, UpdateActionResponse } from "../models/models_3";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface UpdateActionCommandInput extends UpdateActionRequest {
}
export interface UpdateActionCommandOutput extends UpdateActionResponse, __MetadataBearer {
}

export declare class UpdateActionCommand extends $Command<UpdateActionCommandInput, UpdateActionCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: UpdateActionCommandInput;
    constructor(input: UpdateActionCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UpdateActionCommandInput, UpdateActionCommandOutput>;
    private serialize;
    private deserialize;
}
