import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { UpdateAppImageConfigRequest, UpdateAppImageConfigResponse } from "../models/models_3";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface UpdateAppImageConfigCommandInput extends UpdateAppImageConfigRequest {
}
export interface UpdateAppImageConfigCommandOutput extends UpdateAppImageConfigResponse, __MetadataBearer {
}

export declare class UpdateAppImageConfigCommand extends $Command<UpdateAppImageConfigCommandInput, UpdateAppImageConfigCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: UpdateAppImageConfigCommandInput;
    constructor(input: UpdateAppImageConfigCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UpdateAppImageConfigCommandInput, UpdateAppImageConfigCommandOutput>;
    private serialize;
    private deserialize;
}
