import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { UpdateArtifactRequest, UpdateArtifactResponse } from "../models/models_3";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface UpdateArtifactCommandInput extends UpdateArtifactRequest {
}
export interface UpdateArtifactCommandOutput extends UpdateArtifactResponse, __MetadataBearer {
}

export declare class UpdateArtifactCommand extends $Command<UpdateArtifactCommandInput, UpdateArtifactCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: UpdateArtifactCommandInput;
    constructor(input: UpdateArtifactCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UpdateArtifactCommandInput, UpdateArtifactCommandOutput>;
    private serialize;
    private deserialize;
}
