import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { UpdateCodeRepositoryInput, UpdateCodeRepositoryOutput } from "../models/models_3";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface UpdateCodeRepositoryCommandInput extends UpdateCodeRepositoryInput {
}
export interface UpdateCodeRepositoryCommandOutput extends UpdateCodeRepositoryOutput, __MetadataBearer {
}

export declare class UpdateCodeRepositoryCommand extends $Command<UpdateCodeRepositoryCommandInput, UpdateCodeRepositoryCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: UpdateCodeRepositoryCommandInput;
    constructor(input: UpdateCodeRepositoryCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UpdateCodeRepositoryCommandInput, UpdateCodeRepositoryCommandOutput>;
    private serialize;
    private deserialize;
}
