import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { UpdateContextRequest, UpdateContextResponse } from "../models/models_3";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface UpdateContextCommandInput extends UpdateContextRequest {
}
export interface UpdateContextCommandOutput extends UpdateContextResponse, __MetadataBearer {
}

export declare class UpdateContextCommand extends $Command<UpdateContextCommandInput, UpdateContextCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: UpdateContextCommandInput;
    constructor(input: UpdateContextCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UpdateContextCommandInput, UpdateContextCommandOutput>;
    private serialize;
    private deserialize;
}
