import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { UpdateDomainRequest, UpdateDomainResponse } from "../models/models_3";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface UpdateDomainCommandInput extends UpdateDomainRequest {
}
export interface UpdateDomainCommandOutput extends UpdateDomainResponse, __MetadataBearer {
}

export declare class UpdateDomainCommand extends $Command<UpdateDomainCommandInput, UpdateDomainCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: UpdateDomainCommandInput;
    constructor(input: UpdateDomainCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UpdateDomainCommandInput, UpdateDomainCommandOutput>;
    private serialize;
    private deserialize;
}
