import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { UpdateExperimentRequest, UpdateExperimentResponse } from "../models/models_3";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface UpdateExperimentCommandInput extends UpdateExperimentRequest {
}
export interface UpdateExperimentCommandOutput extends UpdateExperimentResponse, __MetadataBearer {
}

export declare class UpdateExperimentCommand extends $Command<UpdateExperimentCommandInput, UpdateExperimentCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: UpdateExperimentCommandInput;
    constructor(input: UpdateExperimentCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UpdateExperimentCommandInput, UpdateExperimentCommandOutput>;
    private serialize;
    private deserialize;
}
