import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { UpdateImageRequest, UpdateImageResponse } from "../models/models_3";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface UpdateImageCommandInput extends UpdateImageRequest {
}
export interface UpdateImageCommandOutput extends UpdateImageResponse, __MetadataBearer {
}

export declare class UpdateImageCommand extends $Command<UpdateImageCommandInput, UpdateImageCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: UpdateImageCommandInput;
    constructor(input: UpdateImageCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UpdateImageCommandInput, UpdateImageCommandOutput>;
    private serialize;
    private deserialize;
}
