import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { UpdateModelPackageInput, UpdateModelPackageOutput } from "../models/models_3";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface UpdateModelPackageCommandInput extends UpdateModelPackageInput {
}
export interface UpdateModelPackageCommandOutput extends UpdateModelPackageOutput, __MetadataBearer {
}

export declare class UpdateModelPackageCommand extends $Command<UpdateModelPackageCommandInput, UpdateModelPackageCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: UpdateModelPackageCommandInput;
    constructor(input: UpdateModelPackageCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UpdateModelPackageCommandInput, UpdateModelPackageCommandOutput>;
    private serialize;
    private deserialize;
}
