import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { UpdateNotebookInstanceInput, UpdateNotebookInstanceOutput } from "../models/models_3";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface UpdateNotebookInstanceCommandInput extends UpdateNotebookInstanceInput {
}
export interface UpdateNotebookInstanceCommandOutput extends UpdateNotebookInstanceOutput, __MetadataBearer {
}

export declare class UpdateNotebookInstanceCommand extends $Command<UpdateNotebookInstanceCommandInput, UpdateNotebookInstanceCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: UpdateNotebookInstanceCommandInput;
    constructor(input: UpdateNotebookInstanceCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UpdateNotebookInstanceCommandInput, UpdateNotebookInstanceCommandOutput>;
    private serialize;
    private deserialize;
}
