import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { UpdatePipelineExecutionRequest, UpdatePipelineExecutionResponse } from "../models/models_3";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface UpdatePipelineExecutionCommandInput extends UpdatePipelineExecutionRequest {
}
export interface UpdatePipelineExecutionCommandOutput extends UpdatePipelineExecutionResponse, __MetadataBearer {
}

export declare class UpdatePipelineExecutionCommand extends $Command<UpdatePipelineExecutionCommandInput, UpdatePipelineExecutionCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: UpdatePipelineExecutionCommandInput;
    constructor(input: UpdatePipelineExecutionCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UpdatePipelineExecutionCommandInput, UpdatePipelineExecutionCommandOutput>;
    private serialize;
    private deserialize;
}
