import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { UpdateTrainingJobRequest, UpdateTrainingJobResponse } from "../models/models_3";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface UpdateTrainingJobCommandInput extends UpdateTrainingJobRequest {
}
export interface UpdateTrainingJobCommandOutput extends UpdateTrainingJobResponse, __MetadataBearer {
}

export declare class UpdateTrainingJobCommand extends $Command<UpdateTrainingJobCommandInput, UpdateTrainingJobCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: UpdateTrainingJobCommandInput;
    constructor(input: UpdateTrainingJobCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UpdateTrainingJobCommandInput, UpdateTrainingJobCommandOutput>;
    private serialize;
    private deserialize;
}
