import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { UpdateTrialRequest, UpdateTrialResponse } from "../models/models_3";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface UpdateTrialCommandInput extends UpdateTrialRequest {
}
export interface UpdateTrialCommandOutput extends UpdateTrialResponse, __MetadataBearer {
}

export declare class UpdateTrialCommand extends $Command<UpdateTrialCommandInput, UpdateTrialCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: UpdateTrialCommandInput;
    constructor(input: UpdateTrialCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UpdateTrialCommandInput, UpdateTrialCommandOutput>;
    private serialize;
    private deserialize;
}
