import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { UpdateWorkteamRequest, UpdateWorkteamResponse } from "../models/models_3";
import { SageMakerClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../SageMakerClient";
export interface UpdateWorkteamCommandInput extends UpdateWorkteamRequest {
}
export interface UpdateWorkteamCommandOutput extends UpdateWorkteamResponse, __MetadataBearer {
}

export declare class UpdateWorkteamCommand extends $Command<UpdateWorkteamCommandInput, UpdateWorkteamCommandOutput, SageMakerClientResolvedConfig> {
    readonly input: UpdateWorkteamCommandInput;
    constructor(input: UpdateWorkteamCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: SageMakerClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UpdateWorkteamCommandInput, UpdateWorkteamCommandOutput>;
    private serialize;
    private deserialize;
}
