import { ActionSummary, AdditionalInferenceSpecificationDefinition, AgentVersion, AlgorithmSortBy, AlgorithmSpecification, AlgorithmSummary, AppDetails, AppImageConfigDetails, AppImageConfigSortKey, AppSortKey, AppSpecification, ArtifactSummary, AssociationEdgeType, AssociationSummary, AutoMLCandidate, AutoMLJobStatus, AutoMLJobSummary, AutoMLSortBy, AutoMLSortOrder, BatchStrategy, CacheHitResult, CallbackStepMetadata, CandidateSortBy, CandidateStatus, Channel, CheckpointConfig, ClarifyCheckStepMetadata, CodeRepositorySortBy, CodeRepositorySortOrder, CodeRepositorySummary, CognitoConfig, CompilationJobStatus, CompilationJobSummary, ConditionStepMetadata, ContainerDefinition, ContextSummary, EdgeOutputConfig, FeatureDefinition, HyperParameterTuningJobStrategyType, InferenceSpecification, MetadataProperties, ModelApprovalStatus, ModelPackageStatus, MonitoringNetworkConfig, MonitoringOutputConfig, MonitoringResources, MonitoringStoppingCondition, OfflineStoreConfig, OnlineStoreConfig, OutputDataConfig, OutputParameter, ResourceConfig, ResourceLimits, ResourceSpec, RetryStrategy, StoppingCondition, Tag, TransformInput, TransformOutput, TransformResources, UserContext, UserSettings, VpcConfig } from "./models_0";
import { _InstanceType, DataCaptureConfigSummary, DataProcessing, DebugHookConfig, DebugRuleConfiguration, DebugRuleEvaluationStatus, DirectInternetAccess, DomainStatus, DriftCheckBaselines, EdgePackagingJobStatus, EndpointStatus, ExperimentConfig, ExperimentSource, FeatureGroupStatus, FlowDefinitionStatus, HyperParameterTuningJobStatus, ImageStatus, ImageVersionStatus, InferenceExecutionConfig, LabelCounters, LabelingJobInputConfig, LabelingJobOutput, LabelingJobStatus, MemberDefinition, ModelArtifacts, ModelBiasAppSpecification, ModelBiasBaselineConfig, ModelBiasJobInput, ModelClientConfig, ModelExplainabilityAppSpecification, ModelExplainabilityBaselineConfig, ModelExplainabilityJobInput, ModelMetrics, ModelPackageValidationSpecification, ModelQualityAppSpecification, ModelQualityBaselineConfig, ModelQualityJobInput, MonitoringScheduleConfig, MonitoringType, NetworkConfig, NotebookInstanceAcceleratorType, NotebookInstanceLifecycleHook, NotificationConfiguration, ObjectiveStatusCounters, OfflineStoreStatus, OfflineStoreStatusValue, ParallelismConfiguration, ProcessingInput, ProcessingOutputConfig, ProcessingResources, ProcessingStoppingCondition, ProductionVariantSummary, ProfilerConfig, ProfilerRuleConfiguration, RecommendationJobStatus, RecommendationJobType, RootAccess, RuleEvaluationStatus, ServiceCatalogProvisioningDetails, SourceAlgorithmSpecification, SourceIpConfig, StudioLifecycleConfigAppType, TensorBoardOutputConfig, TrainingJobStatus, TrainingJobStatusCounters, TrialComponentArtifact, TrialComponentParameterValue, TrialComponentStatus } from "./models_1";
export interface DescribeModelOutput {
    
    ModelName: string | undefined;
    
    PrimaryContainer?: ContainerDefinition;
    
    Containers?: ContainerDefinition[];
    
    InferenceExecutionConfig?: InferenceExecutionConfig;
    
    ExecutionRoleArn: string | undefined;
    
    VpcConfig?: VpcConfig;
    
    CreationTime: Date | undefined;
    
    ModelArn: string | undefined;
    
    EnableNetworkIsolation?: boolean;
}
export declare namespace DescribeModelOutput {
    
    const filterSensitiveLog: (obj: DescribeModelOutput) => any;
}
export interface DescribeModelBiasJobDefinitionRequest {
    
    JobDefinitionName: string | undefined;
}
export declare namespace DescribeModelBiasJobDefinitionRequest {
    
    const filterSensitiveLog: (obj: DescribeModelBiasJobDefinitionRequest) => any;
}
export interface DescribeModelBiasJobDefinitionResponse {
    
    JobDefinitionArn: string | undefined;
    
    JobDefinitionName: string | undefined;
    
    CreationTime: Date | undefined;
    
    ModelBiasBaselineConfig?: ModelBiasBaselineConfig;
    
    ModelBiasAppSpecification: ModelBiasAppSpecification | undefined;
    
    ModelBiasJobInput: ModelBiasJobInput | undefined;
    
    ModelBiasJobOutputConfig: MonitoringOutputConfig | undefined;
    
    JobResources: MonitoringResources | undefined;
    
    NetworkConfig?: MonitoringNetworkConfig;
    
    RoleArn: string | undefined;
    
    StoppingCondition?: MonitoringStoppingCondition;
}
export declare namespace DescribeModelBiasJobDefinitionResponse {
    
    const filterSensitiveLog: (obj: DescribeModelBiasJobDefinitionResponse) => any;
}
export interface DescribeModelExplainabilityJobDefinitionRequest {
    
    JobDefinitionName: string | undefined;
}
export declare namespace DescribeModelExplainabilityJobDefinitionRequest {
    
    const filterSensitiveLog: (obj: DescribeModelExplainabilityJobDefinitionRequest) => any;
}
export interface DescribeModelExplainabilityJobDefinitionResponse {
    
    JobDefinitionArn: string | undefined;
    
    JobDefinitionName: string | undefined;
    
    CreationTime: Date | undefined;
    
    ModelExplainabilityBaselineConfig?: ModelExplainabilityBaselineConfig;
    
    ModelExplainabilityAppSpecification: ModelExplainabilityAppSpecification | undefined;
    
    ModelExplainabilityJobInput: ModelExplainabilityJobInput | undefined;
    
    ModelExplainabilityJobOutputConfig: MonitoringOutputConfig | undefined;
    
    JobResources: MonitoringResources | undefined;
    
    NetworkConfig?: MonitoringNetworkConfig;
    
    RoleArn: string | undefined;
    
    StoppingCondition?: MonitoringStoppingCondition;
}
export declare namespace DescribeModelExplainabilityJobDefinitionResponse {
    
    const filterSensitiveLog: (obj: DescribeModelExplainabilityJobDefinitionResponse) => any;
}
export interface DescribeModelPackageInput {
    
    ModelPackageName: string | undefined;
}
export declare namespace DescribeModelPackageInput {
    
    const filterSensitiveLog: (obj: DescribeModelPackageInput) => any;
}
export declare enum DetailedModelPackageStatus {
    COMPLETED = "Completed",
    FAILED = "Failed",
    IN_PROGRESS = "InProgress",
    NOT_STARTED = "NotStarted"
}

export interface ModelPackageStatusItem {
    
    Name: string | undefined;
    
    Status: DetailedModelPackageStatus | string | undefined;
    
    FailureReason?: string;
}
export declare namespace ModelPackageStatusItem {
    
    const filterSensitiveLog: (obj: ModelPackageStatusItem) => any;
}

export interface ModelPackageStatusDetails {
    
    ValidationStatuses: ModelPackageStatusItem[] | undefined;
    
    ImageScanStatuses?: ModelPackageStatusItem[];
}
export declare namespace ModelPackageStatusDetails {
    
    const filterSensitiveLog: (obj: ModelPackageStatusDetails) => any;
}
export interface DescribeModelPackageOutput {
    
    ModelPackageName: string | undefined;
    
    ModelPackageGroupName?: string;
    
    ModelPackageVersion?: number;
    
    ModelPackageArn: string | undefined;
    
    ModelPackageDescription?: string;
    
    CreationTime: Date | undefined;
    
    InferenceSpecification?: InferenceSpecification;
    
    SourceAlgorithmSpecification?: SourceAlgorithmSpecification;
    
    ValidationSpecification?: ModelPackageValidationSpecification;
    
    ModelPackageStatus: ModelPackageStatus | string | undefined;
    
    ModelPackageStatusDetails: ModelPackageStatusDetails | undefined;
    
    CertifyForMarketplace?: boolean;
    
    ModelApprovalStatus?: ModelApprovalStatus | string;
    
    CreatedBy?: UserContext;
    
    MetadataProperties?: MetadataProperties;
    
    ModelMetrics?: ModelMetrics;
    
    LastModifiedTime?: Date;
    
    LastModifiedBy?: UserContext;
    
    ApprovalDescription?: string;
    
    CustomerMetadataProperties?: {
        [key: string]: string;
    };
    
    DriftCheckBaselines?: DriftCheckBaselines;
    
    Domain?: string;
    
    Task?: string;
    
    SamplePayloadUrl?: string;
    
    AdditionalInferenceSpecifications?: AdditionalInferenceSpecificationDefinition[];
}
export declare namespace DescribeModelPackageOutput {
    
    const filterSensitiveLog: (obj: DescribeModelPackageOutput) => any;
}
export interface DescribeModelPackageGroupInput {
    
    ModelPackageGroupName: string | undefined;
}
export declare namespace DescribeModelPackageGroupInput {
    
    const filterSensitiveLog: (obj: DescribeModelPackageGroupInput) => any;
}
export declare enum ModelPackageGroupStatus {
    COMPLETED = "Completed",
    DELETE_FAILED = "DeleteFailed",
    DELETING = "Deleting",
    FAILED = "Failed",
    IN_PROGRESS = "InProgress",
    PENDING = "Pending"
}
export interface DescribeModelPackageGroupOutput {
    
    ModelPackageGroupName: string | undefined;
    
    ModelPackageGroupArn: string | undefined;
    
    ModelPackageGroupDescription?: string;
    
    CreationTime: Date | undefined;
    
    CreatedBy: UserContext | undefined;
    
    ModelPackageGroupStatus: ModelPackageGroupStatus | string | undefined;
}
export declare namespace DescribeModelPackageGroupOutput {
    
    const filterSensitiveLog: (obj: DescribeModelPackageGroupOutput) => any;
}
export interface DescribeModelQualityJobDefinitionRequest {
    
    JobDefinitionName: string | undefined;
}
export declare namespace DescribeModelQualityJobDefinitionRequest {
    
    const filterSensitiveLog: (obj: DescribeModelQualityJobDefinitionRequest) => any;
}
export interface DescribeModelQualityJobDefinitionResponse {
    
    JobDefinitionArn: string | undefined;
    
    JobDefinitionName: string | undefined;
    
    CreationTime: Date | undefined;
    
    ModelQualityBaselineConfig?: ModelQualityBaselineConfig;
    
    ModelQualityAppSpecification: ModelQualityAppSpecification | undefined;
    
    ModelQualityJobInput: ModelQualityJobInput | undefined;
    
    ModelQualityJobOutputConfig: MonitoringOutputConfig | undefined;
    
    JobResources: MonitoringResources | undefined;
    
    NetworkConfig?: MonitoringNetworkConfig;
    
    RoleArn: string | undefined;
    
    StoppingCondition?: MonitoringStoppingCondition;
}
export declare namespace DescribeModelQualityJobDefinitionResponse {
    
    const filterSensitiveLog: (obj: DescribeModelQualityJobDefinitionResponse) => any;
}
export interface DescribeMonitoringScheduleRequest {
    
    MonitoringScheduleName: string | undefined;
}
export declare namespace DescribeMonitoringScheduleRequest {
    
    const filterSensitiveLog: (obj: DescribeMonitoringScheduleRequest) => any;
}
export declare enum ExecutionStatus {
    COMPLETED = "Completed",
    COMPLETED_WITH_VIOLATIONS = "CompletedWithViolations",
    FAILED = "Failed",
    IN_PROGRESS = "InProgress",
    PENDING = "Pending",
    STOPPED = "Stopped",
    STOPPING = "Stopping"
}

export interface MonitoringExecutionSummary {
    
    MonitoringScheduleName: string | undefined;
    
    ScheduledTime: Date | undefined;
    
    CreationTime: Date | undefined;
    
    LastModifiedTime: Date | undefined;
    
    MonitoringExecutionStatus: ExecutionStatus | string | undefined;
    
    ProcessingJobArn?: string;
    
    EndpointName?: string;
    
    FailureReason?: string;
    
    MonitoringJobDefinitionName?: string;
    
    MonitoringType?: MonitoringType | string;
}
export declare namespace MonitoringExecutionSummary {
    
    const filterSensitiveLog: (obj: MonitoringExecutionSummary) => any;
}
export declare enum ScheduleStatus {
    FAILED = "Failed",
    PENDING = "Pending",
    SCHEDULED = "Scheduled",
    STOPPED = "Stopped"
}
export interface DescribeMonitoringScheduleResponse {
    
    MonitoringScheduleArn: string | undefined;
    
    MonitoringScheduleName: string | undefined;
    
    MonitoringScheduleStatus: ScheduleStatus | string | undefined;
    
    MonitoringType?: MonitoringType | string;
    
    FailureReason?: string;
    
    CreationTime: Date | undefined;
    
    LastModifiedTime: Date | undefined;
    
    MonitoringScheduleConfig: MonitoringScheduleConfig | undefined;
    
    EndpointName?: string;
    
    LastMonitoringExecutionSummary?: MonitoringExecutionSummary;
}
export declare namespace DescribeMonitoringScheduleResponse {
    
    const filterSensitiveLog: (obj: DescribeMonitoringScheduleResponse) => any;
}
export interface DescribeNotebookInstanceInput {
    
    NotebookInstanceName: string | undefined;
}
export declare namespace DescribeNotebookInstanceInput {
    
    const filterSensitiveLog: (obj: DescribeNotebookInstanceInput) => any;
}
export declare enum NotebookInstanceStatus {
    Deleting = "Deleting",
    Failed = "Failed",
    InService = "InService",
    Pending = "Pending",
    Stopped = "Stopped",
    Stopping = "Stopping",
    Updating = "Updating"
}
export interface DescribeNotebookInstanceOutput {
    
    NotebookInstanceArn?: string;
    
    NotebookInstanceName?: string;
    
    NotebookInstanceStatus?: NotebookInstanceStatus | string;
    
    FailureReason?: string;
    
    Url?: string;
    
    InstanceType?: _InstanceType | string;
    
    SubnetId?: string;
    
    SecurityGroups?: string[];
    
    RoleArn?: string;
    
    KmsKeyId?: string;
    
    NetworkInterfaceId?: string;
    
    LastModifiedTime?: Date;
    
    CreationTime?: Date;
    
    NotebookInstanceLifecycleConfigName?: string;
    
    DirectInternetAccess?: DirectInternetAccess | string;
    
    VolumeSizeInGB?: number;
    
    AcceleratorTypes?: (NotebookInstanceAcceleratorType | string)[];
    
    DefaultCodeRepository?: string;
    
    AdditionalCodeRepositories?: string[];
    
    RootAccess?: RootAccess | string;
    
    PlatformIdentifier?: string;
}
export declare namespace DescribeNotebookInstanceOutput {
    
    const filterSensitiveLog: (obj: DescribeNotebookInstanceOutput) => any;
}
export interface DescribeNotebookInstanceLifecycleConfigInput {
    
    NotebookInstanceLifecycleConfigName: string | undefined;
}
export declare namespace DescribeNotebookInstanceLifecycleConfigInput {
    
    const filterSensitiveLog: (obj: DescribeNotebookInstanceLifecycleConfigInput) => any;
}
export interface DescribeNotebookInstanceLifecycleConfigOutput {
    
    NotebookInstanceLifecycleConfigArn?: string;
    
    NotebookInstanceLifecycleConfigName?: string;
    
    OnCreate?: NotebookInstanceLifecycleHook[];
    
    OnStart?: NotebookInstanceLifecycleHook[];
    
    LastModifiedTime?: Date;
    
    CreationTime?: Date;
}
export declare namespace DescribeNotebookInstanceLifecycleConfigOutput {
    
    const filterSensitiveLog: (obj: DescribeNotebookInstanceLifecycleConfigOutput) => any;
}
export interface DescribePipelineRequest {
    
    PipelineName: string | undefined;
}
export declare namespace DescribePipelineRequest {
    
    const filterSensitiveLog: (obj: DescribePipelineRequest) => any;
}
export declare enum PipelineStatus {
    ACTIVE = "Active"
}
export interface DescribePipelineResponse {
    
    PipelineArn?: string;
    
    PipelineName?: string;
    
    PipelineDisplayName?: string;
    
    PipelineDefinition?: string;
    
    PipelineDescription?: string;
    
    RoleArn?: string;
    
    PipelineStatus?: PipelineStatus | string;
    
    CreationTime?: Date;
    
    LastModifiedTime?: Date;
    
    LastRunTime?: Date;
    
    CreatedBy?: UserContext;
    
    LastModifiedBy?: UserContext;
    
    ParallelismConfiguration?: ParallelismConfiguration;
}
export declare namespace DescribePipelineResponse {
    
    const filterSensitiveLog: (obj: DescribePipelineResponse) => any;
}
export interface DescribePipelineDefinitionForExecutionRequest {
    
    PipelineExecutionArn: string | undefined;
}
export declare namespace DescribePipelineDefinitionForExecutionRequest {
    
    const filterSensitiveLog: (obj: DescribePipelineDefinitionForExecutionRequest) => any;
}
export interface DescribePipelineDefinitionForExecutionResponse {
    
    PipelineDefinition?: string;
    
    CreationTime?: Date;
}
export declare namespace DescribePipelineDefinitionForExecutionResponse {
    
    const filterSensitiveLog: (obj: DescribePipelineDefinitionForExecutionResponse) => any;
}
export interface DescribePipelineExecutionRequest {
    
    PipelineExecutionArn: string | undefined;
}
export declare namespace DescribePipelineExecutionRequest {
    
    const filterSensitiveLog: (obj: DescribePipelineExecutionRequest) => any;
}
export declare enum PipelineExecutionStatus {
    EXECUTING = "Executing",
    FAILED = "Failed",
    STOPPED = "Stopped",
    STOPPING = "Stopping",
    SUCCEEDED = "Succeeded"
}

export interface PipelineExperimentConfig {
    
    ExperimentName?: string;
    
    TrialName?: string;
}
export declare namespace PipelineExperimentConfig {
    
    const filterSensitiveLog: (obj: PipelineExperimentConfig) => any;
}
export interface DescribePipelineExecutionResponse {
    
    PipelineArn?: string;
    
    PipelineExecutionArn?: string;
    
    PipelineExecutionDisplayName?: string;
    
    PipelineExecutionStatus?: PipelineExecutionStatus | string;
    
    PipelineExecutionDescription?: string;
    
    PipelineExperimentConfig?: PipelineExperimentConfig;
    
    FailureReason?: string;
    
    CreationTime?: Date;
    
    LastModifiedTime?: Date;
    
    CreatedBy?: UserContext;
    
    LastModifiedBy?: UserContext;
    
    ParallelismConfiguration?: ParallelismConfiguration;
}
export declare namespace DescribePipelineExecutionResponse {
    
    const filterSensitiveLog: (obj: DescribePipelineExecutionResponse) => any;
}
export interface DescribeProcessingJobRequest {
    
    ProcessingJobName: string | undefined;
}
export declare namespace DescribeProcessingJobRequest {
    
    const filterSensitiveLog: (obj: DescribeProcessingJobRequest) => any;
}
export declare enum ProcessingJobStatus {
    COMPLETED = "Completed",
    FAILED = "Failed",
    IN_PROGRESS = "InProgress",
    STOPPED = "Stopped",
    STOPPING = "Stopping"
}
export interface DescribeProcessingJobResponse {
    
    ProcessingInputs?: ProcessingInput[];
    
    ProcessingOutputConfig?: ProcessingOutputConfig;
    
    ProcessingJobName: string | undefined;
    
    ProcessingResources: ProcessingResources | undefined;
    
    StoppingCondition?: ProcessingStoppingCondition;
    
    AppSpecification: AppSpecification | undefined;
    
    Environment?: {
        [key: string]: string;
    };
    
    NetworkConfig?: NetworkConfig;
    
    RoleArn?: string;
    
    ExperimentConfig?: ExperimentConfig;
    
    ProcessingJobArn: string | undefined;
    
    ProcessingJobStatus: ProcessingJobStatus | string | undefined;
    
    ExitMessage?: string;
    
    FailureReason?: string;
    
    ProcessingEndTime?: Date;
    
    ProcessingStartTime?: Date;
    
    LastModifiedTime?: Date;
    
    CreationTime: Date | undefined;
    
    MonitoringScheduleArn?: string;
    
    AutoMLJobArn?: string;
    
    TrainingJobArn?: string;
}
export declare namespace DescribeProcessingJobResponse {
    
    const filterSensitiveLog: (obj: DescribeProcessingJobResponse) => any;
}
export interface DescribeProjectInput {
    
    ProjectName: string | undefined;
}
export declare namespace DescribeProjectInput {
    
    const filterSensitiveLog: (obj: DescribeProjectInput) => any;
}
export declare enum ProjectStatus {
    CREATE_COMPLETED = "CreateCompleted",
    CREATE_FAILED = "CreateFailed",
    CREATE_IN_PROGRESS = "CreateInProgress",
    DELETE_COMPLETED = "DeleteCompleted",
    DELETE_FAILED = "DeleteFailed",
    DELETE_IN_PROGRESS = "DeleteInProgress",
    PENDING = "Pending",
    UPDATE_COMPLETED = "UpdateCompleted",
    UPDATE_FAILED = "UpdateFailed",
    UPDATE_IN_PROGRESS = "UpdateInProgress"
}

export interface ServiceCatalogProvisionedProductDetails {
    
    ProvisionedProductId?: string;
    
    ProvisionedProductStatusMessage?: string;
}
export declare namespace ServiceCatalogProvisionedProductDetails {
    
    const filterSensitiveLog: (obj: ServiceCatalogProvisionedProductDetails) => any;
}
export interface DescribeProjectOutput {
    
    ProjectArn: string | undefined;
    
    ProjectName: string | undefined;
    
    ProjectId: string | undefined;
    
    ProjectDescription?: string;
    
    ServiceCatalogProvisioningDetails: ServiceCatalogProvisioningDetails | undefined;
    
    ServiceCatalogProvisionedProductDetails?: ServiceCatalogProvisionedProductDetails;
    
    ProjectStatus: ProjectStatus | string | undefined;
    
    CreatedBy?: UserContext;
    
    CreationTime: Date | undefined;
    
    LastModifiedTime?: Date;
    
    LastModifiedBy?: UserContext;
}
export declare namespace DescribeProjectOutput {
    
    const filterSensitiveLog: (obj: DescribeProjectOutput) => any;
}
export interface DescribeStudioLifecycleConfigRequest {
    
    StudioLifecycleConfigName: string | undefined;
}
export declare namespace DescribeStudioLifecycleConfigRequest {
    
    const filterSensitiveLog: (obj: DescribeStudioLifecycleConfigRequest) => any;
}
export interface DescribeStudioLifecycleConfigResponse {
    
    StudioLifecycleConfigArn?: string;
    
    StudioLifecycleConfigName?: string;
    
    CreationTime?: Date;
    
    LastModifiedTime?: Date;
    
    StudioLifecycleConfigContent?: string;
    
    StudioLifecycleConfigAppType?: StudioLifecycleConfigAppType | string;
}
export declare namespace DescribeStudioLifecycleConfigResponse {
    
    const filterSensitiveLog: (obj: DescribeStudioLifecycleConfigResponse) => any;
}
export interface DescribeSubscribedWorkteamRequest {
    
    WorkteamArn: string | undefined;
}
export declare namespace DescribeSubscribedWorkteamRequest {
    
    const filterSensitiveLog: (obj: DescribeSubscribedWorkteamRequest) => any;
}

export interface SubscribedWorkteam {
    
    WorkteamArn: string | undefined;
    
    MarketplaceTitle?: string;
    
    SellerName?: string;
    
    MarketplaceDescription?: string;
    
    ListingId?: string;
}
export declare namespace SubscribedWorkteam {
    
    const filterSensitiveLog: (obj: SubscribedWorkteam) => any;
}
export interface DescribeSubscribedWorkteamResponse {
    
    SubscribedWorkteam: SubscribedWorkteam | undefined;
}
export declare namespace DescribeSubscribedWorkteamResponse {
    
    const filterSensitiveLog: (obj: DescribeSubscribedWorkteamResponse) => any;
}
export interface DescribeTrainingJobRequest {
    
    TrainingJobName: string | undefined;
}
export declare namespace DescribeTrainingJobRequest {
    
    const filterSensitiveLog: (obj: DescribeTrainingJobRequest) => any;
}

export interface MetricData {
    
    MetricName?: string;
    
    Value?: number;
    
    Timestamp?: Date;
}
export declare namespace MetricData {
    
    const filterSensitiveLog: (obj: MetricData) => any;
}

export interface ProfilerRuleEvaluationStatus {
    
    RuleConfigurationName?: string;
    
    RuleEvaluationJobArn?: string;
    
    RuleEvaluationStatus?: RuleEvaluationStatus | string;
    
    StatusDetails?: string;
    
    LastModifiedTime?: Date;
}
export declare namespace ProfilerRuleEvaluationStatus {
    
    const filterSensitiveLog: (obj: ProfilerRuleEvaluationStatus) => any;
}
export declare enum ProfilingStatus {
    DISABLED = "Disabled",
    ENABLED = "Enabled"
}
export declare enum SecondaryStatus {
    COMPLETED = "Completed",
    DOWNLOADING = "Downloading",
    DOWNLOADING_TRAINING_IMAGE = "DownloadingTrainingImage",
    FAILED = "Failed",
    INTERRUPTED = "Interrupted",
    LAUNCHING_ML_INSTANCES = "LaunchingMLInstances",
    MAX_RUNTIME_EXCEEDED = "MaxRuntimeExceeded",
    MAX_WAIT_TIME_EXCEEDED = "MaxWaitTimeExceeded",
    PREPARING_TRAINING_STACK = "PreparingTrainingStack",
    RESTARTING = "Restarting",
    STARTING = "Starting",
    STOPPED = "Stopped",
    STOPPING = "Stopping",
    TRAINING = "Training",
    UPDATING = "Updating",
    UPLOADING = "Uploading"
}

export interface SecondaryStatusTransition {
    
    Status: SecondaryStatus | string | undefined;
    
    StartTime: Date | undefined;
    
    EndTime?: Date;
    
    StatusMessage?: string;
}
export declare namespace SecondaryStatusTransition {
    
    const filterSensitiveLog: (obj: SecondaryStatusTransition) => any;
}
export interface DescribeTrainingJobResponse {
    
    TrainingJobName: string | undefined;
    
    TrainingJobArn: string | undefined;
    
    TuningJobArn?: string;
    
    LabelingJobArn?: string;
    
    AutoMLJobArn?: string;
    
    ModelArtifacts: ModelArtifacts | undefined;
    
    TrainingJobStatus: TrainingJobStatus | string | undefined;
    
    SecondaryStatus: SecondaryStatus | string | undefined;
    
    FailureReason?: string;
    
    HyperParameters?: {
        [key: string]: string;
    };
    
    AlgorithmSpecification: AlgorithmSpecification | undefined;
    
    RoleArn?: string;
    
    InputDataConfig?: Channel[];
    
    OutputDataConfig?: OutputDataConfig;
    
    ResourceConfig: ResourceConfig | undefined;
    
    VpcConfig?: VpcConfig;
    
    StoppingCondition: StoppingCondition | undefined;
    
    CreationTime: Date | undefined;
    
    TrainingStartTime?: Date;
    
    TrainingEndTime?: Date;
    
    LastModifiedTime?: Date;
    
    SecondaryStatusTransitions?: SecondaryStatusTransition[];
    
    FinalMetricDataList?: MetricData[];
    
    EnableNetworkIsolation?: boolean;
    
    EnableInterContainerTrafficEncryption?: boolean;
    
    EnableManagedSpotTraining?: boolean;
    
    CheckpointConfig?: CheckpointConfig;
    
    TrainingTimeInSeconds?: number;
    
    BillableTimeInSeconds?: number;
    
    DebugHookConfig?: DebugHookConfig;
    
    ExperimentConfig?: ExperimentConfig;
    
    DebugRuleConfigurations?: DebugRuleConfiguration[];
    
    TensorBoardOutputConfig?: TensorBoardOutputConfig;
    
    DebugRuleEvaluationStatuses?: DebugRuleEvaluationStatus[];
    
    ProfilerConfig?: ProfilerConfig;
    
    ProfilerRuleConfigurations?: ProfilerRuleConfiguration[];
    
    ProfilerRuleEvaluationStatuses?: ProfilerRuleEvaluationStatus[];
    
    ProfilingStatus?: ProfilingStatus | string;
    
    RetryStrategy?: RetryStrategy;
    
    Environment?: {
        [key: string]: string;
    };
}
export declare namespace DescribeTrainingJobResponse {
    
    const filterSensitiveLog: (obj: DescribeTrainingJobResponse) => any;
}
export interface DescribeTransformJobRequest {
    
    TransformJobName: string | undefined;
}
export declare namespace DescribeTransformJobRequest {
    
    const filterSensitiveLog: (obj: DescribeTransformJobRequest) => any;
}
export declare enum TransformJobStatus {
    COMPLETED = "Completed",
    FAILED = "Failed",
    IN_PROGRESS = "InProgress",
    STOPPED = "Stopped",
    STOPPING = "Stopping"
}
export interface DescribeTransformJobResponse {
    
    TransformJobName: string | undefined;
    
    TransformJobArn: string | undefined;
    
    TransformJobStatus: TransformJobStatus | string | undefined;
    
    FailureReason?: string;
    
    ModelName: string | undefined;
    
    MaxConcurrentTransforms?: number;
    
    ModelClientConfig?: ModelClientConfig;
    
    MaxPayloadInMB?: number;
    
    BatchStrategy?: BatchStrategy | string;
    
    Environment?: {
        [key: string]: string;
    };
    
    TransformInput: TransformInput | undefined;
    
    TransformOutput?: TransformOutput;
    
    TransformResources: TransformResources | undefined;
    
    CreationTime: Date | undefined;
    
    TransformStartTime?: Date;
    
    TransformEndTime?: Date;
    
    LabelingJobArn?: string;
    
    AutoMLJobArn?: string;
    
    DataProcessing?: DataProcessing;
    
    ExperimentConfig?: ExperimentConfig;
}
export declare namespace DescribeTransformJobResponse {
    
    const filterSensitiveLog: (obj: DescribeTransformJobResponse) => any;
}
export interface DescribeTrialRequest {
    
    TrialName: string | undefined;
}
export declare namespace DescribeTrialRequest {
    
    const filterSensitiveLog: (obj: DescribeTrialRequest) => any;
}

export interface TrialSource {
    
    SourceArn: string | undefined;
    
    SourceType?: string;
}
export declare namespace TrialSource {
    
    const filterSensitiveLog: (obj: TrialSource) => any;
}
export interface DescribeTrialResponse {
    
    TrialName?: string;
    
    TrialArn?: string;
    
    DisplayName?: string;
    
    ExperimentName?: string;
    
    Source?: TrialSource;
    
    CreationTime?: Date;
    
    CreatedBy?: UserContext;
    
    LastModifiedTime?: Date;
    
    LastModifiedBy?: UserContext;
    
    MetadataProperties?: MetadataProperties;
}
export declare namespace DescribeTrialResponse {
    
    const filterSensitiveLog: (obj: DescribeTrialResponse) => any;
}
export interface DescribeTrialComponentRequest {
    
    TrialComponentName: string | undefined;
}
export declare namespace DescribeTrialComponentRequest {
    
    const filterSensitiveLog: (obj: DescribeTrialComponentRequest) => any;
}

export interface TrialComponentMetricSummary {
    
    MetricName?: string;
    
    SourceArn?: string;
    
    TimeStamp?: Date;
    
    Max?: number;
    
    Min?: number;
    
    Last?: number;
    
    Count?: number;
    
    Avg?: number;
    
    StdDev?: number;
}
export declare namespace TrialComponentMetricSummary {
    
    const filterSensitiveLog: (obj: TrialComponentMetricSummary) => any;
}

export interface TrialComponentSource {
    
    SourceArn: string | undefined;
    
    SourceType?: string;
}
export declare namespace TrialComponentSource {
    
    const filterSensitiveLog: (obj: TrialComponentSource) => any;
}
export interface DescribeTrialComponentResponse {
    
    TrialComponentName?: string;
    
    TrialComponentArn?: string;
    
    DisplayName?: string;
    
    Source?: TrialComponentSource;
    
    Status?: TrialComponentStatus;
    
    StartTime?: Date;
    
    EndTime?: Date;
    
    CreationTime?: Date;
    
    CreatedBy?: UserContext;
    
    LastModifiedTime?: Date;
    
    LastModifiedBy?: UserContext;
    
    Parameters?: {
        [key: string]: TrialComponentParameterValue;
    };
    
    InputArtifacts?: {
        [key: string]: TrialComponentArtifact;
    };
    
    OutputArtifacts?: {
        [key: string]: TrialComponentArtifact;
    };
    
    MetadataProperties?: MetadataProperties;
    
    Metrics?: TrialComponentMetricSummary[];
    
    LineageGroupArn?: string;
}
export declare namespace DescribeTrialComponentResponse {
    
    const filterSensitiveLog: (obj: DescribeTrialComponentResponse) => any;
}
export interface DescribeUserProfileRequest {
    
    DomainId: string | undefined;
    
    UserProfileName: string | undefined;
}
export declare namespace DescribeUserProfileRequest {
    
    const filterSensitiveLog: (obj: DescribeUserProfileRequest) => any;
}
export declare enum UserProfileStatus {
    Delete_Failed = "Delete_Failed",
    Deleting = "Deleting",
    Failed = "Failed",
    InService = "InService",
    Pending = "Pending",
    Update_Failed = "Update_Failed",
    Updating = "Updating"
}
export interface DescribeUserProfileResponse {
    
    DomainId?: string;
    
    UserProfileArn?: string;
    
    UserProfileName?: string;
    
    HomeEfsFileSystemUid?: string;
    
    Status?: UserProfileStatus | string;
    
    LastModifiedTime?: Date;
    
    CreationTime?: Date;
    
    FailureReason?: string;
    
    SingleSignOnUserIdentifier?: string;
    
    SingleSignOnUserValue?: string;
    
    UserSettings?: UserSettings;
}
export declare namespace DescribeUserProfileResponse {
    
    const filterSensitiveLog: (obj: DescribeUserProfileResponse) => any;
}
export interface DescribeWorkforceRequest {
    
    WorkforceName: string | undefined;
}
export declare namespace DescribeWorkforceRequest {
    
    const filterSensitiveLog: (obj: DescribeWorkforceRequest) => any;
}

export interface OidcConfigForResponse {
    
    ClientId?: string;
    
    Issuer?: string;
    
    AuthorizationEndpoint?: string;
    
    TokenEndpoint?: string;
    
    UserInfoEndpoint?: string;
    
    LogoutEndpoint?: string;
    
    JwksUri?: string;
}
export declare namespace OidcConfigForResponse {
    
    const filterSensitiveLog: (obj: OidcConfigForResponse) => any;
}

export interface Workforce {
    
    WorkforceName: string | undefined;
    
    WorkforceArn: string | undefined;
    
    LastUpdatedDate?: Date;
    
    SourceIpConfig?: SourceIpConfig;
    
    SubDomain?: string;
    
    CognitoConfig?: CognitoConfig;
    
    OidcConfig?: OidcConfigForResponse;
    
    CreateDate?: Date;
}
export declare namespace Workforce {
    
    const filterSensitiveLog: (obj: Workforce) => any;
}
export interface DescribeWorkforceResponse {
    
    Workforce: Workforce | undefined;
}
export declare namespace DescribeWorkforceResponse {
    
    const filterSensitiveLog: (obj: DescribeWorkforceResponse) => any;
}
export interface DescribeWorkteamRequest {
    
    WorkteamName: string | undefined;
}
export declare namespace DescribeWorkteamRequest {
    
    const filterSensitiveLog: (obj: DescribeWorkteamRequest) => any;
}

export interface Workteam {
    
    WorkteamName: string | undefined;
    
    MemberDefinitions: MemberDefinition[] | undefined;
    
    WorkteamArn: string | undefined;
    
    WorkforceArn?: string;
    
    ProductListingIds?: string[];
    
    Description: string | undefined;
    
    SubDomain?: string;
    
    CreateDate?: Date;
    
    LastUpdatedDate?: Date;
    
    NotificationConfiguration?: NotificationConfiguration;
}
export declare namespace Workteam {
    
    const filterSensitiveLog: (obj: Workteam) => any;
}
export interface DescribeWorkteamResponse {
    
    Workteam: Workteam | undefined;
}
export declare namespace DescribeWorkteamResponse {
    
    const filterSensitiveLog: (obj: DescribeWorkteamResponse) => any;
}

export interface DesiredWeightAndCapacity {
    
    VariantName: string | undefined;
    
    DesiredWeight?: number;
    
    DesiredInstanceCount?: number;
}
export declare namespace DesiredWeightAndCapacity {
    
    const filterSensitiveLog: (obj: DesiredWeightAndCapacity) => any;
}

export interface Device {
    
    DeviceName: string | undefined;
    
    Description?: string;
    
    IotThingName?: string;
}
export declare namespace Device {
    
    const filterSensitiveLog: (obj: Device) => any;
}

export interface DeviceFleetSummary {
    
    DeviceFleetArn: string | undefined;
    
    DeviceFleetName: string | undefined;
    
    CreationTime?: Date;
    
    LastModifiedTime?: Date;
}
export declare namespace DeviceFleetSummary {
    
    const filterSensitiveLog: (obj: DeviceFleetSummary) => any;
}

export interface DeviceStats {
    
    ConnectedDeviceCount: number | undefined;
    
    RegisteredDeviceCount: number | undefined;
}
export declare namespace DeviceStats {
    
    const filterSensitiveLog: (obj: DeviceStats) => any;
}

export interface EdgeModelSummary {
    
    ModelName: string | undefined;
    
    ModelVersion: string | undefined;
}
export declare namespace EdgeModelSummary {
    
    const filterSensitiveLog: (obj: EdgeModelSummary) => any;
}

export interface DeviceSummary {
    
    DeviceName: string | undefined;
    
    DeviceArn: string | undefined;
    
    Description?: string;
    
    DeviceFleetName?: string;
    
    IotThingName?: string;
    
    RegistrationTime?: Date;
    
    LatestHeartbeat?: Date;
    
    Models?: EdgeModelSummary[];
    
    AgentVersion?: string;
}
export declare namespace DeviceSummary {
    
    const filterSensitiveLog: (obj: DeviceSummary) => any;
}
export declare enum Direction {
    ASCENDANTS = "Ascendants",
    BOTH = "Both",
    DESCENDANTS = "Descendants"
}
export interface DisableSagemakerServicecatalogPortfolioInput {
}
export declare namespace DisableSagemakerServicecatalogPortfolioInput {
    
    const filterSensitiveLog: (obj: DisableSagemakerServicecatalogPortfolioInput) => any;
}
export interface DisableSagemakerServicecatalogPortfolioOutput {
}
export declare namespace DisableSagemakerServicecatalogPortfolioOutput {
    
    const filterSensitiveLog: (obj: DisableSagemakerServicecatalogPortfolioOutput) => any;
}
export interface DisassociateTrialComponentRequest {
    
    TrialComponentName: string | undefined;
    
    TrialName: string | undefined;
}
export declare namespace DisassociateTrialComponentRequest {
    
    const filterSensitiveLog: (obj: DisassociateTrialComponentRequest) => any;
}
export interface DisassociateTrialComponentResponse {
    
    TrialComponentArn?: string;
    
    TrialArn?: string;
}
export declare namespace DisassociateTrialComponentResponse {
    
    const filterSensitiveLog: (obj: DisassociateTrialComponentResponse) => any;
}

export interface DomainDetails {
    
    DomainArn?: string;
    
    DomainId?: string;
    
    DomainName?: string;
    
    Status?: DomainStatus | string;
    
    CreationTime?: Date;
    
    LastModifiedTime?: Date;
    
    Url?: string;
}
export declare namespace DomainDetails {
    
    const filterSensitiveLog: (obj: DomainDetails) => any;
}

export interface RStudioServerProDomainSettingsForUpdate {
    
    DomainExecutionRoleArn: string | undefined;
    
    DefaultResourceSpec?: ResourceSpec;
}
export declare namespace RStudioServerProDomainSettingsForUpdate {
    
    const filterSensitiveLog: (obj: RStudioServerProDomainSettingsForUpdate) => any;
}

export interface DomainSettingsForUpdate {
    
    RStudioServerProDomainSettingsForUpdate?: RStudioServerProDomainSettingsForUpdate;
}
export declare namespace DomainSettingsForUpdate {
    
    const filterSensitiveLog: (obj: DomainSettingsForUpdate) => any;
}

export interface Edge {
    
    SourceArn?: string;
    
    DestinationArn?: string;
    
    AssociationType?: AssociationEdgeType | string;
}
export declare namespace Edge {
    
    const filterSensitiveLog: (obj: Edge) => any;
}

export interface EdgeModelStat {
    
    ModelName: string | undefined;
    
    ModelVersion: string | undefined;
    
    OfflineDeviceCount: number | undefined;
    
    ConnectedDeviceCount: number | undefined;
    
    ActiveDeviceCount: number | undefined;
    
    SamplingDeviceCount: number | undefined;
}
export declare namespace EdgeModelStat {
    
    const filterSensitiveLog: (obj: EdgeModelStat) => any;
}

export interface EdgePackagingJobSummary {
    
    EdgePackagingJobArn: string | undefined;
    
    EdgePackagingJobName: string | undefined;
    
    EdgePackagingJobStatus: EdgePackagingJobStatus | string | undefined;
    
    CompilationJobName?: string;
    
    ModelName?: string;
    
    ModelVersion?: string;
    
    CreationTime?: Date;
    
    LastModifiedTime?: Date;
}
export declare namespace EdgePackagingJobSummary {
    
    const filterSensitiveLog: (obj: EdgePackagingJobSummary) => any;
}

export interface EMRStepMetadata {
    
    ClusterId?: string;
    
    StepId?: string;
    
    StepName?: string;
    
    LogFilePath?: string;
}
export declare namespace EMRStepMetadata {
    
    const filterSensitiveLog: (obj: EMRStepMetadata) => any;
}
export interface EnableSagemakerServicecatalogPortfolioInput {
}
export declare namespace EnableSagemakerServicecatalogPortfolioInput {
    
    const filterSensitiveLog: (obj: EnableSagemakerServicecatalogPortfolioInput) => any;
}
export interface EnableSagemakerServicecatalogPortfolioOutput {
}
export declare namespace EnableSagemakerServicecatalogPortfolioOutput {
    
    const filterSensitiveLog: (obj: EnableSagemakerServicecatalogPortfolioOutput) => any;
}

export interface MonitoringSchedule {
    
    MonitoringScheduleArn?: string;
    
    MonitoringScheduleName?: string;
    
    MonitoringScheduleStatus?: ScheduleStatus | string;
    
    MonitoringType?: MonitoringType | string;
    
    FailureReason?: string;
    
    CreationTime?: Date;
    
    LastModifiedTime?: Date;
    
    MonitoringScheduleConfig?: MonitoringScheduleConfig;
    
    EndpointName?: string;
    
    LastMonitoringExecutionSummary?: MonitoringExecutionSummary;
    
    Tags?: Tag[];
}
export declare namespace MonitoringSchedule {
    
    const filterSensitiveLog: (obj: MonitoringSchedule) => any;
}

export interface Endpoint {
    
    EndpointName: string | undefined;
    
    EndpointArn: string | undefined;
    
    EndpointConfigName: string | undefined;
    
    ProductionVariants?: ProductionVariantSummary[];
    
    DataCaptureConfig?: DataCaptureConfigSummary;
    
    EndpointStatus: EndpointStatus | string | undefined;
    
    FailureReason?: string;
    
    CreationTime: Date | undefined;
    
    LastModifiedTime: Date | undefined;
    
    MonitoringSchedules?: MonitoringSchedule[];
    
    Tags?: Tag[];
}
export declare namespace Endpoint {
    
    const filterSensitiveLog: (obj: Endpoint) => any;
}
export declare enum EndpointConfigSortKey {
    CreationTime = "CreationTime",
    Name = "Name"
}

export interface EndpointConfigSummary {
    
    EndpointConfigName: string | undefined;
    
    EndpointConfigArn: string | undefined;
    
    CreationTime: Date | undefined;
}
export declare namespace EndpointConfigSummary {
    
    const filterSensitiveLog: (obj: EndpointConfigSummary) => any;
}
export declare enum EndpointSortKey {
    CreationTime = "CreationTime",
    Name = "Name",
    Status = "Status"
}

export interface EndpointSummary {
    
    EndpointName: string | undefined;
    
    EndpointArn: string | undefined;
    
    CreationTime: Date | undefined;
    
    LastModifiedTime: Date | undefined;
    
    EndpointStatus: EndpointStatus | string | undefined;
}
export declare namespace EndpointSummary {
    
    const filterSensitiveLog: (obj: EndpointSummary) => any;
}

export interface Experiment {
    
    ExperimentName?: string;
    
    ExperimentArn?: string;
    
    DisplayName?: string;
    
    Source?: ExperimentSource;
    
    Description?: string;
    
    CreationTime?: Date;
    
    CreatedBy?: UserContext;
    
    LastModifiedTime?: Date;
    
    LastModifiedBy?: UserContext;
    
    Tags?: Tag[];
}
export declare namespace Experiment {
    
    const filterSensitiveLog: (obj: Experiment) => any;
}

export interface ExperimentSummary {
    
    ExperimentArn?: string;
    
    ExperimentName?: string;
    
    DisplayName?: string;
    
    ExperimentSource?: ExperimentSource;
    
    CreationTime?: Date;
    
    LastModifiedTime?: Date;
}
export declare namespace ExperimentSummary {
    
    const filterSensitiveLog: (obj: ExperimentSummary) => any;
}

export interface FailStepMetadata {
    
    ErrorMessage?: string;
}
export declare namespace FailStepMetadata {
    
    const filterSensitiveLog: (obj: FailStepMetadata) => any;
}

export interface FeatureGroup {
    
    FeatureGroupArn?: string;
    
    FeatureGroupName?: string;
    
    RecordIdentifierFeatureName?: string;
    
    EventTimeFeatureName?: string;
    
    FeatureDefinitions?: FeatureDefinition[];
    
    CreationTime?: Date;
    
    OnlineStoreConfig?: OnlineStoreConfig;
    
    OfflineStoreConfig?: OfflineStoreConfig;
    
    RoleArn?: string;
    
    FeatureGroupStatus?: FeatureGroupStatus | string;
    
    OfflineStoreStatus?: OfflineStoreStatus;
    
    FailureReason?: string;
    
    Description?: string;
    
    Tags?: Tag[];
}
export declare namespace FeatureGroup {
    
    const filterSensitiveLog: (obj: FeatureGroup) => any;
}
export declare enum FeatureGroupSortBy {
    CREATION_TIME = "CreationTime",
    FEATURE_GROUP_STATUS = "FeatureGroupStatus",
    NAME = "Name",
    OFFLINE_STORE_STATUS = "OfflineStoreStatus"
}
export declare enum FeatureGroupSortOrder {
    ASCENDING = "Ascending",
    DESCENDING = "Descending"
}

export interface FeatureGroupSummary {
    
    FeatureGroupName: string | undefined;
    
    FeatureGroupArn: string | undefined;
    
    CreationTime: Date | undefined;
    
    FeatureGroupStatus?: FeatureGroupStatus | string;
    
    OfflineStoreStatus?: OfflineStoreStatus;
}
export declare namespace FeatureGroupSummary {
    
    const filterSensitiveLog: (obj: FeatureGroupSummary) => any;
}
export declare enum Operator {
    CONTAINS = "Contains",
    EQUALS = "Equals",
    EXISTS = "Exists",
    GREATER_THAN = "GreaterThan",
    GREATER_THAN_OR_EQUAL_TO = "GreaterThanOrEqualTo",
    IN = "In",
    LESS_THAN = "LessThan",
    LESS_THAN_OR_EQUAL_TO = "LessThanOrEqualTo",
    NOT_EQUALS = "NotEquals",
    NOT_EXISTS = "NotExists"
}

export interface Filter {
    
    Name: string | undefined;
    
    Operator?: Operator | string;
    
    Value?: string;
}
export declare namespace Filter {
    
    const filterSensitiveLog: (obj: Filter) => any;
}

export interface FlowDefinitionSummary {
    
    FlowDefinitionName: string | undefined;
    
    FlowDefinitionArn: string | undefined;
    
    FlowDefinitionStatus: FlowDefinitionStatus | string | undefined;
    
    CreationTime: Date | undefined;
    
    FailureReason?: string;
}
export declare namespace FlowDefinitionSummary {
    
    const filterSensitiveLog: (obj: FlowDefinitionSummary) => any;
}
export interface GetDeviceFleetReportRequest {
    
    DeviceFleetName: string | undefined;
}
export declare namespace GetDeviceFleetReportRequest {
    
    const filterSensitiveLog: (obj: GetDeviceFleetReportRequest) => any;
}
export interface GetDeviceFleetReportResponse {
    
    DeviceFleetArn: string | undefined;
    
    DeviceFleetName: string | undefined;
    
    OutputConfig?: EdgeOutputConfig;
    
    Description?: string;
    
    ReportGenerated?: Date;
    
    DeviceStats?: DeviceStats;
    
    AgentVersions?: AgentVersion[];
    
    ModelStats?: EdgeModelStat[];
}
export declare namespace GetDeviceFleetReportResponse {
    
    const filterSensitiveLog: (obj: GetDeviceFleetReportResponse) => any;
}
export interface GetLineageGroupPolicyRequest {
    
    LineageGroupName: string | undefined;
}
export declare namespace GetLineageGroupPolicyRequest {
    
    const filterSensitiveLog: (obj: GetLineageGroupPolicyRequest) => any;
}
export interface GetLineageGroupPolicyResponse {
    
    LineageGroupArn?: string;
    
    ResourcePolicy?: string;
}
export declare namespace GetLineageGroupPolicyResponse {
    
    const filterSensitiveLog: (obj: GetLineageGroupPolicyResponse) => any;
}
export interface GetModelPackageGroupPolicyInput {
    
    ModelPackageGroupName: string | undefined;
}
export declare namespace GetModelPackageGroupPolicyInput {
    
    const filterSensitiveLog: (obj: GetModelPackageGroupPolicyInput) => any;
}
export interface GetModelPackageGroupPolicyOutput {
    
    ResourcePolicy: string | undefined;
}
export declare namespace GetModelPackageGroupPolicyOutput {
    
    const filterSensitiveLog: (obj: GetModelPackageGroupPolicyOutput) => any;
}
export interface GetSagemakerServicecatalogPortfolioStatusInput {
}
export declare namespace GetSagemakerServicecatalogPortfolioStatusInput {
    
    const filterSensitiveLog: (obj: GetSagemakerServicecatalogPortfolioStatusInput) => any;
}
export declare enum SagemakerServicecatalogStatus {
    DISABLED = "Disabled",
    ENABLED = "Enabled"
}
export interface GetSagemakerServicecatalogPortfolioStatusOutput {
    
    Status?: SagemakerServicecatalogStatus | string;
}
export declare namespace GetSagemakerServicecatalogPortfolioStatusOutput {
    
    const filterSensitiveLog: (obj: GetSagemakerServicecatalogPortfolioStatusOutput) => any;
}
export declare enum ResourceType {
    ENDPOINT = "Endpoint",
    EXPERIMENT = "Experiment",
    EXPERIMENT_TRIAL = "ExperimentTrial",
    EXPERIMENT_TRIAL_COMPONENT = "ExperimentTrialComponent",
    FEATURE_GROUP = "FeatureGroup",
    MODEL_PACKAGE = "ModelPackage",
    MODEL_PACKAGE_GROUP = "ModelPackageGroup",
    PIPELINE = "Pipeline",
    PIPELINE_EXECUTION = "PipelineExecution",
    PROJECT = "Project",
    TRAINING_JOB = "TrainingJob"
}

export interface PropertyNameQuery {
    
    PropertyNameHint: string | undefined;
}
export declare namespace PropertyNameQuery {
    
    const filterSensitiveLog: (obj: PropertyNameQuery) => any;
}

export interface SuggestionQuery {
    
    PropertyNameQuery?: PropertyNameQuery;
}
export declare namespace SuggestionQuery {
    
    const filterSensitiveLog: (obj: SuggestionQuery) => any;
}
export interface GetSearchSuggestionsRequest {
    
    Resource: ResourceType | string | undefined;
    
    SuggestionQuery?: SuggestionQuery;
}
export declare namespace GetSearchSuggestionsRequest {
    
    const filterSensitiveLog: (obj: GetSearchSuggestionsRequest) => any;
}

export interface PropertyNameSuggestion {
    
    PropertyName?: string;
}
export declare namespace PropertyNameSuggestion {
    
    const filterSensitiveLog: (obj: PropertyNameSuggestion) => any;
}
export interface GetSearchSuggestionsResponse {
    
    PropertyNameSuggestions?: PropertyNameSuggestion[];
}
export declare namespace GetSearchSuggestionsResponse {
    
    const filterSensitiveLog: (obj: GetSearchSuggestionsResponse) => any;
}

export interface GitConfigForUpdate {
    
    SecretArn?: string;
}
export declare namespace GitConfigForUpdate {
    
    const filterSensitiveLog: (obj: GitConfigForUpdate) => any;
}

export interface HumanTaskUiSummary {
    
    HumanTaskUiName: string | undefined;
    
    HumanTaskUiArn: string | undefined;
    
    CreationTime: Date | undefined;
}
export declare namespace HumanTaskUiSummary {
    
    const filterSensitiveLog: (obj: HumanTaskUiSummary) => any;
}
export declare enum HyperParameterTuningJobSortByOptions {
    CreationTime = "CreationTime",
    Name = "Name",
    Status = "Status"
}

export interface HyperParameterTuningJobSummary {
    
    HyperParameterTuningJobName: string | undefined;
    
    HyperParameterTuningJobArn: string | undefined;
    
    HyperParameterTuningJobStatus: HyperParameterTuningJobStatus | string | undefined;
    
    Strategy: HyperParameterTuningJobStrategyType | string | undefined;
    
    CreationTime: Date | undefined;
    
    HyperParameterTuningEndTime?: Date;
    
    LastModifiedTime?: Date;
    
    TrainingJobStatusCounters: TrainingJobStatusCounters | undefined;
    
    ObjectiveStatusCounters: ObjectiveStatusCounters | undefined;
    
    ResourceLimits?: ResourceLimits;
}
export declare namespace HyperParameterTuningJobSummary {
    
    const filterSensitiveLog: (obj: HyperParameterTuningJobSummary) => any;
}

export interface Image {
    
    CreationTime: Date | undefined;
    
    Description?: string;
    
    DisplayName?: string;
    
    FailureReason?: string;
    
    ImageArn: string | undefined;
    
    ImageName: string | undefined;
    
    ImageStatus: ImageStatus | string | undefined;
    
    LastModifiedTime: Date | undefined;
}
export declare namespace Image {
    
    const filterSensitiveLog: (obj: Image) => any;
}
export declare enum ImageSortBy {
    CREATION_TIME = "CREATION_TIME",
    IMAGE_NAME = "IMAGE_NAME",
    LAST_MODIFIED_TIME = "LAST_MODIFIED_TIME"
}
export declare enum ImageSortOrder {
    ASCENDING = "ASCENDING",
    DESCENDING = "DESCENDING"
}

export interface ImageVersion {
    
    CreationTime: Date | undefined;
    
    FailureReason?: string;
    
    ImageArn: string | undefined;
    
    ImageVersionArn: string | undefined;
    
    ImageVersionStatus: ImageVersionStatus | string | undefined;
    
    LastModifiedTime: Date | undefined;
    
    Version: number | undefined;
}
export declare namespace ImageVersion {
    
    const filterSensitiveLog: (obj: ImageVersion) => any;
}
export declare enum ImageVersionSortBy {
    CREATION_TIME = "CREATION_TIME",
    LAST_MODIFIED_TIME = "LAST_MODIFIED_TIME",
    VERSION = "VERSION"
}
export declare enum ImageVersionSortOrder {
    ASCENDING = "ASCENDING",
    DESCENDING = "DESCENDING"
}

export interface InferenceRecommendationsJob {
    
    JobName: string | undefined;
    
    JobDescription: string | undefined;
    
    JobType: RecommendationJobType | string | undefined;
    
    JobArn: string | undefined;
    
    Status: RecommendationJobStatus | string | undefined;
    
    CreationTime: Date | undefined;
    
    CompletionTime?: Date;
    
    RoleArn: string | undefined;
    
    LastModifiedTime: Date | undefined;
    
    FailureReason?: string;
}
export declare namespace InferenceRecommendationsJob {
    
    const filterSensitiveLog: (obj: InferenceRecommendationsJob) => any;
}

export interface LabelCountersForWorkteam {
    
    HumanLabeled?: number;
    
    PendingHuman?: number;
    
    Total?: number;
}
export declare namespace LabelCountersForWorkteam {
    
    const filterSensitiveLog: (obj: LabelCountersForWorkteam) => any;
}

export interface LabelingJobForWorkteamSummary {
    
    LabelingJobName?: string;
    
    JobReferenceCode: string | undefined;
    
    WorkRequesterAccountId: string | undefined;
    
    CreationTime: Date | undefined;
    
    LabelCounters?: LabelCountersForWorkteam;
    
    NumberOfHumanWorkersPerDataObject?: number;
}
export declare namespace LabelingJobForWorkteamSummary {
    
    const filterSensitiveLog: (obj: LabelingJobForWorkteamSummary) => any;
}

export interface LabelingJobSummary {
    
    LabelingJobName: string | undefined;
    
    LabelingJobArn: string | undefined;
    
    CreationTime: Date | undefined;
    
    LastModifiedTime: Date | undefined;
    
    LabelingJobStatus: LabelingJobStatus | string | undefined;
    
    LabelCounters: LabelCounters | undefined;
    
    WorkteamArn: string | undefined;
    
    PreHumanTaskLambdaArn: string | undefined;
    
    AnnotationConsolidationLambdaArn?: string;
    
    FailureReason?: string;
    
    LabelingJobOutput?: LabelingJobOutput;
    
    InputConfig?: LabelingJobInputConfig;
}
export declare namespace LabelingJobSummary {
    
    const filterSensitiveLog: (obj: LabelingJobSummary) => any;
}

export interface LambdaStepMetadata {
    
    Arn?: string;
    
    OutputParameters?: OutputParameter[];
}
export declare namespace LambdaStepMetadata {
    
    const filterSensitiveLog: (obj: LambdaStepMetadata) => any;
}

export interface LineageGroupSummary {
    
    LineageGroupArn?: string;
    
    LineageGroupName?: string;
    
    DisplayName?: string;
    
    CreationTime?: Date;
    
    LastModifiedTime?: Date;
}
export declare namespace LineageGroupSummary {
    
    const filterSensitiveLog: (obj: LineageGroupSummary) => any;
}
export declare enum LineageType {
    ACTION = "Action",
    ARTIFACT = "Artifact",
    CONTEXT = "Context",
    TRIAL_COMPONENT = "TrialComponent"
}
export declare enum SortActionsBy {
    CREATION_TIME = "CreationTime",
    NAME = "Name"
}
export declare enum SortOrder {
    ASCENDING = "Ascending",
    DESCENDING = "Descending"
}
export interface ListActionsRequest {
    
    SourceUri?: string;
    
    ActionType?: string;
    
    CreatedAfter?: Date;
    
    CreatedBefore?: Date;
    
    SortBy?: SortActionsBy | string;
    
    SortOrder?: SortOrder | string;
    
    NextToken?: string;
    
    MaxResults?: number;
}
export declare namespace ListActionsRequest {
    
    const filterSensitiveLog: (obj: ListActionsRequest) => any;
}
export interface ListActionsResponse {
    
    ActionSummaries?: ActionSummary[];
    
    NextToken?: string;
}
export declare namespace ListActionsResponse {
    
    const filterSensitiveLog: (obj: ListActionsResponse) => any;
}
export interface ListAlgorithmsInput {
    
    CreationTimeAfter?: Date;
    
    CreationTimeBefore?: Date;
    
    MaxResults?: number;
    
    NameContains?: string;
    
    NextToken?: string;
    
    SortBy?: AlgorithmSortBy | string;
    
    SortOrder?: SortOrder | string;
}
export declare namespace ListAlgorithmsInput {
    
    const filterSensitiveLog: (obj: ListAlgorithmsInput) => any;
}
export interface ListAlgorithmsOutput {
    
    AlgorithmSummaryList: AlgorithmSummary[] | undefined;
    
    NextToken?: string;
}
export declare namespace ListAlgorithmsOutput {
    
    const filterSensitiveLog: (obj: ListAlgorithmsOutput) => any;
}
export interface ListAppImageConfigsRequest {
    
    MaxResults?: number;
    
    NextToken?: string;
    
    NameContains?: string;
    
    CreationTimeBefore?: Date;
    
    CreationTimeAfter?: Date;
    
    ModifiedTimeBefore?: Date;
    
    ModifiedTimeAfter?: Date;
    
    SortBy?: AppImageConfigSortKey | string;
    
    SortOrder?: SortOrder | string;
}
export declare namespace ListAppImageConfigsRequest {
    
    const filterSensitiveLog: (obj: ListAppImageConfigsRequest) => any;
}
export interface ListAppImageConfigsResponse {
    
    NextToken?: string;
    
    AppImageConfigs?: AppImageConfigDetails[];
}
export declare namespace ListAppImageConfigsResponse {
    
    const filterSensitiveLog: (obj: ListAppImageConfigsResponse) => any;
}
export interface ListAppsRequest {
    
    NextToken?: string;
    
    MaxResults?: number;
    
    SortOrder?: SortOrder | string;
    
    SortBy?: AppSortKey | string;
    
    DomainIdEquals?: string;
    
    UserProfileNameEquals?: string;
}
export declare namespace ListAppsRequest {
    
    const filterSensitiveLog: (obj: ListAppsRequest) => any;
}
export interface ListAppsResponse {
    
    Apps?: AppDetails[];
    
    NextToken?: string;
}
export declare namespace ListAppsResponse {
    
    const filterSensitiveLog: (obj: ListAppsResponse) => any;
}
export declare enum SortArtifactsBy {
    CREATION_TIME = "CreationTime"
}
export interface ListArtifactsRequest {
    
    SourceUri?: string;
    
    ArtifactType?: string;
    
    CreatedAfter?: Date;
    
    CreatedBefore?: Date;
    
    SortBy?: SortArtifactsBy | string;
    
    SortOrder?: SortOrder | string;
    
    NextToken?: string;
    
    MaxResults?: number;
}
export declare namespace ListArtifactsRequest {
    
    const filterSensitiveLog: (obj: ListArtifactsRequest) => any;
}
export interface ListArtifactsResponse {
    
    ArtifactSummaries?: ArtifactSummary[];
    
    NextToken?: string;
}
export declare namespace ListArtifactsResponse {
    
    const filterSensitiveLog: (obj: ListArtifactsResponse) => any;
}
export declare enum SortAssociationsBy {
    CREATION_TIME = "CreationTime",
    DESTINATION_ARN = "DestinationArn",
    DESTINATION_TYPE = "DestinationType",
    SOURCE_ARN = "SourceArn",
    SOURCE_TYPE = "SourceType"
}
export interface ListAssociationsRequest {
    
    SourceArn?: string;
    
    DestinationArn?: string;
    
    SourceType?: string;
    
    DestinationType?: string;
    
    AssociationType?: AssociationEdgeType | string;
    
    CreatedAfter?: Date;
    
    CreatedBefore?: Date;
    
    SortBy?: SortAssociationsBy | string;
    
    SortOrder?: SortOrder | string;
    
    NextToken?: string;
    
    MaxResults?: number;
}
export declare namespace ListAssociationsRequest {
    
    const filterSensitiveLog: (obj: ListAssociationsRequest) => any;
}
export interface ListAssociationsResponse {
    
    AssociationSummaries?: AssociationSummary[];
    
    NextToken?: string;
}
export declare namespace ListAssociationsResponse {
    
    const filterSensitiveLog: (obj: ListAssociationsResponse) => any;
}
export interface ListAutoMLJobsRequest {
    
    CreationTimeAfter?: Date;
    
    CreationTimeBefore?: Date;
    
    LastModifiedTimeAfter?: Date;
    
    LastModifiedTimeBefore?: Date;
    
    NameContains?: string;
    
    StatusEquals?: AutoMLJobStatus | string;
    
    SortOrder?: AutoMLSortOrder | string;
    
    SortBy?: AutoMLSortBy | string;
    
    MaxResults?: number;
    
    NextToken?: string;
}
export declare namespace ListAutoMLJobsRequest {
    
    const filterSensitiveLog: (obj: ListAutoMLJobsRequest) => any;
}
export interface ListAutoMLJobsResponse {
    
    AutoMLJobSummaries: AutoMLJobSummary[] | undefined;
    
    NextToken?: string;
}
export declare namespace ListAutoMLJobsResponse {
    
    const filterSensitiveLog: (obj: ListAutoMLJobsResponse) => any;
}
export interface ListCandidatesForAutoMLJobRequest {
    
    AutoMLJobName: string | undefined;
    
    StatusEquals?: CandidateStatus | string;
    
    CandidateNameEquals?: string;
    
    SortOrder?: AutoMLSortOrder | string;
    
    SortBy?: CandidateSortBy | string;
    
    MaxResults?: number;
    
    NextToken?: string;
}
export declare namespace ListCandidatesForAutoMLJobRequest {
    
    const filterSensitiveLog: (obj: ListCandidatesForAutoMLJobRequest) => any;
}
export interface ListCandidatesForAutoMLJobResponse {
    
    Candidates: AutoMLCandidate[] | undefined;
    
    NextToken?: string;
}
export declare namespace ListCandidatesForAutoMLJobResponse {
    
    const filterSensitiveLog: (obj: ListCandidatesForAutoMLJobResponse) => any;
}
export interface ListCodeRepositoriesInput {
    
    CreationTimeAfter?: Date;
    
    CreationTimeBefore?: Date;
    
    LastModifiedTimeAfter?: Date;
    
    LastModifiedTimeBefore?: Date;
    
    MaxResults?: number;
    
    NameContains?: string;
    
    NextToken?: string;
    
    SortBy?: CodeRepositorySortBy | string;
    
    SortOrder?: CodeRepositorySortOrder | string;
}
export declare namespace ListCodeRepositoriesInput {
    
    const filterSensitiveLog: (obj: ListCodeRepositoriesInput) => any;
}
export interface ListCodeRepositoriesOutput {
    
    CodeRepositorySummaryList: CodeRepositorySummary[] | undefined;
    
    NextToken?: string;
}
export declare namespace ListCodeRepositoriesOutput {
    
    const filterSensitiveLog: (obj: ListCodeRepositoriesOutput) => any;
}
export declare enum ListCompilationJobsSortBy {
    CREATION_TIME = "CreationTime",
    NAME = "Name",
    STATUS = "Status"
}
export interface ListCompilationJobsRequest {
    
    NextToken?: string;
    
    MaxResults?: number;
    
    CreationTimeAfter?: Date;
    
    CreationTimeBefore?: Date;
    
    LastModifiedTimeAfter?: Date;
    
    LastModifiedTimeBefore?: Date;
    
    NameContains?: string;
    
    StatusEquals?: CompilationJobStatus | string;
    
    SortBy?: ListCompilationJobsSortBy | string;
    
    SortOrder?: SortOrder | string;
}
export declare namespace ListCompilationJobsRequest {
    
    const filterSensitiveLog: (obj: ListCompilationJobsRequest) => any;
}
export interface ListCompilationJobsResponse {
    
    CompilationJobSummaries: CompilationJobSummary[] | undefined;
    
    NextToken?: string;
}
export declare namespace ListCompilationJobsResponse {
    
    const filterSensitiveLog: (obj: ListCompilationJobsResponse) => any;
}
export declare enum SortContextsBy {
    CREATION_TIME = "CreationTime",
    NAME = "Name"
}
export interface ListContextsRequest {
    
    SourceUri?: string;
    
    ContextType?: string;
    
    CreatedAfter?: Date;
    
    CreatedBefore?: Date;
    
    SortBy?: SortContextsBy | string;
    
    SortOrder?: SortOrder | string;
    
    NextToken?: string;
    
    MaxResults?: number;
}
export declare namespace ListContextsRequest {
    
    const filterSensitiveLog: (obj: ListContextsRequest) => any;
}
export interface ListContextsResponse {
    
    ContextSummaries?: ContextSummary[];
    
    NextToken?: string;
}
export declare namespace ListContextsResponse {
    
    const filterSensitiveLog: (obj: ListContextsResponse) => any;
}
export declare enum MonitoringJobDefinitionSortKey {
    CREATION_TIME = "CreationTime",
    NAME = "Name"
}
export interface ListDataQualityJobDefinitionsRequest {
    
    EndpointName?: string;
    
    SortBy?: MonitoringJobDefinitionSortKey | string;
    
    SortOrder?: SortOrder | string;
    
    NextToken?: string;
    
    MaxResults?: number;
    
    NameContains?: string;
    
    CreationTimeBefore?: Date;
    
    CreationTimeAfter?: Date;
}
export declare namespace ListDataQualityJobDefinitionsRequest {
    
    const filterSensitiveLog: (obj: ListDataQualityJobDefinitionsRequest) => any;
}

export interface MonitoringJobDefinitionSummary {
    
    MonitoringJobDefinitionName: string | undefined;
    
    MonitoringJobDefinitionArn: string | undefined;
    
    CreationTime: Date | undefined;
    
    EndpointName: string | undefined;
}
export declare namespace MonitoringJobDefinitionSummary {
    
    const filterSensitiveLog: (obj: MonitoringJobDefinitionSummary) => any;
}
export interface ListDataQualityJobDefinitionsResponse {
    
    JobDefinitionSummaries: MonitoringJobDefinitionSummary[] | undefined;
    
    NextToken?: string;
}
export declare namespace ListDataQualityJobDefinitionsResponse {
    
    const filterSensitiveLog: (obj: ListDataQualityJobDefinitionsResponse) => any;
}
export declare enum ListDeviceFleetsSortBy {
    CreationTime = "CREATION_TIME",
    LastModifiedTime = "LAST_MODIFIED_TIME",
    Name = "NAME"
}
export interface ListDeviceFleetsRequest {
    
    NextToken?: string;
    
    MaxResults?: number;
    
    CreationTimeAfter?: Date;
    
    CreationTimeBefore?: Date;
    
    LastModifiedTimeAfter?: Date;
    
    LastModifiedTimeBefore?: Date;
    
    NameContains?: string;
    
    SortBy?: ListDeviceFleetsSortBy | string;
    
    SortOrder?: SortOrder | string;
}
export declare namespace ListDeviceFleetsRequest {
    
    const filterSensitiveLog: (obj: ListDeviceFleetsRequest) => any;
}
export interface ListDeviceFleetsResponse {
    
    DeviceFleetSummaries: DeviceFleetSummary[] | undefined;
    
    NextToken?: string;
}
export declare namespace ListDeviceFleetsResponse {
    
    const filterSensitiveLog: (obj: ListDeviceFleetsResponse) => any;
}
export interface ListDevicesRequest {
    
    NextToken?: string;
    
    MaxResults?: number;
    
    LatestHeartbeatAfter?: Date;
    
    ModelName?: string;
    
    DeviceFleetName?: string;
}
export declare namespace ListDevicesRequest {
    
    const filterSensitiveLog: (obj: ListDevicesRequest) => any;
}
export interface ListDevicesResponse {
    
    DeviceSummaries: DeviceSummary[] | undefined;
    
    NextToken?: string;
}
export declare namespace ListDevicesResponse {
    
    const filterSensitiveLog: (obj: ListDevicesResponse) => any;
}
export interface ListDomainsRequest {
    
    NextToken?: string;
    
    MaxResults?: number;
}
export declare namespace ListDomainsRequest {
    
    const filterSensitiveLog: (obj: ListDomainsRequest) => any;
}
export interface ListDomainsResponse {
    
    Domains?: DomainDetails[];
    
    NextToken?: string;
}
export declare namespace ListDomainsResponse {
    
    const filterSensitiveLog: (obj: ListDomainsResponse) => any;
}
export declare enum ListEdgePackagingJobsSortBy {
    CreationTime = "CREATION_TIME",
    EdgePackagingJobStatus = "STATUS",
    LastModifiedTime = "LAST_MODIFIED_TIME",
    ModelName = "MODEL_NAME",
    Name = "NAME"
}
export interface ListEdgePackagingJobsRequest {
    
    NextToken?: string;
    
    MaxResults?: number;
    
    CreationTimeAfter?: Date;
    
    CreationTimeBefore?: Date;
    
    LastModifiedTimeAfter?: Date;
    
    LastModifiedTimeBefore?: Date;
    
    NameContains?: string;
    
    ModelNameContains?: string;
    
    StatusEquals?: EdgePackagingJobStatus | string;
    
    SortBy?: ListEdgePackagingJobsSortBy | string;
    
    SortOrder?: SortOrder | string;
}
export declare namespace ListEdgePackagingJobsRequest {
    
    const filterSensitiveLog: (obj: ListEdgePackagingJobsRequest) => any;
}
export interface ListEdgePackagingJobsResponse {
    
    EdgePackagingJobSummaries: EdgePackagingJobSummary[] | undefined;
    
    NextToken?: string;
}
export declare namespace ListEdgePackagingJobsResponse {
    
    const filterSensitiveLog: (obj: ListEdgePackagingJobsResponse) => any;
}
export declare enum OrderKey {
    Ascending = "Ascending",
    Descending = "Descending"
}
export interface ListEndpointConfigsInput {
    
    SortBy?: EndpointConfigSortKey | string;
    
    SortOrder?: OrderKey | string;
    
    NextToken?: string;
    
    MaxResults?: number;
    
    NameContains?: string;
    
    CreationTimeBefore?: Date;
    
    CreationTimeAfter?: Date;
}
export declare namespace ListEndpointConfigsInput {
    
    const filterSensitiveLog: (obj: ListEndpointConfigsInput) => any;
}
export interface ListEndpointConfigsOutput {
    
    EndpointConfigs: EndpointConfigSummary[] | undefined;
    
    NextToken?: string;
}
export declare namespace ListEndpointConfigsOutput {
    
    const filterSensitiveLog: (obj: ListEndpointConfigsOutput) => any;
}
export interface ListEndpointsInput {
    
    SortBy?: EndpointSortKey | string;
    
    SortOrder?: OrderKey | string;
    
    NextToken?: string;
    
    MaxResults?: number;
    
    NameContains?: string;
    
    CreationTimeBefore?: Date;
    
    CreationTimeAfter?: Date;
    
    LastModifiedTimeBefore?: Date;
    
    LastModifiedTimeAfter?: Date;
    
    StatusEquals?: EndpointStatus | string;
}
export declare namespace ListEndpointsInput {
    
    const filterSensitiveLog: (obj: ListEndpointsInput) => any;
}
export interface ListEndpointsOutput {
    
    Endpoints: EndpointSummary[] | undefined;
    
    NextToken?: string;
}
export declare namespace ListEndpointsOutput {
    
    const filterSensitiveLog: (obj: ListEndpointsOutput) => any;
}
export declare enum SortExperimentsBy {
    CREATION_TIME = "CreationTime",
    NAME = "Name"
}
export interface ListExperimentsRequest {
    
    CreatedAfter?: Date;
    
    CreatedBefore?: Date;
    
    SortBy?: SortExperimentsBy | string;
    
    SortOrder?: SortOrder | string;
    
    NextToken?: string;
    
    MaxResults?: number;
}
export declare namespace ListExperimentsRequest {
    
    const filterSensitiveLog: (obj: ListExperimentsRequest) => any;
}
export interface ListExperimentsResponse {
    
    ExperimentSummaries?: ExperimentSummary[];
    
    NextToken?: string;
}
export declare namespace ListExperimentsResponse {
    
    const filterSensitiveLog: (obj: ListExperimentsResponse) => any;
}
export interface ListFeatureGroupsRequest {
    
    NameContains?: string;
    
    FeatureGroupStatusEquals?: FeatureGroupStatus | string;
    
    OfflineStoreStatusEquals?: OfflineStoreStatusValue | string;
    
    CreationTimeAfter?: Date;
    
    CreationTimeBefore?: Date;
    
    SortOrder?: FeatureGroupSortOrder | string;
    
    SortBy?: FeatureGroupSortBy | string;
    
    MaxResults?: number;
    
    NextToken?: string;
}
export declare namespace ListFeatureGroupsRequest {
    
    const filterSensitiveLog: (obj: ListFeatureGroupsRequest) => any;
}
export interface ListFeatureGroupsResponse {
    
    FeatureGroupSummaries: FeatureGroupSummary[] | undefined;
    
    NextToken: string | undefined;
}
export declare namespace ListFeatureGroupsResponse {
    
    const filterSensitiveLog: (obj: ListFeatureGroupsResponse) => any;
}
export interface ListFlowDefinitionsRequest {
    
    CreationTimeAfter?: Date;
    
    CreationTimeBefore?: Date;
    
    SortOrder?: SortOrder | string;
    
    NextToken?: string;
    
    MaxResults?: number;
}
export declare namespace ListFlowDefinitionsRequest {
    
    const filterSensitiveLog: (obj: ListFlowDefinitionsRequest) => any;
}
export interface ListFlowDefinitionsResponse {
    
    FlowDefinitionSummaries: FlowDefinitionSummary[] | undefined;
    
    NextToken?: string;
}
export declare namespace ListFlowDefinitionsResponse {
    
    const filterSensitiveLog: (obj: ListFlowDefinitionsResponse) => any;
}
export interface ListHumanTaskUisRequest {
    
    CreationTimeAfter?: Date;
    
    CreationTimeBefore?: Date;
    
    SortOrder?: SortOrder | string;
    
    NextToken?: string;
    
    MaxResults?: number;
}
export declare namespace ListHumanTaskUisRequest {
    
    const filterSensitiveLog: (obj: ListHumanTaskUisRequest) => any;
}
export interface ListHumanTaskUisResponse {
    
    HumanTaskUiSummaries: HumanTaskUiSummary[] | undefined;
    
    NextToken?: string;
}
export declare namespace ListHumanTaskUisResponse {
    
    const filterSensitiveLog: (obj: ListHumanTaskUisResponse) => any;
}
export interface ListHyperParameterTuningJobsRequest {
    
    NextToken?: string;
    
    MaxResults?: number;
    
    SortBy?: HyperParameterTuningJobSortByOptions | string;
    
    SortOrder?: SortOrder | string;
    
    NameContains?: string;
    
    CreationTimeAfter?: Date;
    
    CreationTimeBefore?: Date;
    
    LastModifiedTimeAfter?: Date;
    
    LastModifiedTimeBefore?: Date;
    
    StatusEquals?: HyperParameterTuningJobStatus | string;
}
export declare namespace ListHyperParameterTuningJobsRequest {
    
    const filterSensitiveLog: (obj: ListHyperParameterTuningJobsRequest) => any;
}
export interface ListHyperParameterTuningJobsResponse {
    
    HyperParameterTuningJobSummaries: HyperParameterTuningJobSummary[] | undefined;
    
    NextToken?: string;
}
export declare namespace ListHyperParameterTuningJobsResponse {
    
    const filterSensitiveLog: (obj: ListHyperParameterTuningJobsResponse) => any;
}
export interface ListImagesRequest {
    
    CreationTimeAfter?: Date;
    
    CreationTimeBefore?: Date;
    
    LastModifiedTimeAfter?: Date;
    
    LastModifiedTimeBefore?: Date;
    
    MaxResults?: number;
    
    NameContains?: string;
    
    NextToken?: string;
    
    SortBy?: ImageSortBy | string;
    
    SortOrder?: ImageSortOrder | string;
}
export declare namespace ListImagesRequest {
    
    const filterSensitiveLog: (obj: ListImagesRequest) => any;
}
export interface ListImagesResponse {
    
    Images?: Image[];
    
    NextToken?: string;
}
export declare namespace ListImagesResponse {
    
    const filterSensitiveLog: (obj: ListImagesResponse) => any;
}
export interface ListImageVersionsRequest {
    
    CreationTimeAfter?: Date;
    
    CreationTimeBefore?: Date;
    
    ImageName: string | undefined;
    
    LastModifiedTimeAfter?: Date;
    
    LastModifiedTimeBefore?: Date;
    
    MaxResults?: number;
    
    NextToken?: string;
    
    SortBy?: ImageVersionSortBy | string;
    
    SortOrder?: ImageVersionSortOrder | string;
}
export declare namespace ListImageVersionsRequest {
    
    const filterSensitiveLog: (obj: ListImageVersionsRequest) => any;
}
export interface ListImageVersionsResponse {
    
    ImageVersions?: ImageVersion[];
    
    NextToken?: string;
}
export declare namespace ListImageVersionsResponse {
    
    const filterSensitiveLog: (obj: ListImageVersionsResponse) => any;
}
export declare enum ListInferenceRecommendationsJobsSortBy {
    CREATION_TIME = "CreationTime",
    NAME = "Name",
    STATUS = "Status"
}
export interface ListInferenceRecommendationsJobsRequest {
    
    CreationTimeAfter?: Date;
    
    CreationTimeBefore?: Date;
    
    LastModifiedTimeAfter?: Date;
    
    LastModifiedTimeBefore?: Date;
    
    NameContains?: string;
    
    StatusEquals?: RecommendationJobStatus | string;
    
    SortBy?: ListInferenceRecommendationsJobsSortBy | string;
    
    SortOrder?: SortOrder | string;
    
    NextToken?: string;
    
    MaxResults?: number;
}
export declare namespace ListInferenceRecommendationsJobsRequest {
    
    const filterSensitiveLog: (obj: ListInferenceRecommendationsJobsRequest) => any;
}
export interface ListInferenceRecommendationsJobsResponse {
    
    InferenceRecommendationsJobs: InferenceRecommendationsJob[] | undefined;
    
    NextToken?: string;
}
export declare namespace ListInferenceRecommendationsJobsResponse {
    
    const filterSensitiveLog: (obj: ListInferenceRecommendationsJobsResponse) => any;
}
export declare enum SortBy {
    CREATION_TIME = "CreationTime",
    NAME = "Name",
    STATUS = "Status"
}
export interface ListLabelingJobsRequest {
    
    CreationTimeAfter?: Date;
    
    CreationTimeBefore?: Date;
    
    LastModifiedTimeAfter?: Date;
    
    LastModifiedTimeBefore?: Date;
    
    MaxResults?: number;
    
    NextToken?: string;
    
    NameContains?: string;
    
    SortBy?: SortBy | string;
    
    SortOrder?: SortOrder | string;
    
    StatusEquals?: LabelingJobStatus | string;
}
export declare namespace ListLabelingJobsRequest {
    
    const filterSensitiveLog: (obj: ListLabelingJobsRequest) => any;
}
export interface ListLabelingJobsResponse {
    
    LabelingJobSummaryList?: LabelingJobSummary[];
    
    NextToken?: string;
}
export declare namespace ListLabelingJobsResponse {
    
    const filterSensitiveLog: (obj: ListLabelingJobsResponse) => any;
}
export declare enum ListLabelingJobsForWorkteamSortByOptions {
    CREATION_TIME = "CreationTime"
}
export interface ListLabelingJobsForWorkteamRequest {
    
    WorkteamArn: string | undefined;
    
    MaxResults?: number;
    
    NextToken?: string;
    
    CreationTimeAfter?: Date;
    
    CreationTimeBefore?: Date;
    
    JobReferenceCodeContains?: string;
    
    SortBy?: ListLabelingJobsForWorkteamSortByOptions | string;
    
    SortOrder?: SortOrder | string;
}
export declare namespace ListLabelingJobsForWorkteamRequest {
    
    const filterSensitiveLog: (obj: ListLabelingJobsForWorkteamRequest) => any;
}
export interface ListLabelingJobsForWorkteamResponse {
    
    LabelingJobSummaryList: LabelingJobForWorkteamSummary[] | undefined;
    
    NextToken?: string;
}
export declare namespace ListLabelingJobsForWorkteamResponse {
    
    const filterSensitiveLog: (obj: ListLabelingJobsForWorkteamResponse) => any;
}
export declare enum SortLineageGroupsBy {
    CREATION_TIME = "CreationTime",
    NAME = "Name"
}
export interface ListLineageGroupsRequest {
    
    CreatedAfter?: Date;
    
    CreatedBefore?: Date;
    
    SortBy?: SortLineageGroupsBy | string;
    
    SortOrder?: SortOrder | string;
    
    NextToken?: string;
    
    MaxResults?: number;
}
export declare namespace ListLineageGroupsRequest {
    
    const filterSensitiveLog: (obj: ListLineageGroupsRequest) => any;
}
export interface ListLineageGroupsResponse {
    
    LineageGroupSummaries?: LineageGroupSummary[];
    
    NextToken?: string;
}
export declare namespace ListLineageGroupsResponse {
    
    const filterSensitiveLog: (obj: ListLineageGroupsResponse) => any;
}
export interface ListModelBiasJobDefinitionsRequest {
    
    EndpointName?: string;
    
    SortBy?: MonitoringJobDefinitionSortKey | string;
    
    SortOrder?: SortOrder | string;
    
    NextToken?: string;
    
    MaxResults?: number;
    
    NameContains?: string;
    
    CreationTimeBefore?: Date;
    
    CreationTimeAfter?: Date;
}
export declare namespace ListModelBiasJobDefinitionsRequest {
    
    const filterSensitiveLog: (obj: ListModelBiasJobDefinitionsRequest) => any;
}
export interface ListModelBiasJobDefinitionsResponse {
    
    JobDefinitionSummaries: MonitoringJobDefinitionSummary[] | undefined;
    
    NextToken?: string;
}
export declare namespace ListModelBiasJobDefinitionsResponse {
    
    const filterSensitiveLog: (obj: ListModelBiasJobDefinitionsResponse) => any;
}
export interface ListModelExplainabilityJobDefinitionsRequest {
    
    EndpointName?: string;
    
    SortBy?: MonitoringJobDefinitionSortKey | string;
    
    SortOrder?: SortOrder | string;
    
    NextToken?: string;
    
    MaxResults?: number;
    
    NameContains?: string;
    
    CreationTimeBefore?: Date;
    
    CreationTimeAfter?: Date;
}
export declare namespace ListModelExplainabilityJobDefinitionsRequest {
    
    const filterSensitiveLog: (obj: ListModelExplainabilityJobDefinitionsRequest) => any;
}
export interface ListModelExplainabilityJobDefinitionsResponse {
    
    JobDefinitionSummaries: MonitoringJobDefinitionSummary[] | undefined;
    
    NextToken?: string;
}
export declare namespace ListModelExplainabilityJobDefinitionsResponse {
    
    const filterSensitiveLog: (obj: ListModelExplainabilityJobDefinitionsResponse) => any;
}
export declare enum ModelMetadataFilterType {
    DOMAIN = "Domain",
    FRAMEWORK = "Framework",
    FRAMEWORKVERSION = "FrameworkVersion",
    TASK = "Task"
}

export interface ModelMetadataFilter {
    
    Name: ModelMetadataFilterType | string | undefined;
    
    Value: string | undefined;
}
export declare namespace ModelMetadataFilter {
    
    const filterSensitiveLog: (obj: ModelMetadataFilter) => any;
}

export interface ModelMetadataSearchExpression {
    
    Filters?: ModelMetadataFilter[];
}
export declare namespace ModelMetadataSearchExpression {
    
    const filterSensitiveLog: (obj: ModelMetadataSearchExpression) => any;
}
export interface ListModelMetadataRequest {
    
    SearchExpression?: ModelMetadataSearchExpression;
    
    NextToken?: string;
    
    MaxResults?: number;
}
export declare namespace ListModelMetadataRequest {
    
    const filterSensitiveLog: (obj: ListModelMetadataRequest) => any;
}

export interface ModelMetadataSummary {
    
    Domain: string | undefined;
    
    Framework: string | undefined;
    
    Task: string | undefined;
    
    Model: string | undefined;
    
    FrameworkVersion: string | undefined;
}
export declare namespace ModelMetadataSummary {
    
    const filterSensitiveLog: (obj: ModelMetadataSummary) => any;
}
export interface ListModelMetadataResponse {
    
    ModelMetadataSummaries: ModelMetadataSummary[] | undefined;
    
    NextToken?: string;
}
export declare namespace ListModelMetadataResponse {
    
    const filterSensitiveLog: (obj: ListModelMetadataResponse) => any;
}
export declare enum ModelPackageGroupSortBy {
    CREATION_TIME = "CreationTime",
    NAME = "Name"
}
export interface ListModelPackageGroupsInput {
    
    CreationTimeAfter?: Date;
    
    CreationTimeBefore?: Date;
    
    MaxResults?: number;
    
    NameContains?: string;
    
    NextToken?: string;
    
    SortBy?: ModelPackageGroupSortBy | string;
    
    SortOrder?: SortOrder | string;
}
export declare namespace ListModelPackageGroupsInput {
    
    const filterSensitiveLog: (obj: ListModelPackageGroupsInput) => any;
}

export interface ModelPackageGroupSummary {
    
    ModelPackageGroupName: string | undefined;
    
    ModelPackageGroupArn: string | undefined;
    
    ModelPackageGroupDescription?: string;
    
    CreationTime: Date | undefined;
    
    ModelPackageGroupStatus: ModelPackageGroupStatus | string | undefined;
}
export declare namespace ModelPackageGroupSummary {
    
    const filterSensitiveLog: (obj: ModelPackageGroupSummary) => any;
}
export interface ListModelPackageGroupsOutput {
    
    ModelPackageGroupSummaryList: ModelPackageGroupSummary[] | undefined;
    
    NextToken?: string;
}
export declare namespace ListModelPackageGroupsOutput {
    
    const filterSensitiveLog: (obj: ListModelPackageGroupsOutput) => any;
}
export declare enum ModelPackageType {
    BOTH = "Both",
    UNVERSIONED = "Unversioned",
    VERSIONED = "Versioned"
}
export declare enum ModelPackageSortBy {
    CREATION_TIME = "CreationTime",
    NAME = "Name"
}
export interface ListModelPackagesInput {
    
    CreationTimeAfter?: Date;
    
    CreationTimeBefore?: Date;
    
    MaxResults?: number;
    
    NameContains?: string;
    
    ModelApprovalStatus?: ModelApprovalStatus | string;
    
    ModelPackageGroupName?: string;
    
    ModelPackageType?: ModelPackageType | string;
    
    NextToken?: string;
    
    SortBy?: ModelPackageSortBy | string;
    
    SortOrder?: SortOrder | string;
}
export declare namespace ListModelPackagesInput {
    
    const filterSensitiveLog: (obj: ListModelPackagesInput) => any;
}

export interface ModelPackageSummary {
    
    ModelPackageName: string | undefined;
    
    ModelPackageGroupName?: string;
    
    ModelPackageVersion?: number;
    
    ModelPackageArn: string | undefined;
    
    ModelPackageDescription?: string;
    
    CreationTime: Date | undefined;
    
    ModelPackageStatus: ModelPackageStatus | string | undefined;
    
    ModelApprovalStatus?: ModelApprovalStatus | string;
}
export declare namespace ModelPackageSummary {
    
    const filterSensitiveLog: (obj: ModelPackageSummary) => any;
}
export interface ListModelPackagesOutput {
    
    ModelPackageSummaryList: ModelPackageSummary[] | undefined;
    
    NextToken?: string;
}
export declare namespace ListModelPackagesOutput {
    
    const filterSensitiveLog: (obj: ListModelPackagesOutput) => any;
}
export interface ListModelQualityJobDefinitionsRequest {
    
    EndpointName?: string;
    
    SortBy?: MonitoringJobDefinitionSortKey | string;
    
    SortOrder?: SortOrder | string;
    
    NextToken?: string;
    
    MaxResults?: number;
    
    NameContains?: string;
    
    CreationTimeBefore?: Date;
    
    CreationTimeAfter?: Date;
}
export declare namespace ListModelQualityJobDefinitionsRequest {
    
    const filterSensitiveLog: (obj: ListModelQualityJobDefinitionsRequest) => any;
}
export interface ListModelQualityJobDefinitionsResponse {
    
    JobDefinitionSummaries: MonitoringJobDefinitionSummary[] | undefined;
    
    NextToken?: string;
}
export declare namespace ListModelQualityJobDefinitionsResponse {
    
    const filterSensitiveLog: (obj: ListModelQualityJobDefinitionsResponse) => any;
}
export declare enum ModelSortKey {
    CreationTime = "CreationTime",
    Name = "Name"
}
export interface ListModelsInput {
    
    SortBy?: ModelSortKey | string;
    
    SortOrder?: OrderKey | string;
    
    NextToken?: string;
    
    MaxResults?: number;
    
    NameContains?: string;
    
    CreationTimeBefore?: Date;
    
    CreationTimeAfter?: Date;
}
export declare namespace ListModelsInput {
    
    const filterSensitiveLog: (obj: ListModelsInput) => any;
}

export interface ModelSummary {
    
    ModelName: string | undefined;
    
    ModelArn: string | undefined;
    
    CreationTime: Date | undefined;
}
export declare namespace ModelSummary {
    
    const filterSensitiveLog: (obj: ModelSummary) => any;
}
export interface ListModelsOutput {
    
    Models: ModelSummary[] | undefined;
    
    NextToken?: string;
}
export declare namespace ListModelsOutput {
    
    const filterSensitiveLog: (obj: ListModelsOutput) => any;
}
export declare enum MonitoringExecutionSortKey {
    CREATION_TIME = "CreationTime",
    SCHEDULED_TIME = "ScheduledTime",
    STATUS = "Status"
}
export interface ListMonitoringExecutionsRequest {
    
    MonitoringScheduleName?: string;
    
    EndpointName?: string;
    
    SortBy?: MonitoringExecutionSortKey | string;
    
    SortOrder?: SortOrder | string;
    
    NextToken?: string;
    
    MaxResults?: number;
    
    ScheduledTimeBefore?: Date;
    
    ScheduledTimeAfter?: Date;
    
    CreationTimeBefore?: Date;
    
    CreationTimeAfter?: Date;
    
    LastModifiedTimeBefore?: Date;
    
    LastModifiedTimeAfter?: Date;
    
    StatusEquals?: ExecutionStatus | string;
    
    MonitoringJobDefinitionName?: string;
    
    MonitoringTypeEquals?: MonitoringType | string;
}
export declare namespace ListMonitoringExecutionsRequest {
    
    const filterSensitiveLog: (obj: ListMonitoringExecutionsRequest) => any;
}
export interface ListMonitoringExecutionsResponse {
    
    MonitoringExecutionSummaries: MonitoringExecutionSummary[] | undefined;
    
    NextToken?: string;
}
export declare namespace ListMonitoringExecutionsResponse {
    
    const filterSensitiveLog: (obj: ListMonitoringExecutionsResponse) => any;
}
export declare enum MonitoringScheduleSortKey {
    CREATION_TIME = "CreationTime",
    NAME = "Name",
    STATUS = "Status"
}
export interface ListMonitoringSchedulesRequest {
    
    EndpointName?: string;
    
    SortBy?: MonitoringScheduleSortKey | string;
    
    SortOrder?: SortOrder | string;
    
    NextToken?: string;
    
    MaxResults?: number;
    
    NameContains?: string;
    
    CreationTimeBefore?: Date;
    
    CreationTimeAfter?: Date;
    
    LastModifiedTimeBefore?: Date;
    
    LastModifiedTimeAfter?: Date;
    
    StatusEquals?: ScheduleStatus | string;
    
    MonitoringJobDefinitionName?: string;
    
    MonitoringTypeEquals?: MonitoringType | string;
}
export declare namespace ListMonitoringSchedulesRequest {
    
    const filterSensitiveLog: (obj: ListMonitoringSchedulesRequest) => any;
}

export interface MonitoringScheduleSummary {
    
    MonitoringScheduleName: string | undefined;
    
    MonitoringScheduleArn: string | undefined;
    
    CreationTime: Date | undefined;
    
    LastModifiedTime: Date | undefined;
    
    MonitoringScheduleStatus: ScheduleStatus | string | undefined;
    
    EndpointName?: string;
    
    MonitoringJobDefinitionName?: string;
    
    MonitoringType?: MonitoringType | string;
}
export declare namespace MonitoringScheduleSummary {
    
    const filterSensitiveLog: (obj: MonitoringScheduleSummary) => any;
}
export interface ListMonitoringSchedulesResponse {
    
    MonitoringScheduleSummaries: MonitoringScheduleSummary[] | undefined;
    
    NextToken?: string;
}
export declare namespace ListMonitoringSchedulesResponse {
    
    const filterSensitiveLog: (obj: ListMonitoringSchedulesResponse) => any;
}
export declare enum NotebookInstanceLifecycleConfigSortKey {
    CREATION_TIME = "CreationTime",
    LAST_MODIFIED_TIME = "LastModifiedTime",
    NAME = "Name"
}
export declare enum NotebookInstanceLifecycleConfigSortOrder {
    ASCENDING = "Ascending",
    DESCENDING = "Descending"
}
export interface ListNotebookInstanceLifecycleConfigsInput {
    
    NextToken?: string;
    
    MaxResults?: number;
    
    SortBy?: NotebookInstanceLifecycleConfigSortKey | string;
    
    SortOrder?: NotebookInstanceLifecycleConfigSortOrder | string;
    
    NameContains?: string;
    
    CreationTimeBefore?: Date;
    
    CreationTimeAfter?: Date;
    
    LastModifiedTimeBefore?: Date;
    
    LastModifiedTimeAfter?: Date;
}
export declare namespace ListNotebookInstanceLifecycleConfigsInput {
    
    const filterSensitiveLog: (obj: ListNotebookInstanceLifecycleConfigsInput) => any;
}

export interface NotebookInstanceLifecycleConfigSummary {
    
    NotebookInstanceLifecycleConfigName: string | undefined;
    
    NotebookInstanceLifecycleConfigArn: string | undefined;
    
    CreationTime?: Date;
    
    LastModifiedTime?: Date;
}
export declare namespace NotebookInstanceLifecycleConfigSummary {
    
    const filterSensitiveLog: (obj: NotebookInstanceLifecycleConfigSummary) => any;
}
export interface ListNotebookInstanceLifecycleConfigsOutput {
    
    NextToken?: string;
    
    NotebookInstanceLifecycleConfigs?: NotebookInstanceLifecycleConfigSummary[];
}
export declare namespace ListNotebookInstanceLifecycleConfigsOutput {
    
    const filterSensitiveLog: (obj: ListNotebookInstanceLifecycleConfigsOutput) => any;
}
export declare enum NotebookInstanceSortKey {
    CREATION_TIME = "CreationTime",
    NAME = "Name",
    STATUS = "Status"
}
export declare enum NotebookInstanceSortOrder {
    ASCENDING = "Ascending",
    DESCENDING = "Descending"
}
export interface ListNotebookInstancesInput {
    
    NextToken?: string;
    
    MaxResults?: number;
    
    SortBy?: NotebookInstanceSortKey | string;
    
    SortOrder?: NotebookInstanceSortOrder | string;
    
    NameContains?: string;
    
    CreationTimeBefore?: Date;
    
    CreationTimeAfter?: Date;
    
    LastModifiedTimeBefore?: Date;
    
    LastModifiedTimeAfter?: Date;
    
    StatusEquals?: NotebookInstanceStatus | string;
    
    NotebookInstanceLifecycleConfigNameContains?: string;
    
    DefaultCodeRepositoryContains?: string;
    
    AdditionalCodeRepositoryEquals?: string;
}
export declare namespace ListNotebookInstancesInput {
    
    const filterSensitiveLog: (obj: ListNotebookInstancesInput) => any;
}

export interface NotebookInstanceSummary {
    
    NotebookInstanceName: string | undefined;
    
    NotebookInstanceArn: string | undefined;
    
    NotebookInstanceStatus?: NotebookInstanceStatus | string;
    
    Url?: string;
    
    InstanceType?: _InstanceType | string;
    
    CreationTime?: Date;
    
    LastModifiedTime?: Date;
    
    NotebookInstanceLifecycleConfigName?: string;
    
    DefaultCodeRepository?: string;
    
    AdditionalCodeRepositories?: string[];
}
export declare namespace NotebookInstanceSummary {
    
    const filterSensitiveLog: (obj: NotebookInstanceSummary) => any;
}
export interface ListNotebookInstancesOutput {
    
    NextToken?: string;
    
    NotebookInstances?: NotebookInstanceSummary[];
}
export declare namespace ListNotebookInstancesOutput {
    
    const filterSensitiveLog: (obj: ListNotebookInstancesOutput) => any;
}
export declare enum SortPipelineExecutionsBy {
    CREATION_TIME = "CreationTime",
    PIPELINE_EXECUTION_ARN = "PipelineExecutionArn"
}
export interface ListPipelineExecutionsRequest {
    
    PipelineName: string | undefined;
    
    CreatedAfter?: Date;
    
    CreatedBefore?: Date;
    
    SortBy?: SortPipelineExecutionsBy | string;
    
    SortOrder?: SortOrder | string;
    
    NextToken?: string;
    
    MaxResults?: number;
}
export declare namespace ListPipelineExecutionsRequest {
    
    const filterSensitiveLog: (obj: ListPipelineExecutionsRequest) => any;
}

export interface PipelineExecutionSummary {
    
    PipelineExecutionArn?: string;
    
    StartTime?: Date;
    
    PipelineExecutionStatus?: PipelineExecutionStatus | string;
    
    PipelineExecutionDescription?: string;
    
    PipelineExecutionDisplayName?: string;
    
    PipelineExecutionFailureReason?: string;
}
export declare namespace PipelineExecutionSummary {
    
    const filterSensitiveLog: (obj: PipelineExecutionSummary) => any;
}
export interface ListPipelineExecutionsResponse {
    
    PipelineExecutionSummaries?: PipelineExecutionSummary[];
    
    NextToken?: string;
}
export declare namespace ListPipelineExecutionsResponse {
    
    const filterSensitiveLog: (obj: ListPipelineExecutionsResponse) => any;
}
export interface ListPipelineExecutionStepsRequest {
    
    PipelineExecutionArn?: string;
    
    NextToken?: string;
    
    MaxResults?: number;
    
    SortOrder?: SortOrder | string;
}
export declare namespace ListPipelineExecutionStepsRequest {
    
    const filterSensitiveLog: (obj: ListPipelineExecutionStepsRequest) => any;
}

export interface ModelStepMetadata {
    
    Arn?: string;
}
export declare namespace ModelStepMetadata {
    
    const filterSensitiveLog: (obj: ModelStepMetadata) => any;
}

export interface ProcessingJobStepMetadata {
    
    Arn?: string;
}
export declare namespace ProcessingJobStepMetadata {
    
    const filterSensitiveLog: (obj: ProcessingJobStepMetadata) => any;
}

export interface QualityCheckStepMetadata {
    
    CheckType?: string;
    
    BaselineUsedForDriftCheckStatistics?: string;
    
    BaselineUsedForDriftCheckConstraints?: string;
    
    CalculatedBaselineStatistics?: string;
    
    CalculatedBaselineConstraints?: string;
    
    ModelPackageGroupName?: string;
    
    ViolationReport?: string;
    
    CheckJobArn?: string;
    
    SkipCheck?: boolean;
    
    RegisterNewBaseline?: boolean;
}
export declare namespace QualityCheckStepMetadata {
    
    const filterSensitiveLog: (obj: QualityCheckStepMetadata) => any;
}

export interface RegisterModelStepMetadata {
    
    Arn?: string;
}
export declare namespace RegisterModelStepMetadata {
    
    const filterSensitiveLog: (obj: RegisterModelStepMetadata) => any;
}

export interface TrainingJobStepMetadata {
    
    Arn?: string;
}
export declare namespace TrainingJobStepMetadata {
    
    const filterSensitiveLog: (obj: TrainingJobStepMetadata) => any;
}

export interface TransformJobStepMetadata {
    
    Arn?: string;
}
export declare namespace TransformJobStepMetadata {
    
    const filterSensitiveLog: (obj: TransformJobStepMetadata) => any;
}

export interface TuningJobStepMetaData {
    
    Arn?: string;
}
export declare namespace TuningJobStepMetaData {
    
    const filterSensitiveLog: (obj: TuningJobStepMetaData) => any;
}

export interface PipelineExecutionStepMetadata {
    
    TrainingJob?: TrainingJobStepMetadata;
    
    ProcessingJob?: ProcessingJobStepMetadata;
    
    TransformJob?: TransformJobStepMetadata;
    
    TuningJob?: TuningJobStepMetaData;
    
    Model?: ModelStepMetadata;
    
    RegisterModel?: RegisterModelStepMetadata;
    
    Condition?: ConditionStepMetadata;
    
    Callback?: CallbackStepMetadata;
    
    Lambda?: LambdaStepMetadata;
    
    QualityCheck?: QualityCheckStepMetadata;
    
    ClarifyCheck?: ClarifyCheckStepMetadata;
    
    EMR?: EMRStepMetadata;
    
    Fail?: FailStepMetadata;
}
export declare namespace PipelineExecutionStepMetadata {
    
    const filterSensitiveLog: (obj: PipelineExecutionStepMetadata) => any;
}
export declare enum StepStatus {
    EXECUTING = "Executing",
    FAILED = "Failed",
    STARTING = "Starting",
    STOPPED = "Stopped",
    STOPPING = "Stopping",
    SUCCEEDED = "Succeeded"
}

export interface PipelineExecutionStep {
    
    StepName?: string;
    
    StepDisplayName?: string;
    
    StepDescription?: string;
    
    StartTime?: Date;
    
    EndTime?: Date;
    
    StepStatus?: StepStatus | string;
    
    CacheHitResult?: CacheHitResult;
    
    AttemptCount?: number;
    
    FailureReason?: string;
    
    Metadata?: PipelineExecutionStepMetadata;
}
export declare namespace PipelineExecutionStep {
    
    const filterSensitiveLog: (obj: PipelineExecutionStep) => any;
}
export interface ListPipelineExecutionStepsResponse {
    
    PipelineExecutionSteps?: PipelineExecutionStep[];
    
    NextToken?: string;
}
export declare namespace ListPipelineExecutionStepsResponse {
    
    const filterSensitiveLog: (obj: ListPipelineExecutionStepsResponse) => any;
}
export interface ListPipelineParametersForExecutionRequest {
    
    PipelineExecutionArn: string | undefined;
    
    NextToken?: string;
    
    MaxResults?: number;
}
export declare namespace ListPipelineParametersForExecutionRequest {
    
    const filterSensitiveLog: (obj: ListPipelineParametersForExecutionRequest) => any;
}

export interface Parameter {
    
    Name: string | undefined;
    
    Value: string | undefined;
}
export declare namespace Parameter {
    
    const filterSensitiveLog: (obj: Parameter) => any;
}
export interface ListPipelineParametersForExecutionResponse {
    
    PipelineParameters?: Parameter[];
    
    NextToken?: string;
}
export declare namespace ListPipelineParametersForExecutionResponse {
    
    const filterSensitiveLog: (obj: ListPipelineParametersForExecutionResponse) => any;
}
export declare enum SortPipelinesBy {
    CREATION_TIME = "CreationTime",
    NAME = "Name"
}
export interface ListPipelinesRequest {
    
    PipelineNamePrefix?: string;
    
    CreatedAfter?: Date;
    
    CreatedBefore?: Date;
    
    SortBy?: SortPipelinesBy | string;
    
    SortOrder?: SortOrder | string;
    
    NextToken?: string;
    
    MaxResults?: number;
}
export declare namespace ListPipelinesRequest {
    
    const filterSensitiveLog: (obj: ListPipelinesRequest) => any;
}

export interface PipelineSummary {
    
    PipelineArn?: string;
    
    PipelineName?: string;
    
    PipelineDisplayName?: string;
    
    PipelineDescription?: string;
    
    RoleArn?: string;
    
    CreationTime?: Date;
    
    LastModifiedTime?: Date;
    
    LastExecutionTime?: Date;
}
export declare namespace PipelineSummary {
    
    const filterSensitiveLog: (obj: PipelineSummary) => any;
}
export interface ListPipelinesResponse {
    
    PipelineSummaries?: PipelineSummary[];
    
    NextToken?: string;
}
export declare namespace ListPipelinesResponse {
    
    const filterSensitiveLog: (obj: ListPipelinesResponse) => any;
}
export interface ListProcessingJobsRequest {
    
    CreationTimeAfter?: Date;
    
    CreationTimeBefore?: Date;
    
    LastModifiedTimeAfter?: Date;
    
    LastModifiedTimeBefore?: Date;
    
    NameContains?: string;
    
    StatusEquals?: ProcessingJobStatus | string;
    
    SortBy?: SortBy | string;
    
    SortOrder?: SortOrder | string;
    
    NextToken?: string;
    
    MaxResults?: number;
}
export declare namespace ListProcessingJobsRequest {
    
    const filterSensitiveLog: (obj: ListProcessingJobsRequest) => any;
}

export interface ProcessingJobSummary {
    
    ProcessingJobName: string | undefined;
    
    ProcessingJobArn: string | undefined;
    
    CreationTime: Date | undefined;
    
    ProcessingEndTime?: Date;
    
    LastModifiedTime?: Date;
    
    ProcessingJobStatus: ProcessingJobStatus | string | undefined;
    
    FailureReason?: string;
    
    ExitMessage?: string;
}
export declare namespace ProcessingJobSummary {
    
    const filterSensitiveLog: (obj: ProcessingJobSummary) => any;
}
export interface ListProcessingJobsResponse {
    
    ProcessingJobSummaries: ProcessingJobSummary[] | undefined;
    
    NextToken?: string;
}
export declare namespace ListProcessingJobsResponse {
    
    const filterSensitiveLog: (obj: ListProcessingJobsResponse) => any;
}
export declare enum ProjectSortBy {
    CREATION_TIME = "CreationTime",
    NAME = "Name"
}
export declare enum ProjectSortOrder {
    ASCENDING = "Ascending",
    DESCENDING = "Descending"
}
export interface ListProjectsInput {
    
    CreationTimeAfter?: Date;
    
    CreationTimeBefore?: Date;
    
    MaxResults?: number;
    
    NameContains?: string;
    
    NextToken?: string;
    
    SortBy?: ProjectSortBy | string;
    
    SortOrder?: ProjectSortOrder | string;
}
export declare namespace ListProjectsInput {
    
    const filterSensitiveLog: (obj: ListProjectsInput) => any;
}

export interface ProjectSummary {
    
    ProjectName: string | undefined;
    
    ProjectDescription?: string;
    
    ProjectArn: string | undefined;
    
    ProjectId: string | undefined;
    
    CreationTime: Date | undefined;
    
    ProjectStatus: ProjectStatus | string | undefined;
}
export declare namespace ProjectSummary {
    
    const filterSensitiveLog: (obj: ProjectSummary) => any;
}
export interface ListProjectsOutput {
    
    ProjectSummaryList: ProjectSummary[] | undefined;
    
    NextToken?: string;
}
export declare namespace ListProjectsOutput {
    
    const filterSensitiveLog: (obj: ListProjectsOutput) => any;
}
export declare enum StudioLifecycleConfigSortKey {
    CreationTime = "CreationTime",
    LastModifiedTime = "LastModifiedTime",
    Name = "Name"
}
export interface ListStudioLifecycleConfigsRequest {
    
    MaxResults?: number;
    
    NextToken?: string;
    
    NameContains?: string;
    
    AppTypeEquals?: StudioLifecycleConfigAppType | string;
    
    CreationTimeBefore?: Date;
    
    CreationTimeAfter?: Date;
    
    ModifiedTimeBefore?: Date;
    
    ModifiedTimeAfter?: Date;
    
    SortBy?: StudioLifecycleConfigSortKey | string;
    
    SortOrder?: SortOrder | string;
}
export declare namespace ListStudioLifecycleConfigsRequest {
    
    const filterSensitiveLog: (obj: ListStudioLifecycleConfigsRequest) => any;
}

export interface StudioLifecycleConfigDetails {
    
    StudioLifecycleConfigArn?: string;
    
    StudioLifecycleConfigName?: string;
    
    CreationTime?: Date;
    
    LastModifiedTime?: Date;
    
    StudioLifecycleConfigAppType?: StudioLifecycleConfigAppType | string;
}
export declare namespace StudioLifecycleConfigDetails {
    
    const filterSensitiveLog: (obj: StudioLifecycleConfigDetails) => any;
}
export interface ListStudioLifecycleConfigsResponse {
    
    NextToken?: string;
    
    StudioLifecycleConfigs?: StudioLifecycleConfigDetails[];
}
export declare namespace ListStudioLifecycleConfigsResponse {
    
    const filterSensitiveLog: (obj: ListStudioLifecycleConfigsResponse) => any;
}
export interface ListSubscribedWorkteamsRequest {
    
    NameContains?: string;
    
    NextToken?: string;
    
    MaxResults?: number;
}
export declare namespace ListSubscribedWorkteamsRequest {
    
    const filterSensitiveLog: (obj: ListSubscribedWorkteamsRequest) => any;
}
export interface ListSubscribedWorkteamsResponse {
    
    SubscribedWorkteams: SubscribedWorkteam[] | undefined;
    
    NextToken?: string;
}
export declare namespace ListSubscribedWorkteamsResponse {
    
    const filterSensitiveLog: (obj: ListSubscribedWorkteamsResponse) => any;
}
export interface ListTagsInput {
    
    ResourceArn: string | undefined;
    
    NextToken?: string;
    
    MaxResults?: number;
}
export declare namespace ListTagsInput {
    
    const filterSensitiveLog: (obj: ListTagsInput) => any;
}
export interface ListTagsOutput {
    
    Tags?: Tag[];
    
    NextToken?: string;
}
export declare namespace ListTagsOutput {
    
    const filterSensitiveLog: (obj: ListTagsOutput) => any;
}
export interface ListTrainingJobsRequest {
    
    NextToken?: string;
    
    MaxResults?: number;
    
    CreationTimeAfter?: Date;
    
    CreationTimeBefore?: Date;
    
    LastModifiedTimeAfter?: Date;
    
    LastModifiedTimeBefore?: Date;
    
    NameContains?: string;
    
    StatusEquals?: TrainingJobStatus | string;
    
    SortBy?: SortBy | string;
    
    SortOrder?: SortOrder | string;
}
export declare namespace ListTrainingJobsRequest {
    
    const filterSensitiveLog: (obj: ListTrainingJobsRequest) => any;
}

export interface TrainingJobSummary {
    
    TrainingJobName: string | undefined;
    
    TrainingJobArn: string | undefined;
    
    CreationTime: Date | undefined;
    
    TrainingEndTime?: Date;
    
    LastModifiedTime?: Date;
    
    TrainingJobStatus: TrainingJobStatus | string | undefined;
}
export declare namespace TrainingJobSummary {
    
    const filterSensitiveLog: (obj: TrainingJobSummary) => any;
}
export interface ListTrainingJobsResponse {
    
    TrainingJobSummaries: TrainingJobSummary[] | undefined;
    
    NextToken?: string;
}
export declare namespace ListTrainingJobsResponse {
    
    const filterSensitiveLog: (obj: ListTrainingJobsResponse) => any;
}
export declare enum TrainingJobSortByOptions {
    CreationTime = "CreationTime",
    FinalObjectiveMetricValue = "FinalObjectiveMetricValue",
    Name = "Name",
    Status = "Status"
}
