import { __assign, __awaiter, __generator, __read } from "tslib";
import { HttpRequest as __HttpRequest } from "@aws-sdk/protocol-http";
import { decorateServiceException as __decorateServiceException, expectBoolean as __expectBoolean, expectInt32 as __expectInt32, expectLong as __expectLong, expectNonNull as __expectNonNull, expectNumber as __expectNumber, expectString as __expectString, expectUnion as __expectUnion, LazyJsonString as __LazyJsonString, limitedParseDouble as __limitedParseDouble, limitedParseFloat32 as __limitedParseFloat32, parseEpochTimestamp as __parseEpochTimestamp, serializeFloat as __serializeFloat, } from "@aws-sdk/smithy-client";
import { v4 as generateIdempotencyToken } from "uuid";
import { ConflictException, ResourceInUse, ResourceLimitExceeded, ResourceNotFound, } from "../models/models_0";
import { TrialComponentParameterValue, } from "../models/models_1";
import { SageMakerServiceException as __BaseException } from "../models/SageMakerServiceException";
export var serializeAws_json1_1AddAssociationCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.AddAssociation",
        };
        body = JSON.stringify(serializeAws_json1_1AddAssociationRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1AddTagsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.AddTags",
        };
        body = JSON.stringify(serializeAws_json1_1AddTagsInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1AssociateTrialComponentCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.AssociateTrialComponent",
        };
        body = JSON.stringify(serializeAws_json1_1AssociateTrialComponentRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1BatchDescribeModelPackageCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.BatchDescribeModelPackage",
        };
        body = JSON.stringify(serializeAws_json1_1BatchDescribeModelPackageInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateActionCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.CreateAction",
        };
        body = JSON.stringify(serializeAws_json1_1CreateActionRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateAlgorithmCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.CreateAlgorithm",
        };
        body = JSON.stringify(serializeAws_json1_1CreateAlgorithmInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateAppCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.CreateApp",
        };
        body = JSON.stringify(serializeAws_json1_1CreateAppRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateAppImageConfigCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.CreateAppImageConfig",
        };
        body = JSON.stringify(serializeAws_json1_1CreateAppImageConfigRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateArtifactCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.CreateArtifact",
        };
        body = JSON.stringify(serializeAws_json1_1CreateArtifactRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateAutoMLJobCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.CreateAutoMLJob",
        };
        body = JSON.stringify(serializeAws_json1_1CreateAutoMLJobRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateCodeRepositoryCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.CreateCodeRepository",
        };
        body = JSON.stringify(serializeAws_json1_1CreateCodeRepositoryInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateCompilationJobCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.CreateCompilationJob",
        };
        body = JSON.stringify(serializeAws_json1_1CreateCompilationJobRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateContextCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.CreateContext",
        };
        body = JSON.stringify(serializeAws_json1_1CreateContextRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateDataQualityJobDefinitionCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.CreateDataQualityJobDefinition",
        };
        body = JSON.stringify(serializeAws_json1_1CreateDataQualityJobDefinitionRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateDeviceFleetCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.CreateDeviceFleet",
        };
        body = JSON.stringify(serializeAws_json1_1CreateDeviceFleetRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateDomainCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.CreateDomain",
        };
        body = JSON.stringify(serializeAws_json1_1CreateDomainRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateEdgePackagingJobCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.CreateEdgePackagingJob",
        };
        body = JSON.stringify(serializeAws_json1_1CreateEdgePackagingJobRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateEndpointCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.CreateEndpoint",
        };
        body = JSON.stringify(serializeAws_json1_1CreateEndpointInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateEndpointConfigCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.CreateEndpointConfig",
        };
        body = JSON.stringify(serializeAws_json1_1CreateEndpointConfigInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateExperimentCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.CreateExperiment",
        };
        body = JSON.stringify(serializeAws_json1_1CreateExperimentRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateFeatureGroupCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.CreateFeatureGroup",
        };
        body = JSON.stringify(serializeAws_json1_1CreateFeatureGroupRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateFlowDefinitionCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.CreateFlowDefinition",
        };
        body = JSON.stringify(serializeAws_json1_1CreateFlowDefinitionRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateHumanTaskUiCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.CreateHumanTaskUi",
        };
        body = JSON.stringify(serializeAws_json1_1CreateHumanTaskUiRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateHyperParameterTuningJobCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.CreateHyperParameterTuningJob",
        };
        body = JSON.stringify(serializeAws_json1_1CreateHyperParameterTuningJobRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateImageCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.CreateImage",
        };
        body = JSON.stringify(serializeAws_json1_1CreateImageRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateImageVersionCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.CreateImageVersion",
        };
        body = JSON.stringify(serializeAws_json1_1CreateImageVersionRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateInferenceRecommendationsJobCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.CreateInferenceRecommendationsJob",
        };
        body = JSON.stringify(serializeAws_json1_1CreateInferenceRecommendationsJobRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateLabelingJobCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.CreateLabelingJob",
        };
        body = JSON.stringify(serializeAws_json1_1CreateLabelingJobRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateModelCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.CreateModel",
        };
        body = JSON.stringify(serializeAws_json1_1CreateModelInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateModelBiasJobDefinitionCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.CreateModelBiasJobDefinition",
        };
        body = JSON.stringify(serializeAws_json1_1CreateModelBiasJobDefinitionRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateModelExplainabilityJobDefinitionCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.CreateModelExplainabilityJobDefinition",
        };
        body = JSON.stringify(serializeAws_json1_1CreateModelExplainabilityJobDefinitionRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateModelPackageCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.CreateModelPackage",
        };
        body = JSON.stringify(serializeAws_json1_1CreateModelPackageInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateModelPackageGroupCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.CreateModelPackageGroup",
        };
        body = JSON.stringify(serializeAws_json1_1CreateModelPackageGroupInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateModelQualityJobDefinitionCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.CreateModelQualityJobDefinition",
        };
        body = JSON.stringify(serializeAws_json1_1CreateModelQualityJobDefinitionRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateMonitoringScheduleCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.CreateMonitoringSchedule",
        };
        body = JSON.stringify(serializeAws_json1_1CreateMonitoringScheduleRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateNotebookInstanceCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.CreateNotebookInstance",
        };
        body = JSON.stringify(serializeAws_json1_1CreateNotebookInstanceInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateNotebookInstanceLifecycleConfigCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.CreateNotebookInstanceLifecycleConfig",
        };
        body = JSON.stringify(serializeAws_json1_1CreateNotebookInstanceLifecycleConfigInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreatePipelineCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.CreatePipeline",
        };
        body = JSON.stringify(serializeAws_json1_1CreatePipelineRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreatePresignedDomainUrlCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.CreatePresignedDomainUrl",
        };
        body = JSON.stringify(serializeAws_json1_1CreatePresignedDomainUrlRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreatePresignedNotebookInstanceUrlCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.CreatePresignedNotebookInstanceUrl",
        };
        body = JSON.stringify(serializeAws_json1_1CreatePresignedNotebookInstanceUrlInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateProcessingJobCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.CreateProcessingJob",
        };
        body = JSON.stringify(serializeAws_json1_1CreateProcessingJobRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateProjectCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.CreateProject",
        };
        body = JSON.stringify(serializeAws_json1_1CreateProjectInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateStudioLifecycleConfigCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.CreateStudioLifecycleConfig",
        };
        body = JSON.stringify(serializeAws_json1_1CreateStudioLifecycleConfigRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateTrainingJobCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.CreateTrainingJob",
        };
        body = JSON.stringify(serializeAws_json1_1CreateTrainingJobRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateTransformJobCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.CreateTransformJob",
        };
        body = JSON.stringify(serializeAws_json1_1CreateTransformJobRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateTrialCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.CreateTrial",
        };
        body = JSON.stringify(serializeAws_json1_1CreateTrialRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateTrialComponentCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.CreateTrialComponent",
        };
        body = JSON.stringify(serializeAws_json1_1CreateTrialComponentRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateUserProfileCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.CreateUserProfile",
        };
        body = JSON.stringify(serializeAws_json1_1CreateUserProfileRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateWorkforceCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.CreateWorkforce",
        };
        body = JSON.stringify(serializeAws_json1_1CreateWorkforceRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1CreateWorkteamCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.CreateWorkteam",
        };
        body = JSON.stringify(serializeAws_json1_1CreateWorkteamRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteActionCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DeleteAction",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteActionRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteAlgorithmCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DeleteAlgorithm",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteAlgorithmInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteAppCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DeleteApp",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteAppRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteAppImageConfigCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DeleteAppImageConfig",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteAppImageConfigRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteArtifactCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DeleteArtifact",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteArtifactRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteAssociationCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DeleteAssociation",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteAssociationRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteCodeRepositoryCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DeleteCodeRepository",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteCodeRepositoryInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteContextCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DeleteContext",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteContextRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteDataQualityJobDefinitionCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DeleteDataQualityJobDefinition",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteDataQualityJobDefinitionRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteDeviceFleetCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DeleteDeviceFleet",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteDeviceFleetRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteDomainCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DeleteDomain",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteDomainRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteEndpointCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DeleteEndpoint",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteEndpointInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteEndpointConfigCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DeleteEndpointConfig",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteEndpointConfigInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteExperimentCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DeleteExperiment",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteExperimentRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteFeatureGroupCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DeleteFeatureGroup",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteFeatureGroupRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteFlowDefinitionCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DeleteFlowDefinition",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteFlowDefinitionRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteHumanTaskUiCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DeleteHumanTaskUi",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteHumanTaskUiRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteImageCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DeleteImage",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteImageRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteImageVersionCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DeleteImageVersion",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteImageVersionRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteModelCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DeleteModel",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteModelInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteModelBiasJobDefinitionCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DeleteModelBiasJobDefinition",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteModelBiasJobDefinitionRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteModelExplainabilityJobDefinitionCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DeleteModelExplainabilityJobDefinition",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteModelExplainabilityJobDefinitionRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteModelPackageCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DeleteModelPackage",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteModelPackageInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteModelPackageGroupCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DeleteModelPackageGroup",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteModelPackageGroupInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteModelPackageGroupPolicyCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DeleteModelPackageGroupPolicy",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteModelPackageGroupPolicyInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteModelQualityJobDefinitionCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DeleteModelQualityJobDefinition",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteModelQualityJobDefinitionRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteMonitoringScheduleCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DeleteMonitoringSchedule",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteMonitoringScheduleRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteNotebookInstanceCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DeleteNotebookInstance",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteNotebookInstanceInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteNotebookInstanceLifecycleConfigCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DeleteNotebookInstanceLifecycleConfig",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteNotebookInstanceLifecycleConfigInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeletePipelineCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DeletePipeline",
        };
        body = JSON.stringify(serializeAws_json1_1DeletePipelineRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteProjectCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DeleteProject",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteProjectInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteStudioLifecycleConfigCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DeleteStudioLifecycleConfig",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteStudioLifecycleConfigRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteTagsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DeleteTags",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteTagsInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteTrialCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DeleteTrial",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteTrialRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteTrialComponentCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DeleteTrialComponent",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteTrialComponentRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteUserProfileCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DeleteUserProfile",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteUserProfileRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteWorkforceCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DeleteWorkforce",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteWorkforceRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeleteWorkteamCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DeleteWorkteam",
        };
        body = JSON.stringify(serializeAws_json1_1DeleteWorkteamRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DeregisterDevicesCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DeregisterDevices",
        };
        body = JSON.stringify(serializeAws_json1_1DeregisterDevicesRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeActionCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DescribeAction",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeActionRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeAlgorithmCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DescribeAlgorithm",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeAlgorithmInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeAppCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DescribeApp",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeAppRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeAppImageConfigCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DescribeAppImageConfig",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeAppImageConfigRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeArtifactCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DescribeArtifact",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeArtifactRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeAutoMLJobCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DescribeAutoMLJob",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeAutoMLJobRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeCodeRepositoryCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DescribeCodeRepository",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeCodeRepositoryInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeCompilationJobCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DescribeCompilationJob",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeCompilationJobRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeContextCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DescribeContext",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeContextRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeDataQualityJobDefinitionCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DescribeDataQualityJobDefinition",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeDataQualityJobDefinitionRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeDeviceCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DescribeDevice",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeDeviceRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeDeviceFleetCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DescribeDeviceFleet",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeDeviceFleetRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeDomainCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DescribeDomain",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeDomainRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeEdgePackagingJobCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DescribeEdgePackagingJob",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeEdgePackagingJobRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeEndpointCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DescribeEndpoint",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeEndpointInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeEndpointConfigCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DescribeEndpointConfig",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeEndpointConfigInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeExperimentCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DescribeExperiment",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeExperimentRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeFeatureGroupCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DescribeFeatureGroup",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeFeatureGroupRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeFlowDefinitionCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DescribeFlowDefinition",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeFlowDefinitionRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeHumanTaskUiCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DescribeHumanTaskUi",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeHumanTaskUiRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeHyperParameterTuningJobCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DescribeHyperParameterTuningJob",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeHyperParameterTuningJobRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeImageCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DescribeImage",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeImageRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeImageVersionCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DescribeImageVersion",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeImageVersionRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeInferenceRecommendationsJobCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DescribeInferenceRecommendationsJob",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeInferenceRecommendationsJobRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeLabelingJobCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DescribeLabelingJob",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeLabelingJobRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeLineageGroupCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DescribeLineageGroup",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeLineageGroupRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeModelCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DescribeModel",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeModelInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeModelBiasJobDefinitionCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DescribeModelBiasJobDefinition",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeModelBiasJobDefinitionRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeModelExplainabilityJobDefinitionCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DescribeModelExplainabilityJobDefinition",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeModelExplainabilityJobDefinitionRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeModelPackageCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DescribeModelPackage",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeModelPackageInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeModelPackageGroupCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DescribeModelPackageGroup",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeModelPackageGroupInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeModelQualityJobDefinitionCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DescribeModelQualityJobDefinition",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeModelQualityJobDefinitionRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeMonitoringScheduleCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DescribeMonitoringSchedule",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeMonitoringScheduleRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeNotebookInstanceCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DescribeNotebookInstance",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeNotebookInstanceInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeNotebookInstanceLifecycleConfigCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DescribeNotebookInstanceLifecycleConfig",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeNotebookInstanceLifecycleConfigInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribePipelineCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DescribePipeline",
        };
        body = JSON.stringify(serializeAws_json1_1DescribePipelineRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribePipelineDefinitionForExecutionCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DescribePipelineDefinitionForExecution",
        };
        body = JSON.stringify(serializeAws_json1_1DescribePipelineDefinitionForExecutionRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribePipelineExecutionCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DescribePipelineExecution",
        };
        body = JSON.stringify(serializeAws_json1_1DescribePipelineExecutionRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeProcessingJobCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DescribeProcessingJob",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeProcessingJobRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeProjectCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DescribeProject",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeProjectInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeStudioLifecycleConfigCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DescribeStudioLifecycleConfig",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeStudioLifecycleConfigRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeSubscribedWorkteamCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DescribeSubscribedWorkteam",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeSubscribedWorkteamRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeTrainingJobCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DescribeTrainingJob",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeTrainingJobRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeTransformJobCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DescribeTransformJob",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeTransformJobRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeTrialCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DescribeTrial",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeTrialRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeTrialComponentCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DescribeTrialComponent",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeTrialComponentRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeUserProfileCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DescribeUserProfile",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeUserProfileRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeWorkforceCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DescribeWorkforce",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeWorkforceRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DescribeWorkteamCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DescribeWorkteam",
        };
        body = JSON.stringify(serializeAws_json1_1DescribeWorkteamRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DisableSagemakerServicecatalogPortfolioCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DisableSagemakerServicecatalogPortfolio",
        };
        body = JSON.stringify(serializeAws_json1_1DisableSagemakerServicecatalogPortfolioInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1DisassociateTrialComponentCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.DisassociateTrialComponent",
        };
        body = JSON.stringify(serializeAws_json1_1DisassociateTrialComponentRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1EnableSagemakerServicecatalogPortfolioCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.EnableSagemakerServicecatalogPortfolio",
        };
        body = JSON.stringify(serializeAws_json1_1EnableSagemakerServicecatalogPortfolioInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1GetDeviceFleetReportCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.GetDeviceFleetReport",
        };
        body = JSON.stringify(serializeAws_json1_1GetDeviceFleetReportRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1GetLineageGroupPolicyCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.GetLineageGroupPolicy",
        };
        body = JSON.stringify(serializeAws_json1_1GetLineageGroupPolicyRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1GetModelPackageGroupPolicyCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.GetModelPackageGroupPolicy",
        };
        body = JSON.stringify(serializeAws_json1_1GetModelPackageGroupPolicyInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1GetSagemakerServicecatalogPortfolioStatusCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.GetSagemakerServicecatalogPortfolioStatus",
        };
        body = JSON.stringify(serializeAws_json1_1GetSagemakerServicecatalogPortfolioStatusInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1GetSearchSuggestionsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.GetSearchSuggestions",
        };
        body = JSON.stringify(serializeAws_json1_1GetSearchSuggestionsRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListActionsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListActions",
        };
        body = JSON.stringify(serializeAws_json1_1ListActionsRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListAlgorithmsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListAlgorithms",
        };
        body = JSON.stringify(serializeAws_json1_1ListAlgorithmsInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListAppImageConfigsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListAppImageConfigs",
        };
        body = JSON.stringify(serializeAws_json1_1ListAppImageConfigsRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListAppsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListApps",
        };
        body = JSON.stringify(serializeAws_json1_1ListAppsRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListArtifactsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListArtifacts",
        };
        body = JSON.stringify(serializeAws_json1_1ListArtifactsRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListAssociationsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListAssociations",
        };
        body = JSON.stringify(serializeAws_json1_1ListAssociationsRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListAutoMLJobsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListAutoMLJobs",
        };
        body = JSON.stringify(serializeAws_json1_1ListAutoMLJobsRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListCandidatesForAutoMLJobCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListCandidatesForAutoMLJob",
        };
        body = JSON.stringify(serializeAws_json1_1ListCandidatesForAutoMLJobRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListCodeRepositoriesCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListCodeRepositories",
        };
        body = JSON.stringify(serializeAws_json1_1ListCodeRepositoriesInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListCompilationJobsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListCompilationJobs",
        };
        body = JSON.stringify(serializeAws_json1_1ListCompilationJobsRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListContextsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListContexts",
        };
        body = JSON.stringify(serializeAws_json1_1ListContextsRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListDataQualityJobDefinitionsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListDataQualityJobDefinitions",
        };
        body = JSON.stringify(serializeAws_json1_1ListDataQualityJobDefinitionsRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListDeviceFleetsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListDeviceFleets",
        };
        body = JSON.stringify(serializeAws_json1_1ListDeviceFleetsRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListDevicesCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListDevices",
        };
        body = JSON.stringify(serializeAws_json1_1ListDevicesRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListDomainsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListDomains",
        };
        body = JSON.stringify(serializeAws_json1_1ListDomainsRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListEdgePackagingJobsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListEdgePackagingJobs",
        };
        body = JSON.stringify(serializeAws_json1_1ListEdgePackagingJobsRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListEndpointConfigsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListEndpointConfigs",
        };
        body = JSON.stringify(serializeAws_json1_1ListEndpointConfigsInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListEndpointsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListEndpoints",
        };
        body = JSON.stringify(serializeAws_json1_1ListEndpointsInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListExperimentsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListExperiments",
        };
        body = JSON.stringify(serializeAws_json1_1ListExperimentsRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListFeatureGroupsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListFeatureGroups",
        };
        body = JSON.stringify(serializeAws_json1_1ListFeatureGroupsRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListFlowDefinitionsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListFlowDefinitions",
        };
        body = JSON.stringify(serializeAws_json1_1ListFlowDefinitionsRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListHumanTaskUisCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListHumanTaskUis",
        };
        body = JSON.stringify(serializeAws_json1_1ListHumanTaskUisRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListHyperParameterTuningJobsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListHyperParameterTuningJobs",
        };
        body = JSON.stringify(serializeAws_json1_1ListHyperParameterTuningJobsRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListImagesCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListImages",
        };
        body = JSON.stringify(serializeAws_json1_1ListImagesRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListImageVersionsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListImageVersions",
        };
        body = JSON.stringify(serializeAws_json1_1ListImageVersionsRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListInferenceRecommendationsJobsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListInferenceRecommendationsJobs",
        };
        body = JSON.stringify(serializeAws_json1_1ListInferenceRecommendationsJobsRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListLabelingJobsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListLabelingJobs",
        };
        body = JSON.stringify(serializeAws_json1_1ListLabelingJobsRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListLabelingJobsForWorkteamCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListLabelingJobsForWorkteam",
        };
        body = JSON.stringify(serializeAws_json1_1ListLabelingJobsForWorkteamRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListLineageGroupsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListLineageGroups",
        };
        body = JSON.stringify(serializeAws_json1_1ListLineageGroupsRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListModelBiasJobDefinitionsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListModelBiasJobDefinitions",
        };
        body = JSON.stringify(serializeAws_json1_1ListModelBiasJobDefinitionsRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListModelExplainabilityJobDefinitionsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListModelExplainabilityJobDefinitions",
        };
        body = JSON.stringify(serializeAws_json1_1ListModelExplainabilityJobDefinitionsRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListModelMetadataCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListModelMetadata",
        };
        body = JSON.stringify(serializeAws_json1_1ListModelMetadataRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListModelPackageGroupsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListModelPackageGroups",
        };
        body = JSON.stringify(serializeAws_json1_1ListModelPackageGroupsInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListModelPackagesCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListModelPackages",
        };
        body = JSON.stringify(serializeAws_json1_1ListModelPackagesInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListModelQualityJobDefinitionsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListModelQualityJobDefinitions",
        };
        body = JSON.stringify(serializeAws_json1_1ListModelQualityJobDefinitionsRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListModelsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListModels",
        };
        body = JSON.stringify(serializeAws_json1_1ListModelsInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListMonitoringExecutionsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListMonitoringExecutions",
        };
        body = JSON.stringify(serializeAws_json1_1ListMonitoringExecutionsRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListMonitoringSchedulesCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListMonitoringSchedules",
        };
        body = JSON.stringify(serializeAws_json1_1ListMonitoringSchedulesRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListNotebookInstanceLifecycleConfigsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListNotebookInstanceLifecycleConfigs",
        };
        body = JSON.stringify(serializeAws_json1_1ListNotebookInstanceLifecycleConfigsInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListNotebookInstancesCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListNotebookInstances",
        };
        body = JSON.stringify(serializeAws_json1_1ListNotebookInstancesInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListPipelineExecutionsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListPipelineExecutions",
        };
        body = JSON.stringify(serializeAws_json1_1ListPipelineExecutionsRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListPipelineExecutionStepsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListPipelineExecutionSteps",
        };
        body = JSON.stringify(serializeAws_json1_1ListPipelineExecutionStepsRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListPipelineParametersForExecutionCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListPipelineParametersForExecution",
        };
        body = JSON.stringify(serializeAws_json1_1ListPipelineParametersForExecutionRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListPipelinesCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListPipelines",
        };
        body = JSON.stringify(serializeAws_json1_1ListPipelinesRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListProcessingJobsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListProcessingJobs",
        };
        body = JSON.stringify(serializeAws_json1_1ListProcessingJobsRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListProjectsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListProjects",
        };
        body = JSON.stringify(serializeAws_json1_1ListProjectsInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListStudioLifecycleConfigsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListStudioLifecycleConfigs",
        };
        body = JSON.stringify(serializeAws_json1_1ListStudioLifecycleConfigsRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListSubscribedWorkteamsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListSubscribedWorkteams",
        };
        body = JSON.stringify(serializeAws_json1_1ListSubscribedWorkteamsRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListTagsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListTags",
        };
        body = JSON.stringify(serializeAws_json1_1ListTagsInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListTrainingJobsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListTrainingJobs",
        };
        body = JSON.stringify(serializeAws_json1_1ListTrainingJobsRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListTrainingJobsForHyperParameterTuningJobCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListTrainingJobsForHyperParameterTuningJob",
        };
        body = JSON.stringify(serializeAws_json1_1ListTrainingJobsForHyperParameterTuningJobRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListTransformJobsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListTransformJobs",
        };
        body = JSON.stringify(serializeAws_json1_1ListTransformJobsRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListTrialComponentsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListTrialComponents",
        };
        body = JSON.stringify(serializeAws_json1_1ListTrialComponentsRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListTrialsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListTrials",
        };
        body = JSON.stringify(serializeAws_json1_1ListTrialsRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListUserProfilesCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListUserProfiles",
        };
        body = JSON.stringify(serializeAws_json1_1ListUserProfilesRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListWorkforcesCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListWorkforces",
        };
        body = JSON.stringify(serializeAws_json1_1ListWorkforcesRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1ListWorkteamsCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.ListWorkteams",
        };
        body = JSON.stringify(serializeAws_json1_1ListWorkteamsRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1PutModelPackageGroupPolicyCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.PutModelPackageGroupPolicy",
        };
        body = JSON.stringify(serializeAws_json1_1PutModelPackageGroupPolicyInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1QueryLineageCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.QueryLineage",
        };
        body = JSON.stringify(serializeAws_json1_1QueryLineageRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1RegisterDevicesCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.RegisterDevices",
        };
        body = JSON.stringify(serializeAws_json1_1RegisterDevicesRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1RenderUiTemplateCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.RenderUiTemplate",
        };
        body = JSON.stringify(serializeAws_json1_1RenderUiTemplateRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1RetryPipelineExecutionCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.RetryPipelineExecution",
        };
        body = JSON.stringify(serializeAws_json1_1RetryPipelineExecutionRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1SearchCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.Search",
        };
        body = JSON.stringify(serializeAws_json1_1SearchRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1SendPipelineExecutionStepFailureCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.SendPipelineExecutionStepFailure",
        };
        body = JSON.stringify(serializeAws_json1_1SendPipelineExecutionStepFailureRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1SendPipelineExecutionStepSuccessCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.SendPipelineExecutionStepSuccess",
        };
        body = JSON.stringify(serializeAws_json1_1SendPipelineExecutionStepSuccessRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1StartMonitoringScheduleCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.StartMonitoringSchedule",
        };
        body = JSON.stringify(serializeAws_json1_1StartMonitoringScheduleRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1StartNotebookInstanceCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.StartNotebookInstance",
        };
        body = JSON.stringify(serializeAws_json1_1StartNotebookInstanceInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1StartPipelineExecutionCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.StartPipelineExecution",
        };
        body = JSON.stringify(serializeAws_json1_1StartPipelineExecutionRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1StopAutoMLJobCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.StopAutoMLJob",
        };
        body = JSON.stringify(serializeAws_json1_1StopAutoMLJobRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1StopCompilationJobCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.StopCompilationJob",
        };
        body = JSON.stringify(serializeAws_json1_1StopCompilationJobRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1StopEdgePackagingJobCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.StopEdgePackagingJob",
        };
        body = JSON.stringify(serializeAws_json1_1StopEdgePackagingJobRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1StopHyperParameterTuningJobCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.StopHyperParameterTuningJob",
        };
        body = JSON.stringify(serializeAws_json1_1StopHyperParameterTuningJobRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1StopInferenceRecommendationsJobCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.StopInferenceRecommendationsJob",
        };
        body = JSON.stringify(serializeAws_json1_1StopInferenceRecommendationsJobRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1StopLabelingJobCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.StopLabelingJob",
        };
        body = JSON.stringify(serializeAws_json1_1StopLabelingJobRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1StopMonitoringScheduleCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.StopMonitoringSchedule",
        };
        body = JSON.stringify(serializeAws_json1_1StopMonitoringScheduleRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1StopNotebookInstanceCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.StopNotebookInstance",
        };
        body = JSON.stringify(serializeAws_json1_1StopNotebookInstanceInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1StopPipelineExecutionCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.StopPipelineExecution",
        };
        body = JSON.stringify(serializeAws_json1_1StopPipelineExecutionRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1StopProcessingJobCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.StopProcessingJob",
        };
        body = JSON.stringify(serializeAws_json1_1StopProcessingJobRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1StopTrainingJobCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.StopTrainingJob",
        };
        body = JSON.stringify(serializeAws_json1_1StopTrainingJobRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1StopTransformJobCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.StopTransformJob",
        };
        body = JSON.stringify(serializeAws_json1_1StopTransformJobRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1UpdateActionCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.UpdateAction",
        };
        body = JSON.stringify(serializeAws_json1_1UpdateActionRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1UpdateAppImageConfigCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.UpdateAppImageConfig",
        };
        body = JSON.stringify(serializeAws_json1_1UpdateAppImageConfigRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1UpdateArtifactCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.UpdateArtifact",
        };
        body = JSON.stringify(serializeAws_json1_1UpdateArtifactRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1UpdateCodeRepositoryCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.UpdateCodeRepository",
        };
        body = JSON.stringify(serializeAws_json1_1UpdateCodeRepositoryInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1UpdateContextCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.UpdateContext",
        };
        body = JSON.stringify(serializeAws_json1_1UpdateContextRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1UpdateDeviceFleetCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.UpdateDeviceFleet",
        };
        body = JSON.stringify(serializeAws_json1_1UpdateDeviceFleetRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1UpdateDevicesCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.UpdateDevices",
        };
        body = JSON.stringify(serializeAws_json1_1UpdateDevicesRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1UpdateDomainCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.UpdateDomain",
        };
        body = JSON.stringify(serializeAws_json1_1UpdateDomainRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1UpdateEndpointCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.UpdateEndpoint",
        };
        body = JSON.stringify(serializeAws_json1_1UpdateEndpointInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1UpdateEndpointWeightsAndCapacitiesCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.UpdateEndpointWeightsAndCapacities",
        };
        body = JSON.stringify(serializeAws_json1_1UpdateEndpointWeightsAndCapacitiesInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1UpdateExperimentCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.UpdateExperiment",
        };
        body = JSON.stringify(serializeAws_json1_1UpdateExperimentRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1UpdateImageCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.UpdateImage",
        };
        body = JSON.stringify(serializeAws_json1_1UpdateImageRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1UpdateModelPackageCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.UpdateModelPackage",
        };
        body = JSON.stringify(serializeAws_json1_1UpdateModelPackageInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1UpdateMonitoringScheduleCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.UpdateMonitoringSchedule",
        };
        body = JSON.stringify(serializeAws_json1_1UpdateMonitoringScheduleRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1UpdateNotebookInstanceCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.UpdateNotebookInstance",
        };
        body = JSON.stringify(serializeAws_json1_1UpdateNotebookInstanceInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1UpdateNotebookInstanceLifecycleConfigCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.UpdateNotebookInstanceLifecycleConfig",
        };
        body = JSON.stringify(serializeAws_json1_1UpdateNotebookInstanceLifecycleConfigInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1UpdatePipelineCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.UpdatePipeline",
        };
        body = JSON.stringify(serializeAws_json1_1UpdatePipelineRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1UpdatePipelineExecutionCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.UpdatePipelineExecution",
        };
        body = JSON.stringify(serializeAws_json1_1UpdatePipelineExecutionRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1UpdateProjectCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.UpdateProject",
        };
        body = JSON.stringify(serializeAws_json1_1UpdateProjectInput(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1UpdateTrainingJobCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.UpdateTrainingJob",
        };
        body = JSON.stringify(serializeAws_json1_1UpdateTrainingJobRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1UpdateTrialCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.UpdateTrial",
        };
        body = JSON.stringify(serializeAws_json1_1UpdateTrialRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1UpdateTrialComponentCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.UpdateTrialComponent",
        };
        body = JSON.stringify(serializeAws_json1_1UpdateTrialComponentRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1UpdateUserProfileCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.UpdateUserProfile",
        };
        body = JSON.stringify(serializeAws_json1_1UpdateUserProfileRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1UpdateWorkforceCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.UpdateWorkforce",
        };
        body = JSON.stringify(serializeAws_json1_1UpdateWorkforceRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var serializeAws_json1_1UpdateWorkteamCommand = function (input, context) { return __awaiter(void 0, void 0, void 0, function () {
    var headers, body;
    return __generator(this, function (_a) {
        headers = {
            "content-type": "application/x-amz-json-1.1",
            "x-amz-target": "SageMaker.UpdateWorkteam",
        };
        body = JSON.stringify(serializeAws_json1_1UpdateWorkteamRequest(input, context));
        return [2, buildHttpRpcRequest(context, headers, "/", undefined, body)];
    });
}); };
export var deserializeAws_json1_1AddAssociationCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1AddAssociationCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1AddAssociationResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1AddAssociationCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceLimitExceeded": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 2];
                    case "ResourceNotFound": return [3, 4];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1AddTagsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1AddTagsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1AddTagsOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1AddTagsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1AssociateTrialComponentCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1AssociateTrialComponentCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1AssociateTrialComponentResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1AssociateTrialComponentCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceLimitExceeded": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 2];
                    case "ResourceNotFound": return [3, 4];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1BatchDescribeModelPackageCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1BatchDescribeModelPackageCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1BatchDescribeModelPackageOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1BatchDescribeModelPackageCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1CreateActionCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateActionCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateActionResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateActionCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceLimitExceeded": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreateAlgorithmCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateAlgorithmCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateAlgorithmOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateAlgorithmCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1CreateAppCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateAppCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateAppResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateAppCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceInUse": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceInUse": return [3, 2];
                    case "ResourceLimitExceeded": return [3, 4];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ResourceInUseResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreateAppImageConfigCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateAppImageConfigCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateAppImageConfigResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateAppImageConfigCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceInUse": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceInUse": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceInUseResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreateArtifactCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateArtifactCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateArtifactResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateArtifactCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceLimitExceeded": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreateAutoMLJobCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateAutoMLJobCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateAutoMLJobResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateAutoMLJobCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceInUse": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceInUse": return [3, 2];
                    case "ResourceLimitExceeded": return [3, 4];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ResourceInUseResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreateCodeRepositoryCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateCodeRepositoryCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateCodeRepositoryOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateCodeRepositoryCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1CreateCompilationJobCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateCompilationJobCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateCompilationJobResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateCompilationJobCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceInUse": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceInUse": return [3, 2];
                    case "ResourceLimitExceeded": return [3, 4];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ResourceInUseResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreateContextCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateContextCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateContextResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateContextCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceLimitExceeded": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreateDataQualityJobDefinitionCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateDataQualityJobDefinitionCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateDataQualityJobDefinitionResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateDataQualityJobDefinitionCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceInUse": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceInUse": return [3, 2];
                    case "ResourceLimitExceeded": return [3, 4];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ResourceInUseResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreateDeviceFleetCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateDeviceFleetCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateDeviceFleetCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceInUse": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceInUse": return [3, 2];
                    case "ResourceLimitExceeded": return [3, 4];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ResourceInUseResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreateDomainCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateDomainCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateDomainResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateDomainCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceInUse": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceInUse": return [3, 2];
                    case "ResourceLimitExceeded": return [3, 4];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ResourceInUseResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreateEdgePackagingJobCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateEdgePackagingJobCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateEdgePackagingJobCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceLimitExceeded": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreateEndpointCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateEndpointCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateEndpointOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateEndpointCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceLimitExceeded": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreateEndpointConfigCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateEndpointConfigCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateEndpointConfigOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateEndpointConfigCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceLimitExceeded": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreateExperimentCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateExperimentCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateExperimentResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateExperimentCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceLimitExceeded": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreateFeatureGroupCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateFeatureGroupCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateFeatureGroupResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateFeatureGroupCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceInUse": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceInUse": return [3, 2];
                    case "ResourceLimitExceeded": return [3, 4];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ResourceInUseResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreateFlowDefinitionCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateFlowDefinitionCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateFlowDefinitionResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateFlowDefinitionCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceInUse": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceInUse": return [3, 2];
                    case "ResourceLimitExceeded": return [3, 4];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ResourceInUseResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreateHumanTaskUiCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateHumanTaskUiCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateHumanTaskUiResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateHumanTaskUiCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceInUse": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceInUse": return [3, 2];
                    case "ResourceLimitExceeded": return [3, 4];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ResourceInUseResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreateHyperParameterTuningJobCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateHyperParameterTuningJobCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateHyperParameterTuningJobResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateHyperParameterTuningJobCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceInUse": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceInUse": return [3, 2];
                    case "ResourceLimitExceeded": return [3, 4];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ResourceInUseResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreateImageCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateImageCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateImageResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateImageCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceInUse": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceInUse": return [3, 2];
                    case "ResourceLimitExceeded": return [3, 4];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ResourceInUseResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreateImageVersionCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateImageVersionCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateImageVersionResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateImageVersionCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceInUse": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceInUse": return [3, 2];
                    case "ResourceLimitExceeded": return [3, 4];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 4];
                    case "ResourceNotFound": return [3, 6];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 6];
                }
                return [3, 8];
            case 2: return [4, deserializeAws_json1_1ResourceInUseResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreateInferenceRecommendationsJobCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateInferenceRecommendationsJobCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateInferenceRecommendationsJobResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateInferenceRecommendationsJobCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceInUse": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceInUse": return [3, 2];
                    case "ResourceLimitExceeded": return [3, 4];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ResourceInUseResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreateLabelingJobCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateLabelingJobCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateLabelingJobResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateLabelingJobCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceInUse": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceInUse": return [3, 2];
                    case "ResourceLimitExceeded": return [3, 4];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ResourceInUseResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreateModelCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateModelCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateModelOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateModelCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceLimitExceeded": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreateModelBiasJobDefinitionCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateModelBiasJobDefinitionCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateModelBiasJobDefinitionResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateModelBiasJobDefinitionCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceInUse": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceInUse": return [3, 2];
                    case "ResourceLimitExceeded": return [3, 4];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ResourceInUseResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreateModelExplainabilityJobDefinitionCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateModelExplainabilityJobDefinitionCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateModelExplainabilityJobDefinitionResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateModelExplainabilityJobDefinitionCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceInUse": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceInUse": return [3, 2];
                    case "ResourceLimitExceeded": return [3, 4];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ResourceInUseResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreateModelPackageCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateModelPackageCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateModelPackageOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateModelPackageCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ConflictException": return [3, 2];
                    case "com.amazonaws.sagemaker#ConflictException": return [3, 2];
                    case "ResourceLimitExceeded": return [3, 4];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ConflictExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreateModelPackageGroupCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateModelPackageGroupCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateModelPackageGroupOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateModelPackageGroupCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceLimitExceeded": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreateModelQualityJobDefinitionCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateModelQualityJobDefinitionCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateModelQualityJobDefinitionResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateModelQualityJobDefinitionCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceInUse": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceInUse": return [3, 2];
                    case "ResourceLimitExceeded": return [3, 4];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ResourceInUseResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreateMonitoringScheduleCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateMonitoringScheduleCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateMonitoringScheduleResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateMonitoringScheduleCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceInUse": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceInUse": return [3, 2];
                    case "ResourceLimitExceeded": return [3, 4];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ResourceInUseResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreateNotebookInstanceCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateNotebookInstanceCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateNotebookInstanceOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateNotebookInstanceCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceLimitExceeded": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreateNotebookInstanceLifecycleConfigCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateNotebookInstanceLifecycleConfigCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateNotebookInstanceLifecycleConfigOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateNotebookInstanceLifecycleConfigCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceLimitExceeded": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreatePipelineCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreatePipelineCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreatePipelineResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreatePipelineCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceLimitExceeded": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 2];
                    case "ResourceNotFound": return [3, 4];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreatePresignedDomainUrlCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreatePresignedDomainUrlCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreatePresignedDomainUrlResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreatePresignedDomainUrlCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreatePresignedNotebookInstanceUrlCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreatePresignedNotebookInstanceUrlCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreatePresignedNotebookInstanceUrlOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreatePresignedNotebookInstanceUrlCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1CreateProcessingJobCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateProcessingJobCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateProcessingJobResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateProcessingJobCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceInUse": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceInUse": return [3, 2];
                    case "ResourceLimitExceeded": return [3, 4];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 4];
                    case "ResourceNotFound": return [3, 6];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 6];
                }
                return [3, 8];
            case 2: return [4, deserializeAws_json1_1ResourceInUseResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreateProjectCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateProjectCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateProjectOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateProjectCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceLimitExceeded": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreateStudioLifecycleConfigCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateStudioLifecycleConfigCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateStudioLifecycleConfigResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateStudioLifecycleConfigCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceInUse": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceInUse": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceInUseResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreateTrainingJobCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateTrainingJobCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateTrainingJobResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateTrainingJobCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceInUse": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceInUse": return [3, 2];
                    case "ResourceLimitExceeded": return [3, 4];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 4];
                    case "ResourceNotFound": return [3, 6];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 6];
                }
                return [3, 8];
            case 2: return [4, deserializeAws_json1_1ResourceInUseResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreateTransformJobCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateTransformJobCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateTransformJobResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateTransformJobCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceInUse": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceInUse": return [3, 2];
                    case "ResourceLimitExceeded": return [3, 4];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 4];
                    case "ResourceNotFound": return [3, 6];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 6];
                }
                return [3, 8];
            case 2: return [4, deserializeAws_json1_1ResourceInUseResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreateTrialCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateTrialCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateTrialResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateTrialCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceLimitExceeded": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 2];
                    case "ResourceNotFound": return [3, 4];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreateTrialComponentCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateTrialComponentCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateTrialComponentResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateTrialComponentCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceLimitExceeded": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreateUserProfileCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateUserProfileCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateUserProfileResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateUserProfileCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceInUse": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceInUse": return [3, 2];
                    case "ResourceLimitExceeded": return [3, 4];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ResourceInUseResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1CreateWorkforceCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateWorkforceCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateWorkforceResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateWorkforceCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1CreateWorkteamCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1CreateWorkteamCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1CreateWorkteamResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1CreateWorkteamCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceInUse": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceInUse": return [3, 2];
                    case "ResourceLimitExceeded": return [3, 4];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ResourceInUseResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DeleteActionCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteActionCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DeleteActionResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteActionCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DeleteAlgorithmCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteAlgorithmCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteAlgorithmCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1DeleteAppCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteAppCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteAppCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceInUse": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceInUse": return [3, 2];
                    case "ResourceNotFound": return [3, 4];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ResourceInUseResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DeleteAppImageConfigCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteAppImageConfigCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteAppImageConfigCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DeleteArtifactCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteArtifactCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DeleteArtifactResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteArtifactCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DeleteAssociationCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteAssociationCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DeleteAssociationResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteAssociationCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DeleteCodeRepositoryCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteCodeRepositoryCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteCodeRepositoryCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1DeleteContextCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteContextCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DeleteContextResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteContextCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DeleteDataQualityJobDefinitionCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteDataQualityJobDefinitionCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteDataQualityJobDefinitionCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DeleteDeviceFleetCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteDeviceFleetCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteDeviceFleetCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceInUse": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceInUse": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceInUseResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DeleteDomainCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteDomainCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteDomainCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceInUse": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceInUse": return [3, 2];
                    case "ResourceNotFound": return [3, 4];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ResourceInUseResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DeleteEndpointCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteEndpointCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteEndpointCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1DeleteEndpointConfigCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteEndpointConfigCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteEndpointConfigCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1DeleteExperimentCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteExperimentCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DeleteExperimentResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteExperimentCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DeleteFeatureGroupCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteFeatureGroupCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteFeatureGroupCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DeleteFlowDefinitionCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteFlowDefinitionCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DeleteFlowDefinitionResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteFlowDefinitionCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceInUse": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceInUse": return [3, 2];
                    case "ResourceNotFound": return [3, 4];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ResourceInUseResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DeleteHumanTaskUiCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteHumanTaskUiCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DeleteHumanTaskUiResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteHumanTaskUiCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DeleteImageCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteImageCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DeleteImageResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteImageCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceInUse": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceInUse": return [3, 2];
                    case "ResourceNotFound": return [3, 4];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ResourceInUseResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DeleteImageVersionCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteImageVersionCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DeleteImageVersionResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteImageVersionCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceInUse": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceInUse": return [3, 2];
                    case "ResourceNotFound": return [3, 4];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ResourceInUseResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DeleteModelCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteModelCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteModelCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1DeleteModelBiasJobDefinitionCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteModelBiasJobDefinitionCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteModelBiasJobDefinitionCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DeleteModelExplainabilityJobDefinitionCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteModelExplainabilityJobDefinitionCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteModelExplainabilityJobDefinitionCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DeleteModelPackageCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteModelPackageCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteModelPackageCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ConflictException": return [3, 2];
                    case "com.amazonaws.sagemaker#ConflictException": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ConflictExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DeleteModelPackageGroupCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteModelPackageGroupCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteModelPackageGroupCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ConflictException": return [3, 2];
                    case "com.amazonaws.sagemaker#ConflictException": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ConflictExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DeleteModelPackageGroupPolicyCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteModelPackageGroupPolicyCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteModelPackageGroupPolicyCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1DeleteModelQualityJobDefinitionCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteModelQualityJobDefinitionCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteModelQualityJobDefinitionCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DeleteMonitoringScheduleCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteMonitoringScheduleCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteMonitoringScheduleCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DeleteNotebookInstanceCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteNotebookInstanceCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteNotebookInstanceCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1DeleteNotebookInstanceLifecycleConfigCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteNotebookInstanceLifecycleConfigCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteNotebookInstanceLifecycleConfigCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1DeletePipelineCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeletePipelineCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DeletePipelineResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeletePipelineCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DeleteProjectCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteProjectCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteProjectCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ConflictException": return [3, 2];
                    case "com.amazonaws.sagemaker#ConflictException": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ConflictExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DeleteStudioLifecycleConfigCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteStudioLifecycleConfigCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteStudioLifecycleConfigCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceInUse": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceInUse": return [3, 2];
                    case "ResourceNotFound": return [3, 4];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ResourceInUseResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DeleteTagsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteTagsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DeleteTagsOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteTagsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1DeleteTrialCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteTrialCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DeleteTrialResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteTrialCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DeleteTrialComponentCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteTrialComponentCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DeleteTrialComponentResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteTrialComponentCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DeleteUserProfileCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteUserProfileCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteUserProfileCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceInUse": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceInUse": return [3, 2];
                    case "ResourceNotFound": return [3, 4];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ResourceInUseResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DeleteWorkforceCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteWorkforceCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DeleteWorkforceResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteWorkforceCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1DeleteWorkteamCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeleteWorkteamCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DeleteWorkteamResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeleteWorkteamCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceLimitExceeded": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DeregisterDevicesCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DeregisterDevicesCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DeregisterDevicesCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1DescribeActionCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeActionCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeActionResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeActionCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DescribeAlgorithmCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeAlgorithmCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeAlgorithmOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeAlgorithmCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1DescribeAppCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeAppCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeAppResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeAppCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DescribeAppImageConfigCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeAppImageConfigCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeAppImageConfigResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeAppImageConfigCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DescribeArtifactCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeArtifactCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeArtifactResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeArtifactCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DescribeAutoMLJobCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeAutoMLJobCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeAutoMLJobResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeAutoMLJobCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DescribeCodeRepositoryCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeCodeRepositoryCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeCodeRepositoryOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeCodeRepositoryCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1DescribeCompilationJobCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeCompilationJobCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeCompilationJobResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeCompilationJobCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DescribeContextCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeContextCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeContextResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeContextCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DescribeDataQualityJobDefinitionCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeDataQualityJobDefinitionCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeDataQualityJobDefinitionResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeDataQualityJobDefinitionCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DescribeDeviceCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeDeviceCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeDeviceResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeDeviceCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DescribeDeviceFleetCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeDeviceFleetCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeDeviceFleetResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeDeviceFleetCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DescribeDomainCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeDomainCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeDomainResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeDomainCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DescribeEdgePackagingJobCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeEdgePackagingJobCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeEdgePackagingJobResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeEdgePackagingJobCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DescribeEndpointCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeEndpointCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeEndpointOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeEndpointCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1DescribeEndpointConfigCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeEndpointConfigCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeEndpointConfigOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeEndpointConfigCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1DescribeExperimentCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeExperimentCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeExperimentResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeExperimentCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DescribeFeatureGroupCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeFeatureGroupCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeFeatureGroupResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeFeatureGroupCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DescribeFlowDefinitionCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeFlowDefinitionCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeFlowDefinitionResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeFlowDefinitionCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DescribeHumanTaskUiCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeHumanTaskUiCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeHumanTaskUiResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeHumanTaskUiCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DescribeHyperParameterTuningJobCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeHyperParameterTuningJobCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeHyperParameterTuningJobResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeHyperParameterTuningJobCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DescribeImageCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeImageCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeImageResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeImageCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DescribeImageVersionCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeImageVersionCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeImageVersionResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeImageVersionCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DescribeInferenceRecommendationsJobCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeInferenceRecommendationsJobCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeInferenceRecommendationsJobResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeInferenceRecommendationsJobCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DescribeLabelingJobCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeLabelingJobCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeLabelingJobResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeLabelingJobCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DescribeLineageGroupCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeLineageGroupCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeLineageGroupResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeLineageGroupCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DescribeModelCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeModelCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeModelOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeModelCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1DescribeModelBiasJobDefinitionCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeModelBiasJobDefinitionCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeModelBiasJobDefinitionResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeModelBiasJobDefinitionCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DescribeModelExplainabilityJobDefinitionCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeModelExplainabilityJobDefinitionCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeModelExplainabilityJobDefinitionResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeModelExplainabilityJobDefinitionCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DescribeModelPackageCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeModelPackageCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeModelPackageOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeModelPackageCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1DescribeModelPackageGroupCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeModelPackageGroupCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeModelPackageGroupOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeModelPackageGroupCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1DescribeModelQualityJobDefinitionCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeModelQualityJobDefinitionCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeModelQualityJobDefinitionResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeModelQualityJobDefinitionCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DescribeMonitoringScheduleCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeMonitoringScheduleCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeMonitoringScheduleResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeMonitoringScheduleCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DescribeNotebookInstanceCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeNotebookInstanceCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeNotebookInstanceOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeNotebookInstanceCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1DescribeNotebookInstanceLifecycleConfigCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeNotebookInstanceLifecycleConfigCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeNotebookInstanceLifecycleConfigOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeNotebookInstanceLifecycleConfigCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1DescribePipelineCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribePipelineCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribePipelineResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribePipelineCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DescribePipelineDefinitionForExecutionCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribePipelineDefinitionForExecutionCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribePipelineDefinitionForExecutionResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribePipelineDefinitionForExecutionCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DescribePipelineExecutionCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribePipelineExecutionCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribePipelineExecutionResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribePipelineExecutionCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DescribeProcessingJobCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeProcessingJobCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeProcessingJobResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeProcessingJobCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DescribeProjectCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeProjectCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeProjectOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeProjectCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1DescribeStudioLifecycleConfigCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeStudioLifecycleConfigCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeStudioLifecycleConfigResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeStudioLifecycleConfigCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DescribeSubscribedWorkteamCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeSubscribedWorkteamCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeSubscribedWorkteamResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeSubscribedWorkteamCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1DescribeTrainingJobCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeTrainingJobCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeTrainingJobResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeTrainingJobCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DescribeTransformJobCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeTransformJobCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeTransformJobResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeTransformJobCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DescribeTrialCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeTrialCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeTrialResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeTrialCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DescribeTrialComponentCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeTrialComponentCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeTrialComponentResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeTrialComponentCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DescribeUserProfileCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeUserProfileCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeUserProfileResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeUserProfileCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1DescribeWorkforceCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeWorkforceCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeWorkforceResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeWorkforceCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1DescribeWorkteamCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DescribeWorkteamCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DescribeWorkteamResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DescribeWorkteamCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1DisableSagemakerServicecatalogPortfolioCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DisableSagemakerServicecatalogPortfolioCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DisableSagemakerServicecatalogPortfolioOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DisableSagemakerServicecatalogPortfolioCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1DisassociateTrialComponentCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1DisassociateTrialComponentCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1DisassociateTrialComponentResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1DisassociateTrialComponentCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1EnableSagemakerServicecatalogPortfolioCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1EnableSagemakerServicecatalogPortfolioCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1EnableSagemakerServicecatalogPortfolioOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1EnableSagemakerServicecatalogPortfolioCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1GetDeviceFleetReportCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1GetDeviceFleetReportCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1GetDeviceFleetReportResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1GetDeviceFleetReportCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1GetLineageGroupPolicyCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1GetLineageGroupPolicyCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1GetLineageGroupPolicyResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1GetLineageGroupPolicyCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1GetModelPackageGroupPolicyCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1GetModelPackageGroupPolicyCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1GetModelPackageGroupPolicyOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1GetModelPackageGroupPolicyCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1GetSagemakerServicecatalogPortfolioStatusCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1GetSagemakerServicecatalogPortfolioStatusCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1GetSagemakerServicecatalogPortfolioStatusOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1GetSagemakerServicecatalogPortfolioStatusCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1GetSearchSuggestionsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1GetSearchSuggestionsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1GetSearchSuggestionsResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1GetSearchSuggestionsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1ListActionsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListActionsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListActionsResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListActionsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1ListAlgorithmsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListAlgorithmsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListAlgorithmsOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListAlgorithmsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1ListAppImageConfigsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListAppImageConfigsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListAppImageConfigsResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListAppImageConfigsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1ListAppsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListAppsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListAppsResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListAppsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1ListArtifactsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListArtifactsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListArtifactsResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListArtifactsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1ListAssociationsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListAssociationsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListAssociationsResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListAssociationsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1ListAutoMLJobsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListAutoMLJobsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListAutoMLJobsResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListAutoMLJobsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1ListCandidatesForAutoMLJobCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListCandidatesForAutoMLJobCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListCandidatesForAutoMLJobResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListCandidatesForAutoMLJobCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1ListCodeRepositoriesCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListCodeRepositoriesCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListCodeRepositoriesOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListCodeRepositoriesCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1ListCompilationJobsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListCompilationJobsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListCompilationJobsResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListCompilationJobsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1ListContextsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListContextsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListContextsResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListContextsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1ListDataQualityJobDefinitionsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListDataQualityJobDefinitionsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListDataQualityJobDefinitionsResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListDataQualityJobDefinitionsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1ListDeviceFleetsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListDeviceFleetsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListDeviceFleetsResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListDeviceFleetsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1ListDevicesCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListDevicesCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListDevicesResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListDevicesCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1ListDomainsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListDomainsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListDomainsResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListDomainsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1ListEdgePackagingJobsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListEdgePackagingJobsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListEdgePackagingJobsResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListEdgePackagingJobsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1ListEndpointConfigsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListEndpointConfigsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListEndpointConfigsOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListEndpointConfigsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1ListEndpointsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListEndpointsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListEndpointsOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListEndpointsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1ListExperimentsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListExperimentsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListExperimentsResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListExperimentsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1ListFeatureGroupsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListFeatureGroupsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListFeatureGroupsResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListFeatureGroupsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1ListFlowDefinitionsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListFlowDefinitionsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListFlowDefinitionsResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListFlowDefinitionsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1ListHumanTaskUisCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListHumanTaskUisCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListHumanTaskUisResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListHumanTaskUisCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1ListHyperParameterTuningJobsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListHyperParameterTuningJobsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListHyperParameterTuningJobsResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListHyperParameterTuningJobsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1ListImagesCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListImagesCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListImagesResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListImagesCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1ListImageVersionsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListImageVersionsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListImageVersionsResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListImageVersionsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1ListInferenceRecommendationsJobsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListInferenceRecommendationsJobsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListInferenceRecommendationsJobsResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListInferenceRecommendationsJobsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1ListLabelingJobsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListLabelingJobsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListLabelingJobsResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListLabelingJobsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1ListLabelingJobsForWorkteamCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListLabelingJobsForWorkteamCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListLabelingJobsForWorkteamResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListLabelingJobsForWorkteamCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1ListLineageGroupsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListLineageGroupsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListLineageGroupsResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListLineageGroupsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1ListModelBiasJobDefinitionsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListModelBiasJobDefinitionsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListModelBiasJobDefinitionsResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListModelBiasJobDefinitionsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1ListModelExplainabilityJobDefinitionsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListModelExplainabilityJobDefinitionsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListModelExplainabilityJobDefinitionsResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListModelExplainabilityJobDefinitionsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1ListModelMetadataCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListModelMetadataCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListModelMetadataResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListModelMetadataCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1ListModelPackageGroupsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListModelPackageGroupsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListModelPackageGroupsOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListModelPackageGroupsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1ListModelPackagesCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListModelPackagesCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListModelPackagesOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListModelPackagesCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1ListModelQualityJobDefinitionsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListModelQualityJobDefinitionsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListModelQualityJobDefinitionsResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListModelQualityJobDefinitionsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1ListModelsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListModelsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListModelsOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListModelsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1ListMonitoringExecutionsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListMonitoringExecutionsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListMonitoringExecutionsResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListMonitoringExecutionsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1ListMonitoringSchedulesCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListMonitoringSchedulesCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListMonitoringSchedulesResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListMonitoringSchedulesCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1ListNotebookInstanceLifecycleConfigsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListNotebookInstanceLifecycleConfigsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListNotebookInstanceLifecycleConfigsOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListNotebookInstanceLifecycleConfigsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1ListNotebookInstancesCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListNotebookInstancesCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListNotebookInstancesOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListNotebookInstancesCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1ListPipelineExecutionsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListPipelineExecutionsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListPipelineExecutionsResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListPipelineExecutionsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1ListPipelineExecutionStepsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListPipelineExecutionStepsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListPipelineExecutionStepsResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListPipelineExecutionStepsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1ListPipelineParametersForExecutionCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListPipelineParametersForExecutionCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListPipelineParametersForExecutionResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListPipelineParametersForExecutionCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1ListPipelinesCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListPipelinesCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListPipelinesResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListPipelinesCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1ListProcessingJobsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListProcessingJobsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListProcessingJobsResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListProcessingJobsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1ListProjectsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListProjectsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListProjectsOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListProjectsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1ListStudioLifecycleConfigsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListStudioLifecycleConfigsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListStudioLifecycleConfigsResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListStudioLifecycleConfigsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceInUse": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceInUse": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceInUseResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1ListSubscribedWorkteamsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListSubscribedWorkteamsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListSubscribedWorkteamsResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListSubscribedWorkteamsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1ListTagsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListTagsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListTagsOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListTagsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1ListTrainingJobsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListTrainingJobsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListTrainingJobsResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListTrainingJobsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1ListTrainingJobsForHyperParameterTuningJobCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListTrainingJobsForHyperParameterTuningJobCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListTrainingJobsForHyperParameterTuningJobResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListTrainingJobsForHyperParameterTuningJobCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1ListTransformJobsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListTransformJobsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListTransformJobsResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListTransformJobsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1ListTrialComponentsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListTrialComponentsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListTrialComponentsResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListTrialComponentsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1ListTrialsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListTrialsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListTrialsResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListTrialsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1ListUserProfilesCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListUserProfilesCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListUserProfilesResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListUserProfilesCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1ListWorkforcesCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListWorkforcesCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListWorkforcesResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListWorkforcesCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1ListWorkteamsCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1ListWorkteamsCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1ListWorkteamsResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1ListWorkteamsCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1PutModelPackageGroupPolicyCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1PutModelPackageGroupPolicyCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1PutModelPackageGroupPolicyOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1PutModelPackageGroupPolicyCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1QueryLineageCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1QueryLineageCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1QueryLineageResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1QueryLineageCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1RegisterDevicesCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1RegisterDevicesCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1RegisterDevicesCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceLimitExceeded": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1RenderUiTemplateCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1RenderUiTemplateCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1RenderUiTemplateResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1RenderUiTemplateCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1RetryPipelineExecutionCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1RetryPipelineExecutionCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1RetryPipelineExecutionResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1RetryPipelineExecutionCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ConflictException": return [3, 2];
                    case "com.amazonaws.sagemaker#ConflictException": return [3, 2];
                    case "ResourceLimitExceeded": return [3, 4];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 4];
                    case "ResourceNotFound": return [3, 6];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 6];
                }
                return [3, 8];
            case 2: return [4, deserializeAws_json1_1ConflictExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1SearchCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1SearchCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1SearchResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1SearchCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1SendPipelineExecutionStepFailureCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1SendPipelineExecutionStepFailureCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1SendPipelineExecutionStepFailureResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1SendPipelineExecutionStepFailureCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceLimitExceeded": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 2];
                    case "ResourceNotFound": return [3, 4];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1SendPipelineExecutionStepSuccessCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1SendPipelineExecutionStepSuccessCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1SendPipelineExecutionStepSuccessResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1SendPipelineExecutionStepSuccessCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceLimitExceeded": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 2];
                    case "ResourceNotFound": return [3, 4];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1StartMonitoringScheduleCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1StartMonitoringScheduleCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1StartMonitoringScheduleCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1StartNotebookInstanceCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1StartNotebookInstanceCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1StartNotebookInstanceCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceLimitExceeded": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1StartPipelineExecutionCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1StartPipelineExecutionCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1StartPipelineExecutionResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1StartPipelineExecutionCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceLimitExceeded": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 2];
                    case "ResourceNotFound": return [3, 4];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1StopAutoMLJobCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1StopAutoMLJobCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1StopAutoMLJobCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1StopCompilationJobCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1StopCompilationJobCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1StopCompilationJobCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1StopEdgePackagingJobCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1StopEdgePackagingJobCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1StopEdgePackagingJobCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1StopHyperParameterTuningJobCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1StopHyperParameterTuningJobCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1StopHyperParameterTuningJobCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1StopInferenceRecommendationsJobCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1StopInferenceRecommendationsJobCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1StopInferenceRecommendationsJobCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1StopLabelingJobCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1StopLabelingJobCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1StopLabelingJobCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1StopMonitoringScheduleCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1StopMonitoringScheduleCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1StopMonitoringScheduleCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1StopNotebookInstanceCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1StopNotebookInstanceCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1StopNotebookInstanceCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1StopPipelineExecutionCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1StopPipelineExecutionCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1StopPipelineExecutionResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1StopPipelineExecutionCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1StopProcessingJobCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1StopProcessingJobCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1StopProcessingJobCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1StopTrainingJobCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1StopTrainingJobCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1StopTrainingJobCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1StopTransformJobCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1StopTransformJobCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1StopTransformJobCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1UpdateActionCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1UpdateActionCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1UpdateActionResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1UpdateActionCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ConflictException": return [3, 2];
                    case "com.amazonaws.sagemaker#ConflictException": return [3, 2];
                    case "ResourceNotFound": return [3, 4];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ConflictExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1UpdateAppImageConfigCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1UpdateAppImageConfigCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1UpdateAppImageConfigResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1UpdateAppImageConfigCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1UpdateArtifactCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1UpdateArtifactCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1UpdateArtifactResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1UpdateArtifactCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ConflictException": return [3, 2];
                    case "com.amazonaws.sagemaker#ConflictException": return [3, 2];
                    case "ResourceNotFound": return [3, 4];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ConflictExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1UpdateCodeRepositoryCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1UpdateCodeRepositoryCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1UpdateCodeRepositoryOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1UpdateCodeRepositoryCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1UpdateContextCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1UpdateContextCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1UpdateContextResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1UpdateContextCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ConflictException": return [3, 2];
                    case "com.amazonaws.sagemaker#ConflictException": return [3, 2];
                    case "ResourceNotFound": return [3, 4];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ConflictExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1UpdateDeviceFleetCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1UpdateDeviceFleetCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1UpdateDeviceFleetCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceInUse": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceInUse": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceInUseResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1UpdateDevicesCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1UpdateDevicesCommandError(output, context)];
                }
                return [4, collectBody(output.body, context)];
            case 1:
                _a.sent();
                response = {
                    $metadata: deserializeMetadata(output),
                };
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1UpdateDevicesCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1UpdateDomainCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1UpdateDomainCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1UpdateDomainResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1UpdateDomainCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceInUse": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceInUse": return [3, 2];
                    case "ResourceLimitExceeded": return [3, 4];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 4];
                    case "ResourceNotFound": return [3, 6];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 6];
                }
                return [3, 8];
            case 2: return [4, deserializeAws_json1_1ResourceInUseResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1UpdateEndpointCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1UpdateEndpointCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1UpdateEndpointOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1UpdateEndpointCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceLimitExceeded": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1UpdateEndpointWeightsAndCapacitiesCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1UpdateEndpointWeightsAndCapacitiesCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1UpdateEndpointWeightsAndCapacitiesOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1UpdateEndpointWeightsAndCapacitiesCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceLimitExceeded": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1UpdateExperimentCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1UpdateExperimentCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1UpdateExperimentResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1UpdateExperimentCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ConflictException": return [3, 2];
                    case "com.amazonaws.sagemaker#ConflictException": return [3, 2];
                    case "ResourceNotFound": return [3, 4];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ConflictExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1UpdateImageCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1UpdateImageCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1UpdateImageResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1UpdateImageCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceInUse": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceInUse": return [3, 2];
                    case "ResourceNotFound": return [3, 4];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ResourceInUseResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1UpdateModelPackageCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1UpdateModelPackageCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1UpdateModelPackageOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1UpdateModelPackageCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1UpdateMonitoringScheduleCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1UpdateMonitoringScheduleCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1UpdateMonitoringScheduleResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1UpdateMonitoringScheduleCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceLimitExceeded": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 2];
                    case "ResourceNotFound": return [3, 4];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1UpdateNotebookInstanceCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1UpdateNotebookInstanceCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1UpdateNotebookInstanceOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1UpdateNotebookInstanceCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceLimitExceeded": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1UpdateNotebookInstanceLifecycleConfigCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1UpdateNotebookInstanceLifecycleConfigCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1UpdateNotebookInstanceLifecycleConfigOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1UpdateNotebookInstanceLifecycleConfigCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceLimitExceeded": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1UpdatePipelineCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1UpdatePipelineCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1UpdatePipelineResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1UpdatePipelineCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1UpdatePipelineExecutionCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1UpdatePipelineExecutionCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1UpdatePipelineExecutionResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1UpdatePipelineExecutionCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1UpdateProjectCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1UpdateProjectCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1UpdateProjectOutput(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1UpdateProjectCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1UpdateTrainingJobCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1UpdateTrainingJobCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1UpdateTrainingJobResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1UpdateTrainingJobCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceNotFound": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1UpdateTrialCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1UpdateTrialCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1UpdateTrialResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1UpdateTrialCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ConflictException": return [3, 2];
                    case "com.amazonaws.sagemaker#ConflictException": return [3, 2];
                    case "ResourceNotFound": return [3, 4];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ConflictExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1UpdateTrialComponentCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1UpdateTrialComponentCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1UpdateTrialComponentResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1UpdateTrialComponentCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ConflictException": return [3, 2];
                    case "com.amazonaws.sagemaker#ConflictException": return [3, 2];
                    case "ResourceNotFound": return [3, 4];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 4];
                }
                return [3, 6];
            case 2: return [4, deserializeAws_json1_1ConflictExceptionResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1UpdateUserProfileCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1UpdateUserProfileCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1UpdateUserProfileResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1UpdateUserProfileCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceInUse": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceInUse": return [3, 2];
                    case "ResourceLimitExceeded": return [3, 4];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 4];
                    case "ResourceNotFound": return [3, 6];
                    case "com.amazonaws.sagemaker#ResourceNotFound": return [3, 6];
                }
                return [3, 8];
            case 2: return [4, deserializeAws_json1_1ResourceInUseResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 5: throw _d.sent();
            case 6: return [4, deserializeAws_json1_1ResourceNotFoundResponse(parsedOutput, context)];
            case 7: throw _d.sent();
            case 8:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
export var deserializeAws_json1_1UpdateWorkforceCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1UpdateWorkforceCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1UpdateWorkforceResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1UpdateWorkforceCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, parsedBody;
    var _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                _a = [__assign({}, output)];
                _b = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_b.body = _c.sent(), _b)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                switch (errorCode) {
                    default:
                        parsedBody = parsedOutput.body;
                        response = new __BaseException({
                            name: parsedBody.code || parsedBody.Code || errorCode,
                            $fault: "client",
                            $metadata: deserializeMetadata(output),
                        });
                        throw __decorateServiceException(response, parsedBody);
                }
                return [2];
        }
    });
}); };
export var deserializeAws_json1_1UpdateWorkteamCommand = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var data, contents, response;
    return __generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                if (output.statusCode >= 300) {
                    return [2, deserializeAws_json1_1UpdateWorkteamCommandError(output, context)];
                }
                return [4, parseBody(output.body, context)];
            case 1:
                data = _a.sent();
                contents = {};
                contents = deserializeAws_json1_1UpdateWorkteamResponse(data, context);
                response = __assign({ $metadata: deserializeMetadata(output) }, contents);
                return [2, Promise.resolve(response)];
        }
    });
}); };
var deserializeAws_json1_1UpdateWorkteamCommandError = function (output, context) { return __awaiter(void 0, void 0, void 0, function () {
    var parsedOutput, _a, response, errorCode, _b, parsedBody;
    var _c;
    return __generator(this, function (_d) {
        switch (_d.label) {
            case 0:
                _a = [__assign({}, output)];
                _c = {};
                return [4, parseBody(output.body, context)];
            case 1:
                parsedOutput = __assign.apply(void 0, _a.concat([(_c.body = _d.sent(), _c)]));
                errorCode = "UnknownError";
                errorCode = loadRestJsonErrorCode(output, parsedOutput.body);
                _b = errorCode;
                switch (_b) {
                    case "ResourceLimitExceeded": return [3, 2];
                    case "com.amazonaws.sagemaker#ResourceLimitExceeded": return [3, 2];
                }
                return [3, 4];
            case 2: return [4, deserializeAws_json1_1ResourceLimitExceededResponse(parsedOutput, context)];
            case 3: throw _d.sent();
            case 4:
                parsedBody = parsedOutput.body;
                response = new __BaseException({
                    name: parsedBody.code || parsedBody.Code || errorCode,
                    $fault: "client",
                    $metadata: deserializeMetadata(output),
                });
                throw __decorateServiceException(response, parsedBody);
        }
    });
}); };
var deserializeAws_json1_1ConflictExceptionResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1ConflictException(body, context);
        exception = new ConflictException(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1ResourceInUseResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1ResourceInUse(body, context);
        exception = new ResourceInUse(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1ResourceLimitExceededResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1ResourceLimitExceeded(body, context);
        exception = new ResourceLimitExceeded(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var deserializeAws_json1_1ResourceNotFoundResponse = function (parsedOutput, context) { return __awaiter(void 0, void 0, void 0, function () {
    var body, deserialized, exception;
    return __generator(this, function (_a) {
        body = parsedOutput.body;
        deserialized = deserializeAws_json1_1ResourceNotFound(body, context);
        exception = new ResourceNotFound(__assign({ $metadata: deserializeMetadata(parsedOutput) }, deserialized));
        return [2, __decorateServiceException(exception, body)];
    });
}); };
var serializeAws_json1_1ActionSource = function (input, context) {
    return __assign(__assign(__assign({}, (input.SourceId !== undefined && input.SourceId !== null && { SourceId: input.SourceId })), (input.SourceType !== undefined && input.SourceType !== null && { SourceType: input.SourceType })), (input.SourceUri !== undefined && input.SourceUri !== null && { SourceUri: input.SourceUri }));
};
var serializeAws_json1_1AddAssociationRequest = function (input, context) {
    return __assign(__assign(__assign({}, (input.AssociationType !== undefined &&
        input.AssociationType !== null && { AssociationType: input.AssociationType })), (input.DestinationArn !== undefined &&
        input.DestinationArn !== null && { DestinationArn: input.DestinationArn })), (input.SourceArn !== undefined && input.SourceArn !== null && { SourceArn: input.SourceArn }));
};
var serializeAws_json1_1AdditionalCodeRepositoryNamesOrUrls = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1AdditionalInferenceSpecificationDefinition = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.Containers !== undefined &&
        input.Containers !== null && {
        Containers: serializeAws_json1_1ModelPackageContainerDefinitionList(input.Containers, context),
    })), (input.Description !== undefined && input.Description !== null && { Description: input.Description })), (input.Name !== undefined && input.Name !== null && { Name: input.Name })), (input.SupportedContentTypes !== undefined &&
        input.SupportedContentTypes !== null && {
        SupportedContentTypes: serializeAws_json1_1ContentTypes(input.SupportedContentTypes, context),
    })), (input.SupportedRealtimeInferenceInstanceTypes !== undefined &&
        input.SupportedRealtimeInferenceInstanceTypes !== null && {
        SupportedRealtimeInferenceInstanceTypes: serializeAws_json1_1RealtimeInferenceInstanceTypes(input.SupportedRealtimeInferenceInstanceTypes, context),
    })), (input.SupportedResponseMIMETypes !== undefined &&
        input.SupportedResponseMIMETypes !== null && {
        SupportedResponseMIMETypes: serializeAws_json1_1ResponseMIMETypes(input.SupportedResponseMIMETypes, context),
    })), (input.SupportedTransformInstanceTypes !== undefined &&
        input.SupportedTransformInstanceTypes !== null && {
        SupportedTransformInstanceTypes: serializeAws_json1_1TransformInstanceTypes(input.SupportedTransformInstanceTypes, context),
    }));
};
var serializeAws_json1_1AdditionalInferenceSpecifications = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1AdditionalInferenceSpecificationDefinition(entry, context);
    });
};
var serializeAws_json1_1AddTagsInput = function (input, context) {
    return __assign(__assign({}, (input.ResourceArn !== undefined && input.ResourceArn !== null && { ResourceArn: input.ResourceArn })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) }));
};
var serializeAws_json1_1Alarm = function (input, context) {
    return __assign({}, (input.AlarmName !== undefined && input.AlarmName !== null && { AlarmName: input.AlarmName }));
};
var serializeAws_json1_1AlarmList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1Alarm(entry, context);
    });
};
var serializeAws_json1_1AlgorithmSpecification = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign({}, (input.AlgorithmName !== undefined && input.AlgorithmName !== null && { AlgorithmName: input.AlgorithmName })), (input.EnableSageMakerMetricsTimeSeries !== undefined &&
        input.EnableSageMakerMetricsTimeSeries !== null && {
        EnableSageMakerMetricsTimeSeries: input.EnableSageMakerMetricsTimeSeries,
    })), (input.MetricDefinitions !== undefined &&
        input.MetricDefinitions !== null && {
        MetricDefinitions: serializeAws_json1_1MetricDefinitionList(input.MetricDefinitions, context),
    })), (input.TrainingImage !== undefined && input.TrainingImage !== null && { TrainingImage: input.TrainingImage })), (input.TrainingInputMode !== undefined &&
        input.TrainingInputMode !== null && { TrainingInputMode: input.TrainingInputMode }));
};
var serializeAws_json1_1AlgorithmValidationProfile = function (input, context) {
    return __assign(__assign(__assign({}, (input.ProfileName !== undefined && input.ProfileName !== null && { ProfileName: input.ProfileName })), (input.TrainingJobDefinition !== undefined &&
        input.TrainingJobDefinition !== null && {
        TrainingJobDefinition: serializeAws_json1_1TrainingJobDefinition(input.TrainingJobDefinition, context),
    })), (input.TransformJobDefinition !== undefined &&
        input.TransformJobDefinition !== null && {
        TransformJobDefinition: serializeAws_json1_1TransformJobDefinition(input.TransformJobDefinition, context),
    }));
};
var serializeAws_json1_1AlgorithmValidationProfiles = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1AlgorithmValidationProfile(entry, context);
    });
};
var serializeAws_json1_1AlgorithmValidationSpecification = function (input, context) {
    return __assign(__assign({}, (input.ValidationProfiles !== undefined &&
        input.ValidationProfiles !== null && {
        ValidationProfiles: serializeAws_json1_1AlgorithmValidationProfiles(input.ValidationProfiles, context),
    })), (input.ValidationRole !== undefined &&
        input.ValidationRole !== null && { ValidationRole: input.ValidationRole }));
};
var serializeAws_json1_1AnnotationConsolidationConfig = function (input, context) {
    return __assign({}, (input.AnnotationConsolidationLambdaArn !== undefined &&
        input.AnnotationConsolidationLambdaArn !== null && {
        AnnotationConsolidationLambdaArn: input.AnnotationConsolidationLambdaArn,
    }));
};
var serializeAws_json1_1AppSpecification = function (input, context) {
    return __assign(__assign(__assign({}, (input.ContainerArguments !== undefined &&
        input.ContainerArguments !== null && {
        ContainerArguments: serializeAws_json1_1ContainerArguments(input.ContainerArguments, context),
    })), (input.ContainerEntrypoint !== undefined &&
        input.ContainerEntrypoint !== null && {
        ContainerEntrypoint: serializeAws_json1_1ContainerEntrypoint(input.ContainerEntrypoint, context),
    })), (input.ImageUri !== undefined && input.ImageUri !== null && { ImageUri: input.ImageUri }));
};
var serializeAws_json1_1ArtifactSource = function (input, context) {
    return __assign(__assign({}, (input.SourceTypes !== undefined &&
        input.SourceTypes !== null && {
        SourceTypes: serializeAws_json1_1ArtifactSourceTypes(input.SourceTypes, context),
    })), (input.SourceUri !== undefined && input.SourceUri !== null && { SourceUri: input.SourceUri }));
};
var serializeAws_json1_1ArtifactSourceType = function (input, context) {
    return __assign(__assign({}, (input.SourceIdType !== undefined && input.SourceIdType !== null && { SourceIdType: input.SourceIdType })), (input.Value !== undefined && input.Value !== null && { Value: input.Value }));
};
var serializeAws_json1_1ArtifactSourceTypes = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1ArtifactSourceType(entry, context);
    });
};
var serializeAws_json1_1AssociateTrialComponentRequest = function (input, context) {
    return __assign(__assign({}, (input.TrialComponentName !== undefined &&
        input.TrialComponentName !== null && { TrialComponentName: input.TrialComponentName })), (input.TrialName !== undefined && input.TrialName !== null && { TrialName: input.TrialName }));
};
var serializeAws_json1_1AsyncInferenceClientConfig = function (input, context) {
    return __assign({}, (input.MaxConcurrentInvocationsPerInstance !== undefined &&
        input.MaxConcurrentInvocationsPerInstance !== null && {
        MaxConcurrentInvocationsPerInstance: input.MaxConcurrentInvocationsPerInstance,
    }));
};
var serializeAws_json1_1AsyncInferenceConfig = function (input, context) {
    return __assign(__assign({}, (input.ClientConfig !== undefined &&
        input.ClientConfig !== null && {
        ClientConfig: serializeAws_json1_1AsyncInferenceClientConfig(input.ClientConfig, context),
    })), (input.OutputConfig !== undefined &&
        input.OutputConfig !== null && {
        OutputConfig: serializeAws_json1_1AsyncInferenceOutputConfig(input.OutputConfig, context),
    }));
};
var serializeAws_json1_1AsyncInferenceNotificationConfig = function (input, context) {
    return __assign(__assign({}, (input.ErrorTopic !== undefined && input.ErrorTopic !== null && { ErrorTopic: input.ErrorTopic })), (input.SuccessTopic !== undefined && input.SuccessTopic !== null && { SuccessTopic: input.SuccessTopic }));
};
var serializeAws_json1_1AsyncInferenceOutputConfig = function (input, context) {
    return __assign(__assign(__assign({}, (input.KmsKeyId !== undefined && input.KmsKeyId !== null && { KmsKeyId: input.KmsKeyId })), (input.NotificationConfig !== undefined &&
        input.NotificationConfig !== null && {
        NotificationConfig: serializeAws_json1_1AsyncInferenceNotificationConfig(input.NotificationConfig, context),
    })), (input.S3OutputPath !== undefined && input.S3OutputPath !== null && { S3OutputPath: input.S3OutputPath }));
};
var serializeAws_json1_1AthenaDatasetDefinition = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.Catalog !== undefined && input.Catalog !== null && { Catalog: input.Catalog })), (input.Database !== undefined && input.Database !== null && { Database: input.Database })), (input.KmsKeyId !== undefined && input.KmsKeyId !== null && { KmsKeyId: input.KmsKeyId })), (input.OutputCompression !== undefined &&
        input.OutputCompression !== null && { OutputCompression: input.OutputCompression })), (input.OutputFormat !== undefined && input.OutputFormat !== null && { OutputFormat: input.OutputFormat })), (input.OutputS3Uri !== undefined && input.OutputS3Uri !== null && { OutputS3Uri: input.OutputS3Uri })), (input.QueryString !== undefined && input.QueryString !== null && { QueryString: input.QueryString })), (input.WorkGroup !== undefined && input.WorkGroup !== null && { WorkGroup: input.WorkGroup }));
};
var serializeAws_json1_1AttributeNames = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1AutoMLChannel = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.CompressionType !== undefined &&
        input.CompressionType !== null && { CompressionType: input.CompressionType })), (input.ContentType !== undefined && input.ContentType !== null && { ContentType: input.ContentType })), (input.DataSource !== undefined &&
        input.DataSource !== null && { DataSource: serializeAws_json1_1AutoMLDataSource(input.DataSource, context) })), (input.TargetAttributeName !== undefined &&
        input.TargetAttributeName !== null && { TargetAttributeName: input.TargetAttributeName }));
};
var serializeAws_json1_1AutoMLDataSource = function (input, context) {
    return __assign({}, (input.S3DataSource !== undefined &&
        input.S3DataSource !== null && {
        S3DataSource: serializeAws_json1_1AutoMLS3DataSource(input.S3DataSource, context),
    }));
};
var serializeAws_json1_1AutoMLInputDataConfig = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1AutoMLChannel(entry, context);
    });
};
var serializeAws_json1_1AutoMLJobCompletionCriteria = function (input, context) {
    return __assign(__assign(__assign({}, (input.MaxAutoMLJobRuntimeInSeconds !== undefined &&
        input.MaxAutoMLJobRuntimeInSeconds !== null && {
        MaxAutoMLJobRuntimeInSeconds: input.MaxAutoMLJobRuntimeInSeconds,
    })), (input.MaxCandidates !== undefined && input.MaxCandidates !== null && { MaxCandidates: input.MaxCandidates })), (input.MaxRuntimePerTrainingJobInSeconds !== undefined &&
        input.MaxRuntimePerTrainingJobInSeconds !== null && {
        MaxRuntimePerTrainingJobInSeconds: input.MaxRuntimePerTrainingJobInSeconds,
    }));
};
var serializeAws_json1_1AutoMLJobConfig = function (input, context) {
    return __assign(__assign({}, (input.CompletionCriteria !== undefined &&
        input.CompletionCriteria !== null && {
        CompletionCriteria: serializeAws_json1_1AutoMLJobCompletionCriteria(input.CompletionCriteria, context),
    })), (input.SecurityConfig !== undefined &&
        input.SecurityConfig !== null && {
        SecurityConfig: serializeAws_json1_1AutoMLSecurityConfig(input.SecurityConfig, context),
    }));
};
var serializeAws_json1_1AutoMLJobObjective = function (input, context) {
    return __assign({}, (input.MetricName !== undefined && input.MetricName !== null && { MetricName: input.MetricName }));
};
var serializeAws_json1_1AutoMLOutputDataConfig = function (input, context) {
    return __assign(__assign({}, (input.KmsKeyId !== undefined && input.KmsKeyId !== null && { KmsKeyId: input.KmsKeyId })), (input.S3OutputPath !== undefined && input.S3OutputPath !== null && { S3OutputPath: input.S3OutputPath }));
};
var serializeAws_json1_1AutoMLS3DataSource = function (input, context) {
    return __assign(__assign({}, (input.S3DataType !== undefined && input.S3DataType !== null && { S3DataType: input.S3DataType })), (input.S3Uri !== undefined && input.S3Uri !== null && { S3Uri: input.S3Uri }));
};
var serializeAws_json1_1AutoMLSecurityConfig = function (input, context) {
    return __assign(__assign(__assign({}, (input.EnableInterContainerTrafficEncryption !== undefined &&
        input.EnableInterContainerTrafficEncryption !== null && {
        EnableInterContainerTrafficEncryption: input.EnableInterContainerTrafficEncryption,
    })), (input.VolumeKmsKeyId !== undefined &&
        input.VolumeKmsKeyId !== null && { VolumeKmsKeyId: input.VolumeKmsKeyId })), (input.VpcConfig !== undefined &&
        input.VpcConfig !== null && { VpcConfig: serializeAws_json1_1VpcConfig(input.VpcConfig, context) }));
};
var serializeAws_json1_1AutoRollbackConfig = function (input, context) {
    return __assign({}, (input.Alarms !== undefined &&
        input.Alarms !== null && { Alarms: serializeAws_json1_1AlarmList(input.Alarms, context) }));
};
var serializeAws_json1_1BatchDescribeModelPackageInput = function (input, context) {
    return __assign({}, (input.ModelPackageArnList !== undefined &&
        input.ModelPackageArnList !== null && {
        ModelPackageArnList: serializeAws_json1_1ModelPackageArnList(input.ModelPackageArnList, context),
    }));
};
var serializeAws_json1_1Bias = function (input, context) {
    return __assign(__assign(__assign({}, (input.PostTrainingReport !== undefined &&
        input.PostTrainingReport !== null && {
        PostTrainingReport: serializeAws_json1_1MetricsSource(input.PostTrainingReport, context),
    })), (input.PreTrainingReport !== undefined &&
        input.PreTrainingReport !== null && {
        PreTrainingReport: serializeAws_json1_1MetricsSource(input.PreTrainingReport, context),
    })), (input.Report !== undefined &&
        input.Report !== null && { Report: serializeAws_json1_1MetricsSource(input.Report, context) }));
};
var serializeAws_json1_1BlueGreenUpdatePolicy = function (input, context) {
    return __assign(__assign(__assign({}, (input.MaximumExecutionTimeoutInSeconds !== undefined &&
        input.MaximumExecutionTimeoutInSeconds !== null && {
        MaximumExecutionTimeoutInSeconds: input.MaximumExecutionTimeoutInSeconds,
    })), (input.TerminationWaitInSeconds !== undefined &&
        input.TerminationWaitInSeconds !== null && { TerminationWaitInSeconds: input.TerminationWaitInSeconds })), (input.TrafficRoutingConfiguration !== undefined &&
        input.TrafficRoutingConfiguration !== null && {
        TrafficRoutingConfiguration: serializeAws_json1_1TrafficRoutingConfig(input.TrafficRoutingConfiguration, context),
    }));
};
var serializeAws_json1_1CapacitySize = function (input, context) {
    return __assign(__assign({}, (input.Type !== undefined && input.Type !== null && { Type: input.Type })), (input.Value !== undefined && input.Value !== null && { Value: input.Value }));
};
var serializeAws_json1_1CaptureContentTypeHeader = function (input, context) {
    return __assign(__assign({}, (input.CsvContentTypes !== undefined &&
        input.CsvContentTypes !== null && {
        CsvContentTypes: serializeAws_json1_1CsvContentTypes(input.CsvContentTypes, context),
    })), (input.JsonContentTypes !== undefined &&
        input.JsonContentTypes !== null && {
        JsonContentTypes: serializeAws_json1_1JsonContentTypes(input.JsonContentTypes, context),
    }));
};
var serializeAws_json1_1CaptureOption = function (input, context) {
    return __assign({}, (input.CaptureMode !== undefined && input.CaptureMode !== null && { CaptureMode: input.CaptureMode }));
};
var serializeAws_json1_1CaptureOptionList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1CaptureOption(entry, context);
    });
};
var serializeAws_json1_1CategoricalParameter = function (input, context) {
    return __assign(__assign({}, (input.Name !== undefined && input.Name !== null && { Name: input.Name })), (input.Value !== undefined &&
        input.Value !== null && { Value: serializeAws_json1_1CategoricalParameterRangeValues(input.Value, context) }));
};
var serializeAws_json1_1CategoricalParameterRange = function (input, context) {
    return __assign(__assign({}, (input.Name !== undefined && input.Name !== null && { Name: input.Name })), (input.Values !== undefined &&
        input.Values !== null && { Values: serializeAws_json1_1ParameterValues(input.Values, context) }));
};
var serializeAws_json1_1CategoricalParameterRanges = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1CategoricalParameterRange(entry, context);
    });
};
var serializeAws_json1_1CategoricalParameterRangeSpecification = function (input, context) {
    return __assign({}, (input.Values !== undefined &&
        input.Values !== null && { Values: serializeAws_json1_1ParameterValues(input.Values, context) }));
};
var serializeAws_json1_1CategoricalParameterRangeValues = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1CategoricalParameters = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1CategoricalParameter(entry, context);
    });
};
var serializeAws_json1_1Channel = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.ChannelName !== undefined && input.ChannelName !== null && { ChannelName: input.ChannelName })), (input.CompressionType !== undefined &&
        input.CompressionType !== null && { CompressionType: input.CompressionType })), (input.ContentType !== undefined && input.ContentType !== null && { ContentType: input.ContentType })), (input.DataSource !== undefined &&
        input.DataSource !== null && { DataSource: serializeAws_json1_1DataSource(input.DataSource, context) })), (input.InputMode !== undefined && input.InputMode !== null && { InputMode: input.InputMode })), (input.RecordWrapperType !== undefined &&
        input.RecordWrapperType !== null && { RecordWrapperType: input.RecordWrapperType })), (input.ShuffleConfig !== undefined &&
        input.ShuffleConfig !== null && {
        ShuffleConfig: serializeAws_json1_1ShuffleConfig(input.ShuffleConfig, context),
    }));
};
var serializeAws_json1_1ChannelSpecification = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign({}, (input.Description !== undefined && input.Description !== null && { Description: input.Description })), (input.IsRequired !== undefined && input.IsRequired !== null && { IsRequired: input.IsRequired })), (input.Name !== undefined && input.Name !== null && { Name: input.Name })), (input.SupportedCompressionTypes !== undefined &&
        input.SupportedCompressionTypes !== null && {
        SupportedCompressionTypes: serializeAws_json1_1CompressionTypes(input.SupportedCompressionTypes, context),
    })), (input.SupportedContentTypes !== undefined &&
        input.SupportedContentTypes !== null && {
        SupportedContentTypes: serializeAws_json1_1ContentTypes(input.SupportedContentTypes, context),
    })), (input.SupportedInputModes !== undefined &&
        input.SupportedInputModes !== null && {
        SupportedInputModes: serializeAws_json1_1InputModes(input.SupportedInputModes, context),
    }));
};
var serializeAws_json1_1ChannelSpecifications = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1ChannelSpecification(entry, context);
    });
};
var serializeAws_json1_1CheckpointConfig = function (input, context) {
    return __assign(__assign({}, (input.LocalPath !== undefined && input.LocalPath !== null && { LocalPath: input.LocalPath })), (input.S3Uri !== undefined && input.S3Uri !== null && { S3Uri: input.S3Uri }));
};
var serializeAws_json1_1Cidrs = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1CognitoConfig = function (input, context) {
    return __assign(__assign({}, (input.ClientId !== undefined && input.ClientId !== null && { ClientId: input.ClientId })), (input.UserPool !== undefined && input.UserPool !== null && { UserPool: input.UserPool }));
};
var serializeAws_json1_1CognitoMemberDefinition = function (input, context) {
    return __assign(__assign(__assign({}, (input.ClientId !== undefined && input.ClientId !== null && { ClientId: input.ClientId })), (input.UserGroup !== undefined && input.UserGroup !== null && { UserGroup: input.UserGroup })), (input.UserPool !== undefined && input.UserPool !== null && { UserPool: input.UserPool }));
};
var serializeAws_json1_1CollectionConfiguration = function (input, context) {
    return __assign(__assign({}, (input.CollectionName !== undefined &&
        input.CollectionName !== null && { CollectionName: input.CollectionName })), (input.CollectionParameters !== undefined &&
        input.CollectionParameters !== null && {
        CollectionParameters: serializeAws_json1_1CollectionParameters(input.CollectionParameters, context),
    }));
};
var serializeAws_json1_1CollectionConfigurations = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1CollectionConfiguration(entry, context);
    });
};
var serializeAws_json1_1CollectionParameters = function (input, context) {
    return Object.entries(input).reduce(function (acc, _a) {
        var _b;
        var _c = __read(_a, 2), key = _c[0], value = _c[1];
        if (value === null) {
            return acc;
        }
        return __assign(__assign({}, acc), (_b = {}, _b[key] = value, _b));
    }, {});
};
var serializeAws_json1_1CompressionTypes = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1ContainerArguments = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1ContainerDefinition = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.ContainerHostname !== undefined &&
        input.ContainerHostname !== null && { ContainerHostname: input.ContainerHostname })), (input.Environment !== undefined &&
        input.Environment !== null && { Environment: serializeAws_json1_1EnvironmentMap(input.Environment, context) })), (input.Image !== undefined && input.Image !== null && { Image: input.Image })), (input.ImageConfig !== undefined &&
        input.ImageConfig !== null && { ImageConfig: serializeAws_json1_1ImageConfig(input.ImageConfig, context) })), (input.InferenceSpecificationName !== undefined &&
        input.InferenceSpecificationName !== null && { InferenceSpecificationName: input.InferenceSpecificationName })), (input.Mode !== undefined && input.Mode !== null && { Mode: input.Mode })), (input.ModelDataUrl !== undefined && input.ModelDataUrl !== null && { ModelDataUrl: input.ModelDataUrl })), (input.ModelPackageName !== undefined &&
        input.ModelPackageName !== null && { ModelPackageName: input.ModelPackageName })), (input.MultiModelConfig !== undefined &&
        input.MultiModelConfig !== null && {
        MultiModelConfig: serializeAws_json1_1MultiModelConfig(input.MultiModelConfig, context),
    }));
};
var serializeAws_json1_1ContainerDefinitionList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1ContainerDefinition(entry, context);
    });
};
var serializeAws_json1_1ContainerEntrypoint = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1ContentClassifiers = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1ContentTypes = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1ContextSource = function (input, context) {
    return __assign(__assign(__assign({}, (input.SourceId !== undefined && input.SourceId !== null && { SourceId: input.SourceId })), (input.SourceType !== undefined && input.SourceType !== null && { SourceType: input.SourceType })), (input.SourceUri !== undefined && input.SourceUri !== null && { SourceUri: input.SourceUri }));
};
var serializeAws_json1_1ContinuousParameterRange = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.MaxValue !== undefined && input.MaxValue !== null && { MaxValue: input.MaxValue })), (input.MinValue !== undefined && input.MinValue !== null && { MinValue: input.MinValue })), (input.Name !== undefined && input.Name !== null && { Name: input.Name })), (input.ScalingType !== undefined && input.ScalingType !== null && { ScalingType: input.ScalingType }));
};
var serializeAws_json1_1ContinuousParameterRanges = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1ContinuousParameterRange(entry, context);
    });
};
var serializeAws_json1_1ContinuousParameterRangeSpecification = function (input, context) {
    return __assign(__assign({}, (input.MaxValue !== undefined && input.MaxValue !== null && { MaxValue: input.MaxValue })), (input.MinValue !== undefined && input.MinValue !== null && { MinValue: input.MinValue }));
};
var serializeAws_json1_1CreateActionRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.ActionName !== undefined && input.ActionName !== null && { ActionName: input.ActionName })), (input.ActionType !== undefined && input.ActionType !== null && { ActionType: input.ActionType })), (input.Description !== undefined && input.Description !== null && { Description: input.Description })), (input.MetadataProperties !== undefined &&
        input.MetadataProperties !== null && {
        MetadataProperties: serializeAws_json1_1MetadataProperties(input.MetadataProperties, context),
    })), (input.Properties !== undefined &&
        input.Properties !== null && {
        Properties: serializeAws_json1_1LineageEntityParameters(input.Properties, context),
    })), (input.Source !== undefined &&
        input.Source !== null && { Source: serializeAws_json1_1ActionSource(input.Source, context) })), (input.Status !== undefined && input.Status !== null && { Status: input.Status })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) }));
};
var serializeAws_json1_1CreateAlgorithmInput = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.AlgorithmDescription !== undefined &&
        input.AlgorithmDescription !== null && { AlgorithmDescription: input.AlgorithmDescription })), (input.AlgorithmName !== undefined && input.AlgorithmName !== null && { AlgorithmName: input.AlgorithmName })), (input.CertifyForMarketplace !== undefined &&
        input.CertifyForMarketplace !== null && { CertifyForMarketplace: input.CertifyForMarketplace })), (input.InferenceSpecification !== undefined &&
        input.InferenceSpecification !== null && {
        InferenceSpecification: serializeAws_json1_1InferenceSpecification(input.InferenceSpecification, context),
    })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) })), (input.TrainingSpecification !== undefined &&
        input.TrainingSpecification !== null && {
        TrainingSpecification: serializeAws_json1_1TrainingSpecification(input.TrainingSpecification, context),
    })), (input.ValidationSpecification !== undefined &&
        input.ValidationSpecification !== null && {
        ValidationSpecification: serializeAws_json1_1AlgorithmValidationSpecification(input.ValidationSpecification, context),
    }));
};
var serializeAws_json1_1CreateAppImageConfigRequest = function (input, context) {
    return __assign(__assign(__assign({}, (input.AppImageConfigName !== undefined &&
        input.AppImageConfigName !== null && { AppImageConfigName: input.AppImageConfigName })), (input.KernelGatewayImageConfig !== undefined &&
        input.KernelGatewayImageConfig !== null && {
        KernelGatewayImageConfig: serializeAws_json1_1KernelGatewayImageConfig(input.KernelGatewayImageConfig, context),
    })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) }));
};
var serializeAws_json1_1CreateAppRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign({}, (input.AppName !== undefined && input.AppName !== null && { AppName: input.AppName })), (input.AppType !== undefined && input.AppType !== null && { AppType: input.AppType })), (input.DomainId !== undefined && input.DomainId !== null && { DomainId: input.DomainId })), (input.ResourceSpec !== undefined &&
        input.ResourceSpec !== null && { ResourceSpec: serializeAws_json1_1ResourceSpec(input.ResourceSpec, context) })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) })), (input.UserProfileName !== undefined &&
        input.UserProfileName !== null && { UserProfileName: input.UserProfileName }));
};
var serializeAws_json1_1CreateArtifactRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign({}, (input.ArtifactName !== undefined && input.ArtifactName !== null && { ArtifactName: input.ArtifactName })), (input.ArtifactType !== undefined && input.ArtifactType !== null && { ArtifactType: input.ArtifactType })), (input.MetadataProperties !== undefined &&
        input.MetadataProperties !== null && {
        MetadataProperties: serializeAws_json1_1MetadataProperties(input.MetadataProperties, context),
    })), (input.Properties !== undefined &&
        input.Properties !== null && {
        Properties: serializeAws_json1_1LineageEntityParameters(input.Properties, context),
    })), (input.Source !== undefined &&
        input.Source !== null && { Source: serializeAws_json1_1ArtifactSource(input.Source, context) })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) }));
};
var serializeAws_json1_1CreateAutoMLJobRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.AutoMLJobConfig !== undefined &&
        input.AutoMLJobConfig !== null && {
        AutoMLJobConfig: serializeAws_json1_1AutoMLJobConfig(input.AutoMLJobConfig, context),
    })), (input.AutoMLJobName !== undefined && input.AutoMLJobName !== null && { AutoMLJobName: input.AutoMLJobName })), (input.AutoMLJobObjective !== undefined &&
        input.AutoMLJobObjective !== null && {
        AutoMLJobObjective: serializeAws_json1_1AutoMLJobObjective(input.AutoMLJobObjective, context),
    })), (input.GenerateCandidateDefinitionsOnly !== undefined &&
        input.GenerateCandidateDefinitionsOnly !== null && {
        GenerateCandidateDefinitionsOnly: input.GenerateCandidateDefinitionsOnly,
    })), (input.InputDataConfig !== undefined &&
        input.InputDataConfig !== null && {
        InputDataConfig: serializeAws_json1_1AutoMLInputDataConfig(input.InputDataConfig, context),
    })), (input.ModelDeployConfig !== undefined &&
        input.ModelDeployConfig !== null && {
        ModelDeployConfig: serializeAws_json1_1ModelDeployConfig(input.ModelDeployConfig, context),
    })), (input.OutputDataConfig !== undefined &&
        input.OutputDataConfig !== null && {
        OutputDataConfig: serializeAws_json1_1AutoMLOutputDataConfig(input.OutputDataConfig, context),
    })), (input.ProblemType !== undefined && input.ProblemType !== null && { ProblemType: input.ProblemType })), (input.RoleArn !== undefined && input.RoleArn !== null && { RoleArn: input.RoleArn })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) }));
};
var serializeAws_json1_1CreateCodeRepositoryInput = function (input, context) {
    return __assign(__assign(__assign({}, (input.CodeRepositoryName !== undefined &&
        input.CodeRepositoryName !== null && { CodeRepositoryName: input.CodeRepositoryName })), (input.GitConfig !== undefined &&
        input.GitConfig !== null && { GitConfig: serializeAws_json1_1GitConfig(input.GitConfig, context) })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) }));
};
var serializeAws_json1_1CreateCompilationJobRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.CompilationJobName !== undefined &&
        input.CompilationJobName !== null && { CompilationJobName: input.CompilationJobName })), (input.InputConfig !== undefined &&
        input.InputConfig !== null && { InputConfig: serializeAws_json1_1InputConfig(input.InputConfig, context) })), (input.ModelPackageVersionArn !== undefined &&
        input.ModelPackageVersionArn !== null && { ModelPackageVersionArn: input.ModelPackageVersionArn })), (input.OutputConfig !== undefined &&
        input.OutputConfig !== null && { OutputConfig: serializeAws_json1_1OutputConfig(input.OutputConfig, context) })), (input.RoleArn !== undefined && input.RoleArn !== null && { RoleArn: input.RoleArn })), (input.StoppingCondition !== undefined &&
        input.StoppingCondition !== null && {
        StoppingCondition: serializeAws_json1_1StoppingCondition(input.StoppingCondition, context),
    })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) })), (input.VpcConfig !== undefined &&
        input.VpcConfig !== null && { VpcConfig: serializeAws_json1_1NeoVpcConfig(input.VpcConfig, context) }));
};
var serializeAws_json1_1CreateContextRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign({}, (input.ContextName !== undefined && input.ContextName !== null && { ContextName: input.ContextName })), (input.ContextType !== undefined && input.ContextType !== null && { ContextType: input.ContextType })), (input.Description !== undefined && input.Description !== null && { Description: input.Description })), (input.Properties !== undefined &&
        input.Properties !== null && {
        Properties: serializeAws_json1_1LineageEntityParameters(input.Properties, context),
    })), (input.Source !== undefined &&
        input.Source !== null && { Source: serializeAws_json1_1ContextSource(input.Source, context) })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) }));
};
var serializeAws_json1_1CreateDataQualityJobDefinitionRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.DataQualityAppSpecification !== undefined &&
        input.DataQualityAppSpecification !== null && {
        DataQualityAppSpecification: serializeAws_json1_1DataQualityAppSpecification(input.DataQualityAppSpecification, context),
    })), (input.DataQualityBaselineConfig !== undefined &&
        input.DataQualityBaselineConfig !== null && {
        DataQualityBaselineConfig: serializeAws_json1_1DataQualityBaselineConfig(input.DataQualityBaselineConfig, context),
    })), (input.DataQualityJobInput !== undefined &&
        input.DataQualityJobInput !== null && {
        DataQualityJobInput: serializeAws_json1_1DataQualityJobInput(input.DataQualityJobInput, context),
    })), (input.DataQualityJobOutputConfig !== undefined &&
        input.DataQualityJobOutputConfig !== null && {
        DataQualityJobOutputConfig: serializeAws_json1_1MonitoringOutputConfig(input.DataQualityJobOutputConfig, context),
    })), (input.JobDefinitionName !== undefined &&
        input.JobDefinitionName !== null && { JobDefinitionName: input.JobDefinitionName })), (input.JobResources !== undefined &&
        input.JobResources !== null && {
        JobResources: serializeAws_json1_1MonitoringResources(input.JobResources, context),
    })), (input.NetworkConfig !== undefined &&
        input.NetworkConfig !== null && {
        NetworkConfig: serializeAws_json1_1MonitoringNetworkConfig(input.NetworkConfig, context),
    })), (input.RoleArn !== undefined && input.RoleArn !== null && { RoleArn: input.RoleArn })), (input.StoppingCondition !== undefined &&
        input.StoppingCondition !== null && {
        StoppingCondition: serializeAws_json1_1MonitoringStoppingCondition(input.StoppingCondition, context),
    })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) }));
};
var serializeAws_json1_1CreateDeviceFleetRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign({}, (input.Description !== undefined && input.Description !== null && { Description: input.Description })), (input.DeviceFleetName !== undefined &&
        input.DeviceFleetName !== null && { DeviceFleetName: input.DeviceFleetName })), (input.EnableIotRoleAlias !== undefined &&
        input.EnableIotRoleAlias !== null && { EnableIotRoleAlias: input.EnableIotRoleAlias })), (input.OutputConfig !== undefined &&
        input.OutputConfig !== null && {
        OutputConfig: serializeAws_json1_1EdgeOutputConfig(input.OutputConfig, context),
    })), (input.RoleArn !== undefined && input.RoleArn !== null && { RoleArn: input.RoleArn })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) }));
};
var serializeAws_json1_1CreateDomainRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.AppNetworkAccessType !== undefined &&
        input.AppNetworkAccessType !== null && { AppNetworkAccessType: input.AppNetworkAccessType })), (input.AppSecurityGroupManagement !== undefined &&
        input.AppSecurityGroupManagement !== null && { AppSecurityGroupManagement: input.AppSecurityGroupManagement })), (input.AuthMode !== undefined && input.AuthMode !== null && { AuthMode: input.AuthMode })), (input.DefaultUserSettings !== undefined &&
        input.DefaultUserSettings !== null && {
        DefaultUserSettings: serializeAws_json1_1UserSettings(input.DefaultUserSettings, context),
    })), (input.DomainName !== undefined && input.DomainName !== null && { DomainName: input.DomainName })), (input.DomainSettings !== undefined &&
        input.DomainSettings !== null && {
        DomainSettings: serializeAws_json1_1DomainSettings(input.DomainSettings, context),
    })), (input.HomeEfsFileSystemKmsKeyId !== undefined &&
        input.HomeEfsFileSystemKmsKeyId !== null && { HomeEfsFileSystemKmsKeyId: input.HomeEfsFileSystemKmsKeyId })), (input.KmsKeyId !== undefined && input.KmsKeyId !== null && { KmsKeyId: input.KmsKeyId })), (input.SubnetIds !== undefined &&
        input.SubnetIds !== null && { SubnetIds: serializeAws_json1_1Subnets(input.SubnetIds, context) })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) })), (input.VpcId !== undefined && input.VpcId !== null && { VpcId: input.VpcId }));
};
var serializeAws_json1_1CreateEdgePackagingJobRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.CompilationJobName !== undefined &&
        input.CompilationJobName !== null && { CompilationJobName: input.CompilationJobName })), (input.EdgePackagingJobName !== undefined &&
        input.EdgePackagingJobName !== null && { EdgePackagingJobName: input.EdgePackagingJobName })), (input.ModelName !== undefined && input.ModelName !== null && { ModelName: input.ModelName })), (input.ModelVersion !== undefined && input.ModelVersion !== null && { ModelVersion: input.ModelVersion })), (input.OutputConfig !== undefined &&
        input.OutputConfig !== null && {
        OutputConfig: serializeAws_json1_1EdgeOutputConfig(input.OutputConfig, context),
    })), (input.ResourceKey !== undefined && input.ResourceKey !== null && { ResourceKey: input.ResourceKey })), (input.RoleArn !== undefined && input.RoleArn !== null && { RoleArn: input.RoleArn })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) }));
};
var serializeAws_json1_1CreateEndpointConfigInput = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign({}, (input.AsyncInferenceConfig !== undefined &&
        input.AsyncInferenceConfig !== null && {
        AsyncInferenceConfig: serializeAws_json1_1AsyncInferenceConfig(input.AsyncInferenceConfig, context),
    })), (input.DataCaptureConfig !== undefined &&
        input.DataCaptureConfig !== null && {
        DataCaptureConfig: serializeAws_json1_1DataCaptureConfig(input.DataCaptureConfig, context),
    })), (input.EndpointConfigName !== undefined &&
        input.EndpointConfigName !== null && { EndpointConfigName: input.EndpointConfigName })), (input.KmsKeyId !== undefined && input.KmsKeyId !== null && { KmsKeyId: input.KmsKeyId })), (input.ProductionVariants !== undefined &&
        input.ProductionVariants !== null && {
        ProductionVariants: serializeAws_json1_1ProductionVariantList(input.ProductionVariants, context),
    })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) }));
};
var serializeAws_json1_1CreateEndpointInput = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.DeploymentConfig !== undefined &&
        input.DeploymentConfig !== null && {
        DeploymentConfig: serializeAws_json1_1DeploymentConfig(input.DeploymentConfig, context),
    })), (input.EndpointConfigName !== undefined &&
        input.EndpointConfigName !== null && { EndpointConfigName: input.EndpointConfigName })), (input.EndpointName !== undefined && input.EndpointName !== null && { EndpointName: input.EndpointName })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) }));
};
var serializeAws_json1_1CreateExperimentRequest = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.Description !== undefined && input.Description !== null && { Description: input.Description })), (input.DisplayName !== undefined && input.DisplayName !== null && { DisplayName: input.DisplayName })), (input.ExperimentName !== undefined &&
        input.ExperimentName !== null && { ExperimentName: input.ExperimentName })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) }));
};
var serializeAws_json1_1CreateFeatureGroupRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.Description !== undefined && input.Description !== null && { Description: input.Description })), (input.EventTimeFeatureName !== undefined &&
        input.EventTimeFeatureName !== null && { EventTimeFeatureName: input.EventTimeFeatureName })), (input.FeatureDefinitions !== undefined &&
        input.FeatureDefinitions !== null && {
        FeatureDefinitions: serializeAws_json1_1FeatureDefinitions(input.FeatureDefinitions, context),
    })), (input.FeatureGroupName !== undefined &&
        input.FeatureGroupName !== null && { FeatureGroupName: input.FeatureGroupName })), (input.OfflineStoreConfig !== undefined &&
        input.OfflineStoreConfig !== null && {
        OfflineStoreConfig: serializeAws_json1_1OfflineStoreConfig(input.OfflineStoreConfig, context),
    })), (input.OnlineStoreConfig !== undefined &&
        input.OnlineStoreConfig !== null && {
        OnlineStoreConfig: serializeAws_json1_1OnlineStoreConfig(input.OnlineStoreConfig, context),
    })), (input.RecordIdentifierFeatureName !== undefined &&
        input.RecordIdentifierFeatureName !== null && { RecordIdentifierFeatureName: input.RecordIdentifierFeatureName })), (input.RoleArn !== undefined && input.RoleArn !== null && { RoleArn: input.RoleArn })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) }));
};
var serializeAws_json1_1CreateFlowDefinitionRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.FlowDefinitionName !== undefined &&
        input.FlowDefinitionName !== null && { FlowDefinitionName: input.FlowDefinitionName })), (input.HumanLoopActivationConfig !== undefined &&
        input.HumanLoopActivationConfig !== null && {
        HumanLoopActivationConfig: serializeAws_json1_1HumanLoopActivationConfig(input.HumanLoopActivationConfig, context),
    })), (input.HumanLoopConfig !== undefined &&
        input.HumanLoopConfig !== null && {
        HumanLoopConfig: serializeAws_json1_1HumanLoopConfig(input.HumanLoopConfig, context),
    })), (input.HumanLoopRequestSource !== undefined &&
        input.HumanLoopRequestSource !== null && {
        HumanLoopRequestSource: serializeAws_json1_1HumanLoopRequestSource(input.HumanLoopRequestSource, context),
    })), (input.OutputConfig !== undefined &&
        input.OutputConfig !== null && {
        OutputConfig: serializeAws_json1_1FlowDefinitionOutputConfig(input.OutputConfig, context),
    })), (input.RoleArn !== undefined && input.RoleArn !== null && { RoleArn: input.RoleArn })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) }));
};
var serializeAws_json1_1CreateHumanTaskUiRequest = function (input, context) {
    return __assign(__assign(__assign({}, (input.HumanTaskUiName !== undefined &&
        input.HumanTaskUiName !== null && { HumanTaskUiName: input.HumanTaskUiName })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) })), (input.UiTemplate !== undefined &&
        input.UiTemplate !== null && { UiTemplate: serializeAws_json1_1UiTemplate(input.UiTemplate, context) }));
};
var serializeAws_json1_1CreateHyperParameterTuningJobRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign({}, (input.HyperParameterTuningJobConfig !== undefined &&
        input.HyperParameterTuningJobConfig !== null && {
        HyperParameterTuningJobConfig: serializeAws_json1_1HyperParameterTuningJobConfig(input.HyperParameterTuningJobConfig, context),
    })), (input.HyperParameterTuningJobName !== undefined &&
        input.HyperParameterTuningJobName !== null && { HyperParameterTuningJobName: input.HyperParameterTuningJobName })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) })), (input.TrainingJobDefinition !== undefined &&
        input.TrainingJobDefinition !== null && {
        TrainingJobDefinition: serializeAws_json1_1HyperParameterTrainingJobDefinition(input.TrainingJobDefinition, context),
    })), (input.TrainingJobDefinitions !== undefined &&
        input.TrainingJobDefinitions !== null && {
        TrainingJobDefinitions: serializeAws_json1_1HyperParameterTrainingJobDefinitions(input.TrainingJobDefinitions, context),
    })), (input.WarmStartConfig !== undefined &&
        input.WarmStartConfig !== null && {
        WarmStartConfig: serializeAws_json1_1HyperParameterTuningJobWarmStartConfig(input.WarmStartConfig, context),
    }));
};
var serializeAws_json1_1CreateImageRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign({}, (input.Description !== undefined && input.Description !== null && { Description: input.Description })), (input.DisplayName !== undefined && input.DisplayName !== null && { DisplayName: input.DisplayName })), (input.ImageName !== undefined && input.ImageName !== null && { ImageName: input.ImageName })), (input.RoleArn !== undefined && input.RoleArn !== null && { RoleArn: input.RoleArn })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) }));
};
var serializeAws_json1_1CreateImageVersionRequest = function (input, context) {
    var _a;
    return __assign(__assign(__assign({}, (input.BaseImage !== undefined && input.BaseImage !== null && { BaseImage: input.BaseImage })), { ClientToken: (_a = input.ClientToken) !== null && _a !== void 0 ? _a : generateIdempotencyToken() }), (input.ImageName !== undefined && input.ImageName !== null && { ImageName: input.ImageName }));
};
var serializeAws_json1_1CreateInferenceRecommendationsJobRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.InputConfig !== undefined &&
        input.InputConfig !== null && {
        InputConfig: serializeAws_json1_1RecommendationJobInputConfig(input.InputConfig, context),
    })), (input.JobDescription !== undefined &&
        input.JobDescription !== null && { JobDescription: input.JobDescription })), (input.JobName !== undefined && input.JobName !== null && { JobName: input.JobName })), (input.JobType !== undefined && input.JobType !== null && { JobType: input.JobType })), (input.RoleArn !== undefined && input.RoleArn !== null && { RoleArn: input.RoleArn })), (input.StoppingConditions !== undefined &&
        input.StoppingConditions !== null && {
        StoppingConditions: serializeAws_json1_1RecommendationJobStoppingConditions(input.StoppingConditions, context),
    })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) }));
};
var serializeAws_json1_1CreateLabelingJobRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.HumanTaskConfig !== undefined &&
        input.HumanTaskConfig !== null && {
        HumanTaskConfig: serializeAws_json1_1HumanTaskConfig(input.HumanTaskConfig, context),
    })), (input.InputConfig !== undefined &&
        input.InputConfig !== null && {
        InputConfig: serializeAws_json1_1LabelingJobInputConfig(input.InputConfig, context),
    })), (input.LabelAttributeName !== undefined &&
        input.LabelAttributeName !== null && { LabelAttributeName: input.LabelAttributeName })), (input.LabelCategoryConfigS3Uri !== undefined &&
        input.LabelCategoryConfigS3Uri !== null && { LabelCategoryConfigS3Uri: input.LabelCategoryConfigS3Uri })), (input.LabelingJobAlgorithmsConfig !== undefined &&
        input.LabelingJobAlgorithmsConfig !== null && {
        LabelingJobAlgorithmsConfig: serializeAws_json1_1LabelingJobAlgorithmsConfig(input.LabelingJobAlgorithmsConfig, context),
    })), (input.LabelingJobName !== undefined &&
        input.LabelingJobName !== null && { LabelingJobName: input.LabelingJobName })), (input.OutputConfig !== undefined &&
        input.OutputConfig !== null && {
        OutputConfig: serializeAws_json1_1LabelingJobOutputConfig(input.OutputConfig, context),
    })), (input.RoleArn !== undefined && input.RoleArn !== null && { RoleArn: input.RoleArn })), (input.StoppingConditions !== undefined &&
        input.StoppingConditions !== null && {
        StoppingConditions: serializeAws_json1_1LabelingJobStoppingConditions(input.StoppingConditions, context),
    })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) }));
};
var serializeAws_json1_1CreateModelBiasJobDefinitionRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.JobDefinitionName !== undefined &&
        input.JobDefinitionName !== null && { JobDefinitionName: input.JobDefinitionName })), (input.JobResources !== undefined &&
        input.JobResources !== null && {
        JobResources: serializeAws_json1_1MonitoringResources(input.JobResources, context),
    })), (input.ModelBiasAppSpecification !== undefined &&
        input.ModelBiasAppSpecification !== null && {
        ModelBiasAppSpecification: serializeAws_json1_1ModelBiasAppSpecification(input.ModelBiasAppSpecification, context),
    })), (input.ModelBiasBaselineConfig !== undefined &&
        input.ModelBiasBaselineConfig !== null && {
        ModelBiasBaselineConfig: serializeAws_json1_1ModelBiasBaselineConfig(input.ModelBiasBaselineConfig, context),
    })), (input.ModelBiasJobInput !== undefined &&
        input.ModelBiasJobInput !== null && {
        ModelBiasJobInput: serializeAws_json1_1ModelBiasJobInput(input.ModelBiasJobInput, context),
    })), (input.ModelBiasJobOutputConfig !== undefined &&
        input.ModelBiasJobOutputConfig !== null && {
        ModelBiasJobOutputConfig: serializeAws_json1_1MonitoringOutputConfig(input.ModelBiasJobOutputConfig, context),
    })), (input.NetworkConfig !== undefined &&
        input.NetworkConfig !== null && {
        NetworkConfig: serializeAws_json1_1MonitoringNetworkConfig(input.NetworkConfig, context),
    })), (input.RoleArn !== undefined && input.RoleArn !== null && { RoleArn: input.RoleArn })), (input.StoppingCondition !== undefined &&
        input.StoppingCondition !== null && {
        StoppingCondition: serializeAws_json1_1MonitoringStoppingCondition(input.StoppingCondition, context),
    })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) }));
};
var serializeAws_json1_1CreateModelExplainabilityJobDefinitionRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.JobDefinitionName !== undefined &&
        input.JobDefinitionName !== null && { JobDefinitionName: input.JobDefinitionName })), (input.JobResources !== undefined &&
        input.JobResources !== null && {
        JobResources: serializeAws_json1_1MonitoringResources(input.JobResources, context),
    })), (input.ModelExplainabilityAppSpecification !== undefined &&
        input.ModelExplainabilityAppSpecification !== null && {
        ModelExplainabilityAppSpecification: serializeAws_json1_1ModelExplainabilityAppSpecification(input.ModelExplainabilityAppSpecification, context),
    })), (input.ModelExplainabilityBaselineConfig !== undefined &&
        input.ModelExplainabilityBaselineConfig !== null && {
        ModelExplainabilityBaselineConfig: serializeAws_json1_1ModelExplainabilityBaselineConfig(input.ModelExplainabilityBaselineConfig, context),
    })), (input.ModelExplainabilityJobInput !== undefined &&
        input.ModelExplainabilityJobInput !== null && {
        ModelExplainabilityJobInput: serializeAws_json1_1ModelExplainabilityJobInput(input.ModelExplainabilityJobInput, context),
    })), (input.ModelExplainabilityJobOutputConfig !== undefined &&
        input.ModelExplainabilityJobOutputConfig !== null && {
        ModelExplainabilityJobOutputConfig: serializeAws_json1_1MonitoringOutputConfig(input.ModelExplainabilityJobOutputConfig, context),
    })), (input.NetworkConfig !== undefined &&
        input.NetworkConfig !== null && {
        NetworkConfig: serializeAws_json1_1MonitoringNetworkConfig(input.NetworkConfig, context),
    })), (input.RoleArn !== undefined && input.RoleArn !== null && { RoleArn: input.RoleArn })), (input.StoppingCondition !== undefined &&
        input.StoppingCondition !== null && {
        StoppingCondition: serializeAws_json1_1MonitoringStoppingCondition(input.StoppingCondition, context),
    })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) }));
};
var serializeAws_json1_1CreateModelInput = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.Containers !== undefined &&
        input.Containers !== null && {
        Containers: serializeAws_json1_1ContainerDefinitionList(input.Containers, context),
    })), (input.EnableNetworkIsolation !== undefined &&
        input.EnableNetworkIsolation !== null && { EnableNetworkIsolation: input.EnableNetworkIsolation })), (input.ExecutionRoleArn !== undefined &&
        input.ExecutionRoleArn !== null && { ExecutionRoleArn: input.ExecutionRoleArn })), (input.InferenceExecutionConfig !== undefined &&
        input.InferenceExecutionConfig !== null && {
        InferenceExecutionConfig: serializeAws_json1_1InferenceExecutionConfig(input.InferenceExecutionConfig, context),
    })), (input.ModelName !== undefined && input.ModelName !== null && { ModelName: input.ModelName })), (input.PrimaryContainer !== undefined &&
        input.PrimaryContainer !== null && {
        PrimaryContainer: serializeAws_json1_1ContainerDefinition(input.PrimaryContainer, context),
    })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) })), (input.VpcConfig !== undefined &&
        input.VpcConfig !== null && { VpcConfig: serializeAws_json1_1VpcConfig(input.VpcConfig, context) }));
};
var serializeAws_json1_1CreateModelPackageGroupInput = function (input, context) {
    return __assign(__assign(__assign({}, (input.ModelPackageGroupDescription !== undefined &&
        input.ModelPackageGroupDescription !== null && {
        ModelPackageGroupDescription: input.ModelPackageGroupDescription,
    })), (input.ModelPackageGroupName !== undefined &&
        input.ModelPackageGroupName !== null && { ModelPackageGroupName: input.ModelPackageGroupName })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) }));
};
var serializeAws_json1_1CreateModelPackageInput = function (input, context) {
    var _a;
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.AdditionalInferenceSpecifications !== undefined &&
        input.AdditionalInferenceSpecifications !== null && {
        AdditionalInferenceSpecifications: serializeAws_json1_1AdditionalInferenceSpecifications(input.AdditionalInferenceSpecifications, context),
    })), (input.CertifyForMarketplace !== undefined &&
        input.CertifyForMarketplace !== null && { CertifyForMarketplace: input.CertifyForMarketplace })), { ClientToken: (_a = input.ClientToken) !== null && _a !== void 0 ? _a : generateIdempotencyToken() }), (input.CustomerMetadataProperties !== undefined &&
        input.CustomerMetadataProperties !== null && {
        CustomerMetadataProperties: serializeAws_json1_1CustomerMetadataMap(input.CustomerMetadataProperties, context),
    })), (input.Domain !== undefined && input.Domain !== null && { Domain: input.Domain })), (input.DriftCheckBaselines !== undefined &&
        input.DriftCheckBaselines !== null && {
        DriftCheckBaselines: serializeAws_json1_1DriftCheckBaselines(input.DriftCheckBaselines, context),
    })), (input.InferenceSpecification !== undefined &&
        input.InferenceSpecification !== null && {
        InferenceSpecification: serializeAws_json1_1InferenceSpecification(input.InferenceSpecification, context),
    })), (input.MetadataProperties !== undefined &&
        input.MetadataProperties !== null && {
        MetadataProperties: serializeAws_json1_1MetadataProperties(input.MetadataProperties, context),
    })), (input.ModelApprovalStatus !== undefined &&
        input.ModelApprovalStatus !== null && { ModelApprovalStatus: input.ModelApprovalStatus })), (input.ModelMetrics !== undefined &&
        input.ModelMetrics !== null && { ModelMetrics: serializeAws_json1_1ModelMetrics(input.ModelMetrics, context) })), (input.ModelPackageDescription !== undefined &&
        input.ModelPackageDescription !== null && { ModelPackageDescription: input.ModelPackageDescription })), (input.ModelPackageGroupName !== undefined &&
        input.ModelPackageGroupName !== null && { ModelPackageGroupName: input.ModelPackageGroupName })), (input.ModelPackageName !== undefined &&
        input.ModelPackageName !== null && { ModelPackageName: input.ModelPackageName })), (input.SamplePayloadUrl !== undefined &&
        input.SamplePayloadUrl !== null && { SamplePayloadUrl: input.SamplePayloadUrl })), (input.SourceAlgorithmSpecification !== undefined &&
        input.SourceAlgorithmSpecification !== null && {
        SourceAlgorithmSpecification: serializeAws_json1_1SourceAlgorithmSpecification(input.SourceAlgorithmSpecification, context),
    })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) })), (input.Task !== undefined && input.Task !== null && { Task: input.Task })), (input.ValidationSpecification !== undefined &&
        input.ValidationSpecification !== null && {
        ValidationSpecification: serializeAws_json1_1ModelPackageValidationSpecification(input.ValidationSpecification, context),
    }));
};
var serializeAws_json1_1CreateModelQualityJobDefinitionRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.JobDefinitionName !== undefined &&
        input.JobDefinitionName !== null && { JobDefinitionName: input.JobDefinitionName })), (input.JobResources !== undefined &&
        input.JobResources !== null && {
        JobResources: serializeAws_json1_1MonitoringResources(input.JobResources, context),
    })), (input.ModelQualityAppSpecification !== undefined &&
        input.ModelQualityAppSpecification !== null && {
        ModelQualityAppSpecification: serializeAws_json1_1ModelQualityAppSpecification(input.ModelQualityAppSpecification, context),
    })), (input.ModelQualityBaselineConfig !== undefined &&
        input.ModelQualityBaselineConfig !== null && {
        ModelQualityBaselineConfig: serializeAws_json1_1ModelQualityBaselineConfig(input.ModelQualityBaselineConfig, context),
    })), (input.ModelQualityJobInput !== undefined &&
        input.ModelQualityJobInput !== null && {
        ModelQualityJobInput: serializeAws_json1_1ModelQualityJobInput(input.ModelQualityJobInput, context),
    })), (input.ModelQualityJobOutputConfig !== undefined &&
        input.ModelQualityJobOutputConfig !== null && {
        ModelQualityJobOutputConfig: serializeAws_json1_1MonitoringOutputConfig(input.ModelQualityJobOutputConfig, context),
    })), (input.NetworkConfig !== undefined &&
        input.NetworkConfig !== null && {
        NetworkConfig: serializeAws_json1_1MonitoringNetworkConfig(input.NetworkConfig, context),
    })), (input.RoleArn !== undefined && input.RoleArn !== null && { RoleArn: input.RoleArn })), (input.StoppingCondition !== undefined &&
        input.StoppingCondition !== null && {
        StoppingCondition: serializeAws_json1_1MonitoringStoppingCondition(input.StoppingCondition, context),
    })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) }));
};
var serializeAws_json1_1CreateMonitoringScheduleRequest = function (input, context) {
    return __assign(__assign(__assign({}, (input.MonitoringScheduleConfig !== undefined &&
        input.MonitoringScheduleConfig !== null && {
        MonitoringScheduleConfig: serializeAws_json1_1MonitoringScheduleConfig(input.MonitoringScheduleConfig, context),
    })), (input.MonitoringScheduleName !== undefined &&
        input.MonitoringScheduleName !== null && { MonitoringScheduleName: input.MonitoringScheduleName })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) }));
};
var serializeAws_json1_1CreateNotebookInstanceInput = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.AcceleratorTypes !== undefined &&
        input.AcceleratorTypes !== null && {
        AcceleratorTypes: serializeAws_json1_1NotebookInstanceAcceleratorTypes(input.AcceleratorTypes, context),
    })), (input.AdditionalCodeRepositories !== undefined &&
        input.AdditionalCodeRepositories !== null && {
        AdditionalCodeRepositories: serializeAws_json1_1AdditionalCodeRepositoryNamesOrUrls(input.AdditionalCodeRepositories, context),
    })), (input.DefaultCodeRepository !== undefined &&
        input.DefaultCodeRepository !== null && { DefaultCodeRepository: input.DefaultCodeRepository })), (input.DirectInternetAccess !== undefined &&
        input.DirectInternetAccess !== null && { DirectInternetAccess: input.DirectInternetAccess })), (input.InstanceType !== undefined && input.InstanceType !== null && { InstanceType: input.InstanceType })), (input.KmsKeyId !== undefined && input.KmsKeyId !== null && { KmsKeyId: input.KmsKeyId })), (input.LifecycleConfigName !== undefined &&
        input.LifecycleConfigName !== null && { LifecycleConfigName: input.LifecycleConfigName })), (input.NotebookInstanceName !== undefined &&
        input.NotebookInstanceName !== null && { NotebookInstanceName: input.NotebookInstanceName })), (input.PlatformIdentifier !== undefined &&
        input.PlatformIdentifier !== null && { PlatformIdentifier: input.PlatformIdentifier })), (input.RoleArn !== undefined && input.RoleArn !== null && { RoleArn: input.RoleArn })), (input.RootAccess !== undefined && input.RootAccess !== null && { RootAccess: input.RootAccess })), (input.SecurityGroupIds !== undefined &&
        input.SecurityGroupIds !== null && {
        SecurityGroupIds: serializeAws_json1_1SecurityGroupIds(input.SecurityGroupIds, context),
    })), (input.SubnetId !== undefined && input.SubnetId !== null && { SubnetId: input.SubnetId })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) })), (input.VolumeSizeInGB !== undefined &&
        input.VolumeSizeInGB !== null && { VolumeSizeInGB: input.VolumeSizeInGB }));
};
var serializeAws_json1_1CreateNotebookInstanceLifecycleConfigInput = function (input, context) {
    return __assign(__assign(__assign({}, (input.NotebookInstanceLifecycleConfigName !== undefined &&
        input.NotebookInstanceLifecycleConfigName !== null && {
        NotebookInstanceLifecycleConfigName: input.NotebookInstanceLifecycleConfigName,
    })), (input.OnCreate !== undefined &&
        input.OnCreate !== null && {
        OnCreate: serializeAws_json1_1NotebookInstanceLifecycleConfigList(input.OnCreate, context),
    })), (input.OnStart !== undefined &&
        input.OnStart !== null && {
        OnStart: serializeAws_json1_1NotebookInstanceLifecycleConfigList(input.OnStart, context),
    }));
};
var serializeAws_json1_1CreatePipelineRequest = function (input, context) {
    var _a;
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({ ClientRequestToken: (_a = input.ClientRequestToken) !== null && _a !== void 0 ? _a : generateIdempotencyToken() }, (input.ParallelismConfiguration !== undefined &&
        input.ParallelismConfiguration !== null && {
        ParallelismConfiguration: serializeAws_json1_1ParallelismConfiguration(input.ParallelismConfiguration, context),
    })), (input.PipelineDefinition !== undefined &&
        input.PipelineDefinition !== null && { PipelineDefinition: input.PipelineDefinition })), (input.PipelineDefinitionS3Location !== undefined &&
        input.PipelineDefinitionS3Location !== null && {
        PipelineDefinitionS3Location: serializeAws_json1_1PipelineDefinitionS3Location(input.PipelineDefinitionS3Location, context),
    })), (input.PipelineDescription !== undefined &&
        input.PipelineDescription !== null && { PipelineDescription: input.PipelineDescription })), (input.PipelineDisplayName !== undefined &&
        input.PipelineDisplayName !== null && { PipelineDisplayName: input.PipelineDisplayName })), (input.PipelineName !== undefined && input.PipelineName !== null && { PipelineName: input.PipelineName })), (input.RoleArn !== undefined && input.RoleArn !== null && { RoleArn: input.RoleArn })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) }));
};
var serializeAws_json1_1CreatePresignedDomainUrlRequest = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.DomainId !== undefined && input.DomainId !== null && { DomainId: input.DomainId })), (input.ExpiresInSeconds !== undefined &&
        input.ExpiresInSeconds !== null && { ExpiresInSeconds: input.ExpiresInSeconds })), (input.SessionExpirationDurationInSeconds !== undefined &&
        input.SessionExpirationDurationInSeconds !== null && {
        SessionExpirationDurationInSeconds: input.SessionExpirationDurationInSeconds,
    })), (input.UserProfileName !== undefined &&
        input.UserProfileName !== null && { UserProfileName: input.UserProfileName }));
};
var serializeAws_json1_1CreatePresignedNotebookInstanceUrlInput = function (input, context) {
    return __assign(__assign({}, (input.NotebookInstanceName !== undefined &&
        input.NotebookInstanceName !== null && { NotebookInstanceName: input.NotebookInstanceName })), (input.SessionExpirationDurationInSeconds !== undefined &&
        input.SessionExpirationDurationInSeconds !== null && {
        SessionExpirationDurationInSeconds: input.SessionExpirationDurationInSeconds,
    }));
};
var serializeAws_json1_1CreateProcessingJobRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.AppSpecification !== undefined &&
        input.AppSpecification !== null && {
        AppSpecification: serializeAws_json1_1AppSpecification(input.AppSpecification, context),
    })), (input.Environment !== undefined &&
        input.Environment !== null && {
        Environment: serializeAws_json1_1ProcessingEnvironmentMap(input.Environment, context),
    })), (input.ExperimentConfig !== undefined &&
        input.ExperimentConfig !== null && {
        ExperimentConfig: serializeAws_json1_1ExperimentConfig(input.ExperimentConfig, context),
    })), (input.NetworkConfig !== undefined &&
        input.NetworkConfig !== null && {
        NetworkConfig: serializeAws_json1_1NetworkConfig(input.NetworkConfig, context),
    })), (input.ProcessingInputs !== undefined &&
        input.ProcessingInputs !== null && {
        ProcessingInputs: serializeAws_json1_1ProcessingInputs(input.ProcessingInputs, context),
    })), (input.ProcessingJobName !== undefined &&
        input.ProcessingJobName !== null && { ProcessingJobName: input.ProcessingJobName })), (input.ProcessingOutputConfig !== undefined &&
        input.ProcessingOutputConfig !== null && {
        ProcessingOutputConfig: serializeAws_json1_1ProcessingOutputConfig(input.ProcessingOutputConfig, context),
    })), (input.ProcessingResources !== undefined &&
        input.ProcessingResources !== null && {
        ProcessingResources: serializeAws_json1_1ProcessingResources(input.ProcessingResources, context),
    })), (input.RoleArn !== undefined && input.RoleArn !== null && { RoleArn: input.RoleArn })), (input.StoppingCondition !== undefined &&
        input.StoppingCondition !== null && {
        StoppingCondition: serializeAws_json1_1ProcessingStoppingCondition(input.StoppingCondition, context),
    })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) }));
};
var serializeAws_json1_1CreateProjectInput = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.ProjectDescription !== undefined &&
        input.ProjectDescription !== null && { ProjectDescription: input.ProjectDescription })), (input.ProjectName !== undefined && input.ProjectName !== null && { ProjectName: input.ProjectName })), (input.ServiceCatalogProvisioningDetails !== undefined &&
        input.ServiceCatalogProvisioningDetails !== null && {
        ServiceCatalogProvisioningDetails: serializeAws_json1_1ServiceCatalogProvisioningDetails(input.ServiceCatalogProvisioningDetails, context),
    })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) }));
};
var serializeAws_json1_1CreateStudioLifecycleConfigRequest = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.StudioLifecycleConfigAppType !== undefined &&
        input.StudioLifecycleConfigAppType !== null && {
        StudioLifecycleConfigAppType: input.StudioLifecycleConfigAppType,
    })), (input.StudioLifecycleConfigContent !== undefined &&
        input.StudioLifecycleConfigContent !== null && {
        StudioLifecycleConfigContent: input.StudioLifecycleConfigContent,
    })), (input.StudioLifecycleConfigName !== undefined &&
        input.StudioLifecycleConfigName !== null && { StudioLifecycleConfigName: input.StudioLifecycleConfigName })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) }));
};
var serializeAws_json1_1CreateTrainingJobRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.AlgorithmSpecification !== undefined &&
        input.AlgorithmSpecification !== null && {
        AlgorithmSpecification: serializeAws_json1_1AlgorithmSpecification(input.AlgorithmSpecification, context),
    })), (input.CheckpointConfig !== undefined &&
        input.CheckpointConfig !== null && {
        CheckpointConfig: serializeAws_json1_1CheckpointConfig(input.CheckpointConfig, context),
    })), (input.DebugHookConfig !== undefined &&
        input.DebugHookConfig !== null && {
        DebugHookConfig: serializeAws_json1_1DebugHookConfig(input.DebugHookConfig, context),
    })), (input.DebugRuleConfigurations !== undefined &&
        input.DebugRuleConfigurations !== null && {
        DebugRuleConfigurations: serializeAws_json1_1DebugRuleConfigurations(input.DebugRuleConfigurations, context),
    })), (input.EnableInterContainerTrafficEncryption !== undefined &&
        input.EnableInterContainerTrafficEncryption !== null && {
        EnableInterContainerTrafficEncryption: input.EnableInterContainerTrafficEncryption,
    })), (input.EnableManagedSpotTraining !== undefined &&
        input.EnableManagedSpotTraining !== null && { EnableManagedSpotTraining: input.EnableManagedSpotTraining })), (input.EnableNetworkIsolation !== undefined &&
        input.EnableNetworkIsolation !== null && { EnableNetworkIsolation: input.EnableNetworkIsolation })), (input.Environment !== undefined &&
        input.Environment !== null && {
        Environment: serializeAws_json1_1TrainingEnvironmentMap(input.Environment, context),
    })), (input.ExperimentConfig !== undefined &&
        input.ExperimentConfig !== null && {
        ExperimentConfig: serializeAws_json1_1ExperimentConfig(input.ExperimentConfig, context),
    })), (input.HyperParameters !== undefined &&
        input.HyperParameters !== null && {
        HyperParameters: serializeAws_json1_1HyperParameters(input.HyperParameters, context),
    })), (input.InputDataConfig !== undefined &&
        input.InputDataConfig !== null && {
        InputDataConfig: serializeAws_json1_1InputDataConfig(input.InputDataConfig, context),
    })), (input.OutputDataConfig !== undefined &&
        input.OutputDataConfig !== null && {
        OutputDataConfig: serializeAws_json1_1OutputDataConfig(input.OutputDataConfig, context),
    })), (input.ProfilerConfig !== undefined &&
        input.ProfilerConfig !== null && {
        ProfilerConfig: serializeAws_json1_1ProfilerConfig(input.ProfilerConfig, context),
    })), (input.ProfilerRuleConfigurations !== undefined &&
        input.ProfilerRuleConfigurations !== null && {
        ProfilerRuleConfigurations: serializeAws_json1_1ProfilerRuleConfigurations(input.ProfilerRuleConfigurations, context),
    })), (input.ResourceConfig !== undefined &&
        input.ResourceConfig !== null && {
        ResourceConfig: serializeAws_json1_1ResourceConfig(input.ResourceConfig, context),
    })), (input.RetryStrategy !== undefined &&
        input.RetryStrategy !== null && {
        RetryStrategy: serializeAws_json1_1RetryStrategy(input.RetryStrategy, context),
    })), (input.RoleArn !== undefined && input.RoleArn !== null && { RoleArn: input.RoleArn })), (input.StoppingCondition !== undefined &&
        input.StoppingCondition !== null && {
        StoppingCondition: serializeAws_json1_1StoppingCondition(input.StoppingCondition, context),
    })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) })), (input.TensorBoardOutputConfig !== undefined &&
        input.TensorBoardOutputConfig !== null && {
        TensorBoardOutputConfig: serializeAws_json1_1TensorBoardOutputConfig(input.TensorBoardOutputConfig, context),
    })), (input.TrainingJobName !== undefined &&
        input.TrainingJobName !== null && { TrainingJobName: input.TrainingJobName })), (input.VpcConfig !== undefined &&
        input.VpcConfig !== null && { VpcConfig: serializeAws_json1_1VpcConfig(input.VpcConfig, context) }));
};
var serializeAws_json1_1CreateTransformJobRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.BatchStrategy !== undefined && input.BatchStrategy !== null && { BatchStrategy: input.BatchStrategy })), (input.DataProcessing !== undefined &&
        input.DataProcessing !== null && {
        DataProcessing: serializeAws_json1_1DataProcessing(input.DataProcessing, context),
    })), (input.Environment !== undefined &&
        input.Environment !== null && {
        Environment: serializeAws_json1_1TransformEnvironmentMap(input.Environment, context),
    })), (input.ExperimentConfig !== undefined &&
        input.ExperimentConfig !== null && {
        ExperimentConfig: serializeAws_json1_1ExperimentConfig(input.ExperimentConfig, context),
    })), (input.MaxConcurrentTransforms !== undefined &&
        input.MaxConcurrentTransforms !== null && { MaxConcurrentTransforms: input.MaxConcurrentTransforms })), (input.MaxPayloadInMB !== undefined &&
        input.MaxPayloadInMB !== null && { MaxPayloadInMB: input.MaxPayloadInMB })), (input.ModelClientConfig !== undefined &&
        input.ModelClientConfig !== null && {
        ModelClientConfig: serializeAws_json1_1ModelClientConfig(input.ModelClientConfig, context),
    })), (input.ModelName !== undefined && input.ModelName !== null && { ModelName: input.ModelName })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) })), (input.TransformInput !== undefined &&
        input.TransformInput !== null && {
        TransformInput: serializeAws_json1_1TransformInput(input.TransformInput, context),
    })), (input.TransformJobName !== undefined &&
        input.TransformJobName !== null && { TransformJobName: input.TransformJobName })), (input.TransformOutput !== undefined &&
        input.TransformOutput !== null && {
        TransformOutput: serializeAws_json1_1TransformOutput(input.TransformOutput, context),
    })), (input.TransformResources !== undefined &&
        input.TransformResources !== null && {
        TransformResources: serializeAws_json1_1TransformResources(input.TransformResources, context),
    }));
};
var serializeAws_json1_1CreateTrialComponentRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.DisplayName !== undefined && input.DisplayName !== null && { DisplayName: input.DisplayName })), (input.EndTime !== undefined &&
        input.EndTime !== null && { EndTime: Math.round(input.EndTime.getTime() / 1000) })), (input.InputArtifacts !== undefined &&
        input.InputArtifacts !== null && {
        InputArtifacts: serializeAws_json1_1TrialComponentArtifacts(input.InputArtifacts, context),
    })), (input.MetadataProperties !== undefined &&
        input.MetadataProperties !== null && {
        MetadataProperties: serializeAws_json1_1MetadataProperties(input.MetadataProperties, context),
    })), (input.OutputArtifacts !== undefined &&
        input.OutputArtifacts !== null && {
        OutputArtifacts: serializeAws_json1_1TrialComponentArtifacts(input.OutputArtifacts, context),
    })), (input.Parameters !== undefined &&
        input.Parameters !== null && {
        Parameters: serializeAws_json1_1TrialComponentParameters(input.Parameters, context),
    })), (input.StartTime !== undefined &&
        input.StartTime !== null && { StartTime: Math.round(input.StartTime.getTime() / 1000) })), (input.Status !== undefined &&
        input.Status !== null && { Status: serializeAws_json1_1TrialComponentStatus(input.Status, context) })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) })), (input.TrialComponentName !== undefined &&
        input.TrialComponentName !== null && { TrialComponentName: input.TrialComponentName }));
};
var serializeAws_json1_1CreateTrialRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign({}, (input.DisplayName !== undefined && input.DisplayName !== null && { DisplayName: input.DisplayName })), (input.ExperimentName !== undefined &&
        input.ExperimentName !== null && { ExperimentName: input.ExperimentName })), (input.MetadataProperties !== undefined &&
        input.MetadataProperties !== null && {
        MetadataProperties: serializeAws_json1_1MetadataProperties(input.MetadataProperties, context),
    })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) })), (input.TrialName !== undefined && input.TrialName !== null && { TrialName: input.TrialName }));
};
var serializeAws_json1_1CreateUserProfileRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign({}, (input.DomainId !== undefined && input.DomainId !== null && { DomainId: input.DomainId })), (input.SingleSignOnUserIdentifier !== undefined &&
        input.SingleSignOnUserIdentifier !== null && { SingleSignOnUserIdentifier: input.SingleSignOnUserIdentifier })), (input.SingleSignOnUserValue !== undefined &&
        input.SingleSignOnUserValue !== null && { SingleSignOnUserValue: input.SingleSignOnUserValue })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) })), (input.UserProfileName !== undefined &&
        input.UserProfileName !== null && { UserProfileName: input.UserProfileName })), (input.UserSettings !== undefined &&
        input.UserSettings !== null && { UserSettings: serializeAws_json1_1UserSettings(input.UserSettings, context) }));
};
var serializeAws_json1_1CreateWorkforceRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign({}, (input.CognitoConfig !== undefined &&
        input.CognitoConfig !== null && {
        CognitoConfig: serializeAws_json1_1CognitoConfig(input.CognitoConfig, context),
    })), (input.OidcConfig !== undefined &&
        input.OidcConfig !== null && { OidcConfig: serializeAws_json1_1OidcConfig(input.OidcConfig, context) })), (input.SourceIpConfig !== undefined &&
        input.SourceIpConfig !== null && {
        SourceIpConfig: serializeAws_json1_1SourceIpConfig(input.SourceIpConfig, context),
    })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) })), (input.WorkforceName !== undefined && input.WorkforceName !== null && { WorkforceName: input.WorkforceName }));
};
var serializeAws_json1_1CreateWorkteamRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign({}, (input.Description !== undefined && input.Description !== null && { Description: input.Description })), (input.MemberDefinitions !== undefined &&
        input.MemberDefinitions !== null && {
        MemberDefinitions: serializeAws_json1_1MemberDefinitions(input.MemberDefinitions, context),
    })), (input.NotificationConfiguration !== undefined &&
        input.NotificationConfiguration !== null && {
        NotificationConfiguration: serializeAws_json1_1NotificationConfiguration(input.NotificationConfiguration, context),
    })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) })), (input.WorkforceName !== undefined && input.WorkforceName !== null && { WorkforceName: input.WorkforceName })), (input.WorkteamName !== undefined && input.WorkteamName !== null && { WorkteamName: input.WorkteamName }));
};
var serializeAws_json1_1CsvContentTypes = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1CustomerMetadataKeyList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1CustomerMetadataMap = function (input, context) {
    return Object.entries(input).reduce(function (acc, _a) {
        var _b;
        var _c = __read(_a, 2), key = _c[0], value = _c[1];
        if (value === null) {
            return acc;
        }
        return __assign(__assign({}, acc), (_b = {}, _b[key] = value, _b));
    }, {});
};
var serializeAws_json1_1CustomImage = function (input, context) {
    return __assign(__assign(__assign({}, (input.AppImageConfigName !== undefined &&
        input.AppImageConfigName !== null && { AppImageConfigName: input.AppImageConfigName })), (input.ImageName !== undefined && input.ImageName !== null && { ImageName: input.ImageName })), (input.ImageVersionNumber !== undefined &&
        input.ImageVersionNumber !== null && { ImageVersionNumber: input.ImageVersionNumber }));
};
var serializeAws_json1_1CustomImages = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1CustomImage(entry, context);
    });
};
var serializeAws_json1_1DataCaptureConfig = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign({}, (input.CaptureContentTypeHeader !== undefined &&
        input.CaptureContentTypeHeader !== null && {
        CaptureContentTypeHeader: serializeAws_json1_1CaptureContentTypeHeader(input.CaptureContentTypeHeader, context),
    })), (input.CaptureOptions !== undefined &&
        input.CaptureOptions !== null && {
        CaptureOptions: serializeAws_json1_1CaptureOptionList(input.CaptureOptions, context),
    })), (input.DestinationS3Uri !== undefined &&
        input.DestinationS3Uri !== null && { DestinationS3Uri: input.DestinationS3Uri })), (input.EnableCapture !== undefined && input.EnableCapture !== null && { EnableCapture: input.EnableCapture })), (input.InitialSamplingPercentage !== undefined &&
        input.InitialSamplingPercentage !== null && { InitialSamplingPercentage: input.InitialSamplingPercentage })), (input.KmsKeyId !== undefined && input.KmsKeyId !== null && { KmsKeyId: input.KmsKeyId }));
};
var serializeAws_json1_1DataCatalogConfig = function (input, context) {
    return __assign(__assign(__assign({}, (input.Catalog !== undefined && input.Catalog !== null && { Catalog: input.Catalog })), (input.Database !== undefined && input.Database !== null && { Database: input.Database })), (input.TableName !== undefined && input.TableName !== null && { TableName: input.TableName }));
};
var serializeAws_json1_1DataProcessing = function (input, context) {
    return __assign(__assign(__assign({}, (input.InputFilter !== undefined && input.InputFilter !== null && { InputFilter: input.InputFilter })), (input.JoinSource !== undefined && input.JoinSource !== null && { JoinSource: input.JoinSource })), (input.OutputFilter !== undefined && input.OutputFilter !== null && { OutputFilter: input.OutputFilter }));
};
var serializeAws_json1_1DataQualityAppSpecification = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign({}, (input.ContainerArguments !== undefined &&
        input.ContainerArguments !== null && {
        ContainerArguments: serializeAws_json1_1MonitoringContainerArguments(input.ContainerArguments, context),
    })), (input.ContainerEntrypoint !== undefined &&
        input.ContainerEntrypoint !== null && {
        ContainerEntrypoint: serializeAws_json1_1ContainerEntrypoint(input.ContainerEntrypoint, context),
    })), (input.Environment !== undefined &&
        input.Environment !== null && {
        Environment: serializeAws_json1_1MonitoringEnvironmentMap(input.Environment, context),
    })), (input.ImageUri !== undefined && input.ImageUri !== null && { ImageUri: input.ImageUri })), (input.PostAnalyticsProcessorSourceUri !== undefined &&
        input.PostAnalyticsProcessorSourceUri !== null && {
        PostAnalyticsProcessorSourceUri: input.PostAnalyticsProcessorSourceUri,
    })), (input.RecordPreprocessorSourceUri !== undefined &&
        input.RecordPreprocessorSourceUri !== null && { RecordPreprocessorSourceUri: input.RecordPreprocessorSourceUri }));
};
var serializeAws_json1_1DataQualityBaselineConfig = function (input, context) {
    return __assign(__assign(__assign({}, (input.BaseliningJobName !== undefined &&
        input.BaseliningJobName !== null && { BaseliningJobName: input.BaseliningJobName })), (input.ConstraintsResource !== undefined &&
        input.ConstraintsResource !== null && {
        ConstraintsResource: serializeAws_json1_1MonitoringConstraintsResource(input.ConstraintsResource, context),
    })), (input.StatisticsResource !== undefined &&
        input.StatisticsResource !== null && {
        StatisticsResource: serializeAws_json1_1MonitoringStatisticsResource(input.StatisticsResource, context),
    }));
};
var serializeAws_json1_1DataQualityJobInput = function (input, context) {
    return __assign({}, (input.EndpointInput !== undefined &&
        input.EndpointInput !== null && {
        EndpointInput: serializeAws_json1_1EndpointInput(input.EndpointInput, context),
    }));
};
var serializeAws_json1_1DatasetDefinition = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign({}, (input.AthenaDatasetDefinition !== undefined &&
        input.AthenaDatasetDefinition !== null && {
        AthenaDatasetDefinition: serializeAws_json1_1AthenaDatasetDefinition(input.AthenaDatasetDefinition, context),
    })), (input.DataDistributionType !== undefined &&
        input.DataDistributionType !== null && { DataDistributionType: input.DataDistributionType })), (input.InputMode !== undefined && input.InputMode !== null && { InputMode: input.InputMode })), (input.LocalPath !== undefined && input.LocalPath !== null && { LocalPath: input.LocalPath })), (input.RedshiftDatasetDefinition !== undefined &&
        input.RedshiftDatasetDefinition !== null && {
        RedshiftDatasetDefinition: serializeAws_json1_1RedshiftDatasetDefinition(input.RedshiftDatasetDefinition, context),
    }));
};
var serializeAws_json1_1DataSource = function (input, context) {
    return __assign(__assign({}, (input.FileSystemDataSource !== undefined &&
        input.FileSystemDataSource !== null && {
        FileSystemDataSource: serializeAws_json1_1FileSystemDataSource(input.FileSystemDataSource, context),
    })), (input.S3DataSource !== undefined &&
        input.S3DataSource !== null && { S3DataSource: serializeAws_json1_1S3DataSource(input.S3DataSource, context) }));
};
var serializeAws_json1_1DebugHookConfig = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.CollectionConfigurations !== undefined &&
        input.CollectionConfigurations !== null && {
        CollectionConfigurations: serializeAws_json1_1CollectionConfigurations(input.CollectionConfigurations, context),
    })), (input.HookParameters !== undefined &&
        input.HookParameters !== null && {
        HookParameters: serializeAws_json1_1HookParameters(input.HookParameters, context),
    })), (input.LocalPath !== undefined && input.LocalPath !== null && { LocalPath: input.LocalPath })), (input.S3OutputPath !== undefined && input.S3OutputPath !== null && { S3OutputPath: input.S3OutputPath }));
};
var serializeAws_json1_1DebugRuleConfiguration = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.InstanceType !== undefined && input.InstanceType !== null && { InstanceType: input.InstanceType })), (input.LocalPath !== undefined && input.LocalPath !== null && { LocalPath: input.LocalPath })), (input.RuleConfigurationName !== undefined &&
        input.RuleConfigurationName !== null && { RuleConfigurationName: input.RuleConfigurationName })), (input.RuleEvaluatorImage !== undefined &&
        input.RuleEvaluatorImage !== null && { RuleEvaluatorImage: input.RuleEvaluatorImage })), (input.RuleParameters !== undefined &&
        input.RuleParameters !== null && {
        RuleParameters: serializeAws_json1_1RuleParameters(input.RuleParameters, context),
    })), (input.S3OutputPath !== undefined && input.S3OutputPath !== null && { S3OutputPath: input.S3OutputPath })), (input.VolumeSizeInGB !== undefined &&
        input.VolumeSizeInGB !== null && { VolumeSizeInGB: input.VolumeSizeInGB }));
};
var serializeAws_json1_1DebugRuleConfigurations = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1DebugRuleConfiguration(entry, context);
    });
};
var serializeAws_json1_1DeleteActionRequest = function (input, context) {
    return __assign({}, (input.ActionName !== undefined && input.ActionName !== null && { ActionName: input.ActionName }));
};
var serializeAws_json1_1DeleteAlgorithmInput = function (input, context) {
    return __assign({}, (input.AlgorithmName !== undefined && input.AlgorithmName !== null && { AlgorithmName: input.AlgorithmName }));
};
var serializeAws_json1_1DeleteAppImageConfigRequest = function (input, context) {
    return __assign({}, (input.AppImageConfigName !== undefined &&
        input.AppImageConfigName !== null && { AppImageConfigName: input.AppImageConfigName }));
};
var serializeAws_json1_1DeleteAppRequest = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.AppName !== undefined && input.AppName !== null && { AppName: input.AppName })), (input.AppType !== undefined && input.AppType !== null && { AppType: input.AppType })), (input.DomainId !== undefined && input.DomainId !== null && { DomainId: input.DomainId })), (input.UserProfileName !== undefined &&
        input.UserProfileName !== null && { UserProfileName: input.UserProfileName }));
};
var serializeAws_json1_1DeleteArtifactRequest = function (input, context) {
    return __assign(__assign({}, (input.ArtifactArn !== undefined && input.ArtifactArn !== null && { ArtifactArn: input.ArtifactArn })), (input.Source !== undefined &&
        input.Source !== null && { Source: serializeAws_json1_1ArtifactSource(input.Source, context) }));
};
var serializeAws_json1_1DeleteAssociationRequest = function (input, context) {
    return __assign(__assign({}, (input.DestinationArn !== undefined &&
        input.DestinationArn !== null && { DestinationArn: input.DestinationArn })), (input.SourceArn !== undefined && input.SourceArn !== null && { SourceArn: input.SourceArn }));
};
var serializeAws_json1_1DeleteCodeRepositoryInput = function (input, context) {
    return __assign({}, (input.CodeRepositoryName !== undefined &&
        input.CodeRepositoryName !== null && { CodeRepositoryName: input.CodeRepositoryName }));
};
var serializeAws_json1_1DeleteContextRequest = function (input, context) {
    return __assign({}, (input.ContextName !== undefined && input.ContextName !== null && { ContextName: input.ContextName }));
};
var serializeAws_json1_1DeleteDataQualityJobDefinitionRequest = function (input, context) {
    return __assign({}, (input.JobDefinitionName !== undefined &&
        input.JobDefinitionName !== null && { JobDefinitionName: input.JobDefinitionName }));
};
var serializeAws_json1_1DeleteDeviceFleetRequest = function (input, context) {
    return __assign({}, (input.DeviceFleetName !== undefined &&
        input.DeviceFleetName !== null && { DeviceFleetName: input.DeviceFleetName }));
};
var serializeAws_json1_1DeleteDomainRequest = function (input, context) {
    return __assign(__assign({}, (input.DomainId !== undefined && input.DomainId !== null && { DomainId: input.DomainId })), (input.RetentionPolicy !== undefined &&
        input.RetentionPolicy !== null && {
        RetentionPolicy: serializeAws_json1_1RetentionPolicy(input.RetentionPolicy, context),
    }));
};
var serializeAws_json1_1DeleteEndpointConfigInput = function (input, context) {
    return __assign({}, (input.EndpointConfigName !== undefined &&
        input.EndpointConfigName !== null && { EndpointConfigName: input.EndpointConfigName }));
};
var serializeAws_json1_1DeleteEndpointInput = function (input, context) {
    return __assign({}, (input.EndpointName !== undefined && input.EndpointName !== null && { EndpointName: input.EndpointName }));
};
var serializeAws_json1_1DeleteExperimentRequest = function (input, context) {
    return __assign({}, (input.ExperimentName !== undefined &&
        input.ExperimentName !== null && { ExperimentName: input.ExperimentName }));
};
var serializeAws_json1_1DeleteFeatureGroupRequest = function (input, context) {
    return __assign({}, (input.FeatureGroupName !== undefined &&
        input.FeatureGroupName !== null && { FeatureGroupName: input.FeatureGroupName }));
};
var serializeAws_json1_1DeleteFlowDefinitionRequest = function (input, context) {
    return __assign({}, (input.FlowDefinitionName !== undefined &&
        input.FlowDefinitionName !== null && { FlowDefinitionName: input.FlowDefinitionName }));
};
var serializeAws_json1_1DeleteHumanTaskUiRequest = function (input, context) {
    return __assign({}, (input.HumanTaskUiName !== undefined &&
        input.HumanTaskUiName !== null && { HumanTaskUiName: input.HumanTaskUiName }));
};
var serializeAws_json1_1DeleteImageRequest = function (input, context) {
    return __assign({}, (input.ImageName !== undefined && input.ImageName !== null && { ImageName: input.ImageName }));
};
var serializeAws_json1_1DeleteImageVersionRequest = function (input, context) {
    return __assign(__assign({}, (input.ImageName !== undefined && input.ImageName !== null && { ImageName: input.ImageName })), (input.Version !== undefined && input.Version !== null && { Version: input.Version }));
};
var serializeAws_json1_1DeleteModelBiasJobDefinitionRequest = function (input, context) {
    return __assign({}, (input.JobDefinitionName !== undefined &&
        input.JobDefinitionName !== null && { JobDefinitionName: input.JobDefinitionName }));
};
var serializeAws_json1_1DeleteModelExplainabilityJobDefinitionRequest = function (input, context) {
    return __assign({}, (input.JobDefinitionName !== undefined &&
        input.JobDefinitionName !== null && { JobDefinitionName: input.JobDefinitionName }));
};
var serializeAws_json1_1DeleteModelInput = function (input, context) {
    return __assign({}, (input.ModelName !== undefined && input.ModelName !== null && { ModelName: input.ModelName }));
};
var serializeAws_json1_1DeleteModelPackageGroupInput = function (input, context) {
    return __assign({}, (input.ModelPackageGroupName !== undefined &&
        input.ModelPackageGroupName !== null && { ModelPackageGroupName: input.ModelPackageGroupName }));
};
var serializeAws_json1_1DeleteModelPackageGroupPolicyInput = function (input, context) {
    return __assign({}, (input.ModelPackageGroupName !== undefined &&
        input.ModelPackageGroupName !== null && { ModelPackageGroupName: input.ModelPackageGroupName }));
};
var serializeAws_json1_1DeleteModelPackageInput = function (input, context) {
    return __assign({}, (input.ModelPackageName !== undefined &&
        input.ModelPackageName !== null && { ModelPackageName: input.ModelPackageName }));
};
var serializeAws_json1_1DeleteModelQualityJobDefinitionRequest = function (input, context) {
    return __assign({}, (input.JobDefinitionName !== undefined &&
        input.JobDefinitionName !== null && { JobDefinitionName: input.JobDefinitionName }));
};
var serializeAws_json1_1DeleteMonitoringScheduleRequest = function (input, context) {
    return __assign({}, (input.MonitoringScheduleName !== undefined &&
        input.MonitoringScheduleName !== null && { MonitoringScheduleName: input.MonitoringScheduleName }));
};
var serializeAws_json1_1DeleteNotebookInstanceInput = function (input, context) {
    return __assign({}, (input.NotebookInstanceName !== undefined &&
        input.NotebookInstanceName !== null && { NotebookInstanceName: input.NotebookInstanceName }));
};
var serializeAws_json1_1DeleteNotebookInstanceLifecycleConfigInput = function (input, context) {
    return __assign({}, (input.NotebookInstanceLifecycleConfigName !== undefined &&
        input.NotebookInstanceLifecycleConfigName !== null && {
        NotebookInstanceLifecycleConfigName: input.NotebookInstanceLifecycleConfigName,
    }));
};
var serializeAws_json1_1DeletePipelineRequest = function (input, context) {
    var _a;
    return __assign({ ClientRequestToken: (_a = input.ClientRequestToken) !== null && _a !== void 0 ? _a : generateIdempotencyToken() }, (input.PipelineName !== undefined && input.PipelineName !== null && { PipelineName: input.PipelineName }));
};
var serializeAws_json1_1DeleteProjectInput = function (input, context) {
    return __assign({}, (input.ProjectName !== undefined && input.ProjectName !== null && { ProjectName: input.ProjectName }));
};
var serializeAws_json1_1DeleteStudioLifecycleConfigRequest = function (input, context) {
    return __assign({}, (input.StudioLifecycleConfigName !== undefined &&
        input.StudioLifecycleConfigName !== null && { StudioLifecycleConfigName: input.StudioLifecycleConfigName }));
};
var serializeAws_json1_1DeleteTagsInput = function (input, context) {
    return __assign(__assign({}, (input.ResourceArn !== undefined && input.ResourceArn !== null && { ResourceArn: input.ResourceArn })), (input.TagKeys !== undefined &&
        input.TagKeys !== null && { TagKeys: serializeAws_json1_1TagKeyList(input.TagKeys, context) }));
};
var serializeAws_json1_1DeleteTrialComponentRequest = function (input, context) {
    return __assign({}, (input.TrialComponentName !== undefined &&
        input.TrialComponentName !== null && { TrialComponentName: input.TrialComponentName }));
};
var serializeAws_json1_1DeleteTrialRequest = function (input, context) {
    return __assign({}, (input.TrialName !== undefined && input.TrialName !== null && { TrialName: input.TrialName }));
};
var serializeAws_json1_1DeleteUserProfileRequest = function (input, context) {
    return __assign(__assign({}, (input.DomainId !== undefined && input.DomainId !== null && { DomainId: input.DomainId })), (input.UserProfileName !== undefined &&
        input.UserProfileName !== null && { UserProfileName: input.UserProfileName }));
};
var serializeAws_json1_1DeleteWorkforceRequest = function (input, context) {
    return __assign({}, (input.WorkforceName !== undefined && input.WorkforceName !== null && { WorkforceName: input.WorkforceName }));
};
var serializeAws_json1_1DeleteWorkteamRequest = function (input, context) {
    return __assign({}, (input.WorkteamName !== undefined && input.WorkteamName !== null && { WorkteamName: input.WorkteamName }));
};
var serializeAws_json1_1DeploymentConfig = function (input, context) {
    return __assign(__assign({}, (input.AutoRollbackConfiguration !== undefined &&
        input.AutoRollbackConfiguration !== null && {
        AutoRollbackConfiguration: serializeAws_json1_1AutoRollbackConfig(input.AutoRollbackConfiguration, context),
    })), (input.BlueGreenUpdatePolicy !== undefined &&
        input.BlueGreenUpdatePolicy !== null && {
        BlueGreenUpdatePolicy: serializeAws_json1_1BlueGreenUpdatePolicy(input.BlueGreenUpdatePolicy, context),
    }));
};
var serializeAws_json1_1DeregisterDevicesRequest = function (input, context) {
    return __assign(__assign({}, (input.DeviceFleetName !== undefined &&
        input.DeviceFleetName !== null && { DeviceFleetName: input.DeviceFleetName })), (input.DeviceNames !== undefined &&
        input.DeviceNames !== null && { DeviceNames: serializeAws_json1_1DeviceNames(input.DeviceNames, context) }));
};
var serializeAws_json1_1DescribeActionRequest = function (input, context) {
    return __assign({}, (input.ActionName !== undefined && input.ActionName !== null && { ActionName: input.ActionName }));
};
var serializeAws_json1_1DescribeAlgorithmInput = function (input, context) {
    return __assign({}, (input.AlgorithmName !== undefined && input.AlgorithmName !== null && { AlgorithmName: input.AlgorithmName }));
};
var serializeAws_json1_1DescribeAppImageConfigRequest = function (input, context) {
    return __assign({}, (input.AppImageConfigName !== undefined &&
        input.AppImageConfigName !== null && { AppImageConfigName: input.AppImageConfigName }));
};
var serializeAws_json1_1DescribeAppRequest = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.AppName !== undefined && input.AppName !== null && { AppName: input.AppName })), (input.AppType !== undefined && input.AppType !== null && { AppType: input.AppType })), (input.DomainId !== undefined && input.DomainId !== null && { DomainId: input.DomainId })), (input.UserProfileName !== undefined &&
        input.UserProfileName !== null && { UserProfileName: input.UserProfileName }));
};
var serializeAws_json1_1DescribeArtifactRequest = function (input, context) {
    return __assign({}, (input.ArtifactArn !== undefined && input.ArtifactArn !== null && { ArtifactArn: input.ArtifactArn }));
};
var serializeAws_json1_1DescribeAutoMLJobRequest = function (input, context) {
    return __assign({}, (input.AutoMLJobName !== undefined && input.AutoMLJobName !== null && { AutoMLJobName: input.AutoMLJobName }));
};
var serializeAws_json1_1DescribeCodeRepositoryInput = function (input, context) {
    return __assign({}, (input.CodeRepositoryName !== undefined &&
        input.CodeRepositoryName !== null && { CodeRepositoryName: input.CodeRepositoryName }));
};
var serializeAws_json1_1DescribeCompilationJobRequest = function (input, context) {
    return __assign({}, (input.CompilationJobName !== undefined &&
        input.CompilationJobName !== null && { CompilationJobName: input.CompilationJobName }));
};
var serializeAws_json1_1DescribeContextRequest = function (input, context) {
    return __assign({}, (input.ContextName !== undefined && input.ContextName !== null && { ContextName: input.ContextName }));
};
var serializeAws_json1_1DescribeDataQualityJobDefinitionRequest = function (input, context) {
    return __assign({}, (input.JobDefinitionName !== undefined &&
        input.JobDefinitionName !== null && { JobDefinitionName: input.JobDefinitionName }));
};
var serializeAws_json1_1DescribeDeviceFleetRequest = function (input, context) {
    return __assign({}, (input.DeviceFleetName !== undefined &&
        input.DeviceFleetName !== null && { DeviceFleetName: input.DeviceFleetName }));
};
var serializeAws_json1_1DescribeDeviceRequest = function (input, context) {
    return __assign(__assign(__assign({}, (input.DeviceFleetName !== undefined &&
        input.DeviceFleetName !== null && { DeviceFleetName: input.DeviceFleetName })), (input.DeviceName !== undefined && input.DeviceName !== null && { DeviceName: input.DeviceName })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken }));
};
var serializeAws_json1_1DescribeDomainRequest = function (input, context) {
    return __assign({}, (input.DomainId !== undefined && input.DomainId !== null && { DomainId: input.DomainId }));
};
var serializeAws_json1_1DescribeEdgePackagingJobRequest = function (input, context) {
    return __assign({}, (input.EdgePackagingJobName !== undefined &&
        input.EdgePackagingJobName !== null && { EdgePackagingJobName: input.EdgePackagingJobName }));
};
var serializeAws_json1_1DescribeEndpointConfigInput = function (input, context) {
    return __assign({}, (input.EndpointConfigName !== undefined &&
        input.EndpointConfigName !== null && { EndpointConfigName: input.EndpointConfigName }));
};
var serializeAws_json1_1DescribeEndpointInput = function (input, context) {
    return __assign({}, (input.EndpointName !== undefined && input.EndpointName !== null && { EndpointName: input.EndpointName }));
};
var serializeAws_json1_1DescribeExperimentRequest = function (input, context) {
    return __assign({}, (input.ExperimentName !== undefined &&
        input.ExperimentName !== null && { ExperimentName: input.ExperimentName }));
};
var serializeAws_json1_1DescribeFeatureGroupRequest = function (input, context) {
    return __assign(__assign({}, (input.FeatureGroupName !== undefined &&
        input.FeatureGroupName !== null && { FeatureGroupName: input.FeatureGroupName })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken }));
};
var serializeAws_json1_1DescribeFlowDefinitionRequest = function (input, context) {
    return __assign({}, (input.FlowDefinitionName !== undefined &&
        input.FlowDefinitionName !== null && { FlowDefinitionName: input.FlowDefinitionName }));
};
var serializeAws_json1_1DescribeHumanTaskUiRequest = function (input, context) {
    return __assign({}, (input.HumanTaskUiName !== undefined &&
        input.HumanTaskUiName !== null && { HumanTaskUiName: input.HumanTaskUiName }));
};
var serializeAws_json1_1DescribeHyperParameterTuningJobRequest = function (input, context) {
    return __assign({}, (input.HyperParameterTuningJobName !== undefined &&
        input.HyperParameterTuningJobName !== null && { HyperParameterTuningJobName: input.HyperParameterTuningJobName }));
};
var serializeAws_json1_1DescribeImageRequest = function (input, context) {
    return __assign({}, (input.ImageName !== undefined && input.ImageName !== null && { ImageName: input.ImageName }));
};
var serializeAws_json1_1DescribeImageVersionRequest = function (input, context) {
    return __assign(__assign({}, (input.ImageName !== undefined && input.ImageName !== null && { ImageName: input.ImageName })), (input.Version !== undefined && input.Version !== null && { Version: input.Version }));
};
var serializeAws_json1_1DescribeInferenceRecommendationsJobRequest = function (input, context) {
    return __assign({}, (input.JobName !== undefined && input.JobName !== null && { JobName: input.JobName }));
};
var serializeAws_json1_1DescribeLabelingJobRequest = function (input, context) {
    return __assign({}, (input.LabelingJobName !== undefined &&
        input.LabelingJobName !== null && { LabelingJobName: input.LabelingJobName }));
};
var serializeAws_json1_1DescribeLineageGroupRequest = function (input, context) {
    return __assign({}, (input.LineageGroupName !== undefined &&
        input.LineageGroupName !== null && { LineageGroupName: input.LineageGroupName }));
};
var serializeAws_json1_1DescribeModelBiasJobDefinitionRequest = function (input, context) {
    return __assign({}, (input.JobDefinitionName !== undefined &&
        input.JobDefinitionName !== null && { JobDefinitionName: input.JobDefinitionName }));
};
var serializeAws_json1_1DescribeModelExplainabilityJobDefinitionRequest = function (input, context) {
    return __assign({}, (input.JobDefinitionName !== undefined &&
        input.JobDefinitionName !== null && { JobDefinitionName: input.JobDefinitionName }));
};
var serializeAws_json1_1DescribeModelInput = function (input, context) {
    return __assign({}, (input.ModelName !== undefined && input.ModelName !== null && { ModelName: input.ModelName }));
};
var serializeAws_json1_1DescribeModelPackageGroupInput = function (input, context) {
    return __assign({}, (input.ModelPackageGroupName !== undefined &&
        input.ModelPackageGroupName !== null && { ModelPackageGroupName: input.ModelPackageGroupName }));
};
var serializeAws_json1_1DescribeModelPackageInput = function (input, context) {
    return __assign({}, (input.ModelPackageName !== undefined &&
        input.ModelPackageName !== null && { ModelPackageName: input.ModelPackageName }));
};
var serializeAws_json1_1DescribeModelQualityJobDefinitionRequest = function (input, context) {
    return __assign({}, (input.JobDefinitionName !== undefined &&
        input.JobDefinitionName !== null && { JobDefinitionName: input.JobDefinitionName }));
};
var serializeAws_json1_1DescribeMonitoringScheduleRequest = function (input, context) {
    return __assign({}, (input.MonitoringScheduleName !== undefined &&
        input.MonitoringScheduleName !== null && { MonitoringScheduleName: input.MonitoringScheduleName }));
};
var serializeAws_json1_1DescribeNotebookInstanceInput = function (input, context) {
    return __assign({}, (input.NotebookInstanceName !== undefined &&
        input.NotebookInstanceName !== null && { NotebookInstanceName: input.NotebookInstanceName }));
};
var serializeAws_json1_1DescribeNotebookInstanceLifecycleConfigInput = function (input, context) {
    return __assign({}, (input.NotebookInstanceLifecycleConfigName !== undefined &&
        input.NotebookInstanceLifecycleConfigName !== null && {
        NotebookInstanceLifecycleConfigName: input.NotebookInstanceLifecycleConfigName,
    }));
};
var serializeAws_json1_1DescribePipelineDefinitionForExecutionRequest = function (input, context) {
    return __assign({}, (input.PipelineExecutionArn !== undefined &&
        input.PipelineExecutionArn !== null && { PipelineExecutionArn: input.PipelineExecutionArn }));
};
var serializeAws_json1_1DescribePipelineExecutionRequest = function (input, context) {
    return __assign({}, (input.PipelineExecutionArn !== undefined &&
        input.PipelineExecutionArn !== null && { PipelineExecutionArn: input.PipelineExecutionArn }));
};
var serializeAws_json1_1DescribePipelineRequest = function (input, context) {
    return __assign({}, (input.PipelineName !== undefined && input.PipelineName !== null && { PipelineName: input.PipelineName }));
};
var serializeAws_json1_1DescribeProcessingJobRequest = function (input, context) {
    return __assign({}, (input.ProcessingJobName !== undefined &&
        input.ProcessingJobName !== null && { ProcessingJobName: input.ProcessingJobName }));
};
var serializeAws_json1_1DescribeProjectInput = function (input, context) {
    return __assign({}, (input.ProjectName !== undefined && input.ProjectName !== null && { ProjectName: input.ProjectName }));
};
var serializeAws_json1_1DescribeStudioLifecycleConfigRequest = function (input, context) {
    return __assign({}, (input.StudioLifecycleConfigName !== undefined &&
        input.StudioLifecycleConfigName !== null && { StudioLifecycleConfigName: input.StudioLifecycleConfigName }));
};
var serializeAws_json1_1DescribeSubscribedWorkteamRequest = function (input, context) {
    return __assign({}, (input.WorkteamArn !== undefined && input.WorkteamArn !== null && { WorkteamArn: input.WorkteamArn }));
};
var serializeAws_json1_1DescribeTrainingJobRequest = function (input, context) {
    return __assign({}, (input.TrainingJobName !== undefined &&
        input.TrainingJobName !== null && { TrainingJobName: input.TrainingJobName }));
};
var serializeAws_json1_1DescribeTransformJobRequest = function (input, context) {
    return __assign({}, (input.TransformJobName !== undefined &&
        input.TransformJobName !== null && { TransformJobName: input.TransformJobName }));
};
var serializeAws_json1_1DescribeTrialComponentRequest = function (input, context) {
    return __assign({}, (input.TrialComponentName !== undefined &&
        input.TrialComponentName !== null && { TrialComponentName: input.TrialComponentName }));
};
var serializeAws_json1_1DescribeTrialRequest = function (input, context) {
    return __assign({}, (input.TrialName !== undefined && input.TrialName !== null && { TrialName: input.TrialName }));
};
var serializeAws_json1_1DescribeUserProfileRequest = function (input, context) {
    return __assign(__assign({}, (input.DomainId !== undefined && input.DomainId !== null && { DomainId: input.DomainId })), (input.UserProfileName !== undefined &&
        input.UserProfileName !== null && { UserProfileName: input.UserProfileName }));
};
var serializeAws_json1_1DescribeWorkforceRequest = function (input, context) {
    return __assign({}, (input.WorkforceName !== undefined && input.WorkforceName !== null && { WorkforceName: input.WorkforceName }));
};
var serializeAws_json1_1DescribeWorkteamRequest = function (input, context) {
    return __assign({}, (input.WorkteamName !== undefined && input.WorkteamName !== null && { WorkteamName: input.WorkteamName }));
};
var serializeAws_json1_1DesiredWeightAndCapacity = function (input, context) {
    return __assign(__assign(__assign({}, (input.DesiredInstanceCount !== undefined &&
        input.DesiredInstanceCount !== null && { DesiredInstanceCount: input.DesiredInstanceCount })), (input.DesiredWeight !== undefined &&
        input.DesiredWeight !== null && { DesiredWeight: __serializeFloat(input.DesiredWeight) })), (input.VariantName !== undefined && input.VariantName !== null && { VariantName: input.VariantName }));
};
var serializeAws_json1_1DesiredWeightAndCapacityList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1DesiredWeightAndCapacity(entry, context);
    });
};
var serializeAws_json1_1Device = function (input, context) {
    return __assign(__assign(__assign({}, (input.Description !== undefined && input.Description !== null && { Description: input.Description })), (input.DeviceName !== undefined && input.DeviceName !== null && { DeviceName: input.DeviceName })), (input.IotThingName !== undefined && input.IotThingName !== null && { IotThingName: input.IotThingName }));
};
var serializeAws_json1_1DeviceNames = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1Devices = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1Device(entry, context);
    });
};
var serializeAws_json1_1DisableSagemakerServicecatalogPortfolioInput = function (input, context) {
    return {};
};
var serializeAws_json1_1DisassociateTrialComponentRequest = function (input, context) {
    return __assign(__assign({}, (input.TrialComponentName !== undefined &&
        input.TrialComponentName !== null && { TrialComponentName: input.TrialComponentName })), (input.TrialName !== undefined && input.TrialName !== null && { TrialName: input.TrialName }));
};
var serializeAws_json1_1DomainSecurityGroupIds = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1DomainSettings = function (input, context) {
    return __assign(__assign({}, (input.RStudioServerProDomainSettings !== undefined &&
        input.RStudioServerProDomainSettings !== null && {
        RStudioServerProDomainSettings: serializeAws_json1_1RStudioServerProDomainSettings(input.RStudioServerProDomainSettings, context),
    })), (input.SecurityGroupIds !== undefined &&
        input.SecurityGroupIds !== null && {
        SecurityGroupIds: serializeAws_json1_1DomainSecurityGroupIds(input.SecurityGroupIds, context),
    }));
};
var serializeAws_json1_1DomainSettingsForUpdate = function (input, context) {
    return __assign({}, (input.RStudioServerProDomainSettingsForUpdate !== undefined &&
        input.RStudioServerProDomainSettingsForUpdate !== null && {
        RStudioServerProDomainSettingsForUpdate: serializeAws_json1_1RStudioServerProDomainSettingsForUpdate(input.RStudioServerProDomainSettingsForUpdate, context),
    }));
};
var serializeAws_json1_1DriftCheckBaselines = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.Bias !== undefined &&
        input.Bias !== null && { Bias: serializeAws_json1_1DriftCheckBias(input.Bias, context) })), (input.Explainability !== undefined &&
        input.Explainability !== null && {
        Explainability: serializeAws_json1_1DriftCheckExplainability(input.Explainability, context),
    })), (input.ModelDataQuality !== undefined &&
        input.ModelDataQuality !== null && {
        ModelDataQuality: serializeAws_json1_1DriftCheckModelDataQuality(input.ModelDataQuality, context),
    })), (input.ModelQuality !== undefined &&
        input.ModelQuality !== null && {
        ModelQuality: serializeAws_json1_1DriftCheckModelQuality(input.ModelQuality, context),
    }));
};
var serializeAws_json1_1DriftCheckBias = function (input, context) {
    return __assign(__assign(__assign({}, (input.ConfigFile !== undefined &&
        input.ConfigFile !== null && { ConfigFile: serializeAws_json1_1FileSource(input.ConfigFile, context) })), (input.PostTrainingConstraints !== undefined &&
        input.PostTrainingConstraints !== null && {
        PostTrainingConstraints: serializeAws_json1_1MetricsSource(input.PostTrainingConstraints, context),
    })), (input.PreTrainingConstraints !== undefined &&
        input.PreTrainingConstraints !== null && {
        PreTrainingConstraints: serializeAws_json1_1MetricsSource(input.PreTrainingConstraints, context),
    }));
};
var serializeAws_json1_1DriftCheckExplainability = function (input, context) {
    return __assign(__assign({}, (input.ConfigFile !== undefined &&
        input.ConfigFile !== null && { ConfigFile: serializeAws_json1_1FileSource(input.ConfigFile, context) })), (input.Constraints !== undefined &&
        input.Constraints !== null && { Constraints: serializeAws_json1_1MetricsSource(input.Constraints, context) }));
};
var serializeAws_json1_1DriftCheckModelDataQuality = function (input, context) {
    return __assign(__assign({}, (input.Constraints !== undefined &&
        input.Constraints !== null && { Constraints: serializeAws_json1_1MetricsSource(input.Constraints, context) })), (input.Statistics !== undefined &&
        input.Statistics !== null && { Statistics: serializeAws_json1_1MetricsSource(input.Statistics, context) }));
};
var serializeAws_json1_1DriftCheckModelQuality = function (input, context) {
    return __assign(__assign({}, (input.Constraints !== undefined &&
        input.Constraints !== null && { Constraints: serializeAws_json1_1MetricsSource(input.Constraints, context) })), (input.Statistics !== undefined &&
        input.Statistics !== null && { Statistics: serializeAws_json1_1MetricsSource(input.Statistics, context) }));
};
var serializeAws_json1_1EdgeOutputConfig = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.KmsKeyId !== undefined && input.KmsKeyId !== null && { KmsKeyId: input.KmsKeyId })), (input.PresetDeploymentConfig !== undefined &&
        input.PresetDeploymentConfig !== null && { PresetDeploymentConfig: input.PresetDeploymentConfig })), (input.PresetDeploymentType !== undefined &&
        input.PresetDeploymentType !== null && { PresetDeploymentType: input.PresetDeploymentType })), (input.S3OutputLocation !== undefined &&
        input.S3OutputLocation !== null && { S3OutputLocation: input.S3OutputLocation }));
};
var serializeAws_json1_1EnableSagemakerServicecatalogPortfolioInput = function (input, context) {
    return {};
};
var serializeAws_json1_1EndpointInput = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.EndTimeOffset !== undefined && input.EndTimeOffset !== null && { EndTimeOffset: input.EndTimeOffset })), (input.EndpointName !== undefined && input.EndpointName !== null && { EndpointName: input.EndpointName })), (input.FeaturesAttribute !== undefined &&
        input.FeaturesAttribute !== null && { FeaturesAttribute: input.FeaturesAttribute })), (input.InferenceAttribute !== undefined &&
        input.InferenceAttribute !== null && { InferenceAttribute: input.InferenceAttribute })), (input.LocalPath !== undefined && input.LocalPath !== null && { LocalPath: input.LocalPath })), (input.ProbabilityAttribute !== undefined &&
        input.ProbabilityAttribute !== null && { ProbabilityAttribute: input.ProbabilityAttribute })), (input.ProbabilityThresholdAttribute !== undefined &&
        input.ProbabilityThresholdAttribute !== null && {
        ProbabilityThresholdAttribute: __serializeFloat(input.ProbabilityThresholdAttribute),
    })), (input.S3DataDistributionType !== undefined &&
        input.S3DataDistributionType !== null && { S3DataDistributionType: input.S3DataDistributionType })), (input.S3InputMode !== undefined && input.S3InputMode !== null && { S3InputMode: input.S3InputMode })), (input.StartTimeOffset !== undefined &&
        input.StartTimeOffset !== null && { StartTimeOffset: input.StartTimeOffset }));
};
var serializeAws_json1_1EndpointInputConfiguration = function (input, context) {
    return __assign(__assign(__assign({}, (input.EnvironmentParameterRanges !== undefined &&
        input.EnvironmentParameterRanges !== null && {
        EnvironmentParameterRanges: serializeAws_json1_1EnvironmentParameterRanges(input.EnvironmentParameterRanges, context),
    })), (input.InferenceSpecificationName !== undefined &&
        input.InferenceSpecificationName !== null && { InferenceSpecificationName: input.InferenceSpecificationName })), (input.InstanceType !== undefined && input.InstanceType !== null && { InstanceType: input.InstanceType }));
};
var serializeAws_json1_1EndpointInputConfigurations = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1EndpointInputConfiguration(entry, context);
    });
};
var serializeAws_json1_1EnvironmentMap = function (input, context) {
    return Object.entries(input).reduce(function (acc, _a) {
        var _b;
        var _c = __read(_a, 2), key = _c[0], value = _c[1];
        if (value === null) {
            return acc;
        }
        return __assign(__assign({}, acc), (_b = {}, _b[key] = value, _b));
    }, {});
};
var serializeAws_json1_1EnvironmentParameterRanges = function (input, context) {
    return __assign({}, (input.CategoricalParameterRanges !== undefined &&
        input.CategoricalParameterRanges !== null && {
        CategoricalParameterRanges: serializeAws_json1_1CategoricalParameters(input.CategoricalParameterRanges, context),
    }));
};
var serializeAws_json1_1ExperimentConfig = function (input, context) {
    return __assign(__assign(__assign({}, (input.ExperimentName !== undefined &&
        input.ExperimentName !== null && { ExperimentName: input.ExperimentName })), (input.TrialComponentDisplayName !== undefined &&
        input.TrialComponentDisplayName !== null && { TrialComponentDisplayName: input.TrialComponentDisplayName })), (input.TrialName !== undefined && input.TrialName !== null && { TrialName: input.TrialName }));
};
var serializeAws_json1_1Explainability = function (input, context) {
    return __assign({}, (input.Report !== undefined &&
        input.Report !== null && { Report: serializeAws_json1_1MetricsSource(input.Report, context) }));
};
var serializeAws_json1_1FeatureDefinition = function (input, context) {
    return __assign(__assign({}, (input.FeatureName !== undefined && input.FeatureName !== null && { FeatureName: input.FeatureName })), (input.FeatureType !== undefined && input.FeatureType !== null && { FeatureType: input.FeatureType }));
};
var serializeAws_json1_1FeatureDefinitions = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1FeatureDefinition(entry, context);
    });
};
var serializeAws_json1_1FileSource = function (input, context) {
    return __assign(__assign(__assign({}, (input.ContentDigest !== undefined && input.ContentDigest !== null && { ContentDigest: input.ContentDigest })), (input.ContentType !== undefined && input.ContentType !== null && { ContentType: input.ContentType })), (input.S3Uri !== undefined && input.S3Uri !== null && { S3Uri: input.S3Uri }));
};
var serializeAws_json1_1FileSystemConfig = function (input, context) {
    return __assign(__assign(__assign({}, (input.DefaultGid !== undefined && input.DefaultGid !== null && { DefaultGid: input.DefaultGid })), (input.DefaultUid !== undefined && input.DefaultUid !== null && { DefaultUid: input.DefaultUid })), (input.MountPath !== undefined && input.MountPath !== null && { MountPath: input.MountPath }));
};
var serializeAws_json1_1FileSystemDataSource = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.DirectoryPath !== undefined && input.DirectoryPath !== null && { DirectoryPath: input.DirectoryPath })), (input.FileSystemAccessMode !== undefined &&
        input.FileSystemAccessMode !== null && { FileSystemAccessMode: input.FileSystemAccessMode })), (input.FileSystemId !== undefined && input.FileSystemId !== null && { FileSystemId: input.FileSystemId })), (input.FileSystemType !== undefined &&
        input.FileSystemType !== null && { FileSystemType: input.FileSystemType }));
};
var serializeAws_json1_1Filter = function (input, context) {
    return __assign(__assign(__assign({}, (input.Name !== undefined && input.Name !== null && { Name: input.Name })), (input.Operator !== undefined && input.Operator !== null && { Operator: input.Operator })), (input.Value !== undefined && input.Value !== null && { Value: input.Value }));
};
var serializeAws_json1_1FilterList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1Filter(entry, context);
    });
};
var serializeAws_json1_1FlowDefinitionOutputConfig = function (input, context) {
    return __assign(__assign({}, (input.KmsKeyId !== undefined && input.KmsKeyId !== null && { KmsKeyId: input.KmsKeyId })), (input.S3OutputPath !== undefined && input.S3OutputPath !== null && { S3OutputPath: input.S3OutputPath }));
};
var serializeAws_json1_1FlowDefinitionTaskKeywords = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1GetDeviceFleetReportRequest = function (input, context) {
    return __assign({}, (input.DeviceFleetName !== undefined &&
        input.DeviceFleetName !== null && { DeviceFleetName: input.DeviceFleetName }));
};
var serializeAws_json1_1GetLineageGroupPolicyRequest = function (input, context) {
    return __assign({}, (input.LineageGroupName !== undefined &&
        input.LineageGroupName !== null && { LineageGroupName: input.LineageGroupName }));
};
var serializeAws_json1_1GetModelPackageGroupPolicyInput = function (input, context) {
    return __assign({}, (input.ModelPackageGroupName !== undefined &&
        input.ModelPackageGroupName !== null && { ModelPackageGroupName: input.ModelPackageGroupName }));
};
var serializeAws_json1_1GetSagemakerServicecatalogPortfolioStatusInput = function (input, context) {
    return {};
};
var serializeAws_json1_1GetSearchSuggestionsRequest = function (input, context) {
    return __assign(__assign({}, (input.Resource !== undefined && input.Resource !== null && { Resource: input.Resource })), (input.SuggestionQuery !== undefined &&
        input.SuggestionQuery !== null && {
        SuggestionQuery: serializeAws_json1_1SuggestionQuery(input.SuggestionQuery, context),
    }));
};
var serializeAws_json1_1GitConfig = function (input, context) {
    return __assign(__assign(__assign({}, (input.Branch !== undefined && input.Branch !== null && { Branch: input.Branch })), (input.RepositoryUrl !== undefined && input.RepositoryUrl !== null && { RepositoryUrl: input.RepositoryUrl })), (input.SecretArn !== undefined && input.SecretArn !== null && { SecretArn: input.SecretArn }));
};
var serializeAws_json1_1GitConfigForUpdate = function (input, context) {
    return __assign({}, (input.SecretArn !== undefined && input.SecretArn !== null && { SecretArn: input.SecretArn }));
};
var serializeAws_json1_1Groups = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1HookParameters = function (input, context) {
    return Object.entries(input).reduce(function (acc, _a) {
        var _b;
        var _c = __read(_a, 2), key = _c[0], value = _c[1];
        if (value === null) {
            return acc;
        }
        return __assign(__assign({}, acc), (_b = {}, _b[key] = value, _b));
    }, {});
};
var serializeAws_json1_1HumanLoopActivationConditionsConfig = function (input, context) {
    return __assign({}, (input.HumanLoopActivationConditions !== undefined &&
        input.HumanLoopActivationConditions !== null && {
        HumanLoopActivationConditions: __LazyJsonString.fromObject(input.HumanLoopActivationConditions),
    }));
};
var serializeAws_json1_1HumanLoopActivationConfig = function (input, context) {
    return __assign({}, (input.HumanLoopActivationConditionsConfig !== undefined &&
        input.HumanLoopActivationConditionsConfig !== null && {
        HumanLoopActivationConditionsConfig: serializeAws_json1_1HumanLoopActivationConditionsConfig(input.HumanLoopActivationConditionsConfig, context),
    }));
};
var serializeAws_json1_1HumanLoopConfig = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.HumanTaskUiArn !== undefined &&
        input.HumanTaskUiArn !== null && { HumanTaskUiArn: input.HumanTaskUiArn })), (input.PublicWorkforceTaskPrice !== undefined &&
        input.PublicWorkforceTaskPrice !== null && {
        PublicWorkforceTaskPrice: serializeAws_json1_1PublicWorkforceTaskPrice(input.PublicWorkforceTaskPrice, context),
    })), (input.TaskAvailabilityLifetimeInSeconds !== undefined &&
        input.TaskAvailabilityLifetimeInSeconds !== null && {
        TaskAvailabilityLifetimeInSeconds: input.TaskAvailabilityLifetimeInSeconds,
    })), (input.TaskCount !== undefined && input.TaskCount !== null && { TaskCount: input.TaskCount })), (input.TaskDescription !== undefined &&
        input.TaskDescription !== null && { TaskDescription: input.TaskDescription })), (input.TaskKeywords !== undefined &&
        input.TaskKeywords !== null && {
        TaskKeywords: serializeAws_json1_1FlowDefinitionTaskKeywords(input.TaskKeywords, context),
    })), (input.TaskTimeLimitInSeconds !== undefined &&
        input.TaskTimeLimitInSeconds !== null && { TaskTimeLimitInSeconds: input.TaskTimeLimitInSeconds })), (input.TaskTitle !== undefined && input.TaskTitle !== null && { TaskTitle: input.TaskTitle })), (input.WorkteamArn !== undefined && input.WorkteamArn !== null && { WorkteamArn: input.WorkteamArn }));
};
var serializeAws_json1_1HumanLoopRequestSource = function (input, context) {
    return __assign({}, (input.AwsManagedHumanLoopRequestSource !== undefined &&
        input.AwsManagedHumanLoopRequestSource !== null && {
        AwsManagedHumanLoopRequestSource: input.AwsManagedHumanLoopRequestSource,
    }));
};
var serializeAws_json1_1HumanTaskConfig = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.AnnotationConsolidationConfig !== undefined &&
        input.AnnotationConsolidationConfig !== null && {
        AnnotationConsolidationConfig: serializeAws_json1_1AnnotationConsolidationConfig(input.AnnotationConsolidationConfig, context),
    })), (input.MaxConcurrentTaskCount !== undefined &&
        input.MaxConcurrentTaskCount !== null && { MaxConcurrentTaskCount: input.MaxConcurrentTaskCount })), (input.NumberOfHumanWorkersPerDataObject !== undefined &&
        input.NumberOfHumanWorkersPerDataObject !== null && {
        NumberOfHumanWorkersPerDataObject: input.NumberOfHumanWorkersPerDataObject,
    })), (input.PreHumanTaskLambdaArn !== undefined &&
        input.PreHumanTaskLambdaArn !== null && { PreHumanTaskLambdaArn: input.PreHumanTaskLambdaArn })), (input.PublicWorkforceTaskPrice !== undefined &&
        input.PublicWorkforceTaskPrice !== null && {
        PublicWorkforceTaskPrice: serializeAws_json1_1PublicWorkforceTaskPrice(input.PublicWorkforceTaskPrice, context),
    })), (input.TaskAvailabilityLifetimeInSeconds !== undefined &&
        input.TaskAvailabilityLifetimeInSeconds !== null && {
        TaskAvailabilityLifetimeInSeconds: input.TaskAvailabilityLifetimeInSeconds,
    })), (input.TaskDescription !== undefined &&
        input.TaskDescription !== null && { TaskDescription: input.TaskDescription })), (input.TaskKeywords !== undefined &&
        input.TaskKeywords !== null && { TaskKeywords: serializeAws_json1_1TaskKeywords(input.TaskKeywords, context) })), (input.TaskTimeLimitInSeconds !== undefined &&
        input.TaskTimeLimitInSeconds !== null && { TaskTimeLimitInSeconds: input.TaskTimeLimitInSeconds })), (input.TaskTitle !== undefined && input.TaskTitle !== null && { TaskTitle: input.TaskTitle })), (input.UiConfig !== undefined &&
        input.UiConfig !== null && { UiConfig: serializeAws_json1_1UiConfig(input.UiConfig, context) })), (input.WorkteamArn !== undefined && input.WorkteamArn !== null && { WorkteamArn: input.WorkteamArn }));
};
var serializeAws_json1_1HyperParameterAlgorithmSpecification = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.AlgorithmName !== undefined && input.AlgorithmName !== null && { AlgorithmName: input.AlgorithmName })), (input.MetricDefinitions !== undefined &&
        input.MetricDefinitions !== null && {
        MetricDefinitions: serializeAws_json1_1MetricDefinitionList(input.MetricDefinitions, context),
    })), (input.TrainingImage !== undefined && input.TrainingImage !== null && { TrainingImage: input.TrainingImage })), (input.TrainingInputMode !== undefined &&
        input.TrainingInputMode !== null && { TrainingInputMode: input.TrainingInputMode }));
};
var serializeAws_json1_1HyperParameters = function (input, context) {
    return Object.entries(input).reduce(function (acc, _a) {
        var _b;
        var _c = __read(_a, 2), key = _c[0], value = _c[1];
        if (value === null) {
            return acc;
        }
        return __assign(__assign({}, acc), (_b = {}, _b[key] = value, _b));
    }, {});
};
var serializeAws_json1_1HyperParameterSpecification = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.DefaultValue !== undefined && input.DefaultValue !== null && { DefaultValue: input.DefaultValue })), (input.Description !== undefined && input.Description !== null && { Description: input.Description })), (input.IsRequired !== undefined && input.IsRequired !== null && { IsRequired: input.IsRequired })), (input.IsTunable !== undefined && input.IsTunable !== null && { IsTunable: input.IsTunable })), (input.Name !== undefined && input.Name !== null && { Name: input.Name })), (input.Range !== undefined &&
        input.Range !== null && { Range: serializeAws_json1_1ParameterRange(input.Range, context) })), (input.Type !== undefined && input.Type !== null && { Type: input.Type }));
};
var serializeAws_json1_1HyperParameterSpecifications = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1HyperParameterSpecification(entry, context);
    });
};
var serializeAws_json1_1HyperParameterTrainingJobDefinition = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.AlgorithmSpecification !== undefined &&
        input.AlgorithmSpecification !== null && {
        AlgorithmSpecification: serializeAws_json1_1HyperParameterAlgorithmSpecification(input.AlgorithmSpecification, context),
    })), (input.CheckpointConfig !== undefined &&
        input.CheckpointConfig !== null && {
        CheckpointConfig: serializeAws_json1_1CheckpointConfig(input.CheckpointConfig, context),
    })), (input.DefinitionName !== undefined &&
        input.DefinitionName !== null && { DefinitionName: input.DefinitionName })), (input.EnableInterContainerTrafficEncryption !== undefined &&
        input.EnableInterContainerTrafficEncryption !== null && {
        EnableInterContainerTrafficEncryption: input.EnableInterContainerTrafficEncryption,
    })), (input.EnableManagedSpotTraining !== undefined &&
        input.EnableManagedSpotTraining !== null && { EnableManagedSpotTraining: input.EnableManagedSpotTraining })), (input.EnableNetworkIsolation !== undefined &&
        input.EnableNetworkIsolation !== null && { EnableNetworkIsolation: input.EnableNetworkIsolation })), (input.HyperParameterRanges !== undefined &&
        input.HyperParameterRanges !== null && {
        HyperParameterRanges: serializeAws_json1_1ParameterRanges(input.HyperParameterRanges, context),
    })), (input.InputDataConfig !== undefined &&
        input.InputDataConfig !== null && {
        InputDataConfig: serializeAws_json1_1InputDataConfig(input.InputDataConfig, context),
    })), (input.OutputDataConfig !== undefined &&
        input.OutputDataConfig !== null && {
        OutputDataConfig: serializeAws_json1_1OutputDataConfig(input.OutputDataConfig, context),
    })), (input.ResourceConfig !== undefined &&
        input.ResourceConfig !== null && {
        ResourceConfig: serializeAws_json1_1ResourceConfig(input.ResourceConfig, context),
    })), (input.RetryStrategy !== undefined &&
        input.RetryStrategy !== null && {
        RetryStrategy: serializeAws_json1_1RetryStrategy(input.RetryStrategy, context),
    })), (input.RoleArn !== undefined && input.RoleArn !== null && { RoleArn: input.RoleArn })), (input.StaticHyperParameters !== undefined &&
        input.StaticHyperParameters !== null && {
        StaticHyperParameters: serializeAws_json1_1HyperParameters(input.StaticHyperParameters, context),
    })), (input.StoppingCondition !== undefined &&
        input.StoppingCondition !== null && {
        StoppingCondition: serializeAws_json1_1StoppingCondition(input.StoppingCondition, context),
    })), (input.TuningObjective !== undefined &&
        input.TuningObjective !== null && {
        TuningObjective: serializeAws_json1_1HyperParameterTuningJobObjective(input.TuningObjective, context),
    })), (input.VpcConfig !== undefined &&
        input.VpcConfig !== null && { VpcConfig: serializeAws_json1_1VpcConfig(input.VpcConfig, context) }));
};
var serializeAws_json1_1HyperParameterTrainingJobDefinitions = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1HyperParameterTrainingJobDefinition(entry, context);
    });
};
var serializeAws_json1_1HyperParameterTuningJobConfig = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign({}, (input.HyperParameterTuningJobObjective !== undefined &&
        input.HyperParameterTuningJobObjective !== null && {
        HyperParameterTuningJobObjective: serializeAws_json1_1HyperParameterTuningJobObjective(input.HyperParameterTuningJobObjective, context),
    })), (input.ParameterRanges !== undefined &&
        input.ParameterRanges !== null && {
        ParameterRanges: serializeAws_json1_1ParameterRanges(input.ParameterRanges, context),
    })), (input.ResourceLimits !== undefined &&
        input.ResourceLimits !== null && {
        ResourceLimits: serializeAws_json1_1ResourceLimits(input.ResourceLimits, context),
    })), (input.Strategy !== undefined && input.Strategy !== null && { Strategy: input.Strategy })), (input.TrainingJobEarlyStoppingType !== undefined &&
        input.TrainingJobEarlyStoppingType !== null && {
        TrainingJobEarlyStoppingType: input.TrainingJobEarlyStoppingType,
    })), (input.TuningJobCompletionCriteria !== undefined &&
        input.TuningJobCompletionCriteria !== null && {
        TuningJobCompletionCriteria: serializeAws_json1_1TuningJobCompletionCriteria(input.TuningJobCompletionCriteria, context),
    }));
};
var serializeAws_json1_1HyperParameterTuningJobObjective = function (input, context) {
    return __assign(__assign({}, (input.MetricName !== undefined && input.MetricName !== null && { MetricName: input.MetricName })), (input.Type !== undefined && input.Type !== null && { Type: input.Type }));
};
var serializeAws_json1_1HyperParameterTuningJobObjectives = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1HyperParameterTuningJobObjective(entry, context);
    });
};
var serializeAws_json1_1HyperParameterTuningJobWarmStartConfig = function (input, context) {
    return __assign(__assign({}, (input.ParentHyperParameterTuningJobs !== undefined &&
        input.ParentHyperParameterTuningJobs !== null && {
        ParentHyperParameterTuningJobs: serializeAws_json1_1ParentHyperParameterTuningJobs(input.ParentHyperParameterTuningJobs, context),
    })), (input.WarmStartType !== undefined && input.WarmStartType !== null && { WarmStartType: input.WarmStartType }));
};
var serializeAws_json1_1ImageConfig = function (input, context) {
    return __assign(__assign({}, (input.RepositoryAccessMode !== undefined &&
        input.RepositoryAccessMode !== null && { RepositoryAccessMode: input.RepositoryAccessMode })), (input.RepositoryAuthConfig !== undefined &&
        input.RepositoryAuthConfig !== null && {
        RepositoryAuthConfig: serializeAws_json1_1RepositoryAuthConfig(input.RepositoryAuthConfig, context),
    }));
};
var serializeAws_json1_1ImageDeletePropertyList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1InferenceExecutionConfig = function (input, context) {
    return __assign({}, (input.Mode !== undefined && input.Mode !== null && { Mode: input.Mode }));
};
var serializeAws_json1_1InferenceSpecification = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign({}, (input.Containers !== undefined &&
        input.Containers !== null && {
        Containers: serializeAws_json1_1ModelPackageContainerDefinitionList(input.Containers, context),
    })), (input.SupportedContentTypes !== undefined &&
        input.SupportedContentTypes !== null && {
        SupportedContentTypes: serializeAws_json1_1ContentTypes(input.SupportedContentTypes, context),
    })), (input.SupportedRealtimeInferenceInstanceTypes !== undefined &&
        input.SupportedRealtimeInferenceInstanceTypes !== null && {
        SupportedRealtimeInferenceInstanceTypes: serializeAws_json1_1RealtimeInferenceInstanceTypes(input.SupportedRealtimeInferenceInstanceTypes, context),
    })), (input.SupportedResponseMIMETypes !== undefined &&
        input.SupportedResponseMIMETypes !== null && {
        SupportedResponseMIMETypes: serializeAws_json1_1ResponseMIMETypes(input.SupportedResponseMIMETypes, context),
    })), (input.SupportedTransformInstanceTypes !== undefined &&
        input.SupportedTransformInstanceTypes !== null && {
        SupportedTransformInstanceTypes: serializeAws_json1_1TransformInstanceTypes(input.SupportedTransformInstanceTypes, context),
    }));
};
var serializeAws_json1_1InputConfig = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.DataInputConfig !== undefined &&
        input.DataInputConfig !== null && { DataInputConfig: input.DataInputConfig })), (input.Framework !== undefined && input.Framework !== null && { Framework: input.Framework })), (input.FrameworkVersion !== undefined &&
        input.FrameworkVersion !== null && { FrameworkVersion: input.FrameworkVersion })), (input.S3Uri !== undefined && input.S3Uri !== null && { S3Uri: input.S3Uri }));
};
var serializeAws_json1_1InputDataConfig = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1Channel(entry, context);
    });
};
var serializeAws_json1_1InputModes = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1IntegerParameterRange = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.MaxValue !== undefined && input.MaxValue !== null && { MaxValue: input.MaxValue })), (input.MinValue !== undefined && input.MinValue !== null && { MinValue: input.MinValue })), (input.Name !== undefined && input.Name !== null && { Name: input.Name })), (input.ScalingType !== undefined && input.ScalingType !== null && { ScalingType: input.ScalingType }));
};
var serializeAws_json1_1IntegerParameterRanges = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1IntegerParameterRange(entry, context);
    });
};
var serializeAws_json1_1IntegerParameterRangeSpecification = function (input, context) {
    return __assign(__assign({}, (input.MaxValue !== undefined && input.MaxValue !== null && { MaxValue: input.MaxValue })), (input.MinValue !== undefined && input.MinValue !== null && { MinValue: input.MinValue }));
};
var serializeAws_json1_1JsonContentTypes = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1JupyterServerAppSettings = function (input, context) {
    return __assign(__assign({}, (input.DefaultResourceSpec !== undefined &&
        input.DefaultResourceSpec !== null && {
        DefaultResourceSpec: serializeAws_json1_1ResourceSpec(input.DefaultResourceSpec, context),
    })), (input.LifecycleConfigArns !== undefined &&
        input.LifecycleConfigArns !== null && {
        LifecycleConfigArns: serializeAws_json1_1LifecycleConfigArns(input.LifecycleConfigArns, context),
    }));
};
var serializeAws_json1_1KernelGatewayAppSettings = function (input, context) {
    return __assign(__assign(__assign({}, (input.CustomImages !== undefined &&
        input.CustomImages !== null && { CustomImages: serializeAws_json1_1CustomImages(input.CustomImages, context) })), (input.DefaultResourceSpec !== undefined &&
        input.DefaultResourceSpec !== null && {
        DefaultResourceSpec: serializeAws_json1_1ResourceSpec(input.DefaultResourceSpec, context),
    })), (input.LifecycleConfigArns !== undefined &&
        input.LifecycleConfigArns !== null && {
        LifecycleConfigArns: serializeAws_json1_1LifecycleConfigArns(input.LifecycleConfigArns, context),
    }));
};
var serializeAws_json1_1KernelGatewayImageConfig = function (input, context) {
    return __assign(__assign({}, (input.FileSystemConfig !== undefined &&
        input.FileSystemConfig !== null && {
        FileSystemConfig: serializeAws_json1_1FileSystemConfig(input.FileSystemConfig, context),
    })), (input.KernelSpecs !== undefined &&
        input.KernelSpecs !== null && { KernelSpecs: serializeAws_json1_1KernelSpecs(input.KernelSpecs, context) }));
};
var serializeAws_json1_1KernelSpec = function (input, context) {
    return __assign(__assign({}, (input.DisplayName !== undefined && input.DisplayName !== null && { DisplayName: input.DisplayName })), (input.Name !== undefined && input.Name !== null && { Name: input.Name }));
};
var serializeAws_json1_1KernelSpecs = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1KernelSpec(entry, context);
    });
};
var serializeAws_json1_1LabelingJobAlgorithmsConfig = function (input, context) {
    return __assign(__assign(__assign({}, (input.InitialActiveLearningModelArn !== undefined &&
        input.InitialActiveLearningModelArn !== null && {
        InitialActiveLearningModelArn: input.InitialActiveLearningModelArn,
    })), (input.LabelingJobAlgorithmSpecificationArn !== undefined &&
        input.LabelingJobAlgorithmSpecificationArn !== null && {
        LabelingJobAlgorithmSpecificationArn: input.LabelingJobAlgorithmSpecificationArn,
    })), (input.LabelingJobResourceConfig !== undefined &&
        input.LabelingJobResourceConfig !== null && {
        LabelingJobResourceConfig: serializeAws_json1_1LabelingJobResourceConfig(input.LabelingJobResourceConfig, context),
    }));
};
var serializeAws_json1_1LabelingJobDataAttributes = function (input, context) {
    return __assign({}, (input.ContentClassifiers !== undefined &&
        input.ContentClassifiers !== null && {
        ContentClassifiers: serializeAws_json1_1ContentClassifiers(input.ContentClassifiers, context),
    }));
};
var serializeAws_json1_1LabelingJobDataSource = function (input, context) {
    return __assign(__assign({}, (input.S3DataSource !== undefined &&
        input.S3DataSource !== null && {
        S3DataSource: serializeAws_json1_1LabelingJobS3DataSource(input.S3DataSource, context),
    })), (input.SnsDataSource !== undefined &&
        input.SnsDataSource !== null && {
        SnsDataSource: serializeAws_json1_1LabelingJobSnsDataSource(input.SnsDataSource, context),
    }));
};
var serializeAws_json1_1LabelingJobInputConfig = function (input, context) {
    return __assign(__assign({}, (input.DataAttributes !== undefined &&
        input.DataAttributes !== null && {
        DataAttributes: serializeAws_json1_1LabelingJobDataAttributes(input.DataAttributes, context),
    })), (input.DataSource !== undefined &&
        input.DataSource !== null && {
        DataSource: serializeAws_json1_1LabelingJobDataSource(input.DataSource, context),
    }));
};
var serializeAws_json1_1LabelingJobOutputConfig = function (input, context) {
    return __assign(__assign(__assign({}, (input.KmsKeyId !== undefined && input.KmsKeyId !== null && { KmsKeyId: input.KmsKeyId })), (input.S3OutputPath !== undefined && input.S3OutputPath !== null && { S3OutputPath: input.S3OutputPath })), (input.SnsTopicArn !== undefined && input.SnsTopicArn !== null && { SnsTopicArn: input.SnsTopicArn }));
};
var serializeAws_json1_1LabelingJobResourceConfig = function (input, context) {
    return __assign({}, (input.VolumeKmsKeyId !== undefined &&
        input.VolumeKmsKeyId !== null && { VolumeKmsKeyId: input.VolumeKmsKeyId }));
};
var serializeAws_json1_1LabelingJobS3DataSource = function (input, context) {
    return __assign({}, (input.ManifestS3Uri !== undefined && input.ManifestS3Uri !== null && { ManifestS3Uri: input.ManifestS3Uri }));
};
var serializeAws_json1_1LabelingJobSnsDataSource = function (input, context) {
    return __assign({}, (input.SnsTopicArn !== undefined && input.SnsTopicArn !== null && { SnsTopicArn: input.SnsTopicArn }));
};
var serializeAws_json1_1LabelingJobStoppingConditions = function (input, context) {
    return __assign(__assign({}, (input.MaxHumanLabeledObjectCount !== undefined &&
        input.MaxHumanLabeledObjectCount !== null && { MaxHumanLabeledObjectCount: input.MaxHumanLabeledObjectCount })), (input.MaxPercentageOfInputDatasetLabeled !== undefined &&
        input.MaxPercentageOfInputDatasetLabeled !== null && {
        MaxPercentageOfInputDatasetLabeled: input.MaxPercentageOfInputDatasetLabeled,
    }));
};
var serializeAws_json1_1LifecycleConfigArns = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1LineageEntityParameters = function (input, context) {
    return Object.entries(input).reduce(function (acc, _a) {
        var _b;
        var _c = __read(_a, 2), key = _c[0], value = _c[1];
        if (value === null) {
            return acc;
        }
        return __assign(__assign({}, acc), (_b = {}, _b[key] = value, _b));
    }, {});
};
var serializeAws_json1_1ListActionsRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.ActionType !== undefined && input.ActionType !== null && { ActionType: input.ActionType })), (input.CreatedAfter !== undefined &&
        input.CreatedAfter !== null && { CreatedAfter: Math.round(input.CreatedAfter.getTime() / 1000) })), (input.CreatedBefore !== undefined &&
        input.CreatedBefore !== null && { CreatedBefore: Math.round(input.CreatedBefore.getTime() / 1000) })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.SortBy !== undefined && input.SortBy !== null && { SortBy: input.SortBy })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder })), (input.SourceUri !== undefined && input.SourceUri !== null && { SourceUri: input.SourceUri }));
};
var serializeAws_json1_1ListAlgorithmsInput = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.CreationTimeAfter !== undefined &&
        input.CreationTimeAfter !== null && { CreationTimeAfter: Math.round(input.CreationTimeAfter.getTime() / 1000) })), (input.CreationTimeBefore !== undefined &&
        input.CreationTimeBefore !== null && {
        CreationTimeBefore: Math.round(input.CreationTimeBefore.getTime() / 1000),
    })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NameContains !== undefined && input.NameContains !== null && { NameContains: input.NameContains })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.SortBy !== undefined && input.SortBy !== null && { SortBy: input.SortBy })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder }));
};
var serializeAws_json1_1ListAppImageConfigsRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.CreationTimeAfter !== undefined &&
        input.CreationTimeAfter !== null && { CreationTimeAfter: Math.round(input.CreationTimeAfter.getTime() / 1000) })), (input.CreationTimeBefore !== undefined &&
        input.CreationTimeBefore !== null && {
        CreationTimeBefore: Math.round(input.CreationTimeBefore.getTime() / 1000),
    })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.ModifiedTimeAfter !== undefined &&
        input.ModifiedTimeAfter !== null && { ModifiedTimeAfter: Math.round(input.ModifiedTimeAfter.getTime() / 1000) })), (input.ModifiedTimeBefore !== undefined &&
        input.ModifiedTimeBefore !== null && {
        ModifiedTimeBefore: Math.round(input.ModifiedTimeBefore.getTime() / 1000),
    })), (input.NameContains !== undefined && input.NameContains !== null && { NameContains: input.NameContains })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.SortBy !== undefined && input.SortBy !== null && { SortBy: input.SortBy })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder }));
};
var serializeAws_json1_1ListAppsRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign({}, (input.DomainIdEquals !== undefined &&
        input.DomainIdEquals !== null && { DomainIdEquals: input.DomainIdEquals })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.SortBy !== undefined && input.SortBy !== null && { SortBy: input.SortBy })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder })), (input.UserProfileNameEquals !== undefined &&
        input.UserProfileNameEquals !== null && { UserProfileNameEquals: input.UserProfileNameEquals }));
};
var serializeAws_json1_1ListArtifactsRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.ArtifactType !== undefined && input.ArtifactType !== null && { ArtifactType: input.ArtifactType })), (input.CreatedAfter !== undefined &&
        input.CreatedAfter !== null && { CreatedAfter: Math.round(input.CreatedAfter.getTime() / 1000) })), (input.CreatedBefore !== undefined &&
        input.CreatedBefore !== null && { CreatedBefore: Math.round(input.CreatedBefore.getTime() / 1000) })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.SortBy !== undefined && input.SortBy !== null && { SortBy: input.SortBy })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder })), (input.SourceUri !== undefined && input.SourceUri !== null && { SourceUri: input.SourceUri }));
};
var serializeAws_json1_1ListAssociationsRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.AssociationType !== undefined &&
        input.AssociationType !== null && { AssociationType: input.AssociationType })), (input.CreatedAfter !== undefined &&
        input.CreatedAfter !== null && { CreatedAfter: Math.round(input.CreatedAfter.getTime() / 1000) })), (input.CreatedBefore !== undefined &&
        input.CreatedBefore !== null && { CreatedBefore: Math.round(input.CreatedBefore.getTime() / 1000) })), (input.DestinationArn !== undefined &&
        input.DestinationArn !== null && { DestinationArn: input.DestinationArn })), (input.DestinationType !== undefined &&
        input.DestinationType !== null && { DestinationType: input.DestinationType })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.SortBy !== undefined && input.SortBy !== null && { SortBy: input.SortBy })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder })), (input.SourceArn !== undefined && input.SourceArn !== null && { SourceArn: input.SourceArn })), (input.SourceType !== undefined && input.SourceType !== null && { SourceType: input.SourceType }));
};
var serializeAws_json1_1ListAutoMLJobsRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.CreationTimeAfter !== undefined &&
        input.CreationTimeAfter !== null && { CreationTimeAfter: Math.round(input.CreationTimeAfter.getTime() / 1000) })), (input.CreationTimeBefore !== undefined &&
        input.CreationTimeBefore !== null && {
        CreationTimeBefore: Math.round(input.CreationTimeBefore.getTime() / 1000),
    })), (input.LastModifiedTimeAfter !== undefined &&
        input.LastModifiedTimeAfter !== null && {
        LastModifiedTimeAfter: Math.round(input.LastModifiedTimeAfter.getTime() / 1000),
    })), (input.LastModifiedTimeBefore !== undefined &&
        input.LastModifiedTimeBefore !== null && {
        LastModifiedTimeBefore: Math.round(input.LastModifiedTimeBefore.getTime() / 1000),
    })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NameContains !== undefined && input.NameContains !== null && { NameContains: input.NameContains })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.SortBy !== undefined && input.SortBy !== null && { SortBy: input.SortBy })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder })), (input.StatusEquals !== undefined && input.StatusEquals !== null && { StatusEquals: input.StatusEquals }));
};
var serializeAws_json1_1ListCandidatesForAutoMLJobRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.AutoMLJobName !== undefined && input.AutoMLJobName !== null && { AutoMLJobName: input.AutoMLJobName })), (input.CandidateNameEquals !== undefined &&
        input.CandidateNameEquals !== null && { CandidateNameEquals: input.CandidateNameEquals })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.SortBy !== undefined && input.SortBy !== null && { SortBy: input.SortBy })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder })), (input.StatusEquals !== undefined && input.StatusEquals !== null && { StatusEquals: input.StatusEquals }));
};
var serializeAws_json1_1ListCodeRepositoriesInput = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.CreationTimeAfter !== undefined &&
        input.CreationTimeAfter !== null && { CreationTimeAfter: Math.round(input.CreationTimeAfter.getTime() / 1000) })), (input.CreationTimeBefore !== undefined &&
        input.CreationTimeBefore !== null && {
        CreationTimeBefore: Math.round(input.CreationTimeBefore.getTime() / 1000),
    })), (input.LastModifiedTimeAfter !== undefined &&
        input.LastModifiedTimeAfter !== null && {
        LastModifiedTimeAfter: Math.round(input.LastModifiedTimeAfter.getTime() / 1000),
    })), (input.LastModifiedTimeBefore !== undefined &&
        input.LastModifiedTimeBefore !== null && {
        LastModifiedTimeBefore: Math.round(input.LastModifiedTimeBefore.getTime() / 1000),
    })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NameContains !== undefined && input.NameContains !== null && { NameContains: input.NameContains })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.SortBy !== undefined && input.SortBy !== null && { SortBy: input.SortBy })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder }));
};
var serializeAws_json1_1ListCompilationJobsRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.CreationTimeAfter !== undefined &&
        input.CreationTimeAfter !== null && { CreationTimeAfter: Math.round(input.CreationTimeAfter.getTime() / 1000) })), (input.CreationTimeBefore !== undefined &&
        input.CreationTimeBefore !== null && {
        CreationTimeBefore: Math.round(input.CreationTimeBefore.getTime() / 1000),
    })), (input.LastModifiedTimeAfter !== undefined &&
        input.LastModifiedTimeAfter !== null && {
        LastModifiedTimeAfter: Math.round(input.LastModifiedTimeAfter.getTime() / 1000),
    })), (input.LastModifiedTimeBefore !== undefined &&
        input.LastModifiedTimeBefore !== null && {
        LastModifiedTimeBefore: Math.round(input.LastModifiedTimeBefore.getTime() / 1000),
    })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NameContains !== undefined && input.NameContains !== null && { NameContains: input.NameContains })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.SortBy !== undefined && input.SortBy !== null && { SortBy: input.SortBy })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder })), (input.StatusEquals !== undefined && input.StatusEquals !== null && { StatusEquals: input.StatusEquals }));
};
var serializeAws_json1_1ListContextsRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.ContextType !== undefined && input.ContextType !== null && { ContextType: input.ContextType })), (input.CreatedAfter !== undefined &&
        input.CreatedAfter !== null && { CreatedAfter: Math.round(input.CreatedAfter.getTime() / 1000) })), (input.CreatedBefore !== undefined &&
        input.CreatedBefore !== null && { CreatedBefore: Math.round(input.CreatedBefore.getTime() / 1000) })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.SortBy !== undefined && input.SortBy !== null && { SortBy: input.SortBy })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder })), (input.SourceUri !== undefined && input.SourceUri !== null && { SourceUri: input.SourceUri }));
};
var serializeAws_json1_1ListDataQualityJobDefinitionsRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.CreationTimeAfter !== undefined &&
        input.CreationTimeAfter !== null && { CreationTimeAfter: Math.round(input.CreationTimeAfter.getTime() / 1000) })), (input.CreationTimeBefore !== undefined &&
        input.CreationTimeBefore !== null && {
        CreationTimeBefore: Math.round(input.CreationTimeBefore.getTime() / 1000),
    })), (input.EndpointName !== undefined && input.EndpointName !== null && { EndpointName: input.EndpointName })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NameContains !== undefined && input.NameContains !== null && { NameContains: input.NameContains })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.SortBy !== undefined && input.SortBy !== null && { SortBy: input.SortBy })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder }));
};
var serializeAws_json1_1ListDeviceFleetsRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.CreationTimeAfter !== undefined &&
        input.CreationTimeAfter !== null && { CreationTimeAfter: Math.round(input.CreationTimeAfter.getTime() / 1000) })), (input.CreationTimeBefore !== undefined &&
        input.CreationTimeBefore !== null && {
        CreationTimeBefore: Math.round(input.CreationTimeBefore.getTime() / 1000),
    })), (input.LastModifiedTimeAfter !== undefined &&
        input.LastModifiedTimeAfter !== null && {
        LastModifiedTimeAfter: Math.round(input.LastModifiedTimeAfter.getTime() / 1000),
    })), (input.LastModifiedTimeBefore !== undefined &&
        input.LastModifiedTimeBefore !== null && {
        LastModifiedTimeBefore: Math.round(input.LastModifiedTimeBefore.getTime() / 1000),
    })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NameContains !== undefined && input.NameContains !== null && { NameContains: input.NameContains })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.SortBy !== undefined && input.SortBy !== null && { SortBy: input.SortBy })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder }));
};
var serializeAws_json1_1ListDevicesRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign({}, (input.DeviceFleetName !== undefined &&
        input.DeviceFleetName !== null && { DeviceFleetName: input.DeviceFleetName })), (input.LatestHeartbeatAfter !== undefined &&
        input.LatestHeartbeatAfter !== null && {
        LatestHeartbeatAfter: Math.round(input.LatestHeartbeatAfter.getTime() / 1000),
    })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.ModelName !== undefined && input.ModelName !== null && { ModelName: input.ModelName })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken }));
};
var serializeAws_json1_1ListDomainsRequest = function (input, context) {
    return __assign(__assign({}, (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken }));
};
var serializeAws_json1_1ListEdgePackagingJobsRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.CreationTimeAfter !== undefined &&
        input.CreationTimeAfter !== null && { CreationTimeAfter: Math.round(input.CreationTimeAfter.getTime() / 1000) })), (input.CreationTimeBefore !== undefined &&
        input.CreationTimeBefore !== null && {
        CreationTimeBefore: Math.round(input.CreationTimeBefore.getTime() / 1000),
    })), (input.LastModifiedTimeAfter !== undefined &&
        input.LastModifiedTimeAfter !== null && {
        LastModifiedTimeAfter: Math.round(input.LastModifiedTimeAfter.getTime() / 1000),
    })), (input.LastModifiedTimeBefore !== undefined &&
        input.LastModifiedTimeBefore !== null && {
        LastModifiedTimeBefore: Math.round(input.LastModifiedTimeBefore.getTime() / 1000),
    })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.ModelNameContains !== undefined &&
        input.ModelNameContains !== null && { ModelNameContains: input.ModelNameContains })), (input.NameContains !== undefined && input.NameContains !== null && { NameContains: input.NameContains })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.SortBy !== undefined && input.SortBy !== null && { SortBy: input.SortBy })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder })), (input.StatusEquals !== undefined && input.StatusEquals !== null && { StatusEquals: input.StatusEquals }));
};
var serializeAws_json1_1ListEndpointConfigsInput = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.CreationTimeAfter !== undefined &&
        input.CreationTimeAfter !== null && { CreationTimeAfter: Math.round(input.CreationTimeAfter.getTime() / 1000) })), (input.CreationTimeBefore !== undefined &&
        input.CreationTimeBefore !== null && {
        CreationTimeBefore: Math.round(input.CreationTimeBefore.getTime() / 1000),
    })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NameContains !== undefined && input.NameContains !== null && { NameContains: input.NameContains })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.SortBy !== undefined && input.SortBy !== null && { SortBy: input.SortBy })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder }));
};
var serializeAws_json1_1ListEndpointsInput = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.CreationTimeAfter !== undefined &&
        input.CreationTimeAfter !== null && { CreationTimeAfter: Math.round(input.CreationTimeAfter.getTime() / 1000) })), (input.CreationTimeBefore !== undefined &&
        input.CreationTimeBefore !== null && {
        CreationTimeBefore: Math.round(input.CreationTimeBefore.getTime() / 1000),
    })), (input.LastModifiedTimeAfter !== undefined &&
        input.LastModifiedTimeAfter !== null && {
        LastModifiedTimeAfter: Math.round(input.LastModifiedTimeAfter.getTime() / 1000),
    })), (input.LastModifiedTimeBefore !== undefined &&
        input.LastModifiedTimeBefore !== null && {
        LastModifiedTimeBefore: Math.round(input.LastModifiedTimeBefore.getTime() / 1000),
    })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NameContains !== undefined && input.NameContains !== null && { NameContains: input.NameContains })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.SortBy !== undefined && input.SortBy !== null && { SortBy: input.SortBy })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder })), (input.StatusEquals !== undefined && input.StatusEquals !== null && { StatusEquals: input.StatusEquals }));
};
var serializeAws_json1_1ListExperimentsRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign({}, (input.CreatedAfter !== undefined &&
        input.CreatedAfter !== null && { CreatedAfter: Math.round(input.CreatedAfter.getTime() / 1000) })), (input.CreatedBefore !== undefined &&
        input.CreatedBefore !== null && { CreatedBefore: Math.round(input.CreatedBefore.getTime() / 1000) })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.SortBy !== undefined && input.SortBy !== null && { SortBy: input.SortBy })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder }));
};
var serializeAws_json1_1ListFeatureGroupsRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.CreationTimeAfter !== undefined &&
        input.CreationTimeAfter !== null && { CreationTimeAfter: Math.round(input.CreationTimeAfter.getTime() / 1000) })), (input.CreationTimeBefore !== undefined &&
        input.CreationTimeBefore !== null && {
        CreationTimeBefore: Math.round(input.CreationTimeBefore.getTime() / 1000),
    })), (input.FeatureGroupStatusEquals !== undefined &&
        input.FeatureGroupStatusEquals !== null && { FeatureGroupStatusEquals: input.FeatureGroupStatusEquals })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NameContains !== undefined && input.NameContains !== null && { NameContains: input.NameContains })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.OfflineStoreStatusEquals !== undefined &&
        input.OfflineStoreStatusEquals !== null && { OfflineStoreStatusEquals: input.OfflineStoreStatusEquals })), (input.SortBy !== undefined && input.SortBy !== null && { SortBy: input.SortBy })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder }));
};
var serializeAws_json1_1ListFlowDefinitionsRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign({}, (input.CreationTimeAfter !== undefined &&
        input.CreationTimeAfter !== null && { CreationTimeAfter: Math.round(input.CreationTimeAfter.getTime() / 1000) })), (input.CreationTimeBefore !== undefined &&
        input.CreationTimeBefore !== null && {
        CreationTimeBefore: Math.round(input.CreationTimeBefore.getTime() / 1000),
    })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder }));
};
var serializeAws_json1_1ListHumanTaskUisRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign({}, (input.CreationTimeAfter !== undefined &&
        input.CreationTimeAfter !== null && { CreationTimeAfter: Math.round(input.CreationTimeAfter.getTime() / 1000) })), (input.CreationTimeBefore !== undefined &&
        input.CreationTimeBefore !== null && {
        CreationTimeBefore: Math.round(input.CreationTimeBefore.getTime() / 1000),
    })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder }));
};
var serializeAws_json1_1ListHyperParameterTuningJobsRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.CreationTimeAfter !== undefined &&
        input.CreationTimeAfter !== null && { CreationTimeAfter: Math.round(input.CreationTimeAfter.getTime() / 1000) })), (input.CreationTimeBefore !== undefined &&
        input.CreationTimeBefore !== null && {
        CreationTimeBefore: Math.round(input.CreationTimeBefore.getTime() / 1000),
    })), (input.LastModifiedTimeAfter !== undefined &&
        input.LastModifiedTimeAfter !== null && {
        LastModifiedTimeAfter: Math.round(input.LastModifiedTimeAfter.getTime() / 1000),
    })), (input.LastModifiedTimeBefore !== undefined &&
        input.LastModifiedTimeBefore !== null && {
        LastModifiedTimeBefore: Math.round(input.LastModifiedTimeBefore.getTime() / 1000),
    })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NameContains !== undefined && input.NameContains !== null && { NameContains: input.NameContains })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.SortBy !== undefined && input.SortBy !== null && { SortBy: input.SortBy })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder })), (input.StatusEquals !== undefined && input.StatusEquals !== null && { StatusEquals: input.StatusEquals }));
};
var serializeAws_json1_1ListImagesRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.CreationTimeAfter !== undefined &&
        input.CreationTimeAfter !== null && { CreationTimeAfter: Math.round(input.CreationTimeAfter.getTime() / 1000) })), (input.CreationTimeBefore !== undefined &&
        input.CreationTimeBefore !== null && {
        CreationTimeBefore: Math.round(input.CreationTimeBefore.getTime() / 1000),
    })), (input.LastModifiedTimeAfter !== undefined &&
        input.LastModifiedTimeAfter !== null && {
        LastModifiedTimeAfter: Math.round(input.LastModifiedTimeAfter.getTime() / 1000),
    })), (input.LastModifiedTimeBefore !== undefined &&
        input.LastModifiedTimeBefore !== null && {
        LastModifiedTimeBefore: Math.round(input.LastModifiedTimeBefore.getTime() / 1000),
    })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NameContains !== undefined && input.NameContains !== null && { NameContains: input.NameContains })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.SortBy !== undefined && input.SortBy !== null && { SortBy: input.SortBy })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder }));
};
var serializeAws_json1_1ListImageVersionsRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.CreationTimeAfter !== undefined &&
        input.CreationTimeAfter !== null && { CreationTimeAfter: Math.round(input.CreationTimeAfter.getTime() / 1000) })), (input.CreationTimeBefore !== undefined &&
        input.CreationTimeBefore !== null && {
        CreationTimeBefore: Math.round(input.CreationTimeBefore.getTime() / 1000),
    })), (input.ImageName !== undefined && input.ImageName !== null && { ImageName: input.ImageName })), (input.LastModifiedTimeAfter !== undefined &&
        input.LastModifiedTimeAfter !== null && {
        LastModifiedTimeAfter: Math.round(input.LastModifiedTimeAfter.getTime() / 1000),
    })), (input.LastModifiedTimeBefore !== undefined &&
        input.LastModifiedTimeBefore !== null && {
        LastModifiedTimeBefore: Math.round(input.LastModifiedTimeBefore.getTime() / 1000),
    })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.SortBy !== undefined && input.SortBy !== null && { SortBy: input.SortBy })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder }));
};
var serializeAws_json1_1ListInferenceRecommendationsJobsRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.CreationTimeAfter !== undefined &&
        input.CreationTimeAfter !== null && { CreationTimeAfter: Math.round(input.CreationTimeAfter.getTime() / 1000) })), (input.CreationTimeBefore !== undefined &&
        input.CreationTimeBefore !== null && {
        CreationTimeBefore: Math.round(input.CreationTimeBefore.getTime() / 1000),
    })), (input.LastModifiedTimeAfter !== undefined &&
        input.LastModifiedTimeAfter !== null && {
        LastModifiedTimeAfter: Math.round(input.LastModifiedTimeAfter.getTime() / 1000),
    })), (input.LastModifiedTimeBefore !== undefined &&
        input.LastModifiedTimeBefore !== null && {
        LastModifiedTimeBefore: Math.round(input.LastModifiedTimeBefore.getTime() / 1000),
    })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NameContains !== undefined && input.NameContains !== null && { NameContains: input.NameContains })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.SortBy !== undefined && input.SortBy !== null && { SortBy: input.SortBy })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder })), (input.StatusEquals !== undefined && input.StatusEquals !== null && { StatusEquals: input.StatusEquals }));
};
var serializeAws_json1_1ListLabelingJobsForWorkteamRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.CreationTimeAfter !== undefined &&
        input.CreationTimeAfter !== null && { CreationTimeAfter: Math.round(input.CreationTimeAfter.getTime() / 1000) })), (input.CreationTimeBefore !== undefined &&
        input.CreationTimeBefore !== null && {
        CreationTimeBefore: Math.round(input.CreationTimeBefore.getTime() / 1000),
    })), (input.JobReferenceCodeContains !== undefined &&
        input.JobReferenceCodeContains !== null && { JobReferenceCodeContains: input.JobReferenceCodeContains })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.SortBy !== undefined && input.SortBy !== null && { SortBy: input.SortBy })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder })), (input.WorkteamArn !== undefined && input.WorkteamArn !== null && { WorkteamArn: input.WorkteamArn }));
};
var serializeAws_json1_1ListLabelingJobsRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.CreationTimeAfter !== undefined &&
        input.CreationTimeAfter !== null && { CreationTimeAfter: Math.round(input.CreationTimeAfter.getTime() / 1000) })), (input.CreationTimeBefore !== undefined &&
        input.CreationTimeBefore !== null && {
        CreationTimeBefore: Math.round(input.CreationTimeBefore.getTime() / 1000),
    })), (input.LastModifiedTimeAfter !== undefined &&
        input.LastModifiedTimeAfter !== null && {
        LastModifiedTimeAfter: Math.round(input.LastModifiedTimeAfter.getTime() / 1000),
    })), (input.LastModifiedTimeBefore !== undefined &&
        input.LastModifiedTimeBefore !== null && {
        LastModifiedTimeBefore: Math.round(input.LastModifiedTimeBefore.getTime() / 1000),
    })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NameContains !== undefined && input.NameContains !== null && { NameContains: input.NameContains })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.SortBy !== undefined && input.SortBy !== null && { SortBy: input.SortBy })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder })), (input.StatusEquals !== undefined && input.StatusEquals !== null && { StatusEquals: input.StatusEquals }));
};
var serializeAws_json1_1ListLineageEntityParameterKey = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1ListLineageGroupsRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign({}, (input.CreatedAfter !== undefined &&
        input.CreatedAfter !== null && { CreatedAfter: Math.round(input.CreatedAfter.getTime() / 1000) })), (input.CreatedBefore !== undefined &&
        input.CreatedBefore !== null && { CreatedBefore: Math.round(input.CreatedBefore.getTime() / 1000) })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.SortBy !== undefined && input.SortBy !== null && { SortBy: input.SortBy })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder }));
};
var serializeAws_json1_1ListModelBiasJobDefinitionsRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.CreationTimeAfter !== undefined &&
        input.CreationTimeAfter !== null && { CreationTimeAfter: Math.round(input.CreationTimeAfter.getTime() / 1000) })), (input.CreationTimeBefore !== undefined &&
        input.CreationTimeBefore !== null && {
        CreationTimeBefore: Math.round(input.CreationTimeBefore.getTime() / 1000),
    })), (input.EndpointName !== undefined && input.EndpointName !== null && { EndpointName: input.EndpointName })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NameContains !== undefined && input.NameContains !== null && { NameContains: input.NameContains })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.SortBy !== undefined && input.SortBy !== null && { SortBy: input.SortBy })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder }));
};
var serializeAws_json1_1ListModelExplainabilityJobDefinitionsRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.CreationTimeAfter !== undefined &&
        input.CreationTimeAfter !== null && { CreationTimeAfter: Math.round(input.CreationTimeAfter.getTime() / 1000) })), (input.CreationTimeBefore !== undefined &&
        input.CreationTimeBefore !== null && {
        CreationTimeBefore: Math.round(input.CreationTimeBefore.getTime() / 1000),
    })), (input.EndpointName !== undefined && input.EndpointName !== null && { EndpointName: input.EndpointName })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NameContains !== undefined && input.NameContains !== null && { NameContains: input.NameContains })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.SortBy !== undefined && input.SortBy !== null && { SortBy: input.SortBy })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder }));
};
var serializeAws_json1_1ListModelMetadataRequest = function (input, context) {
    return __assign(__assign(__assign({}, (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.SearchExpression !== undefined &&
        input.SearchExpression !== null && {
        SearchExpression: serializeAws_json1_1ModelMetadataSearchExpression(input.SearchExpression, context),
    }));
};
var serializeAws_json1_1ListModelPackageGroupsInput = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.CreationTimeAfter !== undefined &&
        input.CreationTimeAfter !== null && { CreationTimeAfter: Math.round(input.CreationTimeAfter.getTime() / 1000) })), (input.CreationTimeBefore !== undefined &&
        input.CreationTimeBefore !== null && {
        CreationTimeBefore: Math.round(input.CreationTimeBefore.getTime() / 1000),
    })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NameContains !== undefined && input.NameContains !== null && { NameContains: input.NameContains })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.SortBy !== undefined && input.SortBy !== null && { SortBy: input.SortBy })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder }));
};
var serializeAws_json1_1ListModelPackagesInput = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.CreationTimeAfter !== undefined &&
        input.CreationTimeAfter !== null && { CreationTimeAfter: Math.round(input.CreationTimeAfter.getTime() / 1000) })), (input.CreationTimeBefore !== undefined &&
        input.CreationTimeBefore !== null && {
        CreationTimeBefore: Math.round(input.CreationTimeBefore.getTime() / 1000),
    })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.ModelApprovalStatus !== undefined &&
        input.ModelApprovalStatus !== null && { ModelApprovalStatus: input.ModelApprovalStatus })), (input.ModelPackageGroupName !== undefined &&
        input.ModelPackageGroupName !== null && { ModelPackageGroupName: input.ModelPackageGroupName })), (input.ModelPackageType !== undefined &&
        input.ModelPackageType !== null && { ModelPackageType: input.ModelPackageType })), (input.NameContains !== undefined && input.NameContains !== null && { NameContains: input.NameContains })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.SortBy !== undefined && input.SortBy !== null && { SortBy: input.SortBy })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder }));
};
var serializeAws_json1_1ListModelQualityJobDefinitionsRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.CreationTimeAfter !== undefined &&
        input.CreationTimeAfter !== null && { CreationTimeAfter: Math.round(input.CreationTimeAfter.getTime() / 1000) })), (input.CreationTimeBefore !== undefined &&
        input.CreationTimeBefore !== null && {
        CreationTimeBefore: Math.round(input.CreationTimeBefore.getTime() / 1000),
    })), (input.EndpointName !== undefined && input.EndpointName !== null && { EndpointName: input.EndpointName })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NameContains !== undefined && input.NameContains !== null && { NameContains: input.NameContains })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.SortBy !== undefined && input.SortBy !== null && { SortBy: input.SortBy })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder }));
};
var serializeAws_json1_1ListModelsInput = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.CreationTimeAfter !== undefined &&
        input.CreationTimeAfter !== null && { CreationTimeAfter: Math.round(input.CreationTimeAfter.getTime() / 1000) })), (input.CreationTimeBefore !== undefined &&
        input.CreationTimeBefore !== null && {
        CreationTimeBefore: Math.round(input.CreationTimeBefore.getTime() / 1000),
    })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NameContains !== undefined && input.NameContains !== null && { NameContains: input.NameContains })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.SortBy !== undefined && input.SortBy !== null && { SortBy: input.SortBy })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder }));
};
var serializeAws_json1_1ListMonitoringExecutionsRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.CreationTimeAfter !== undefined &&
        input.CreationTimeAfter !== null && { CreationTimeAfter: Math.round(input.CreationTimeAfter.getTime() / 1000) })), (input.CreationTimeBefore !== undefined &&
        input.CreationTimeBefore !== null && {
        CreationTimeBefore: Math.round(input.CreationTimeBefore.getTime() / 1000),
    })), (input.EndpointName !== undefined && input.EndpointName !== null && { EndpointName: input.EndpointName })), (input.LastModifiedTimeAfter !== undefined &&
        input.LastModifiedTimeAfter !== null && {
        LastModifiedTimeAfter: Math.round(input.LastModifiedTimeAfter.getTime() / 1000),
    })), (input.LastModifiedTimeBefore !== undefined &&
        input.LastModifiedTimeBefore !== null && {
        LastModifiedTimeBefore: Math.round(input.LastModifiedTimeBefore.getTime() / 1000),
    })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.MonitoringJobDefinitionName !== undefined &&
        input.MonitoringJobDefinitionName !== null && { MonitoringJobDefinitionName: input.MonitoringJobDefinitionName })), (input.MonitoringScheduleName !== undefined &&
        input.MonitoringScheduleName !== null && { MonitoringScheduleName: input.MonitoringScheduleName })), (input.MonitoringTypeEquals !== undefined &&
        input.MonitoringTypeEquals !== null && { MonitoringTypeEquals: input.MonitoringTypeEquals })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.ScheduledTimeAfter !== undefined &&
        input.ScheduledTimeAfter !== null && {
        ScheduledTimeAfter: Math.round(input.ScheduledTimeAfter.getTime() / 1000),
    })), (input.ScheduledTimeBefore !== undefined &&
        input.ScheduledTimeBefore !== null && {
        ScheduledTimeBefore: Math.round(input.ScheduledTimeBefore.getTime() / 1000),
    })), (input.SortBy !== undefined && input.SortBy !== null && { SortBy: input.SortBy })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder })), (input.StatusEquals !== undefined && input.StatusEquals !== null && { StatusEquals: input.StatusEquals }));
};
var serializeAws_json1_1ListMonitoringSchedulesRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.CreationTimeAfter !== undefined &&
        input.CreationTimeAfter !== null && { CreationTimeAfter: Math.round(input.CreationTimeAfter.getTime() / 1000) })), (input.CreationTimeBefore !== undefined &&
        input.CreationTimeBefore !== null && {
        CreationTimeBefore: Math.round(input.CreationTimeBefore.getTime() / 1000),
    })), (input.EndpointName !== undefined && input.EndpointName !== null && { EndpointName: input.EndpointName })), (input.LastModifiedTimeAfter !== undefined &&
        input.LastModifiedTimeAfter !== null && {
        LastModifiedTimeAfter: Math.round(input.LastModifiedTimeAfter.getTime() / 1000),
    })), (input.LastModifiedTimeBefore !== undefined &&
        input.LastModifiedTimeBefore !== null && {
        LastModifiedTimeBefore: Math.round(input.LastModifiedTimeBefore.getTime() / 1000),
    })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.MonitoringJobDefinitionName !== undefined &&
        input.MonitoringJobDefinitionName !== null && { MonitoringJobDefinitionName: input.MonitoringJobDefinitionName })), (input.MonitoringTypeEquals !== undefined &&
        input.MonitoringTypeEquals !== null && { MonitoringTypeEquals: input.MonitoringTypeEquals })), (input.NameContains !== undefined && input.NameContains !== null && { NameContains: input.NameContains })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.SortBy !== undefined && input.SortBy !== null && { SortBy: input.SortBy })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder })), (input.StatusEquals !== undefined && input.StatusEquals !== null && { StatusEquals: input.StatusEquals }));
};
var serializeAws_json1_1ListNotebookInstanceLifecycleConfigsInput = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.CreationTimeAfter !== undefined &&
        input.CreationTimeAfter !== null && { CreationTimeAfter: Math.round(input.CreationTimeAfter.getTime() / 1000) })), (input.CreationTimeBefore !== undefined &&
        input.CreationTimeBefore !== null && {
        CreationTimeBefore: Math.round(input.CreationTimeBefore.getTime() / 1000),
    })), (input.LastModifiedTimeAfter !== undefined &&
        input.LastModifiedTimeAfter !== null && {
        LastModifiedTimeAfter: Math.round(input.LastModifiedTimeAfter.getTime() / 1000),
    })), (input.LastModifiedTimeBefore !== undefined &&
        input.LastModifiedTimeBefore !== null && {
        LastModifiedTimeBefore: Math.round(input.LastModifiedTimeBefore.getTime() / 1000),
    })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NameContains !== undefined && input.NameContains !== null && { NameContains: input.NameContains })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.SortBy !== undefined && input.SortBy !== null && { SortBy: input.SortBy })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder }));
};
var serializeAws_json1_1ListNotebookInstancesInput = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.AdditionalCodeRepositoryEquals !== undefined &&
        input.AdditionalCodeRepositoryEquals !== null && {
        AdditionalCodeRepositoryEquals: input.AdditionalCodeRepositoryEquals,
    })), (input.CreationTimeAfter !== undefined &&
        input.CreationTimeAfter !== null && { CreationTimeAfter: Math.round(input.CreationTimeAfter.getTime() / 1000) })), (input.CreationTimeBefore !== undefined &&
        input.CreationTimeBefore !== null && {
        CreationTimeBefore: Math.round(input.CreationTimeBefore.getTime() / 1000),
    })), (input.DefaultCodeRepositoryContains !== undefined &&
        input.DefaultCodeRepositoryContains !== null && {
        DefaultCodeRepositoryContains: input.DefaultCodeRepositoryContains,
    })), (input.LastModifiedTimeAfter !== undefined &&
        input.LastModifiedTimeAfter !== null && {
        LastModifiedTimeAfter: Math.round(input.LastModifiedTimeAfter.getTime() / 1000),
    })), (input.LastModifiedTimeBefore !== undefined &&
        input.LastModifiedTimeBefore !== null && {
        LastModifiedTimeBefore: Math.round(input.LastModifiedTimeBefore.getTime() / 1000),
    })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NameContains !== undefined && input.NameContains !== null && { NameContains: input.NameContains })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.NotebookInstanceLifecycleConfigNameContains !== undefined &&
        input.NotebookInstanceLifecycleConfigNameContains !== null && {
        NotebookInstanceLifecycleConfigNameContains: input.NotebookInstanceLifecycleConfigNameContains,
    })), (input.SortBy !== undefined && input.SortBy !== null && { SortBy: input.SortBy })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder })), (input.StatusEquals !== undefined && input.StatusEquals !== null && { StatusEquals: input.StatusEquals }));
};
var serializeAws_json1_1ListPipelineExecutionsRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.CreatedAfter !== undefined &&
        input.CreatedAfter !== null && { CreatedAfter: Math.round(input.CreatedAfter.getTime() / 1000) })), (input.CreatedBefore !== undefined &&
        input.CreatedBefore !== null && { CreatedBefore: Math.round(input.CreatedBefore.getTime() / 1000) })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.PipelineName !== undefined && input.PipelineName !== null && { PipelineName: input.PipelineName })), (input.SortBy !== undefined && input.SortBy !== null && { SortBy: input.SortBy })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder }));
};
var serializeAws_json1_1ListPipelineExecutionStepsRequest = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.PipelineExecutionArn !== undefined &&
        input.PipelineExecutionArn !== null && { PipelineExecutionArn: input.PipelineExecutionArn })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder }));
};
var serializeAws_json1_1ListPipelineParametersForExecutionRequest = function (input, context) {
    return __assign(__assign(__assign({}, (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.PipelineExecutionArn !== undefined &&
        input.PipelineExecutionArn !== null && { PipelineExecutionArn: input.PipelineExecutionArn }));
};
var serializeAws_json1_1ListPipelinesRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.CreatedAfter !== undefined &&
        input.CreatedAfter !== null && { CreatedAfter: Math.round(input.CreatedAfter.getTime() / 1000) })), (input.CreatedBefore !== undefined &&
        input.CreatedBefore !== null && { CreatedBefore: Math.round(input.CreatedBefore.getTime() / 1000) })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.PipelineNamePrefix !== undefined &&
        input.PipelineNamePrefix !== null && { PipelineNamePrefix: input.PipelineNamePrefix })), (input.SortBy !== undefined && input.SortBy !== null && { SortBy: input.SortBy })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder }));
};
var serializeAws_json1_1ListProcessingJobsRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.CreationTimeAfter !== undefined &&
        input.CreationTimeAfter !== null && { CreationTimeAfter: Math.round(input.CreationTimeAfter.getTime() / 1000) })), (input.CreationTimeBefore !== undefined &&
        input.CreationTimeBefore !== null && {
        CreationTimeBefore: Math.round(input.CreationTimeBefore.getTime() / 1000),
    })), (input.LastModifiedTimeAfter !== undefined &&
        input.LastModifiedTimeAfter !== null && {
        LastModifiedTimeAfter: Math.round(input.LastModifiedTimeAfter.getTime() / 1000),
    })), (input.LastModifiedTimeBefore !== undefined &&
        input.LastModifiedTimeBefore !== null && {
        LastModifiedTimeBefore: Math.round(input.LastModifiedTimeBefore.getTime() / 1000),
    })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NameContains !== undefined && input.NameContains !== null && { NameContains: input.NameContains })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.SortBy !== undefined && input.SortBy !== null && { SortBy: input.SortBy })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder })), (input.StatusEquals !== undefined && input.StatusEquals !== null && { StatusEquals: input.StatusEquals }));
};
var serializeAws_json1_1ListProjectsInput = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.CreationTimeAfter !== undefined &&
        input.CreationTimeAfter !== null && { CreationTimeAfter: Math.round(input.CreationTimeAfter.getTime() / 1000) })), (input.CreationTimeBefore !== undefined &&
        input.CreationTimeBefore !== null && {
        CreationTimeBefore: Math.round(input.CreationTimeBefore.getTime() / 1000),
    })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NameContains !== undefined && input.NameContains !== null && { NameContains: input.NameContains })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.SortBy !== undefined && input.SortBy !== null && { SortBy: input.SortBy })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder }));
};
var serializeAws_json1_1ListStudioLifecycleConfigsRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.AppTypeEquals !== undefined && input.AppTypeEquals !== null && { AppTypeEquals: input.AppTypeEquals })), (input.CreationTimeAfter !== undefined &&
        input.CreationTimeAfter !== null && { CreationTimeAfter: Math.round(input.CreationTimeAfter.getTime() / 1000) })), (input.CreationTimeBefore !== undefined &&
        input.CreationTimeBefore !== null && {
        CreationTimeBefore: Math.round(input.CreationTimeBefore.getTime() / 1000),
    })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.ModifiedTimeAfter !== undefined &&
        input.ModifiedTimeAfter !== null && { ModifiedTimeAfter: Math.round(input.ModifiedTimeAfter.getTime() / 1000) })), (input.ModifiedTimeBefore !== undefined &&
        input.ModifiedTimeBefore !== null && {
        ModifiedTimeBefore: Math.round(input.ModifiedTimeBefore.getTime() / 1000),
    })), (input.NameContains !== undefined && input.NameContains !== null && { NameContains: input.NameContains })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.SortBy !== undefined && input.SortBy !== null && { SortBy: input.SortBy })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder }));
};
var serializeAws_json1_1ListSubscribedWorkteamsRequest = function (input, context) {
    return __assign(__assign(__assign({}, (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NameContains !== undefined && input.NameContains !== null && { NameContains: input.NameContains })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken }));
};
var serializeAws_json1_1ListTagsInput = function (input, context) {
    return __assign(__assign(__assign({}, (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.ResourceArn !== undefined && input.ResourceArn !== null && { ResourceArn: input.ResourceArn }));
};
var serializeAws_json1_1ListTrainingJobsForHyperParameterTuningJobRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign({}, (input.HyperParameterTuningJobName !== undefined &&
        input.HyperParameterTuningJobName !== null && { HyperParameterTuningJobName: input.HyperParameterTuningJobName })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.SortBy !== undefined && input.SortBy !== null && { SortBy: input.SortBy })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder })), (input.StatusEquals !== undefined && input.StatusEquals !== null && { StatusEquals: input.StatusEquals }));
};
var serializeAws_json1_1ListTrainingJobsRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.CreationTimeAfter !== undefined &&
        input.CreationTimeAfter !== null && { CreationTimeAfter: Math.round(input.CreationTimeAfter.getTime() / 1000) })), (input.CreationTimeBefore !== undefined &&
        input.CreationTimeBefore !== null && {
        CreationTimeBefore: Math.round(input.CreationTimeBefore.getTime() / 1000),
    })), (input.LastModifiedTimeAfter !== undefined &&
        input.LastModifiedTimeAfter !== null && {
        LastModifiedTimeAfter: Math.round(input.LastModifiedTimeAfter.getTime() / 1000),
    })), (input.LastModifiedTimeBefore !== undefined &&
        input.LastModifiedTimeBefore !== null && {
        LastModifiedTimeBefore: Math.round(input.LastModifiedTimeBefore.getTime() / 1000),
    })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NameContains !== undefined && input.NameContains !== null && { NameContains: input.NameContains })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.SortBy !== undefined && input.SortBy !== null && { SortBy: input.SortBy })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder })), (input.StatusEquals !== undefined && input.StatusEquals !== null && { StatusEquals: input.StatusEquals }));
};
var serializeAws_json1_1ListTransformJobsRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.CreationTimeAfter !== undefined &&
        input.CreationTimeAfter !== null && { CreationTimeAfter: Math.round(input.CreationTimeAfter.getTime() / 1000) })), (input.CreationTimeBefore !== undefined &&
        input.CreationTimeBefore !== null && {
        CreationTimeBefore: Math.round(input.CreationTimeBefore.getTime() / 1000),
    })), (input.LastModifiedTimeAfter !== undefined &&
        input.LastModifiedTimeAfter !== null && {
        LastModifiedTimeAfter: Math.round(input.LastModifiedTimeAfter.getTime() / 1000),
    })), (input.LastModifiedTimeBefore !== undefined &&
        input.LastModifiedTimeBefore !== null && {
        LastModifiedTimeBefore: Math.round(input.LastModifiedTimeBefore.getTime() / 1000),
    })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NameContains !== undefined && input.NameContains !== null && { NameContains: input.NameContains })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.SortBy !== undefined && input.SortBy !== null && { SortBy: input.SortBy })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder })), (input.StatusEquals !== undefined && input.StatusEquals !== null && { StatusEquals: input.StatusEquals }));
};
var serializeAws_json1_1ListTrialComponentKey256 = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1ListTrialComponentsRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.CreatedAfter !== undefined &&
        input.CreatedAfter !== null && { CreatedAfter: Math.round(input.CreatedAfter.getTime() / 1000) })), (input.CreatedBefore !== undefined &&
        input.CreatedBefore !== null && { CreatedBefore: Math.round(input.CreatedBefore.getTime() / 1000) })), (input.ExperimentName !== undefined &&
        input.ExperimentName !== null && { ExperimentName: input.ExperimentName })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.SortBy !== undefined && input.SortBy !== null && { SortBy: input.SortBy })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder })), (input.SourceArn !== undefined && input.SourceArn !== null && { SourceArn: input.SourceArn })), (input.TrialName !== undefined && input.TrialName !== null && { TrialName: input.TrialName }));
};
var serializeAws_json1_1ListTrialsRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.CreatedAfter !== undefined &&
        input.CreatedAfter !== null && { CreatedAfter: Math.round(input.CreatedAfter.getTime() / 1000) })), (input.CreatedBefore !== undefined &&
        input.CreatedBefore !== null && { CreatedBefore: Math.round(input.CreatedBefore.getTime() / 1000) })), (input.ExperimentName !== undefined &&
        input.ExperimentName !== null && { ExperimentName: input.ExperimentName })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.SortBy !== undefined && input.SortBy !== null && { SortBy: input.SortBy })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder })), (input.TrialComponentName !== undefined &&
        input.TrialComponentName !== null && { TrialComponentName: input.TrialComponentName }));
};
var serializeAws_json1_1ListUserProfilesRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign({}, (input.DomainIdEquals !== undefined &&
        input.DomainIdEquals !== null && { DomainIdEquals: input.DomainIdEquals })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.SortBy !== undefined && input.SortBy !== null && { SortBy: input.SortBy })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder })), (input.UserProfileNameContains !== undefined &&
        input.UserProfileNameContains !== null && { UserProfileNameContains: input.UserProfileNameContains }));
};
var serializeAws_json1_1ListWorkforcesRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign({}, (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NameContains !== undefined && input.NameContains !== null && { NameContains: input.NameContains })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.SortBy !== undefined && input.SortBy !== null && { SortBy: input.SortBy })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder }));
};
var serializeAws_json1_1ListWorkteamsRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign({}, (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NameContains !== undefined && input.NameContains !== null && { NameContains: input.NameContains })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.SortBy !== undefined && input.SortBy !== null && { SortBy: input.SortBy })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder }));
};
var serializeAws_json1_1MemberDefinition = function (input, context) {
    return __assign(__assign({}, (input.CognitoMemberDefinition !== undefined &&
        input.CognitoMemberDefinition !== null && {
        CognitoMemberDefinition: serializeAws_json1_1CognitoMemberDefinition(input.CognitoMemberDefinition, context),
    })), (input.OidcMemberDefinition !== undefined &&
        input.OidcMemberDefinition !== null && {
        OidcMemberDefinition: serializeAws_json1_1OidcMemberDefinition(input.OidcMemberDefinition, context),
    }));
};
var serializeAws_json1_1MemberDefinitions = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1MemberDefinition(entry, context);
    });
};
var serializeAws_json1_1MetadataProperties = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.CommitId !== undefined && input.CommitId !== null && { CommitId: input.CommitId })), (input.GeneratedBy !== undefined && input.GeneratedBy !== null && { GeneratedBy: input.GeneratedBy })), (input.ProjectId !== undefined && input.ProjectId !== null && { ProjectId: input.ProjectId })), (input.Repository !== undefined && input.Repository !== null && { Repository: input.Repository }));
};
var serializeAws_json1_1MetricDefinition = function (input, context) {
    return __assign(__assign({}, (input.Name !== undefined && input.Name !== null && { Name: input.Name })), (input.Regex !== undefined && input.Regex !== null && { Regex: input.Regex }));
};
var serializeAws_json1_1MetricDefinitionList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1MetricDefinition(entry, context);
    });
};
var serializeAws_json1_1MetricsSource = function (input, context) {
    return __assign(__assign(__assign({}, (input.ContentDigest !== undefined && input.ContentDigest !== null && { ContentDigest: input.ContentDigest })), (input.ContentType !== undefined && input.ContentType !== null && { ContentType: input.ContentType })), (input.S3Uri !== undefined && input.S3Uri !== null && { S3Uri: input.S3Uri }));
};
var serializeAws_json1_1ModelBiasAppSpecification = function (input, context) {
    return __assign(__assign(__assign({}, (input.ConfigUri !== undefined && input.ConfigUri !== null && { ConfigUri: input.ConfigUri })), (input.Environment !== undefined &&
        input.Environment !== null && {
        Environment: serializeAws_json1_1MonitoringEnvironmentMap(input.Environment, context),
    })), (input.ImageUri !== undefined && input.ImageUri !== null && { ImageUri: input.ImageUri }));
};
var serializeAws_json1_1ModelBiasBaselineConfig = function (input, context) {
    return __assign(__assign({}, (input.BaseliningJobName !== undefined &&
        input.BaseliningJobName !== null && { BaseliningJobName: input.BaseliningJobName })), (input.ConstraintsResource !== undefined &&
        input.ConstraintsResource !== null && {
        ConstraintsResource: serializeAws_json1_1MonitoringConstraintsResource(input.ConstraintsResource, context),
    }));
};
var serializeAws_json1_1ModelBiasJobInput = function (input, context) {
    return __assign(__assign({}, (input.EndpointInput !== undefined &&
        input.EndpointInput !== null && {
        EndpointInput: serializeAws_json1_1EndpointInput(input.EndpointInput, context),
    })), (input.GroundTruthS3Input !== undefined &&
        input.GroundTruthS3Input !== null && {
        GroundTruthS3Input: serializeAws_json1_1MonitoringGroundTruthS3Input(input.GroundTruthS3Input, context),
    }));
};
var serializeAws_json1_1ModelClientConfig = function (input, context) {
    return __assign(__assign({}, (input.InvocationsMaxRetries !== undefined &&
        input.InvocationsMaxRetries !== null && { InvocationsMaxRetries: input.InvocationsMaxRetries })), (input.InvocationsTimeoutInSeconds !== undefined &&
        input.InvocationsTimeoutInSeconds !== null && { InvocationsTimeoutInSeconds: input.InvocationsTimeoutInSeconds }));
};
var serializeAws_json1_1ModelDataQuality = function (input, context) {
    return __assign(__assign({}, (input.Constraints !== undefined &&
        input.Constraints !== null && { Constraints: serializeAws_json1_1MetricsSource(input.Constraints, context) })), (input.Statistics !== undefined &&
        input.Statistics !== null && { Statistics: serializeAws_json1_1MetricsSource(input.Statistics, context) }));
};
var serializeAws_json1_1ModelDeployConfig = function (input, context) {
    return __assign(__assign({}, (input.AutoGenerateEndpointName !== undefined &&
        input.AutoGenerateEndpointName !== null && { AutoGenerateEndpointName: input.AutoGenerateEndpointName })), (input.EndpointName !== undefined && input.EndpointName !== null && { EndpointName: input.EndpointName }));
};
var serializeAws_json1_1ModelExplainabilityAppSpecification = function (input, context) {
    return __assign(__assign(__assign({}, (input.ConfigUri !== undefined && input.ConfigUri !== null && { ConfigUri: input.ConfigUri })), (input.Environment !== undefined &&
        input.Environment !== null && {
        Environment: serializeAws_json1_1MonitoringEnvironmentMap(input.Environment, context),
    })), (input.ImageUri !== undefined && input.ImageUri !== null && { ImageUri: input.ImageUri }));
};
var serializeAws_json1_1ModelExplainabilityBaselineConfig = function (input, context) {
    return __assign(__assign({}, (input.BaseliningJobName !== undefined &&
        input.BaseliningJobName !== null && { BaseliningJobName: input.BaseliningJobName })), (input.ConstraintsResource !== undefined &&
        input.ConstraintsResource !== null && {
        ConstraintsResource: serializeAws_json1_1MonitoringConstraintsResource(input.ConstraintsResource, context),
    }));
};
var serializeAws_json1_1ModelExplainabilityJobInput = function (input, context) {
    return __assign({}, (input.EndpointInput !== undefined &&
        input.EndpointInput !== null && {
        EndpointInput: serializeAws_json1_1EndpointInput(input.EndpointInput, context),
    }));
};
var serializeAws_json1_1ModelInput = function (input, context) {
    return __assign({}, (input.DataInputConfig !== undefined &&
        input.DataInputConfig !== null && { DataInputConfig: input.DataInputConfig }));
};
var serializeAws_json1_1ModelLatencyThreshold = function (input, context) {
    return __assign(__assign({}, (input.Percentile !== undefined && input.Percentile !== null && { Percentile: input.Percentile })), (input.ValueInMilliseconds !== undefined &&
        input.ValueInMilliseconds !== null && { ValueInMilliseconds: input.ValueInMilliseconds }));
};
var serializeAws_json1_1ModelLatencyThresholds = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1ModelLatencyThreshold(entry, context);
    });
};
var serializeAws_json1_1ModelMetadataFilter = function (input, context) {
    return __assign(__assign({}, (input.Name !== undefined && input.Name !== null && { Name: input.Name })), (input.Value !== undefined && input.Value !== null && { Value: input.Value }));
};
var serializeAws_json1_1ModelMetadataFilters = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1ModelMetadataFilter(entry, context);
    });
};
var serializeAws_json1_1ModelMetadataSearchExpression = function (input, context) {
    return __assign({}, (input.Filters !== undefined &&
        input.Filters !== null && { Filters: serializeAws_json1_1ModelMetadataFilters(input.Filters, context) }));
};
var serializeAws_json1_1ModelMetrics = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.Bias !== undefined && input.Bias !== null && { Bias: serializeAws_json1_1Bias(input.Bias, context) })), (input.Explainability !== undefined &&
        input.Explainability !== null && {
        Explainability: serializeAws_json1_1Explainability(input.Explainability, context),
    })), (input.ModelDataQuality !== undefined &&
        input.ModelDataQuality !== null && {
        ModelDataQuality: serializeAws_json1_1ModelDataQuality(input.ModelDataQuality, context),
    })), (input.ModelQuality !== undefined &&
        input.ModelQuality !== null && { ModelQuality: serializeAws_json1_1ModelQuality(input.ModelQuality, context) }));
};
var serializeAws_json1_1ModelPackageArnList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1ModelPackageContainerDefinition = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.ContainerHostname !== undefined &&
        input.ContainerHostname !== null && { ContainerHostname: input.ContainerHostname })), (input.Environment !== undefined &&
        input.Environment !== null && { Environment: serializeAws_json1_1EnvironmentMap(input.Environment, context) })), (input.Framework !== undefined && input.Framework !== null && { Framework: input.Framework })), (input.FrameworkVersion !== undefined &&
        input.FrameworkVersion !== null && { FrameworkVersion: input.FrameworkVersion })), (input.Image !== undefined && input.Image !== null && { Image: input.Image })), (input.ImageDigest !== undefined && input.ImageDigest !== null && { ImageDigest: input.ImageDigest })), (input.ModelDataUrl !== undefined && input.ModelDataUrl !== null && { ModelDataUrl: input.ModelDataUrl })), (input.ModelInput !== undefined &&
        input.ModelInput !== null && { ModelInput: serializeAws_json1_1ModelInput(input.ModelInput, context) })), (input.NearestModelName !== undefined &&
        input.NearestModelName !== null && { NearestModelName: input.NearestModelName })), (input.ProductId !== undefined && input.ProductId !== null && { ProductId: input.ProductId }));
};
var serializeAws_json1_1ModelPackageContainerDefinitionList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1ModelPackageContainerDefinition(entry, context);
    });
};
var serializeAws_json1_1ModelPackageValidationProfile = function (input, context) {
    return __assign(__assign({}, (input.ProfileName !== undefined && input.ProfileName !== null && { ProfileName: input.ProfileName })), (input.TransformJobDefinition !== undefined &&
        input.TransformJobDefinition !== null && {
        TransformJobDefinition: serializeAws_json1_1TransformJobDefinition(input.TransformJobDefinition, context),
    }));
};
var serializeAws_json1_1ModelPackageValidationProfiles = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1ModelPackageValidationProfile(entry, context);
    });
};
var serializeAws_json1_1ModelPackageValidationSpecification = function (input, context) {
    return __assign(__assign({}, (input.ValidationProfiles !== undefined &&
        input.ValidationProfiles !== null && {
        ValidationProfiles: serializeAws_json1_1ModelPackageValidationProfiles(input.ValidationProfiles, context),
    })), (input.ValidationRole !== undefined &&
        input.ValidationRole !== null && { ValidationRole: input.ValidationRole }));
};
var serializeAws_json1_1ModelQuality = function (input, context) {
    return __assign(__assign({}, (input.Constraints !== undefined &&
        input.Constraints !== null && { Constraints: serializeAws_json1_1MetricsSource(input.Constraints, context) })), (input.Statistics !== undefined &&
        input.Statistics !== null && { Statistics: serializeAws_json1_1MetricsSource(input.Statistics, context) }));
};
var serializeAws_json1_1ModelQualityAppSpecification = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.ContainerArguments !== undefined &&
        input.ContainerArguments !== null && {
        ContainerArguments: serializeAws_json1_1MonitoringContainerArguments(input.ContainerArguments, context),
    })), (input.ContainerEntrypoint !== undefined &&
        input.ContainerEntrypoint !== null && {
        ContainerEntrypoint: serializeAws_json1_1ContainerEntrypoint(input.ContainerEntrypoint, context),
    })), (input.Environment !== undefined &&
        input.Environment !== null && {
        Environment: serializeAws_json1_1MonitoringEnvironmentMap(input.Environment, context),
    })), (input.ImageUri !== undefined && input.ImageUri !== null && { ImageUri: input.ImageUri })), (input.PostAnalyticsProcessorSourceUri !== undefined &&
        input.PostAnalyticsProcessorSourceUri !== null && {
        PostAnalyticsProcessorSourceUri: input.PostAnalyticsProcessorSourceUri,
    })), (input.ProblemType !== undefined && input.ProblemType !== null && { ProblemType: input.ProblemType })), (input.RecordPreprocessorSourceUri !== undefined &&
        input.RecordPreprocessorSourceUri !== null && { RecordPreprocessorSourceUri: input.RecordPreprocessorSourceUri }));
};
var serializeAws_json1_1ModelQualityBaselineConfig = function (input, context) {
    return __assign(__assign({}, (input.BaseliningJobName !== undefined &&
        input.BaseliningJobName !== null && { BaseliningJobName: input.BaseliningJobName })), (input.ConstraintsResource !== undefined &&
        input.ConstraintsResource !== null && {
        ConstraintsResource: serializeAws_json1_1MonitoringConstraintsResource(input.ConstraintsResource, context),
    }));
};
var serializeAws_json1_1ModelQualityJobInput = function (input, context) {
    return __assign(__assign({}, (input.EndpointInput !== undefined &&
        input.EndpointInput !== null && {
        EndpointInput: serializeAws_json1_1EndpointInput(input.EndpointInput, context),
    })), (input.GroundTruthS3Input !== undefined &&
        input.GroundTruthS3Input !== null && {
        GroundTruthS3Input: serializeAws_json1_1MonitoringGroundTruthS3Input(input.GroundTruthS3Input, context),
    }));
};
var serializeAws_json1_1MonitoringAppSpecification = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign({}, (input.ContainerArguments !== undefined &&
        input.ContainerArguments !== null && {
        ContainerArguments: serializeAws_json1_1MonitoringContainerArguments(input.ContainerArguments, context),
    })), (input.ContainerEntrypoint !== undefined &&
        input.ContainerEntrypoint !== null && {
        ContainerEntrypoint: serializeAws_json1_1ContainerEntrypoint(input.ContainerEntrypoint, context),
    })), (input.ImageUri !== undefined && input.ImageUri !== null && { ImageUri: input.ImageUri })), (input.PostAnalyticsProcessorSourceUri !== undefined &&
        input.PostAnalyticsProcessorSourceUri !== null && {
        PostAnalyticsProcessorSourceUri: input.PostAnalyticsProcessorSourceUri,
    })), (input.RecordPreprocessorSourceUri !== undefined &&
        input.RecordPreprocessorSourceUri !== null && { RecordPreprocessorSourceUri: input.RecordPreprocessorSourceUri }));
};
var serializeAws_json1_1MonitoringBaselineConfig = function (input, context) {
    return __assign(__assign(__assign({}, (input.BaseliningJobName !== undefined &&
        input.BaseliningJobName !== null && { BaseliningJobName: input.BaseliningJobName })), (input.ConstraintsResource !== undefined &&
        input.ConstraintsResource !== null && {
        ConstraintsResource: serializeAws_json1_1MonitoringConstraintsResource(input.ConstraintsResource, context),
    })), (input.StatisticsResource !== undefined &&
        input.StatisticsResource !== null && {
        StatisticsResource: serializeAws_json1_1MonitoringStatisticsResource(input.StatisticsResource, context),
    }));
};
var serializeAws_json1_1MonitoringClusterConfig = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.InstanceCount !== undefined && input.InstanceCount !== null && { InstanceCount: input.InstanceCount })), (input.InstanceType !== undefined && input.InstanceType !== null && { InstanceType: input.InstanceType })), (input.VolumeKmsKeyId !== undefined &&
        input.VolumeKmsKeyId !== null && { VolumeKmsKeyId: input.VolumeKmsKeyId })), (input.VolumeSizeInGB !== undefined &&
        input.VolumeSizeInGB !== null && { VolumeSizeInGB: input.VolumeSizeInGB }));
};
var serializeAws_json1_1MonitoringConstraintsResource = function (input, context) {
    return __assign({}, (input.S3Uri !== undefined && input.S3Uri !== null && { S3Uri: input.S3Uri }));
};
var serializeAws_json1_1MonitoringContainerArguments = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1MonitoringEnvironmentMap = function (input, context) {
    return Object.entries(input).reduce(function (acc, _a) {
        var _b;
        var _c = __read(_a, 2), key = _c[0], value = _c[1];
        if (value === null) {
            return acc;
        }
        return __assign(__assign({}, acc), (_b = {}, _b[key] = value, _b));
    }, {});
};
var serializeAws_json1_1MonitoringGroundTruthS3Input = function (input, context) {
    return __assign({}, (input.S3Uri !== undefined && input.S3Uri !== null && { S3Uri: input.S3Uri }));
};
var serializeAws_json1_1MonitoringInput = function (input, context) {
    return __assign({}, (input.EndpointInput !== undefined &&
        input.EndpointInput !== null && {
        EndpointInput: serializeAws_json1_1EndpointInput(input.EndpointInput, context),
    }));
};
var serializeAws_json1_1MonitoringInputs = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1MonitoringInput(entry, context);
    });
};
var serializeAws_json1_1MonitoringJobDefinition = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.BaselineConfig !== undefined &&
        input.BaselineConfig !== null && {
        BaselineConfig: serializeAws_json1_1MonitoringBaselineConfig(input.BaselineConfig, context),
    })), (input.Environment !== undefined &&
        input.Environment !== null && {
        Environment: serializeAws_json1_1MonitoringEnvironmentMap(input.Environment, context),
    })), (input.MonitoringAppSpecification !== undefined &&
        input.MonitoringAppSpecification !== null && {
        MonitoringAppSpecification: serializeAws_json1_1MonitoringAppSpecification(input.MonitoringAppSpecification, context),
    })), (input.MonitoringInputs !== undefined &&
        input.MonitoringInputs !== null && {
        MonitoringInputs: serializeAws_json1_1MonitoringInputs(input.MonitoringInputs, context),
    })), (input.MonitoringOutputConfig !== undefined &&
        input.MonitoringOutputConfig !== null && {
        MonitoringOutputConfig: serializeAws_json1_1MonitoringOutputConfig(input.MonitoringOutputConfig, context),
    })), (input.MonitoringResources !== undefined &&
        input.MonitoringResources !== null && {
        MonitoringResources: serializeAws_json1_1MonitoringResources(input.MonitoringResources, context),
    })), (input.NetworkConfig !== undefined &&
        input.NetworkConfig !== null && {
        NetworkConfig: serializeAws_json1_1NetworkConfig(input.NetworkConfig, context),
    })), (input.RoleArn !== undefined && input.RoleArn !== null && { RoleArn: input.RoleArn })), (input.StoppingCondition !== undefined &&
        input.StoppingCondition !== null && {
        StoppingCondition: serializeAws_json1_1MonitoringStoppingCondition(input.StoppingCondition, context),
    }));
};
var serializeAws_json1_1MonitoringNetworkConfig = function (input, context) {
    return __assign(__assign(__assign({}, (input.EnableInterContainerTrafficEncryption !== undefined &&
        input.EnableInterContainerTrafficEncryption !== null && {
        EnableInterContainerTrafficEncryption: input.EnableInterContainerTrafficEncryption,
    })), (input.EnableNetworkIsolation !== undefined &&
        input.EnableNetworkIsolation !== null && { EnableNetworkIsolation: input.EnableNetworkIsolation })), (input.VpcConfig !== undefined &&
        input.VpcConfig !== null && { VpcConfig: serializeAws_json1_1VpcConfig(input.VpcConfig, context) }));
};
var serializeAws_json1_1MonitoringOutput = function (input, context) {
    return __assign({}, (input.S3Output !== undefined &&
        input.S3Output !== null && { S3Output: serializeAws_json1_1MonitoringS3Output(input.S3Output, context) }));
};
var serializeAws_json1_1MonitoringOutputConfig = function (input, context) {
    return __assign(__assign({}, (input.KmsKeyId !== undefined && input.KmsKeyId !== null && { KmsKeyId: input.KmsKeyId })), (input.MonitoringOutputs !== undefined &&
        input.MonitoringOutputs !== null && {
        MonitoringOutputs: serializeAws_json1_1MonitoringOutputs(input.MonitoringOutputs, context),
    }));
};
var serializeAws_json1_1MonitoringOutputs = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1MonitoringOutput(entry, context);
    });
};
var serializeAws_json1_1MonitoringResources = function (input, context) {
    return __assign({}, (input.ClusterConfig !== undefined &&
        input.ClusterConfig !== null && {
        ClusterConfig: serializeAws_json1_1MonitoringClusterConfig(input.ClusterConfig, context),
    }));
};
var serializeAws_json1_1MonitoringS3Output = function (input, context) {
    return __assign(__assign(__assign({}, (input.LocalPath !== undefined && input.LocalPath !== null && { LocalPath: input.LocalPath })), (input.S3UploadMode !== undefined && input.S3UploadMode !== null && { S3UploadMode: input.S3UploadMode })), (input.S3Uri !== undefined && input.S3Uri !== null && { S3Uri: input.S3Uri }));
};
var serializeAws_json1_1MonitoringScheduleConfig = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.MonitoringJobDefinition !== undefined &&
        input.MonitoringJobDefinition !== null && {
        MonitoringJobDefinition: serializeAws_json1_1MonitoringJobDefinition(input.MonitoringJobDefinition, context),
    })), (input.MonitoringJobDefinitionName !== undefined &&
        input.MonitoringJobDefinitionName !== null && { MonitoringJobDefinitionName: input.MonitoringJobDefinitionName })), (input.MonitoringType !== undefined &&
        input.MonitoringType !== null && { MonitoringType: input.MonitoringType })), (input.ScheduleConfig !== undefined &&
        input.ScheduleConfig !== null && {
        ScheduleConfig: serializeAws_json1_1ScheduleConfig(input.ScheduleConfig, context),
    }));
};
var serializeAws_json1_1MonitoringStatisticsResource = function (input, context) {
    return __assign({}, (input.S3Uri !== undefined && input.S3Uri !== null && { S3Uri: input.S3Uri }));
};
var serializeAws_json1_1MonitoringStoppingCondition = function (input, context) {
    return __assign({}, (input.MaxRuntimeInSeconds !== undefined &&
        input.MaxRuntimeInSeconds !== null && { MaxRuntimeInSeconds: input.MaxRuntimeInSeconds }));
};
var serializeAws_json1_1MultiModelConfig = function (input, context) {
    return __assign({}, (input.ModelCacheSetting !== undefined &&
        input.ModelCacheSetting !== null && { ModelCacheSetting: input.ModelCacheSetting }));
};
var serializeAws_json1_1NeoVpcConfig = function (input, context) {
    return __assign(__assign({}, (input.SecurityGroupIds !== undefined &&
        input.SecurityGroupIds !== null && {
        SecurityGroupIds: serializeAws_json1_1NeoVpcSecurityGroupIds(input.SecurityGroupIds, context),
    })), (input.Subnets !== undefined &&
        input.Subnets !== null && { Subnets: serializeAws_json1_1NeoVpcSubnets(input.Subnets, context) }));
};
var serializeAws_json1_1NeoVpcSecurityGroupIds = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1NeoVpcSubnets = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1NestedFilters = function (input, context) {
    return __assign(__assign({}, (input.Filters !== undefined &&
        input.Filters !== null && { Filters: serializeAws_json1_1FilterList(input.Filters, context) })), (input.NestedPropertyName !== undefined &&
        input.NestedPropertyName !== null && { NestedPropertyName: input.NestedPropertyName }));
};
var serializeAws_json1_1NestedFiltersList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1NestedFilters(entry, context);
    });
};
var serializeAws_json1_1NetworkConfig = function (input, context) {
    return __assign(__assign(__assign({}, (input.EnableInterContainerTrafficEncryption !== undefined &&
        input.EnableInterContainerTrafficEncryption !== null && {
        EnableInterContainerTrafficEncryption: input.EnableInterContainerTrafficEncryption,
    })), (input.EnableNetworkIsolation !== undefined &&
        input.EnableNetworkIsolation !== null && { EnableNetworkIsolation: input.EnableNetworkIsolation })), (input.VpcConfig !== undefined &&
        input.VpcConfig !== null && { VpcConfig: serializeAws_json1_1VpcConfig(input.VpcConfig, context) }));
};
var serializeAws_json1_1NotebookInstanceAcceleratorTypes = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1NotebookInstanceLifecycleConfigList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1NotebookInstanceLifecycleHook(entry, context);
    });
};
var serializeAws_json1_1NotebookInstanceLifecycleHook = function (input, context) {
    return __assign({}, (input.Content !== undefined && input.Content !== null && { Content: input.Content }));
};
var serializeAws_json1_1NotificationConfiguration = function (input, context) {
    return __assign({}, (input.NotificationTopicArn !== undefined &&
        input.NotificationTopicArn !== null && { NotificationTopicArn: input.NotificationTopicArn }));
};
var serializeAws_json1_1OfflineStoreConfig = function (input, context) {
    return __assign(__assign(__assign({}, (input.DataCatalogConfig !== undefined &&
        input.DataCatalogConfig !== null && {
        DataCatalogConfig: serializeAws_json1_1DataCatalogConfig(input.DataCatalogConfig, context),
    })), (input.DisableGlueTableCreation !== undefined &&
        input.DisableGlueTableCreation !== null && { DisableGlueTableCreation: input.DisableGlueTableCreation })), (input.S3StorageConfig !== undefined &&
        input.S3StorageConfig !== null && {
        S3StorageConfig: serializeAws_json1_1S3StorageConfig(input.S3StorageConfig, context),
    }));
};
var serializeAws_json1_1OidcConfig = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.AuthorizationEndpoint !== undefined &&
        input.AuthorizationEndpoint !== null && { AuthorizationEndpoint: input.AuthorizationEndpoint })), (input.ClientId !== undefined && input.ClientId !== null && { ClientId: input.ClientId })), (input.ClientSecret !== undefined && input.ClientSecret !== null && { ClientSecret: input.ClientSecret })), (input.Issuer !== undefined && input.Issuer !== null && { Issuer: input.Issuer })), (input.JwksUri !== undefined && input.JwksUri !== null && { JwksUri: input.JwksUri })), (input.LogoutEndpoint !== undefined &&
        input.LogoutEndpoint !== null && { LogoutEndpoint: input.LogoutEndpoint })), (input.TokenEndpoint !== undefined && input.TokenEndpoint !== null && { TokenEndpoint: input.TokenEndpoint })), (input.UserInfoEndpoint !== undefined &&
        input.UserInfoEndpoint !== null && { UserInfoEndpoint: input.UserInfoEndpoint }));
};
var serializeAws_json1_1OidcMemberDefinition = function (input, context) {
    return __assign({}, (input.Groups !== undefined &&
        input.Groups !== null && { Groups: serializeAws_json1_1Groups(input.Groups, context) }));
};
var serializeAws_json1_1OnlineStoreConfig = function (input, context) {
    return __assign(__assign({}, (input.EnableOnlineStore !== undefined &&
        input.EnableOnlineStore !== null && { EnableOnlineStore: input.EnableOnlineStore })), (input.SecurityConfig !== undefined &&
        input.SecurityConfig !== null && {
        SecurityConfig: serializeAws_json1_1OnlineStoreSecurityConfig(input.SecurityConfig, context),
    }));
};
var serializeAws_json1_1OnlineStoreSecurityConfig = function (input, context) {
    return __assign({}, (input.KmsKeyId !== undefined && input.KmsKeyId !== null && { KmsKeyId: input.KmsKeyId }));
};
var serializeAws_json1_1OutputConfig = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign({}, (input.CompilerOptions !== undefined &&
        input.CompilerOptions !== null && { CompilerOptions: input.CompilerOptions })), (input.KmsKeyId !== undefined && input.KmsKeyId !== null && { KmsKeyId: input.KmsKeyId })), (input.S3OutputLocation !== undefined &&
        input.S3OutputLocation !== null && { S3OutputLocation: input.S3OutputLocation })), (input.TargetDevice !== undefined && input.TargetDevice !== null && { TargetDevice: input.TargetDevice })), (input.TargetPlatform !== undefined &&
        input.TargetPlatform !== null && {
        TargetPlatform: serializeAws_json1_1TargetPlatform(input.TargetPlatform, context),
    }));
};
var serializeAws_json1_1OutputDataConfig = function (input, context) {
    return __assign(__assign({}, (input.KmsKeyId !== undefined && input.KmsKeyId !== null && { KmsKeyId: input.KmsKeyId })), (input.S3OutputPath !== undefined && input.S3OutputPath !== null && { S3OutputPath: input.S3OutputPath }));
};
var serializeAws_json1_1OutputParameter = function (input, context) {
    return __assign(__assign({}, (input.Name !== undefined && input.Name !== null && { Name: input.Name })), (input.Value !== undefined && input.Value !== null && { Value: input.Value }));
};
var serializeAws_json1_1OutputParameterList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1OutputParameter(entry, context);
    });
};
var serializeAws_json1_1ParallelismConfiguration = function (input, context) {
    return __assign({}, (input.MaxParallelExecutionSteps !== undefined &&
        input.MaxParallelExecutionSteps !== null && { MaxParallelExecutionSteps: input.MaxParallelExecutionSteps }));
};
var serializeAws_json1_1Parameter = function (input, context) {
    return __assign(__assign({}, (input.Name !== undefined && input.Name !== null && { Name: input.Name })), (input.Value !== undefined && input.Value !== null && { Value: input.Value }));
};
var serializeAws_json1_1ParameterList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1Parameter(entry, context);
    });
};
var serializeAws_json1_1ParameterRange = function (input, context) {
    return __assign(__assign(__assign({}, (input.CategoricalParameterRangeSpecification !== undefined &&
        input.CategoricalParameterRangeSpecification !== null && {
        CategoricalParameterRangeSpecification: serializeAws_json1_1CategoricalParameterRangeSpecification(input.CategoricalParameterRangeSpecification, context),
    })), (input.ContinuousParameterRangeSpecification !== undefined &&
        input.ContinuousParameterRangeSpecification !== null && {
        ContinuousParameterRangeSpecification: serializeAws_json1_1ContinuousParameterRangeSpecification(input.ContinuousParameterRangeSpecification, context),
    })), (input.IntegerParameterRangeSpecification !== undefined &&
        input.IntegerParameterRangeSpecification !== null && {
        IntegerParameterRangeSpecification: serializeAws_json1_1IntegerParameterRangeSpecification(input.IntegerParameterRangeSpecification, context),
    }));
};
var serializeAws_json1_1ParameterRanges = function (input, context) {
    return __assign(__assign(__assign({}, (input.CategoricalParameterRanges !== undefined &&
        input.CategoricalParameterRanges !== null && {
        CategoricalParameterRanges: serializeAws_json1_1CategoricalParameterRanges(input.CategoricalParameterRanges, context),
    })), (input.ContinuousParameterRanges !== undefined &&
        input.ContinuousParameterRanges !== null && {
        ContinuousParameterRanges: serializeAws_json1_1ContinuousParameterRanges(input.ContinuousParameterRanges, context),
    })), (input.IntegerParameterRanges !== undefined &&
        input.IntegerParameterRanges !== null && {
        IntegerParameterRanges: serializeAws_json1_1IntegerParameterRanges(input.IntegerParameterRanges, context),
    }));
};
var serializeAws_json1_1ParameterValues = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1ParentHyperParameterTuningJob = function (input, context) {
    return __assign({}, (input.HyperParameterTuningJobName !== undefined &&
        input.HyperParameterTuningJobName !== null && { HyperParameterTuningJobName: input.HyperParameterTuningJobName }));
};
var serializeAws_json1_1ParentHyperParameterTuningJobs = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1ParentHyperParameterTuningJob(entry, context);
    });
};
var serializeAws_json1_1Phase = function (input, context) {
    return __assign(__assign(__assign({}, (input.DurationInSeconds !== undefined &&
        input.DurationInSeconds !== null && { DurationInSeconds: input.DurationInSeconds })), (input.InitialNumberOfUsers !== undefined &&
        input.InitialNumberOfUsers !== null && { InitialNumberOfUsers: input.InitialNumberOfUsers })), (input.SpawnRate !== undefined && input.SpawnRate !== null && { SpawnRate: input.SpawnRate }));
};
var serializeAws_json1_1Phases = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1Phase(entry, context);
    });
};
var serializeAws_json1_1PipelineDefinitionS3Location = function (input, context) {
    return __assign(__assign(__assign({}, (input.Bucket !== undefined && input.Bucket !== null && { Bucket: input.Bucket })), (input.ObjectKey !== undefined && input.ObjectKey !== null && { ObjectKey: input.ObjectKey })), (input.VersionId !== undefined && input.VersionId !== null && { VersionId: input.VersionId }));
};
var serializeAws_json1_1ProcessingClusterConfig = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.InstanceCount !== undefined && input.InstanceCount !== null && { InstanceCount: input.InstanceCount })), (input.InstanceType !== undefined && input.InstanceType !== null && { InstanceType: input.InstanceType })), (input.VolumeKmsKeyId !== undefined &&
        input.VolumeKmsKeyId !== null && { VolumeKmsKeyId: input.VolumeKmsKeyId })), (input.VolumeSizeInGB !== undefined &&
        input.VolumeSizeInGB !== null && { VolumeSizeInGB: input.VolumeSizeInGB }));
};
var serializeAws_json1_1ProcessingEnvironmentMap = function (input, context) {
    return Object.entries(input).reduce(function (acc, _a) {
        var _b;
        var _c = __read(_a, 2), key = _c[0], value = _c[1];
        if (value === null) {
            return acc;
        }
        return __assign(__assign({}, acc), (_b = {}, _b[key] = value, _b));
    }, {});
};
var serializeAws_json1_1ProcessingFeatureStoreOutput = function (input, context) {
    return __assign({}, (input.FeatureGroupName !== undefined &&
        input.FeatureGroupName !== null && { FeatureGroupName: input.FeatureGroupName }));
};
var serializeAws_json1_1ProcessingInput = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.AppManaged !== undefined && input.AppManaged !== null && { AppManaged: input.AppManaged })), (input.DatasetDefinition !== undefined &&
        input.DatasetDefinition !== null && {
        DatasetDefinition: serializeAws_json1_1DatasetDefinition(input.DatasetDefinition, context),
    })), (input.InputName !== undefined && input.InputName !== null && { InputName: input.InputName })), (input.S3Input !== undefined &&
        input.S3Input !== null && { S3Input: serializeAws_json1_1ProcessingS3Input(input.S3Input, context) }));
};
var serializeAws_json1_1ProcessingInputs = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1ProcessingInput(entry, context);
    });
};
var serializeAws_json1_1ProcessingOutput = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.AppManaged !== undefined && input.AppManaged !== null && { AppManaged: input.AppManaged })), (input.FeatureStoreOutput !== undefined &&
        input.FeatureStoreOutput !== null && {
        FeatureStoreOutput: serializeAws_json1_1ProcessingFeatureStoreOutput(input.FeatureStoreOutput, context),
    })), (input.OutputName !== undefined && input.OutputName !== null && { OutputName: input.OutputName })), (input.S3Output !== undefined &&
        input.S3Output !== null && { S3Output: serializeAws_json1_1ProcessingS3Output(input.S3Output, context) }));
};
var serializeAws_json1_1ProcessingOutputConfig = function (input, context) {
    return __assign(__assign({}, (input.KmsKeyId !== undefined && input.KmsKeyId !== null && { KmsKeyId: input.KmsKeyId })), (input.Outputs !== undefined &&
        input.Outputs !== null && { Outputs: serializeAws_json1_1ProcessingOutputs(input.Outputs, context) }));
};
var serializeAws_json1_1ProcessingOutputs = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1ProcessingOutput(entry, context);
    });
};
var serializeAws_json1_1ProcessingResources = function (input, context) {
    return __assign({}, (input.ClusterConfig !== undefined &&
        input.ClusterConfig !== null && {
        ClusterConfig: serializeAws_json1_1ProcessingClusterConfig(input.ClusterConfig, context),
    }));
};
var serializeAws_json1_1ProcessingS3Input = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign({}, (input.LocalPath !== undefined && input.LocalPath !== null && { LocalPath: input.LocalPath })), (input.S3CompressionType !== undefined &&
        input.S3CompressionType !== null && { S3CompressionType: input.S3CompressionType })), (input.S3DataDistributionType !== undefined &&
        input.S3DataDistributionType !== null && { S3DataDistributionType: input.S3DataDistributionType })), (input.S3DataType !== undefined && input.S3DataType !== null && { S3DataType: input.S3DataType })), (input.S3InputMode !== undefined && input.S3InputMode !== null && { S3InputMode: input.S3InputMode })), (input.S3Uri !== undefined && input.S3Uri !== null && { S3Uri: input.S3Uri }));
};
var serializeAws_json1_1ProcessingS3Output = function (input, context) {
    return __assign(__assign(__assign({}, (input.LocalPath !== undefined && input.LocalPath !== null && { LocalPath: input.LocalPath })), (input.S3UploadMode !== undefined && input.S3UploadMode !== null && { S3UploadMode: input.S3UploadMode })), (input.S3Uri !== undefined && input.S3Uri !== null && { S3Uri: input.S3Uri }));
};
var serializeAws_json1_1ProcessingStoppingCondition = function (input, context) {
    return __assign({}, (input.MaxRuntimeInSeconds !== undefined &&
        input.MaxRuntimeInSeconds !== null && { MaxRuntimeInSeconds: input.MaxRuntimeInSeconds }));
};
var serializeAws_json1_1ProductionVariant = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.AcceleratorType !== undefined &&
        input.AcceleratorType !== null && { AcceleratorType: input.AcceleratorType })), (input.CoreDumpConfig !== undefined &&
        input.CoreDumpConfig !== null && {
        CoreDumpConfig: serializeAws_json1_1ProductionVariantCoreDumpConfig(input.CoreDumpConfig, context),
    })), (input.InitialInstanceCount !== undefined &&
        input.InitialInstanceCount !== null && { InitialInstanceCount: input.InitialInstanceCount })), (input.InitialVariantWeight !== undefined &&
        input.InitialVariantWeight !== null && { InitialVariantWeight: __serializeFloat(input.InitialVariantWeight) })), (input.InstanceType !== undefined && input.InstanceType !== null && { InstanceType: input.InstanceType })), (input.ModelName !== undefined && input.ModelName !== null && { ModelName: input.ModelName })), (input.ServerlessConfig !== undefined &&
        input.ServerlessConfig !== null && {
        ServerlessConfig: serializeAws_json1_1ProductionVariantServerlessConfig(input.ServerlessConfig, context),
    })), (input.VariantName !== undefined && input.VariantName !== null && { VariantName: input.VariantName }));
};
var serializeAws_json1_1ProductionVariantCoreDumpConfig = function (input, context) {
    return __assign(__assign({}, (input.DestinationS3Uri !== undefined &&
        input.DestinationS3Uri !== null && { DestinationS3Uri: input.DestinationS3Uri })), (input.KmsKeyId !== undefined && input.KmsKeyId !== null && { KmsKeyId: input.KmsKeyId }));
};
var serializeAws_json1_1ProductionVariantList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1ProductionVariant(entry, context);
    });
};
var serializeAws_json1_1ProductionVariantServerlessConfig = function (input, context) {
    return __assign(__assign({}, (input.MaxConcurrency !== undefined &&
        input.MaxConcurrency !== null && { MaxConcurrency: input.MaxConcurrency })), (input.MemorySizeInMB !== undefined &&
        input.MemorySizeInMB !== null && { MemorySizeInMB: input.MemorySizeInMB }));
};
var serializeAws_json1_1ProfilerConfig = function (input, context) {
    return __assign(__assign(__assign({}, (input.ProfilingIntervalInMilliseconds !== undefined &&
        input.ProfilingIntervalInMilliseconds !== null && {
        ProfilingIntervalInMilliseconds: input.ProfilingIntervalInMilliseconds,
    })), (input.ProfilingParameters !== undefined &&
        input.ProfilingParameters !== null && {
        ProfilingParameters: serializeAws_json1_1ProfilingParameters(input.ProfilingParameters, context),
    })), (input.S3OutputPath !== undefined && input.S3OutputPath !== null && { S3OutputPath: input.S3OutputPath }));
};
var serializeAws_json1_1ProfilerConfigForUpdate = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.DisableProfiler !== undefined &&
        input.DisableProfiler !== null && { DisableProfiler: input.DisableProfiler })), (input.ProfilingIntervalInMilliseconds !== undefined &&
        input.ProfilingIntervalInMilliseconds !== null && {
        ProfilingIntervalInMilliseconds: input.ProfilingIntervalInMilliseconds,
    })), (input.ProfilingParameters !== undefined &&
        input.ProfilingParameters !== null && {
        ProfilingParameters: serializeAws_json1_1ProfilingParameters(input.ProfilingParameters, context),
    })), (input.S3OutputPath !== undefined && input.S3OutputPath !== null && { S3OutputPath: input.S3OutputPath }));
};
var serializeAws_json1_1ProfilerRuleConfiguration = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.InstanceType !== undefined && input.InstanceType !== null && { InstanceType: input.InstanceType })), (input.LocalPath !== undefined && input.LocalPath !== null && { LocalPath: input.LocalPath })), (input.RuleConfigurationName !== undefined &&
        input.RuleConfigurationName !== null && { RuleConfigurationName: input.RuleConfigurationName })), (input.RuleEvaluatorImage !== undefined &&
        input.RuleEvaluatorImage !== null && { RuleEvaluatorImage: input.RuleEvaluatorImage })), (input.RuleParameters !== undefined &&
        input.RuleParameters !== null && {
        RuleParameters: serializeAws_json1_1RuleParameters(input.RuleParameters, context),
    })), (input.S3OutputPath !== undefined && input.S3OutputPath !== null && { S3OutputPath: input.S3OutputPath })), (input.VolumeSizeInGB !== undefined &&
        input.VolumeSizeInGB !== null && { VolumeSizeInGB: input.VolumeSizeInGB }));
};
var serializeAws_json1_1ProfilerRuleConfigurations = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1ProfilerRuleConfiguration(entry, context);
    });
};
var serializeAws_json1_1ProfilingParameters = function (input, context) {
    return Object.entries(input).reduce(function (acc, _a) {
        var _b;
        var _c = __read(_a, 2), key = _c[0], value = _c[1];
        if (value === null) {
            return acc;
        }
        return __assign(__assign({}, acc), (_b = {}, _b[key] = value, _b));
    }, {});
};
var serializeAws_json1_1PropertyNameQuery = function (input, context) {
    return __assign({}, (input.PropertyNameHint !== undefined &&
        input.PropertyNameHint !== null && { PropertyNameHint: input.PropertyNameHint }));
};
var serializeAws_json1_1ProvisioningParameter = function (input, context) {
    return __assign(__assign({}, (input.Key !== undefined && input.Key !== null && { Key: input.Key })), (input.Value !== undefined && input.Value !== null && { Value: input.Value }));
};
var serializeAws_json1_1ProvisioningParameters = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1ProvisioningParameter(entry, context);
    });
};
var serializeAws_json1_1PublicWorkforceTaskPrice = function (input, context) {
    return __assign({}, (input.AmountInUsd !== undefined &&
        input.AmountInUsd !== null && { AmountInUsd: serializeAws_json1_1USD(input.AmountInUsd, context) }));
};
var serializeAws_json1_1PutModelPackageGroupPolicyInput = function (input, context) {
    return __assign(__assign({}, (input.ModelPackageGroupName !== undefined &&
        input.ModelPackageGroupName !== null && { ModelPackageGroupName: input.ModelPackageGroupName })), (input.ResourcePolicy !== undefined &&
        input.ResourcePolicy !== null && { ResourcePolicy: input.ResourcePolicy }));
};
var serializeAws_json1_1QueryFilters = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.CreatedAfter !== undefined &&
        input.CreatedAfter !== null && { CreatedAfter: Math.round(input.CreatedAfter.getTime() / 1000) })), (input.CreatedBefore !== undefined &&
        input.CreatedBefore !== null && { CreatedBefore: Math.round(input.CreatedBefore.getTime() / 1000) })), (input.LineageTypes !== undefined &&
        input.LineageTypes !== null && {
        LineageTypes: serializeAws_json1_1QueryLineageTypes(input.LineageTypes, context),
    })), (input.ModifiedAfter !== undefined &&
        input.ModifiedAfter !== null && { ModifiedAfter: Math.round(input.ModifiedAfter.getTime() / 1000) })), (input.ModifiedBefore !== undefined &&
        input.ModifiedBefore !== null && { ModifiedBefore: Math.round(input.ModifiedBefore.getTime() / 1000) })), (input.Properties !== undefined &&
        input.Properties !== null && { Properties: serializeAws_json1_1QueryProperties(input.Properties, context) })), (input.Types !== undefined &&
        input.Types !== null && { Types: serializeAws_json1_1QueryTypes(input.Types, context) }));
};
var serializeAws_json1_1QueryLineageRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.Direction !== undefined && input.Direction !== null && { Direction: input.Direction })), (input.Filters !== undefined &&
        input.Filters !== null && { Filters: serializeAws_json1_1QueryFilters(input.Filters, context) })), (input.IncludeEdges !== undefined && input.IncludeEdges !== null && { IncludeEdges: input.IncludeEdges })), (input.MaxDepth !== undefined && input.MaxDepth !== null && { MaxDepth: input.MaxDepth })), (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.StartArns !== undefined &&
        input.StartArns !== null && { StartArns: serializeAws_json1_1QueryLineageStartArns(input.StartArns, context) }));
};
var serializeAws_json1_1QueryLineageStartArns = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1QueryLineageTypes = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1QueryProperties = function (input, context) {
    return Object.entries(input).reduce(function (acc, _a) {
        var _b;
        var _c = __read(_a, 2), key = _c[0], value = _c[1];
        if (value === null) {
            return acc;
        }
        return __assign(__assign({}, acc), (_b = {}, _b[key] = value, _b));
    }, {});
};
var serializeAws_json1_1QueryTypes = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1RealtimeInferenceInstanceTypes = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1RecommendationJobInputConfig = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign({}, (input.EndpointConfigurations !== undefined &&
        input.EndpointConfigurations !== null && {
        EndpointConfigurations: serializeAws_json1_1EndpointInputConfigurations(input.EndpointConfigurations, context),
    })), (input.JobDurationInSeconds !== undefined &&
        input.JobDurationInSeconds !== null && { JobDurationInSeconds: input.JobDurationInSeconds })), (input.ModelPackageVersionArn !== undefined &&
        input.ModelPackageVersionArn !== null && { ModelPackageVersionArn: input.ModelPackageVersionArn })), (input.ResourceLimit !== undefined &&
        input.ResourceLimit !== null && {
        ResourceLimit: serializeAws_json1_1RecommendationJobResourceLimit(input.ResourceLimit, context),
    })), (input.TrafficPattern !== undefined &&
        input.TrafficPattern !== null && {
        TrafficPattern: serializeAws_json1_1TrafficPattern(input.TrafficPattern, context),
    }));
};
var serializeAws_json1_1RecommendationJobResourceLimit = function (input, context) {
    return __assign(__assign({}, (input.MaxNumberOfTests !== undefined &&
        input.MaxNumberOfTests !== null && { MaxNumberOfTests: input.MaxNumberOfTests })), (input.MaxParallelOfTests !== undefined &&
        input.MaxParallelOfTests !== null && { MaxParallelOfTests: input.MaxParallelOfTests }));
};
var serializeAws_json1_1RecommendationJobStoppingConditions = function (input, context) {
    return __assign(__assign({}, (input.MaxInvocations !== undefined &&
        input.MaxInvocations !== null && { MaxInvocations: input.MaxInvocations })), (input.ModelLatencyThresholds !== undefined &&
        input.ModelLatencyThresholds !== null && {
        ModelLatencyThresholds: serializeAws_json1_1ModelLatencyThresholds(input.ModelLatencyThresholds, context),
    }));
};
var serializeAws_json1_1RedshiftDatasetDefinition = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.ClusterId !== undefined && input.ClusterId !== null && { ClusterId: input.ClusterId })), (input.ClusterRoleArn !== undefined &&
        input.ClusterRoleArn !== null && { ClusterRoleArn: input.ClusterRoleArn })), (input.Database !== undefined && input.Database !== null && { Database: input.Database })), (input.DbUser !== undefined && input.DbUser !== null && { DbUser: input.DbUser })), (input.KmsKeyId !== undefined && input.KmsKeyId !== null && { KmsKeyId: input.KmsKeyId })), (input.OutputCompression !== undefined &&
        input.OutputCompression !== null && { OutputCompression: input.OutputCompression })), (input.OutputFormat !== undefined && input.OutputFormat !== null && { OutputFormat: input.OutputFormat })), (input.OutputS3Uri !== undefined && input.OutputS3Uri !== null && { OutputS3Uri: input.OutputS3Uri })), (input.QueryString !== undefined && input.QueryString !== null && { QueryString: input.QueryString }));
};
var serializeAws_json1_1RegisterDevicesRequest = function (input, context) {
    return __assign(__assign(__assign({}, (input.DeviceFleetName !== undefined &&
        input.DeviceFleetName !== null && { DeviceFleetName: input.DeviceFleetName })), (input.Devices !== undefined &&
        input.Devices !== null && { Devices: serializeAws_json1_1Devices(input.Devices, context) })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) }));
};
var serializeAws_json1_1RenderableTask = function (input, context) {
    return __assign({}, (input.Input !== undefined && input.Input !== null && { Input: input.Input }));
};
var serializeAws_json1_1RenderUiTemplateRequest = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.HumanTaskUiArn !== undefined &&
        input.HumanTaskUiArn !== null && { HumanTaskUiArn: input.HumanTaskUiArn })), (input.RoleArn !== undefined && input.RoleArn !== null && { RoleArn: input.RoleArn })), (input.Task !== undefined &&
        input.Task !== null && { Task: serializeAws_json1_1RenderableTask(input.Task, context) })), (input.UiTemplate !== undefined &&
        input.UiTemplate !== null && { UiTemplate: serializeAws_json1_1UiTemplate(input.UiTemplate, context) }));
};
var serializeAws_json1_1RepositoryAuthConfig = function (input, context) {
    return __assign({}, (input.RepositoryCredentialsProviderArn !== undefined &&
        input.RepositoryCredentialsProviderArn !== null && {
        RepositoryCredentialsProviderArn: input.RepositoryCredentialsProviderArn,
    }));
};
var serializeAws_json1_1ResourceConfig = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.InstanceCount !== undefined && input.InstanceCount !== null && { InstanceCount: input.InstanceCount })), (input.InstanceType !== undefined && input.InstanceType !== null && { InstanceType: input.InstanceType })), (input.VolumeKmsKeyId !== undefined &&
        input.VolumeKmsKeyId !== null && { VolumeKmsKeyId: input.VolumeKmsKeyId })), (input.VolumeSizeInGB !== undefined &&
        input.VolumeSizeInGB !== null && { VolumeSizeInGB: input.VolumeSizeInGB }));
};
var serializeAws_json1_1ResourceLimits = function (input, context) {
    return __assign(__assign({}, (input.MaxNumberOfTrainingJobs !== undefined &&
        input.MaxNumberOfTrainingJobs !== null && { MaxNumberOfTrainingJobs: input.MaxNumberOfTrainingJobs })), (input.MaxParallelTrainingJobs !== undefined &&
        input.MaxParallelTrainingJobs !== null && { MaxParallelTrainingJobs: input.MaxParallelTrainingJobs }));
};
var serializeAws_json1_1ResourceSpec = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.InstanceType !== undefined && input.InstanceType !== null && { InstanceType: input.InstanceType })), (input.LifecycleConfigArn !== undefined &&
        input.LifecycleConfigArn !== null && { LifecycleConfigArn: input.LifecycleConfigArn })), (input.SageMakerImageArn !== undefined &&
        input.SageMakerImageArn !== null && { SageMakerImageArn: input.SageMakerImageArn })), (input.SageMakerImageVersionArn !== undefined &&
        input.SageMakerImageVersionArn !== null && { SageMakerImageVersionArn: input.SageMakerImageVersionArn }));
};
var serializeAws_json1_1ResponseMIMETypes = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1RetentionPolicy = function (input, context) {
    return __assign({}, (input.HomeEfsFileSystem !== undefined &&
        input.HomeEfsFileSystem !== null && { HomeEfsFileSystem: input.HomeEfsFileSystem }));
};
var serializeAws_json1_1RetryPipelineExecutionRequest = function (input, context) {
    var _a;
    return __assign(__assign({ ClientRequestToken: (_a = input.ClientRequestToken) !== null && _a !== void 0 ? _a : generateIdempotencyToken() }, (input.ParallelismConfiguration !== undefined &&
        input.ParallelismConfiguration !== null && {
        ParallelismConfiguration: serializeAws_json1_1ParallelismConfiguration(input.ParallelismConfiguration, context),
    })), (input.PipelineExecutionArn !== undefined &&
        input.PipelineExecutionArn !== null && { PipelineExecutionArn: input.PipelineExecutionArn }));
};
var serializeAws_json1_1RetryStrategy = function (input, context) {
    return __assign({}, (input.MaximumRetryAttempts !== undefined &&
        input.MaximumRetryAttempts !== null && { MaximumRetryAttempts: input.MaximumRetryAttempts }));
};
var serializeAws_json1_1RSessionAppSettings = function (input, context) {
    return {};
};
var serializeAws_json1_1RStudioServerProAppSettings = function (input, context) {
    return __assign(__assign({}, (input.AccessStatus !== undefined && input.AccessStatus !== null && { AccessStatus: input.AccessStatus })), (input.UserGroup !== undefined && input.UserGroup !== null && { UserGroup: input.UserGroup }));
};
var serializeAws_json1_1RStudioServerProDomainSettings = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.DefaultResourceSpec !== undefined &&
        input.DefaultResourceSpec !== null && {
        DefaultResourceSpec: serializeAws_json1_1ResourceSpec(input.DefaultResourceSpec, context),
    })), (input.DomainExecutionRoleArn !== undefined &&
        input.DomainExecutionRoleArn !== null && { DomainExecutionRoleArn: input.DomainExecutionRoleArn })), (input.RStudioConnectUrl !== undefined &&
        input.RStudioConnectUrl !== null && { RStudioConnectUrl: input.RStudioConnectUrl })), (input.RStudioPackageManagerUrl !== undefined &&
        input.RStudioPackageManagerUrl !== null && { RStudioPackageManagerUrl: input.RStudioPackageManagerUrl }));
};
var serializeAws_json1_1RStudioServerProDomainSettingsForUpdate = function (input, context) {
    return __assign(__assign({}, (input.DefaultResourceSpec !== undefined &&
        input.DefaultResourceSpec !== null && {
        DefaultResourceSpec: serializeAws_json1_1ResourceSpec(input.DefaultResourceSpec, context),
    })), (input.DomainExecutionRoleArn !== undefined &&
        input.DomainExecutionRoleArn !== null && { DomainExecutionRoleArn: input.DomainExecutionRoleArn }));
};
var serializeAws_json1_1RuleParameters = function (input, context) {
    return Object.entries(input).reduce(function (acc, _a) {
        var _b;
        var _c = __read(_a, 2), key = _c[0], value = _c[1];
        if (value === null) {
            return acc;
        }
        return __assign(__assign({}, acc), (_b = {}, _b[key] = value, _b));
    }, {});
};
var serializeAws_json1_1S3DataSource = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.AttributeNames !== undefined &&
        input.AttributeNames !== null && {
        AttributeNames: serializeAws_json1_1AttributeNames(input.AttributeNames, context),
    })), (input.S3DataDistributionType !== undefined &&
        input.S3DataDistributionType !== null && { S3DataDistributionType: input.S3DataDistributionType })), (input.S3DataType !== undefined && input.S3DataType !== null && { S3DataType: input.S3DataType })), (input.S3Uri !== undefined && input.S3Uri !== null && { S3Uri: input.S3Uri }));
};
var serializeAws_json1_1S3StorageConfig = function (input, context) {
    return __assign(__assign(__assign({}, (input.KmsKeyId !== undefined && input.KmsKeyId !== null && { KmsKeyId: input.KmsKeyId })), (input.ResolvedOutputS3Uri !== undefined &&
        input.ResolvedOutputS3Uri !== null && { ResolvedOutputS3Uri: input.ResolvedOutputS3Uri })), (input.S3Uri !== undefined && input.S3Uri !== null && { S3Uri: input.S3Uri }));
};
var serializeAws_json1_1ScheduleConfig = function (input, context) {
    return __assign({}, (input.ScheduleExpression !== undefined &&
        input.ScheduleExpression !== null && { ScheduleExpression: input.ScheduleExpression }));
};
var serializeAws_json1_1SearchExpression = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.Filters !== undefined &&
        input.Filters !== null && { Filters: serializeAws_json1_1FilterList(input.Filters, context) })), (input.NestedFilters !== undefined &&
        input.NestedFilters !== null && {
        NestedFilters: serializeAws_json1_1NestedFiltersList(input.NestedFilters, context),
    })), (input.Operator !== undefined && input.Operator !== null && { Operator: input.Operator })), (input.SubExpressions !== undefined &&
        input.SubExpressions !== null && {
        SubExpressions: serializeAws_json1_1SearchExpressionList(input.SubExpressions, context),
    }));
};
var serializeAws_json1_1SearchExpressionList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1SearchExpression(entry, context);
    });
};
var serializeAws_json1_1SearchRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign({}, (input.MaxResults !== undefined && input.MaxResults !== null && { MaxResults: input.MaxResults })), (input.NextToken !== undefined && input.NextToken !== null && { NextToken: input.NextToken })), (input.Resource !== undefined && input.Resource !== null && { Resource: input.Resource })), (input.SearchExpression !== undefined &&
        input.SearchExpression !== null && {
        SearchExpression: serializeAws_json1_1SearchExpression(input.SearchExpression, context),
    })), (input.SortBy !== undefined && input.SortBy !== null && { SortBy: input.SortBy })), (input.SortOrder !== undefined && input.SortOrder !== null && { SortOrder: input.SortOrder }));
};
var serializeAws_json1_1SecurityGroupIds = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1SendPipelineExecutionStepFailureRequest = function (input, context) {
    var _a;
    return __assign(__assign(__assign({}, (input.CallbackToken !== undefined && input.CallbackToken !== null && { CallbackToken: input.CallbackToken })), { ClientRequestToken: (_a = input.ClientRequestToken) !== null && _a !== void 0 ? _a : generateIdempotencyToken() }), (input.FailureReason !== undefined && input.FailureReason !== null && { FailureReason: input.FailureReason }));
};
var serializeAws_json1_1SendPipelineExecutionStepSuccessRequest = function (input, context) {
    var _a;
    return __assign(__assign(__assign({}, (input.CallbackToken !== undefined && input.CallbackToken !== null && { CallbackToken: input.CallbackToken })), { ClientRequestToken: (_a = input.ClientRequestToken) !== null && _a !== void 0 ? _a : generateIdempotencyToken() }), (input.OutputParameters !== undefined &&
        input.OutputParameters !== null && {
        OutputParameters: serializeAws_json1_1OutputParameterList(input.OutputParameters, context),
    }));
};
var serializeAws_json1_1ServiceCatalogProvisioningDetails = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.PathId !== undefined && input.PathId !== null && { PathId: input.PathId })), (input.ProductId !== undefined && input.ProductId !== null && { ProductId: input.ProductId })), (input.ProvisioningArtifactId !== undefined &&
        input.ProvisioningArtifactId !== null && { ProvisioningArtifactId: input.ProvisioningArtifactId })), (input.ProvisioningParameters !== undefined &&
        input.ProvisioningParameters !== null && {
        ProvisioningParameters: serializeAws_json1_1ProvisioningParameters(input.ProvisioningParameters, context),
    }));
};
var serializeAws_json1_1ServiceCatalogProvisioningUpdateDetails = function (input, context) {
    return __assign(__assign({}, (input.ProvisioningArtifactId !== undefined &&
        input.ProvisioningArtifactId !== null && { ProvisioningArtifactId: input.ProvisioningArtifactId })), (input.ProvisioningParameters !== undefined &&
        input.ProvisioningParameters !== null && {
        ProvisioningParameters: serializeAws_json1_1ProvisioningParameters(input.ProvisioningParameters, context),
    }));
};
var serializeAws_json1_1SharingSettings = function (input, context) {
    return __assign(__assign(__assign({}, (input.NotebookOutputOption !== undefined &&
        input.NotebookOutputOption !== null && { NotebookOutputOption: input.NotebookOutputOption })), (input.S3KmsKeyId !== undefined && input.S3KmsKeyId !== null && { S3KmsKeyId: input.S3KmsKeyId })), (input.S3OutputPath !== undefined && input.S3OutputPath !== null && { S3OutputPath: input.S3OutputPath }));
};
var serializeAws_json1_1ShuffleConfig = function (input, context) {
    return __assign({}, (input.Seed !== undefined && input.Seed !== null && { Seed: input.Seed }));
};
var serializeAws_json1_1SourceAlgorithm = function (input, context) {
    return __assign(__assign({}, (input.AlgorithmName !== undefined && input.AlgorithmName !== null && { AlgorithmName: input.AlgorithmName })), (input.ModelDataUrl !== undefined && input.ModelDataUrl !== null && { ModelDataUrl: input.ModelDataUrl }));
};
var serializeAws_json1_1SourceAlgorithmList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1SourceAlgorithm(entry, context);
    });
};
var serializeAws_json1_1SourceAlgorithmSpecification = function (input, context) {
    return __assign({}, (input.SourceAlgorithms !== undefined &&
        input.SourceAlgorithms !== null && {
        SourceAlgorithms: serializeAws_json1_1SourceAlgorithmList(input.SourceAlgorithms, context),
    }));
};
var serializeAws_json1_1SourceIpConfig = function (input, context) {
    return __assign({}, (input.Cidrs !== undefined &&
        input.Cidrs !== null && { Cidrs: serializeAws_json1_1Cidrs(input.Cidrs, context) }));
};
var serializeAws_json1_1StartMonitoringScheduleRequest = function (input, context) {
    return __assign({}, (input.MonitoringScheduleName !== undefined &&
        input.MonitoringScheduleName !== null && { MonitoringScheduleName: input.MonitoringScheduleName }));
};
var serializeAws_json1_1StartNotebookInstanceInput = function (input, context) {
    return __assign({}, (input.NotebookInstanceName !== undefined &&
        input.NotebookInstanceName !== null && { NotebookInstanceName: input.NotebookInstanceName }));
};
var serializeAws_json1_1StartPipelineExecutionRequest = function (input, context) {
    var _a;
    return __assign(__assign(__assign(__assign(__assign({ ClientRequestToken: (_a = input.ClientRequestToken) !== null && _a !== void 0 ? _a : generateIdempotencyToken() }, (input.ParallelismConfiguration !== undefined &&
        input.ParallelismConfiguration !== null && {
        ParallelismConfiguration: serializeAws_json1_1ParallelismConfiguration(input.ParallelismConfiguration, context),
    })), (input.PipelineExecutionDescription !== undefined &&
        input.PipelineExecutionDescription !== null && {
        PipelineExecutionDescription: input.PipelineExecutionDescription,
    })), (input.PipelineExecutionDisplayName !== undefined &&
        input.PipelineExecutionDisplayName !== null && {
        PipelineExecutionDisplayName: input.PipelineExecutionDisplayName,
    })), (input.PipelineName !== undefined && input.PipelineName !== null && { PipelineName: input.PipelineName })), (input.PipelineParameters !== undefined &&
        input.PipelineParameters !== null && {
        PipelineParameters: serializeAws_json1_1ParameterList(input.PipelineParameters, context),
    }));
};
var serializeAws_json1_1StopAutoMLJobRequest = function (input, context) {
    return __assign({}, (input.AutoMLJobName !== undefined && input.AutoMLJobName !== null && { AutoMLJobName: input.AutoMLJobName }));
};
var serializeAws_json1_1StopCompilationJobRequest = function (input, context) {
    return __assign({}, (input.CompilationJobName !== undefined &&
        input.CompilationJobName !== null && { CompilationJobName: input.CompilationJobName }));
};
var serializeAws_json1_1StopEdgePackagingJobRequest = function (input, context) {
    return __assign({}, (input.EdgePackagingJobName !== undefined &&
        input.EdgePackagingJobName !== null && { EdgePackagingJobName: input.EdgePackagingJobName }));
};
var serializeAws_json1_1StopHyperParameterTuningJobRequest = function (input, context) {
    return __assign({}, (input.HyperParameterTuningJobName !== undefined &&
        input.HyperParameterTuningJobName !== null && { HyperParameterTuningJobName: input.HyperParameterTuningJobName }));
};
var serializeAws_json1_1StopInferenceRecommendationsJobRequest = function (input, context) {
    return __assign({}, (input.JobName !== undefined && input.JobName !== null && { JobName: input.JobName }));
};
var serializeAws_json1_1StopLabelingJobRequest = function (input, context) {
    return __assign({}, (input.LabelingJobName !== undefined &&
        input.LabelingJobName !== null && { LabelingJobName: input.LabelingJobName }));
};
var serializeAws_json1_1StopMonitoringScheduleRequest = function (input, context) {
    return __assign({}, (input.MonitoringScheduleName !== undefined &&
        input.MonitoringScheduleName !== null && { MonitoringScheduleName: input.MonitoringScheduleName }));
};
var serializeAws_json1_1StopNotebookInstanceInput = function (input, context) {
    return __assign({}, (input.NotebookInstanceName !== undefined &&
        input.NotebookInstanceName !== null && { NotebookInstanceName: input.NotebookInstanceName }));
};
var serializeAws_json1_1StoppingCondition = function (input, context) {
    return __assign(__assign({}, (input.MaxRuntimeInSeconds !== undefined &&
        input.MaxRuntimeInSeconds !== null && { MaxRuntimeInSeconds: input.MaxRuntimeInSeconds })), (input.MaxWaitTimeInSeconds !== undefined &&
        input.MaxWaitTimeInSeconds !== null && { MaxWaitTimeInSeconds: input.MaxWaitTimeInSeconds }));
};
var serializeAws_json1_1StopPipelineExecutionRequest = function (input, context) {
    var _a;
    return __assign({ ClientRequestToken: (_a = input.ClientRequestToken) !== null && _a !== void 0 ? _a : generateIdempotencyToken() }, (input.PipelineExecutionArn !== undefined &&
        input.PipelineExecutionArn !== null && { PipelineExecutionArn: input.PipelineExecutionArn }));
};
var serializeAws_json1_1StopProcessingJobRequest = function (input, context) {
    return __assign({}, (input.ProcessingJobName !== undefined &&
        input.ProcessingJobName !== null && { ProcessingJobName: input.ProcessingJobName }));
};
var serializeAws_json1_1StopTrainingJobRequest = function (input, context) {
    return __assign({}, (input.TrainingJobName !== undefined &&
        input.TrainingJobName !== null && { TrainingJobName: input.TrainingJobName }));
};
var serializeAws_json1_1StopTransformJobRequest = function (input, context) {
    return __assign({}, (input.TransformJobName !== undefined &&
        input.TransformJobName !== null && { TransformJobName: input.TransformJobName }));
};
var serializeAws_json1_1Subnets = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1SuggestionQuery = function (input, context) {
    return __assign({}, (input.PropertyNameQuery !== undefined &&
        input.PropertyNameQuery !== null && {
        PropertyNameQuery: serializeAws_json1_1PropertyNameQuery(input.PropertyNameQuery, context),
    }));
};
var serializeAws_json1_1Tag = function (input, context) {
    return __assign(__assign({}, (input.Key !== undefined && input.Key !== null && { Key: input.Key })), (input.Value !== undefined && input.Value !== null && { Value: input.Value }));
};
var serializeAws_json1_1TagKeyList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1TagList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1Tag(entry, context);
    });
};
var serializeAws_json1_1TargetPlatform = function (input, context) {
    return __assign(__assign(__assign({}, (input.Accelerator !== undefined && input.Accelerator !== null && { Accelerator: input.Accelerator })), (input.Arch !== undefined && input.Arch !== null && { Arch: input.Arch })), (input.Os !== undefined && input.Os !== null && { Os: input.Os }));
};
var serializeAws_json1_1TaskKeywords = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1TensorBoardAppSettings = function (input, context) {
    return __assign({}, (input.DefaultResourceSpec !== undefined &&
        input.DefaultResourceSpec !== null && {
        DefaultResourceSpec: serializeAws_json1_1ResourceSpec(input.DefaultResourceSpec, context),
    }));
};
var serializeAws_json1_1TensorBoardOutputConfig = function (input, context) {
    return __assign(__assign({}, (input.LocalPath !== undefined && input.LocalPath !== null && { LocalPath: input.LocalPath })), (input.S3OutputPath !== undefined && input.S3OutputPath !== null && { S3OutputPath: input.S3OutputPath }));
};
var serializeAws_json1_1TrafficPattern = function (input, context) {
    return __assign(__assign({}, (input.Phases !== undefined &&
        input.Phases !== null && { Phases: serializeAws_json1_1Phases(input.Phases, context) })), (input.TrafficType !== undefined && input.TrafficType !== null && { TrafficType: input.TrafficType }));
};
var serializeAws_json1_1TrafficRoutingConfig = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.CanarySize !== undefined &&
        input.CanarySize !== null && { CanarySize: serializeAws_json1_1CapacitySize(input.CanarySize, context) })), (input.LinearStepSize !== undefined &&
        input.LinearStepSize !== null && {
        LinearStepSize: serializeAws_json1_1CapacitySize(input.LinearStepSize, context),
    })), (input.Type !== undefined && input.Type !== null && { Type: input.Type })), (input.WaitIntervalInSeconds !== undefined &&
        input.WaitIntervalInSeconds !== null && { WaitIntervalInSeconds: input.WaitIntervalInSeconds }));
};
var serializeAws_json1_1TrainingEnvironmentMap = function (input, context) {
    return Object.entries(input).reduce(function (acc, _a) {
        var _b;
        var _c = __read(_a, 2), key = _c[0], value = _c[1];
        if (value === null) {
            return acc;
        }
        return __assign(__assign({}, acc), (_b = {}, _b[key] = value, _b));
    }, {});
};
var serializeAws_json1_1TrainingInstanceTypes = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1TrainingJobDefinition = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign({}, (input.HyperParameters !== undefined &&
        input.HyperParameters !== null && {
        HyperParameters: serializeAws_json1_1HyperParameters(input.HyperParameters, context),
    })), (input.InputDataConfig !== undefined &&
        input.InputDataConfig !== null && {
        InputDataConfig: serializeAws_json1_1InputDataConfig(input.InputDataConfig, context),
    })), (input.OutputDataConfig !== undefined &&
        input.OutputDataConfig !== null && {
        OutputDataConfig: serializeAws_json1_1OutputDataConfig(input.OutputDataConfig, context),
    })), (input.ResourceConfig !== undefined &&
        input.ResourceConfig !== null && {
        ResourceConfig: serializeAws_json1_1ResourceConfig(input.ResourceConfig, context),
    })), (input.StoppingCondition !== undefined &&
        input.StoppingCondition !== null && {
        StoppingCondition: serializeAws_json1_1StoppingCondition(input.StoppingCondition, context),
    })), (input.TrainingInputMode !== undefined &&
        input.TrainingInputMode !== null && { TrainingInputMode: input.TrainingInputMode }));
};
var serializeAws_json1_1TrainingSpecification = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.MetricDefinitions !== undefined &&
        input.MetricDefinitions !== null && {
        MetricDefinitions: serializeAws_json1_1MetricDefinitionList(input.MetricDefinitions, context),
    })), (input.SupportedHyperParameters !== undefined &&
        input.SupportedHyperParameters !== null && {
        SupportedHyperParameters: serializeAws_json1_1HyperParameterSpecifications(input.SupportedHyperParameters, context),
    })), (input.SupportedTrainingInstanceTypes !== undefined &&
        input.SupportedTrainingInstanceTypes !== null && {
        SupportedTrainingInstanceTypes: serializeAws_json1_1TrainingInstanceTypes(input.SupportedTrainingInstanceTypes, context),
    })), (input.SupportedTuningJobObjectiveMetrics !== undefined &&
        input.SupportedTuningJobObjectiveMetrics !== null && {
        SupportedTuningJobObjectiveMetrics: serializeAws_json1_1HyperParameterTuningJobObjectives(input.SupportedTuningJobObjectiveMetrics, context),
    })), (input.SupportsDistributedTraining !== undefined &&
        input.SupportsDistributedTraining !== null && { SupportsDistributedTraining: input.SupportsDistributedTraining })), (input.TrainingChannels !== undefined &&
        input.TrainingChannels !== null && {
        TrainingChannels: serializeAws_json1_1ChannelSpecifications(input.TrainingChannels, context),
    })), (input.TrainingImage !== undefined && input.TrainingImage !== null && { TrainingImage: input.TrainingImage })), (input.TrainingImageDigest !== undefined &&
        input.TrainingImageDigest !== null && { TrainingImageDigest: input.TrainingImageDigest }));
};
var serializeAws_json1_1TransformDataSource = function (input, context) {
    return __assign({}, (input.S3DataSource !== undefined &&
        input.S3DataSource !== null && {
        S3DataSource: serializeAws_json1_1TransformS3DataSource(input.S3DataSource, context),
    }));
};
var serializeAws_json1_1TransformEnvironmentMap = function (input, context) {
    return Object.entries(input).reduce(function (acc, _a) {
        var _b;
        var _c = __read(_a, 2), key = _c[0], value = _c[1];
        if (value === null) {
            return acc;
        }
        return __assign(__assign({}, acc), (_b = {}, _b[key] = value, _b));
    }, {});
};
var serializeAws_json1_1TransformInput = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.CompressionType !== undefined &&
        input.CompressionType !== null && { CompressionType: input.CompressionType })), (input.ContentType !== undefined && input.ContentType !== null && { ContentType: input.ContentType })), (input.DataSource !== undefined &&
        input.DataSource !== null && { DataSource: serializeAws_json1_1TransformDataSource(input.DataSource, context) })), (input.SplitType !== undefined && input.SplitType !== null && { SplitType: input.SplitType }));
};
var serializeAws_json1_1TransformInstanceTypes = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var serializeAws_json1_1TransformJobDefinition = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.BatchStrategy !== undefined && input.BatchStrategy !== null && { BatchStrategy: input.BatchStrategy })), (input.Environment !== undefined &&
        input.Environment !== null && {
        Environment: serializeAws_json1_1TransformEnvironmentMap(input.Environment, context),
    })), (input.MaxConcurrentTransforms !== undefined &&
        input.MaxConcurrentTransforms !== null && { MaxConcurrentTransforms: input.MaxConcurrentTransforms })), (input.MaxPayloadInMB !== undefined &&
        input.MaxPayloadInMB !== null && { MaxPayloadInMB: input.MaxPayloadInMB })), (input.TransformInput !== undefined &&
        input.TransformInput !== null && {
        TransformInput: serializeAws_json1_1TransformInput(input.TransformInput, context),
    })), (input.TransformOutput !== undefined &&
        input.TransformOutput !== null && {
        TransformOutput: serializeAws_json1_1TransformOutput(input.TransformOutput, context),
    })), (input.TransformResources !== undefined &&
        input.TransformResources !== null && {
        TransformResources: serializeAws_json1_1TransformResources(input.TransformResources, context),
    }));
};
var serializeAws_json1_1TransformOutput = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.Accept !== undefined && input.Accept !== null && { Accept: input.Accept })), (input.AssembleWith !== undefined && input.AssembleWith !== null && { AssembleWith: input.AssembleWith })), (input.KmsKeyId !== undefined && input.KmsKeyId !== null && { KmsKeyId: input.KmsKeyId })), (input.S3OutputPath !== undefined && input.S3OutputPath !== null && { S3OutputPath: input.S3OutputPath }));
};
var serializeAws_json1_1TransformResources = function (input, context) {
    return __assign(__assign(__assign({}, (input.InstanceCount !== undefined && input.InstanceCount !== null && { InstanceCount: input.InstanceCount })), (input.InstanceType !== undefined && input.InstanceType !== null && { InstanceType: input.InstanceType })), (input.VolumeKmsKeyId !== undefined &&
        input.VolumeKmsKeyId !== null && { VolumeKmsKeyId: input.VolumeKmsKeyId }));
};
var serializeAws_json1_1TransformS3DataSource = function (input, context) {
    return __assign(__assign({}, (input.S3DataType !== undefined && input.S3DataType !== null && { S3DataType: input.S3DataType })), (input.S3Uri !== undefined && input.S3Uri !== null && { S3Uri: input.S3Uri }));
};
var serializeAws_json1_1TrialComponentArtifact = function (input, context) {
    return __assign(__assign({}, (input.MediaType !== undefined && input.MediaType !== null && { MediaType: input.MediaType })), (input.Value !== undefined && input.Value !== null && { Value: input.Value }));
};
var serializeAws_json1_1TrialComponentArtifacts = function (input, context) {
    return Object.entries(input).reduce(function (acc, _a) {
        var _b;
        var _c = __read(_a, 2), key = _c[0], value = _c[1];
        if (value === null) {
            return acc;
        }
        return __assign(__assign({}, acc), (_b = {}, _b[key] = serializeAws_json1_1TrialComponentArtifact(value, context), _b));
    }, {});
};
var serializeAws_json1_1TrialComponentParameters = function (input, context) {
    return Object.entries(input).reduce(function (acc, _a) {
        var _b;
        var _c = __read(_a, 2), key = _c[0], value = _c[1];
        if (value === null) {
            return acc;
        }
        return __assign(__assign({}, acc), (_b = {}, _b[key] = serializeAws_json1_1TrialComponentParameterValue(value, context), _b));
    }, {});
};
var serializeAws_json1_1TrialComponentParameterValue = function (input, context) {
    return TrialComponentParameterValue.visit(input, {
        NumberValue: function (value) { return ({ NumberValue: __serializeFloat(value) }); },
        StringValue: function (value) { return ({ StringValue: value }); },
        _: function (name, value) { return ({ name: value }); },
    });
};
var serializeAws_json1_1TrialComponentStatus = function (input, context) {
    return __assign(__assign({}, (input.Message !== undefined && input.Message !== null && { Message: input.Message })), (input.PrimaryStatus !== undefined && input.PrimaryStatus !== null && { PrimaryStatus: input.PrimaryStatus }));
};
var serializeAws_json1_1TuningJobCompletionCriteria = function (input, context) {
    return __assign({}, (input.TargetObjectiveMetricValue !== undefined &&
        input.TargetObjectiveMetricValue !== null && {
        TargetObjectiveMetricValue: __serializeFloat(input.TargetObjectiveMetricValue),
    }));
};
var serializeAws_json1_1UiConfig = function (input, context) {
    return __assign(__assign({}, (input.HumanTaskUiArn !== undefined &&
        input.HumanTaskUiArn !== null && { HumanTaskUiArn: input.HumanTaskUiArn })), (input.UiTemplateS3Uri !== undefined &&
        input.UiTemplateS3Uri !== null && { UiTemplateS3Uri: input.UiTemplateS3Uri }));
};
var serializeAws_json1_1UiTemplate = function (input, context) {
    return __assign({}, (input.Content !== undefined && input.Content !== null && { Content: input.Content }));
};
var serializeAws_json1_1UpdateActionRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign({}, (input.ActionName !== undefined && input.ActionName !== null && { ActionName: input.ActionName })), (input.Description !== undefined && input.Description !== null && { Description: input.Description })), (input.Properties !== undefined &&
        input.Properties !== null && {
        Properties: serializeAws_json1_1LineageEntityParameters(input.Properties, context),
    })), (input.PropertiesToRemove !== undefined &&
        input.PropertiesToRemove !== null && {
        PropertiesToRemove: serializeAws_json1_1ListLineageEntityParameterKey(input.PropertiesToRemove, context),
    })), (input.Status !== undefined && input.Status !== null && { Status: input.Status }));
};
var serializeAws_json1_1UpdateAppImageConfigRequest = function (input, context) {
    return __assign(__assign({}, (input.AppImageConfigName !== undefined &&
        input.AppImageConfigName !== null && { AppImageConfigName: input.AppImageConfigName })), (input.KernelGatewayImageConfig !== undefined &&
        input.KernelGatewayImageConfig !== null && {
        KernelGatewayImageConfig: serializeAws_json1_1KernelGatewayImageConfig(input.KernelGatewayImageConfig, context),
    }));
};
var serializeAws_json1_1UpdateArtifactRequest = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.ArtifactArn !== undefined && input.ArtifactArn !== null && { ArtifactArn: input.ArtifactArn })), (input.ArtifactName !== undefined && input.ArtifactName !== null && { ArtifactName: input.ArtifactName })), (input.Properties !== undefined &&
        input.Properties !== null && {
        Properties: serializeAws_json1_1LineageEntityParameters(input.Properties, context),
    })), (input.PropertiesToRemove !== undefined &&
        input.PropertiesToRemove !== null && {
        PropertiesToRemove: serializeAws_json1_1ListLineageEntityParameterKey(input.PropertiesToRemove, context),
    }));
};
var serializeAws_json1_1UpdateCodeRepositoryInput = function (input, context) {
    return __assign(__assign({}, (input.CodeRepositoryName !== undefined &&
        input.CodeRepositoryName !== null && { CodeRepositoryName: input.CodeRepositoryName })), (input.GitConfig !== undefined &&
        input.GitConfig !== null && { GitConfig: serializeAws_json1_1GitConfigForUpdate(input.GitConfig, context) }));
};
var serializeAws_json1_1UpdateContextRequest = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.ContextName !== undefined && input.ContextName !== null && { ContextName: input.ContextName })), (input.Description !== undefined && input.Description !== null && { Description: input.Description })), (input.Properties !== undefined &&
        input.Properties !== null && {
        Properties: serializeAws_json1_1LineageEntityParameters(input.Properties, context),
    })), (input.PropertiesToRemove !== undefined &&
        input.PropertiesToRemove !== null && {
        PropertiesToRemove: serializeAws_json1_1ListLineageEntityParameterKey(input.PropertiesToRemove, context),
    }));
};
var serializeAws_json1_1UpdateDeviceFleetRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign({}, (input.Description !== undefined && input.Description !== null && { Description: input.Description })), (input.DeviceFleetName !== undefined &&
        input.DeviceFleetName !== null && { DeviceFleetName: input.DeviceFleetName })), (input.EnableIotRoleAlias !== undefined &&
        input.EnableIotRoleAlias !== null && { EnableIotRoleAlias: input.EnableIotRoleAlias })), (input.OutputConfig !== undefined &&
        input.OutputConfig !== null && {
        OutputConfig: serializeAws_json1_1EdgeOutputConfig(input.OutputConfig, context),
    })), (input.RoleArn !== undefined && input.RoleArn !== null && { RoleArn: input.RoleArn }));
};
var serializeAws_json1_1UpdateDevicesRequest = function (input, context) {
    return __assign(__assign({}, (input.DeviceFleetName !== undefined &&
        input.DeviceFleetName !== null && { DeviceFleetName: input.DeviceFleetName })), (input.Devices !== undefined &&
        input.Devices !== null && { Devices: serializeAws_json1_1Devices(input.Devices, context) }));
};
var serializeAws_json1_1UpdateDomainRequest = function (input, context) {
    return __assign(__assign(__assign({}, (input.DefaultUserSettings !== undefined &&
        input.DefaultUserSettings !== null && {
        DefaultUserSettings: serializeAws_json1_1UserSettings(input.DefaultUserSettings, context),
    })), (input.DomainId !== undefined && input.DomainId !== null && { DomainId: input.DomainId })), (input.DomainSettingsForUpdate !== undefined &&
        input.DomainSettingsForUpdate !== null && {
        DomainSettingsForUpdate: serializeAws_json1_1DomainSettingsForUpdate(input.DomainSettingsForUpdate, context),
    }));
};
var serializeAws_json1_1UpdateEndpointInput = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign({}, (input.DeploymentConfig !== undefined &&
        input.DeploymentConfig !== null && {
        DeploymentConfig: serializeAws_json1_1DeploymentConfig(input.DeploymentConfig, context),
    })), (input.EndpointConfigName !== undefined &&
        input.EndpointConfigName !== null && { EndpointConfigName: input.EndpointConfigName })), (input.EndpointName !== undefined && input.EndpointName !== null && { EndpointName: input.EndpointName })), (input.ExcludeRetainedVariantProperties !== undefined &&
        input.ExcludeRetainedVariantProperties !== null && {
        ExcludeRetainedVariantProperties: serializeAws_json1_1VariantPropertyList(input.ExcludeRetainedVariantProperties, context),
    })), (input.RetainAllVariantProperties !== undefined &&
        input.RetainAllVariantProperties !== null && { RetainAllVariantProperties: input.RetainAllVariantProperties })), (input.RetainDeploymentConfig !== undefined &&
        input.RetainDeploymentConfig !== null && { RetainDeploymentConfig: input.RetainDeploymentConfig }));
};
var serializeAws_json1_1UpdateEndpointWeightsAndCapacitiesInput = function (input, context) {
    return __assign(__assign({}, (input.DesiredWeightsAndCapacities !== undefined &&
        input.DesiredWeightsAndCapacities !== null && {
        DesiredWeightsAndCapacities: serializeAws_json1_1DesiredWeightAndCapacityList(input.DesiredWeightsAndCapacities, context),
    })), (input.EndpointName !== undefined && input.EndpointName !== null && { EndpointName: input.EndpointName }));
};
var serializeAws_json1_1UpdateExperimentRequest = function (input, context) {
    return __assign(__assign(__assign({}, (input.Description !== undefined && input.Description !== null && { Description: input.Description })), (input.DisplayName !== undefined && input.DisplayName !== null && { DisplayName: input.DisplayName })), (input.ExperimentName !== undefined &&
        input.ExperimentName !== null && { ExperimentName: input.ExperimentName }));
};
var serializeAws_json1_1UpdateImageRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign({}, (input.DeleteProperties !== undefined &&
        input.DeleteProperties !== null && {
        DeleteProperties: serializeAws_json1_1ImageDeletePropertyList(input.DeleteProperties, context),
    })), (input.Description !== undefined && input.Description !== null && { Description: input.Description })), (input.DisplayName !== undefined && input.DisplayName !== null && { DisplayName: input.DisplayName })), (input.ImageName !== undefined && input.ImageName !== null && { ImageName: input.ImageName })), (input.RoleArn !== undefined && input.RoleArn !== null && { RoleArn: input.RoleArn }));
};
var serializeAws_json1_1UpdateModelPackageInput = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign({}, (input.AdditionalInferenceSpecificationsToAdd !== undefined &&
        input.AdditionalInferenceSpecificationsToAdd !== null && {
        AdditionalInferenceSpecificationsToAdd: serializeAws_json1_1AdditionalInferenceSpecifications(input.AdditionalInferenceSpecificationsToAdd, context),
    })), (input.ApprovalDescription !== undefined &&
        input.ApprovalDescription !== null && { ApprovalDescription: input.ApprovalDescription })), (input.CustomerMetadataProperties !== undefined &&
        input.CustomerMetadataProperties !== null && {
        CustomerMetadataProperties: serializeAws_json1_1CustomerMetadataMap(input.CustomerMetadataProperties, context),
    })), (input.CustomerMetadataPropertiesToRemove !== undefined &&
        input.CustomerMetadataPropertiesToRemove !== null && {
        CustomerMetadataPropertiesToRemove: serializeAws_json1_1CustomerMetadataKeyList(input.CustomerMetadataPropertiesToRemove, context),
    })), (input.ModelApprovalStatus !== undefined &&
        input.ModelApprovalStatus !== null && { ModelApprovalStatus: input.ModelApprovalStatus })), (input.ModelPackageArn !== undefined &&
        input.ModelPackageArn !== null && { ModelPackageArn: input.ModelPackageArn }));
};
var serializeAws_json1_1UpdateMonitoringScheduleRequest = function (input, context) {
    return __assign(__assign({}, (input.MonitoringScheduleConfig !== undefined &&
        input.MonitoringScheduleConfig !== null && {
        MonitoringScheduleConfig: serializeAws_json1_1MonitoringScheduleConfig(input.MonitoringScheduleConfig, context),
    })), (input.MonitoringScheduleName !== undefined &&
        input.MonitoringScheduleName !== null && { MonitoringScheduleName: input.MonitoringScheduleName }));
};
var serializeAws_json1_1UpdateNotebookInstanceInput = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.AcceleratorTypes !== undefined &&
        input.AcceleratorTypes !== null && {
        AcceleratorTypes: serializeAws_json1_1NotebookInstanceAcceleratorTypes(input.AcceleratorTypes, context),
    })), (input.AdditionalCodeRepositories !== undefined &&
        input.AdditionalCodeRepositories !== null && {
        AdditionalCodeRepositories: serializeAws_json1_1AdditionalCodeRepositoryNamesOrUrls(input.AdditionalCodeRepositories, context),
    })), (input.DefaultCodeRepository !== undefined &&
        input.DefaultCodeRepository !== null && { DefaultCodeRepository: input.DefaultCodeRepository })), (input.DisassociateAcceleratorTypes !== undefined &&
        input.DisassociateAcceleratorTypes !== null && {
        DisassociateAcceleratorTypes: input.DisassociateAcceleratorTypes,
    })), (input.DisassociateAdditionalCodeRepositories !== undefined &&
        input.DisassociateAdditionalCodeRepositories !== null && {
        DisassociateAdditionalCodeRepositories: input.DisassociateAdditionalCodeRepositories,
    })), (input.DisassociateDefaultCodeRepository !== undefined &&
        input.DisassociateDefaultCodeRepository !== null && {
        DisassociateDefaultCodeRepository: input.DisassociateDefaultCodeRepository,
    })), (input.DisassociateLifecycleConfig !== undefined &&
        input.DisassociateLifecycleConfig !== null && { DisassociateLifecycleConfig: input.DisassociateLifecycleConfig })), (input.InstanceType !== undefined && input.InstanceType !== null && { InstanceType: input.InstanceType })), (input.LifecycleConfigName !== undefined &&
        input.LifecycleConfigName !== null && { LifecycleConfigName: input.LifecycleConfigName })), (input.NotebookInstanceName !== undefined &&
        input.NotebookInstanceName !== null && { NotebookInstanceName: input.NotebookInstanceName })), (input.RoleArn !== undefined && input.RoleArn !== null && { RoleArn: input.RoleArn })), (input.RootAccess !== undefined && input.RootAccess !== null && { RootAccess: input.RootAccess })), (input.VolumeSizeInGB !== undefined &&
        input.VolumeSizeInGB !== null && { VolumeSizeInGB: input.VolumeSizeInGB }));
};
var serializeAws_json1_1UpdateNotebookInstanceLifecycleConfigInput = function (input, context) {
    return __assign(__assign(__assign({}, (input.NotebookInstanceLifecycleConfigName !== undefined &&
        input.NotebookInstanceLifecycleConfigName !== null && {
        NotebookInstanceLifecycleConfigName: input.NotebookInstanceLifecycleConfigName,
    })), (input.OnCreate !== undefined &&
        input.OnCreate !== null && {
        OnCreate: serializeAws_json1_1NotebookInstanceLifecycleConfigList(input.OnCreate, context),
    })), (input.OnStart !== undefined &&
        input.OnStart !== null && {
        OnStart: serializeAws_json1_1NotebookInstanceLifecycleConfigList(input.OnStart, context),
    }));
};
var serializeAws_json1_1UpdatePipelineExecutionRequest = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.ParallelismConfiguration !== undefined &&
        input.ParallelismConfiguration !== null && {
        ParallelismConfiguration: serializeAws_json1_1ParallelismConfiguration(input.ParallelismConfiguration, context),
    })), (input.PipelineExecutionArn !== undefined &&
        input.PipelineExecutionArn !== null && { PipelineExecutionArn: input.PipelineExecutionArn })), (input.PipelineExecutionDescription !== undefined &&
        input.PipelineExecutionDescription !== null && {
        PipelineExecutionDescription: input.PipelineExecutionDescription,
    })), (input.PipelineExecutionDisplayName !== undefined &&
        input.PipelineExecutionDisplayName !== null && {
        PipelineExecutionDisplayName: input.PipelineExecutionDisplayName,
    }));
};
var serializeAws_json1_1UpdatePipelineRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.ParallelismConfiguration !== undefined &&
        input.ParallelismConfiguration !== null && {
        ParallelismConfiguration: serializeAws_json1_1ParallelismConfiguration(input.ParallelismConfiguration, context),
    })), (input.PipelineDefinition !== undefined &&
        input.PipelineDefinition !== null && { PipelineDefinition: input.PipelineDefinition })), (input.PipelineDefinitionS3Location !== undefined &&
        input.PipelineDefinitionS3Location !== null && {
        PipelineDefinitionS3Location: serializeAws_json1_1PipelineDefinitionS3Location(input.PipelineDefinitionS3Location, context),
    })), (input.PipelineDescription !== undefined &&
        input.PipelineDescription !== null && { PipelineDescription: input.PipelineDescription })), (input.PipelineDisplayName !== undefined &&
        input.PipelineDisplayName !== null && { PipelineDisplayName: input.PipelineDisplayName })), (input.PipelineName !== undefined && input.PipelineName !== null && { PipelineName: input.PipelineName })), (input.RoleArn !== undefined && input.RoleArn !== null && { RoleArn: input.RoleArn }));
};
var serializeAws_json1_1UpdateProjectInput = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.ProjectDescription !== undefined &&
        input.ProjectDescription !== null && { ProjectDescription: input.ProjectDescription })), (input.ProjectName !== undefined && input.ProjectName !== null && { ProjectName: input.ProjectName })), (input.ServiceCatalogProvisioningUpdateDetails !== undefined &&
        input.ServiceCatalogProvisioningUpdateDetails !== null && {
        ServiceCatalogProvisioningUpdateDetails: serializeAws_json1_1ServiceCatalogProvisioningUpdateDetails(input.ServiceCatalogProvisioningUpdateDetails, context),
    })), (input.Tags !== undefined && input.Tags !== null && { Tags: serializeAws_json1_1TagList(input.Tags, context) }));
};
var serializeAws_json1_1UpdateTrainingJobRequest = function (input, context) {
    return __assign(__assign(__assign({}, (input.ProfilerConfig !== undefined &&
        input.ProfilerConfig !== null && {
        ProfilerConfig: serializeAws_json1_1ProfilerConfigForUpdate(input.ProfilerConfig, context),
    })), (input.ProfilerRuleConfigurations !== undefined &&
        input.ProfilerRuleConfigurations !== null && {
        ProfilerRuleConfigurations: serializeAws_json1_1ProfilerRuleConfigurations(input.ProfilerRuleConfigurations, context),
    })), (input.TrainingJobName !== undefined &&
        input.TrainingJobName !== null && { TrainingJobName: input.TrainingJobName }));
};
var serializeAws_json1_1UpdateTrialComponentRequest = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.DisplayName !== undefined && input.DisplayName !== null && { DisplayName: input.DisplayName })), (input.EndTime !== undefined &&
        input.EndTime !== null && { EndTime: Math.round(input.EndTime.getTime() / 1000) })), (input.InputArtifacts !== undefined &&
        input.InputArtifacts !== null && {
        InputArtifacts: serializeAws_json1_1TrialComponentArtifacts(input.InputArtifacts, context),
    })), (input.InputArtifactsToRemove !== undefined &&
        input.InputArtifactsToRemove !== null && {
        InputArtifactsToRemove: serializeAws_json1_1ListTrialComponentKey256(input.InputArtifactsToRemove, context),
    })), (input.OutputArtifacts !== undefined &&
        input.OutputArtifacts !== null && {
        OutputArtifacts: serializeAws_json1_1TrialComponentArtifacts(input.OutputArtifacts, context),
    })), (input.OutputArtifactsToRemove !== undefined &&
        input.OutputArtifactsToRemove !== null && {
        OutputArtifactsToRemove: serializeAws_json1_1ListTrialComponentKey256(input.OutputArtifactsToRemove, context),
    })), (input.Parameters !== undefined &&
        input.Parameters !== null && {
        Parameters: serializeAws_json1_1TrialComponentParameters(input.Parameters, context),
    })), (input.ParametersToRemove !== undefined &&
        input.ParametersToRemove !== null && {
        ParametersToRemove: serializeAws_json1_1ListTrialComponentKey256(input.ParametersToRemove, context),
    })), (input.StartTime !== undefined &&
        input.StartTime !== null && { StartTime: Math.round(input.StartTime.getTime() / 1000) })), (input.Status !== undefined &&
        input.Status !== null && { Status: serializeAws_json1_1TrialComponentStatus(input.Status, context) })), (input.TrialComponentName !== undefined &&
        input.TrialComponentName !== null && { TrialComponentName: input.TrialComponentName }));
};
var serializeAws_json1_1UpdateTrialRequest = function (input, context) {
    return __assign(__assign({}, (input.DisplayName !== undefined && input.DisplayName !== null && { DisplayName: input.DisplayName })), (input.TrialName !== undefined && input.TrialName !== null && { TrialName: input.TrialName }));
};
var serializeAws_json1_1UpdateUserProfileRequest = function (input, context) {
    return __assign(__assign(__assign({}, (input.DomainId !== undefined && input.DomainId !== null && { DomainId: input.DomainId })), (input.UserProfileName !== undefined &&
        input.UserProfileName !== null && { UserProfileName: input.UserProfileName })), (input.UserSettings !== undefined &&
        input.UserSettings !== null && { UserSettings: serializeAws_json1_1UserSettings(input.UserSettings, context) }));
};
var serializeAws_json1_1UpdateWorkforceRequest = function (input, context) {
    return __assign(__assign(__assign({}, (input.OidcConfig !== undefined &&
        input.OidcConfig !== null && { OidcConfig: serializeAws_json1_1OidcConfig(input.OidcConfig, context) })), (input.SourceIpConfig !== undefined &&
        input.SourceIpConfig !== null && {
        SourceIpConfig: serializeAws_json1_1SourceIpConfig(input.SourceIpConfig, context),
    })), (input.WorkforceName !== undefined && input.WorkforceName !== null && { WorkforceName: input.WorkforceName }));
};
var serializeAws_json1_1UpdateWorkteamRequest = function (input, context) {
    return __assign(__assign(__assign(__assign({}, (input.Description !== undefined && input.Description !== null && { Description: input.Description })), (input.MemberDefinitions !== undefined &&
        input.MemberDefinitions !== null && {
        MemberDefinitions: serializeAws_json1_1MemberDefinitions(input.MemberDefinitions, context),
    })), (input.NotificationConfiguration !== undefined &&
        input.NotificationConfiguration !== null && {
        NotificationConfiguration: serializeAws_json1_1NotificationConfiguration(input.NotificationConfiguration, context),
    })), (input.WorkteamName !== undefined && input.WorkteamName !== null && { WorkteamName: input.WorkteamName }));
};
var serializeAws_json1_1USD = function (input, context) {
    return __assign(__assign(__assign({}, (input.Cents !== undefined && input.Cents !== null && { Cents: input.Cents })), (input.Dollars !== undefined && input.Dollars !== null && { Dollars: input.Dollars })), (input.TenthFractionsOfACent !== undefined &&
        input.TenthFractionsOfACent !== null && { TenthFractionsOfACent: input.TenthFractionsOfACent }));
};
var serializeAws_json1_1UserSettings = function (input, context) {
    return __assign(__assign(__assign(__assign(__assign(__assign(__assign(__assign({}, (input.ExecutionRole !== undefined && input.ExecutionRole !== null && { ExecutionRole: input.ExecutionRole })), (input.JupyterServerAppSettings !== undefined &&
        input.JupyterServerAppSettings !== null && {
        JupyterServerAppSettings: serializeAws_json1_1JupyterServerAppSettings(input.JupyterServerAppSettings, context),
    })), (input.KernelGatewayAppSettings !== undefined &&
        input.KernelGatewayAppSettings !== null && {
        KernelGatewayAppSettings: serializeAws_json1_1KernelGatewayAppSettings(input.KernelGatewayAppSettings, context),
    })), (input.RSessionAppSettings !== undefined &&
        input.RSessionAppSettings !== null && {
        RSessionAppSettings: serializeAws_json1_1RSessionAppSettings(input.RSessionAppSettings, context),
    })), (input.RStudioServerProAppSettings !== undefined &&
        input.RStudioServerProAppSettings !== null && {
        RStudioServerProAppSettings: serializeAws_json1_1RStudioServerProAppSettings(input.RStudioServerProAppSettings, context),
    })), (input.SecurityGroups !== undefined &&
        input.SecurityGroups !== null && {
        SecurityGroups: serializeAws_json1_1SecurityGroupIds(input.SecurityGroups, context),
    })), (input.SharingSettings !== undefined &&
        input.SharingSettings !== null && {
        SharingSettings: serializeAws_json1_1SharingSettings(input.SharingSettings, context),
    })), (input.TensorBoardAppSettings !== undefined &&
        input.TensorBoardAppSettings !== null && {
        TensorBoardAppSettings: serializeAws_json1_1TensorBoardAppSettings(input.TensorBoardAppSettings, context),
    }));
};
var serializeAws_json1_1VariantProperty = function (input, context) {
    return __assign({}, (input.VariantPropertyType !== undefined &&
        input.VariantPropertyType !== null && { VariantPropertyType: input.VariantPropertyType }));
};
var serializeAws_json1_1VariantPropertyList = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return serializeAws_json1_1VariantProperty(entry, context);
    });
};
var serializeAws_json1_1VpcConfig = function (input, context) {
    return __assign(__assign({}, (input.SecurityGroupIds !== undefined &&
        input.SecurityGroupIds !== null && {
        SecurityGroupIds: serializeAws_json1_1VpcSecurityGroupIds(input.SecurityGroupIds, context),
    })), (input.Subnets !== undefined &&
        input.Subnets !== null && { Subnets: serializeAws_json1_1Subnets(input.Subnets, context) }));
};
var serializeAws_json1_1VpcSecurityGroupIds = function (input, context) {
    return input
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return entry;
    });
};
var deserializeAws_json1_1ActionSource = function (output, context) {
    return {
        SourceId: __expectString(output.SourceId),
        SourceType: __expectString(output.SourceType),
        SourceUri: __expectString(output.SourceUri),
    };
};
var deserializeAws_json1_1ActionSummaries = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ActionSummary(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1ActionSummary = function (output, context) {
    return {
        ActionArn: __expectString(output.ActionArn),
        ActionName: __expectString(output.ActionName),
        ActionType: __expectString(output.ActionType),
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        Source: output.Source !== undefined && output.Source !== null
            ? deserializeAws_json1_1ActionSource(output.Source, context)
            : undefined,
        Status: __expectString(output.Status),
    };
};
var deserializeAws_json1_1AddAssociationResponse = function (output, context) {
    return {
        DestinationArn: __expectString(output.DestinationArn),
        SourceArn: __expectString(output.SourceArn),
    };
};
var deserializeAws_json1_1AdditionalCodeRepositoryNamesOrUrls = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1AdditionalInferenceSpecificationDefinition = function (output, context) {
    return {
        Containers: output.Containers !== undefined && output.Containers !== null
            ? deserializeAws_json1_1ModelPackageContainerDefinitionList(output.Containers, context)
            : undefined,
        Description: __expectString(output.Description),
        Name: __expectString(output.Name),
        SupportedContentTypes: output.SupportedContentTypes !== undefined && output.SupportedContentTypes !== null
            ? deserializeAws_json1_1ContentTypes(output.SupportedContentTypes, context)
            : undefined,
        SupportedRealtimeInferenceInstanceTypes: output.SupportedRealtimeInferenceInstanceTypes !== undefined &&
            output.SupportedRealtimeInferenceInstanceTypes !== null
            ? deserializeAws_json1_1RealtimeInferenceInstanceTypes(output.SupportedRealtimeInferenceInstanceTypes, context)
            : undefined,
        SupportedResponseMIMETypes: output.SupportedResponseMIMETypes !== undefined && output.SupportedResponseMIMETypes !== null
            ? deserializeAws_json1_1ResponseMIMETypes(output.SupportedResponseMIMETypes, context)
            : undefined,
        SupportedTransformInstanceTypes: output.SupportedTransformInstanceTypes !== undefined && output.SupportedTransformInstanceTypes !== null
            ? deserializeAws_json1_1TransformInstanceTypes(output.SupportedTransformInstanceTypes, context)
            : undefined,
    };
};
var deserializeAws_json1_1AdditionalInferenceSpecifications = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1AdditionalInferenceSpecificationDefinition(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1AddTagsOutput = function (output, context) {
    return {
        Tags: output.Tags !== undefined && output.Tags !== null
            ? deserializeAws_json1_1TagList(output.Tags, context)
            : undefined,
    };
};
var deserializeAws_json1_1AgentVersion = function (output, context) {
    return {
        AgentCount: __expectLong(output.AgentCount),
        Version: __expectString(output.Version),
    };
};
var deserializeAws_json1_1AgentVersions = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1AgentVersion(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1Alarm = function (output, context) {
    return {
        AlarmName: __expectString(output.AlarmName),
    };
};
var deserializeAws_json1_1AlarmList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1Alarm(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1AlgorithmSpecification = function (output, context) {
    return {
        AlgorithmName: __expectString(output.AlgorithmName),
        EnableSageMakerMetricsTimeSeries: __expectBoolean(output.EnableSageMakerMetricsTimeSeries),
        MetricDefinitions: output.MetricDefinitions !== undefined && output.MetricDefinitions !== null
            ? deserializeAws_json1_1MetricDefinitionList(output.MetricDefinitions, context)
            : undefined,
        TrainingImage: __expectString(output.TrainingImage),
        TrainingInputMode: __expectString(output.TrainingInputMode),
    };
};
var deserializeAws_json1_1AlgorithmStatusDetails = function (output, context) {
    return {
        ImageScanStatuses: output.ImageScanStatuses !== undefined && output.ImageScanStatuses !== null
            ? deserializeAws_json1_1AlgorithmStatusItemList(output.ImageScanStatuses, context)
            : undefined,
        ValidationStatuses: output.ValidationStatuses !== undefined && output.ValidationStatuses !== null
            ? deserializeAws_json1_1AlgorithmStatusItemList(output.ValidationStatuses, context)
            : undefined,
    };
};
var deserializeAws_json1_1AlgorithmStatusItem = function (output, context) {
    return {
        FailureReason: __expectString(output.FailureReason),
        Name: __expectString(output.Name),
        Status: __expectString(output.Status),
    };
};
var deserializeAws_json1_1AlgorithmStatusItemList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1AlgorithmStatusItem(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1AlgorithmSummary = function (output, context) {
    return {
        AlgorithmArn: __expectString(output.AlgorithmArn),
        AlgorithmDescription: __expectString(output.AlgorithmDescription),
        AlgorithmName: __expectString(output.AlgorithmName),
        AlgorithmStatus: __expectString(output.AlgorithmStatus),
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
    };
};
var deserializeAws_json1_1AlgorithmSummaryList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1AlgorithmSummary(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1AlgorithmValidationProfile = function (output, context) {
    return {
        ProfileName: __expectString(output.ProfileName),
        TrainingJobDefinition: output.TrainingJobDefinition !== undefined && output.TrainingJobDefinition !== null
            ? deserializeAws_json1_1TrainingJobDefinition(output.TrainingJobDefinition, context)
            : undefined,
        TransformJobDefinition: output.TransformJobDefinition !== undefined && output.TransformJobDefinition !== null
            ? deserializeAws_json1_1TransformJobDefinition(output.TransformJobDefinition, context)
            : undefined,
    };
};
var deserializeAws_json1_1AlgorithmValidationProfiles = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1AlgorithmValidationProfile(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1AlgorithmValidationSpecification = function (output, context) {
    return {
        ValidationProfiles: output.ValidationProfiles !== undefined && output.ValidationProfiles !== null
            ? deserializeAws_json1_1AlgorithmValidationProfiles(output.ValidationProfiles, context)
            : undefined,
        ValidationRole: __expectString(output.ValidationRole),
    };
};
var deserializeAws_json1_1AnnotationConsolidationConfig = function (output, context) {
    return {
        AnnotationConsolidationLambdaArn: __expectString(output.AnnotationConsolidationLambdaArn),
    };
};
var deserializeAws_json1_1AppDetails = function (output, context) {
    return {
        AppName: __expectString(output.AppName),
        AppType: __expectString(output.AppType),
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        DomainId: __expectString(output.DomainId),
        Status: __expectString(output.Status),
        UserProfileName: __expectString(output.UserProfileName),
    };
};
var deserializeAws_json1_1AppImageConfigDetails = function (output, context) {
    return {
        AppImageConfigArn: __expectString(output.AppImageConfigArn),
        AppImageConfigName: __expectString(output.AppImageConfigName),
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        KernelGatewayImageConfig: output.KernelGatewayImageConfig !== undefined && output.KernelGatewayImageConfig !== null
            ? deserializeAws_json1_1KernelGatewayImageConfig(output.KernelGatewayImageConfig, context)
            : undefined,
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
    };
};
var deserializeAws_json1_1AppImageConfigList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1AppImageConfigDetails(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1AppList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1AppDetails(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1AppSpecification = function (output, context) {
    return {
        ContainerArguments: output.ContainerArguments !== undefined && output.ContainerArguments !== null
            ? deserializeAws_json1_1ContainerArguments(output.ContainerArguments, context)
            : undefined,
        ContainerEntrypoint: output.ContainerEntrypoint !== undefined && output.ContainerEntrypoint !== null
            ? deserializeAws_json1_1ContainerEntrypoint(output.ContainerEntrypoint, context)
            : undefined,
        ImageUri: __expectString(output.ImageUri),
    };
};
var deserializeAws_json1_1ArtifactSource = function (output, context) {
    return {
        SourceTypes: output.SourceTypes !== undefined && output.SourceTypes !== null
            ? deserializeAws_json1_1ArtifactSourceTypes(output.SourceTypes, context)
            : undefined,
        SourceUri: __expectString(output.SourceUri),
    };
};
var deserializeAws_json1_1ArtifactSourceType = function (output, context) {
    return {
        SourceIdType: __expectString(output.SourceIdType),
        Value: __expectString(output.Value),
    };
};
var deserializeAws_json1_1ArtifactSourceTypes = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ArtifactSourceType(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1ArtifactSummaries = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ArtifactSummary(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1ArtifactSummary = function (output, context) {
    return {
        ArtifactArn: __expectString(output.ArtifactArn),
        ArtifactName: __expectString(output.ArtifactName),
        ArtifactType: __expectString(output.ArtifactType),
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        Source: output.Source !== undefined && output.Source !== null
            ? deserializeAws_json1_1ArtifactSource(output.Source, context)
            : undefined,
    };
};
var deserializeAws_json1_1AssociateTrialComponentResponse = function (output, context) {
    return {
        TrialArn: __expectString(output.TrialArn),
        TrialComponentArn: __expectString(output.TrialComponentArn),
    };
};
var deserializeAws_json1_1AssociationSummaries = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1AssociationSummary(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1AssociationSummary = function (output, context) {
    return {
        AssociationType: __expectString(output.AssociationType),
        CreatedBy: output.CreatedBy !== undefined && output.CreatedBy !== null
            ? deserializeAws_json1_1UserContext(output.CreatedBy, context)
            : undefined,
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        DestinationArn: __expectString(output.DestinationArn),
        DestinationName: __expectString(output.DestinationName),
        DestinationType: __expectString(output.DestinationType),
        SourceArn: __expectString(output.SourceArn),
        SourceName: __expectString(output.SourceName),
        SourceType: __expectString(output.SourceType),
    };
};
var deserializeAws_json1_1AsyncInferenceClientConfig = function (output, context) {
    return {
        MaxConcurrentInvocationsPerInstance: __expectInt32(output.MaxConcurrentInvocationsPerInstance),
    };
};
var deserializeAws_json1_1AsyncInferenceConfig = function (output, context) {
    return {
        ClientConfig: output.ClientConfig !== undefined && output.ClientConfig !== null
            ? deserializeAws_json1_1AsyncInferenceClientConfig(output.ClientConfig, context)
            : undefined,
        OutputConfig: output.OutputConfig !== undefined && output.OutputConfig !== null
            ? deserializeAws_json1_1AsyncInferenceOutputConfig(output.OutputConfig, context)
            : undefined,
    };
};
var deserializeAws_json1_1AsyncInferenceNotificationConfig = function (output, context) {
    return {
        ErrorTopic: __expectString(output.ErrorTopic),
        SuccessTopic: __expectString(output.SuccessTopic),
    };
};
var deserializeAws_json1_1AsyncInferenceOutputConfig = function (output, context) {
    return {
        KmsKeyId: __expectString(output.KmsKeyId),
        NotificationConfig: output.NotificationConfig !== undefined && output.NotificationConfig !== null
            ? deserializeAws_json1_1AsyncInferenceNotificationConfig(output.NotificationConfig, context)
            : undefined,
        S3OutputPath: __expectString(output.S3OutputPath),
    };
};
var deserializeAws_json1_1AthenaDatasetDefinition = function (output, context) {
    return {
        Catalog: __expectString(output.Catalog),
        Database: __expectString(output.Database),
        KmsKeyId: __expectString(output.KmsKeyId),
        OutputCompression: __expectString(output.OutputCompression),
        OutputFormat: __expectString(output.OutputFormat),
        OutputS3Uri: __expectString(output.OutputS3Uri),
        QueryString: __expectString(output.QueryString),
        WorkGroup: __expectString(output.WorkGroup),
    };
};
var deserializeAws_json1_1AttributeNames = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1AutoMLCandidate = function (output, context) {
    return {
        CandidateName: __expectString(output.CandidateName),
        CandidateProperties: output.CandidateProperties !== undefined && output.CandidateProperties !== null
            ? deserializeAws_json1_1CandidateProperties(output.CandidateProperties, context)
            : undefined,
        CandidateStatus: __expectString(output.CandidateStatus),
        CandidateSteps: output.CandidateSteps !== undefined && output.CandidateSteps !== null
            ? deserializeAws_json1_1CandidateSteps(output.CandidateSteps, context)
            : undefined,
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        EndTime: output.EndTime !== undefined && output.EndTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.EndTime)))
            : undefined,
        FailureReason: __expectString(output.FailureReason),
        FinalAutoMLJobObjectiveMetric: output.FinalAutoMLJobObjectiveMetric !== undefined && output.FinalAutoMLJobObjectiveMetric !== null
            ? deserializeAws_json1_1FinalAutoMLJobObjectiveMetric(output.FinalAutoMLJobObjectiveMetric, context)
            : undefined,
        InferenceContainers: output.InferenceContainers !== undefined && output.InferenceContainers !== null
            ? deserializeAws_json1_1AutoMLContainerDefinitions(output.InferenceContainers, context)
            : undefined,
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        ObjectiveStatus: __expectString(output.ObjectiveStatus),
    };
};
var deserializeAws_json1_1AutoMLCandidates = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1AutoMLCandidate(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1AutoMLCandidateStep = function (output, context) {
    return {
        CandidateStepArn: __expectString(output.CandidateStepArn),
        CandidateStepName: __expectString(output.CandidateStepName),
        CandidateStepType: __expectString(output.CandidateStepType),
    };
};
var deserializeAws_json1_1AutoMLChannel = function (output, context) {
    return {
        CompressionType: __expectString(output.CompressionType),
        ContentType: __expectString(output.ContentType),
        DataSource: output.DataSource !== undefined && output.DataSource !== null
            ? deserializeAws_json1_1AutoMLDataSource(output.DataSource, context)
            : undefined,
        TargetAttributeName: __expectString(output.TargetAttributeName),
    };
};
var deserializeAws_json1_1AutoMLContainerDefinition = function (output, context) {
    return {
        Environment: output.Environment !== undefined && output.Environment !== null
            ? deserializeAws_json1_1EnvironmentMap(output.Environment, context)
            : undefined,
        Image: __expectString(output.Image),
        ModelDataUrl: __expectString(output.ModelDataUrl),
    };
};
var deserializeAws_json1_1AutoMLContainerDefinitions = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1AutoMLContainerDefinition(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1AutoMLDataSource = function (output, context) {
    return {
        S3DataSource: output.S3DataSource !== undefined && output.S3DataSource !== null
            ? deserializeAws_json1_1AutoMLS3DataSource(output.S3DataSource, context)
            : undefined,
    };
};
var deserializeAws_json1_1AutoMLInputDataConfig = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1AutoMLChannel(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1AutoMLJobArtifacts = function (output, context) {
    return {
        CandidateDefinitionNotebookLocation: __expectString(output.CandidateDefinitionNotebookLocation),
        DataExplorationNotebookLocation: __expectString(output.DataExplorationNotebookLocation),
    };
};
var deserializeAws_json1_1AutoMLJobCompletionCriteria = function (output, context) {
    return {
        MaxAutoMLJobRuntimeInSeconds: __expectInt32(output.MaxAutoMLJobRuntimeInSeconds),
        MaxCandidates: __expectInt32(output.MaxCandidates),
        MaxRuntimePerTrainingJobInSeconds: __expectInt32(output.MaxRuntimePerTrainingJobInSeconds),
    };
};
var deserializeAws_json1_1AutoMLJobConfig = function (output, context) {
    return {
        CompletionCriteria: output.CompletionCriteria !== undefined && output.CompletionCriteria !== null
            ? deserializeAws_json1_1AutoMLJobCompletionCriteria(output.CompletionCriteria, context)
            : undefined,
        SecurityConfig: output.SecurityConfig !== undefined && output.SecurityConfig !== null
            ? deserializeAws_json1_1AutoMLSecurityConfig(output.SecurityConfig, context)
            : undefined,
    };
};
var deserializeAws_json1_1AutoMLJobObjective = function (output, context) {
    return {
        MetricName: __expectString(output.MetricName),
    };
};
var deserializeAws_json1_1AutoMLJobSummaries = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1AutoMLJobSummary(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1AutoMLJobSummary = function (output, context) {
    return {
        AutoMLJobArn: __expectString(output.AutoMLJobArn),
        AutoMLJobName: __expectString(output.AutoMLJobName),
        AutoMLJobSecondaryStatus: __expectString(output.AutoMLJobSecondaryStatus),
        AutoMLJobStatus: __expectString(output.AutoMLJobStatus),
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        EndTime: output.EndTime !== undefined && output.EndTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.EndTime)))
            : undefined,
        FailureReason: __expectString(output.FailureReason),
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        PartialFailureReasons: output.PartialFailureReasons !== undefined && output.PartialFailureReasons !== null
            ? deserializeAws_json1_1AutoMLPartialFailureReasons(output.PartialFailureReasons, context)
            : undefined,
    };
};
var deserializeAws_json1_1AutoMLOutputDataConfig = function (output, context) {
    return {
        KmsKeyId: __expectString(output.KmsKeyId),
        S3OutputPath: __expectString(output.S3OutputPath),
    };
};
var deserializeAws_json1_1AutoMLPartialFailureReason = function (output, context) {
    return {
        PartialFailureMessage: __expectString(output.PartialFailureMessage),
    };
};
var deserializeAws_json1_1AutoMLPartialFailureReasons = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1AutoMLPartialFailureReason(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1AutoMLS3DataSource = function (output, context) {
    return {
        S3DataType: __expectString(output.S3DataType),
        S3Uri: __expectString(output.S3Uri),
    };
};
var deserializeAws_json1_1AutoMLSecurityConfig = function (output, context) {
    return {
        EnableInterContainerTrafficEncryption: __expectBoolean(output.EnableInterContainerTrafficEncryption),
        VolumeKmsKeyId: __expectString(output.VolumeKmsKeyId),
        VpcConfig: output.VpcConfig !== undefined && output.VpcConfig !== null
            ? deserializeAws_json1_1VpcConfig(output.VpcConfig, context)
            : undefined,
    };
};
var deserializeAws_json1_1AutoRollbackConfig = function (output, context) {
    return {
        Alarms: output.Alarms !== undefined && output.Alarms !== null
            ? deserializeAws_json1_1AlarmList(output.Alarms, context)
            : undefined,
    };
};
var deserializeAws_json1_1BatchDescribeModelPackageError = function (output, context) {
    return {
        ErrorCode: __expectString(output.ErrorCode),
        ErrorResponse: __expectString(output.ErrorResponse),
    };
};
var deserializeAws_json1_1BatchDescribeModelPackageErrorMap = function (output, context) {
    return Object.entries(output).reduce(function (acc, _a) {
        var _b;
        var _c = __read(_a, 2), key = _c[0], value = _c[1];
        if (value === null) {
            return acc;
        }
        return __assign(__assign({}, acc), (_b = {}, _b[key] = deserializeAws_json1_1BatchDescribeModelPackageError(value, context), _b));
    }, {});
};
var deserializeAws_json1_1BatchDescribeModelPackageOutput = function (output, context) {
    return {
        BatchDescribeModelPackageErrorMap: output.BatchDescribeModelPackageErrorMap !== undefined && output.BatchDescribeModelPackageErrorMap !== null
            ? deserializeAws_json1_1BatchDescribeModelPackageErrorMap(output.BatchDescribeModelPackageErrorMap, context)
            : undefined,
        ModelPackageSummaries: output.ModelPackageSummaries !== undefined && output.ModelPackageSummaries !== null
            ? deserializeAws_json1_1ModelPackageSummaries(output.ModelPackageSummaries, context)
            : undefined,
    };
};
var deserializeAws_json1_1BatchDescribeModelPackageSummary = function (output, context) {
    return {
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        InferenceSpecification: output.InferenceSpecification !== undefined && output.InferenceSpecification !== null
            ? deserializeAws_json1_1InferenceSpecification(output.InferenceSpecification, context)
            : undefined,
        ModelApprovalStatus: __expectString(output.ModelApprovalStatus),
        ModelPackageArn: __expectString(output.ModelPackageArn),
        ModelPackageDescription: __expectString(output.ModelPackageDescription),
        ModelPackageGroupName: __expectString(output.ModelPackageGroupName),
        ModelPackageStatus: __expectString(output.ModelPackageStatus),
        ModelPackageVersion: __expectInt32(output.ModelPackageVersion),
    };
};
var deserializeAws_json1_1Bias = function (output, context) {
    return {
        PostTrainingReport: output.PostTrainingReport !== undefined && output.PostTrainingReport !== null
            ? deserializeAws_json1_1MetricsSource(output.PostTrainingReport, context)
            : undefined,
        PreTrainingReport: output.PreTrainingReport !== undefined && output.PreTrainingReport !== null
            ? deserializeAws_json1_1MetricsSource(output.PreTrainingReport, context)
            : undefined,
        Report: output.Report !== undefined && output.Report !== null
            ? deserializeAws_json1_1MetricsSource(output.Report, context)
            : undefined,
    };
};
var deserializeAws_json1_1BlueGreenUpdatePolicy = function (output, context) {
    return {
        MaximumExecutionTimeoutInSeconds: __expectInt32(output.MaximumExecutionTimeoutInSeconds),
        TerminationWaitInSeconds: __expectInt32(output.TerminationWaitInSeconds),
        TrafficRoutingConfiguration: output.TrafficRoutingConfiguration !== undefined && output.TrafficRoutingConfiguration !== null
            ? deserializeAws_json1_1TrafficRoutingConfig(output.TrafficRoutingConfiguration, context)
            : undefined,
    };
};
var deserializeAws_json1_1CacheHitResult = function (output, context) {
    return {
        SourcePipelineExecutionArn: __expectString(output.SourcePipelineExecutionArn),
    };
};
var deserializeAws_json1_1CallbackStepMetadata = function (output, context) {
    return {
        CallbackToken: __expectString(output.CallbackToken),
        OutputParameters: output.OutputParameters !== undefined && output.OutputParameters !== null
            ? deserializeAws_json1_1OutputParameterList(output.OutputParameters, context)
            : undefined,
        SqsQueueUrl: __expectString(output.SqsQueueUrl),
    };
};
var deserializeAws_json1_1CandidateArtifactLocations = function (output, context) {
    return {
        Explainability: __expectString(output.Explainability),
        ModelInsights: __expectString(output.ModelInsights),
    };
};
var deserializeAws_json1_1CandidateProperties = function (output, context) {
    return {
        CandidateArtifactLocations: output.CandidateArtifactLocations !== undefined && output.CandidateArtifactLocations !== null
            ? deserializeAws_json1_1CandidateArtifactLocations(output.CandidateArtifactLocations, context)
            : undefined,
        CandidateMetrics: output.CandidateMetrics !== undefined && output.CandidateMetrics !== null
            ? deserializeAws_json1_1MetricDataList(output.CandidateMetrics, context)
            : undefined,
    };
};
var deserializeAws_json1_1CandidateSteps = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1AutoMLCandidateStep(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1CapacitySize = function (output, context) {
    return {
        Type: __expectString(output.Type),
        Value: __expectInt32(output.Value),
    };
};
var deserializeAws_json1_1CaptureContentTypeHeader = function (output, context) {
    return {
        CsvContentTypes: output.CsvContentTypes !== undefined && output.CsvContentTypes !== null
            ? deserializeAws_json1_1CsvContentTypes(output.CsvContentTypes, context)
            : undefined,
        JsonContentTypes: output.JsonContentTypes !== undefined && output.JsonContentTypes !== null
            ? deserializeAws_json1_1JsonContentTypes(output.JsonContentTypes, context)
            : undefined,
    };
};
var deserializeAws_json1_1CaptureOption = function (output, context) {
    return {
        CaptureMode: __expectString(output.CaptureMode),
    };
};
var deserializeAws_json1_1CaptureOptionList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1CaptureOption(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1CategoricalParameter = function (output, context) {
    return {
        Name: __expectString(output.Name),
        Value: output.Value !== undefined && output.Value !== null
            ? deserializeAws_json1_1CategoricalParameterRangeValues(output.Value, context)
            : undefined,
    };
};
var deserializeAws_json1_1CategoricalParameterRange = function (output, context) {
    return {
        Name: __expectString(output.Name),
        Values: output.Values !== undefined && output.Values !== null
            ? deserializeAws_json1_1ParameterValues(output.Values, context)
            : undefined,
    };
};
var deserializeAws_json1_1CategoricalParameterRanges = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1CategoricalParameterRange(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1CategoricalParameterRangeSpecification = function (output, context) {
    return {
        Values: output.Values !== undefined && output.Values !== null
            ? deserializeAws_json1_1ParameterValues(output.Values, context)
            : undefined,
    };
};
var deserializeAws_json1_1CategoricalParameterRangeValues = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1CategoricalParameters = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1CategoricalParameter(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1Channel = function (output, context) {
    return {
        ChannelName: __expectString(output.ChannelName),
        CompressionType: __expectString(output.CompressionType),
        ContentType: __expectString(output.ContentType),
        DataSource: output.DataSource !== undefined && output.DataSource !== null
            ? deserializeAws_json1_1DataSource(output.DataSource, context)
            : undefined,
        InputMode: __expectString(output.InputMode),
        RecordWrapperType: __expectString(output.RecordWrapperType),
        ShuffleConfig: output.ShuffleConfig !== undefined && output.ShuffleConfig !== null
            ? deserializeAws_json1_1ShuffleConfig(output.ShuffleConfig, context)
            : undefined,
    };
};
var deserializeAws_json1_1ChannelSpecification = function (output, context) {
    return {
        Description: __expectString(output.Description),
        IsRequired: __expectBoolean(output.IsRequired),
        Name: __expectString(output.Name),
        SupportedCompressionTypes: output.SupportedCompressionTypes !== undefined && output.SupportedCompressionTypes !== null
            ? deserializeAws_json1_1CompressionTypes(output.SupportedCompressionTypes, context)
            : undefined,
        SupportedContentTypes: output.SupportedContentTypes !== undefined && output.SupportedContentTypes !== null
            ? deserializeAws_json1_1ContentTypes(output.SupportedContentTypes, context)
            : undefined,
        SupportedInputModes: output.SupportedInputModes !== undefined && output.SupportedInputModes !== null
            ? deserializeAws_json1_1InputModes(output.SupportedInputModes, context)
            : undefined,
    };
};
var deserializeAws_json1_1ChannelSpecifications = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ChannelSpecification(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1CheckpointConfig = function (output, context) {
    return {
        LocalPath: __expectString(output.LocalPath),
        S3Uri: __expectString(output.S3Uri),
    };
};
var deserializeAws_json1_1Cidrs = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1ClarifyCheckStepMetadata = function (output, context) {
    return {
        BaselineUsedForDriftCheckConstraints: __expectString(output.BaselineUsedForDriftCheckConstraints),
        CalculatedBaselineConstraints: __expectString(output.CalculatedBaselineConstraints),
        CheckJobArn: __expectString(output.CheckJobArn),
        CheckType: __expectString(output.CheckType),
        ModelPackageGroupName: __expectString(output.ModelPackageGroupName),
        RegisterNewBaseline: __expectBoolean(output.RegisterNewBaseline),
        SkipCheck: __expectBoolean(output.SkipCheck),
        ViolationReport: __expectString(output.ViolationReport),
    };
};
var deserializeAws_json1_1CodeRepositorySummary = function (output, context) {
    return {
        CodeRepositoryArn: __expectString(output.CodeRepositoryArn),
        CodeRepositoryName: __expectString(output.CodeRepositoryName),
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        GitConfig: output.GitConfig !== undefined && output.GitConfig !== null
            ? deserializeAws_json1_1GitConfig(output.GitConfig, context)
            : undefined,
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
    };
};
var deserializeAws_json1_1CodeRepositorySummaryList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1CodeRepositorySummary(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1CognitoConfig = function (output, context) {
    return {
        ClientId: __expectString(output.ClientId),
        UserPool: __expectString(output.UserPool),
    };
};
var deserializeAws_json1_1CognitoMemberDefinition = function (output, context) {
    return {
        ClientId: __expectString(output.ClientId),
        UserGroup: __expectString(output.UserGroup),
        UserPool: __expectString(output.UserPool),
    };
};
var deserializeAws_json1_1CollectionConfiguration = function (output, context) {
    return {
        CollectionName: __expectString(output.CollectionName),
        CollectionParameters: output.CollectionParameters !== undefined && output.CollectionParameters !== null
            ? deserializeAws_json1_1CollectionParameters(output.CollectionParameters, context)
            : undefined,
    };
};
var deserializeAws_json1_1CollectionConfigurations = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1CollectionConfiguration(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1CollectionParameters = function (output, context) {
    return Object.entries(output).reduce(function (acc, _a) {
        var _b;
        var _c = __read(_a, 2), key = _c[0], value = _c[1];
        if (value === null) {
            return acc;
        }
        return __assign(__assign({}, acc), (_b = {}, _b[key] = __expectString(value), _b));
    }, {});
};
var deserializeAws_json1_1CompilationJobSummaries = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1CompilationJobSummary(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1CompilationJobSummary = function (output, context) {
    return {
        CompilationEndTime: output.CompilationEndTime !== undefined && output.CompilationEndTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CompilationEndTime)))
            : undefined,
        CompilationJobArn: __expectString(output.CompilationJobArn),
        CompilationJobName: __expectString(output.CompilationJobName),
        CompilationJobStatus: __expectString(output.CompilationJobStatus),
        CompilationStartTime: output.CompilationStartTime !== undefined && output.CompilationStartTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CompilationStartTime)))
            : undefined,
        CompilationTargetDevice: __expectString(output.CompilationTargetDevice),
        CompilationTargetPlatformAccelerator: __expectString(output.CompilationTargetPlatformAccelerator),
        CompilationTargetPlatformArch: __expectString(output.CompilationTargetPlatformArch),
        CompilationTargetPlatformOs: __expectString(output.CompilationTargetPlatformOs),
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
    };
};
var deserializeAws_json1_1CompressionTypes = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1ConditionStepMetadata = function (output, context) {
    return {
        Outcome: __expectString(output.Outcome),
    };
};
var deserializeAws_json1_1ConflictException = function (output, context) {
    return {
        Message: __expectString(output.Message),
    };
};
var deserializeAws_json1_1ContainerArguments = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1ContainerDefinition = function (output, context) {
    return {
        ContainerHostname: __expectString(output.ContainerHostname),
        Environment: output.Environment !== undefined && output.Environment !== null
            ? deserializeAws_json1_1EnvironmentMap(output.Environment, context)
            : undefined,
        Image: __expectString(output.Image),
        ImageConfig: output.ImageConfig !== undefined && output.ImageConfig !== null
            ? deserializeAws_json1_1ImageConfig(output.ImageConfig, context)
            : undefined,
        InferenceSpecificationName: __expectString(output.InferenceSpecificationName),
        Mode: __expectString(output.Mode),
        ModelDataUrl: __expectString(output.ModelDataUrl),
        ModelPackageName: __expectString(output.ModelPackageName),
        MultiModelConfig: output.MultiModelConfig !== undefined && output.MultiModelConfig !== null
            ? deserializeAws_json1_1MultiModelConfig(output.MultiModelConfig, context)
            : undefined,
    };
};
var deserializeAws_json1_1ContainerDefinitionList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ContainerDefinition(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1ContainerEntrypoint = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1ContentClassifiers = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1ContentTypes = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1ContextSource = function (output, context) {
    return {
        SourceId: __expectString(output.SourceId),
        SourceType: __expectString(output.SourceType),
        SourceUri: __expectString(output.SourceUri),
    };
};
var deserializeAws_json1_1ContextSummaries = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ContextSummary(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1ContextSummary = function (output, context) {
    return {
        ContextArn: __expectString(output.ContextArn),
        ContextName: __expectString(output.ContextName),
        ContextType: __expectString(output.ContextType),
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        Source: output.Source !== undefined && output.Source !== null
            ? deserializeAws_json1_1ContextSource(output.Source, context)
            : undefined,
    };
};
var deserializeAws_json1_1ContinuousParameterRange = function (output, context) {
    return {
        MaxValue: __expectString(output.MaxValue),
        MinValue: __expectString(output.MinValue),
        Name: __expectString(output.Name),
        ScalingType: __expectString(output.ScalingType),
    };
};
var deserializeAws_json1_1ContinuousParameterRanges = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ContinuousParameterRange(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1ContinuousParameterRangeSpecification = function (output, context) {
    return {
        MaxValue: __expectString(output.MaxValue),
        MinValue: __expectString(output.MinValue),
    };
};
var deserializeAws_json1_1CreateActionResponse = function (output, context) {
    return {
        ActionArn: __expectString(output.ActionArn),
    };
};
var deserializeAws_json1_1CreateAlgorithmOutput = function (output, context) {
    return {
        AlgorithmArn: __expectString(output.AlgorithmArn),
    };
};
var deserializeAws_json1_1CreateAppImageConfigResponse = function (output, context) {
    return {
        AppImageConfigArn: __expectString(output.AppImageConfigArn),
    };
};
var deserializeAws_json1_1CreateAppResponse = function (output, context) {
    return {
        AppArn: __expectString(output.AppArn),
    };
};
var deserializeAws_json1_1CreateArtifactResponse = function (output, context) {
    return {
        ArtifactArn: __expectString(output.ArtifactArn),
    };
};
var deserializeAws_json1_1CreateAutoMLJobResponse = function (output, context) {
    return {
        AutoMLJobArn: __expectString(output.AutoMLJobArn),
    };
};
var deserializeAws_json1_1CreateCodeRepositoryOutput = function (output, context) {
    return {
        CodeRepositoryArn: __expectString(output.CodeRepositoryArn),
    };
};
var deserializeAws_json1_1CreateCompilationJobResponse = function (output, context) {
    return {
        CompilationJobArn: __expectString(output.CompilationJobArn),
    };
};
var deserializeAws_json1_1CreateContextResponse = function (output, context) {
    return {
        ContextArn: __expectString(output.ContextArn),
    };
};
var deserializeAws_json1_1CreateDataQualityJobDefinitionResponse = function (output, context) {
    return {
        JobDefinitionArn: __expectString(output.JobDefinitionArn),
    };
};
var deserializeAws_json1_1CreateDomainResponse = function (output, context) {
    return {
        DomainArn: __expectString(output.DomainArn),
        Url: __expectString(output.Url),
    };
};
var deserializeAws_json1_1CreateEndpointConfigOutput = function (output, context) {
    return {
        EndpointConfigArn: __expectString(output.EndpointConfigArn),
    };
};
var deserializeAws_json1_1CreateEndpointOutput = function (output, context) {
    return {
        EndpointArn: __expectString(output.EndpointArn),
    };
};
var deserializeAws_json1_1CreateExperimentResponse = function (output, context) {
    return {
        ExperimentArn: __expectString(output.ExperimentArn),
    };
};
var deserializeAws_json1_1CreateFeatureGroupResponse = function (output, context) {
    return {
        FeatureGroupArn: __expectString(output.FeatureGroupArn),
    };
};
var deserializeAws_json1_1CreateFlowDefinitionResponse = function (output, context) {
    return {
        FlowDefinitionArn: __expectString(output.FlowDefinitionArn),
    };
};
var deserializeAws_json1_1CreateHumanTaskUiResponse = function (output, context) {
    return {
        HumanTaskUiArn: __expectString(output.HumanTaskUiArn),
    };
};
var deserializeAws_json1_1CreateHyperParameterTuningJobResponse = function (output, context) {
    return {
        HyperParameterTuningJobArn: __expectString(output.HyperParameterTuningJobArn),
    };
};
var deserializeAws_json1_1CreateImageResponse = function (output, context) {
    return {
        ImageArn: __expectString(output.ImageArn),
    };
};
var deserializeAws_json1_1CreateImageVersionResponse = function (output, context) {
    return {
        ImageVersionArn: __expectString(output.ImageVersionArn),
    };
};
var deserializeAws_json1_1CreateInferenceRecommendationsJobResponse = function (output, context) {
    return {
        JobArn: __expectString(output.JobArn),
    };
};
var deserializeAws_json1_1CreateLabelingJobResponse = function (output, context) {
    return {
        LabelingJobArn: __expectString(output.LabelingJobArn),
    };
};
var deserializeAws_json1_1CreateModelBiasJobDefinitionResponse = function (output, context) {
    return {
        JobDefinitionArn: __expectString(output.JobDefinitionArn),
    };
};
var deserializeAws_json1_1CreateModelExplainabilityJobDefinitionResponse = function (output, context) {
    return {
        JobDefinitionArn: __expectString(output.JobDefinitionArn),
    };
};
var deserializeAws_json1_1CreateModelOutput = function (output, context) {
    return {
        ModelArn: __expectString(output.ModelArn),
    };
};
var deserializeAws_json1_1CreateModelPackageGroupOutput = function (output, context) {
    return {
        ModelPackageGroupArn: __expectString(output.ModelPackageGroupArn),
    };
};
var deserializeAws_json1_1CreateModelPackageOutput = function (output, context) {
    return {
        ModelPackageArn: __expectString(output.ModelPackageArn),
    };
};
var deserializeAws_json1_1CreateModelQualityJobDefinitionResponse = function (output, context) {
    return {
        JobDefinitionArn: __expectString(output.JobDefinitionArn),
    };
};
var deserializeAws_json1_1CreateMonitoringScheduleResponse = function (output, context) {
    return {
        MonitoringScheduleArn: __expectString(output.MonitoringScheduleArn),
    };
};
var deserializeAws_json1_1CreateNotebookInstanceLifecycleConfigOutput = function (output, context) {
    return {
        NotebookInstanceLifecycleConfigArn: __expectString(output.NotebookInstanceLifecycleConfigArn),
    };
};
var deserializeAws_json1_1CreateNotebookInstanceOutput = function (output, context) {
    return {
        NotebookInstanceArn: __expectString(output.NotebookInstanceArn),
    };
};
var deserializeAws_json1_1CreatePipelineResponse = function (output, context) {
    return {
        PipelineArn: __expectString(output.PipelineArn),
    };
};
var deserializeAws_json1_1CreatePresignedDomainUrlResponse = function (output, context) {
    return {
        AuthorizedUrl: __expectString(output.AuthorizedUrl),
    };
};
var deserializeAws_json1_1CreatePresignedNotebookInstanceUrlOutput = function (output, context) {
    return {
        AuthorizedUrl: __expectString(output.AuthorizedUrl),
    };
};
var deserializeAws_json1_1CreateProcessingJobResponse = function (output, context) {
    return {
        ProcessingJobArn: __expectString(output.ProcessingJobArn),
    };
};
var deserializeAws_json1_1CreateProjectOutput = function (output, context) {
    return {
        ProjectArn: __expectString(output.ProjectArn),
        ProjectId: __expectString(output.ProjectId),
    };
};
var deserializeAws_json1_1CreateStudioLifecycleConfigResponse = function (output, context) {
    return {
        StudioLifecycleConfigArn: __expectString(output.StudioLifecycleConfigArn),
    };
};
var deserializeAws_json1_1CreateTrainingJobResponse = function (output, context) {
    return {
        TrainingJobArn: __expectString(output.TrainingJobArn),
    };
};
var deserializeAws_json1_1CreateTransformJobResponse = function (output, context) {
    return {
        TransformJobArn: __expectString(output.TransformJobArn),
    };
};
var deserializeAws_json1_1CreateTrialComponentResponse = function (output, context) {
    return {
        TrialComponentArn: __expectString(output.TrialComponentArn),
    };
};
var deserializeAws_json1_1CreateTrialResponse = function (output, context) {
    return {
        TrialArn: __expectString(output.TrialArn),
    };
};
var deserializeAws_json1_1CreateUserProfileResponse = function (output, context) {
    return {
        UserProfileArn: __expectString(output.UserProfileArn),
    };
};
var deserializeAws_json1_1CreateWorkforceResponse = function (output, context) {
    return {
        WorkforceArn: __expectString(output.WorkforceArn),
    };
};
var deserializeAws_json1_1CreateWorkteamResponse = function (output, context) {
    return {
        WorkteamArn: __expectString(output.WorkteamArn),
    };
};
var deserializeAws_json1_1CsvContentTypes = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1CustomerMetadataMap = function (output, context) {
    return Object.entries(output).reduce(function (acc, _a) {
        var _b;
        var _c = __read(_a, 2), key = _c[0], value = _c[1];
        if (value === null) {
            return acc;
        }
        return __assign(__assign({}, acc), (_b = {}, _b[key] = __expectString(value), _b));
    }, {});
};
var deserializeAws_json1_1CustomImage = function (output, context) {
    return {
        AppImageConfigName: __expectString(output.AppImageConfigName),
        ImageName: __expectString(output.ImageName),
        ImageVersionNumber: __expectInt32(output.ImageVersionNumber),
    };
};
var deserializeAws_json1_1CustomImages = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1CustomImage(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1DataCaptureConfig = function (output, context) {
    return {
        CaptureContentTypeHeader: output.CaptureContentTypeHeader !== undefined && output.CaptureContentTypeHeader !== null
            ? deserializeAws_json1_1CaptureContentTypeHeader(output.CaptureContentTypeHeader, context)
            : undefined,
        CaptureOptions: output.CaptureOptions !== undefined && output.CaptureOptions !== null
            ? deserializeAws_json1_1CaptureOptionList(output.CaptureOptions, context)
            : undefined,
        DestinationS3Uri: __expectString(output.DestinationS3Uri),
        EnableCapture: __expectBoolean(output.EnableCapture),
        InitialSamplingPercentage: __expectInt32(output.InitialSamplingPercentage),
        KmsKeyId: __expectString(output.KmsKeyId),
    };
};
var deserializeAws_json1_1DataCaptureConfigSummary = function (output, context) {
    return {
        CaptureStatus: __expectString(output.CaptureStatus),
        CurrentSamplingPercentage: __expectInt32(output.CurrentSamplingPercentage),
        DestinationS3Uri: __expectString(output.DestinationS3Uri),
        EnableCapture: __expectBoolean(output.EnableCapture),
        KmsKeyId: __expectString(output.KmsKeyId),
    };
};
var deserializeAws_json1_1DataCatalogConfig = function (output, context) {
    return {
        Catalog: __expectString(output.Catalog),
        Database: __expectString(output.Database),
        TableName: __expectString(output.TableName),
    };
};
var deserializeAws_json1_1DataProcessing = function (output, context) {
    return {
        InputFilter: __expectString(output.InputFilter),
        JoinSource: __expectString(output.JoinSource),
        OutputFilter: __expectString(output.OutputFilter),
    };
};
var deserializeAws_json1_1DataQualityAppSpecification = function (output, context) {
    return {
        ContainerArguments: output.ContainerArguments !== undefined && output.ContainerArguments !== null
            ? deserializeAws_json1_1MonitoringContainerArguments(output.ContainerArguments, context)
            : undefined,
        ContainerEntrypoint: output.ContainerEntrypoint !== undefined && output.ContainerEntrypoint !== null
            ? deserializeAws_json1_1ContainerEntrypoint(output.ContainerEntrypoint, context)
            : undefined,
        Environment: output.Environment !== undefined && output.Environment !== null
            ? deserializeAws_json1_1MonitoringEnvironmentMap(output.Environment, context)
            : undefined,
        ImageUri: __expectString(output.ImageUri),
        PostAnalyticsProcessorSourceUri: __expectString(output.PostAnalyticsProcessorSourceUri),
        RecordPreprocessorSourceUri: __expectString(output.RecordPreprocessorSourceUri),
    };
};
var deserializeAws_json1_1DataQualityBaselineConfig = function (output, context) {
    return {
        BaseliningJobName: __expectString(output.BaseliningJobName),
        ConstraintsResource: output.ConstraintsResource !== undefined && output.ConstraintsResource !== null
            ? deserializeAws_json1_1MonitoringConstraintsResource(output.ConstraintsResource, context)
            : undefined,
        StatisticsResource: output.StatisticsResource !== undefined && output.StatisticsResource !== null
            ? deserializeAws_json1_1MonitoringStatisticsResource(output.StatisticsResource, context)
            : undefined,
    };
};
var deserializeAws_json1_1DataQualityJobInput = function (output, context) {
    return {
        EndpointInput: output.EndpointInput !== undefined && output.EndpointInput !== null
            ? deserializeAws_json1_1EndpointInput(output.EndpointInput, context)
            : undefined,
    };
};
var deserializeAws_json1_1DatasetDefinition = function (output, context) {
    return {
        AthenaDatasetDefinition: output.AthenaDatasetDefinition !== undefined && output.AthenaDatasetDefinition !== null
            ? deserializeAws_json1_1AthenaDatasetDefinition(output.AthenaDatasetDefinition, context)
            : undefined,
        DataDistributionType: __expectString(output.DataDistributionType),
        InputMode: __expectString(output.InputMode),
        LocalPath: __expectString(output.LocalPath),
        RedshiftDatasetDefinition: output.RedshiftDatasetDefinition !== undefined && output.RedshiftDatasetDefinition !== null
            ? deserializeAws_json1_1RedshiftDatasetDefinition(output.RedshiftDatasetDefinition, context)
            : undefined,
    };
};
var deserializeAws_json1_1DataSource = function (output, context) {
    return {
        FileSystemDataSource: output.FileSystemDataSource !== undefined && output.FileSystemDataSource !== null
            ? deserializeAws_json1_1FileSystemDataSource(output.FileSystemDataSource, context)
            : undefined,
        S3DataSource: output.S3DataSource !== undefined && output.S3DataSource !== null
            ? deserializeAws_json1_1S3DataSource(output.S3DataSource, context)
            : undefined,
    };
};
var deserializeAws_json1_1DebugHookConfig = function (output, context) {
    return {
        CollectionConfigurations: output.CollectionConfigurations !== undefined && output.CollectionConfigurations !== null
            ? deserializeAws_json1_1CollectionConfigurations(output.CollectionConfigurations, context)
            : undefined,
        HookParameters: output.HookParameters !== undefined && output.HookParameters !== null
            ? deserializeAws_json1_1HookParameters(output.HookParameters, context)
            : undefined,
        LocalPath: __expectString(output.LocalPath),
        S3OutputPath: __expectString(output.S3OutputPath),
    };
};
var deserializeAws_json1_1DebugRuleConfiguration = function (output, context) {
    return {
        InstanceType: __expectString(output.InstanceType),
        LocalPath: __expectString(output.LocalPath),
        RuleConfigurationName: __expectString(output.RuleConfigurationName),
        RuleEvaluatorImage: __expectString(output.RuleEvaluatorImage),
        RuleParameters: output.RuleParameters !== undefined && output.RuleParameters !== null
            ? deserializeAws_json1_1RuleParameters(output.RuleParameters, context)
            : undefined,
        S3OutputPath: __expectString(output.S3OutputPath),
        VolumeSizeInGB: __expectInt32(output.VolumeSizeInGB),
    };
};
var deserializeAws_json1_1DebugRuleConfigurations = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1DebugRuleConfiguration(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1DebugRuleEvaluationStatus = function (output, context) {
    return {
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        RuleConfigurationName: __expectString(output.RuleConfigurationName),
        RuleEvaluationJobArn: __expectString(output.RuleEvaluationJobArn),
        RuleEvaluationStatus: __expectString(output.RuleEvaluationStatus),
        StatusDetails: __expectString(output.StatusDetails),
    };
};
var deserializeAws_json1_1DebugRuleEvaluationStatuses = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1DebugRuleEvaluationStatus(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1DeleteActionResponse = function (output, context) {
    return {
        ActionArn: __expectString(output.ActionArn),
    };
};
var deserializeAws_json1_1DeleteArtifactResponse = function (output, context) {
    return {
        ArtifactArn: __expectString(output.ArtifactArn),
    };
};
var deserializeAws_json1_1DeleteAssociationResponse = function (output, context) {
    return {
        DestinationArn: __expectString(output.DestinationArn),
        SourceArn: __expectString(output.SourceArn),
    };
};
var deserializeAws_json1_1DeleteContextResponse = function (output, context) {
    return {
        ContextArn: __expectString(output.ContextArn),
    };
};
var deserializeAws_json1_1DeleteExperimentResponse = function (output, context) {
    return {
        ExperimentArn: __expectString(output.ExperimentArn),
    };
};
var deserializeAws_json1_1DeleteFlowDefinitionResponse = function (output, context) {
    return {};
};
var deserializeAws_json1_1DeleteHumanTaskUiResponse = function (output, context) {
    return {};
};
var deserializeAws_json1_1DeleteImageResponse = function (output, context) {
    return {};
};
var deserializeAws_json1_1DeleteImageVersionResponse = function (output, context) {
    return {};
};
var deserializeAws_json1_1DeletePipelineResponse = function (output, context) {
    return {
        PipelineArn: __expectString(output.PipelineArn),
    };
};
var deserializeAws_json1_1DeleteTagsOutput = function (output, context) {
    return {};
};
var deserializeAws_json1_1DeleteTrialComponentResponse = function (output, context) {
    return {
        TrialComponentArn: __expectString(output.TrialComponentArn),
    };
};
var deserializeAws_json1_1DeleteTrialResponse = function (output, context) {
    return {
        TrialArn: __expectString(output.TrialArn),
    };
};
var deserializeAws_json1_1DeleteWorkforceResponse = function (output, context) {
    return {};
};
var deserializeAws_json1_1DeleteWorkteamResponse = function (output, context) {
    return {
        Success: __expectBoolean(output.Success),
    };
};
var deserializeAws_json1_1DeployedImage = function (output, context) {
    return {
        ResolutionTime: output.ResolutionTime !== undefined && output.ResolutionTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.ResolutionTime)))
            : undefined,
        ResolvedImage: __expectString(output.ResolvedImage),
        SpecifiedImage: __expectString(output.SpecifiedImage),
    };
};
var deserializeAws_json1_1DeployedImages = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1DeployedImage(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1DeploymentConfig = function (output, context) {
    return {
        AutoRollbackConfiguration: output.AutoRollbackConfiguration !== undefined && output.AutoRollbackConfiguration !== null
            ? deserializeAws_json1_1AutoRollbackConfig(output.AutoRollbackConfiguration, context)
            : undefined,
        BlueGreenUpdatePolicy: output.BlueGreenUpdatePolicy !== undefined && output.BlueGreenUpdatePolicy !== null
            ? deserializeAws_json1_1BlueGreenUpdatePolicy(output.BlueGreenUpdatePolicy, context)
            : undefined,
    };
};
var deserializeAws_json1_1DescribeActionResponse = function (output, context) {
    return {
        ActionArn: __expectString(output.ActionArn),
        ActionName: __expectString(output.ActionName),
        ActionType: __expectString(output.ActionType),
        CreatedBy: output.CreatedBy !== undefined && output.CreatedBy !== null
            ? deserializeAws_json1_1UserContext(output.CreatedBy, context)
            : undefined,
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        Description: __expectString(output.Description),
        LastModifiedBy: output.LastModifiedBy !== undefined && output.LastModifiedBy !== null
            ? deserializeAws_json1_1UserContext(output.LastModifiedBy, context)
            : undefined,
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        LineageGroupArn: __expectString(output.LineageGroupArn),
        MetadataProperties: output.MetadataProperties !== undefined && output.MetadataProperties !== null
            ? deserializeAws_json1_1MetadataProperties(output.MetadataProperties, context)
            : undefined,
        Properties: output.Properties !== undefined && output.Properties !== null
            ? deserializeAws_json1_1LineageEntityParameters(output.Properties, context)
            : undefined,
        Source: output.Source !== undefined && output.Source !== null
            ? deserializeAws_json1_1ActionSource(output.Source, context)
            : undefined,
        Status: __expectString(output.Status),
    };
};
var deserializeAws_json1_1DescribeAlgorithmOutput = function (output, context) {
    return {
        AlgorithmArn: __expectString(output.AlgorithmArn),
        AlgorithmDescription: __expectString(output.AlgorithmDescription),
        AlgorithmName: __expectString(output.AlgorithmName),
        AlgorithmStatus: __expectString(output.AlgorithmStatus),
        AlgorithmStatusDetails: output.AlgorithmStatusDetails !== undefined && output.AlgorithmStatusDetails !== null
            ? deserializeAws_json1_1AlgorithmStatusDetails(output.AlgorithmStatusDetails, context)
            : undefined,
        CertifyForMarketplace: __expectBoolean(output.CertifyForMarketplace),
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        InferenceSpecification: output.InferenceSpecification !== undefined && output.InferenceSpecification !== null
            ? deserializeAws_json1_1InferenceSpecification(output.InferenceSpecification, context)
            : undefined,
        ProductId: __expectString(output.ProductId),
        TrainingSpecification: output.TrainingSpecification !== undefined && output.TrainingSpecification !== null
            ? deserializeAws_json1_1TrainingSpecification(output.TrainingSpecification, context)
            : undefined,
        ValidationSpecification: output.ValidationSpecification !== undefined && output.ValidationSpecification !== null
            ? deserializeAws_json1_1AlgorithmValidationSpecification(output.ValidationSpecification, context)
            : undefined,
    };
};
var deserializeAws_json1_1DescribeAppImageConfigResponse = function (output, context) {
    return {
        AppImageConfigArn: __expectString(output.AppImageConfigArn),
        AppImageConfigName: __expectString(output.AppImageConfigName),
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        KernelGatewayImageConfig: output.KernelGatewayImageConfig !== undefined && output.KernelGatewayImageConfig !== null
            ? deserializeAws_json1_1KernelGatewayImageConfig(output.KernelGatewayImageConfig, context)
            : undefined,
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
    };
};
var deserializeAws_json1_1DescribeAppResponse = function (output, context) {
    return {
        AppArn: __expectString(output.AppArn),
        AppName: __expectString(output.AppName),
        AppType: __expectString(output.AppType),
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        DomainId: __expectString(output.DomainId),
        FailureReason: __expectString(output.FailureReason),
        LastHealthCheckTimestamp: output.LastHealthCheckTimestamp !== undefined && output.LastHealthCheckTimestamp !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastHealthCheckTimestamp)))
            : undefined,
        LastUserActivityTimestamp: output.LastUserActivityTimestamp !== undefined && output.LastUserActivityTimestamp !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastUserActivityTimestamp)))
            : undefined,
        ResourceSpec: output.ResourceSpec !== undefined && output.ResourceSpec !== null
            ? deserializeAws_json1_1ResourceSpec(output.ResourceSpec, context)
            : undefined,
        Status: __expectString(output.Status),
        UserProfileName: __expectString(output.UserProfileName),
    };
};
var deserializeAws_json1_1DescribeArtifactResponse = function (output, context) {
    return {
        ArtifactArn: __expectString(output.ArtifactArn),
        ArtifactName: __expectString(output.ArtifactName),
        ArtifactType: __expectString(output.ArtifactType),
        CreatedBy: output.CreatedBy !== undefined && output.CreatedBy !== null
            ? deserializeAws_json1_1UserContext(output.CreatedBy, context)
            : undefined,
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        LastModifiedBy: output.LastModifiedBy !== undefined && output.LastModifiedBy !== null
            ? deserializeAws_json1_1UserContext(output.LastModifiedBy, context)
            : undefined,
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        LineageGroupArn: __expectString(output.LineageGroupArn),
        MetadataProperties: output.MetadataProperties !== undefined && output.MetadataProperties !== null
            ? deserializeAws_json1_1MetadataProperties(output.MetadataProperties, context)
            : undefined,
        Properties: output.Properties !== undefined && output.Properties !== null
            ? deserializeAws_json1_1LineageEntityParameters(output.Properties, context)
            : undefined,
        Source: output.Source !== undefined && output.Source !== null
            ? deserializeAws_json1_1ArtifactSource(output.Source, context)
            : undefined,
    };
};
var deserializeAws_json1_1DescribeAutoMLJobResponse = function (output, context) {
    return {
        AutoMLJobArn: __expectString(output.AutoMLJobArn),
        AutoMLJobArtifacts: output.AutoMLJobArtifacts !== undefined && output.AutoMLJobArtifacts !== null
            ? deserializeAws_json1_1AutoMLJobArtifacts(output.AutoMLJobArtifacts, context)
            : undefined,
        AutoMLJobConfig: output.AutoMLJobConfig !== undefined && output.AutoMLJobConfig !== null
            ? deserializeAws_json1_1AutoMLJobConfig(output.AutoMLJobConfig, context)
            : undefined,
        AutoMLJobName: __expectString(output.AutoMLJobName),
        AutoMLJobObjective: output.AutoMLJobObjective !== undefined && output.AutoMLJobObjective !== null
            ? deserializeAws_json1_1AutoMLJobObjective(output.AutoMLJobObjective, context)
            : undefined,
        AutoMLJobSecondaryStatus: __expectString(output.AutoMLJobSecondaryStatus),
        AutoMLJobStatus: __expectString(output.AutoMLJobStatus),
        BestCandidate: output.BestCandidate !== undefined && output.BestCandidate !== null
            ? deserializeAws_json1_1AutoMLCandidate(output.BestCandidate, context)
            : undefined,
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        EndTime: output.EndTime !== undefined && output.EndTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.EndTime)))
            : undefined,
        FailureReason: __expectString(output.FailureReason),
        GenerateCandidateDefinitionsOnly: __expectBoolean(output.GenerateCandidateDefinitionsOnly),
        InputDataConfig: output.InputDataConfig !== undefined && output.InputDataConfig !== null
            ? deserializeAws_json1_1AutoMLInputDataConfig(output.InputDataConfig, context)
            : undefined,
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        ModelDeployConfig: output.ModelDeployConfig !== undefined && output.ModelDeployConfig !== null
            ? deserializeAws_json1_1ModelDeployConfig(output.ModelDeployConfig, context)
            : undefined,
        ModelDeployResult: output.ModelDeployResult !== undefined && output.ModelDeployResult !== null
            ? deserializeAws_json1_1ModelDeployResult(output.ModelDeployResult, context)
            : undefined,
        OutputDataConfig: output.OutputDataConfig !== undefined && output.OutputDataConfig !== null
            ? deserializeAws_json1_1AutoMLOutputDataConfig(output.OutputDataConfig, context)
            : undefined,
        PartialFailureReasons: output.PartialFailureReasons !== undefined && output.PartialFailureReasons !== null
            ? deserializeAws_json1_1AutoMLPartialFailureReasons(output.PartialFailureReasons, context)
            : undefined,
        ProblemType: __expectString(output.ProblemType),
        ResolvedAttributes: output.ResolvedAttributes !== undefined && output.ResolvedAttributes !== null
            ? deserializeAws_json1_1ResolvedAttributes(output.ResolvedAttributes, context)
            : undefined,
        RoleArn: __expectString(output.RoleArn),
    };
};
var deserializeAws_json1_1DescribeCodeRepositoryOutput = function (output, context) {
    return {
        CodeRepositoryArn: __expectString(output.CodeRepositoryArn),
        CodeRepositoryName: __expectString(output.CodeRepositoryName),
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        GitConfig: output.GitConfig !== undefined && output.GitConfig !== null
            ? deserializeAws_json1_1GitConfig(output.GitConfig, context)
            : undefined,
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
    };
};
var deserializeAws_json1_1DescribeCompilationJobResponse = function (output, context) {
    return {
        CompilationEndTime: output.CompilationEndTime !== undefined && output.CompilationEndTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CompilationEndTime)))
            : undefined,
        CompilationJobArn: __expectString(output.CompilationJobArn),
        CompilationJobName: __expectString(output.CompilationJobName),
        CompilationJobStatus: __expectString(output.CompilationJobStatus),
        CompilationStartTime: output.CompilationStartTime !== undefined && output.CompilationStartTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CompilationStartTime)))
            : undefined,
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        FailureReason: __expectString(output.FailureReason),
        InferenceImage: __expectString(output.InferenceImage),
        InputConfig: output.InputConfig !== undefined && output.InputConfig !== null
            ? deserializeAws_json1_1InputConfig(output.InputConfig, context)
            : undefined,
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        ModelArtifacts: output.ModelArtifacts !== undefined && output.ModelArtifacts !== null
            ? deserializeAws_json1_1ModelArtifacts(output.ModelArtifacts, context)
            : undefined,
        ModelDigests: output.ModelDigests !== undefined && output.ModelDigests !== null
            ? deserializeAws_json1_1ModelDigests(output.ModelDigests, context)
            : undefined,
        ModelPackageVersionArn: __expectString(output.ModelPackageVersionArn),
        OutputConfig: output.OutputConfig !== undefined && output.OutputConfig !== null
            ? deserializeAws_json1_1OutputConfig(output.OutputConfig, context)
            : undefined,
        RoleArn: __expectString(output.RoleArn),
        StoppingCondition: output.StoppingCondition !== undefined && output.StoppingCondition !== null
            ? deserializeAws_json1_1StoppingCondition(output.StoppingCondition, context)
            : undefined,
        VpcConfig: output.VpcConfig !== undefined && output.VpcConfig !== null
            ? deserializeAws_json1_1NeoVpcConfig(output.VpcConfig, context)
            : undefined,
    };
};
var deserializeAws_json1_1DescribeContextResponse = function (output, context) {
    return {
        ContextArn: __expectString(output.ContextArn),
        ContextName: __expectString(output.ContextName),
        ContextType: __expectString(output.ContextType),
        CreatedBy: output.CreatedBy !== undefined && output.CreatedBy !== null
            ? deserializeAws_json1_1UserContext(output.CreatedBy, context)
            : undefined,
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        Description: __expectString(output.Description),
        LastModifiedBy: output.LastModifiedBy !== undefined && output.LastModifiedBy !== null
            ? deserializeAws_json1_1UserContext(output.LastModifiedBy, context)
            : undefined,
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        LineageGroupArn: __expectString(output.LineageGroupArn),
        Properties: output.Properties !== undefined && output.Properties !== null
            ? deserializeAws_json1_1LineageEntityParameters(output.Properties, context)
            : undefined,
        Source: output.Source !== undefined && output.Source !== null
            ? deserializeAws_json1_1ContextSource(output.Source, context)
            : undefined,
    };
};
var deserializeAws_json1_1DescribeDataQualityJobDefinitionResponse = function (output, context) {
    return {
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        DataQualityAppSpecification: output.DataQualityAppSpecification !== undefined && output.DataQualityAppSpecification !== null
            ? deserializeAws_json1_1DataQualityAppSpecification(output.DataQualityAppSpecification, context)
            : undefined,
        DataQualityBaselineConfig: output.DataQualityBaselineConfig !== undefined && output.DataQualityBaselineConfig !== null
            ? deserializeAws_json1_1DataQualityBaselineConfig(output.DataQualityBaselineConfig, context)
            : undefined,
        DataQualityJobInput: output.DataQualityJobInput !== undefined && output.DataQualityJobInput !== null
            ? deserializeAws_json1_1DataQualityJobInput(output.DataQualityJobInput, context)
            : undefined,
        DataQualityJobOutputConfig: output.DataQualityJobOutputConfig !== undefined && output.DataQualityJobOutputConfig !== null
            ? deserializeAws_json1_1MonitoringOutputConfig(output.DataQualityJobOutputConfig, context)
            : undefined,
        JobDefinitionArn: __expectString(output.JobDefinitionArn),
        JobDefinitionName: __expectString(output.JobDefinitionName),
        JobResources: output.JobResources !== undefined && output.JobResources !== null
            ? deserializeAws_json1_1MonitoringResources(output.JobResources, context)
            : undefined,
        NetworkConfig: output.NetworkConfig !== undefined && output.NetworkConfig !== null
            ? deserializeAws_json1_1MonitoringNetworkConfig(output.NetworkConfig, context)
            : undefined,
        RoleArn: __expectString(output.RoleArn),
        StoppingCondition: output.StoppingCondition !== undefined && output.StoppingCondition !== null
            ? deserializeAws_json1_1MonitoringStoppingCondition(output.StoppingCondition, context)
            : undefined,
    };
};
var deserializeAws_json1_1DescribeDeviceFleetResponse = function (output, context) {
    return {
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        Description: __expectString(output.Description),
        DeviceFleetArn: __expectString(output.DeviceFleetArn),
        DeviceFleetName: __expectString(output.DeviceFleetName),
        IotRoleAlias: __expectString(output.IotRoleAlias),
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        OutputConfig: output.OutputConfig !== undefined && output.OutputConfig !== null
            ? deserializeAws_json1_1EdgeOutputConfig(output.OutputConfig, context)
            : undefined,
        RoleArn: __expectString(output.RoleArn),
    };
};
var deserializeAws_json1_1DescribeDeviceResponse = function (output, context) {
    return {
        AgentVersion: __expectString(output.AgentVersion),
        Description: __expectString(output.Description),
        DeviceArn: __expectString(output.DeviceArn),
        DeviceFleetName: __expectString(output.DeviceFleetName),
        DeviceName: __expectString(output.DeviceName),
        IotThingName: __expectString(output.IotThingName),
        LatestHeartbeat: output.LatestHeartbeat !== undefined && output.LatestHeartbeat !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LatestHeartbeat)))
            : undefined,
        MaxModels: __expectInt32(output.MaxModels),
        Models: output.Models !== undefined && output.Models !== null
            ? deserializeAws_json1_1EdgeModels(output.Models, context)
            : undefined,
        NextToken: __expectString(output.NextToken),
        RegistrationTime: output.RegistrationTime !== undefined && output.RegistrationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.RegistrationTime)))
            : undefined,
    };
};
var deserializeAws_json1_1DescribeDomainResponse = function (output, context) {
    return {
        AppNetworkAccessType: __expectString(output.AppNetworkAccessType),
        AppSecurityGroupManagement: __expectString(output.AppSecurityGroupManagement),
        AuthMode: __expectString(output.AuthMode),
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        DefaultUserSettings: output.DefaultUserSettings !== undefined && output.DefaultUserSettings !== null
            ? deserializeAws_json1_1UserSettings(output.DefaultUserSettings, context)
            : undefined,
        DomainArn: __expectString(output.DomainArn),
        DomainId: __expectString(output.DomainId),
        DomainName: __expectString(output.DomainName),
        DomainSettings: output.DomainSettings !== undefined && output.DomainSettings !== null
            ? deserializeAws_json1_1DomainSettings(output.DomainSettings, context)
            : undefined,
        FailureReason: __expectString(output.FailureReason),
        HomeEfsFileSystemId: __expectString(output.HomeEfsFileSystemId),
        HomeEfsFileSystemKmsKeyId: __expectString(output.HomeEfsFileSystemKmsKeyId),
        KmsKeyId: __expectString(output.KmsKeyId),
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        SecurityGroupIdForDomainBoundary: __expectString(output.SecurityGroupIdForDomainBoundary),
        SingleSignOnManagedApplicationInstanceId: __expectString(output.SingleSignOnManagedApplicationInstanceId),
        Status: __expectString(output.Status),
        SubnetIds: output.SubnetIds !== undefined && output.SubnetIds !== null
            ? deserializeAws_json1_1Subnets(output.SubnetIds, context)
            : undefined,
        Url: __expectString(output.Url),
        VpcId: __expectString(output.VpcId),
    };
};
var deserializeAws_json1_1DescribeEdgePackagingJobResponse = function (output, context) {
    return {
        CompilationJobName: __expectString(output.CompilationJobName),
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        EdgePackagingJobArn: __expectString(output.EdgePackagingJobArn),
        EdgePackagingJobName: __expectString(output.EdgePackagingJobName),
        EdgePackagingJobStatus: __expectString(output.EdgePackagingJobStatus),
        EdgePackagingJobStatusMessage: __expectString(output.EdgePackagingJobStatusMessage),
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        ModelArtifact: __expectString(output.ModelArtifact),
        ModelName: __expectString(output.ModelName),
        ModelSignature: __expectString(output.ModelSignature),
        ModelVersion: __expectString(output.ModelVersion),
        OutputConfig: output.OutputConfig !== undefined && output.OutputConfig !== null
            ? deserializeAws_json1_1EdgeOutputConfig(output.OutputConfig, context)
            : undefined,
        PresetDeploymentOutput: output.PresetDeploymentOutput !== undefined && output.PresetDeploymentOutput !== null
            ? deserializeAws_json1_1EdgePresetDeploymentOutput(output.PresetDeploymentOutput, context)
            : undefined,
        ResourceKey: __expectString(output.ResourceKey),
        RoleArn: __expectString(output.RoleArn),
    };
};
var deserializeAws_json1_1DescribeEndpointConfigOutput = function (output, context) {
    return {
        AsyncInferenceConfig: output.AsyncInferenceConfig !== undefined && output.AsyncInferenceConfig !== null
            ? deserializeAws_json1_1AsyncInferenceConfig(output.AsyncInferenceConfig, context)
            : undefined,
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        DataCaptureConfig: output.DataCaptureConfig !== undefined && output.DataCaptureConfig !== null
            ? deserializeAws_json1_1DataCaptureConfig(output.DataCaptureConfig, context)
            : undefined,
        EndpointConfigArn: __expectString(output.EndpointConfigArn),
        EndpointConfigName: __expectString(output.EndpointConfigName),
        KmsKeyId: __expectString(output.KmsKeyId),
        ProductionVariants: output.ProductionVariants !== undefined && output.ProductionVariants !== null
            ? deserializeAws_json1_1ProductionVariantList(output.ProductionVariants, context)
            : undefined,
    };
};
var deserializeAws_json1_1DescribeEndpointOutput = function (output, context) {
    return {
        AsyncInferenceConfig: output.AsyncInferenceConfig !== undefined && output.AsyncInferenceConfig !== null
            ? deserializeAws_json1_1AsyncInferenceConfig(output.AsyncInferenceConfig, context)
            : undefined,
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        DataCaptureConfig: output.DataCaptureConfig !== undefined && output.DataCaptureConfig !== null
            ? deserializeAws_json1_1DataCaptureConfigSummary(output.DataCaptureConfig, context)
            : undefined,
        EndpointArn: __expectString(output.EndpointArn),
        EndpointConfigName: __expectString(output.EndpointConfigName),
        EndpointName: __expectString(output.EndpointName),
        EndpointStatus: __expectString(output.EndpointStatus),
        FailureReason: __expectString(output.FailureReason),
        LastDeploymentConfig: output.LastDeploymentConfig !== undefined && output.LastDeploymentConfig !== null
            ? deserializeAws_json1_1DeploymentConfig(output.LastDeploymentConfig, context)
            : undefined,
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        PendingDeploymentSummary: output.PendingDeploymentSummary !== undefined && output.PendingDeploymentSummary !== null
            ? deserializeAws_json1_1PendingDeploymentSummary(output.PendingDeploymentSummary, context)
            : undefined,
        ProductionVariants: output.ProductionVariants !== undefined && output.ProductionVariants !== null
            ? deserializeAws_json1_1ProductionVariantSummaryList(output.ProductionVariants, context)
            : undefined,
    };
};
var deserializeAws_json1_1DescribeExperimentResponse = function (output, context) {
    return {
        CreatedBy: output.CreatedBy !== undefined && output.CreatedBy !== null
            ? deserializeAws_json1_1UserContext(output.CreatedBy, context)
            : undefined,
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        Description: __expectString(output.Description),
        DisplayName: __expectString(output.DisplayName),
        ExperimentArn: __expectString(output.ExperimentArn),
        ExperimentName: __expectString(output.ExperimentName),
        LastModifiedBy: output.LastModifiedBy !== undefined && output.LastModifiedBy !== null
            ? deserializeAws_json1_1UserContext(output.LastModifiedBy, context)
            : undefined,
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        Source: output.Source !== undefined && output.Source !== null
            ? deserializeAws_json1_1ExperimentSource(output.Source, context)
            : undefined,
    };
};
var deserializeAws_json1_1DescribeFeatureGroupResponse = function (output, context) {
    return {
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        Description: __expectString(output.Description),
        EventTimeFeatureName: __expectString(output.EventTimeFeatureName),
        FailureReason: __expectString(output.FailureReason),
        FeatureDefinitions: output.FeatureDefinitions !== undefined && output.FeatureDefinitions !== null
            ? deserializeAws_json1_1FeatureDefinitions(output.FeatureDefinitions, context)
            : undefined,
        FeatureGroupArn: __expectString(output.FeatureGroupArn),
        FeatureGroupName: __expectString(output.FeatureGroupName),
        FeatureGroupStatus: __expectString(output.FeatureGroupStatus),
        NextToken: __expectString(output.NextToken),
        OfflineStoreConfig: output.OfflineStoreConfig !== undefined && output.OfflineStoreConfig !== null
            ? deserializeAws_json1_1OfflineStoreConfig(output.OfflineStoreConfig, context)
            : undefined,
        OfflineStoreStatus: output.OfflineStoreStatus !== undefined && output.OfflineStoreStatus !== null
            ? deserializeAws_json1_1OfflineStoreStatus(output.OfflineStoreStatus, context)
            : undefined,
        OnlineStoreConfig: output.OnlineStoreConfig !== undefined && output.OnlineStoreConfig !== null
            ? deserializeAws_json1_1OnlineStoreConfig(output.OnlineStoreConfig, context)
            : undefined,
        RecordIdentifierFeatureName: __expectString(output.RecordIdentifierFeatureName),
        RoleArn: __expectString(output.RoleArn),
    };
};
var deserializeAws_json1_1DescribeFlowDefinitionResponse = function (output, context) {
    return {
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        FailureReason: __expectString(output.FailureReason),
        FlowDefinitionArn: __expectString(output.FlowDefinitionArn),
        FlowDefinitionName: __expectString(output.FlowDefinitionName),
        FlowDefinitionStatus: __expectString(output.FlowDefinitionStatus),
        HumanLoopActivationConfig: output.HumanLoopActivationConfig !== undefined && output.HumanLoopActivationConfig !== null
            ? deserializeAws_json1_1HumanLoopActivationConfig(output.HumanLoopActivationConfig, context)
            : undefined,
        HumanLoopConfig: output.HumanLoopConfig !== undefined && output.HumanLoopConfig !== null
            ? deserializeAws_json1_1HumanLoopConfig(output.HumanLoopConfig, context)
            : undefined,
        HumanLoopRequestSource: output.HumanLoopRequestSource !== undefined && output.HumanLoopRequestSource !== null
            ? deserializeAws_json1_1HumanLoopRequestSource(output.HumanLoopRequestSource, context)
            : undefined,
        OutputConfig: output.OutputConfig !== undefined && output.OutputConfig !== null
            ? deserializeAws_json1_1FlowDefinitionOutputConfig(output.OutputConfig, context)
            : undefined,
        RoleArn: __expectString(output.RoleArn),
    };
};
var deserializeAws_json1_1DescribeHumanTaskUiResponse = function (output, context) {
    return {
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        HumanTaskUiArn: __expectString(output.HumanTaskUiArn),
        HumanTaskUiName: __expectString(output.HumanTaskUiName),
        HumanTaskUiStatus: __expectString(output.HumanTaskUiStatus),
        UiTemplate: output.UiTemplate !== undefined && output.UiTemplate !== null
            ? deserializeAws_json1_1UiTemplateInfo(output.UiTemplate, context)
            : undefined,
    };
};
var deserializeAws_json1_1DescribeHyperParameterTuningJobResponse = function (output, context) {
    return {
        BestTrainingJob: output.BestTrainingJob !== undefined && output.BestTrainingJob !== null
            ? deserializeAws_json1_1HyperParameterTrainingJobSummary(output.BestTrainingJob, context)
            : undefined,
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        FailureReason: __expectString(output.FailureReason),
        HyperParameterTuningEndTime: output.HyperParameterTuningEndTime !== undefined && output.HyperParameterTuningEndTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.HyperParameterTuningEndTime)))
            : undefined,
        HyperParameterTuningJobArn: __expectString(output.HyperParameterTuningJobArn),
        HyperParameterTuningJobConfig: output.HyperParameterTuningJobConfig !== undefined && output.HyperParameterTuningJobConfig !== null
            ? deserializeAws_json1_1HyperParameterTuningJobConfig(output.HyperParameterTuningJobConfig, context)
            : undefined,
        HyperParameterTuningJobName: __expectString(output.HyperParameterTuningJobName),
        HyperParameterTuningJobStatus: __expectString(output.HyperParameterTuningJobStatus),
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        ObjectiveStatusCounters: output.ObjectiveStatusCounters !== undefined && output.ObjectiveStatusCounters !== null
            ? deserializeAws_json1_1ObjectiveStatusCounters(output.ObjectiveStatusCounters, context)
            : undefined,
        OverallBestTrainingJob: output.OverallBestTrainingJob !== undefined && output.OverallBestTrainingJob !== null
            ? deserializeAws_json1_1HyperParameterTrainingJobSummary(output.OverallBestTrainingJob, context)
            : undefined,
        TrainingJobDefinition: output.TrainingJobDefinition !== undefined && output.TrainingJobDefinition !== null
            ? deserializeAws_json1_1HyperParameterTrainingJobDefinition(output.TrainingJobDefinition, context)
            : undefined,
        TrainingJobDefinitions: output.TrainingJobDefinitions !== undefined && output.TrainingJobDefinitions !== null
            ? deserializeAws_json1_1HyperParameterTrainingJobDefinitions(output.TrainingJobDefinitions, context)
            : undefined,
        TrainingJobStatusCounters: output.TrainingJobStatusCounters !== undefined && output.TrainingJobStatusCounters !== null
            ? deserializeAws_json1_1TrainingJobStatusCounters(output.TrainingJobStatusCounters, context)
            : undefined,
        WarmStartConfig: output.WarmStartConfig !== undefined && output.WarmStartConfig !== null
            ? deserializeAws_json1_1HyperParameterTuningJobWarmStartConfig(output.WarmStartConfig, context)
            : undefined,
    };
};
var deserializeAws_json1_1DescribeImageResponse = function (output, context) {
    return {
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        Description: __expectString(output.Description),
        DisplayName: __expectString(output.DisplayName),
        FailureReason: __expectString(output.FailureReason),
        ImageArn: __expectString(output.ImageArn),
        ImageName: __expectString(output.ImageName),
        ImageStatus: __expectString(output.ImageStatus),
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        RoleArn: __expectString(output.RoleArn),
    };
};
var deserializeAws_json1_1DescribeImageVersionResponse = function (output, context) {
    return {
        BaseImage: __expectString(output.BaseImage),
        ContainerImage: __expectString(output.ContainerImage),
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        FailureReason: __expectString(output.FailureReason),
        ImageArn: __expectString(output.ImageArn),
        ImageVersionArn: __expectString(output.ImageVersionArn),
        ImageVersionStatus: __expectString(output.ImageVersionStatus),
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        Version: __expectInt32(output.Version),
    };
};
var deserializeAws_json1_1DescribeInferenceRecommendationsJobResponse = function (output, context) {
    return {
        CompletionTime: output.CompletionTime !== undefined && output.CompletionTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CompletionTime)))
            : undefined,
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        FailureReason: __expectString(output.FailureReason),
        InferenceRecommendations: output.InferenceRecommendations !== undefined && output.InferenceRecommendations !== null
            ? deserializeAws_json1_1InferenceRecommendations(output.InferenceRecommendations, context)
            : undefined,
        InputConfig: output.InputConfig !== undefined && output.InputConfig !== null
            ? deserializeAws_json1_1RecommendationJobInputConfig(output.InputConfig, context)
            : undefined,
        JobArn: __expectString(output.JobArn),
        JobDescription: __expectString(output.JobDescription),
        JobName: __expectString(output.JobName),
        JobType: __expectString(output.JobType),
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        RoleArn: __expectString(output.RoleArn),
        Status: __expectString(output.Status),
        StoppingConditions: output.StoppingConditions !== undefined && output.StoppingConditions !== null
            ? deserializeAws_json1_1RecommendationJobStoppingConditions(output.StoppingConditions, context)
            : undefined,
    };
};
var deserializeAws_json1_1DescribeLabelingJobResponse = function (output, context) {
    return {
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        FailureReason: __expectString(output.FailureReason),
        HumanTaskConfig: output.HumanTaskConfig !== undefined && output.HumanTaskConfig !== null
            ? deserializeAws_json1_1HumanTaskConfig(output.HumanTaskConfig, context)
            : undefined,
        InputConfig: output.InputConfig !== undefined && output.InputConfig !== null
            ? deserializeAws_json1_1LabelingJobInputConfig(output.InputConfig, context)
            : undefined,
        JobReferenceCode: __expectString(output.JobReferenceCode),
        LabelAttributeName: __expectString(output.LabelAttributeName),
        LabelCategoryConfigS3Uri: __expectString(output.LabelCategoryConfigS3Uri),
        LabelCounters: output.LabelCounters !== undefined && output.LabelCounters !== null
            ? deserializeAws_json1_1LabelCounters(output.LabelCounters, context)
            : undefined,
        LabelingJobAlgorithmsConfig: output.LabelingJobAlgorithmsConfig !== undefined && output.LabelingJobAlgorithmsConfig !== null
            ? deserializeAws_json1_1LabelingJobAlgorithmsConfig(output.LabelingJobAlgorithmsConfig, context)
            : undefined,
        LabelingJobArn: __expectString(output.LabelingJobArn),
        LabelingJobName: __expectString(output.LabelingJobName),
        LabelingJobOutput: output.LabelingJobOutput !== undefined && output.LabelingJobOutput !== null
            ? deserializeAws_json1_1LabelingJobOutput(output.LabelingJobOutput, context)
            : undefined,
        LabelingJobStatus: __expectString(output.LabelingJobStatus),
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        OutputConfig: output.OutputConfig !== undefined && output.OutputConfig !== null
            ? deserializeAws_json1_1LabelingJobOutputConfig(output.OutputConfig, context)
            : undefined,
        RoleArn: __expectString(output.RoleArn),
        StoppingConditions: output.StoppingConditions !== undefined && output.StoppingConditions !== null
            ? deserializeAws_json1_1LabelingJobStoppingConditions(output.StoppingConditions, context)
            : undefined,
        Tags: output.Tags !== undefined && output.Tags !== null
            ? deserializeAws_json1_1TagList(output.Tags, context)
            : undefined,
    };
};
var deserializeAws_json1_1DescribeLineageGroupResponse = function (output, context) {
    return {
        CreatedBy: output.CreatedBy !== undefined && output.CreatedBy !== null
            ? deserializeAws_json1_1UserContext(output.CreatedBy, context)
            : undefined,
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        Description: __expectString(output.Description),
        DisplayName: __expectString(output.DisplayName),
        LastModifiedBy: output.LastModifiedBy !== undefined && output.LastModifiedBy !== null
            ? deserializeAws_json1_1UserContext(output.LastModifiedBy, context)
            : undefined,
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        LineageGroupArn: __expectString(output.LineageGroupArn),
        LineageGroupName: __expectString(output.LineageGroupName),
    };
};
var deserializeAws_json1_1DescribeModelBiasJobDefinitionResponse = function (output, context) {
    return {
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        JobDefinitionArn: __expectString(output.JobDefinitionArn),
        JobDefinitionName: __expectString(output.JobDefinitionName),
        JobResources: output.JobResources !== undefined && output.JobResources !== null
            ? deserializeAws_json1_1MonitoringResources(output.JobResources, context)
            : undefined,
        ModelBiasAppSpecification: output.ModelBiasAppSpecification !== undefined && output.ModelBiasAppSpecification !== null
            ? deserializeAws_json1_1ModelBiasAppSpecification(output.ModelBiasAppSpecification, context)
            : undefined,
        ModelBiasBaselineConfig: output.ModelBiasBaselineConfig !== undefined && output.ModelBiasBaselineConfig !== null
            ? deserializeAws_json1_1ModelBiasBaselineConfig(output.ModelBiasBaselineConfig, context)
            : undefined,
        ModelBiasJobInput: output.ModelBiasJobInput !== undefined && output.ModelBiasJobInput !== null
            ? deserializeAws_json1_1ModelBiasJobInput(output.ModelBiasJobInput, context)
            : undefined,
        ModelBiasJobOutputConfig: output.ModelBiasJobOutputConfig !== undefined && output.ModelBiasJobOutputConfig !== null
            ? deserializeAws_json1_1MonitoringOutputConfig(output.ModelBiasJobOutputConfig, context)
            : undefined,
        NetworkConfig: output.NetworkConfig !== undefined && output.NetworkConfig !== null
            ? deserializeAws_json1_1MonitoringNetworkConfig(output.NetworkConfig, context)
            : undefined,
        RoleArn: __expectString(output.RoleArn),
        StoppingCondition: output.StoppingCondition !== undefined && output.StoppingCondition !== null
            ? deserializeAws_json1_1MonitoringStoppingCondition(output.StoppingCondition, context)
            : undefined,
    };
};
var deserializeAws_json1_1DescribeModelExplainabilityJobDefinitionResponse = function (output, context) {
    return {
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        JobDefinitionArn: __expectString(output.JobDefinitionArn),
        JobDefinitionName: __expectString(output.JobDefinitionName),
        JobResources: output.JobResources !== undefined && output.JobResources !== null
            ? deserializeAws_json1_1MonitoringResources(output.JobResources, context)
            : undefined,
        ModelExplainabilityAppSpecification: output.ModelExplainabilityAppSpecification !== undefined && output.ModelExplainabilityAppSpecification !== null
            ? deserializeAws_json1_1ModelExplainabilityAppSpecification(output.ModelExplainabilityAppSpecification, context)
            : undefined,
        ModelExplainabilityBaselineConfig: output.ModelExplainabilityBaselineConfig !== undefined && output.ModelExplainabilityBaselineConfig !== null
            ? deserializeAws_json1_1ModelExplainabilityBaselineConfig(output.ModelExplainabilityBaselineConfig, context)
            : undefined,
        ModelExplainabilityJobInput: output.ModelExplainabilityJobInput !== undefined && output.ModelExplainabilityJobInput !== null
            ? deserializeAws_json1_1ModelExplainabilityJobInput(output.ModelExplainabilityJobInput, context)
            : undefined,
        ModelExplainabilityJobOutputConfig: output.ModelExplainabilityJobOutputConfig !== undefined && output.ModelExplainabilityJobOutputConfig !== null
            ? deserializeAws_json1_1MonitoringOutputConfig(output.ModelExplainabilityJobOutputConfig, context)
            : undefined,
        NetworkConfig: output.NetworkConfig !== undefined && output.NetworkConfig !== null
            ? deserializeAws_json1_1MonitoringNetworkConfig(output.NetworkConfig, context)
            : undefined,
        RoleArn: __expectString(output.RoleArn),
        StoppingCondition: output.StoppingCondition !== undefined && output.StoppingCondition !== null
            ? deserializeAws_json1_1MonitoringStoppingCondition(output.StoppingCondition, context)
            : undefined,
    };
};
var deserializeAws_json1_1DescribeModelOutput = function (output, context) {
    return {
        Containers: output.Containers !== undefined && output.Containers !== null
            ? deserializeAws_json1_1ContainerDefinitionList(output.Containers, context)
            : undefined,
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        EnableNetworkIsolation: __expectBoolean(output.EnableNetworkIsolation),
        ExecutionRoleArn: __expectString(output.ExecutionRoleArn),
        InferenceExecutionConfig: output.InferenceExecutionConfig !== undefined && output.InferenceExecutionConfig !== null
            ? deserializeAws_json1_1InferenceExecutionConfig(output.InferenceExecutionConfig, context)
            : undefined,
        ModelArn: __expectString(output.ModelArn),
        ModelName: __expectString(output.ModelName),
        PrimaryContainer: output.PrimaryContainer !== undefined && output.PrimaryContainer !== null
            ? deserializeAws_json1_1ContainerDefinition(output.PrimaryContainer, context)
            : undefined,
        VpcConfig: output.VpcConfig !== undefined && output.VpcConfig !== null
            ? deserializeAws_json1_1VpcConfig(output.VpcConfig, context)
            : undefined,
    };
};
var deserializeAws_json1_1DescribeModelPackageGroupOutput = function (output, context) {
    return {
        CreatedBy: output.CreatedBy !== undefined && output.CreatedBy !== null
            ? deserializeAws_json1_1UserContext(output.CreatedBy, context)
            : undefined,
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        ModelPackageGroupArn: __expectString(output.ModelPackageGroupArn),
        ModelPackageGroupDescription: __expectString(output.ModelPackageGroupDescription),
        ModelPackageGroupName: __expectString(output.ModelPackageGroupName),
        ModelPackageGroupStatus: __expectString(output.ModelPackageGroupStatus),
    };
};
var deserializeAws_json1_1DescribeModelPackageOutput = function (output, context) {
    return {
        AdditionalInferenceSpecifications: output.AdditionalInferenceSpecifications !== undefined && output.AdditionalInferenceSpecifications !== null
            ? deserializeAws_json1_1AdditionalInferenceSpecifications(output.AdditionalInferenceSpecifications, context)
            : undefined,
        ApprovalDescription: __expectString(output.ApprovalDescription),
        CertifyForMarketplace: __expectBoolean(output.CertifyForMarketplace),
        CreatedBy: output.CreatedBy !== undefined && output.CreatedBy !== null
            ? deserializeAws_json1_1UserContext(output.CreatedBy, context)
            : undefined,
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        CustomerMetadataProperties: output.CustomerMetadataProperties !== undefined && output.CustomerMetadataProperties !== null
            ? deserializeAws_json1_1CustomerMetadataMap(output.CustomerMetadataProperties, context)
            : undefined,
        Domain: __expectString(output.Domain),
        DriftCheckBaselines: output.DriftCheckBaselines !== undefined && output.DriftCheckBaselines !== null
            ? deserializeAws_json1_1DriftCheckBaselines(output.DriftCheckBaselines, context)
            : undefined,
        InferenceSpecification: output.InferenceSpecification !== undefined && output.InferenceSpecification !== null
            ? deserializeAws_json1_1InferenceSpecification(output.InferenceSpecification, context)
            : undefined,
        LastModifiedBy: output.LastModifiedBy !== undefined && output.LastModifiedBy !== null
            ? deserializeAws_json1_1UserContext(output.LastModifiedBy, context)
            : undefined,
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        MetadataProperties: output.MetadataProperties !== undefined && output.MetadataProperties !== null
            ? deserializeAws_json1_1MetadataProperties(output.MetadataProperties, context)
            : undefined,
        ModelApprovalStatus: __expectString(output.ModelApprovalStatus),
        ModelMetrics: output.ModelMetrics !== undefined && output.ModelMetrics !== null
            ? deserializeAws_json1_1ModelMetrics(output.ModelMetrics, context)
            : undefined,
        ModelPackageArn: __expectString(output.ModelPackageArn),
        ModelPackageDescription: __expectString(output.ModelPackageDescription),
        ModelPackageGroupName: __expectString(output.ModelPackageGroupName),
        ModelPackageName: __expectString(output.ModelPackageName),
        ModelPackageStatus: __expectString(output.ModelPackageStatus),
        ModelPackageStatusDetails: output.ModelPackageStatusDetails !== undefined && output.ModelPackageStatusDetails !== null
            ? deserializeAws_json1_1ModelPackageStatusDetails(output.ModelPackageStatusDetails, context)
            : undefined,
        ModelPackageVersion: __expectInt32(output.ModelPackageVersion),
        SamplePayloadUrl: __expectString(output.SamplePayloadUrl),
        SourceAlgorithmSpecification: output.SourceAlgorithmSpecification !== undefined && output.SourceAlgorithmSpecification !== null
            ? deserializeAws_json1_1SourceAlgorithmSpecification(output.SourceAlgorithmSpecification, context)
            : undefined,
        Task: __expectString(output.Task),
        ValidationSpecification: output.ValidationSpecification !== undefined && output.ValidationSpecification !== null
            ? deserializeAws_json1_1ModelPackageValidationSpecification(output.ValidationSpecification, context)
            : undefined,
    };
};
var deserializeAws_json1_1DescribeModelQualityJobDefinitionResponse = function (output, context) {
    return {
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        JobDefinitionArn: __expectString(output.JobDefinitionArn),
        JobDefinitionName: __expectString(output.JobDefinitionName),
        JobResources: output.JobResources !== undefined && output.JobResources !== null
            ? deserializeAws_json1_1MonitoringResources(output.JobResources, context)
            : undefined,
        ModelQualityAppSpecification: output.ModelQualityAppSpecification !== undefined && output.ModelQualityAppSpecification !== null
            ? deserializeAws_json1_1ModelQualityAppSpecification(output.ModelQualityAppSpecification, context)
            : undefined,
        ModelQualityBaselineConfig: output.ModelQualityBaselineConfig !== undefined && output.ModelQualityBaselineConfig !== null
            ? deserializeAws_json1_1ModelQualityBaselineConfig(output.ModelQualityBaselineConfig, context)
            : undefined,
        ModelQualityJobInput: output.ModelQualityJobInput !== undefined && output.ModelQualityJobInput !== null
            ? deserializeAws_json1_1ModelQualityJobInput(output.ModelQualityJobInput, context)
            : undefined,
        ModelQualityJobOutputConfig: output.ModelQualityJobOutputConfig !== undefined && output.ModelQualityJobOutputConfig !== null
            ? deserializeAws_json1_1MonitoringOutputConfig(output.ModelQualityJobOutputConfig, context)
            : undefined,
        NetworkConfig: output.NetworkConfig !== undefined && output.NetworkConfig !== null
            ? deserializeAws_json1_1MonitoringNetworkConfig(output.NetworkConfig, context)
            : undefined,
        RoleArn: __expectString(output.RoleArn),
        StoppingCondition: output.StoppingCondition !== undefined && output.StoppingCondition !== null
            ? deserializeAws_json1_1MonitoringStoppingCondition(output.StoppingCondition, context)
            : undefined,
    };
};
var deserializeAws_json1_1DescribeMonitoringScheduleResponse = function (output, context) {
    return {
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        EndpointName: __expectString(output.EndpointName),
        FailureReason: __expectString(output.FailureReason),
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        LastMonitoringExecutionSummary: output.LastMonitoringExecutionSummary !== undefined && output.LastMonitoringExecutionSummary !== null
            ? deserializeAws_json1_1MonitoringExecutionSummary(output.LastMonitoringExecutionSummary, context)
            : undefined,
        MonitoringScheduleArn: __expectString(output.MonitoringScheduleArn),
        MonitoringScheduleConfig: output.MonitoringScheduleConfig !== undefined && output.MonitoringScheduleConfig !== null
            ? deserializeAws_json1_1MonitoringScheduleConfig(output.MonitoringScheduleConfig, context)
            : undefined,
        MonitoringScheduleName: __expectString(output.MonitoringScheduleName),
        MonitoringScheduleStatus: __expectString(output.MonitoringScheduleStatus),
        MonitoringType: __expectString(output.MonitoringType),
    };
};
var deserializeAws_json1_1DescribeNotebookInstanceLifecycleConfigOutput = function (output, context) {
    return {
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        NotebookInstanceLifecycleConfigArn: __expectString(output.NotebookInstanceLifecycleConfigArn),
        NotebookInstanceLifecycleConfigName: __expectString(output.NotebookInstanceLifecycleConfigName),
        OnCreate: output.OnCreate !== undefined && output.OnCreate !== null
            ? deserializeAws_json1_1NotebookInstanceLifecycleConfigList(output.OnCreate, context)
            : undefined,
        OnStart: output.OnStart !== undefined && output.OnStart !== null
            ? deserializeAws_json1_1NotebookInstanceLifecycleConfigList(output.OnStart, context)
            : undefined,
    };
};
var deserializeAws_json1_1DescribeNotebookInstanceOutput = function (output, context) {
    return {
        AcceleratorTypes: output.AcceleratorTypes !== undefined && output.AcceleratorTypes !== null
            ? deserializeAws_json1_1NotebookInstanceAcceleratorTypes(output.AcceleratorTypes, context)
            : undefined,
        AdditionalCodeRepositories: output.AdditionalCodeRepositories !== undefined && output.AdditionalCodeRepositories !== null
            ? deserializeAws_json1_1AdditionalCodeRepositoryNamesOrUrls(output.AdditionalCodeRepositories, context)
            : undefined,
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        DefaultCodeRepository: __expectString(output.DefaultCodeRepository),
        DirectInternetAccess: __expectString(output.DirectInternetAccess),
        FailureReason: __expectString(output.FailureReason),
        InstanceType: __expectString(output.InstanceType),
        KmsKeyId: __expectString(output.KmsKeyId),
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        NetworkInterfaceId: __expectString(output.NetworkInterfaceId),
        NotebookInstanceArn: __expectString(output.NotebookInstanceArn),
        NotebookInstanceLifecycleConfigName: __expectString(output.NotebookInstanceLifecycleConfigName),
        NotebookInstanceName: __expectString(output.NotebookInstanceName),
        NotebookInstanceStatus: __expectString(output.NotebookInstanceStatus),
        PlatformIdentifier: __expectString(output.PlatformIdentifier),
        RoleArn: __expectString(output.RoleArn),
        RootAccess: __expectString(output.RootAccess),
        SecurityGroups: output.SecurityGroups !== undefined && output.SecurityGroups !== null
            ? deserializeAws_json1_1SecurityGroupIds(output.SecurityGroups, context)
            : undefined,
        SubnetId: __expectString(output.SubnetId),
        Url: __expectString(output.Url),
        VolumeSizeInGB: __expectInt32(output.VolumeSizeInGB),
    };
};
var deserializeAws_json1_1DescribePipelineDefinitionForExecutionResponse = function (output, context) {
    return {
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        PipelineDefinition: __expectString(output.PipelineDefinition),
    };
};
var deserializeAws_json1_1DescribePipelineExecutionResponse = function (output, context) {
    return {
        CreatedBy: output.CreatedBy !== undefined && output.CreatedBy !== null
            ? deserializeAws_json1_1UserContext(output.CreatedBy, context)
            : undefined,
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        FailureReason: __expectString(output.FailureReason),
        LastModifiedBy: output.LastModifiedBy !== undefined && output.LastModifiedBy !== null
            ? deserializeAws_json1_1UserContext(output.LastModifiedBy, context)
            : undefined,
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        ParallelismConfiguration: output.ParallelismConfiguration !== undefined && output.ParallelismConfiguration !== null
            ? deserializeAws_json1_1ParallelismConfiguration(output.ParallelismConfiguration, context)
            : undefined,
        PipelineArn: __expectString(output.PipelineArn),
        PipelineExecutionArn: __expectString(output.PipelineExecutionArn),
        PipelineExecutionDescription: __expectString(output.PipelineExecutionDescription),
        PipelineExecutionDisplayName: __expectString(output.PipelineExecutionDisplayName),
        PipelineExecutionStatus: __expectString(output.PipelineExecutionStatus),
        PipelineExperimentConfig: output.PipelineExperimentConfig !== undefined && output.PipelineExperimentConfig !== null
            ? deserializeAws_json1_1PipelineExperimentConfig(output.PipelineExperimentConfig, context)
            : undefined,
    };
};
var deserializeAws_json1_1DescribePipelineResponse = function (output, context) {
    return {
        CreatedBy: output.CreatedBy !== undefined && output.CreatedBy !== null
            ? deserializeAws_json1_1UserContext(output.CreatedBy, context)
            : undefined,
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        LastModifiedBy: output.LastModifiedBy !== undefined && output.LastModifiedBy !== null
            ? deserializeAws_json1_1UserContext(output.LastModifiedBy, context)
            : undefined,
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        LastRunTime: output.LastRunTime !== undefined && output.LastRunTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastRunTime)))
            : undefined,
        ParallelismConfiguration: output.ParallelismConfiguration !== undefined && output.ParallelismConfiguration !== null
            ? deserializeAws_json1_1ParallelismConfiguration(output.ParallelismConfiguration, context)
            : undefined,
        PipelineArn: __expectString(output.PipelineArn),
        PipelineDefinition: __expectString(output.PipelineDefinition),
        PipelineDescription: __expectString(output.PipelineDescription),
        PipelineDisplayName: __expectString(output.PipelineDisplayName),
        PipelineName: __expectString(output.PipelineName),
        PipelineStatus: __expectString(output.PipelineStatus),
        RoleArn: __expectString(output.RoleArn),
    };
};
var deserializeAws_json1_1DescribeProcessingJobResponse = function (output, context) {
    return {
        AppSpecification: output.AppSpecification !== undefined && output.AppSpecification !== null
            ? deserializeAws_json1_1AppSpecification(output.AppSpecification, context)
            : undefined,
        AutoMLJobArn: __expectString(output.AutoMLJobArn),
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        Environment: output.Environment !== undefined && output.Environment !== null
            ? deserializeAws_json1_1ProcessingEnvironmentMap(output.Environment, context)
            : undefined,
        ExitMessage: __expectString(output.ExitMessage),
        ExperimentConfig: output.ExperimentConfig !== undefined && output.ExperimentConfig !== null
            ? deserializeAws_json1_1ExperimentConfig(output.ExperimentConfig, context)
            : undefined,
        FailureReason: __expectString(output.FailureReason),
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        MonitoringScheduleArn: __expectString(output.MonitoringScheduleArn),
        NetworkConfig: output.NetworkConfig !== undefined && output.NetworkConfig !== null
            ? deserializeAws_json1_1NetworkConfig(output.NetworkConfig, context)
            : undefined,
        ProcessingEndTime: output.ProcessingEndTime !== undefined && output.ProcessingEndTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.ProcessingEndTime)))
            : undefined,
        ProcessingInputs: output.ProcessingInputs !== undefined && output.ProcessingInputs !== null
            ? deserializeAws_json1_1ProcessingInputs(output.ProcessingInputs, context)
            : undefined,
        ProcessingJobArn: __expectString(output.ProcessingJobArn),
        ProcessingJobName: __expectString(output.ProcessingJobName),
        ProcessingJobStatus: __expectString(output.ProcessingJobStatus),
        ProcessingOutputConfig: output.ProcessingOutputConfig !== undefined && output.ProcessingOutputConfig !== null
            ? deserializeAws_json1_1ProcessingOutputConfig(output.ProcessingOutputConfig, context)
            : undefined,
        ProcessingResources: output.ProcessingResources !== undefined && output.ProcessingResources !== null
            ? deserializeAws_json1_1ProcessingResources(output.ProcessingResources, context)
            : undefined,
        ProcessingStartTime: output.ProcessingStartTime !== undefined && output.ProcessingStartTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.ProcessingStartTime)))
            : undefined,
        RoleArn: __expectString(output.RoleArn),
        StoppingCondition: output.StoppingCondition !== undefined && output.StoppingCondition !== null
            ? deserializeAws_json1_1ProcessingStoppingCondition(output.StoppingCondition, context)
            : undefined,
        TrainingJobArn: __expectString(output.TrainingJobArn),
    };
};
var deserializeAws_json1_1DescribeProjectOutput = function (output, context) {
    return {
        CreatedBy: output.CreatedBy !== undefined && output.CreatedBy !== null
            ? deserializeAws_json1_1UserContext(output.CreatedBy, context)
            : undefined,
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        LastModifiedBy: output.LastModifiedBy !== undefined && output.LastModifiedBy !== null
            ? deserializeAws_json1_1UserContext(output.LastModifiedBy, context)
            : undefined,
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        ProjectArn: __expectString(output.ProjectArn),
        ProjectDescription: __expectString(output.ProjectDescription),
        ProjectId: __expectString(output.ProjectId),
        ProjectName: __expectString(output.ProjectName),
        ProjectStatus: __expectString(output.ProjectStatus),
        ServiceCatalogProvisionedProductDetails: output.ServiceCatalogProvisionedProductDetails !== undefined &&
            output.ServiceCatalogProvisionedProductDetails !== null
            ? deserializeAws_json1_1ServiceCatalogProvisionedProductDetails(output.ServiceCatalogProvisionedProductDetails, context)
            : undefined,
        ServiceCatalogProvisioningDetails: output.ServiceCatalogProvisioningDetails !== undefined && output.ServiceCatalogProvisioningDetails !== null
            ? deserializeAws_json1_1ServiceCatalogProvisioningDetails(output.ServiceCatalogProvisioningDetails, context)
            : undefined,
    };
};
var deserializeAws_json1_1DescribeStudioLifecycleConfigResponse = function (output, context) {
    return {
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        StudioLifecycleConfigAppType: __expectString(output.StudioLifecycleConfigAppType),
        StudioLifecycleConfigArn: __expectString(output.StudioLifecycleConfigArn),
        StudioLifecycleConfigContent: __expectString(output.StudioLifecycleConfigContent),
        StudioLifecycleConfigName: __expectString(output.StudioLifecycleConfigName),
    };
};
var deserializeAws_json1_1DescribeSubscribedWorkteamResponse = function (output, context) {
    return {
        SubscribedWorkteam: output.SubscribedWorkteam !== undefined && output.SubscribedWorkteam !== null
            ? deserializeAws_json1_1SubscribedWorkteam(output.SubscribedWorkteam, context)
            : undefined,
    };
};
var deserializeAws_json1_1DescribeTrainingJobResponse = function (output, context) {
    return {
        AlgorithmSpecification: output.AlgorithmSpecification !== undefined && output.AlgorithmSpecification !== null
            ? deserializeAws_json1_1AlgorithmSpecification(output.AlgorithmSpecification, context)
            : undefined,
        AutoMLJobArn: __expectString(output.AutoMLJobArn),
        BillableTimeInSeconds: __expectInt32(output.BillableTimeInSeconds),
        CheckpointConfig: output.CheckpointConfig !== undefined && output.CheckpointConfig !== null
            ? deserializeAws_json1_1CheckpointConfig(output.CheckpointConfig, context)
            : undefined,
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        DebugHookConfig: output.DebugHookConfig !== undefined && output.DebugHookConfig !== null
            ? deserializeAws_json1_1DebugHookConfig(output.DebugHookConfig, context)
            : undefined,
        DebugRuleConfigurations: output.DebugRuleConfigurations !== undefined && output.DebugRuleConfigurations !== null
            ? deserializeAws_json1_1DebugRuleConfigurations(output.DebugRuleConfigurations, context)
            : undefined,
        DebugRuleEvaluationStatuses: output.DebugRuleEvaluationStatuses !== undefined && output.DebugRuleEvaluationStatuses !== null
            ? deserializeAws_json1_1DebugRuleEvaluationStatuses(output.DebugRuleEvaluationStatuses, context)
            : undefined,
        EnableInterContainerTrafficEncryption: __expectBoolean(output.EnableInterContainerTrafficEncryption),
        EnableManagedSpotTraining: __expectBoolean(output.EnableManagedSpotTraining),
        EnableNetworkIsolation: __expectBoolean(output.EnableNetworkIsolation),
        Environment: output.Environment !== undefined && output.Environment !== null
            ? deserializeAws_json1_1TrainingEnvironmentMap(output.Environment, context)
            : undefined,
        ExperimentConfig: output.ExperimentConfig !== undefined && output.ExperimentConfig !== null
            ? deserializeAws_json1_1ExperimentConfig(output.ExperimentConfig, context)
            : undefined,
        FailureReason: __expectString(output.FailureReason),
        FinalMetricDataList: output.FinalMetricDataList !== undefined && output.FinalMetricDataList !== null
            ? deserializeAws_json1_1FinalMetricDataList(output.FinalMetricDataList, context)
            : undefined,
        HyperParameters: output.HyperParameters !== undefined && output.HyperParameters !== null
            ? deserializeAws_json1_1HyperParameters(output.HyperParameters, context)
            : undefined,
        InputDataConfig: output.InputDataConfig !== undefined && output.InputDataConfig !== null
            ? deserializeAws_json1_1InputDataConfig(output.InputDataConfig, context)
            : undefined,
        LabelingJobArn: __expectString(output.LabelingJobArn),
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        ModelArtifacts: output.ModelArtifacts !== undefined && output.ModelArtifacts !== null
            ? deserializeAws_json1_1ModelArtifacts(output.ModelArtifacts, context)
            : undefined,
        OutputDataConfig: output.OutputDataConfig !== undefined && output.OutputDataConfig !== null
            ? deserializeAws_json1_1OutputDataConfig(output.OutputDataConfig, context)
            : undefined,
        ProfilerConfig: output.ProfilerConfig !== undefined && output.ProfilerConfig !== null
            ? deserializeAws_json1_1ProfilerConfig(output.ProfilerConfig, context)
            : undefined,
        ProfilerRuleConfigurations: output.ProfilerRuleConfigurations !== undefined && output.ProfilerRuleConfigurations !== null
            ? deserializeAws_json1_1ProfilerRuleConfigurations(output.ProfilerRuleConfigurations, context)
            : undefined,
        ProfilerRuleEvaluationStatuses: output.ProfilerRuleEvaluationStatuses !== undefined && output.ProfilerRuleEvaluationStatuses !== null
            ? deserializeAws_json1_1ProfilerRuleEvaluationStatuses(output.ProfilerRuleEvaluationStatuses, context)
            : undefined,
        ProfilingStatus: __expectString(output.ProfilingStatus),
        ResourceConfig: output.ResourceConfig !== undefined && output.ResourceConfig !== null
            ? deserializeAws_json1_1ResourceConfig(output.ResourceConfig, context)
            : undefined,
        RetryStrategy: output.RetryStrategy !== undefined && output.RetryStrategy !== null
            ? deserializeAws_json1_1RetryStrategy(output.RetryStrategy, context)
            : undefined,
        RoleArn: __expectString(output.RoleArn),
        SecondaryStatus: __expectString(output.SecondaryStatus),
        SecondaryStatusTransitions: output.SecondaryStatusTransitions !== undefined && output.SecondaryStatusTransitions !== null
            ? deserializeAws_json1_1SecondaryStatusTransitions(output.SecondaryStatusTransitions, context)
            : undefined,
        StoppingCondition: output.StoppingCondition !== undefined && output.StoppingCondition !== null
            ? deserializeAws_json1_1StoppingCondition(output.StoppingCondition, context)
            : undefined,
        TensorBoardOutputConfig: output.TensorBoardOutputConfig !== undefined && output.TensorBoardOutputConfig !== null
            ? deserializeAws_json1_1TensorBoardOutputConfig(output.TensorBoardOutputConfig, context)
            : undefined,
        TrainingEndTime: output.TrainingEndTime !== undefined && output.TrainingEndTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.TrainingEndTime)))
            : undefined,
        TrainingJobArn: __expectString(output.TrainingJobArn),
        TrainingJobName: __expectString(output.TrainingJobName),
        TrainingJobStatus: __expectString(output.TrainingJobStatus),
        TrainingStartTime: output.TrainingStartTime !== undefined && output.TrainingStartTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.TrainingStartTime)))
            : undefined,
        TrainingTimeInSeconds: __expectInt32(output.TrainingTimeInSeconds),
        TuningJobArn: __expectString(output.TuningJobArn),
        VpcConfig: output.VpcConfig !== undefined && output.VpcConfig !== null
            ? deserializeAws_json1_1VpcConfig(output.VpcConfig, context)
            : undefined,
    };
};
var deserializeAws_json1_1DescribeTransformJobResponse = function (output, context) {
    return {
        AutoMLJobArn: __expectString(output.AutoMLJobArn),
        BatchStrategy: __expectString(output.BatchStrategy),
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        DataProcessing: output.DataProcessing !== undefined && output.DataProcessing !== null
            ? deserializeAws_json1_1DataProcessing(output.DataProcessing, context)
            : undefined,
        Environment: output.Environment !== undefined && output.Environment !== null
            ? deserializeAws_json1_1TransformEnvironmentMap(output.Environment, context)
            : undefined,
        ExperimentConfig: output.ExperimentConfig !== undefined && output.ExperimentConfig !== null
            ? deserializeAws_json1_1ExperimentConfig(output.ExperimentConfig, context)
            : undefined,
        FailureReason: __expectString(output.FailureReason),
        LabelingJobArn: __expectString(output.LabelingJobArn),
        MaxConcurrentTransforms: __expectInt32(output.MaxConcurrentTransforms),
        MaxPayloadInMB: __expectInt32(output.MaxPayloadInMB),
        ModelClientConfig: output.ModelClientConfig !== undefined && output.ModelClientConfig !== null
            ? deserializeAws_json1_1ModelClientConfig(output.ModelClientConfig, context)
            : undefined,
        ModelName: __expectString(output.ModelName),
        TransformEndTime: output.TransformEndTime !== undefined && output.TransformEndTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.TransformEndTime)))
            : undefined,
        TransformInput: output.TransformInput !== undefined && output.TransformInput !== null
            ? deserializeAws_json1_1TransformInput(output.TransformInput, context)
            : undefined,
        TransformJobArn: __expectString(output.TransformJobArn),
        TransformJobName: __expectString(output.TransformJobName),
        TransformJobStatus: __expectString(output.TransformJobStatus),
        TransformOutput: output.TransformOutput !== undefined && output.TransformOutput !== null
            ? deserializeAws_json1_1TransformOutput(output.TransformOutput, context)
            : undefined,
        TransformResources: output.TransformResources !== undefined && output.TransformResources !== null
            ? deserializeAws_json1_1TransformResources(output.TransformResources, context)
            : undefined,
        TransformStartTime: output.TransformStartTime !== undefined && output.TransformStartTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.TransformStartTime)))
            : undefined,
    };
};
var deserializeAws_json1_1DescribeTrialComponentResponse = function (output, context) {
    return {
        CreatedBy: output.CreatedBy !== undefined && output.CreatedBy !== null
            ? deserializeAws_json1_1UserContext(output.CreatedBy, context)
            : undefined,
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        DisplayName: __expectString(output.DisplayName),
        EndTime: output.EndTime !== undefined && output.EndTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.EndTime)))
            : undefined,
        InputArtifacts: output.InputArtifacts !== undefined && output.InputArtifacts !== null
            ? deserializeAws_json1_1TrialComponentArtifacts(output.InputArtifacts, context)
            : undefined,
        LastModifiedBy: output.LastModifiedBy !== undefined && output.LastModifiedBy !== null
            ? deserializeAws_json1_1UserContext(output.LastModifiedBy, context)
            : undefined,
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        LineageGroupArn: __expectString(output.LineageGroupArn),
        MetadataProperties: output.MetadataProperties !== undefined && output.MetadataProperties !== null
            ? deserializeAws_json1_1MetadataProperties(output.MetadataProperties, context)
            : undefined,
        Metrics: output.Metrics !== undefined && output.Metrics !== null
            ? deserializeAws_json1_1TrialComponentMetricSummaries(output.Metrics, context)
            : undefined,
        OutputArtifacts: output.OutputArtifacts !== undefined && output.OutputArtifacts !== null
            ? deserializeAws_json1_1TrialComponentArtifacts(output.OutputArtifacts, context)
            : undefined,
        Parameters: output.Parameters !== undefined && output.Parameters !== null
            ? deserializeAws_json1_1TrialComponentParameters(output.Parameters, context)
            : undefined,
        Source: output.Source !== undefined && output.Source !== null
            ? deserializeAws_json1_1TrialComponentSource(output.Source, context)
            : undefined,
        StartTime: output.StartTime !== undefined && output.StartTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.StartTime)))
            : undefined,
        Status: output.Status !== undefined && output.Status !== null
            ? deserializeAws_json1_1TrialComponentStatus(output.Status, context)
            : undefined,
        TrialComponentArn: __expectString(output.TrialComponentArn),
        TrialComponentName: __expectString(output.TrialComponentName),
    };
};
var deserializeAws_json1_1DescribeTrialResponse = function (output, context) {
    return {
        CreatedBy: output.CreatedBy !== undefined && output.CreatedBy !== null
            ? deserializeAws_json1_1UserContext(output.CreatedBy, context)
            : undefined,
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        DisplayName: __expectString(output.DisplayName),
        ExperimentName: __expectString(output.ExperimentName),
        LastModifiedBy: output.LastModifiedBy !== undefined && output.LastModifiedBy !== null
            ? deserializeAws_json1_1UserContext(output.LastModifiedBy, context)
            : undefined,
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        MetadataProperties: output.MetadataProperties !== undefined && output.MetadataProperties !== null
            ? deserializeAws_json1_1MetadataProperties(output.MetadataProperties, context)
            : undefined,
        Source: output.Source !== undefined && output.Source !== null
            ? deserializeAws_json1_1TrialSource(output.Source, context)
            : undefined,
        TrialArn: __expectString(output.TrialArn),
        TrialName: __expectString(output.TrialName),
    };
};
var deserializeAws_json1_1DescribeUserProfileResponse = function (output, context) {
    return {
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        DomainId: __expectString(output.DomainId),
        FailureReason: __expectString(output.FailureReason),
        HomeEfsFileSystemUid: __expectString(output.HomeEfsFileSystemUid),
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        SingleSignOnUserIdentifier: __expectString(output.SingleSignOnUserIdentifier),
        SingleSignOnUserValue: __expectString(output.SingleSignOnUserValue),
        Status: __expectString(output.Status),
        UserProfileArn: __expectString(output.UserProfileArn),
        UserProfileName: __expectString(output.UserProfileName),
        UserSettings: output.UserSettings !== undefined && output.UserSettings !== null
            ? deserializeAws_json1_1UserSettings(output.UserSettings, context)
            : undefined,
    };
};
var deserializeAws_json1_1DescribeWorkforceResponse = function (output, context) {
    return {
        Workforce: output.Workforce !== undefined && output.Workforce !== null
            ? deserializeAws_json1_1Workforce(output.Workforce, context)
            : undefined,
    };
};
var deserializeAws_json1_1DescribeWorkteamResponse = function (output, context) {
    return {
        Workteam: output.Workteam !== undefined && output.Workteam !== null
            ? deserializeAws_json1_1Workteam(output.Workteam, context)
            : undefined,
    };
};
var deserializeAws_json1_1DeviceFleetSummaries = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1DeviceFleetSummary(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1DeviceFleetSummary = function (output, context) {
    return {
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        DeviceFleetArn: __expectString(output.DeviceFleetArn),
        DeviceFleetName: __expectString(output.DeviceFleetName),
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
    };
};
var deserializeAws_json1_1DeviceStats = function (output, context) {
    return {
        ConnectedDeviceCount: __expectLong(output.ConnectedDeviceCount),
        RegisteredDeviceCount: __expectLong(output.RegisteredDeviceCount),
    };
};
var deserializeAws_json1_1DeviceSummaries = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1DeviceSummary(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1DeviceSummary = function (output, context) {
    return {
        AgentVersion: __expectString(output.AgentVersion),
        Description: __expectString(output.Description),
        DeviceArn: __expectString(output.DeviceArn),
        DeviceFleetName: __expectString(output.DeviceFleetName),
        DeviceName: __expectString(output.DeviceName),
        IotThingName: __expectString(output.IotThingName),
        LatestHeartbeat: output.LatestHeartbeat !== undefined && output.LatestHeartbeat !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LatestHeartbeat)))
            : undefined,
        Models: output.Models !== undefined && output.Models !== null
            ? deserializeAws_json1_1EdgeModelSummaries(output.Models, context)
            : undefined,
        RegistrationTime: output.RegistrationTime !== undefined && output.RegistrationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.RegistrationTime)))
            : undefined,
    };
};
var deserializeAws_json1_1DisableSagemakerServicecatalogPortfolioOutput = function (output, context) {
    return {};
};
var deserializeAws_json1_1DisassociateTrialComponentResponse = function (output, context) {
    return {
        TrialArn: __expectString(output.TrialArn),
        TrialComponentArn: __expectString(output.TrialComponentArn),
    };
};
var deserializeAws_json1_1DomainDetails = function (output, context) {
    return {
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        DomainArn: __expectString(output.DomainArn),
        DomainId: __expectString(output.DomainId),
        DomainName: __expectString(output.DomainName),
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        Status: __expectString(output.Status),
        Url: __expectString(output.Url),
    };
};
var deserializeAws_json1_1DomainList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1DomainDetails(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1DomainSecurityGroupIds = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1DomainSettings = function (output, context) {
    return {
        RStudioServerProDomainSettings: output.RStudioServerProDomainSettings !== undefined && output.RStudioServerProDomainSettings !== null
            ? deserializeAws_json1_1RStudioServerProDomainSettings(output.RStudioServerProDomainSettings, context)
            : undefined,
        SecurityGroupIds: output.SecurityGroupIds !== undefined && output.SecurityGroupIds !== null
            ? deserializeAws_json1_1DomainSecurityGroupIds(output.SecurityGroupIds, context)
            : undefined,
    };
};
var deserializeAws_json1_1DriftCheckBaselines = function (output, context) {
    return {
        Bias: output.Bias !== undefined && output.Bias !== null
            ? deserializeAws_json1_1DriftCheckBias(output.Bias, context)
            : undefined,
        Explainability: output.Explainability !== undefined && output.Explainability !== null
            ? deserializeAws_json1_1DriftCheckExplainability(output.Explainability, context)
            : undefined,
        ModelDataQuality: output.ModelDataQuality !== undefined && output.ModelDataQuality !== null
            ? deserializeAws_json1_1DriftCheckModelDataQuality(output.ModelDataQuality, context)
            : undefined,
        ModelQuality: output.ModelQuality !== undefined && output.ModelQuality !== null
            ? deserializeAws_json1_1DriftCheckModelQuality(output.ModelQuality, context)
            : undefined,
    };
};
var deserializeAws_json1_1DriftCheckBias = function (output, context) {
    return {
        ConfigFile: output.ConfigFile !== undefined && output.ConfigFile !== null
            ? deserializeAws_json1_1FileSource(output.ConfigFile, context)
            : undefined,
        PostTrainingConstraints: output.PostTrainingConstraints !== undefined && output.PostTrainingConstraints !== null
            ? deserializeAws_json1_1MetricsSource(output.PostTrainingConstraints, context)
            : undefined,
        PreTrainingConstraints: output.PreTrainingConstraints !== undefined && output.PreTrainingConstraints !== null
            ? deserializeAws_json1_1MetricsSource(output.PreTrainingConstraints, context)
            : undefined,
    };
};
var deserializeAws_json1_1DriftCheckExplainability = function (output, context) {
    return {
        ConfigFile: output.ConfigFile !== undefined && output.ConfigFile !== null
            ? deserializeAws_json1_1FileSource(output.ConfigFile, context)
            : undefined,
        Constraints: output.Constraints !== undefined && output.Constraints !== null
            ? deserializeAws_json1_1MetricsSource(output.Constraints, context)
            : undefined,
    };
};
var deserializeAws_json1_1DriftCheckModelDataQuality = function (output, context) {
    return {
        Constraints: output.Constraints !== undefined && output.Constraints !== null
            ? deserializeAws_json1_1MetricsSource(output.Constraints, context)
            : undefined,
        Statistics: output.Statistics !== undefined && output.Statistics !== null
            ? deserializeAws_json1_1MetricsSource(output.Statistics, context)
            : undefined,
    };
};
var deserializeAws_json1_1DriftCheckModelQuality = function (output, context) {
    return {
        Constraints: output.Constraints !== undefined && output.Constraints !== null
            ? deserializeAws_json1_1MetricsSource(output.Constraints, context)
            : undefined,
        Statistics: output.Statistics !== undefined && output.Statistics !== null
            ? deserializeAws_json1_1MetricsSource(output.Statistics, context)
            : undefined,
    };
};
var deserializeAws_json1_1Edge = function (output, context) {
    return {
        AssociationType: __expectString(output.AssociationType),
        DestinationArn: __expectString(output.DestinationArn),
        SourceArn: __expectString(output.SourceArn),
    };
};
var deserializeAws_json1_1EdgeModel = function (output, context) {
    return {
        LatestInference: output.LatestInference !== undefined && output.LatestInference !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LatestInference)))
            : undefined,
        LatestSampleTime: output.LatestSampleTime !== undefined && output.LatestSampleTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LatestSampleTime)))
            : undefined,
        ModelName: __expectString(output.ModelName),
        ModelVersion: __expectString(output.ModelVersion),
    };
};
var deserializeAws_json1_1EdgeModels = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1EdgeModel(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1EdgeModelStat = function (output, context) {
    return {
        ActiveDeviceCount: __expectLong(output.ActiveDeviceCount),
        ConnectedDeviceCount: __expectLong(output.ConnectedDeviceCount),
        ModelName: __expectString(output.ModelName),
        ModelVersion: __expectString(output.ModelVersion),
        OfflineDeviceCount: __expectLong(output.OfflineDeviceCount),
        SamplingDeviceCount: __expectLong(output.SamplingDeviceCount),
    };
};
var deserializeAws_json1_1EdgeModelStats = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1EdgeModelStat(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1EdgeModelSummaries = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1EdgeModelSummary(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1EdgeModelSummary = function (output, context) {
    return {
        ModelName: __expectString(output.ModelName),
        ModelVersion: __expectString(output.ModelVersion),
    };
};
var deserializeAws_json1_1EdgeOutputConfig = function (output, context) {
    return {
        KmsKeyId: __expectString(output.KmsKeyId),
        PresetDeploymentConfig: __expectString(output.PresetDeploymentConfig),
        PresetDeploymentType: __expectString(output.PresetDeploymentType),
        S3OutputLocation: __expectString(output.S3OutputLocation),
    };
};
var deserializeAws_json1_1EdgePackagingJobSummaries = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1EdgePackagingJobSummary(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1EdgePackagingJobSummary = function (output, context) {
    return {
        CompilationJobName: __expectString(output.CompilationJobName),
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        EdgePackagingJobArn: __expectString(output.EdgePackagingJobArn),
        EdgePackagingJobName: __expectString(output.EdgePackagingJobName),
        EdgePackagingJobStatus: __expectString(output.EdgePackagingJobStatus),
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        ModelName: __expectString(output.ModelName),
        ModelVersion: __expectString(output.ModelVersion),
    };
};
var deserializeAws_json1_1EdgePresetDeploymentOutput = function (output, context) {
    return {
        Artifact: __expectString(output.Artifact),
        Status: __expectString(output.Status),
        StatusMessage: __expectString(output.StatusMessage),
        Type: __expectString(output.Type),
    };
};
var deserializeAws_json1_1Edges = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1Edge(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1EMRStepMetadata = function (output, context) {
    return {
        ClusterId: __expectString(output.ClusterId),
        LogFilePath: __expectString(output.LogFilePath),
        StepId: __expectString(output.StepId),
        StepName: __expectString(output.StepName),
    };
};
var deserializeAws_json1_1EnableSagemakerServicecatalogPortfolioOutput = function (output, context) {
    return {};
};
var deserializeAws_json1_1Endpoint = function (output, context) {
    return {
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        DataCaptureConfig: output.DataCaptureConfig !== undefined && output.DataCaptureConfig !== null
            ? deserializeAws_json1_1DataCaptureConfigSummary(output.DataCaptureConfig, context)
            : undefined,
        EndpointArn: __expectString(output.EndpointArn),
        EndpointConfigName: __expectString(output.EndpointConfigName),
        EndpointName: __expectString(output.EndpointName),
        EndpointStatus: __expectString(output.EndpointStatus),
        FailureReason: __expectString(output.FailureReason),
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        MonitoringSchedules: output.MonitoringSchedules !== undefined && output.MonitoringSchedules !== null
            ? deserializeAws_json1_1MonitoringScheduleList(output.MonitoringSchedules, context)
            : undefined,
        ProductionVariants: output.ProductionVariants !== undefined && output.ProductionVariants !== null
            ? deserializeAws_json1_1ProductionVariantSummaryList(output.ProductionVariants, context)
            : undefined,
        Tags: output.Tags !== undefined && output.Tags !== null
            ? deserializeAws_json1_1TagList(output.Tags, context)
            : undefined,
    };
};
var deserializeAws_json1_1EndpointConfigSummary = function (output, context) {
    return {
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        EndpointConfigArn: __expectString(output.EndpointConfigArn),
        EndpointConfigName: __expectString(output.EndpointConfigName),
    };
};
var deserializeAws_json1_1EndpointConfigSummaryList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1EndpointConfigSummary(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1EndpointInput = function (output, context) {
    return {
        EndTimeOffset: __expectString(output.EndTimeOffset),
        EndpointName: __expectString(output.EndpointName),
        FeaturesAttribute: __expectString(output.FeaturesAttribute),
        InferenceAttribute: __expectString(output.InferenceAttribute),
        LocalPath: __expectString(output.LocalPath),
        ProbabilityAttribute: __expectString(output.ProbabilityAttribute),
        ProbabilityThresholdAttribute: __limitedParseDouble(output.ProbabilityThresholdAttribute),
        S3DataDistributionType: __expectString(output.S3DataDistributionType),
        S3InputMode: __expectString(output.S3InputMode),
        StartTimeOffset: __expectString(output.StartTimeOffset),
    };
};
var deserializeAws_json1_1EndpointInputConfiguration = function (output, context) {
    return {
        EnvironmentParameterRanges: output.EnvironmentParameterRanges !== undefined && output.EnvironmentParameterRanges !== null
            ? deserializeAws_json1_1EnvironmentParameterRanges(output.EnvironmentParameterRanges, context)
            : undefined,
        InferenceSpecificationName: __expectString(output.InferenceSpecificationName),
        InstanceType: __expectString(output.InstanceType),
    };
};
var deserializeAws_json1_1EndpointInputConfigurations = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1EndpointInputConfiguration(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1EndpointOutputConfiguration = function (output, context) {
    return {
        EndpointName: __expectString(output.EndpointName),
        InitialInstanceCount: __expectInt32(output.InitialInstanceCount),
        InstanceType: __expectString(output.InstanceType),
        VariantName: __expectString(output.VariantName),
    };
};
var deserializeAws_json1_1EndpointSummary = function (output, context) {
    return {
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        EndpointArn: __expectString(output.EndpointArn),
        EndpointName: __expectString(output.EndpointName),
        EndpointStatus: __expectString(output.EndpointStatus),
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
    };
};
var deserializeAws_json1_1EndpointSummaryList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1EndpointSummary(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1EnvironmentMap = function (output, context) {
    return Object.entries(output).reduce(function (acc, _a) {
        var _b;
        var _c = __read(_a, 2), key = _c[0], value = _c[1];
        if (value === null) {
            return acc;
        }
        return __assign(__assign({}, acc), (_b = {}, _b[key] = __expectString(value), _b));
    }, {});
};
var deserializeAws_json1_1EnvironmentParameter = function (output, context) {
    return {
        Key: __expectString(output.Key),
        Value: __expectString(output.Value),
        ValueType: __expectString(output.ValueType),
    };
};
var deserializeAws_json1_1EnvironmentParameterRanges = function (output, context) {
    return {
        CategoricalParameterRanges: output.CategoricalParameterRanges !== undefined && output.CategoricalParameterRanges !== null
            ? deserializeAws_json1_1CategoricalParameters(output.CategoricalParameterRanges, context)
            : undefined,
    };
};
var deserializeAws_json1_1EnvironmentParameters = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1EnvironmentParameter(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1Experiment = function (output, context) {
    return {
        CreatedBy: output.CreatedBy !== undefined && output.CreatedBy !== null
            ? deserializeAws_json1_1UserContext(output.CreatedBy, context)
            : undefined,
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        Description: __expectString(output.Description),
        DisplayName: __expectString(output.DisplayName),
        ExperimentArn: __expectString(output.ExperimentArn),
        ExperimentName: __expectString(output.ExperimentName),
        LastModifiedBy: output.LastModifiedBy !== undefined && output.LastModifiedBy !== null
            ? deserializeAws_json1_1UserContext(output.LastModifiedBy, context)
            : undefined,
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        Source: output.Source !== undefined && output.Source !== null
            ? deserializeAws_json1_1ExperimentSource(output.Source, context)
            : undefined,
        Tags: output.Tags !== undefined && output.Tags !== null
            ? deserializeAws_json1_1TagList(output.Tags, context)
            : undefined,
    };
};
var deserializeAws_json1_1ExperimentConfig = function (output, context) {
    return {
        ExperimentName: __expectString(output.ExperimentName),
        TrialComponentDisplayName: __expectString(output.TrialComponentDisplayName),
        TrialName: __expectString(output.TrialName),
    };
};
var deserializeAws_json1_1ExperimentSource = function (output, context) {
    return {
        SourceArn: __expectString(output.SourceArn),
        SourceType: __expectString(output.SourceType),
    };
};
var deserializeAws_json1_1ExperimentSummaries = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ExperimentSummary(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1ExperimentSummary = function (output, context) {
    return {
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        DisplayName: __expectString(output.DisplayName),
        ExperimentArn: __expectString(output.ExperimentArn),
        ExperimentName: __expectString(output.ExperimentName),
        ExperimentSource: output.ExperimentSource !== undefined && output.ExperimentSource !== null
            ? deserializeAws_json1_1ExperimentSource(output.ExperimentSource, context)
            : undefined,
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
    };
};
var deserializeAws_json1_1Explainability = function (output, context) {
    return {
        Report: output.Report !== undefined && output.Report !== null
            ? deserializeAws_json1_1MetricsSource(output.Report, context)
            : undefined,
    };
};
var deserializeAws_json1_1FailStepMetadata = function (output, context) {
    return {
        ErrorMessage: __expectString(output.ErrorMessage),
    };
};
var deserializeAws_json1_1FeatureDefinition = function (output, context) {
    return {
        FeatureName: __expectString(output.FeatureName),
        FeatureType: __expectString(output.FeatureType),
    };
};
var deserializeAws_json1_1FeatureDefinitions = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1FeatureDefinition(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1FeatureGroup = function (output, context) {
    return {
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        Description: __expectString(output.Description),
        EventTimeFeatureName: __expectString(output.EventTimeFeatureName),
        FailureReason: __expectString(output.FailureReason),
        FeatureDefinitions: output.FeatureDefinitions !== undefined && output.FeatureDefinitions !== null
            ? deserializeAws_json1_1FeatureDefinitions(output.FeatureDefinitions, context)
            : undefined,
        FeatureGroupArn: __expectString(output.FeatureGroupArn),
        FeatureGroupName: __expectString(output.FeatureGroupName),
        FeatureGroupStatus: __expectString(output.FeatureGroupStatus),
        OfflineStoreConfig: output.OfflineStoreConfig !== undefined && output.OfflineStoreConfig !== null
            ? deserializeAws_json1_1OfflineStoreConfig(output.OfflineStoreConfig, context)
            : undefined,
        OfflineStoreStatus: output.OfflineStoreStatus !== undefined && output.OfflineStoreStatus !== null
            ? deserializeAws_json1_1OfflineStoreStatus(output.OfflineStoreStatus, context)
            : undefined,
        OnlineStoreConfig: output.OnlineStoreConfig !== undefined && output.OnlineStoreConfig !== null
            ? deserializeAws_json1_1OnlineStoreConfig(output.OnlineStoreConfig, context)
            : undefined,
        RecordIdentifierFeatureName: __expectString(output.RecordIdentifierFeatureName),
        RoleArn: __expectString(output.RoleArn),
        Tags: output.Tags !== undefined && output.Tags !== null
            ? deserializeAws_json1_1TagList(output.Tags, context)
            : undefined,
    };
};
var deserializeAws_json1_1FeatureGroupSummaries = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1FeatureGroupSummary(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1FeatureGroupSummary = function (output, context) {
    return {
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        FeatureGroupArn: __expectString(output.FeatureGroupArn),
        FeatureGroupName: __expectString(output.FeatureGroupName),
        FeatureGroupStatus: __expectString(output.FeatureGroupStatus),
        OfflineStoreStatus: output.OfflineStoreStatus !== undefined && output.OfflineStoreStatus !== null
            ? deserializeAws_json1_1OfflineStoreStatus(output.OfflineStoreStatus, context)
            : undefined,
    };
};
var deserializeAws_json1_1FileSource = function (output, context) {
    return {
        ContentDigest: __expectString(output.ContentDigest),
        ContentType: __expectString(output.ContentType),
        S3Uri: __expectString(output.S3Uri),
    };
};
var deserializeAws_json1_1FileSystemConfig = function (output, context) {
    return {
        DefaultGid: __expectInt32(output.DefaultGid),
        DefaultUid: __expectInt32(output.DefaultUid),
        MountPath: __expectString(output.MountPath),
    };
};
var deserializeAws_json1_1FileSystemDataSource = function (output, context) {
    return {
        DirectoryPath: __expectString(output.DirectoryPath),
        FileSystemAccessMode: __expectString(output.FileSystemAccessMode),
        FileSystemId: __expectString(output.FileSystemId),
        FileSystemType: __expectString(output.FileSystemType),
    };
};
var deserializeAws_json1_1FinalAutoMLJobObjectiveMetric = function (output, context) {
    return {
        MetricName: __expectString(output.MetricName),
        Type: __expectString(output.Type),
        Value: __limitedParseFloat32(output.Value),
    };
};
var deserializeAws_json1_1FinalHyperParameterTuningJobObjectiveMetric = function (output, context) {
    return {
        MetricName: __expectString(output.MetricName),
        Type: __expectString(output.Type),
        Value: __limitedParseFloat32(output.Value),
    };
};
var deserializeAws_json1_1FinalMetricDataList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1MetricData(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1FlowDefinitionOutputConfig = function (output, context) {
    return {
        KmsKeyId: __expectString(output.KmsKeyId),
        S3OutputPath: __expectString(output.S3OutputPath),
    };
};
var deserializeAws_json1_1FlowDefinitionSummaries = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1FlowDefinitionSummary(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1FlowDefinitionSummary = function (output, context) {
    return {
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        FailureReason: __expectString(output.FailureReason),
        FlowDefinitionArn: __expectString(output.FlowDefinitionArn),
        FlowDefinitionName: __expectString(output.FlowDefinitionName),
        FlowDefinitionStatus: __expectString(output.FlowDefinitionStatus),
    };
};
var deserializeAws_json1_1FlowDefinitionTaskKeywords = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1GetDeviceFleetReportResponse = function (output, context) {
    return {
        AgentVersions: output.AgentVersions !== undefined && output.AgentVersions !== null
            ? deserializeAws_json1_1AgentVersions(output.AgentVersions, context)
            : undefined,
        Description: __expectString(output.Description),
        DeviceFleetArn: __expectString(output.DeviceFleetArn),
        DeviceFleetName: __expectString(output.DeviceFleetName),
        DeviceStats: output.DeviceStats !== undefined && output.DeviceStats !== null
            ? deserializeAws_json1_1DeviceStats(output.DeviceStats, context)
            : undefined,
        ModelStats: output.ModelStats !== undefined && output.ModelStats !== null
            ? deserializeAws_json1_1EdgeModelStats(output.ModelStats, context)
            : undefined,
        OutputConfig: output.OutputConfig !== undefined && output.OutputConfig !== null
            ? deserializeAws_json1_1EdgeOutputConfig(output.OutputConfig, context)
            : undefined,
        ReportGenerated: output.ReportGenerated !== undefined && output.ReportGenerated !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.ReportGenerated)))
            : undefined,
    };
};
var deserializeAws_json1_1GetLineageGroupPolicyResponse = function (output, context) {
    return {
        LineageGroupArn: __expectString(output.LineageGroupArn),
        ResourcePolicy: __expectString(output.ResourcePolicy),
    };
};
var deserializeAws_json1_1GetModelPackageGroupPolicyOutput = function (output, context) {
    return {
        ResourcePolicy: __expectString(output.ResourcePolicy),
    };
};
var deserializeAws_json1_1GetSagemakerServicecatalogPortfolioStatusOutput = function (output, context) {
    return {
        Status: __expectString(output.Status),
    };
};
var deserializeAws_json1_1GetSearchSuggestionsResponse = function (output, context) {
    return {
        PropertyNameSuggestions: output.PropertyNameSuggestions !== undefined && output.PropertyNameSuggestions !== null
            ? deserializeAws_json1_1PropertyNameSuggestionList(output.PropertyNameSuggestions, context)
            : undefined,
    };
};
var deserializeAws_json1_1GitConfig = function (output, context) {
    return {
        Branch: __expectString(output.Branch),
        RepositoryUrl: __expectString(output.RepositoryUrl),
        SecretArn: __expectString(output.SecretArn),
    };
};
var deserializeAws_json1_1Groups = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1HookParameters = function (output, context) {
    return Object.entries(output).reduce(function (acc, _a) {
        var _b;
        var _c = __read(_a, 2), key = _c[0], value = _c[1];
        if (value === null) {
            return acc;
        }
        return __assign(__assign({}, acc), (_b = {}, _b[key] = __expectString(value), _b));
    }, {});
};
var deserializeAws_json1_1HumanLoopActivationConditionsConfig = function (output, context) {
    return {
        HumanLoopActivationConditions: output.HumanLoopActivationConditions !== undefined && output.HumanLoopActivationConditions !== null
            ? new __LazyJsonString(output.HumanLoopActivationConditions)
            : undefined,
    };
};
var deserializeAws_json1_1HumanLoopActivationConfig = function (output, context) {
    return {
        HumanLoopActivationConditionsConfig: output.HumanLoopActivationConditionsConfig !== undefined && output.HumanLoopActivationConditionsConfig !== null
            ? deserializeAws_json1_1HumanLoopActivationConditionsConfig(output.HumanLoopActivationConditionsConfig, context)
            : undefined,
    };
};
var deserializeAws_json1_1HumanLoopConfig = function (output, context) {
    return {
        HumanTaskUiArn: __expectString(output.HumanTaskUiArn),
        PublicWorkforceTaskPrice: output.PublicWorkforceTaskPrice !== undefined && output.PublicWorkforceTaskPrice !== null
            ? deserializeAws_json1_1PublicWorkforceTaskPrice(output.PublicWorkforceTaskPrice, context)
            : undefined,
        TaskAvailabilityLifetimeInSeconds: __expectInt32(output.TaskAvailabilityLifetimeInSeconds),
        TaskCount: __expectInt32(output.TaskCount),
        TaskDescription: __expectString(output.TaskDescription),
        TaskKeywords: output.TaskKeywords !== undefined && output.TaskKeywords !== null
            ? deserializeAws_json1_1FlowDefinitionTaskKeywords(output.TaskKeywords, context)
            : undefined,
        TaskTimeLimitInSeconds: __expectInt32(output.TaskTimeLimitInSeconds),
        TaskTitle: __expectString(output.TaskTitle),
        WorkteamArn: __expectString(output.WorkteamArn),
    };
};
var deserializeAws_json1_1HumanLoopRequestSource = function (output, context) {
    return {
        AwsManagedHumanLoopRequestSource: __expectString(output.AwsManagedHumanLoopRequestSource),
    };
};
var deserializeAws_json1_1HumanTaskConfig = function (output, context) {
    return {
        AnnotationConsolidationConfig: output.AnnotationConsolidationConfig !== undefined && output.AnnotationConsolidationConfig !== null
            ? deserializeAws_json1_1AnnotationConsolidationConfig(output.AnnotationConsolidationConfig, context)
            : undefined,
        MaxConcurrentTaskCount: __expectInt32(output.MaxConcurrentTaskCount),
        NumberOfHumanWorkersPerDataObject: __expectInt32(output.NumberOfHumanWorkersPerDataObject),
        PreHumanTaskLambdaArn: __expectString(output.PreHumanTaskLambdaArn),
        PublicWorkforceTaskPrice: output.PublicWorkforceTaskPrice !== undefined && output.PublicWorkforceTaskPrice !== null
            ? deserializeAws_json1_1PublicWorkforceTaskPrice(output.PublicWorkforceTaskPrice, context)
            : undefined,
        TaskAvailabilityLifetimeInSeconds: __expectInt32(output.TaskAvailabilityLifetimeInSeconds),
        TaskDescription: __expectString(output.TaskDescription),
        TaskKeywords: output.TaskKeywords !== undefined && output.TaskKeywords !== null
            ? deserializeAws_json1_1TaskKeywords(output.TaskKeywords, context)
            : undefined,
        TaskTimeLimitInSeconds: __expectInt32(output.TaskTimeLimitInSeconds),
        TaskTitle: __expectString(output.TaskTitle),
        UiConfig: output.UiConfig !== undefined && output.UiConfig !== null
            ? deserializeAws_json1_1UiConfig(output.UiConfig, context)
            : undefined,
        WorkteamArn: __expectString(output.WorkteamArn),
    };
};
var deserializeAws_json1_1HumanTaskUiSummaries = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1HumanTaskUiSummary(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1HumanTaskUiSummary = function (output, context) {
    return {
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        HumanTaskUiArn: __expectString(output.HumanTaskUiArn),
        HumanTaskUiName: __expectString(output.HumanTaskUiName),
    };
};
var deserializeAws_json1_1HyperParameterAlgorithmSpecification = function (output, context) {
    return {
        AlgorithmName: __expectString(output.AlgorithmName),
        MetricDefinitions: output.MetricDefinitions !== undefined && output.MetricDefinitions !== null
            ? deserializeAws_json1_1MetricDefinitionList(output.MetricDefinitions, context)
            : undefined,
        TrainingImage: __expectString(output.TrainingImage),
        TrainingInputMode: __expectString(output.TrainingInputMode),
    };
};
var deserializeAws_json1_1HyperParameters = function (output, context) {
    return Object.entries(output).reduce(function (acc, _a) {
        var _b;
        var _c = __read(_a, 2), key = _c[0], value = _c[1];
        if (value === null) {
            return acc;
        }
        return __assign(__assign({}, acc), (_b = {}, _b[key] = __expectString(value), _b));
    }, {});
};
var deserializeAws_json1_1HyperParameterSpecification = function (output, context) {
    return {
        DefaultValue: __expectString(output.DefaultValue),
        Description: __expectString(output.Description),
        IsRequired: __expectBoolean(output.IsRequired),
        IsTunable: __expectBoolean(output.IsTunable),
        Name: __expectString(output.Name),
        Range: output.Range !== undefined && output.Range !== null
            ? deserializeAws_json1_1ParameterRange(output.Range, context)
            : undefined,
        Type: __expectString(output.Type),
    };
};
var deserializeAws_json1_1HyperParameterSpecifications = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1HyperParameterSpecification(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1HyperParameterTrainingJobDefinition = function (output, context) {
    return {
        AlgorithmSpecification: output.AlgorithmSpecification !== undefined && output.AlgorithmSpecification !== null
            ? deserializeAws_json1_1HyperParameterAlgorithmSpecification(output.AlgorithmSpecification, context)
            : undefined,
        CheckpointConfig: output.CheckpointConfig !== undefined && output.CheckpointConfig !== null
            ? deserializeAws_json1_1CheckpointConfig(output.CheckpointConfig, context)
            : undefined,
        DefinitionName: __expectString(output.DefinitionName),
        EnableInterContainerTrafficEncryption: __expectBoolean(output.EnableInterContainerTrafficEncryption),
        EnableManagedSpotTraining: __expectBoolean(output.EnableManagedSpotTraining),
        EnableNetworkIsolation: __expectBoolean(output.EnableNetworkIsolation),
        HyperParameterRanges: output.HyperParameterRanges !== undefined && output.HyperParameterRanges !== null
            ? deserializeAws_json1_1ParameterRanges(output.HyperParameterRanges, context)
            : undefined,
        InputDataConfig: output.InputDataConfig !== undefined && output.InputDataConfig !== null
            ? deserializeAws_json1_1InputDataConfig(output.InputDataConfig, context)
            : undefined,
        OutputDataConfig: output.OutputDataConfig !== undefined && output.OutputDataConfig !== null
            ? deserializeAws_json1_1OutputDataConfig(output.OutputDataConfig, context)
            : undefined,
        ResourceConfig: output.ResourceConfig !== undefined && output.ResourceConfig !== null
            ? deserializeAws_json1_1ResourceConfig(output.ResourceConfig, context)
            : undefined,
        RetryStrategy: output.RetryStrategy !== undefined && output.RetryStrategy !== null
            ? deserializeAws_json1_1RetryStrategy(output.RetryStrategy, context)
            : undefined,
        RoleArn: __expectString(output.RoleArn),
        StaticHyperParameters: output.StaticHyperParameters !== undefined && output.StaticHyperParameters !== null
            ? deserializeAws_json1_1HyperParameters(output.StaticHyperParameters, context)
            : undefined,
        StoppingCondition: output.StoppingCondition !== undefined && output.StoppingCondition !== null
            ? deserializeAws_json1_1StoppingCondition(output.StoppingCondition, context)
            : undefined,
        TuningObjective: output.TuningObjective !== undefined && output.TuningObjective !== null
            ? deserializeAws_json1_1HyperParameterTuningJobObjective(output.TuningObjective, context)
            : undefined,
        VpcConfig: output.VpcConfig !== undefined && output.VpcConfig !== null
            ? deserializeAws_json1_1VpcConfig(output.VpcConfig, context)
            : undefined,
    };
};
var deserializeAws_json1_1HyperParameterTrainingJobDefinitions = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1HyperParameterTrainingJobDefinition(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1HyperParameterTrainingJobSummaries = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1HyperParameterTrainingJobSummary(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1HyperParameterTrainingJobSummary = function (output, context) {
    return {
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        FailureReason: __expectString(output.FailureReason),
        FinalHyperParameterTuningJobObjectiveMetric: output.FinalHyperParameterTuningJobObjectiveMetric !== undefined &&
            output.FinalHyperParameterTuningJobObjectiveMetric !== null
            ? deserializeAws_json1_1FinalHyperParameterTuningJobObjectiveMetric(output.FinalHyperParameterTuningJobObjectiveMetric, context)
            : undefined,
        ObjectiveStatus: __expectString(output.ObjectiveStatus),
        TrainingEndTime: output.TrainingEndTime !== undefined && output.TrainingEndTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.TrainingEndTime)))
            : undefined,
        TrainingJobArn: __expectString(output.TrainingJobArn),
        TrainingJobDefinitionName: __expectString(output.TrainingJobDefinitionName),
        TrainingJobName: __expectString(output.TrainingJobName),
        TrainingJobStatus: __expectString(output.TrainingJobStatus),
        TrainingStartTime: output.TrainingStartTime !== undefined && output.TrainingStartTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.TrainingStartTime)))
            : undefined,
        TunedHyperParameters: output.TunedHyperParameters !== undefined && output.TunedHyperParameters !== null
            ? deserializeAws_json1_1HyperParameters(output.TunedHyperParameters, context)
            : undefined,
        TuningJobName: __expectString(output.TuningJobName),
    };
};
var deserializeAws_json1_1HyperParameterTuningJobConfig = function (output, context) {
    return {
        HyperParameterTuningJobObjective: output.HyperParameterTuningJobObjective !== undefined && output.HyperParameterTuningJobObjective !== null
            ? deserializeAws_json1_1HyperParameterTuningJobObjective(output.HyperParameterTuningJobObjective, context)
            : undefined,
        ParameterRanges: output.ParameterRanges !== undefined && output.ParameterRanges !== null
            ? deserializeAws_json1_1ParameterRanges(output.ParameterRanges, context)
            : undefined,
        ResourceLimits: output.ResourceLimits !== undefined && output.ResourceLimits !== null
            ? deserializeAws_json1_1ResourceLimits(output.ResourceLimits, context)
            : undefined,
        Strategy: __expectString(output.Strategy),
        TrainingJobEarlyStoppingType: __expectString(output.TrainingJobEarlyStoppingType),
        TuningJobCompletionCriteria: output.TuningJobCompletionCriteria !== undefined && output.TuningJobCompletionCriteria !== null
            ? deserializeAws_json1_1TuningJobCompletionCriteria(output.TuningJobCompletionCriteria, context)
            : undefined,
    };
};
var deserializeAws_json1_1HyperParameterTuningJobObjective = function (output, context) {
    return {
        MetricName: __expectString(output.MetricName),
        Type: __expectString(output.Type),
    };
};
var deserializeAws_json1_1HyperParameterTuningJobObjectives = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1HyperParameterTuningJobObjective(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1HyperParameterTuningJobSummaries = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1HyperParameterTuningJobSummary(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1HyperParameterTuningJobSummary = function (output, context) {
    return {
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        HyperParameterTuningEndTime: output.HyperParameterTuningEndTime !== undefined && output.HyperParameterTuningEndTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.HyperParameterTuningEndTime)))
            : undefined,
        HyperParameterTuningJobArn: __expectString(output.HyperParameterTuningJobArn),
        HyperParameterTuningJobName: __expectString(output.HyperParameterTuningJobName),
        HyperParameterTuningJobStatus: __expectString(output.HyperParameterTuningJobStatus),
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        ObjectiveStatusCounters: output.ObjectiveStatusCounters !== undefined && output.ObjectiveStatusCounters !== null
            ? deserializeAws_json1_1ObjectiveStatusCounters(output.ObjectiveStatusCounters, context)
            : undefined,
        ResourceLimits: output.ResourceLimits !== undefined && output.ResourceLimits !== null
            ? deserializeAws_json1_1ResourceLimits(output.ResourceLimits, context)
            : undefined,
        Strategy: __expectString(output.Strategy),
        TrainingJobStatusCounters: output.TrainingJobStatusCounters !== undefined && output.TrainingJobStatusCounters !== null
            ? deserializeAws_json1_1TrainingJobStatusCounters(output.TrainingJobStatusCounters, context)
            : undefined,
    };
};
var deserializeAws_json1_1HyperParameterTuningJobWarmStartConfig = function (output, context) {
    return {
        ParentHyperParameterTuningJobs: output.ParentHyperParameterTuningJobs !== undefined && output.ParentHyperParameterTuningJobs !== null
            ? deserializeAws_json1_1ParentHyperParameterTuningJobs(output.ParentHyperParameterTuningJobs, context)
            : undefined,
        WarmStartType: __expectString(output.WarmStartType),
    };
};
var deserializeAws_json1_1Image = function (output, context) {
    return {
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        Description: __expectString(output.Description),
        DisplayName: __expectString(output.DisplayName),
        FailureReason: __expectString(output.FailureReason),
        ImageArn: __expectString(output.ImageArn),
        ImageName: __expectString(output.ImageName),
        ImageStatus: __expectString(output.ImageStatus),
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
    };
};
var deserializeAws_json1_1ImageConfig = function (output, context) {
    return {
        RepositoryAccessMode: __expectString(output.RepositoryAccessMode),
        RepositoryAuthConfig: output.RepositoryAuthConfig !== undefined && output.RepositoryAuthConfig !== null
            ? deserializeAws_json1_1RepositoryAuthConfig(output.RepositoryAuthConfig, context)
            : undefined,
    };
};
var deserializeAws_json1_1Images = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1Image(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1ImageVersion = function (output, context) {
    return {
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        FailureReason: __expectString(output.FailureReason),
        ImageArn: __expectString(output.ImageArn),
        ImageVersionArn: __expectString(output.ImageVersionArn),
        ImageVersionStatus: __expectString(output.ImageVersionStatus),
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        Version: __expectInt32(output.Version),
    };
};
var deserializeAws_json1_1ImageVersions = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ImageVersion(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1InferenceExecutionConfig = function (output, context) {
    return {
        Mode: __expectString(output.Mode),
    };
};
var deserializeAws_json1_1InferenceRecommendation = function (output, context) {
    return {
        EndpointConfiguration: output.EndpointConfiguration !== undefined && output.EndpointConfiguration !== null
            ? deserializeAws_json1_1EndpointOutputConfiguration(output.EndpointConfiguration, context)
            : undefined,
        Metrics: output.Metrics !== undefined && output.Metrics !== null
            ? deserializeAws_json1_1RecommendationMetrics(output.Metrics, context)
            : undefined,
        ModelConfiguration: output.ModelConfiguration !== undefined && output.ModelConfiguration !== null
            ? deserializeAws_json1_1ModelConfiguration(output.ModelConfiguration, context)
            : undefined,
    };
};
var deserializeAws_json1_1InferenceRecommendations = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1InferenceRecommendation(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1InferenceRecommendationsJob = function (output, context) {
    return {
        CompletionTime: output.CompletionTime !== undefined && output.CompletionTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CompletionTime)))
            : undefined,
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        FailureReason: __expectString(output.FailureReason),
        JobArn: __expectString(output.JobArn),
        JobDescription: __expectString(output.JobDescription),
        JobName: __expectString(output.JobName),
        JobType: __expectString(output.JobType),
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        RoleArn: __expectString(output.RoleArn),
        Status: __expectString(output.Status),
    };
};
var deserializeAws_json1_1InferenceRecommendationsJobs = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1InferenceRecommendationsJob(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1InferenceSpecification = function (output, context) {
    return {
        Containers: output.Containers !== undefined && output.Containers !== null
            ? deserializeAws_json1_1ModelPackageContainerDefinitionList(output.Containers, context)
            : undefined,
        SupportedContentTypes: output.SupportedContentTypes !== undefined && output.SupportedContentTypes !== null
            ? deserializeAws_json1_1ContentTypes(output.SupportedContentTypes, context)
            : undefined,
        SupportedRealtimeInferenceInstanceTypes: output.SupportedRealtimeInferenceInstanceTypes !== undefined &&
            output.SupportedRealtimeInferenceInstanceTypes !== null
            ? deserializeAws_json1_1RealtimeInferenceInstanceTypes(output.SupportedRealtimeInferenceInstanceTypes, context)
            : undefined,
        SupportedResponseMIMETypes: output.SupportedResponseMIMETypes !== undefined && output.SupportedResponseMIMETypes !== null
            ? deserializeAws_json1_1ResponseMIMETypes(output.SupportedResponseMIMETypes, context)
            : undefined,
        SupportedTransformInstanceTypes: output.SupportedTransformInstanceTypes !== undefined && output.SupportedTransformInstanceTypes !== null
            ? deserializeAws_json1_1TransformInstanceTypes(output.SupportedTransformInstanceTypes, context)
            : undefined,
    };
};
var deserializeAws_json1_1InputConfig = function (output, context) {
    return {
        DataInputConfig: __expectString(output.DataInputConfig),
        Framework: __expectString(output.Framework),
        FrameworkVersion: __expectString(output.FrameworkVersion),
        S3Uri: __expectString(output.S3Uri),
    };
};
var deserializeAws_json1_1InputDataConfig = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1Channel(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1InputModes = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1IntegerParameterRange = function (output, context) {
    return {
        MaxValue: __expectString(output.MaxValue),
        MinValue: __expectString(output.MinValue),
        Name: __expectString(output.Name),
        ScalingType: __expectString(output.ScalingType),
    };
};
var deserializeAws_json1_1IntegerParameterRanges = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1IntegerParameterRange(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1IntegerParameterRangeSpecification = function (output, context) {
    return {
        MaxValue: __expectString(output.MaxValue),
        MinValue: __expectString(output.MinValue),
    };
};
var deserializeAws_json1_1JsonContentTypes = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1JupyterServerAppSettings = function (output, context) {
    return {
        DefaultResourceSpec: output.DefaultResourceSpec !== undefined && output.DefaultResourceSpec !== null
            ? deserializeAws_json1_1ResourceSpec(output.DefaultResourceSpec, context)
            : undefined,
        LifecycleConfigArns: output.LifecycleConfigArns !== undefined && output.LifecycleConfigArns !== null
            ? deserializeAws_json1_1LifecycleConfigArns(output.LifecycleConfigArns, context)
            : undefined,
    };
};
var deserializeAws_json1_1KernelGatewayAppSettings = function (output, context) {
    return {
        CustomImages: output.CustomImages !== undefined && output.CustomImages !== null
            ? deserializeAws_json1_1CustomImages(output.CustomImages, context)
            : undefined,
        DefaultResourceSpec: output.DefaultResourceSpec !== undefined && output.DefaultResourceSpec !== null
            ? deserializeAws_json1_1ResourceSpec(output.DefaultResourceSpec, context)
            : undefined,
        LifecycleConfigArns: output.LifecycleConfigArns !== undefined && output.LifecycleConfigArns !== null
            ? deserializeAws_json1_1LifecycleConfigArns(output.LifecycleConfigArns, context)
            : undefined,
    };
};
var deserializeAws_json1_1KernelGatewayImageConfig = function (output, context) {
    return {
        FileSystemConfig: output.FileSystemConfig !== undefined && output.FileSystemConfig !== null
            ? deserializeAws_json1_1FileSystemConfig(output.FileSystemConfig, context)
            : undefined,
        KernelSpecs: output.KernelSpecs !== undefined && output.KernelSpecs !== null
            ? deserializeAws_json1_1KernelSpecs(output.KernelSpecs, context)
            : undefined,
    };
};
var deserializeAws_json1_1KernelSpec = function (output, context) {
    return {
        DisplayName: __expectString(output.DisplayName),
        Name: __expectString(output.Name),
    };
};
var deserializeAws_json1_1KernelSpecs = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1KernelSpec(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1LabelCounters = function (output, context) {
    return {
        FailedNonRetryableError: __expectInt32(output.FailedNonRetryableError),
        HumanLabeled: __expectInt32(output.HumanLabeled),
        MachineLabeled: __expectInt32(output.MachineLabeled),
        TotalLabeled: __expectInt32(output.TotalLabeled),
        Unlabeled: __expectInt32(output.Unlabeled),
    };
};
var deserializeAws_json1_1LabelCountersForWorkteam = function (output, context) {
    return {
        HumanLabeled: __expectInt32(output.HumanLabeled),
        PendingHuman: __expectInt32(output.PendingHuman),
        Total: __expectInt32(output.Total),
    };
};
var deserializeAws_json1_1LabelingJobAlgorithmsConfig = function (output, context) {
    return {
        InitialActiveLearningModelArn: __expectString(output.InitialActiveLearningModelArn),
        LabelingJobAlgorithmSpecificationArn: __expectString(output.LabelingJobAlgorithmSpecificationArn),
        LabelingJobResourceConfig: output.LabelingJobResourceConfig !== undefined && output.LabelingJobResourceConfig !== null
            ? deserializeAws_json1_1LabelingJobResourceConfig(output.LabelingJobResourceConfig, context)
            : undefined,
    };
};
var deserializeAws_json1_1LabelingJobDataAttributes = function (output, context) {
    return {
        ContentClassifiers: output.ContentClassifiers !== undefined && output.ContentClassifiers !== null
            ? deserializeAws_json1_1ContentClassifiers(output.ContentClassifiers, context)
            : undefined,
    };
};
var deserializeAws_json1_1LabelingJobDataSource = function (output, context) {
    return {
        S3DataSource: output.S3DataSource !== undefined && output.S3DataSource !== null
            ? deserializeAws_json1_1LabelingJobS3DataSource(output.S3DataSource, context)
            : undefined,
        SnsDataSource: output.SnsDataSource !== undefined && output.SnsDataSource !== null
            ? deserializeAws_json1_1LabelingJobSnsDataSource(output.SnsDataSource, context)
            : undefined,
    };
};
var deserializeAws_json1_1LabelingJobForWorkteamSummary = function (output, context) {
    return {
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        JobReferenceCode: __expectString(output.JobReferenceCode),
        LabelCounters: output.LabelCounters !== undefined && output.LabelCounters !== null
            ? deserializeAws_json1_1LabelCountersForWorkteam(output.LabelCounters, context)
            : undefined,
        LabelingJobName: __expectString(output.LabelingJobName),
        NumberOfHumanWorkersPerDataObject: __expectInt32(output.NumberOfHumanWorkersPerDataObject),
        WorkRequesterAccountId: __expectString(output.WorkRequesterAccountId),
    };
};
var deserializeAws_json1_1LabelingJobForWorkteamSummaryList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1LabelingJobForWorkteamSummary(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1LabelingJobInputConfig = function (output, context) {
    return {
        DataAttributes: output.DataAttributes !== undefined && output.DataAttributes !== null
            ? deserializeAws_json1_1LabelingJobDataAttributes(output.DataAttributes, context)
            : undefined,
        DataSource: output.DataSource !== undefined && output.DataSource !== null
            ? deserializeAws_json1_1LabelingJobDataSource(output.DataSource, context)
            : undefined,
    };
};
var deserializeAws_json1_1LabelingJobOutput = function (output, context) {
    return {
        FinalActiveLearningModelArn: __expectString(output.FinalActiveLearningModelArn),
        OutputDatasetS3Uri: __expectString(output.OutputDatasetS3Uri),
    };
};
var deserializeAws_json1_1LabelingJobOutputConfig = function (output, context) {
    return {
        KmsKeyId: __expectString(output.KmsKeyId),
        S3OutputPath: __expectString(output.S3OutputPath),
        SnsTopicArn: __expectString(output.SnsTopicArn),
    };
};
var deserializeAws_json1_1LabelingJobResourceConfig = function (output, context) {
    return {
        VolumeKmsKeyId: __expectString(output.VolumeKmsKeyId),
    };
};
var deserializeAws_json1_1LabelingJobS3DataSource = function (output, context) {
    return {
        ManifestS3Uri: __expectString(output.ManifestS3Uri),
    };
};
var deserializeAws_json1_1LabelingJobSnsDataSource = function (output, context) {
    return {
        SnsTopicArn: __expectString(output.SnsTopicArn),
    };
};
var deserializeAws_json1_1LabelingJobStoppingConditions = function (output, context) {
    return {
        MaxHumanLabeledObjectCount: __expectInt32(output.MaxHumanLabeledObjectCount),
        MaxPercentageOfInputDatasetLabeled: __expectInt32(output.MaxPercentageOfInputDatasetLabeled),
    };
};
var deserializeAws_json1_1LabelingJobSummary = function (output, context) {
    return {
        AnnotationConsolidationLambdaArn: __expectString(output.AnnotationConsolidationLambdaArn),
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        FailureReason: __expectString(output.FailureReason),
        InputConfig: output.InputConfig !== undefined && output.InputConfig !== null
            ? deserializeAws_json1_1LabelingJobInputConfig(output.InputConfig, context)
            : undefined,
        LabelCounters: output.LabelCounters !== undefined && output.LabelCounters !== null
            ? deserializeAws_json1_1LabelCounters(output.LabelCounters, context)
            : undefined,
        LabelingJobArn: __expectString(output.LabelingJobArn),
        LabelingJobName: __expectString(output.LabelingJobName),
        LabelingJobOutput: output.LabelingJobOutput !== undefined && output.LabelingJobOutput !== null
            ? deserializeAws_json1_1LabelingJobOutput(output.LabelingJobOutput, context)
            : undefined,
        LabelingJobStatus: __expectString(output.LabelingJobStatus),
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        PreHumanTaskLambdaArn: __expectString(output.PreHumanTaskLambdaArn),
        WorkteamArn: __expectString(output.WorkteamArn),
    };
};
var deserializeAws_json1_1LabelingJobSummaryList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1LabelingJobSummary(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1LambdaStepMetadata = function (output, context) {
    return {
        Arn: __expectString(output.Arn),
        OutputParameters: output.OutputParameters !== undefined && output.OutputParameters !== null
            ? deserializeAws_json1_1OutputParameterList(output.OutputParameters, context)
            : undefined,
    };
};
var deserializeAws_json1_1LifecycleConfigArns = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1LineageEntityParameters = function (output, context) {
    return Object.entries(output).reduce(function (acc, _a) {
        var _b;
        var _c = __read(_a, 2), key = _c[0], value = _c[1];
        if (value === null) {
            return acc;
        }
        return __assign(__assign({}, acc), (_b = {}, _b[key] = __expectString(value), _b));
    }, {});
};
var deserializeAws_json1_1LineageGroupSummaries = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1LineageGroupSummary(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1LineageGroupSummary = function (output, context) {
    return {
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        DisplayName: __expectString(output.DisplayName),
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        LineageGroupArn: __expectString(output.LineageGroupArn),
        LineageGroupName: __expectString(output.LineageGroupName),
    };
};
var deserializeAws_json1_1ListActionsResponse = function (output, context) {
    return {
        ActionSummaries: output.ActionSummaries !== undefined && output.ActionSummaries !== null
            ? deserializeAws_json1_1ActionSummaries(output.ActionSummaries, context)
            : undefined,
        NextToken: __expectString(output.NextToken),
    };
};
var deserializeAws_json1_1ListAlgorithmsOutput = function (output, context) {
    return {
        AlgorithmSummaryList: output.AlgorithmSummaryList !== undefined && output.AlgorithmSummaryList !== null
            ? deserializeAws_json1_1AlgorithmSummaryList(output.AlgorithmSummaryList, context)
            : undefined,
        NextToken: __expectString(output.NextToken),
    };
};
var deserializeAws_json1_1ListAppImageConfigsResponse = function (output, context) {
    return {
        AppImageConfigs: output.AppImageConfigs !== undefined && output.AppImageConfigs !== null
            ? deserializeAws_json1_1AppImageConfigList(output.AppImageConfigs, context)
            : undefined,
        NextToken: __expectString(output.NextToken),
    };
};
var deserializeAws_json1_1ListAppsResponse = function (output, context) {
    return {
        Apps: output.Apps !== undefined && output.Apps !== null
            ? deserializeAws_json1_1AppList(output.Apps, context)
            : undefined,
        NextToken: __expectString(output.NextToken),
    };
};
var deserializeAws_json1_1ListArtifactsResponse = function (output, context) {
    return {
        ArtifactSummaries: output.ArtifactSummaries !== undefined && output.ArtifactSummaries !== null
            ? deserializeAws_json1_1ArtifactSummaries(output.ArtifactSummaries, context)
            : undefined,
        NextToken: __expectString(output.NextToken),
    };
};
var deserializeAws_json1_1ListAssociationsResponse = function (output, context) {
    return {
        AssociationSummaries: output.AssociationSummaries !== undefined && output.AssociationSummaries !== null
            ? deserializeAws_json1_1AssociationSummaries(output.AssociationSummaries, context)
            : undefined,
        NextToken: __expectString(output.NextToken),
    };
};
var deserializeAws_json1_1ListAutoMLJobsResponse = function (output, context) {
    return {
        AutoMLJobSummaries: output.AutoMLJobSummaries !== undefined && output.AutoMLJobSummaries !== null
            ? deserializeAws_json1_1AutoMLJobSummaries(output.AutoMLJobSummaries, context)
            : undefined,
        NextToken: __expectString(output.NextToken),
    };
};
var deserializeAws_json1_1ListCandidatesForAutoMLJobResponse = function (output, context) {
    return {
        Candidates: output.Candidates !== undefined && output.Candidates !== null
            ? deserializeAws_json1_1AutoMLCandidates(output.Candidates, context)
            : undefined,
        NextToken: __expectString(output.NextToken),
    };
};
var deserializeAws_json1_1ListCodeRepositoriesOutput = function (output, context) {
    return {
        CodeRepositorySummaryList: output.CodeRepositorySummaryList !== undefined && output.CodeRepositorySummaryList !== null
            ? deserializeAws_json1_1CodeRepositorySummaryList(output.CodeRepositorySummaryList, context)
            : undefined,
        NextToken: __expectString(output.NextToken),
    };
};
var deserializeAws_json1_1ListCompilationJobsResponse = function (output, context) {
    return {
        CompilationJobSummaries: output.CompilationJobSummaries !== undefined && output.CompilationJobSummaries !== null
            ? deserializeAws_json1_1CompilationJobSummaries(output.CompilationJobSummaries, context)
            : undefined,
        NextToken: __expectString(output.NextToken),
    };
};
var deserializeAws_json1_1ListContextsResponse = function (output, context) {
    return {
        ContextSummaries: output.ContextSummaries !== undefined && output.ContextSummaries !== null
            ? deserializeAws_json1_1ContextSummaries(output.ContextSummaries, context)
            : undefined,
        NextToken: __expectString(output.NextToken),
    };
};
var deserializeAws_json1_1ListDataQualityJobDefinitionsResponse = function (output, context) {
    return {
        JobDefinitionSummaries: output.JobDefinitionSummaries !== undefined && output.JobDefinitionSummaries !== null
            ? deserializeAws_json1_1MonitoringJobDefinitionSummaryList(output.JobDefinitionSummaries, context)
            : undefined,
        NextToken: __expectString(output.NextToken),
    };
};
var deserializeAws_json1_1ListDeviceFleetsResponse = function (output, context) {
    return {
        DeviceFleetSummaries: output.DeviceFleetSummaries !== undefined && output.DeviceFleetSummaries !== null
            ? deserializeAws_json1_1DeviceFleetSummaries(output.DeviceFleetSummaries, context)
            : undefined,
        NextToken: __expectString(output.NextToken),
    };
};
var deserializeAws_json1_1ListDevicesResponse = function (output, context) {
    return {
        DeviceSummaries: output.DeviceSummaries !== undefined && output.DeviceSummaries !== null
            ? deserializeAws_json1_1DeviceSummaries(output.DeviceSummaries, context)
            : undefined,
        NextToken: __expectString(output.NextToken),
    };
};
var deserializeAws_json1_1ListDomainsResponse = function (output, context) {
    return {
        Domains: output.Domains !== undefined && output.Domains !== null
            ? deserializeAws_json1_1DomainList(output.Domains, context)
            : undefined,
        NextToken: __expectString(output.NextToken),
    };
};
var deserializeAws_json1_1ListEdgePackagingJobsResponse = function (output, context) {
    return {
        EdgePackagingJobSummaries: output.EdgePackagingJobSummaries !== undefined && output.EdgePackagingJobSummaries !== null
            ? deserializeAws_json1_1EdgePackagingJobSummaries(output.EdgePackagingJobSummaries, context)
            : undefined,
        NextToken: __expectString(output.NextToken),
    };
};
var deserializeAws_json1_1ListEndpointConfigsOutput = function (output, context) {
    return {
        EndpointConfigs: output.EndpointConfigs !== undefined && output.EndpointConfigs !== null
            ? deserializeAws_json1_1EndpointConfigSummaryList(output.EndpointConfigs, context)
            : undefined,
        NextToken: __expectString(output.NextToken),
    };
};
var deserializeAws_json1_1ListEndpointsOutput = function (output, context) {
    return {
        Endpoints: output.Endpoints !== undefined && output.Endpoints !== null
            ? deserializeAws_json1_1EndpointSummaryList(output.Endpoints, context)
            : undefined,
        NextToken: __expectString(output.NextToken),
    };
};
var deserializeAws_json1_1ListExperimentsResponse = function (output, context) {
    return {
        ExperimentSummaries: output.ExperimentSummaries !== undefined && output.ExperimentSummaries !== null
            ? deserializeAws_json1_1ExperimentSummaries(output.ExperimentSummaries, context)
            : undefined,
        NextToken: __expectString(output.NextToken),
    };
};
var deserializeAws_json1_1ListFeatureGroupsResponse = function (output, context) {
    return {
        FeatureGroupSummaries: output.FeatureGroupSummaries !== undefined && output.FeatureGroupSummaries !== null
            ? deserializeAws_json1_1FeatureGroupSummaries(output.FeatureGroupSummaries, context)
            : undefined,
        NextToken: __expectString(output.NextToken),
    };
};
var deserializeAws_json1_1ListFlowDefinitionsResponse = function (output, context) {
    return {
        FlowDefinitionSummaries: output.FlowDefinitionSummaries !== undefined && output.FlowDefinitionSummaries !== null
            ? deserializeAws_json1_1FlowDefinitionSummaries(output.FlowDefinitionSummaries, context)
            : undefined,
        NextToken: __expectString(output.NextToken),
    };
};
var deserializeAws_json1_1ListHumanTaskUisResponse = function (output, context) {
    return {
        HumanTaskUiSummaries: output.HumanTaskUiSummaries !== undefined && output.HumanTaskUiSummaries !== null
            ? deserializeAws_json1_1HumanTaskUiSummaries(output.HumanTaskUiSummaries, context)
            : undefined,
        NextToken: __expectString(output.NextToken),
    };
};
var deserializeAws_json1_1ListHyperParameterTuningJobsResponse = function (output, context) {
    return {
        HyperParameterTuningJobSummaries: output.HyperParameterTuningJobSummaries !== undefined && output.HyperParameterTuningJobSummaries !== null
            ? deserializeAws_json1_1HyperParameterTuningJobSummaries(output.HyperParameterTuningJobSummaries, context)
            : undefined,
        NextToken: __expectString(output.NextToken),
    };
};
var deserializeAws_json1_1ListImagesResponse = function (output, context) {
    return {
        Images: output.Images !== undefined && output.Images !== null
            ? deserializeAws_json1_1Images(output.Images, context)
            : undefined,
        NextToken: __expectString(output.NextToken),
    };
};
var deserializeAws_json1_1ListImageVersionsResponse = function (output, context) {
    return {
        ImageVersions: output.ImageVersions !== undefined && output.ImageVersions !== null
            ? deserializeAws_json1_1ImageVersions(output.ImageVersions, context)
            : undefined,
        NextToken: __expectString(output.NextToken),
    };
};
var deserializeAws_json1_1ListInferenceRecommendationsJobsResponse = function (output, context) {
    return {
        InferenceRecommendationsJobs: output.InferenceRecommendationsJobs !== undefined && output.InferenceRecommendationsJobs !== null
            ? deserializeAws_json1_1InferenceRecommendationsJobs(output.InferenceRecommendationsJobs, context)
            : undefined,
        NextToken: __expectString(output.NextToken),
    };
};
var deserializeAws_json1_1ListLabelingJobsForWorkteamResponse = function (output, context) {
    return {
        LabelingJobSummaryList: output.LabelingJobSummaryList !== undefined && output.LabelingJobSummaryList !== null
            ? deserializeAws_json1_1LabelingJobForWorkteamSummaryList(output.LabelingJobSummaryList, context)
            : undefined,
        NextToken: __expectString(output.NextToken),
    };
};
var deserializeAws_json1_1ListLabelingJobsResponse = function (output, context) {
    return {
        LabelingJobSummaryList: output.LabelingJobSummaryList !== undefined && output.LabelingJobSummaryList !== null
            ? deserializeAws_json1_1LabelingJobSummaryList(output.LabelingJobSummaryList, context)
            : undefined,
        NextToken: __expectString(output.NextToken),
    };
};
var deserializeAws_json1_1ListLineageGroupsResponse = function (output, context) {
    return {
        LineageGroupSummaries: output.LineageGroupSummaries !== undefined && output.LineageGroupSummaries !== null
            ? deserializeAws_json1_1LineageGroupSummaries(output.LineageGroupSummaries, context)
            : undefined,
        NextToken: __expectString(output.NextToken),
    };
};
var deserializeAws_json1_1ListModelBiasJobDefinitionsResponse = function (output, context) {
    return {
        JobDefinitionSummaries: output.JobDefinitionSummaries !== undefined && output.JobDefinitionSummaries !== null
            ? deserializeAws_json1_1MonitoringJobDefinitionSummaryList(output.JobDefinitionSummaries, context)
            : undefined,
        NextToken: __expectString(output.NextToken),
    };
};
var deserializeAws_json1_1ListModelExplainabilityJobDefinitionsResponse = function (output, context) {
    return {
        JobDefinitionSummaries: output.JobDefinitionSummaries !== undefined && output.JobDefinitionSummaries !== null
            ? deserializeAws_json1_1MonitoringJobDefinitionSummaryList(output.JobDefinitionSummaries, context)
            : undefined,
        NextToken: __expectString(output.NextToken),
    };
};
var deserializeAws_json1_1ListModelMetadataResponse = function (output, context) {
    return {
        ModelMetadataSummaries: output.ModelMetadataSummaries !== undefined && output.ModelMetadataSummaries !== null
            ? deserializeAws_json1_1ModelMetadataSummaries(output.ModelMetadataSummaries, context)
            : undefined,
        NextToken: __expectString(output.NextToken),
    };
};
var deserializeAws_json1_1ListModelPackageGroupsOutput = function (output, context) {
    return {
        ModelPackageGroupSummaryList: output.ModelPackageGroupSummaryList !== undefined && output.ModelPackageGroupSummaryList !== null
            ? deserializeAws_json1_1ModelPackageGroupSummaryList(output.ModelPackageGroupSummaryList, context)
            : undefined,
        NextToken: __expectString(output.NextToken),
    };
};
var deserializeAws_json1_1ListModelPackagesOutput = function (output, context) {
    return {
        ModelPackageSummaryList: output.ModelPackageSummaryList !== undefined && output.ModelPackageSummaryList !== null
            ? deserializeAws_json1_1ModelPackageSummaryList(output.ModelPackageSummaryList, context)
            : undefined,
        NextToken: __expectString(output.NextToken),
    };
};
var deserializeAws_json1_1ListModelQualityJobDefinitionsResponse = function (output, context) {
    return {
        JobDefinitionSummaries: output.JobDefinitionSummaries !== undefined && output.JobDefinitionSummaries !== null
            ? deserializeAws_json1_1MonitoringJobDefinitionSummaryList(output.JobDefinitionSummaries, context)
            : undefined,
        NextToken: __expectString(output.NextToken),
    };
};
var deserializeAws_json1_1ListModelsOutput = function (output, context) {
    return {
        Models: output.Models !== undefined && output.Models !== null
            ? deserializeAws_json1_1ModelSummaryList(output.Models, context)
            : undefined,
        NextToken: __expectString(output.NextToken),
    };
};
var deserializeAws_json1_1ListMonitoringExecutionsResponse = function (output, context) {
    return {
        MonitoringExecutionSummaries: output.MonitoringExecutionSummaries !== undefined && output.MonitoringExecutionSummaries !== null
            ? deserializeAws_json1_1MonitoringExecutionSummaryList(output.MonitoringExecutionSummaries, context)
            : undefined,
        NextToken: __expectString(output.NextToken),
    };
};
var deserializeAws_json1_1ListMonitoringSchedulesResponse = function (output, context) {
    return {
        MonitoringScheduleSummaries: output.MonitoringScheduleSummaries !== undefined && output.MonitoringScheduleSummaries !== null
            ? deserializeAws_json1_1MonitoringScheduleSummaryList(output.MonitoringScheduleSummaries, context)
            : undefined,
        NextToken: __expectString(output.NextToken),
    };
};
var deserializeAws_json1_1ListNotebookInstanceLifecycleConfigsOutput = function (output, context) {
    return {
        NextToken: __expectString(output.NextToken),
        NotebookInstanceLifecycleConfigs: output.NotebookInstanceLifecycleConfigs !== undefined && output.NotebookInstanceLifecycleConfigs !== null
            ? deserializeAws_json1_1NotebookInstanceLifecycleConfigSummaryList(output.NotebookInstanceLifecycleConfigs, context)
            : undefined,
    };
};
var deserializeAws_json1_1ListNotebookInstancesOutput = function (output, context) {
    return {
        NextToken: __expectString(output.NextToken),
        NotebookInstances: output.NotebookInstances !== undefined && output.NotebookInstances !== null
            ? deserializeAws_json1_1NotebookInstanceSummaryList(output.NotebookInstances, context)
            : undefined,
    };
};
var deserializeAws_json1_1ListPipelineExecutionsResponse = function (output, context) {
    return {
        NextToken: __expectString(output.NextToken),
        PipelineExecutionSummaries: output.PipelineExecutionSummaries !== undefined && output.PipelineExecutionSummaries !== null
            ? deserializeAws_json1_1PipelineExecutionSummaryList(output.PipelineExecutionSummaries, context)
            : undefined,
    };
};
var deserializeAws_json1_1ListPipelineExecutionStepsResponse = function (output, context) {
    return {
        NextToken: __expectString(output.NextToken),
        PipelineExecutionSteps: output.PipelineExecutionSteps !== undefined && output.PipelineExecutionSteps !== null
            ? deserializeAws_json1_1PipelineExecutionStepList(output.PipelineExecutionSteps, context)
            : undefined,
    };
};
var deserializeAws_json1_1ListPipelineParametersForExecutionResponse = function (output, context) {
    return {
        NextToken: __expectString(output.NextToken),
        PipelineParameters: output.PipelineParameters !== undefined && output.PipelineParameters !== null
            ? deserializeAws_json1_1ParameterList(output.PipelineParameters, context)
            : undefined,
    };
};
var deserializeAws_json1_1ListPipelinesResponse = function (output, context) {
    return {
        NextToken: __expectString(output.NextToken),
        PipelineSummaries: output.PipelineSummaries !== undefined && output.PipelineSummaries !== null
            ? deserializeAws_json1_1PipelineSummaryList(output.PipelineSummaries, context)
            : undefined,
    };
};
var deserializeAws_json1_1ListProcessingJobsResponse = function (output, context) {
    return {
        NextToken: __expectString(output.NextToken),
        ProcessingJobSummaries: output.ProcessingJobSummaries !== undefined && output.ProcessingJobSummaries !== null
            ? deserializeAws_json1_1ProcessingJobSummaries(output.ProcessingJobSummaries, context)
            : undefined,
    };
};
var deserializeAws_json1_1ListProjectsOutput = function (output, context) {
    return {
        NextToken: __expectString(output.NextToken),
        ProjectSummaryList: output.ProjectSummaryList !== undefined && output.ProjectSummaryList !== null
            ? deserializeAws_json1_1ProjectSummaryList(output.ProjectSummaryList, context)
            : undefined,
    };
};
var deserializeAws_json1_1ListStudioLifecycleConfigsResponse = function (output, context) {
    return {
        NextToken: __expectString(output.NextToken),
        StudioLifecycleConfigs: output.StudioLifecycleConfigs !== undefined && output.StudioLifecycleConfigs !== null
            ? deserializeAws_json1_1StudioLifecycleConfigsList(output.StudioLifecycleConfigs, context)
            : undefined,
    };
};
var deserializeAws_json1_1ListSubscribedWorkteamsResponse = function (output, context) {
    return {
        NextToken: __expectString(output.NextToken),
        SubscribedWorkteams: output.SubscribedWorkteams !== undefined && output.SubscribedWorkteams !== null
            ? deserializeAws_json1_1SubscribedWorkteams(output.SubscribedWorkteams, context)
            : undefined,
    };
};
var deserializeAws_json1_1ListTagsOutput = function (output, context) {
    return {
        NextToken: __expectString(output.NextToken),
        Tags: output.Tags !== undefined && output.Tags !== null
            ? deserializeAws_json1_1TagList(output.Tags, context)
            : undefined,
    };
};
var deserializeAws_json1_1ListTrainingJobsForHyperParameterTuningJobResponse = function (output, context) {
    return {
        NextToken: __expectString(output.NextToken),
        TrainingJobSummaries: output.TrainingJobSummaries !== undefined && output.TrainingJobSummaries !== null
            ? deserializeAws_json1_1HyperParameterTrainingJobSummaries(output.TrainingJobSummaries, context)
            : undefined,
    };
};
var deserializeAws_json1_1ListTrainingJobsResponse = function (output, context) {
    return {
        NextToken: __expectString(output.NextToken),
        TrainingJobSummaries: output.TrainingJobSummaries !== undefined && output.TrainingJobSummaries !== null
            ? deserializeAws_json1_1TrainingJobSummaries(output.TrainingJobSummaries, context)
            : undefined,
    };
};
var deserializeAws_json1_1ListTransformJobsResponse = function (output, context) {
    return {
        NextToken: __expectString(output.NextToken),
        TransformJobSummaries: output.TransformJobSummaries !== undefined && output.TransformJobSummaries !== null
            ? deserializeAws_json1_1TransformJobSummaries(output.TransformJobSummaries, context)
            : undefined,
    };
};
var deserializeAws_json1_1ListTrialComponentsResponse = function (output, context) {
    return {
        NextToken: __expectString(output.NextToken),
        TrialComponentSummaries: output.TrialComponentSummaries !== undefined && output.TrialComponentSummaries !== null
            ? deserializeAws_json1_1TrialComponentSummaries(output.TrialComponentSummaries, context)
            : undefined,
    };
};
var deserializeAws_json1_1ListTrialsResponse = function (output, context) {
    return {
        NextToken: __expectString(output.NextToken),
        TrialSummaries: output.TrialSummaries !== undefined && output.TrialSummaries !== null
            ? deserializeAws_json1_1TrialSummaries(output.TrialSummaries, context)
            : undefined,
    };
};
var deserializeAws_json1_1ListUserProfilesResponse = function (output, context) {
    return {
        NextToken: __expectString(output.NextToken),
        UserProfiles: output.UserProfiles !== undefined && output.UserProfiles !== null
            ? deserializeAws_json1_1UserProfileList(output.UserProfiles, context)
            : undefined,
    };
};
var deserializeAws_json1_1ListWorkforcesResponse = function (output, context) {
    return {
        NextToken: __expectString(output.NextToken),
        Workforces: output.Workforces !== undefined && output.Workforces !== null
            ? deserializeAws_json1_1Workforces(output.Workforces, context)
            : undefined,
    };
};
var deserializeAws_json1_1ListWorkteamsResponse = function (output, context) {
    return {
        NextToken: __expectString(output.NextToken),
        Workteams: output.Workteams !== undefined && output.Workteams !== null
            ? deserializeAws_json1_1Workteams(output.Workteams, context)
            : undefined,
    };
};
var deserializeAws_json1_1MemberDefinition = function (output, context) {
    return {
        CognitoMemberDefinition: output.CognitoMemberDefinition !== undefined && output.CognitoMemberDefinition !== null
            ? deserializeAws_json1_1CognitoMemberDefinition(output.CognitoMemberDefinition, context)
            : undefined,
        OidcMemberDefinition: output.OidcMemberDefinition !== undefined && output.OidcMemberDefinition !== null
            ? deserializeAws_json1_1OidcMemberDefinition(output.OidcMemberDefinition, context)
            : undefined,
    };
};
var deserializeAws_json1_1MemberDefinitions = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1MemberDefinition(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1MetadataProperties = function (output, context) {
    return {
        CommitId: __expectString(output.CommitId),
        GeneratedBy: __expectString(output.GeneratedBy),
        ProjectId: __expectString(output.ProjectId),
        Repository: __expectString(output.Repository),
    };
};
var deserializeAws_json1_1MetricData = function (output, context) {
    return {
        MetricName: __expectString(output.MetricName),
        Timestamp: output.Timestamp !== undefined && output.Timestamp !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.Timestamp)))
            : undefined,
        Value: __limitedParseFloat32(output.Value),
    };
};
var deserializeAws_json1_1MetricDataList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1MetricDatum(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1MetricDatum = function (output, context) {
    return {
        MetricName: __expectString(output.MetricName),
        Set: __expectString(output.Set),
        Value: __limitedParseFloat32(output.Value),
    };
};
var deserializeAws_json1_1MetricDefinition = function (output, context) {
    return {
        Name: __expectString(output.Name),
        Regex: __expectString(output.Regex),
    };
};
var deserializeAws_json1_1MetricDefinitionList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1MetricDefinition(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1MetricsSource = function (output, context) {
    return {
        ContentDigest: __expectString(output.ContentDigest),
        ContentType: __expectString(output.ContentType),
        S3Uri: __expectString(output.S3Uri),
    };
};
var deserializeAws_json1_1ModelArtifacts = function (output, context) {
    return {
        S3ModelArtifacts: __expectString(output.S3ModelArtifacts),
    };
};
var deserializeAws_json1_1ModelBiasAppSpecification = function (output, context) {
    return {
        ConfigUri: __expectString(output.ConfigUri),
        Environment: output.Environment !== undefined && output.Environment !== null
            ? deserializeAws_json1_1MonitoringEnvironmentMap(output.Environment, context)
            : undefined,
        ImageUri: __expectString(output.ImageUri),
    };
};
var deserializeAws_json1_1ModelBiasBaselineConfig = function (output, context) {
    return {
        BaseliningJobName: __expectString(output.BaseliningJobName),
        ConstraintsResource: output.ConstraintsResource !== undefined && output.ConstraintsResource !== null
            ? deserializeAws_json1_1MonitoringConstraintsResource(output.ConstraintsResource, context)
            : undefined,
    };
};
var deserializeAws_json1_1ModelBiasJobInput = function (output, context) {
    return {
        EndpointInput: output.EndpointInput !== undefined && output.EndpointInput !== null
            ? deserializeAws_json1_1EndpointInput(output.EndpointInput, context)
            : undefined,
        GroundTruthS3Input: output.GroundTruthS3Input !== undefined && output.GroundTruthS3Input !== null
            ? deserializeAws_json1_1MonitoringGroundTruthS3Input(output.GroundTruthS3Input, context)
            : undefined,
    };
};
var deserializeAws_json1_1ModelClientConfig = function (output, context) {
    return {
        InvocationsMaxRetries: __expectInt32(output.InvocationsMaxRetries),
        InvocationsTimeoutInSeconds: __expectInt32(output.InvocationsTimeoutInSeconds),
    };
};
var deserializeAws_json1_1ModelConfiguration = function (output, context) {
    return {
        EnvironmentParameters: output.EnvironmentParameters !== undefined && output.EnvironmentParameters !== null
            ? deserializeAws_json1_1EnvironmentParameters(output.EnvironmentParameters, context)
            : undefined,
        InferenceSpecificationName: __expectString(output.InferenceSpecificationName),
    };
};
var deserializeAws_json1_1ModelDataQuality = function (output, context) {
    return {
        Constraints: output.Constraints !== undefined && output.Constraints !== null
            ? deserializeAws_json1_1MetricsSource(output.Constraints, context)
            : undefined,
        Statistics: output.Statistics !== undefined && output.Statistics !== null
            ? deserializeAws_json1_1MetricsSource(output.Statistics, context)
            : undefined,
    };
};
var deserializeAws_json1_1ModelDeployConfig = function (output, context) {
    return {
        AutoGenerateEndpointName: __expectBoolean(output.AutoGenerateEndpointName),
        EndpointName: __expectString(output.EndpointName),
    };
};
var deserializeAws_json1_1ModelDeployResult = function (output, context) {
    return {
        EndpointName: __expectString(output.EndpointName),
    };
};
var deserializeAws_json1_1ModelDigests = function (output, context) {
    return {
        ArtifactDigest: __expectString(output.ArtifactDigest),
    };
};
var deserializeAws_json1_1ModelExplainabilityAppSpecification = function (output, context) {
    return {
        ConfigUri: __expectString(output.ConfigUri),
        Environment: output.Environment !== undefined && output.Environment !== null
            ? deserializeAws_json1_1MonitoringEnvironmentMap(output.Environment, context)
            : undefined,
        ImageUri: __expectString(output.ImageUri),
    };
};
var deserializeAws_json1_1ModelExplainabilityBaselineConfig = function (output, context) {
    return {
        BaseliningJobName: __expectString(output.BaseliningJobName),
        ConstraintsResource: output.ConstraintsResource !== undefined && output.ConstraintsResource !== null
            ? deserializeAws_json1_1MonitoringConstraintsResource(output.ConstraintsResource, context)
            : undefined,
    };
};
var deserializeAws_json1_1ModelExplainabilityJobInput = function (output, context) {
    return {
        EndpointInput: output.EndpointInput !== undefined && output.EndpointInput !== null
            ? deserializeAws_json1_1EndpointInput(output.EndpointInput, context)
            : undefined,
    };
};
var deserializeAws_json1_1ModelInput = function (output, context) {
    return {
        DataInputConfig: __expectString(output.DataInputConfig),
    };
};
var deserializeAws_json1_1ModelLatencyThreshold = function (output, context) {
    return {
        Percentile: __expectString(output.Percentile),
        ValueInMilliseconds: __expectInt32(output.ValueInMilliseconds),
    };
};
var deserializeAws_json1_1ModelLatencyThresholds = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ModelLatencyThreshold(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1ModelMetadataSummaries = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ModelMetadataSummary(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1ModelMetadataSummary = function (output, context) {
    return {
        Domain: __expectString(output.Domain),
        Framework: __expectString(output.Framework),
        FrameworkVersion: __expectString(output.FrameworkVersion),
        Model: __expectString(output.Model),
        Task: __expectString(output.Task),
    };
};
var deserializeAws_json1_1ModelMetrics = function (output, context) {
    return {
        Bias: output.Bias !== undefined && output.Bias !== null ? deserializeAws_json1_1Bias(output.Bias, context) : undefined,
        Explainability: output.Explainability !== undefined && output.Explainability !== null
            ? deserializeAws_json1_1Explainability(output.Explainability, context)
            : undefined,
        ModelDataQuality: output.ModelDataQuality !== undefined && output.ModelDataQuality !== null
            ? deserializeAws_json1_1ModelDataQuality(output.ModelDataQuality, context)
            : undefined,
        ModelQuality: output.ModelQuality !== undefined && output.ModelQuality !== null
            ? deserializeAws_json1_1ModelQuality(output.ModelQuality, context)
            : undefined,
    };
};
var deserializeAws_json1_1ModelPackage = function (output, context) {
    return {
        AdditionalInferenceSpecifications: output.AdditionalInferenceSpecifications !== undefined && output.AdditionalInferenceSpecifications !== null
            ? deserializeAws_json1_1AdditionalInferenceSpecifications(output.AdditionalInferenceSpecifications, context)
            : undefined,
        ApprovalDescription: __expectString(output.ApprovalDescription),
        CertifyForMarketplace: __expectBoolean(output.CertifyForMarketplace),
        CreatedBy: output.CreatedBy !== undefined && output.CreatedBy !== null
            ? deserializeAws_json1_1UserContext(output.CreatedBy, context)
            : undefined,
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        CustomerMetadataProperties: output.CustomerMetadataProperties !== undefined && output.CustomerMetadataProperties !== null
            ? deserializeAws_json1_1CustomerMetadataMap(output.CustomerMetadataProperties, context)
            : undefined,
        Domain: __expectString(output.Domain),
        DriftCheckBaselines: output.DriftCheckBaselines !== undefined && output.DriftCheckBaselines !== null
            ? deserializeAws_json1_1DriftCheckBaselines(output.DriftCheckBaselines, context)
            : undefined,
        InferenceSpecification: output.InferenceSpecification !== undefined && output.InferenceSpecification !== null
            ? deserializeAws_json1_1InferenceSpecification(output.InferenceSpecification, context)
            : undefined,
        LastModifiedBy: output.LastModifiedBy !== undefined && output.LastModifiedBy !== null
            ? deserializeAws_json1_1UserContext(output.LastModifiedBy, context)
            : undefined,
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        MetadataProperties: output.MetadataProperties !== undefined && output.MetadataProperties !== null
            ? deserializeAws_json1_1MetadataProperties(output.MetadataProperties, context)
            : undefined,
        ModelApprovalStatus: __expectString(output.ModelApprovalStatus),
        ModelMetrics: output.ModelMetrics !== undefined && output.ModelMetrics !== null
            ? deserializeAws_json1_1ModelMetrics(output.ModelMetrics, context)
            : undefined,
        ModelPackageArn: __expectString(output.ModelPackageArn),
        ModelPackageDescription: __expectString(output.ModelPackageDescription),
        ModelPackageGroupName: __expectString(output.ModelPackageGroupName),
        ModelPackageName: __expectString(output.ModelPackageName),
        ModelPackageStatus: __expectString(output.ModelPackageStatus),
        ModelPackageStatusDetails: output.ModelPackageStatusDetails !== undefined && output.ModelPackageStatusDetails !== null
            ? deserializeAws_json1_1ModelPackageStatusDetails(output.ModelPackageStatusDetails, context)
            : undefined,
        ModelPackageVersion: __expectInt32(output.ModelPackageVersion),
        SamplePayloadUrl: __expectString(output.SamplePayloadUrl),
        SourceAlgorithmSpecification: output.SourceAlgorithmSpecification !== undefined && output.SourceAlgorithmSpecification !== null
            ? deserializeAws_json1_1SourceAlgorithmSpecification(output.SourceAlgorithmSpecification, context)
            : undefined,
        Tags: output.Tags !== undefined && output.Tags !== null
            ? deserializeAws_json1_1TagList(output.Tags, context)
            : undefined,
        Task: __expectString(output.Task),
        ValidationSpecification: output.ValidationSpecification !== undefined && output.ValidationSpecification !== null
            ? deserializeAws_json1_1ModelPackageValidationSpecification(output.ValidationSpecification, context)
            : undefined,
    };
};
var deserializeAws_json1_1ModelPackageContainerDefinition = function (output, context) {
    return {
        ContainerHostname: __expectString(output.ContainerHostname),
        Environment: output.Environment !== undefined && output.Environment !== null
            ? deserializeAws_json1_1EnvironmentMap(output.Environment, context)
            : undefined,
        Framework: __expectString(output.Framework),
        FrameworkVersion: __expectString(output.FrameworkVersion),
        Image: __expectString(output.Image),
        ImageDigest: __expectString(output.ImageDigest),
        ModelDataUrl: __expectString(output.ModelDataUrl),
        ModelInput: output.ModelInput !== undefined && output.ModelInput !== null
            ? deserializeAws_json1_1ModelInput(output.ModelInput, context)
            : undefined,
        NearestModelName: __expectString(output.NearestModelName),
        ProductId: __expectString(output.ProductId),
    };
};
var deserializeAws_json1_1ModelPackageContainerDefinitionList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ModelPackageContainerDefinition(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1ModelPackageGroup = function (output, context) {
    return {
        CreatedBy: output.CreatedBy !== undefined && output.CreatedBy !== null
            ? deserializeAws_json1_1UserContext(output.CreatedBy, context)
            : undefined,
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        ModelPackageGroupArn: __expectString(output.ModelPackageGroupArn),
        ModelPackageGroupDescription: __expectString(output.ModelPackageGroupDescription),
        ModelPackageGroupName: __expectString(output.ModelPackageGroupName),
        ModelPackageGroupStatus: __expectString(output.ModelPackageGroupStatus),
        Tags: output.Tags !== undefined && output.Tags !== null
            ? deserializeAws_json1_1TagList(output.Tags, context)
            : undefined,
    };
};
var deserializeAws_json1_1ModelPackageGroupSummary = function (output, context) {
    return {
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        ModelPackageGroupArn: __expectString(output.ModelPackageGroupArn),
        ModelPackageGroupDescription: __expectString(output.ModelPackageGroupDescription),
        ModelPackageGroupName: __expectString(output.ModelPackageGroupName),
        ModelPackageGroupStatus: __expectString(output.ModelPackageGroupStatus),
    };
};
var deserializeAws_json1_1ModelPackageGroupSummaryList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ModelPackageGroupSummary(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1ModelPackageStatusDetails = function (output, context) {
    return {
        ImageScanStatuses: output.ImageScanStatuses !== undefined && output.ImageScanStatuses !== null
            ? deserializeAws_json1_1ModelPackageStatusItemList(output.ImageScanStatuses, context)
            : undefined,
        ValidationStatuses: output.ValidationStatuses !== undefined && output.ValidationStatuses !== null
            ? deserializeAws_json1_1ModelPackageStatusItemList(output.ValidationStatuses, context)
            : undefined,
    };
};
var deserializeAws_json1_1ModelPackageStatusItem = function (output, context) {
    return {
        FailureReason: __expectString(output.FailureReason),
        Name: __expectString(output.Name),
        Status: __expectString(output.Status),
    };
};
var deserializeAws_json1_1ModelPackageStatusItemList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ModelPackageStatusItem(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1ModelPackageSummaries = function (output, context) {
    return Object.entries(output).reduce(function (acc, _a) {
        var _b;
        var _c = __read(_a, 2), key = _c[0], value = _c[1];
        if (value === null) {
            return acc;
        }
        return __assign(__assign({}, acc), (_b = {}, _b[key] = deserializeAws_json1_1BatchDescribeModelPackageSummary(value, context), _b));
    }, {});
};
var deserializeAws_json1_1ModelPackageSummary = function (output, context) {
    return {
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        ModelApprovalStatus: __expectString(output.ModelApprovalStatus),
        ModelPackageArn: __expectString(output.ModelPackageArn),
        ModelPackageDescription: __expectString(output.ModelPackageDescription),
        ModelPackageGroupName: __expectString(output.ModelPackageGroupName),
        ModelPackageName: __expectString(output.ModelPackageName),
        ModelPackageStatus: __expectString(output.ModelPackageStatus),
        ModelPackageVersion: __expectInt32(output.ModelPackageVersion),
    };
};
var deserializeAws_json1_1ModelPackageSummaryList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ModelPackageSummary(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1ModelPackageValidationProfile = function (output, context) {
    return {
        ProfileName: __expectString(output.ProfileName),
        TransformJobDefinition: output.TransformJobDefinition !== undefined && output.TransformJobDefinition !== null
            ? deserializeAws_json1_1TransformJobDefinition(output.TransformJobDefinition, context)
            : undefined,
    };
};
var deserializeAws_json1_1ModelPackageValidationProfiles = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ModelPackageValidationProfile(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1ModelPackageValidationSpecification = function (output, context) {
    return {
        ValidationProfiles: output.ValidationProfiles !== undefined && output.ValidationProfiles !== null
            ? deserializeAws_json1_1ModelPackageValidationProfiles(output.ValidationProfiles, context)
            : undefined,
        ValidationRole: __expectString(output.ValidationRole),
    };
};
var deserializeAws_json1_1ModelQuality = function (output, context) {
    return {
        Constraints: output.Constraints !== undefined && output.Constraints !== null
            ? deserializeAws_json1_1MetricsSource(output.Constraints, context)
            : undefined,
        Statistics: output.Statistics !== undefined && output.Statistics !== null
            ? deserializeAws_json1_1MetricsSource(output.Statistics, context)
            : undefined,
    };
};
var deserializeAws_json1_1ModelQualityAppSpecification = function (output, context) {
    return {
        ContainerArguments: output.ContainerArguments !== undefined && output.ContainerArguments !== null
            ? deserializeAws_json1_1MonitoringContainerArguments(output.ContainerArguments, context)
            : undefined,
        ContainerEntrypoint: output.ContainerEntrypoint !== undefined && output.ContainerEntrypoint !== null
            ? deserializeAws_json1_1ContainerEntrypoint(output.ContainerEntrypoint, context)
            : undefined,
        Environment: output.Environment !== undefined && output.Environment !== null
            ? deserializeAws_json1_1MonitoringEnvironmentMap(output.Environment, context)
            : undefined,
        ImageUri: __expectString(output.ImageUri),
        PostAnalyticsProcessorSourceUri: __expectString(output.PostAnalyticsProcessorSourceUri),
        ProblemType: __expectString(output.ProblemType),
        RecordPreprocessorSourceUri: __expectString(output.RecordPreprocessorSourceUri),
    };
};
var deserializeAws_json1_1ModelQualityBaselineConfig = function (output, context) {
    return {
        BaseliningJobName: __expectString(output.BaseliningJobName),
        ConstraintsResource: output.ConstraintsResource !== undefined && output.ConstraintsResource !== null
            ? deserializeAws_json1_1MonitoringConstraintsResource(output.ConstraintsResource, context)
            : undefined,
    };
};
var deserializeAws_json1_1ModelQualityJobInput = function (output, context) {
    return {
        EndpointInput: output.EndpointInput !== undefined && output.EndpointInput !== null
            ? deserializeAws_json1_1EndpointInput(output.EndpointInput, context)
            : undefined,
        GroundTruthS3Input: output.GroundTruthS3Input !== undefined && output.GroundTruthS3Input !== null
            ? deserializeAws_json1_1MonitoringGroundTruthS3Input(output.GroundTruthS3Input, context)
            : undefined,
    };
};
var deserializeAws_json1_1ModelStepMetadata = function (output, context) {
    return {
        Arn: __expectString(output.Arn),
    };
};
var deserializeAws_json1_1ModelSummary = function (output, context) {
    return {
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        ModelArn: __expectString(output.ModelArn),
        ModelName: __expectString(output.ModelName),
    };
};
var deserializeAws_json1_1ModelSummaryList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ModelSummary(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1MonitoringAppSpecification = function (output, context) {
    return {
        ContainerArguments: output.ContainerArguments !== undefined && output.ContainerArguments !== null
            ? deserializeAws_json1_1MonitoringContainerArguments(output.ContainerArguments, context)
            : undefined,
        ContainerEntrypoint: output.ContainerEntrypoint !== undefined && output.ContainerEntrypoint !== null
            ? deserializeAws_json1_1ContainerEntrypoint(output.ContainerEntrypoint, context)
            : undefined,
        ImageUri: __expectString(output.ImageUri),
        PostAnalyticsProcessorSourceUri: __expectString(output.PostAnalyticsProcessorSourceUri),
        RecordPreprocessorSourceUri: __expectString(output.RecordPreprocessorSourceUri),
    };
};
var deserializeAws_json1_1MonitoringBaselineConfig = function (output, context) {
    return {
        BaseliningJobName: __expectString(output.BaseliningJobName),
        ConstraintsResource: output.ConstraintsResource !== undefined && output.ConstraintsResource !== null
            ? deserializeAws_json1_1MonitoringConstraintsResource(output.ConstraintsResource, context)
            : undefined,
        StatisticsResource: output.StatisticsResource !== undefined && output.StatisticsResource !== null
            ? deserializeAws_json1_1MonitoringStatisticsResource(output.StatisticsResource, context)
            : undefined,
    };
};
var deserializeAws_json1_1MonitoringClusterConfig = function (output, context) {
    return {
        InstanceCount: __expectInt32(output.InstanceCount),
        InstanceType: __expectString(output.InstanceType),
        VolumeKmsKeyId: __expectString(output.VolumeKmsKeyId),
        VolumeSizeInGB: __expectInt32(output.VolumeSizeInGB),
    };
};
var deserializeAws_json1_1MonitoringConstraintsResource = function (output, context) {
    return {
        S3Uri: __expectString(output.S3Uri),
    };
};
var deserializeAws_json1_1MonitoringContainerArguments = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1MonitoringEnvironmentMap = function (output, context) {
    return Object.entries(output).reduce(function (acc, _a) {
        var _b;
        var _c = __read(_a, 2), key = _c[0], value = _c[1];
        if (value === null) {
            return acc;
        }
        return __assign(__assign({}, acc), (_b = {}, _b[key] = __expectString(value), _b));
    }, {});
};
var deserializeAws_json1_1MonitoringExecutionSummary = function (output, context) {
    return {
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        EndpointName: __expectString(output.EndpointName),
        FailureReason: __expectString(output.FailureReason),
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        MonitoringExecutionStatus: __expectString(output.MonitoringExecutionStatus),
        MonitoringJobDefinitionName: __expectString(output.MonitoringJobDefinitionName),
        MonitoringScheduleName: __expectString(output.MonitoringScheduleName),
        MonitoringType: __expectString(output.MonitoringType),
        ProcessingJobArn: __expectString(output.ProcessingJobArn),
        ScheduledTime: output.ScheduledTime !== undefined && output.ScheduledTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.ScheduledTime)))
            : undefined,
    };
};
var deserializeAws_json1_1MonitoringExecutionSummaryList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1MonitoringExecutionSummary(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1MonitoringGroundTruthS3Input = function (output, context) {
    return {
        S3Uri: __expectString(output.S3Uri),
    };
};
var deserializeAws_json1_1MonitoringInput = function (output, context) {
    return {
        EndpointInput: output.EndpointInput !== undefined && output.EndpointInput !== null
            ? deserializeAws_json1_1EndpointInput(output.EndpointInput, context)
            : undefined,
    };
};
var deserializeAws_json1_1MonitoringInputs = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1MonitoringInput(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1MonitoringJobDefinition = function (output, context) {
    return {
        BaselineConfig: output.BaselineConfig !== undefined && output.BaselineConfig !== null
            ? deserializeAws_json1_1MonitoringBaselineConfig(output.BaselineConfig, context)
            : undefined,
        Environment: output.Environment !== undefined && output.Environment !== null
            ? deserializeAws_json1_1MonitoringEnvironmentMap(output.Environment, context)
            : undefined,
        MonitoringAppSpecification: output.MonitoringAppSpecification !== undefined && output.MonitoringAppSpecification !== null
            ? deserializeAws_json1_1MonitoringAppSpecification(output.MonitoringAppSpecification, context)
            : undefined,
        MonitoringInputs: output.MonitoringInputs !== undefined && output.MonitoringInputs !== null
            ? deserializeAws_json1_1MonitoringInputs(output.MonitoringInputs, context)
            : undefined,
        MonitoringOutputConfig: output.MonitoringOutputConfig !== undefined && output.MonitoringOutputConfig !== null
            ? deserializeAws_json1_1MonitoringOutputConfig(output.MonitoringOutputConfig, context)
            : undefined,
        MonitoringResources: output.MonitoringResources !== undefined && output.MonitoringResources !== null
            ? deserializeAws_json1_1MonitoringResources(output.MonitoringResources, context)
            : undefined,
        NetworkConfig: output.NetworkConfig !== undefined && output.NetworkConfig !== null
            ? deserializeAws_json1_1NetworkConfig(output.NetworkConfig, context)
            : undefined,
        RoleArn: __expectString(output.RoleArn),
        StoppingCondition: output.StoppingCondition !== undefined && output.StoppingCondition !== null
            ? deserializeAws_json1_1MonitoringStoppingCondition(output.StoppingCondition, context)
            : undefined,
    };
};
var deserializeAws_json1_1MonitoringJobDefinitionSummary = function (output, context) {
    return {
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        EndpointName: __expectString(output.EndpointName),
        MonitoringJobDefinitionArn: __expectString(output.MonitoringJobDefinitionArn),
        MonitoringJobDefinitionName: __expectString(output.MonitoringJobDefinitionName),
    };
};
var deserializeAws_json1_1MonitoringJobDefinitionSummaryList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1MonitoringJobDefinitionSummary(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1MonitoringNetworkConfig = function (output, context) {
    return {
        EnableInterContainerTrafficEncryption: __expectBoolean(output.EnableInterContainerTrafficEncryption),
        EnableNetworkIsolation: __expectBoolean(output.EnableNetworkIsolation),
        VpcConfig: output.VpcConfig !== undefined && output.VpcConfig !== null
            ? deserializeAws_json1_1VpcConfig(output.VpcConfig, context)
            : undefined,
    };
};
var deserializeAws_json1_1MonitoringOutput = function (output, context) {
    return {
        S3Output: output.S3Output !== undefined && output.S3Output !== null
            ? deserializeAws_json1_1MonitoringS3Output(output.S3Output, context)
            : undefined,
    };
};
var deserializeAws_json1_1MonitoringOutputConfig = function (output, context) {
    return {
        KmsKeyId: __expectString(output.KmsKeyId),
        MonitoringOutputs: output.MonitoringOutputs !== undefined && output.MonitoringOutputs !== null
            ? deserializeAws_json1_1MonitoringOutputs(output.MonitoringOutputs, context)
            : undefined,
    };
};
var deserializeAws_json1_1MonitoringOutputs = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1MonitoringOutput(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1MonitoringResources = function (output, context) {
    return {
        ClusterConfig: output.ClusterConfig !== undefined && output.ClusterConfig !== null
            ? deserializeAws_json1_1MonitoringClusterConfig(output.ClusterConfig, context)
            : undefined,
    };
};
var deserializeAws_json1_1MonitoringS3Output = function (output, context) {
    return {
        LocalPath: __expectString(output.LocalPath),
        S3UploadMode: __expectString(output.S3UploadMode),
        S3Uri: __expectString(output.S3Uri),
    };
};
var deserializeAws_json1_1MonitoringSchedule = function (output, context) {
    return {
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        EndpointName: __expectString(output.EndpointName),
        FailureReason: __expectString(output.FailureReason),
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        LastMonitoringExecutionSummary: output.LastMonitoringExecutionSummary !== undefined && output.LastMonitoringExecutionSummary !== null
            ? deserializeAws_json1_1MonitoringExecutionSummary(output.LastMonitoringExecutionSummary, context)
            : undefined,
        MonitoringScheduleArn: __expectString(output.MonitoringScheduleArn),
        MonitoringScheduleConfig: output.MonitoringScheduleConfig !== undefined && output.MonitoringScheduleConfig !== null
            ? deserializeAws_json1_1MonitoringScheduleConfig(output.MonitoringScheduleConfig, context)
            : undefined,
        MonitoringScheduleName: __expectString(output.MonitoringScheduleName),
        MonitoringScheduleStatus: __expectString(output.MonitoringScheduleStatus),
        MonitoringType: __expectString(output.MonitoringType),
        Tags: output.Tags !== undefined && output.Tags !== null
            ? deserializeAws_json1_1TagList(output.Tags, context)
            : undefined,
    };
};
var deserializeAws_json1_1MonitoringScheduleConfig = function (output, context) {
    return {
        MonitoringJobDefinition: output.MonitoringJobDefinition !== undefined && output.MonitoringJobDefinition !== null
            ? deserializeAws_json1_1MonitoringJobDefinition(output.MonitoringJobDefinition, context)
            : undefined,
        MonitoringJobDefinitionName: __expectString(output.MonitoringJobDefinitionName),
        MonitoringType: __expectString(output.MonitoringType),
        ScheduleConfig: output.ScheduleConfig !== undefined && output.ScheduleConfig !== null
            ? deserializeAws_json1_1ScheduleConfig(output.ScheduleConfig, context)
            : undefined,
    };
};
var deserializeAws_json1_1MonitoringScheduleList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1MonitoringSchedule(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1MonitoringScheduleSummary = function (output, context) {
    return {
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        EndpointName: __expectString(output.EndpointName),
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        MonitoringJobDefinitionName: __expectString(output.MonitoringJobDefinitionName),
        MonitoringScheduleArn: __expectString(output.MonitoringScheduleArn),
        MonitoringScheduleName: __expectString(output.MonitoringScheduleName),
        MonitoringScheduleStatus: __expectString(output.MonitoringScheduleStatus),
        MonitoringType: __expectString(output.MonitoringType),
    };
};
var deserializeAws_json1_1MonitoringScheduleSummaryList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1MonitoringScheduleSummary(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1MonitoringStatisticsResource = function (output, context) {
    return {
        S3Uri: __expectString(output.S3Uri),
    };
};
var deserializeAws_json1_1MonitoringStoppingCondition = function (output, context) {
    return {
        MaxRuntimeInSeconds: __expectInt32(output.MaxRuntimeInSeconds),
    };
};
var deserializeAws_json1_1MultiModelConfig = function (output, context) {
    return {
        ModelCacheSetting: __expectString(output.ModelCacheSetting),
    };
};
var deserializeAws_json1_1NeoVpcConfig = function (output, context) {
    return {
        SecurityGroupIds: output.SecurityGroupIds !== undefined && output.SecurityGroupIds !== null
            ? deserializeAws_json1_1NeoVpcSecurityGroupIds(output.SecurityGroupIds, context)
            : undefined,
        Subnets: output.Subnets !== undefined && output.Subnets !== null
            ? deserializeAws_json1_1NeoVpcSubnets(output.Subnets, context)
            : undefined,
    };
};
var deserializeAws_json1_1NeoVpcSecurityGroupIds = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1NeoVpcSubnets = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1NetworkConfig = function (output, context) {
    return {
        EnableInterContainerTrafficEncryption: __expectBoolean(output.EnableInterContainerTrafficEncryption),
        EnableNetworkIsolation: __expectBoolean(output.EnableNetworkIsolation),
        VpcConfig: output.VpcConfig !== undefined && output.VpcConfig !== null
            ? deserializeAws_json1_1VpcConfig(output.VpcConfig, context)
            : undefined,
    };
};
var deserializeAws_json1_1NotebookInstanceAcceleratorTypes = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1NotebookInstanceLifecycleConfigList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1NotebookInstanceLifecycleHook(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1NotebookInstanceLifecycleConfigSummary = function (output, context) {
    return {
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        NotebookInstanceLifecycleConfigArn: __expectString(output.NotebookInstanceLifecycleConfigArn),
        NotebookInstanceLifecycleConfigName: __expectString(output.NotebookInstanceLifecycleConfigName),
    };
};
var deserializeAws_json1_1NotebookInstanceLifecycleConfigSummaryList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1NotebookInstanceLifecycleConfigSummary(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1NotebookInstanceLifecycleHook = function (output, context) {
    return {
        Content: __expectString(output.Content),
    };
};
var deserializeAws_json1_1NotebookInstanceSummary = function (output, context) {
    return {
        AdditionalCodeRepositories: output.AdditionalCodeRepositories !== undefined && output.AdditionalCodeRepositories !== null
            ? deserializeAws_json1_1AdditionalCodeRepositoryNamesOrUrls(output.AdditionalCodeRepositories, context)
            : undefined,
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        DefaultCodeRepository: __expectString(output.DefaultCodeRepository),
        InstanceType: __expectString(output.InstanceType),
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        NotebookInstanceArn: __expectString(output.NotebookInstanceArn),
        NotebookInstanceLifecycleConfigName: __expectString(output.NotebookInstanceLifecycleConfigName),
        NotebookInstanceName: __expectString(output.NotebookInstanceName),
        NotebookInstanceStatus: __expectString(output.NotebookInstanceStatus),
        Url: __expectString(output.Url),
    };
};
var deserializeAws_json1_1NotebookInstanceSummaryList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1NotebookInstanceSummary(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1NotificationConfiguration = function (output, context) {
    return {
        NotificationTopicArn: __expectString(output.NotificationTopicArn),
    };
};
var deserializeAws_json1_1ObjectiveStatusCounters = function (output, context) {
    return {
        Failed: __expectInt32(output.Failed),
        Pending: __expectInt32(output.Pending),
        Succeeded: __expectInt32(output.Succeeded),
    };
};
var deserializeAws_json1_1OfflineStoreConfig = function (output, context) {
    return {
        DataCatalogConfig: output.DataCatalogConfig !== undefined && output.DataCatalogConfig !== null
            ? deserializeAws_json1_1DataCatalogConfig(output.DataCatalogConfig, context)
            : undefined,
        DisableGlueTableCreation: __expectBoolean(output.DisableGlueTableCreation),
        S3StorageConfig: output.S3StorageConfig !== undefined && output.S3StorageConfig !== null
            ? deserializeAws_json1_1S3StorageConfig(output.S3StorageConfig, context)
            : undefined,
    };
};
var deserializeAws_json1_1OfflineStoreStatus = function (output, context) {
    return {
        BlockedReason: __expectString(output.BlockedReason),
        Status: __expectString(output.Status),
    };
};
var deserializeAws_json1_1OidcConfigForResponse = function (output, context) {
    return {
        AuthorizationEndpoint: __expectString(output.AuthorizationEndpoint),
        ClientId: __expectString(output.ClientId),
        Issuer: __expectString(output.Issuer),
        JwksUri: __expectString(output.JwksUri),
        LogoutEndpoint: __expectString(output.LogoutEndpoint),
        TokenEndpoint: __expectString(output.TokenEndpoint),
        UserInfoEndpoint: __expectString(output.UserInfoEndpoint),
    };
};
var deserializeAws_json1_1OidcMemberDefinition = function (output, context) {
    return {
        Groups: output.Groups !== undefined && output.Groups !== null
            ? deserializeAws_json1_1Groups(output.Groups, context)
            : undefined,
    };
};
var deserializeAws_json1_1OnlineStoreConfig = function (output, context) {
    return {
        EnableOnlineStore: __expectBoolean(output.EnableOnlineStore),
        SecurityConfig: output.SecurityConfig !== undefined && output.SecurityConfig !== null
            ? deserializeAws_json1_1OnlineStoreSecurityConfig(output.SecurityConfig, context)
            : undefined,
    };
};
var deserializeAws_json1_1OnlineStoreSecurityConfig = function (output, context) {
    return {
        KmsKeyId: __expectString(output.KmsKeyId),
    };
};
var deserializeAws_json1_1OutputConfig = function (output, context) {
    return {
        CompilerOptions: __expectString(output.CompilerOptions),
        KmsKeyId: __expectString(output.KmsKeyId),
        S3OutputLocation: __expectString(output.S3OutputLocation),
        TargetDevice: __expectString(output.TargetDevice),
        TargetPlatform: output.TargetPlatform !== undefined && output.TargetPlatform !== null
            ? deserializeAws_json1_1TargetPlatform(output.TargetPlatform, context)
            : undefined,
    };
};
var deserializeAws_json1_1OutputDataConfig = function (output, context) {
    return {
        KmsKeyId: __expectString(output.KmsKeyId),
        S3OutputPath: __expectString(output.S3OutputPath),
    };
};
var deserializeAws_json1_1OutputParameter = function (output, context) {
    return {
        Name: __expectString(output.Name),
        Value: __expectString(output.Value),
    };
};
var deserializeAws_json1_1OutputParameterList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1OutputParameter(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1ParallelismConfiguration = function (output, context) {
    return {
        MaxParallelExecutionSteps: __expectInt32(output.MaxParallelExecutionSteps),
    };
};
var deserializeAws_json1_1Parameter = function (output, context) {
    return {
        Name: __expectString(output.Name),
        Value: __expectString(output.Value),
    };
};
var deserializeAws_json1_1ParameterList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1Parameter(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1ParameterRange = function (output, context) {
    return {
        CategoricalParameterRangeSpecification: output.CategoricalParameterRangeSpecification !== undefined &&
            output.CategoricalParameterRangeSpecification !== null
            ? deserializeAws_json1_1CategoricalParameterRangeSpecification(output.CategoricalParameterRangeSpecification, context)
            : undefined,
        ContinuousParameterRangeSpecification: output.ContinuousParameterRangeSpecification !== undefined &&
            output.ContinuousParameterRangeSpecification !== null
            ? deserializeAws_json1_1ContinuousParameterRangeSpecification(output.ContinuousParameterRangeSpecification, context)
            : undefined,
        IntegerParameterRangeSpecification: output.IntegerParameterRangeSpecification !== undefined && output.IntegerParameterRangeSpecification !== null
            ? deserializeAws_json1_1IntegerParameterRangeSpecification(output.IntegerParameterRangeSpecification, context)
            : undefined,
    };
};
var deserializeAws_json1_1ParameterRanges = function (output, context) {
    return {
        CategoricalParameterRanges: output.CategoricalParameterRanges !== undefined && output.CategoricalParameterRanges !== null
            ? deserializeAws_json1_1CategoricalParameterRanges(output.CategoricalParameterRanges, context)
            : undefined,
        ContinuousParameterRanges: output.ContinuousParameterRanges !== undefined && output.ContinuousParameterRanges !== null
            ? deserializeAws_json1_1ContinuousParameterRanges(output.ContinuousParameterRanges, context)
            : undefined,
        IntegerParameterRanges: output.IntegerParameterRanges !== undefined && output.IntegerParameterRanges !== null
            ? deserializeAws_json1_1IntegerParameterRanges(output.IntegerParameterRanges, context)
            : undefined,
    };
};
var deserializeAws_json1_1ParameterValues = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1Parent = function (output, context) {
    return {
        ExperimentName: __expectString(output.ExperimentName),
        TrialName: __expectString(output.TrialName),
    };
};
var deserializeAws_json1_1ParentHyperParameterTuningJob = function (output, context) {
    return {
        HyperParameterTuningJobName: __expectString(output.HyperParameterTuningJobName),
    };
};
var deserializeAws_json1_1ParentHyperParameterTuningJobs = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ParentHyperParameterTuningJob(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1Parents = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1Parent(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1PendingDeploymentSummary = function (output, context) {
    return {
        EndpointConfigName: __expectString(output.EndpointConfigName),
        ProductionVariants: output.ProductionVariants !== undefined && output.ProductionVariants !== null
            ? deserializeAws_json1_1PendingProductionVariantSummaryList(output.ProductionVariants, context)
            : undefined,
        StartTime: output.StartTime !== undefined && output.StartTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.StartTime)))
            : undefined,
    };
};
var deserializeAws_json1_1PendingProductionVariantSummary = function (output, context) {
    return {
        AcceleratorType: __expectString(output.AcceleratorType),
        CurrentInstanceCount: __expectInt32(output.CurrentInstanceCount),
        CurrentServerlessConfig: output.CurrentServerlessConfig !== undefined && output.CurrentServerlessConfig !== null
            ? deserializeAws_json1_1ProductionVariantServerlessConfig(output.CurrentServerlessConfig, context)
            : undefined,
        CurrentWeight: __limitedParseFloat32(output.CurrentWeight),
        DeployedImages: output.DeployedImages !== undefined && output.DeployedImages !== null
            ? deserializeAws_json1_1DeployedImages(output.DeployedImages, context)
            : undefined,
        DesiredInstanceCount: __expectInt32(output.DesiredInstanceCount),
        DesiredServerlessConfig: output.DesiredServerlessConfig !== undefined && output.DesiredServerlessConfig !== null
            ? deserializeAws_json1_1ProductionVariantServerlessConfig(output.DesiredServerlessConfig, context)
            : undefined,
        DesiredWeight: __limitedParseFloat32(output.DesiredWeight),
        InstanceType: __expectString(output.InstanceType),
        VariantName: __expectString(output.VariantName),
        VariantStatus: output.VariantStatus !== undefined && output.VariantStatus !== null
            ? deserializeAws_json1_1ProductionVariantStatusList(output.VariantStatus, context)
            : undefined,
    };
};
var deserializeAws_json1_1PendingProductionVariantSummaryList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1PendingProductionVariantSummary(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1Phase = function (output, context) {
    return {
        DurationInSeconds: __expectInt32(output.DurationInSeconds),
        InitialNumberOfUsers: __expectInt32(output.InitialNumberOfUsers),
        SpawnRate: __expectInt32(output.SpawnRate),
    };
};
var deserializeAws_json1_1Phases = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1Phase(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1Pipeline = function (output, context) {
    return {
        CreatedBy: output.CreatedBy !== undefined && output.CreatedBy !== null
            ? deserializeAws_json1_1UserContext(output.CreatedBy, context)
            : undefined,
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        LastModifiedBy: output.LastModifiedBy !== undefined && output.LastModifiedBy !== null
            ? deserializeAws_json1_1UserContext(output.LastModifiedBy, context)
            : undefined,
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        LastRunTime: output.LastRunTime !== undefined && output.LastRunTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastRunTime)))
            : undefined,
        ParallelismConfiguration: output.ParallelismConfiguration !== undefined && output.ParallelismConfiguration !== null
            ? deserializeAws_json1_1ParallelismConfiguration(output.ParallelismConfiguration, context)
            : undefined,
        PipelineArn: __expectString(output.PipelineArn),
        PipelineDescription: __expectString(output.PipelineDescription),
        PipelineDisplayName: __expectString(output.PipelineDisplayName),
        PipelineName: __expectString(output.PipelineName),
        PipelineStatus: __expectString(output.PipelineStatus),
        RoleArn: __expectString(output.RoleArn),
        Tags: output.Tags !== undefined && output.Tags !== null
            ? deserializeAws_json1_1TagList(output.Tags, context)
            : undefined,
    };
};
var deserializeAws_json1_1PipelineExecution = function (output, context) {
    return {
        CreatedBy: output.CreatedBy !== undefined && output.CreatedBy !== null
            ? deserializeAws_json1_1UserContext(output.CreatedBy, context)
            : undefined,
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        FailureReason: __expectString(output.FailureReason),
        LastModifiedBy: output.LastModifiedBy !== undefined && output.LastModifiedBy !== null
            ? deserializeAws_json1_1UserContext(output.LastModifiedBy, context)
            : undefined,
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        ParallelismConfiguration: output.ParallelismConfiguration !== undefined && output.ParallelismConfiguration !== null
            ? deserializeAws_json1_1ParallelismConfiguration(output.ParallelismConfiguration, context)
            : undefined,
        PipelineArn: __expectString(output.PipelineArn),
        PipelineExecutionArn: __expectString(output.PipelineExecutionArn),
        PipelineExecutionDescription: __expectString(output.PipelineExecutionDescription),
        PipelineExecutionDisplayName: __expectString(output.PipelineExecutionDisplayName),
        PipelineExecutionStatus: __expectString(output.PipelineExecutionStatus),
        PipelineExperimentConfig: output.PipelineExperimentConfig !== undefined && output.PipelineExperimentConfig !== null
            ? deserializeAws_json1_1PipelineExperimentConfig(output.PipelineExperimentConfig, context)
            : undefined,
        PipelineParameters: output.PipelineParameters !== undefined && output.PipelineParameters !== null
            ? deserializeAws_json1_1ParameterList(output.PipelineParameters, context)
            : undefined,
    };
};
var deserializeAws_json1_1PipelineExecutionStep = function (output, context) {
    return {
        AttemptCount: __expectInt32(output.AttemptCount),
        CacheHitResult: output.CacheHitResult !== undefined && output.CacheHitResult !== null
            ? deserializeAws_json1_1CacheHitResult(output.CacheHitResult, context)
            : undefined,
        EndTime: output.EndTime !== undefined && output.EndTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.EndTime)))
            : undefined,
        FailureReason: __expectString(output.FailureReason),
        Metadata: output.Metadata !== undefined && output.Metadata !== null
            ? deserializeAws_json1_1PipelineExecutionStepMetadata(output.Metadata, context)
            : undefined,
        StartTime: output.StartTime !== undefined && output.StartTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.StartTime)))
            : undefined,
        StepDescription: __expectString(output.StepDescription),
        StepDisplayName: __expectString(output.StepDisplayName),
        StepName: __expectString(output.StepName),
        StepStatus: __expectString(output.StepStatus),
    };
};
var deserializeAws_json1_1PipelineExecutionStepList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1PipelineExecutionStep(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1PipelineExecutionStepMetadata = function (output, context) {
    return {
        Callback: output.Callback !== undefined && output.Callback !== null
            ? deserializeAws_json1_1CallbackStepMetadata(output.Callback, context)
            : undefined,
        ClarifyCheck: output.ClarifyCheck !== undefined && output.ClarifyCheck !== null
            ? deserializeAws_json1_1ClarifyCheckStepMetadata(output.ClarifyCheck, context)
            : undefined,
        Condition: output.Condition !== undefined && output.Condition !== null
            ? deserializeAws_json1_1ConditionStepMetadata(output.Condition, context)
            : undefined,
        EMR: output.EMR !== undefined && output.EMR !== null
            ? deserializeAws_json1_1EMRStepMetadata(output.EMR, context)
            : undefined,
        Fail: output.Fail !== undefined && output.Fail !== null
            ? deserializeAws_json1_1FailStepMetadata(output.Fail, context)
            : undefined,
        Lambda: output.Lambda !== undefined && output.Lambda !== null
            ? deserializeAws_json1_1LambdaStepMetadata(output.Lambda, context)
            : undefined,
        Model: output.Model !== undefined && output.Model !== null
            ? deserializeAws_json1_1ModelStepMetadata(output.Model, context)
            : undefined,
        ProcessingJob: output.ProcessingJob !== undefined && output.ProcessingJob !== null
            ? deserializeAws_json1_1ProcessingJobStepMetadata(output.ProcessingJob, context)
            : undefined,
        QualityCheck: output.QualityCheck !== undefined && output.QualityCheck !== null
            ? deserializeAws_json1_1QualityCheckStepMetadata(output.QualityCheck, context)
            : undefined,
        RegisterModel: output.RegisterModel !== undefined && output.RegisterModel !== null
            ? deserializeAws_json1_1RegisterModelStepMetadata(output.RegisterModel, context)
            : undefined,
        TrainingJob: output.TrainingJob !== undefined && output.TrainingJob !== null
            ? deserializeAws_json1_1TrainingJobStepMetadata(output.TrainingJob, context)
            : undefined,
        TransformJob: output.TransformJob !== undefined && output.TransformJob !== null
            ? deserializeAws_json1_1TransformJobStepMetadata(output.TransformJob, context)
            : undefined,
        TuningJob: output.TuningJob !== undefined && output.TuningJob !== null
            ? deserializeAws_json1_1TuningJobStepMetaData(output.TuningJob, context)
            : undefined,
    };
};
var deserializeAws_json1_1PipelineExecutionSummary = function (output, context) {
    return {
        PipelineExecutionArn: __expectString(output.PipelineExecutionArn),
        PipelineExecutionDescription: __expectString(output.PipelineExecutionDescription),
        PipelineExecutionDisplayName: __expectString(output.PipelineExecutionDisplayName),
        PipelineExecutionFailureReason: __expectString(output.PipelineExecutionFailureReason),
        PipelineExecutionStatus: __expectString(output.PipelineExecutionStatus),
        StartTime: output.StartTime !== undefined && output.StartTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.StartTime)))
            : undefined,
    };
};
var deserializeAws_json1_1PipelineExecutionSummaryList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1PipelineExecutionSummary(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1PipelineExperimentConfig = function (output, context) {
    return {
        ExperimentName: __expectString(output.ExperimentName),
        TrialName: __expectString(output.TrialName),
    };
};
var deserializeAws_json1_1PipelineSummary = function (output, context) {
    return {
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        LastExecutionTime: output.LastExecutionTime !== undefined && output.LastExecutionTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastExecutionTime)))
            : undefined,
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        PipelineArn: __expectString(output.PipelineArn),
        PipelineDescription: __expectString(output.PipelineDescription),
        PipelineDisplayName: __expectString(output.PipelineDisplayName),
        PipelineName: __expectString(output.PipelineName),
        RoleArn: __expectString(output.RoleArn),
    };
};
var deserializeAws_json1_1PipelineSummaryList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1PipelineSummary(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1ProcessingClusterConfig = function (output, context) {
    return {
        InstanceCount: __expectInt32(output.InstanceCount),
        InstanceType: __expectString(output.InstanceType),
        VolumeKmsKeyId: __expectString(output.VolumeKmsKeyId),
        VolumeSizeInGB: __expectInt32(output.VolumeSizeInGB),
    };
};
var deserializeAws_json1_1ProcessingEnvironmentMap = function (output, context) {
    return Object.entries(output).reduce(function (acc, _a) {
        var _b;
        var _c = __read(_a, 2), key = _c[0], value = _c[1];
        if (value === null) {
            return acc;
        }
        return __assign(__assign({}, acc), (_b = {}, _b[key] = __expectString(value), _b));
    }, {});
};
var deserializeAws_json1_1ProcessingFeatureStoreOutput = function (output, context) {
    return {
        FeatureGroupName: __expectString(output.FeatureGroupName),
    };
};
var deserializeAws_json1_1ProcessingInput = function (output, context) {
    return {
        AppManaged: __expectBoolean(output.AppManaged),
        DatasetDefinition: output.DatasetDefinition !== undefined && output.DatasetDefinition !== null
            ? deserializeAws_json1_1DatasetDefinition(output.DatasetDefinition, context)
            : undefined,
        InputName: __expectString(output.InputName),
        S3Input: output.S3Input !== undefined && output.S3Input !== null
            ? deserializeAws_json1_1ProcessingS3Input(output.S3Input, context)
            : undefined,
    };
};
var deserializeAws_json1_1ProcessingInputs = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ProcessingInput(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1ProcessingJob = function (output, context) {
    return {
        AppSpecification: output.AppSpecification !== undefined && output.AppSpecification !== null
            ? deserializeAws_json1_1AppSpecification(output.AppSpecification, context)
            : undefined,
        AutoMLJobArn: __expectString(output.AutoMLJobArn),
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        Environment: output.Environment !== undefined && output.Environment !== null
            ? deserializeAws_json1_1ProcessingEnvironmentMap(output.Environment, context)
            : undefined,
        ExitMessage: __expectString(output.ExitMessage),
        ExperimentConfig: output.ExperimentConfig !== undefined && output.ExperimentConfig !== null
            ? deserializeAws_json1_1ExperimentConfig(output.ExperimentConfig, context)
            : undefined,
        FailureReason: __expectString(output.FailureReason),
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        MonitoringScheduleArn: __expectString(output.MonitoringScheduleArn),
        NetworkConfig: output.NetworkConfig !== undefined && output.NetworkConfig !== null
            ? deserializeAws_json1_1NetworkConfig(output.NetworkConfig, context)
            : undefined,
        ProcessingEndTime: output.ProcessingEndTime !== undefined && output.ProcessingEndTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.ProcessingEndTime)))
            : undefined,
        ProcessingInputs: output.ProcessingInputs !== undefined && output.ProcessingInputs !== null
            ? deserializeAws_json1_1ProcessingInputs(output.ProcessingInputs, context)
            : undefined,
        ProcessingJobArn: __expectString(output.ProcessingJobArn),
        ProcessingJobName: __expectString(output.ProcessingJobName),
        ProcessingJobStatus: __expectString(output.ProcessingJobStatus),
        ProcessingOutputConfig: output.ProcessingOutputConfig !== undefined && output.ProcessingOutputConfig !== null
            ? deserializeAws_json1_1ProcessingOutputConfig(output.ProcessingOutputConfig, context)
            : undefined,
        ProcessingResources: output.ProcessingResources !== undefined && output.ProcessingResources !== null
            ? deserializeAws_json1_1ProcessingResources(output.ProcessingResources, context)
            : undefined,
        ProcessingStartTime: output.ProcessingStartTime !== undefined && output.ProcessingStartTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.ProcessingStartTime)))
            : undefined,
        RoleArn: __expectString(output.RoleArn),
        StoppingCondition: output.StoppingCondition !== undefined && output.StoppingCondition !== null
            ? deserializeAws_json1_1ProcessingStoppingCondition(output.StoppingCondition, context)
            : undefined,
        Tags: output.Tags !== undefined && output.Tags !== null
            ? deserializeAws_json1_1TagList(output.Tags, context)
            : undefined,
        TrainingJobArn: __expectString(output.TrainingJobArn),
    };
};
var deserializeAws_json1_1ProcessingJobStepMetadata = function (output, context) {
    return {
        Arn: __expectString(output.Arn),
    };
};
var deserializeAws_json1_1ProcessingJobSummaries = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ProcessingJobSummary(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1ProcessingJobSummary = function (output, context) {
    return {
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        ExitMessage: __expectString(output.ExitMessage),
        FailureReason: __expectString(output.FailureReason),
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        ProcessingEndTime: output.ProcessingEndTime !== undefined && output.ProcessingEndTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.ProcessingEndTime)))
            : undefined,
        ProcessingJobArn: __expectString(output.ProcessingJobArn),
        ProcessingJobName: __expectString(output.ProcessingJobName),
        ProcessingJobStatus: __expectString(output.ProcessingJobStatus),
    };
};
var deserializeAws_json1_1ProcessingOutput = function (output, context) {
    return {
        AppManaged: __expectBoolean(output.AppManaged),
        FeatureStoreOutput: output.FeatureStoreOutput !== undefined && output.FeatureStoreOutput !== null
            ? deserializeAws_json1_1ProcessingFeatureStoreOutput(output.FeatureStoreOutput, context)
            : undefined,
        OutputName: __expectString(output.OutputName),
        S3Output: output.S3Output !== undefined && output.S3Output !== null
            ? deserializeAws_json1_1ProcessingS3Output(output.S3Output, context)
            : undefined,
    };
};
var deserializeAws_json1_1ProcessingOutputConfig = function (output, context) {
    return {
        KmsKeyId: __expectString(output.KmsKeyId),
        Outputs: output.Outputs !== undefined && output.Outputs !== null
            ? deserializeAws_json1_1ProcessingOutputs(output.Outputs, context)
            : undefined,
    };
};
var deserializeAws_json1_1ProcessingOutputs = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ProcessingOutput(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1ProcessingResources = function (output, context) {
    return {
        ClusterConfig: output.ClusterConfig !== undefined && output.ClusterConfig !== null
            ? deserializeAws_json1_1ProcessingClusterConfig(output.ClusterConfig, context)
            : undefined,
    };
};
var deserializeAws_json1_1ProcessingS3Input = function (output, context) {
    return {
        LocalPath: __expectString(output.LocalPath),
        S3CompressionType: __expectString(output.S3CompressionType),
        S3DataDistributionType: __expectString(output.S3DataDistributionType),
        S3DataType: __expectString(output.S3DataType),
        S3InputMode: __expectString(output.S3InputMode),
        S3Uri: __expectString(output.S3Uri),
    };
};
var deserializeAws_json1_1ProcessingS3Output = function (output, context) {
    return {
        LocalPath: __expectString(output.LocalPath),
        S3UploadMode: __expectString(output.S3UploadMode),
        S3Uri: __expectString(output.S3Uri),
    };
};
var deserializeAws_json1_1ProcessingStoppingCondition = function (output, context) {
    return {
        MaxRuntimeInSeconds: __expectInt32(output.MaxRuntimeInSeconds),
    };
};
var deserializeAws_json1_1ProductionVariant = function (output, context) {
    return {
        AcceleratorType: __expectString(output.AcceleratorType),
        CoreDumpConfig: output.CoreDumpConfig !== undefined && output.CoreDumpConfig !== null
            ? deserializeAws_json1_1ProductionVariantCoreDumpConfig(output.CoreDumpConfig, context)
            : undefined,
        InitialInstanceCount: __expectInt32(output.InitialInstanceCount),
        InitialVariantWeight: __limitedParseFloat32(output.InitialVariantWeight),
        InstanceType: __expectString(output.InstanceType),
        ModelName: __expectString(output.ModelName),
        ServerlessConfig: output.ServerlessConfig !== undefined && output.ServerlessConfig !== null
            ? deserializeAws_json1_1ProductionVariantServerlessConfig(output.ServerlessConfig, context)
            : undefined,
        VariantName: __expectString(output.VariantName),
    };
};
var deserializeAws_json1_1ProductionVariantCoreDumpConfig = function (output, context) {
    return {
        DestinationS3Uri: __expectString(output.DestinationS3Uri),
        KmsKeyId: __expectString(output.KmsKeyId),
    };
};
var deserializeAws_json1_1ProductionVariantList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ProductionVariant(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1ProductionVariantServerlessConfig = function (output, context) {
    return {
        MaxConcurrency: __expectInt32(output.MaxConcurrency),
        MemorySizeInMB: __expectInt32(output.MemorySizeInMB),
    };
};
var deserializeAws_json1_1ProductionVariantStatus = function (output, context) {
    return {
        StartTime: output.StartTime !== undefined && output.StartTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.StartTime)))
            : undefined,
        Status: __expectString(output.Status),
        StatusMessage: __expectString(output.StatusMessage),
    };
};
var deserializeAws_json1_1ProductionVariantStatusList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ProductionVariantStatus(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1ProductionVariantSummary = function (output, context) {
    return {
        CurrentInstanceCount: __expectInt32(output.CurrentInstanceCount),
        CurrentServerlessConfig: output.CurrentServerlessConfig !== undefined && output.CurrentServerlessConfig !== null
            ? deserializeAws_json1_1ProductionVariantServerlessConfig(output.CurrentServerlessConfig, context)
            : undefined,
        CurrentWeight: __limitedParseFloat32(output.CurrentWeight),
        DeployedImages: output.DeployedImages !== undefined && output.DeployedImages !== null
            ? deserializeAws_json1_1DeployedImages(output.DeployedImages, context)
            : undefined,
        DesiredInstanceCount: __expectInt32(output.DesiredInstanceCount),
        DesiredServerlessConfig: output.DesiredServerlessConfig !== undefined && output.DesiredServerlessConfig !== null
            ? deserializeAws_json1_1ProductionVariantServerlessConfig(output.DesiredServerlessConfig, context)
            : undefined,
        DesiredWeight: __limitedParseFloat32(output.DesiredWeight),
        VariantName: __expectString(output.VariantName),
        VariantStatus: output.VariantStatus !== undefined && output.VariantStatus !== null
            ? deserializeAws_json1_1ProductionVariantStatusList(output.VariantStatus, context)
            : undefined,
    };
};
var deserializeAws_json1_1ProductionVariantSummaryList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ProductionVariantSummary(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1ProductListings = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1ProfilerConfig = function (output, context) {
    return {
        ProfilingIntervalInMilliseconds: __expectLong(output.ProfilingIntervalInMilliseconds),
        ProfilingParameters: output.ProfilingParameters !== undefined && output.ProfilingParameters !== null
            ? deserializeAws_json1_1ProfilingParameters(output.ProfilingParameters, context)
            : undefined,
        S3OutputPath: __expectString(output.S3OutputPath),
    };
};
var deserializeAws_json1_1ProfilerRuleConfiguration = function (output, context) {
    return {
        InstanceType: __expectString(output.InstanceType),
        LocalPath: __expectString(output.LocalPath),
        RuleConfigurationName: __expectString(output.RuleConfigurationName),
        RuleEvaluatorImage: __expectString(output.RuleEvaluatorImage),
        RuleParameters: output.RuleParameters !== undefined && output.RuleParameters !== null
            ? deserializeAws_json1_1RuleParameters(output.RuleParameters, context)
            : undefined,
        S3OutputPath: __expectString(output.S3OutputPath),
        VolumeSizeInGB: __expectInt32(output.VolumeSizeInGB),
    };
};
var deserializeAws_json1_1ProfilerRuleConfigurations = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ProfilerRuleConfiguration(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1ProfilerRuleEvaluationStatus = function (output, context) {
    return {
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        RuleConfigurationName: __expectString(output.RuleConfigurationName),
        RuleEvaluationJobArn: __expectString(output.RuleEvaluationJobArn),
        RuleEvaluationStatus: __expectString(output.RuleEvaluationStatus),
        StatusDetails: __expectString(output.StatusDetails),
    };
};
var deserializeAws_json1_1ProfilerRuleEvaluationStatuses = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ProfilerRuleEvaluationStatus(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1ProfilingParameters = function (output, context) {
    return Object.entries(output).reduce(function (acc, _a) {
        var _b;
        var _c = __read(_a, 2), key = _c[0], value = _c[1];
        if (value === null) {
            return acc;
        }
        return __assign(__assign({}, acc), (_b = {}, _b[key] = __expectString(value), _b));
    }, {});
};
var deserializeAws_json1_1Project = function (output, context) {
    return {
        CreatedBy: output.CreatedBy !== undefined && output.CreatedBy !== null
            ? deserializeAws_json1_1UserContext(output.CreatedBy, context)
            : undefined,
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        LastModifiedBy: output.LastModifiedBy !== undefined && output.LastModifiedBy !== null
            ? deserializeAws_json1_1UserContext(output.LastModifiedBy, context)
            : undefined,
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        ProjectArn: __expectString(output.ProjectArn),
        ProjectDescription: __expectString(output.ProjectDescription),
        ProjectId: __expectString(output.ProjectId),
        ProjectName: __expectString(output.ProjectName),
        ProjectStatus: __expectString(output.ProjectStatus),
        ServiceCatalogProvisionedProductDetails: output.ServiceCatalogProvisionedProductDetails !== undefined &&
            output.ServiceCatalogProvisionedProductDetails !== null
            ? deserializeAws_json1_1ServiceCatalogProvisionedProductDetails(output.ServiceCatalogProvisionedProductDetails, context)
            : undefined,
        ServiceCatalogProvisioningDetails: output.ServiceCatalogProvisioningDetails !== undefined && output.ServiceCatalogProvisioningDetails !== null
            ? deserializeAws_json1_1ServiceCatalogProvisioningDetails(output.ServiceCatalogProvisioningDetails, context)
            : undefined,
        Tags: output.Tags !== undefined && output.Tags !== null
            ? deserializeAws_json1_1TagList(output.Tags, context)
            : undefined,
    };
};
var deserializeAws_json1_1ProjectSummary = function (output, context) {
    return {
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        ProjectArn: __expectString(output.ProjectArn),
        ProjectDescription: __expectString(output.ProjectDescription),
        ProjectId: __expectString(output.ProjectId),
        ProjectName: __expectString(output.ProjectName),
        ProjectStatus: __expectString(output.ProjectStatus),
    };
};
var deserializeAws_json1_1ProjectSummaryList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ProjectSummary(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1PropertyNameSuggestion = function (output, context) {
    return {
        PropertyName: __expectString(output.PropertyName),
    };
};
var deserializeAws_json1_1PropertyNameSuggestionList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1PropertyNameSuggestion(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1ProvisioningParameter = function (output, context) {
    return {
        Key: __expectString(output.Key),
        Value: __expectString(output.Value),
    };
};
var deserializeAws_json1_1ProvisioningParameters = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1ProvisioningParameter(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1PublicWorkforceTaskPrice = function (output, context) {
    return {
        AmountInUsd: output.AmountInUsd !== undefined && output.AmountInUsd !== null
            ? deserializeAws_json1_1USD(output.AmountInUsd, context)
            : undefined,
    };
};
var deserializeAws_json1_1PutModelPackageGroupPolicyOutput = function (output, context) {
    return {
        ModelPackageGroupArn: __expectString(output.ModelPackageGroupArn),
    };
};
var deserializeAws_json1_1QualityCheckStepMetadata = function (output, context) {
    return {
        BaselineUsedForDriftCheckConstraints: __expectString(output.BaselineUsedForDriftCheckConstraints),
        BaselineUsedForDriftCheckStatistics: __expectString(output.BaselineUsedForDriftCheckStatistics),
        CalculatedBaselineConstraints: __expectString(output.CalculatedBaselineConstraints),
        CalculatedBaselineStatistics: __expectString(output.CalculatedBaselineStatistics),
        CheckJobArn: __expectString(output.CheckJobArn),
        CheckType: __expectString(output.CheckType),
        ModelPackageGroupName: __expectString(output.ModelPackageGroupName),
        RegisterNewBaseline: __expectBoolean(output.RegisterNewBaseline),
        SkipCheck: __expectBoolean(output.SkipCheck),
        ViolationReport: __expectString(output.ViolationReport),
    };
};
var deserializeAws_json1_1QueryLineageResponse = function (output, context) {
    return {
        Edges: output.Edges !== undefined && output.Edges !== null
            ? deserializeAws_json1_1Edges(output.Edges, context)
            : undefined,
        NextToken: __expectString(output.NextToken),
        Vertices: output.Vertices !== undefined && output.Vertices !== null
            ? deserializeAws_json1_1Vertices(output.Vertices, context)
            : undefined,
    };
};
var deserializeAws_json1_1RealtimeInferenceInstanceTypes = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1RecommendationJobInputConfig = function (output, context) {
    return {
        EndpointConfigurations: output.EndpointConfigurations !== undefined && output.EndpointConfigurations !== null
            ? deserializeAws_json1_1EndpointInputConfigurations(output.EndpointConfigurations, context)
            : undefined,
        JobDurationInSeconds: __expectInt32(output.JobDurationInSeconds),
        ModelPackageVersionArn: __expectString(output.ModelPackageVersionArn),
        ResourceLimit: output.ResourceLimit !== undefined && output.ResourceLimit !== null
            ? deserializeAws_json1_1RecommendationJobResourceLimit(output.ResourceLimit, context)
            : undefined,
        TrafficPattern: output.TrafficPattern !== undefined && output.TrafficPattern !== null
            ? deserializeAws_json1_1TrafficPattern(output.TrafficPattern, context)
            : undefined,
    };
};
var deserializeAws_json1_1RecommendationJobResourceLimit = function (output, context) {
    return {
        MaxNumberOfTests: __expectInt32(output.MaxNumberOfTests),
        MaxParallelOfTests: __expectInt32(output.MaxParallelOfTests),
    };
};
var deserializeAws_json1_1RecommendationJobStoppingConditions = function (output, context) {
    return {
        MaxInvocations: __expectInt32(output.MaxInvocations),
        ModelLatencyThresholds: output.ModelLatencyThresholds !== undefined && output.ModelLatencyThresholds !== null
            ? deserializeAws_json1_1ModelLatencyThresholds(output.ModelLatencyThresholds, context)
            : undefined,
    };
};
var deserializeAws_json1_1RecommendationMetrics = function (output, context) {
    return {
        CostPerHour: __limitedParseFloat32(output.CostPerHour),
        CostPerInference: __limitedParseFloat32(output.CostPerInference),
        MaxInvocations: __expectInt32(output.MaxInvocations),
        ModelLatency: __expectInt32(output.ModelLatency),
    };
};
var deserializeAws_json1_1RedshiftDatasetDefinition = function (output, context) {
    return {
        ClusterId: __expectString(output.ClusterId),
        ClusterRoleArn: __expectString(output.ClusterRoleArn),
        Database: __expectString(output.Database),
        DbUser: __expectString(output.DbUser),
        KmsKeyId: __expectString(output.KmsKeyId),
        OutputCompression: __expectString(output.OutputCompression),
        OutputFormat: __expectString(output.OutputFormat),
        OutputS3Uri: __expectString(output.OutputS3Uri),
        QueryString: __expectString(output.QueryString),
    };
};
var deserializeAws_json1_1RegisterModelStepMetadata = function (output, context) {
    return {
        Arn: __expectString(output.Arn),
    };
};
var deserializeAws_json1_1RenderingError = function (output, context) {
    return {
        Code: __expectString(output.Code),
        Message: __expectString(output.Message),
    };
};
var deserializeAws_json1_1RenderingErrorList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1RenderingError(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1RenderUiTemplateResponse = function (output, context) {
    return {
        Errors: output.Errors !== undefined && output.Errors !== null
            ? deserializeAws_json1_1RenderingErrorList(output.Errors, context)
            : undefined,
        RenderedContent: __expectString(output.RenderedContent),
    };
};
var deserializeAws_json1_1RepositoryAuthConfig = function (output, context) {
    return {
        RepositoryCredentialsProviderArn: __expectString(output.RepositoryCredentialsProviderArn),
    };
};
var deserializeAws_json1_1ResolvedAttributes = function (output, context) {
    return {
        AutoMLJobObjective: output.AutoMLJobObjective !== undefined && output.AutoMLJobObjective !== null
            ? deserializeAws_json1_1AutoMLJobObjective(output.AutoMLJobObjective, context)
            : undefined,
        CompletionCriteria: output.CompletionCriteria !== undefined && output.CompletionCriteria !== null
            ? deserializeAws_json1_1AutoMLJobCompletionCriteria(output.CompletionCriteria, context)
            : undefined,
        ProblemType: __expectString(output.ProblemType),
    };
};
var deserializeAws_json1_1ResourceConfig = function (output, context) {
    return {
        InstanceCount: __expectInt32(output.InstanceCount),
        InstanceType: __expectString(output.InstanceType),
        VolumeKmsKeyId: __expectString(output.VolumeKmsKeyId),
        VolumeSizeInGB: __expectInt32(output.VolumeSizeInGB),
    };
};
var deserializeAws_json1_1ResourceInUse = function (output, context) {
    return {
        Message: __expectString(output.Message),
    };
};
var deserializeAws_json1_1ResourceLimitExceeded = function (output, context) {
    return {
        Message: __expectString(output.Message),
    };
};
var deserializeAws_json1_1ResourceLimits = function (output, context) {
    return {
        MaxNumberOfTrainingJobs: __expectInt32(output.MaxNumberOfTrainingJobs),
        MaxParallelTrainingJobs: __expectInt32(output.MaxParallelTrainingJobs),
    };
};
var deserializeAws_json1_1ResourceNotFound = function (output, context) {
    return {
        Message: __expectString(output.Message),
    };
};
var deserializeAws_json1_1ResourceSpec = function (output, context) {
    return {
        InstanceType: __expectString(output.InstanceType),
        LifecycleConfigArn: __expectString(output.LifecycleConfigArn),
        SageMakerImageArn: __expectString(output.SageMakerImageArn),
        SageMakerImageVersionArn: __expectString(output.SageMakerImageVersionArn),
    };
};
var deserializeAws_json1_1ResponseMIMETypes = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1RetryPipelineExecutionResponse = function (output, context) {
    return {
        PipelineExecutionArn: __expectString(output.PipelineExecutionArn),
    };
};
var deserializeAws_json1_1RetryStrategy = function (output, context) {
    return {
        MaximumRetryAttempts: __expectInt32(output.MaximumRetryAttempts),
    };
};
var deserializeAws_json1_1RSessionAppSettings = function (output, context) {
    return {};
};
var deserializeAws_json1_1RStudioServerProAppSettings = function (output, context) {
    return {
        AccessStatus: __expectString(output.AccessStatus),
        UserGroup: __expectString(output.UserGroup),
    };
};
var deserializeAws_json1_1RStudioServerProDomainSettings = function (output, context) {
    return {
        DefaultResourceSpec: output.DefaultResourceSpec !== undefined && output.DefaultResourceSpec !== null
            ? deserializeAws_json1_1ResourceSpec(output.DefaultResourceSpec, context)
            : undefined,
        DomainExecutionRoleArn: __expectString(output.DomainExecutionRoleArn),
        RStudioConnectUrl: __expectString(output.RStudioConnectUrl),
        RStudioPackageManagerUrl: __expectString(output.RStudioPackageManagerUrl),
    };
};
var deserializeAws_json1_1RuleParameters = function (output, context) {
    return Object.entries(output).reduce(function (acc, _a) {
        var _b;
        var _c = __read(_a, 2), key = _c[0], value = _c[1];
        if (value === null) {
            return acc;
        }
        return __assign(__assign({}, acc), (_b = {}, _b[key] = __expectString(value), _b));
    }, {});
};
var deserializeAws_json1_1S3DataSource = function (output, context) {
    return {
        AttributeNames: output.AttributeNames !== undefined && output.AttributeNames !== null
            ? deserializeAws_json1_1AttributeNames(output.AttributeNames, context)
            : undefined,
        S3DataDistributionType: __expectString(output.S3DataDistributionType),
        S3DataType: __expectString(output.S3DataType),
        S3Uri: __expectString(output.S3Uri),
    };
};
var deserializeAws_json1_1S3StorageConfig = function (output, context) {
    return {
        KmsKeyId: __expectString(output.KmsKeyId),
        ResolvedOutputS3Uri: __expectString(output.ResolvedOutputS3Uri),
        S3Uri: __expectString(output.S3Uri),
    };
};
var deserializeAws_json1_1ScheduleConfig = function (output, context) {
    return {
        ScheduleExpression: __expectString(output.ScheduleExpression),
    };
};
var deserializeAws_json1_1SearchRecord = function (output, context) {
    return {
        Endpoint: output.Endpoint !== undefined && output.Endpoint !== null
            ? deserializeAws_json1_1Endpoint(output.Endpoint, context)
            : undefined,
        Experiment: output.Experiment !== undefined && output.Experiment !== null
            ? deserializeAws_json1_1Experiment(output.Experiment, context)
            : undefined,
        FeatureGroup: output.FeatureGroup !== undefined && output.FeatureGroup !== null
            ? deserializeAws_json1_1FeatureGroup(output.FeatureGroup, context)
            : undefined,
        ModelPackage: output.ModelPackage !== undefined && output.ModelPackage !== null
            ? deserializeAws_json1_1ModelPackage(output.ModelPackage, context)
            : undefined,
        ModelPackageGroup: output.ModelPackageGroup !== undefined && output.ModelPackageGroup !== null
            ? deserializeAws_json1_1ModelPackageGroup(output.ModelPackageGroup, context)
            : undefined,
        Pipeline: output.Pipeline !== undefined && output.Pipeline !== null
            ? deserializeAws_json1_1Pipeline(output.Pipeline, context)
            : undefined,
        PipelineExecution: output.PipelineExecution !== undefined && output.PipelineExecution !== null
            ? deserializeAws_json1_1PipelineExecution(output.PipelineExecution, context)
            : undefined,
        Project: output.Project !== undefined && output.Project !== null
            ? deserializeAws_json1_1Project(output.Project, context)
            : undefined,
        TrainingJob: output.TrainingJob !== undefined && output.TrainingJob !== null
            ? deserializeAws_json1_1TrainingJob(output.TrainingJob, context)
            : undefined,
        Trial: output.Trial !== undefined && output.Trial !== null
            ? deserializeAws_json1_1Trial(output.Trial, context)
            : undefined,
        TrialComponent: output.TrialComponent !== undefined && output.TrialComponent !== null
            ? deserializeAws_json1_1TrialComponent(output.TrialComponent, context)
            : undefined,
    };
};
var deserializeAws_json1_1SearchResponse = function (output, context) {
    return {
        NextToken: __expectString(output.NextToken),
        Results: output.Results !== undefined && output.Results !== null
            ? deserializeAws_json1_1SearchResultsList(output.Results, context)
            : undefined,
    };
};
var deserializeAws_json1_1SearchResultsList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1SearchRecord(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1SecondaryStatusTransition = function (output, context) {
    return {
        EndTime: output.EndTime !== undefined && output.EndTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.EndTime)))
            : undefined,
        StartTime: output.StartTime !== undefined && output.StartTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.StartTime)))
            : undefined,
        Status: __expectString(output.Status),
        StatusMessage: __expectString(output.StatusMessage),
    };
};
var deserializeAws_json1_1SecondaryStatusTransitions = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1SecondaryStatusTransition(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1SecurityGroupIds = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1SendPipelineExecutionStepFailureResponse = function (output, context) {
    return {
        PipelineExecutionArn: __expectString(output.PipelineExecutionArn),
    };
};
var deserializeAws_json1_1SendPipelineExecutionStepSuccessResponse = function (output, context) {
    return {
        PipelineExecutionArn: __expectString(output.PipelineExecutionArn),
    };
};
var deserializeAws_json1_1ServiceCatalogProvisionedProductDetails = function (output, context) {
    return {
        ProvisionedProductId: __expectString(output.ProvisionedProductId),
        ProvisionedProductStatusMessage: __expectString(output.ProvisionedProductStatusMessage),
    };
};
var deserializeAws_json1_1ServiceCatalogProvisioningDetails = function (output, context) {
    return {
        PathId: __expectString(output.PathId),
        ProductId: __expectString(output.ProductId),
        ProvisioningArtifactId: __expectString(output.ProvisioningArtifactId),
        ProvisioningParameters: output.ProvisioningParameters !== undefined && output.ProvisioningParameters !== null
            ? deserializeAws_json1_1ProvisioningParameters(output.ProvisioningParameters, context)
            : undefined,
    };
};
var deserializeAws_json1_1SharingSettings = function (output, context) {
    return {
        NotebookOutputOption: __expectString(output.NotebookOutputOption),
        S3KmsKeyId: __expectString(output.S3KmsKeyId),
        S3OutputPath: __expectString(output.S3OutputPath),
    };
};
var deserializeAws_json1_1ShuffleConfig = function (output, context) {
    return {
        Seed: __expectLong(output.Seed),
    };
};
var deserializeAws_json1_1SourceAlgorithm = function (output, context) {
    return {
        AlgorithmName: __expectString(output.AlgorithmName),
        ModelDataUrl: __expectString(output.ModelDataUrl),
    };
};
var deserializeAws_json1_1SourceAlgorithmList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1SourceAlgorithm(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1SourceAlgorithmSpecification = function (output, context) {
    return {
        SourceAlgorithms: output.SourceAlgorithms !== undefined && output.SourceAlgorithms !== null
            ? deserializeAws_json1_1SourceAlgorithmList(output.SourceAlgorithms, context)
            : undefined,
    };
};
var deserializeAws_json1_1SourceIpConfig = function (output, context) {
    return {
        Cidrs: output.Cidrs !== undefined && output.Cidrs !== null
            ? deserializeAws_json1_1Cidrs(output.Cidrs, context)
            : undefined,
    };
};
var deserializeAws_json1_1StartPipelineExecutionResponse = function (output, context) {
    return {
        PipelineExecutionArn: __expectString(output.PipelineExecutionArn),
    };
};
var deserializeAws_json1_1StoppingCondition = function (output, context) {
    return {
        MaxRuntimeInSeconds: __expectInt32(output.MaxRuntimeInSeconds),
        MaxWaitTimeInSeconds: __expectInt32(output.MaxWaitTimeInSeconds),
    };
};
var deserializeAws_json1_1StopPipelineExecutionResponse = function (output, context) {
    return {
        PipelineExecutionArn: __expectString(output.PipelineExecutionArn),
    };
};
var deserializeAws_json1_1StudioLifecycleConfigDetails = function (output, context) {
    return {
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        StudioLifecycleConfigAppType: __expectString(output.StudioLifecycleConfigAppType),
        StudioLifecycleConfigArn: __expectString(output.StudioLifecycleConfigArn),
        StudioLifecycleConfigName: __expectString(output.StudioLifecycleConfigName),
    };
};
var deserializeAws_json1_1StudioLifecycleConfigsList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1StudioLifecycleConfigDetails(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1Subnets = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1SubscribedWorkteam = function (output, context) {
    return {
        ListingId: __expectString(output.ListingId),
        MarketplaceDescription: __expectString(output.MarketplaceDescription),
        MarketplaceTitle: __expectString(output.MarketplaceTitle),
        SellerName: __expectString(output.SellerName),
        WorkteamArn: __expectString(output.WorkteamArn),
    };
};
var deserializeAws_json1_1SubscribedWorkteams = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1SubscribedWorkteam(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1Tag = function (output, context) {
    return {
        Key: __expectString(output.Key),
        Value: __expectString(output.Value),
    };
};
var deserializeAws_json1_1TagList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1Tag(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1TargetPlatform = function (output, context) {
    return {
        Accelerator: __expectString(output.Accelerator),
        Arch: __expectString(output.Arch),
        Os: __expectString(output.Os),
    };
};
var deserializeAws_json1_1TaskKeywords = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1TensorBoardAppSettings = function (output, context) {
    return {
        DefaultResourceSpec: output.DefaultResourceSpec !== undefined && output.DefaultResourceSpec !== null
            ? deserializeAws_json1_1ResourceSpec(output.DefaultResourceSpec, context)
            : undefined,
    };
};
var deserializeAws_json1_1TensorBoardOutputConfig = function (output, context) {
    return {
        LocalPath: __expectString(output.LocalPath),
        S3OutputPath: __expectString(output.S3OutputPath),
    };
};
var deserializeAws_json1_1TrafficPattern = function (output, context) {
    return {
        Phases: output.Phases !== undefined && output.Phases !== null
            ? deserializeAws_json1_1Phases(output.Phases, context)
            : undefined,
        TrafficType: __expectString(output.TrafficType),
    };
};
var deserializeAws_json1_1TrafficRoutingConfig = function (output, context) {
    return {
        CanarySize: output.CanarySize !== undefined && output.CanarySize !== null
            ? deserializeAws_json1_1CapacitySize(output.CanarySize, context)
            : undefined,
        LinearStepSize: output.LinearStepSize !== undefined && output.LinearStepSize !== null
            ? deserializeAws_json1_1CapacitySize(output.LinearStepSize, context)
            : undefined,
        Type: __expectString(output.Type),
        WaitIntervalInSeconds: __expectInt32(output.WaitIntervalInSeconds),
    };
};
var deserializeAws_json1_1TrainingEnvironmentMap = function (output, context) {
    return Object.entries(output).reduce(function (acc, _a) {
        var _b;
        var _c = __read(_a, 2), key = _c[0], value = _c[1];
        if (value === null) {
            return acc;
        }
        return __assign(__assign({}, acc), (_b = {}, _b[key] = __expectString(value), _b));
    }, {});
};
var deserializeAws_json1_1TrainingInstanceTypes = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1TrainingJob = function (output, context) {
    return {
        AlgorithmSpecification: output.AlgorithmSpecification !== undefined && output.AlgorithmSpecification !== null
            ? deserializeAws_json1_1AlgorithmSpecification(output.AlgorithmSpecification, context)
            : undefined,
        AutoMLJobArn: __expectString(output.AutoMLJobArn),
        BillableTimeInSeconds: __expectInt32(output.BillableTimeInSeconds),
        CheckpointConfig: output.CheckpointConfig !== undefined && output.CheckpointConfig !== null
            ? deserializeAws_json1_1CheckpointConfig(output.CheckpointConfig, context)
            : undefined,
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        DebugHookConfig: output.DebugHookConfig !== undefined && output.DebugHookConfig !== null
            ? deserializeAws_json1_1DebugHookConfig(output.DebugHookConfig, context)
            : undefined,
        DebugRuleConfigurations: output.DebugRuleConfigurations !== undefined && output.DebugRuleConfigurations !== null
            ? deserializeAws_json1_1DebugRuleConfigurations(output.DebugRuleConfigurations, context)
            : undefined,
        DebugRuleEvaluationStatuses: output.DebugRuleEvaluationStatuses !== undefined && output.DebugRuleEvaluationStatuses !== null
            ? deserializeAws_json1_1DebugRuleEvaluationStatuses(output.DebugRuleEvaluationStatuses, context)
            : undefined,
        EnableInterContainerTrafficEncryption: __expectBoolean(output.EnableInterContainerTrafficEncryption),
        EnableManagedSpotTraining: __expectBoolean(output.EnableManagedSpotTraining),
        EnableNetworkIsolation: __expectBoolean(output.EnableNetworkIsolation),
        Environment: output.Environment !== undefined && output.Environment !== null
            ? deserializeAws_json1_1TrainingEnvironmentMap(output.Environment, context)
            : undefined,
        ExperimentConfig: output.ExperimentConfig !== undefined && output.ExperimentConfig !== null
            ? deserializeAws_json1_1ExperimentConfig(output.ExperimentConfig, context)
            : undefined,
        FailureReason: __expectString(output.FailureReason),
        FinalMetricDataList: output.FinalMetricDataList !== undefined && output.FinalMetricDataList !== null
            ? deserializeAws_json1_1FinalMetricDataList(output.FinalMetricDataList, context)
            : undefined,
        HyperParameters: output.HyperParameters !== undefined && output.HyperParameters !== null
            ? deserializeAws_json1_1HyperParameters(output.HyperParameters, context)
            : undefined,
        InputDataConfig: output.InputDataConfig !== undefined && output.InputDataConfig !== null
            ? deserializeAws_json1_1InputDataConfig(output.InputDataConfig, context)
            : undefined,
        LabelingJobArn: __expectString(output.LabelingJobArn),
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        ModelArtifacts: output.ModelArtifacts !== undefined && output.ModelArtifacts !== null
            ? deserializeAws_json1_1ModelArtifacts(output.ModelArtifacts, context)
            : undefined,
        OutputDataConfig: output.OutputDataConfig !== undefined && output.OutputDataConfig !== null
            ? deserializeAws_json1_1OutputDataConfig(output.OutputDataConfig, context)
            : undefined,
        ResourceConfig: output.ResourceConfig !== undefined && output.ResourceConfig !== null
            ? deserializeAws_json1_1ResourceConfig(output.ResourceConfig, context)
            : undefined,
        RetryStrategy: output.RetryStrategy !== undefined && output.RetryStrategy !== null
            ? deserializeAws_json1_1RetryStrategy(output.RetryStrategy, context)
            : undefined,
        RoleArn: __expectString(output.RoleArn),
        SecondaryStatus: __expectString(output.SecondaryStatus),
        SecondaryStatusTransitions: output.SecondaryStatusTransitions !== undefined && output.SecondaryStatusTransitions !== null
            ? deserializeAws_json1_1SecondaryStatusTransitions(output.SecondaryStatusTransitions, context)
            : undefined,
        StoppingCondition: output.StoppingCondition !== undefined && output.StoppingCondition !== null
            ? deserializeAws_json1_1StoppingCondition(output.StoppingCondition, context)
            : undefined,
        Tags: output.Tags !== undefined && output.Tags !== null
            ? deserializeAws_json1_1TagList(output.Tags, context)
            : undefined,
        TensorBoardOutputConfig: output.TensorBoardOutputConfig !== undefined && output.TensorBoardOutputConfig !== null
            ? deserializeAws_json1_1TensorBoardOutputConfig(output.TensorBoardOutputConfig, context)
            : undefined,
        TrainingEndTime: output.TrainingEndTime !== undefined && output.TrainingEndTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.TrainingEndTime)))
            : undefined,
        TrainingJobArn: __expectString(output.TrainingJobArn),
        TrainingJobName: __expectString(output.TrainingJobName),
        TrainingJobStatus: __expectString(output.TrainingJobStatus),
        TrainingStartTime: output.TrainingStartTime !== undefined && output.TrainingStartTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.TrainingStartTime)))
            : undefined,
        TrainingTimeInSeconds: __expectInt32(output.TrainingTimeInSeconds),
        TuningJobArn: __expectString(output.TuningJobArn),
        VpcConfig: output.VpcConfig !== undefined && output.VpcConfig !== null
            ? deserializeAws_json1_1VpcConfig(output.VpcConfig, context)
            : undefined,
    };
};
var deserializeAws_json1_1TrainingJobDefinition = function (output, context) {
    return {
        HyperParameters: output.HyperParameters !== undefined && output.HyperParameters !== null
            ? deserializeAws_json1_1HyperParameters(output.HyperParameters, context)
            : undefined,
        InputDataConfig: output.InputDataConfig !== undefined && output.InputDataConfig !== null
            ? deserializeAws_json1_1InputDataConfig(output.InputDataConfig, context)
            : undefined,
        OutputDataConfig: output.OutputDataConfig !== undefined && output.OutputDataConfig !== null
            ? deserializeAws_json1_1OutputDataConfig(output.OutputDataConfig, context)
            : undefined,
        ResourceConfig: output.ResourceConfig !== undefined && output.ResourceConfig !== null
            ? deserializeAws_json1_1ResourceConfig(output.ResourceConfig, context)
            : undefined,
        StoppingCondition: output.StoppingCondition !== undefined && output.StoppingCondition !== null
            ? deserializeAws_json1_1StoppingCondition(output.StoppingCondition, context)
            : undefined,
        TrainingInputMode: __expectString(output.TrainingInputMode),
    };
};
var deserializeAws_json1_1TrainingJobStatusCounters = function (output, context) {
    return {
        Completed: __expectInt32(output.Completed),
        InProgress: __expectInt32(output.InProgress),
        NonRetryableError: __expectInt32(output.NonRetryableError),
        RetryableError: __expectInt32(output.RetryableError),
        Stopped: __expectInt32(output.Stopped),
    };
};
var deserializeAws_json1_1TrainingJobStepMetadata = function (output, context) {
    return {
        Arn: __expectString(output.Arn),
    };
};
var deserializeAws_json1_1TrainingJobSummaries = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1TrainingJobSummary(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1TrainingJobSummary = function (output, context) {
    return {
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        TrainingEndTime: output.TrainingEndTime !== undefined && output.TrainingEndTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.TrainingEndTime)))
            : undefined,
        TrainingJobArn: __expectString(output.TrainingJobArn),
        TrainingJobName: __expectString(output.TrainingJobName),
        TrainingJobStatus: __expectString(output.TrainingJobStatus),
    };
};
var deserializeAws_json1_1TrainingSpecification = function (output, context) {
    return {
        MetricDefinitions: output.MetricDefinitions !== undefined && output.MetricDefinitions !== null
            ? deserializeAws_json1_1MetricDefinitionList(output.MetricDefinitions, context)
            : undefined,
        SupportedHyperParameters: output.SupportedHyperParameters !== undefined && output.SupportedHyperParameters !== null
            ? deserializeAws_json1_1HyperParameterSpecifications(output.SupportedHyperParameters, context)
            : undefined,
        SupportedTrainingInstanceTypes: output.SupportedTrainingInstanceTypes !== undefined && output.SupportedTrainingInstanceTypes !== null
            ? deserializeAws_json1_1TrainingInstanceTypes(output.SupportedTrainingInstanceTypes, context)
            : undefined,
        SupportedTuningJobObjectiveMetrics: output.SupportedTuningJobObjectiveMetrics !== undefined && output.SupportedTuningJobObjectiveMetrics !== null
            ? deserializeAws_json1_1HyperParameterTuningJobObjectives(output.SupportedTuningJobObjectiveMetrics, context)
            : undefined,
        SupportsDistributedTraining: __expectBoolean(output.SupportsDistributedTraining),
        TrainingChannels: output.TrainingChannels !== undefined && output.TrainingChannels !== null
            ? deserializeAws_json1_1ChannelSpecifications(output.TrainingChannels, context)
            : undefined,
        TrainingImage: __expectString(output.TrainingImage),
        TrainingImageDigest: __expectString(output.TrainingImageDigest),
    };
};
var deserializeAws_json1_1TransformDataSource = function (output, context) {
    return {
        S3DataSource: output.S3DataSource !== undefined && output.S3DataSource !== null
            ? deserializeAws_json1_1TransformS3DataSource(output.S3DataSource, context)
            : undefined,
    };
};
var deserializeAws_json1_1TransformEnvironmentMap = function (output, context) {
    return Object.entries(output).reduce(function (acc, _a) {
        var _b;
        var _c = __read(_a, 2), key = _c[0], value = _c[1];
        if (value === null) {
            return acc;
        }
        return __assign(__assign({}, acc), (_b = {}, _b[key] = __expectString(value), _b));
    }, {});
};
var deserializeAws_json1_1TransformInput = function (output, context) {
    return {
        CompressionType: __expectString(output.CompressionType),
        ContentType: __expectString(output.ContentType),
        DataSource: output.DataSource !== undefined && output.DataSource !== null
            ? deserializeAws_json1_1TransformDataSource(output.DataSource, context)
            : undefined,
        SplitType: __expectString(output.SplitType),
    };
};
var deserializeAws_json1_1TransformInstanceTypes = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1TransformJob = function (output, context) {
    return {
        AutoMLJobArn: __expectString(output.AutoMLJobArn),
        BatchStrategy: __expectString(output.BatchStrategy),
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        DataProcessing: output.DataProcessing !== undefined && output.DataProcessing !== null
            ? deserializeAws_json1_1DataProcessing(output.DataProcessing, context)
            : undefined,
        Environment: output.Environment !== undefined && output.Environment !== null
            ? deserializeAws_json1_1TransformEnvironmentMap(output.Environment, context)
            : undefined,
        ExperimentConfig: output.ExperimentConfig !== undefined && output.ExperimentConfig !== null
            ? deserializeAws_json1_1ExperimentConfig(output.ExperimentConfig, context)
            : undefined,
        FailureReason: __expectString(output.FailureReason),
        LabelingJobArn: __expectString(output.LabelingJobArn),
        MaxConcurrentTransforms: __expectInt32(output.MaxConcurrentTransforms),
        MaxPayloadInMB: __expectInt32(output.MaxPayloadInMB),
        ModelClientConfig: output.ModelClientConfig !== undefined && output.ModelClientConfig !== null
            ? deserializeAws_json1_1ModelClientConfig(output.ModelClientConfig, context)
            : undefined,
        ModelName: __expectString(output.ModelName),
        Tags: output.Tags !== undefined && output.Tags !== null
            ? deserializeAws_json1_1TagList(output.Tags, context)
            : undefined,
        TransformEndTime: output.TransformEndTime !== undefined && output.TransformEndTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.TransformEndTime)))
            : undefined,
        TransformInput: output.TransformInput !== undefined && output.TransformInput !== null
            ? deserializeAws_json1_1TransformInput(output.TransformInput, context)
            : undefined,
        TransformJobArn: __expectString(output.TransformJobArn),
        TransformJobName: __expectString(output.TransformJobName),
        TransformJobStatus: __expectString(output.TransformJobStatus),
        TransformOutput: output.TransformOutput !== undefined && output.TransformOutput !== null
            ? deserializeAws_json1_1TransformOutput(output.TransformOutput, context)
            : undefined,
        TransformResources: output.TransformResources !== undefined && output.TransformResources !== null
            ? deserializeAws_json1_1TransformResources(output.TransformResources, context)
            : undefined,
        TransformStartTime: output.TransformStartTime !== undefined && output.TransformStartTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.TransformStartTime)))
            : undefined,
    };
};
var deserializeAws_json1_1TransformJobDefinition = function (output, context) {
    return {
        BatchStrategy: __expectString(output.BatchStrategy),
        Environment: output.Environment !== undefined && output.Environment !== null
            ? deserializeAws_json1_1TransformEnvironmentMap(output.Environment, context)
            : undefined,
        MaxConcurrentTransforms: __expectInt32(output.MaxConcurrentTransforms),
        MaxPayloadInMB: __expectInt32(output.MaxPayloadInMB),
        TransformInput: output.TransformInput !== undefined && output.TransformInput !== null
            ? deserializeAws_json1_1TransformInput(output.TransformInput, context)
            : undefined,
        TransformOutput: output.TransformOutput !== undefined && output.TransformOutput !== null
            ? deserializeAws_json1_1TransformOutput(output.TransformOutput, context)
            : undefined,
        TransformResources: output.TransformResources !== undefined && output.TransformResources !== null
            ? deserializeAws_json1_1TransformResources(output.TransformResources, context)
            : undefined,
    };
};
var deserializeAws_json1_1TransformJobStepMetadata = function (output, context) {
    return {
        Arn: __expectString(output.Arn),
    };
};
var deserializeAws_json1_1TransformJobSummaries = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1TransformJobSummary(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1TransformJobSummary = function (output, context) {
    return {
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        FailureReason: __expectString(output.FailureReason),
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        TransformEndTime: output.TransformEndTime !== undefined && output.TransformEndTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.TransformEndTime)))
            : undefined,
        TransformJobArn: __expectString(output.TransformJobArn),
        TransformJobName: __expectString(output.TransformJobName),
        TransformJobStatus: __expectString(output.TransformJobStatus),
    };
};
var deserializeAws_json1_1TransformOutput = function (output, context) {
    return {
        Accept: __expectString(output.Accept),
        AssembleWith: __expectString(output.AssembleWith),
        KmsKeyId: __expectString(output.KmsKeyId),
        S3OutputPath: __expectString(output.S3OutputPath),
    };
};
var deserializeAws_json1_1TransformResources = function (output, context) {
    return {
        InstanceCount: __expectInt32(output.InstanceCount),
        InstanceType: __expectString(output.InstanceType),
        VolumeKmsKeyId: __expectString(output.VolumeKmsKeyId),
    };
};
var deserializeAws_json1_1TransformS3DataSource = function (output, context) {
    return {
        S3DataType: __expectString(output.S3DataType),
        S3Uri: __expectString(output.S3Uri),
    };
};
var deserializeAws_json1_1Trial = function (output, context) {
    return {
        CreatedBy: output.CreatedBy !== undefined && output.CreatedBy !== null
            ? deserializeAws_json1_1UserContext(output.CreatedBy, context)
            : undefined,
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        DisplayName: __expectString(output.DisplayName),
        ExperimentName: __expectString(output.ExperimentName),
        LastModifiedBy: output.LastModifiedBy !== undefined && output.LastModifiedBy !== null
            ? deserializeAws_json1_1UserContext(output.LastModifiedBy, context)
            : undefined,
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        MetadataProperties: output.MetadataProperties !== undefined && output.MetadataProperties !== null
            ? deserializeAws_json1_1MetadataProperties(output.MetadataProperties, context)
            : undefined,
        Source: output.Source !== undefined && output.Source !== null
            ? deserializeAws_json1_1TrialSource(output.Source, context)
            : undefined,
        Tags: output.Tags !== undefined && output.Tags !== null
            ? deserializeAws_json1_1TagList(output.Tags, context)
            : undefined,
        TrialArn: __expectString(output.TrialArn),
        TrialComponentSummaries: output.TrialComponentSummaries !== undefined && output.TrialComponentSummaries !== null
            ? deserializeAws_json1_1TrialComponentSimpleSummaries(output.TrialComponentSummaries, context)
            : undefined,
        TrialName: __expectString(output.TrialName),
    };
};
var deserializeAws_json1_1TrialComponent = function (output, context) {
    return {
        CreatedBy: output.CreatedBy !== undefined && output.CreatedBy !== null
            ? deserializeAws_json1_1UserContext(output.CreatedBy, context)
            : undefined,
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        DisplayName: __expectString(output.DisplayName),
        EndTime: output.EndTime !== undefined && output.EndTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.EndTime)))
            : undefined,
        InputArtifacts: output.InputArtifacts !== undefined && output.InputArtifacts !== null
            ? deserializeAws_json1_1TrialComponentArtifacts(output.InputArtifacts, context)
            : undefined,
        LastModifiedBy: output.LastModifiedBy !== undefined && output.LastModifiedBy !== null
            ? deserializeAws_json1_1UserContext(output.LastModifiedBy, context)
            : undefined,
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        LineageGroupArn: __expectString(output.LineageGroupArn),
        MetadataProperties: output.MetadataProperties !== undefined && output.MetadataProperties !== null
            ? deserializeAws_json1_1MetadataProperties(output.MetadataProperties, context)
            : undefined,
        Metrics: output.Metrics !== undefined && output.Metrics !== null
            ? deserializeAws_json1_1TrialComponentMetricSummaries(output.Metrics, context)
            : undefined,
        OutputArtifacts: output.OutputArtifacts !== undefined && output.OutputArtifacts !== null
            ? deserializeAws_json1_1TrialComponentArtifacts(output.OutputArtifacts, context)
            : undefined,
        Parameters: output.Parameters !== undefined && output.Parameters !== null
            ? deserializeAws_json1_1TrialComponentParameters(output.Parameters, context)
            : undefined,
        Parents: output.Parents !== undefined && output.Parents !== null
            ? deserializeAws_json1_1Parents(output.Parents, context)
            : undefined,
        Source: output.Source !== undefined && output.Source !== null
            ? deserializeAws_json1_1TrialComponentSource(output.Source, context)
            : undefined,
        SourceDetail: output.SourceDetail !== undefined && output.SourceDetail !== null
            ? deserializeAws_json1_1TrialComponentSourceDetail(output.SourceDetail, context)
            : undefined,
        StartTime: output.StartTime !== undefined && output.StartTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.StartTime)))
            : undefined,
        Status: output.Status !== undefined && output.Status !== null
            ? deserializeAws_json1_1TrialComponentStatus(output.Status, context)
            : undefined,
        Tags: output.Tags !== undefined && output.Tags !== null
            ? deserializeAws_json1_1TagList(output.Tags, context)
            : undefined,
        TrialComponentArn: __expectString(output.TrialComponentArn),
        TrialComponentName: __expectString(output.TrialComponentName),
    };
};
var deserializeAws_json1_1TrialComponentArtifact = function (output, context) {
    return {
        MediaType: __expectString(output.MediaType),
        Value: __expectString(output.Value),
    };
};
var deserializeAws_json1_1TrialComponentArtifacts = function (output, context) {
    return Object.entries(output).reduce(function (acc, _a) {
        var _b;
        var _c = __read(_a, 2), key = _c[0], value = _c[1];
        if (value === null) {
            return acc;
        }
        return __assign(__assign({}, acc), (_b = {}, _b[key] = deserializeAws_json1_1TrialComponentArtifact(value, context), _b));
    }, {});
};
var deserializeAws_json1_1TrialComponentMetricSummaries = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1TrialComponentMetricSummary(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1TrialComponentMetricSummary = function (output, context) {
    return {
        Avg: __limitedParseDouble(output.Avg),
        Count: __expectInt32(output.Count),
        Last: __limitedParseDouble(output.Last),
        Max: __limitedParseDouble(output.Max),
        MetricName: __expectString(output.MetricName),
        Min: __limitedParseDouble(output.Min),
        SourceArn: __expectString(output.SourceArn),
        StdDev: __limitedParseDouble(output.StdDev),
        TimeStamp: output.TimeStamp !== undefined && output.TimeStamp !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.TimeStamp)))
            : undefined,
    };
};
var deserializeAws_json1_1TrialComponentParameters = function (output, context) {
    return Object.entries(output).reduce(function (acc, _a) {
        var _b;
        var _c = __read(_a, 2), key = _c[0], value = _c[1];
        if (value === null) {
            return acc;
        }
        return __assign(__assign({}, acc), (_b = {}, _b[key] = deserializeAws_json1_1TrialComponentParameterValue(__expectUnion(value), context), _b));
    }, {});
};
var deserializeAws_json1_1TrialComponentParameterValue = function (output, context) {
    if (__limitedParseDouble(output.NumberValue) !== undefined) {
        return { NumberValue: __limitedParseDouble(output.NumberValue) };
    }
    if (__expectString(output.StringValue) !== undefined) {
        return { StringValue: __expectString(output.StringValue) };
    }
    return { $unknown: Object.entries(output)[0] };
};
var deserializeAws_json1_1TrialComponentSimpleSummaries = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1TrialComponentSimpleSummary(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1TrialComponentSimpleSummary = function (output, context) {
    return {
        CreatedBy: output.CreatedBy !== undefined && output.CreatedBy !== null
            ? deserializeAws_json1_1UserContext(output.CreatedBy, context)
            : undefined,
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        TrialComponentArn: __expectString(output.TrialComponentArn),
        TrialComponentName: __expectString(output.TrialComponentName),
        TrialComponentSource: output.TrialComponentSource !== undefined && output.TrialComponentSource !== null
            ? deserializeAws_json1_1TrialComponentSource(output.TrialComponentSource, context)
            : undefined,
    };
};
var deserializeAws_json1_1TrialComponentSource = function (output, context) {
    return {
        SourceArn: __expectString(output.SourceArn),
        SourceType: __expectString(output.SourceType),
    };
};
var deserializeAws_json1_1TrialComponentSourceDetail = function (output, context) {
    return {
        ProcessingJob: output.ProcessingJob !== undefined && output.ProcessingJob !== null
            ? deserializeAws_json1_1ProcessingJob(output.ProcessingJob, context)
            : undefined,
        SourceArn: __expectString(output.SourceArn),
        TrainingJob: output.TrainingJob !== undefined && output.TrainingJob !== null
            ? deserializeAws_json1_1TrainingJob(output.TrainingJob, context)
            : undefined,
        TransformJob: output.TransformJob !== undefined && output.TransformJob !== null
            ? deserializeAws_json1_1TransformJob(output.TransformJob, context)
            : undefined,
    };
};
var deserializeAws_json1_1TrialComponentStatus = function (output, context) {
    return {
        Message: __expectString(output.Message),
        PrimaryStatus: __expectString(output.PrimaryStatus),
    };
};
var deserializeAws_json1_1TrialComponentSummaries = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1TrialComponentSummary(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1TrialComponentSummary = function (output, context) {
    return {
        CreatedBy: output.CreatedBy !== undefined && output.CreatedBy !== null
            ? deserializeAws_json1_1UserContext(output.CreatedBy, context)
            : undefined,
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        DisplayName: __expectString(output.DisplayName),
        EndTime: output.EndTime !== undefined && output.EndTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.EndTime)))
            : undefined,
        LastModifiedBy: output.LastModifiedBy !== undefined && output.LastModifiedBy !== null
            ? deserializeAws_json1_1UserContext(output.LastModifiedBy, context)
            : undefined,
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        StartTime: output.StartTime !== undefined && output.StartTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.StartTime)))
            : undefined,
        Status: output.Status !== undefined && output.Status !== null
            ? deserializeAws_json1_1TrialComponentStatus(output.Status, context)
            : undefined,
        TrialComponentArn: __expectString(output.TrialComponentArn),
        TrialComponentName: __expectString(output.TrialComponentName),
        TrialComponentSource: output.TrialComponentSource !== undefined && output.TrialComponentSource !== null
            ? deserializeAws_json1_1TrialComponentSource(output.TrialComponentSource, context)
            : undefined,
    };
};
var deserializeAws_json1_1TrialSource = function (output, context) {
    return {
        SourceArn: __expectString(output.SourceArn),
        SourceType: __expectString(output.SourceType),
    };
};
var deserializeAws_json1_1TrialSummaries = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1TrialSummary(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1TrialSummary = function (output, context) {
    return {
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        DisplayName: __expectString(output.DisplayName),
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        TrialArn: __expectString(output.TrialArn),
        TrialName: __expectString(output.TrialName),
        TrialSource: output.TrialSource !== undefined && output.TrialSource !== null
            ? deserializeAws_json1_1TrialSource(output.TrialSource, context)
            : undefined,
    };
};
var deserializeAws_json1_1TuningJobCompletionCriteria = function (output, context) {
    return {
        TargetObjectiveMetricValue: __limitedParseFloat32(output.TargetObjectiveMetricValue),
    };
};
var deserializeAws_json1_1TuningJobStepMetaData = function (output, context) {
    return {
        Arn: __expectString(output.Arn),
    };
};
var deserializeAws_json1_1UiConfig = function (output, context) {
    return {
        HumanTaskUiArn: __expectString(output.HumanTaskUiArn),
        UiTemplateS3Uri: __expectString(output.UiTemplateS3Uri),
    };
};
var deserializeAws_json1_1UiTemplateInfo = function (output, context) {
    return {
        ContentSha256: __expectString(output.ContentSha256),
        Url: __expectString(output.Url),
    };
};
var deserializeAws_json1_1UpdateActionResponse = function (output, context) {
    return {
        ActionArn: __expectString(output.ActionArn),
    };
};
var deserializeAws_json1_1UpdateAppImageConfigResponse = function (output, context) {
    return {
        AppImageConfigArn: __expectString(output.AppImageConfigArn),
    };
};
var deserializeAws_json1_1UpdateArtifactResponse = function (output, context) {
    return {
        ArtifactArn: __expectString(output.ArtifactArn),
    };
};
var deserializeAws_json1_1UpdateCodeRepositoryOutput = function (output, context) {
    return {
        CodeRepositoryArn: __expectString(output.CodeRepositoryArn),
    };
};
var deserializeAws_json1_1UpdateContextResponse = function (output, context) {
    return {
        ContextArn: __expectString(output.ContextArn),
    };
};
var deserializeAws_json1_1UpdateDomainResponse = function (output, context) {
    return {
        DomainArn: __expectString(output.DomainArn),
    };
};
var deserializeAws_json1_1UpdateEndpointOutput = function (output, context) {
    return {
        EndpointArn: __expectString(output.EndpointArn),
    };
};
var deserializeAws_json1_1UpdateEndpointWeightsAndCapacitiesOutput = function (output, context) {
    return {
        EndpointArn: __expectString(output.EndpointArn),
    };
};
var deserializeAws_json1_1UpdateExperimentResponse = function (output, context) {
    return {
        ExperimentArn: __expectString(output.ExperimentArn),
    };
};
var deserializeAws_json1_1UpdateImageResponse = function (output, context) {
    return {
        ImageArn: __expectString(output.ImageArn),
    };
};
var deserializeAws_json1_1UpdateModelPackageOutput = function (output, context) {
    return {
        ModelPackageArn: __expectString(output.ModelPackageArn),
    };
};
var deserializeAws_json1_1UpdateMonitoringScheduleResponse = function (output, context) {
    return {
        MonitoringScheduleArn: __expectString(output.MonitoringScheduleArn),
    };
};
var deserializeAws_json1_1UpdateNotebookInstanceLifecycleConfigOutput = function (output, context) {
    return {};
};
var deserializeAws_json1_1UpdateNotebookInstanceOutput = function (output, context) {
    return {};
};
var deserializeAws_json1_1UpdatePipelineExecutionResponse = function (output, context) {
    return {
        PipelineExecutionArn: __expectString(output.PipelineExecutionArn),
    };
};
var deserializeAws_json1_1UpdatePipelineResponse = function (output, context) {
    return {
        PipelineArn: __expectString(output.PipelineArn),
    };
};
var deserializeAws_json1_1UpdateProjectOutput = function (output, context) {
    return {
        ProjectArn: __expectString(output.ProjectArn),
    };
};
var deserializeAws_json1_1UpdateTrainingJobResponse = function (output, context) {
    return {
        TrainingJobArn: __expectString(output.TrainingJobArn),
    };
};
var deserializeAws_json1_1UpdateTrialComponentResponse = function (output, context) {
    return {
        TrialComponentArn: __expectString(output.TrialComponentArn),
    };
};
var deserializeAws_json1_1UpdateTrialResponse = function (output, context) {
    return {
        TrialArn: __expectString(output.TrialArn),
    };
};
var deserializeAws_json1_1UpdateUserProfileResponse = function (output, context) {
    return {
        UserProfileArn: __expectString(output.UserProfileArn),
    };
};
var deserializeAws_json1_1UpdateWorkforceResponse = function (output, context) {
    return {
        Workforce: output.Workforce !== undefined && output.Workforce !== null
            ? deserializeAws_json1_1Workforce(output.Workforce, context)
            : undefined,
    };
};
var deserializeAws_json1_1UpdateWorkteamResponse = function (output, context) {
    return {
        Workteam: output.Workteam !== undefined && output.Workteam !== null
            ? deserializeAws_json1_1Workteam(output.Workteam, context)
            : undefined,
    };
};
var deserializeAws_json1_1USD = function (output, context) {
    return {
        Cents: __expectInt32(output.Cents),
        Dollars: __expectInt32(output.Dollars),
        TenthFractionsOfACent: __expectInt32(output.TenthFractionsOfACent),
    };
};
var deserializeAws_json1_1UserContext = function (output, context) {
    return {
        DomainId: __expectString(output.DomainId),
        UserProfileArn: __expectString(output.UserProfileArn),
        UserProfileName: __expectString(output.UserProfileName),
    };
};
var deserializeAws_json1_1UserProfileDetails = function (output, context) {
    return {
        CreationTime: output.CreationTime !== undefined && output.CreationTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreationTime)))
            : undefined,
        DomainId: __expectString(output.DomainId),
        LastModifiedTime: output.LastModifiedTime !== undefined && output.LastModifiedTime !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastModifiedTime)))
            : undefined,
        Status: __expectString(output.Status),
        UserProfileName: __expectString(output.UserProfileName),
    };
};
var deserializeAws_json1_1UserProfileList = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1UserProfileDetails(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1UserSettings = function (output, context) {
    return {
        ExecutionRole: __expectString(output.ExecutionRole),
        JupyterServerAppSettings: output.JupyterServerAppSettings !== undefined && output.JupyterServerAppSettings !== null
            ? deserializeAws_json1_1JupyterServerAppSettings(output.JupyterServerAppSettings, context)
            : undefined,
        KernelGatewayAppSettings: output.KernelGatewayAppSettings !== undefined && output.KernelGatewayAppSettings !== null
            ? deserializeAws_json1_1KernelGatewayAppSettings(output.KernelGatewayAppSettings, context)
            : undefined,
        RSessionAppSettings: output.RSessionAppSettings !== undefined && output.RSessionAppSettings !== null
            ? deserializeAws_json1_1RSessionAppSettings(output.RSessionAppSettings, context)
            : undefined,
        RStudioServerProAppSettings: output.RStudioServerProAppSettings !== undefined && output.RStudioServerProAppSettings !== null
            ? deserializeAws_json1_1RStudioServerProAppSettings(output.RStudioServerProAppSettings, context)
            : undefined,
        SecurityGroups: output.SecurityGroups !== undefined && output.SecurityGroups !== null
            ? deserializeAws_json1_1SecurityGroupIds(output.SecurityGroups, context)
            : undefined,
        SharingSettings: output.SharingSettings !== undefined && output.SharingSettings !== null
            ? deserializeAws_json1_1SharingSettings(output.SharingSettings, context)
            : undefined,
        TensorBoardAppSettings: output.TensorBoardAppSettings !== undefined && output.TensorBoardAppSettings !== null
            ? deserializeAws_json1_1TensorBoardAppSettings(output.TensorBoardAppSettings, context)
            : undefined,
    };
};
var deserializeAws_json1_1Vertex = function (output, context) {
    return {
        Arn: __expectString(output.Arn),
        LineageType: __expectString(output.LineageType),
        Type: __expectString(output.Type),
    };
};
var deserializeAws_json1_1Vertices = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1Vertex(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1VpcConfig = function (output, context) {
    return {
        SecurityGroupIds: output.SecurityGroupIds !== undefined && output.SecurityGroupIds !== null
            ? deserializeAws_json1_1VpcSecurityGroupIds(output.SecurityGroupIds, context)
            : undefined,
        Subnets: output.Subnets !== undefined && output.Subnets !== null
            ? deserializeAws_json1_1Subnets(output.Subnets, context)
            : undefined,
    };
};
var deserializeAws_json1_1VpcSecurityGroupIds = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return __expectString(entry);
    });
    return retVal;
};
var deserializeAws_json1_1Workforce = function (output, context) {
    return {
        CognitoConfig: output.CognitoConfig !== undefined && output.CognitoConfig !== null
            ? deserializeAws_json1_1CognitoConfig(output.CognitoConfig, context)
            : undefined,
        CreateDate: output.CreateDate !== undefined && output.CreateDate !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreateDate)))
            : undefined,
        LastUpdatedDate: output.LastUpdatedDate !== undefined && output.LastUpdatedDate !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastUpdatedDate)))
            : undefined,
        OidcConfig: output.OidcConfig !== undefined && output.OidcConfig !== null
            ? deserializeAws_json1_1OidcConfigForResponse(output.OidcConfig, context)
            : undefined,
        SourceIpConfig: output.SourceIpConfig !== undefined && output.SourceIpConfig !== null
            ? deserializeAws_json1_1SourceIpConfig(output.SourceIpConfig, context)
            : undefined,
        SubDomain: __expectString(output.SubDomain),
        WorkforceArn: __expectString(output.WorkforceArn),
        WorkforceName: __expectString(output.WorkforceName),
    };
};
var deserializeAws_json1_1Workforces = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1Workforce(entry, context);
    });
    return retVal;
};
var deserializeAws_json1_1Workteam = function (output, context) {
    return {
        CreateDate: output.CreateDate !== undefined && output.CreateDate !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.CreateDate)))
            : undefined,
        Description: __expectString(output.Description),
        LastUpdatedDate: output.LastUpdatedDate !== undefined && output.LastUpdatedDate !== null
            ? __expectNonNull(__parseEpochTimestamp(__expectNumber(output.LastUpdatedDate)))
            : undefined,
        MemberDefinitions: output.MemberDefinitions !== undefined && output.MemberDefinitions !== null
            ? deserializeAws_json1_1MemberDefinitions(output.MemberDefinitions, context)
            : undefined,
        NotificationConfiguration: output.NotificationConfiguration !== undefined && output.NotificationConfiguration !== null
            ? deserializeAws_json1_1NotificationConfiguration(output.NotificationConfiguration, context)
            : undefined,
        ProductListingIds: output.ProductListingIds !== undefined && output.ProductListingIds !== null
            ? deserializeAws_json1_1ProductListings(output.ProductListingIds, context)
            : undefined,
        SubDomain: __expectString(output.SubDomain),
        WorkforceArn: __expectString(output.WorkforceArn),
        WorkteamArn: __expectString(output.WorkteamArn),
        WorkteamName: __expectString(output.WorkteamName),
    };
};
var deserializeAws_json1_1Workteams = function (output, context) {
    var retVal = (output || [])
        .filter(function (e) { return e != null; })
        .map(function (entry) {
        if (entry === null) {
            return null;
        }
        return deserializeAws_json1_1Workteam(entry, context);
    });
    return retVal;
};
var deserializeMetadata = function (output) {
    var _a;
    return ({
        httpStatusCode: output.statusCode,
        requestId: (_a = output.headers["x-amzn-requestid"]) !== null && _a !== void 0 ? _a : output.headers["x-amzn-request-id"],
        extendedRequestId: output.headers["x-amz-id-2"],
        cfId: output.headers["x-amz-cf-id"],
    });
};
var collectBody = function (streamBody, context) {
    if (streamBody === void 0) { streamBody = new Uint8Array(); }
    if (streamBody instanceof Uint8Array) {
        return Promise.resolve(streamBody);
    }
    return context.streamCollector(streamBody) || Promise.resolve(new Uint8Array());
};
var collectBodyString = function (streamBody, context) {
    return collectBody(streamBody, context).then(function (body) { return context.utf8Encoder(body); });
};
var buildHttpRpcRequest = function (context, headers, path, resolvedHostname, body) { return __awaiter(void 0, void 0, void 0, function () {
    var _a, hostname, _b, protocol, port, basePath, contents;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0: return [4, context.endpoint()];
            case 1:
                _a = _c.sent(), hostname = _a.hostname, _b = _a.protocol, protocol = _b === void 0 ? "https" : _b, port = _a.port, basePath = _a.path;
                contents = {
                    protocol: protocol,
                    hostname: hostname,
                    port: port,
                    method: "POST",
                    path: basePath.endsWith("/") ? basePath.slice(0, -1) + path : basePath + path,
                    headers: headers,
                };
                if (resolvedHostname !== undefined) {
                    contents.hostname = resolvedHostname;
                }
                if (body !== undefined) {
                    contents.body = body;
                }
                return [2, new __HttpRequest(contents)];
        }
    });
}); };
var parseBody = function (streamBody, context) {
    return collectBodyString(streamBody, context).then(function (encoded) {
        if (encoded.length) {
            return JSON.parse(encoded);
        }
        return {};
    });
};
var loadRestJsonErrorCode = function (output, data) {
    var findKey = function (object, key) { return Object.keys(object).find(function (k) { return k.toLowerCase() === key.toLowerCase(); }); };
    var sanitizeErrorCode = function (rawValue) {
        var cleanValue = rawValue;
        if (cleanValue.indexOf(":") >= 0) {
            cleanValue = cleanValue.split(":")[0];
        }
        if (cleanValue.indexOf("#") >= 0) {
            cleanValue = cleanValue.split("#")[1];
        }
        return cleanValue;
    };
    var headerKey = findKey(output.headers, "x-amzn-errortype");
    if (headerKey !== undefined) {
        return sanitizeErrorCode(output.headers[headerKey]);
    }
    if (data.code !== undefined) {
        return sanitizeErrorCode(data.code);
    }
    if (data["__type"] !== undefined) {
        return sanitizeErrorCode(data["__type"]);
    }
    return "";
};
